#"@(#) SGeSAP/LX - 12.10.00 - $Rev: 1651 $ - Last modified 02/02/17"
#
# **********************************************************************
# *                                                                    *
# * HPE SGeSAP/LX                                                      *
# *                                                                    *
# * SAP HANA primary token handling script                             *
# *                                                                    *
# * (c) Copyright 1996-2015 Hewlett-Packard Co.                        *
# * (c) Copyright 2015-2017 Hewlett Packard Enterprise Co.             *
# *                                                                    *
# *                                                                    *
# * Description: Serviceguard Extension for SAP control logic          *
# *                                                                    *
# * This control script file must not be edited !                      *
# * Any changes made to it will be overwritten when you upgrade to the *
# * next revision of HPE SGeSAP.                                       *
# *                                                                    *
# * Changing this file may lead to unrecoverable package startup       *
# * and/or shutdown problems.                                          *
# *                                                                    *
# **********************************************************************


if [ -z ${SGCONF} ]; then
  [ -f /etc/cmcluster.conf ] && . /etc/cmcluster.conf
fi

[ -f ${SGCONF}/scripts/sgesap/sap_control.sh ] && . ${SGCONF}/scripts/sgesap/sap_control.sh

set -m
trap "wait;sg_log 2 \"Interrupting SGeSAP ${script_name} '${op_code}' runtime steps ...\"; exit 2" 2

case ${op_code} in
  start)
    check_versions
    check_debug
    clean_syncgate ${SGeSAP_HDB_INSTANCE[0]}
    init_params_hdb_dp  # Sets HDBDP_INST_IDXS
    stop_other_hdb
  ;;
  stop)
    # nothing to do
  ;;
  validate)
    check_versions
    init_params_hdb_dp
  ;;
  reconfigure_start)
  ;;
  reconfigure_stop)
  ;;
  *)
    sg_log 0 "ERROR: Runtime called with illegal package mode: '${op_code}'"
    exit 2
  ;;
esac

sg_log 2 "Leaving SGeSAP ${script_name} '${op_code}' runtime steps ..."

exit 0
