#"@(#) SGeSAP/LX - 12.10.00 - $Rev: 1729 $ - Last modified 03/03/17"
#
#
# **********************************************************************
# *                                                                    *
# * HPE SGeSAP/LX function pool                                        *
# *                                                                    *
# * Serviceguard Extension for SAP - Function Definition File          *
# *                                                                    *
# * (c) Copyright 1996-2015 Hewlett-Packard Co.                        *
# * (c) Copyright 2015-2017 Hewlett Packard Enterprise Co.             *
# *                                                                    *
# *                                                                    *
# *    SGeSAP package template RDBMS:                                  *
# *                        SLES  RHEL  HP-UX 11iV3                     *
# *    Hana su/so          yes   yes   no                              *
# *    Sybase              yes   yes   yes                             *
# *    Maxdb/Sapdb         yes   yes   yes                             *
# *    Oracle              yes   yes   yes                             *
# *    DB2                 yes   yes   yes                             *
# *                                                                    *
# * This script file must not be edited !                              *
# * Any changes made to it will be overwritten when you upgrade to the *
# * next release of HPE SG and SGeSAP.                                 *
# * Any changes made to it can cause that a SG/SGeSAP patch            *
# * installation attempt gets rejected by the system.                  *
# *                                                                    *
# * Changing this file may lead to unrecoverable package startup       *
# * and/or shutdown problems.                                          *
# *                                                                    *
# **********************************************************************

#
# define SIGABRT as watchdog trap
#
trap "WrnLogMsg 'Process hang detected';return 144" 6

#
# Save stdout in fd4 - e.g. fd4 points to same file descriptor as fd1
# points to. Used in functions logpipe_pre, logpipe_post
#
exec 4>&1

########################################################################
#
#
#  GLOBAL VARS
#
#
########################################################################

#
# "macros"
#
TRLU='tr "abcdefghijklmnopqrstuvwxyz" "ABCDEFGHIJKLMNOPQRSTUVWXYZ"'
TRUL='tr "ABCDEFGHIJKLMNOPQRSTUVWXYZ" "abcdefghijklmnopqrstuvwxyz"'
GETNR="awk '{ print substr("'$0'",length()-1) }'"
GETNAME="awk '{ print substr("'$0'",1,length()-2) }'"
DATE=`date "+%y%m%d%H%M%S"`

#
# global attribute --> parameter conversion
#
SGeSAP_DB_SYSTEM=${SGeSAP_DB_SYSTEM:-}
SGeSAP_HDB_TAKEOVER_TIMEOUT=${SGeSAP_HDB_TAKEOVER_TIMEOUT:-500}
SGeSAP_REPDB_SYSTEM=${SGeSAP_REPDB_SYSTEM:-}
SAPSYSTEMNAME=${SGeSAP_SAP_SYSTEM:-${SGeSAP_DB_SYSTEM}}
SAPSYSTEMNAME=${SAPSYSTEMNAME:-${SGeSAP_HDB_SYSTEM}}
SAPSYSTEMNAME=${SAPSYSTEMNAME:-SAP}
HDBINSTANCE=${SGeSAP_HDB_INSTANCE[0]:-HDB}
HDB_OPERATION_MODE=${SGeSAP_HDB_OPERATION_MODE:-"delta_datashipping"}
DELAY_INTERVALS=${SGeSAP_RETRY_COUNT:-${SGeSAP_HDB_RETRY_COUNT}}
DELAY_INTERVALS=${DELAY_INTERVALS:-10}
DECIDE_ROLE_RETRY=${DECIDE_ROLE_RETRY:-1440}
(( WATCHDOG_TIMEOUT = ${DELAY_INTERVALS} * 20 ))
(( WATCHDOG_TIMEOUT = ${WATCHDOG_TIMEOUT} + 5 ))

PWATCHDOG_TIMEOUT=${WATCHDOG_TIMEOUT}
CLEANUP_POLICY=${SGeSAP_CLEANUP_POLICY:-normal}
[[ $UX -eq 1 ]] && REM_COMM=${SGeSAP_REM_COMM:-remsh}
[[ $LX -eq 1 ]] && REM_COMM=${SGeSAP_REM_COMM:-ssh -o BatchMode=yes}
PRIV_COMM=${SGeSAP_PRIV_COMM:-}
SU_COMM=${SGeSAP_SU_COMM:-su}
SRP_COMM=${SGeSAP_SRP_COMM:-srp_su}
if [[ ${REM_COMM} = remsh ]]; then
  RCP_COMM=rcp
else
  RCP_COMM=scp
fi
SG_PACKAGE=${SG_PACKAGE:-}
SG_PACKAGE_NAME=${SG_PACKAGE_NAME:-${SG_PACKAGE}}
SG_LOG_LEVEL=${SG_LOG_LEVEL:-0}
SGeSAP_AVOID_CHECKACCESS=${SGeSAP_AVOID_CHECKACCESS:-0}
SGeSAP_HDB_UPDATE_PUBLIC_RESOLUTION=${SGeSAP_HDB_UPDATE_PUBLIC_RESOLUTION:-1}
SGeSAP_HDB_SKIP_NETWORK_CHECK=${SGeSAP_HDB_SKIP_NETWORK_CHECK:-0}
SGeSAP_SAPCONTROL_USAGE=${SGeSAP_SAPCONTROL_USAGE:-preferred} # set for compatibility reasons
SGeSAP_HDB_STARTWITHPKG=${SGeSAP_HDB_STARTWITHPKG:-1}
SGeSAP_HDB_STOPWITHPKG=${SGeSAP_HDB_STOPWITHPKG:-0}
SGeSAP_HDB_MAXSCALE=${SGeSAP_HDB_MAXSCALE:-48}
NETWORK_SLEEP_INTERVAL=${SGeSAP_NETWORK_SLEEP_INTERVAL:-0}
SGeSAP_LC_SYSTEM=${SGeSAP_LC_SYSTEM:-}
GUARD_EXIT_IN_MAINT=${SGeSAP_GUARD_EXIT_IN_MAINT:-1}
SRP_ROUTE_SCRIPT=${SGeSAP_SRP_ROUTE_SCRIPT:-${SGCONF:-/etc/cmcluster}/${SG_PACKAGE}/srp_route_script}
SRP_CONTROL_SCRIPT=${SGeSAP_SRP_CONTROL_SCRIPT:-${SGCONF:-/etc/cmcluster}/${SG_PACKAGE}/srp_control_script}
LOGPIPEFLAG=${LOGPIPEFLAG:-0}
KILL_BACKUP=${KILL_BACKUP:-0}
FORK_STOP=20
if [ -z "${SG_SCRIPT_LOG_FILE}" -a "X${op_code}" != "Xvalidate" ]; then
  LOGGER=echo
  SG_SCRIPT_LOG_FILE=/dev/null
  SG_LOG_LEVEL=5
else
  LOGGER=${LOGGER:-sg_log}
fi
[[ $UX -eq 1 ]] && UNIX95='UNIX95=1' || UNIX95=""
SAFESYNC=0
CMEXEC_TIMEOUT=240

#
# temporary files
#
TMPDIR=/var/tmp/.sgesap
PKGDIR=/var/adm/cmcluster
APIDIR=${TMPDIR}/api
ENQORMON_SYNCFLAG=${TMPDIR}/enqormon.lck
TMPQ=${TMPDIR}/tmp_quiesce
STARTUP_R3=debug_${SG_PACKAGE_NAME}
debug=${debug:-0}
DEBUG_REPORTED=${DEBUG_REPORTED:-0}
STARTUP_LC=${TMPDIR}/.lc_cmdpipe${SGeSAP_LC_SYSTEM}
DEBUG_PROFILE=${SG_PACKAGE_NAME}_dbgprofile
RETCOUNTER=0

mkdir -p ${APIDIR} 2>/dev/null && ( chmod 774 ${APIDIR} && chgrp sapsys ${APIDIR} 2>/dev/null )

#
# GUI alert initialization
#
ALERT_DIR=${TMPDIR}
ALERT_TEXT[1]=PKG_SGESAP_INST_REP_DOWN
ALERT_TEXT[2]=PKG_SGESAP_INST_REP_NOT_SYNCH
ALERT_TEXT[4]=PKG_SGESAP_LC_STANDBY_NOT_RUN
ALERT_TEXT[8]=PKG_SGESAP_LC_STANDBY_NOT_CONN
ALERT_TEXT[16]=PKG_SGESAP_LC_STANDBY_NOT_SYNCH
ALERT_TEXT[32]=PKG_SGESAP_SERVICE_RED
ALERT_TEXT[64]=PKG_SGESAP_SERVICE_YELLOW
ALERT_TEXT[128]=PKG_SGESAP_MANUALLY_HALTED
ALERT_TEXT[256]=PKG_SGESAP_SERVICE_WARNING
ALERT_TEXT[512]=PKG_SGESAP_SERVICE_ERROR
ALERT_TEXT[1024]=PKG_SGESAP_HDB_SYNC_TOLERANCE
ALERT_TEXT[2048]=PKG_SGESAP_PRIMARY_FULLSYNC_DISABLED
ALERT_TEXT[4096]=PKG_SGESAP_SECONDARY_FULLSYNC_ENABLED

PKG_SGESAP_INST_REP_DOWN=1
PKG_SGESAP_INST_REP_NOT_SYNCH=2
PKG_SGESAP_LC_STANDBY_NOT_RUN=4
PKG_SGESAP_LC_STANDBY_NOT_CONN=8
PKG_SGESAP_LC_STANDBY_NOT_SYNCH=16
PKG_SGESAP_SERVICE_RED=32
PKG_SGESAP_SERVICE_YELLOW=64
PKG_SGESAP_MANUALLY_HALTED=128
PKG_SGESAP_SERVICE_WARNING=256
PKG_SGESAP_SERVICE_ERROR=512
PKG_SGESAP_HDB_SYNC_TOLERANCE=1024
PKG_SGESAP_PRIMARY_FULLSYNC_DISABLED=2048
PKG_SGESAP_SECONDARY_FULLSYNC_ENABLED=4096

# Alert files used by monitor(s)
# requires MNAME to be setup by monitor (split off ".mon")
# if still empty, use $0
MON_PREFIX=`echo  $MNAME | cut -f 1 -d .`
[ -z "${MON_PREFIX}" ] && MON_PREFIX=`echo ${0##*/} | cut -f 1 -d .`
ALERT_STAGE_FILE=${ALERT_DIR}/${SG_PACKAGE}_${MON_PREFIX}.alert.stage
ALERT_TEMP_FILE=${ALERT_DIR}/${SG_PACKAGE}_${MON_PREFIX}.alert.tmp
ALERT_FILE=${ALERT_DIR}/${SG_PACKAGE}_${MON_PREFIX}.alert
unset MON_PREFIX

#
# Minimum required software versions
#
MIN_SGVERSION="12.10.00"
MIN_UXVERSION="B.11.31"
MIN_RHELVERSION="5.3"
MIN_SLESVERSION="11.2"

#
# global constants
#
# Serviceguard exit codes from halt script
# 0 - normal exit
# 1 - no_restart exit.
# 2 - restart exit
# 3 - halt_aborted exit
ABORT=3
ERROR=2
FATAL=${_SGESAP_TESTRUN:-1}

#
# debugging parameters
#
DBG=${DBG:-0}
TNAME=undefined
SGeSAP_TIMETRACE_DEPTH=${SGeSAP_TIMETRACE_DEPTH:-5}

#
# exports required for start_app, stop_app, clean_inst and force_umounts
#
export TRLU HNAME REM_COMM WATCHDOG_TIMEOUT DEFAULT_LOGIN_PROFILE
export PRIV_COMM RCP_COMM DELAY_INTERVALS RETFILE RETFILEFULL
export NETWORK_SLEEP_INTERVAL SGeSAP_CROSS_FILE

########################################################################
#
# If there is a special demand at the customer site to use values
# different from the default values it is possible to specify
# them in the environment configuration.
# This should only be done, if suggested by the HPE Service Org.
#
########################################################################

#
# SAP instance parameters
#
USRSAPDIR=${USRSAPDIR:-/usr/sap}
SAPMNTDIR=${SAPMNTDIR:-/sapmnt}
HANA_SHARED=${HANA_SHARED:-/hana/shared}
HOSTCTRLEXEDIR=${HOSTCTRL_EXEDIR:-${USRSAPDIR}/hostctrl/exe}
REP_PREFIX=${REP_PREFIX:-er} # default was enr up to SGeSAP B.04.01
ENQ_PREFIX=${ENQ_PREFIX:-en}
GW_PREFIX=${GW_PREFIX:-gw}
JC_PREFIX=${JC_PREFIX:-jc}
WD_PREFIX=${WD_PREFIX:-wd}
MDS_PREFIX=${MDS_PREFIX:-mds}
MDIS_PREFIX=${MDIS_PREFIX:-mdis}
MDSS_PREFIX=${MDSS_PREFIX:-mdss}
PLATFORM=${PLATFORM:-}
SAPSYS=${SAPSYS:-sapsys}
SAPMNTDIR2=${SAPMNTDIR:-${SAPMNTDIR}/${SAPSYSTEMNAME}/global}
USRSAPDIR2=${USRSAPDIR:-${USRSAPDIR}/${SAPSYSTEMNAME}}
MSSERV_BASE=${MSSERV_BASE:-3600}
JMSSERV_BASE=${JMSSERV_BASE:-3900}
ENQSERV_BASE=${ENQSERV_BASE:-3200}
JENQSERV_BASE=${JENQSERV_BASE:-3200}
ENQSERV=${ENQSERV:-}
JENQSERV=${JENQSERV:-}
RFC_TIMEOUT=${RFC_TIMEOUT:-10}
CINR=${CINR:-}
JCINR=${JCINR:-}
PFPAR_DIR_EXECUTABLE=${PFPAR_DIR_EXECUTABLE:-}

#
# SAP infrastructure tools parameters
#
SAPSERVICECONFIG=${SAPSERVICECONFIG:-${USRSAPDIR}/sapservices}
SWITCHOVERPY=${SWITCHOVERPY:-switchover.py}
BIAPATH=${BIAPATH:-python_support }
BIAADM=${BIAADM:-root}
SAPCCMSR_CMD=${SAPCCMSR_CMD:-sapccmsr}
SAPWEBDISP_EXE=${SAPWEBDISP_EXE:-"${USRSAPDIR2}/sapwebdisp/sapwebdisp"}
SAPWEBDISP_PFL=${SAPWEBDISP_PFL:-"${USRSAPDIR2}/sapwebdisp/sapwebdisp.pfl"}
SAPWEBDISP_WORKDIR=${SAPWEBDISP_WORKDIR:-"${USRSAPDIR2}/sapwebdisp"}
SAPWEBDISP_STPTMO=${SAPWEBDISP_STPTMO:-5}  # stop timeout


#
# joint LC und MAXDB parameters
#
MAXDB_DELAY_INTERVALS=${MAXDB_DELAY_INTERVALS:-${DELAY_INTERVALS}}
MAXDBDIR=${MAXDBDIR:-/sapdb/programs} # IndepProgPath
# SPOOLDIR either what's set externally, /usr/spool/sql (old MaxDB releases)
#  or /sapdb/data (new MaxDB releases)
if [ -z "${SPOOLDIR}" ]; then
  SPOOLDIR=/usr/spool/sql
  [ -d "/usr/spool/sql" ] || SPOOLDIR=/sapdb/data
fi
IPCDIR=${IPCDIR:-/var/lib/sdb}
MAXDBMVERS=0
MAXDBINSTROOT=""
# (global) x and vserver
XSERVER_BIN=/bin/x_server # Postfix of x_server path
XSERVER=${XSERVER:-${MAXDBDIR}${XSERVER_BIN}}
XSERVER_STOPOPTION=${XSERVER_STOPOPTION:-stop}
VSERVER_PGM=/pgm/vserver
VSERVER=${MAXDBDIR}${VSERVER_PGM}
DBMCLI=${DBMCLI:-${MAXDBDIR}/bin/dbmcli}
LCMONDIR=${LCMONDIR:-${LX:+${SGCONF}/monitors/sgesap}}
LCMONDIR=${LCMONDIR:-/opt/cmcluster/sap/SID}
# installation (DB) specific x and vserver cmds and infos (>=7.8)
MAXDBINSTROOT=""
MAXDBPortNoOrService=""
MAXDBXserverAutoStart=""
MAXDBXServerState=""
XSERVER_INST=""
VSERVER_INST=""


#
# SAP LC parameters
#
LC_STANDBY_RESTART=${LC_STANDBY_RESTART:-1}
LC_MANUAL_PREVENTION=${LC_MANUAL_PREVENTION:-0}

#
# SAP MAXDB parameters
#
# <none>

#
# ORACLE db parameters
#
KILL_BACKUP=${KILL_BACKUP:-0}
DBLOG=/tmp/tmpdblog
#
# MDM server parameters
#
# MDM_MONITOR_INTERVAL=${MDM_MONITOR_INTERVAL:-60}
#       How often the MDM health monitor gets executed
# ENABLE_MONTRACE=${ENABLE_MONTRACE:-0}
#       If enabled traces and logs the monitor activity into log file
# SAVED_MONTRACE_STATE=0
#       Save state of monitor tracing enable/disable changes
# SUSPENDEXECUTION_STATE=${SUSPENDEXECUTION_STATE:-0}
#       Save state of debug flag file changes
# MDSHOSTSPEC="${SGeSAP_MDM_MDSHOSTSPEC_HOST}:${SGeSAP_MDM_MDSHOSTSPEC_PASSWORD}"
#       Access info for the MDS Server = virtual host and optional
#       access password. Set in mdm_spec.1 module
# CREDENTIALS="${SGeSAP_MDM_CREDENTIALSPEC_USER}:${SGeSAP_MDM_CREDENTIALSPEC_PASSWORD}"
#       Some MDM CLIX commands require a credentials argument. Set in
#       mdm_spec.1 module
# SID=${SAPSYSTEMNAME:-}
#       The SAP System ID
#
#SGeSAP_MDM_MDSHOSTSPEC_HOST=${SGeSAP_MDM_MDSHOSTSPEC_HOST:-}
#SGeSAP_MDM_MDSHOSTSPEC_PASSWORD=${SGeSAP_MDM_MDSHOSTSPEC_PASSWORD:-}
#SGeSAP_MDM_CREDENTIALSPEC_USER=${SGeSAP_MDM_CREDENTIALSPEC_USER:-}
#SGeSAP_MDM_CREDENTIALSPEC_PASSWORD=${SGeSAP_MDM_CREDENTIALSPEC_PASSWORD:-}

MDM_MONITOR_INTERVAL=${MDM_MONITOR_INTERVAL:-30}
MDM_RETRY_COUNT=${MDM_RETRY_COUNT:-5}
#ENABLE_MONTRACE=${ENABLE_MONTRACE:-0}
SAVED_MONTRACE_STATE=${_MONTRACE_STATE:-0}
SUSPENDEXECUTION_STATE=${SUSPENDEXECUTION_STATE:-0}
SGeSAP_MDM_MDSHOSTSPEC_HOST=${SGeSAP_MDM_MDSHOSTSPEC_HOST:-}
SGeSAP_MDM_CREDENTIALSPEC_USER=${SGeSAP_MDM_CREDENTIALSPEC_USER:-}
SGeSAP_MDM_MDSHOSTSPEC_PASSWORD=${SGeSAP_MDM_MDSHOSTSPEC_PASSWORD:-}
SGeSAP_MDM_CREDENTIALSPEC_PASSWORD=${SGeSAP_MDM_CREDENTIALSPEC_PASSWORD:-}
MDSHOSTSPEC="${SGeSAP_MDM_MDSHOSTSPEC_HOST}:${SGeSAP_MDM_MDSHOSTSPEC_PASSWORD}"
CREDENTIALS="${SGeSAP_MDM_CREDENTIALSPEC_USER}:${SGeSAP_MDM_CREDENTIALSPEC_PASSWORD}"
SID=${SAPSYSTEMNAME:-}
MDM_DELAY_INTERVALS=${MDM_DELAY_INTERVALS:-10}
MAX_MDM_REPUNLOCK_VERSION="7.1.06.00"
MDS_LISTENING_PORT=${MDS_LISTENING_PORT:--# 59950}

#
# HDB parameters
#
GENRES=${SGeSAP_GENRES:-genres}
SITECONTROLLER_GENRES=sitecontroller_${GENRES}
HDBMON_SAFESYNC_GENRES=safesync${SAPSYSTEMNAME}_${GENRES}
HDBMON_TAKEOVER_FILE=""
STARTHDB_CHECK_INTERVAL=${STARTHDB_CHECK_INTERVAL:-30}
HDBMON_PROVIDER_PIPE_FILTER=${HDBMON_PROVIDER_PIPE_FILTER:-edbusrtf}
HDBMON_PROVIDER_PIPE_FILTER=${HDBMON_PROVIDER_PIPE_FILTER}x':'
HDBMON_PRODUCTION_START_FILE=${TMPDIR}/api/${SG_PACKAGE_NAME}.sgesap.prodstart.tmp
SGeSAP_HDB_DEFAULT_SYNCMODE=${SGeSAP_HDB_DEFAULT_SYNCMODE:-sync} # stay safe...
SGeSAP_HDB_SAFESYNC_TIMEOUT=${SGeSAP_HDB_SAFESYNC_TIMEOUT:-240}


########################################################################
# STO - Self-tuning TimeOuts:
# HANA start, stop and takeover operation times are saved in file
# STO_SAVED_TIMES_FILE. Analyze these times/results to come up with
# more realistic timeout values for HANA start, stop and takeover
# operations.
# SGeSAP_HDB_STO_SAMPLE_SIZE allows to analyze the last number of samples
#             only, so older values are discarded. Can be any any number
#             between 1..1000
# SGeSAP_HDB_STO_SAFETY_FACTOR  the calculated timeout is multiplied by
#             a safety factor.
#             Can be any number between 1..1000
# SGeSAP_HDB_STO_MINIMUM_THRESHOLD  Values from log file below threshold
#             SGeSAP_HDB_STO_MINIMUM_THRESHOLD
#             are to be ignored. This eliminates corner cases where during
#             testing low values (e.g < 10 secs) were logged, potentially
#             causing the the calculated timeout to be too low.
#             Can be any number between 0..1000
########################################################################

ENABLE_STO=${ENABLE_STO:-0}

if [[ ! -z "${SGeSAP_HDB_STO_SAMPLE_SIZE}"       || \
      ! -z "${SGeSAP_HDB_STO_SAFETY_FACTOR}"     || \
      ! -z "${SGeSAP_HDB_STO_MINIMUM_THRESHOLD}" ]]
then
    ENABLE_STO=1
fi

STO_SAVED_TIMES_DIR="${TMPDIR}/STO_SAVED_TIMES"
STO_SAVED_TIMES_FILE="${STO_SAVED_TIMES_DIR}/${SG_PACKAGE}"

SGeSAP_HDB_STO_SAMPLE_SIZE=${SGeSAP_HDB_STO_SAMPLE_SIZE:-20}
SGeSAP_HDB_STO_SAFETY_FACTOR=${SGeSAP_HDB_STO_SAFETY_FACTOR:-5}
SGeSAP_HDB_STO_MINIMUM_THRESHOLD=${SGeSAP_HDB_STO_MINIMUM_THRESHOLD:-10}

HDB_STO_FALLBACK_TAKEOVER_TIMEOUT=${HDB_STO_FALLBACK_TAKEOVER_TIMEOUT:-2800}
HDB_STO_FALLBACK_START_TIMEOUT=${HDB_STO_FALLBACK_START_TIMEOUT:-2800}
HDB_STO_FALLBACK_STOP_TIMEOUT=${HDB_STO_FALLBACK_STOP_TIMEOUT:-2800}
#WVE add code for timeout for start after a sr_register. upto 24h for db re-init
HDB_STO_FALLBACK_REINIT_TIMEOUT=${HDB_STO_FALLBACK_REINIT_TIMEOUT:-86400}

# globals: set to defaults
HDB_STO_START_TIMEOUT=$HDB_STO_FALLBACK_START_TIMEOUT
HDB_STO_STOP_TIMEOUT=$HDB_STO_FALLBACK_STOP_TIMEOUT
HDB_STO_TAKEOVER_TIMEOUT=$HDB_STO_FALLBACK_TAKEOVER_TIMEOUT
HDB_STO_REINIT_TIMEOUT=$HDB_STO_FALLBACK_REINIT_TIMEOUT

# fullsync SO config - init start with this timeout
FULLSYNC_SO_STO_START_TIMEOUT=${FULLSYNC_SO_STO_START_TIMEOUT:-60}

# if set will be used to update global.ini for a dual-purpose configuration
# some values for primary:
# SGeSAP_HDB_EPS_PARAM[0]="[system_replication]preload_column_tables=true"
# SGeSAP_HDB_EPS_PARAM[1]="[memorymanager]global_allocation_limit=0"
# some values for secondary:
# SGeSAP_HDB_EPS_PARAM[0]="[system_replication]preload_column_tables=false"
# SGeSAP_HDB_EPS_PARAM[1]="[memorymanager]global_allocation_limit=65536"
#
SGeSAP_HDB_EPS_LOCATION[0]=${SGeSAP_HDB_EPS_LOCATION[0]:-}
SGeSAP_HDB_EPS_PARAM[0]=${SGeSAP_HDB_EPS_PARAM[0]:-}
SGeSAP_HDB_EPS_PARAM[1]=${SGeSAP_HDB_EPS_PARAM[1]:-}

HDB_QUIESCE_TIMEOUT=${HDB_QUIESCE_TIMEOUT:-60}
# halt NW instance even if all procs haven't quiesced within timeout
HDB_QUIESCE_FORCED_HALT=${HDB_QUIESCE_FORCED_HALT:-"yes"}
# only run quiesce if all required instance params are complete
COMPLETE=10
# reduce number of monitor checks by checking global first
QUIESCE_ALL_FF_REMOVED=0
# if set the quiesce disable was run by monitor
QUIESCE_INIT_RUN=${QUIESCE_INIT_RUN:-0}
# number of checks for removing quiesce.dat ff on remote system
QUIESCE_MAX_CHECKS=${QUIESCE_MAX_CHECKS:-${SGeSAP_HDB_RETRY_COUNT}}
qcnt=${qcnt:-${QUIESCE_MAX_CHECKS}}

# HDB multitenant params
IS_HDBMDC=0
IS_HDBMDC_HISOL=0  # high isolation
GLOBALINIDIR=${GLOBALINIDIR:-"${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/SYS/global/hdb/custom/config/"}
GLOBALINIFNAME="global.ini"
HDBMDC_SIDS=""
# min HANA version required for adjusting roles in demote2secondary
HDBMINVERSION_ROLESADJ="1.00.120.00"
HDBMINVERSION_NSUTL_MODE="1.00.110.00"  # hdbnsutil offers replicationMode & operationMode
HDBMINVERSION_NSUTL_STATE="1.00.120.00" # hdbnsutil offers stateHostMapping & stateConfiguration

# time after which a landscapeHostConfiguration.py command times out
HDB_LSPY_TIMEOUT=${HDB_LSPY_TIMEOUT:-60}
# how often consecutive timeouts are allowed before counting MNP failed packages
HDB_LSPY_TIMEOUT_CNT=${HDB_LSPY_TIMEOUT_CNT:-2}

########################################################################
# HANA scale-out params
########################################################################

P_START_PRELIM=1
P_START_COMPLETE=2
P_START_ABORT=3                         # abort start - outside trigger
P_SR_TAKEOVER=4                         # in sr_takeover phase
S_START_PRELIM=11
S_START_COMPLETE=12
S_START_ABORT=13                        # abort start - outside trigger
S_SR_REGISTER=14                        # in sr_register phase

sleep_start_complete_trigger=10         # for single node: wait and  check for START_COMPLETE trigger
count_startwait=300

LOCAL_SGSITE=""                         # site name of local site
REMOTE_SGSITE=""                        # site name of remote site
HDBPRIMARY=${HDBPRIMARY:-0}             # =1 if this is a primary package
HDBSECONDARY=${HDBSECONDARY:-0}         # =1 if this is a secondary package
ACTIVE_MASTER_NAME_SERVER=""            # hdb must be running
STATIC_MASTER_NAME_SERVER=""            # hdb can be down. determined from nameserver.ini

STOPSYSTEM_TIMEOUT=2800
STOPSYSTEM_SLEEP_INTERVAL=45

SCUTIL_FILE=${SCUTIL_FILE:-${SGCONF}/scripts/sg/sc_util.sh}
TAKEOVER_TRIGGERED=0

[[ -x ${SCUTIL_FILE} ]] && . $SCUTIL_FILE
# For HANA scaleout sc_utils.sh ==12.00.20 *is required*



########################################################################
#
# misc parameters
#
########################################################################
SGESAP_ENV_FILE=${TMPDIR}/${SG_PACKAGE_NAME}.sgesap.env.tmp
SGESAP_CROSS_FILE=${TMPDIR}/${SG_PACKAGE_NAME}.sgesap.cross.tmp
SGESAP_UMNT_FILE=${TMPDIR}/${SG_PACKAGE_NAME}.sgesap.umnt.tmp
PIPEPID=0



DEFAULT_LOGIN_PROFILE=${DEFAULT_LOGIN_PROFILE:-"~/.profile"}
WAIT_OWN_AS=${WAIT_OWN_AS:-2}
RESTART_NFS=${RESTART_NFS:-0}
AUTOFS_USED=${AUTOFS_USED:-0}
IPV6=${IPV6:-} # set to -6
CMDTIMEOUT=${CMDTIMEOUT:-10}


#
# system commands
# set to what is found in root PATH; hardcoded otherwise
#

# Reference to traceroute probably can be removed when nwrksupp gets approved...
TRCRT=${TRCRT:-`which traceroute`}
ENV=${ENV:-`which env`}
[[ $UX -eq 1 ]] && TRCRT=${TRCRT:-"/usr/contrib/bin/traceroute"}

CMGETPKGENV=${CMGETPKGENV:-`which cmgetpkgenv 2>/dev/null`}
CMGETPKGENV=${CMGETPKGENV:-${SGSBIN}/cmgetpkgenv}

# NOTE: a "typeset CMEXEC" is defined in sg/sc_util.sh.
# Because of scope it will be undefined after calling
# get_source(sap_function.sh). Renaming CMEXEC -> CMEXEC1
CMEXEC1=${CMEXEC1:-`which cmexec 2>/dev/null`}
CMEXEC1=${CMEXEC1:-${SGSBIN}/cmexec}

CMMODNET=${CMMODNET:-`which cmmodnet 2>/dev/null`}
CMMODNET=${CMMODNET:-${SGSBIN}/cmmodnet}

########################################################################
#
# misc network parameters
#
########################################################################
# network support utility
# Allow external overwrite and two directories to check
# First is for HP-UX as SGROOT is not defined there and not in same directory
NWRKSUPP="${NWRKSUPP:-/opt/cmcluster/sap/bin/nwrksupp}"  # HP-UX
#[ -x "${NWRKSUPP}" ] || NWRKSUPP="${SGROOT}/sap/bin/nwrksupp" # LX: sep. sap/bin
[ -x "${NWRKSUPP}" ] || NWRKSUPP="${SGSBIN}/nwrksupp"  # same dir as cm binaries
[ -x "${NWRKSUPP}" ] || sg_log 5 "(${MNAME}): ERROR: SGeSAP network support utility not found [${NWRKSUPP}]"

########################################################################
#
#
#  Main function with presets
#
#
########################################################################

fname=${fname:-sap_functions}
MNAME=${MNAME:-}
HNAME=`hostname`
VHNAME=${HNAME}
CROSSRC=""
SYNCDB=0

if [ ${WAIT_OWN_AS} -le 1 ]; then
  set -m
fi

if [ "X${SGeSAP_PARALLEL_STARTUP:-}" = "Xno" ]; then
  AS_PSTART=0
else
  AS_PSTART=1
fi

[ -z "${ENQSERV}" ]  && [ ! -z "${CINR}" ]  && ((ENQSERV=${ENQSERV_BASE} + 10#${CINR} ))
[ -z "${JENQSERV}" ] && [ ! -z "${JCINR}" ] && ((JENQSERV=${JENQSERV_BASE} + 10#${JCINR} ))


########################################################################
#
#
#  Function definition section
#
#
########################################################################

########################################################################
#
# SUB Functions: LogMsg, LogMsg2, ErrLogMsg, WrnLogMsg, BLogMsg
#
# Prints out message into package logfile using unified format.
#
# Parameters of LogMsg, ErrLogMsg, WrnLogMsg:
# $1    message text
#
# Parameters of LogMsg2
# $1    log level
#
#      Level 1 : detailed user visible informative messages
#      Level 2 : messages provide logic flow
#      Level 3 : messages provide detailed data structure information
#      Level 4 : debugging information that provides detailed data
#                (for example call syntax of subshell commands)
#
# $2... message text
#
########################################################################

function LogMsg2
{
  typeset log_level=$1

  shift 1
  if [ "X${SG_LOG_LEVEL}" == "X0" ]; then
    ${LOGGER} ${log_level} "$*" 2>/dev/null
  else
    ${LOGGER} ${log_level} "(${MNAME}${fname}): $*" 2>/dev/null
  fi
}

function ErrLogMsg
{
  LogMsg2 0 "ERROR: $*"
}

function ErrLogMsg2
{
  LogMsg2 0 "       $*"
}

function WrnLogMsg
{
  LogMsg2 0 "WARNING: $*"
}
function LogMsg
{
  LogMsg2 1 "$*"
}

function BLogMsg
{
  if [[ -n ${fname} ]]; then
    sg_log 5 "(${MNAME}${fname}${*:+ $*}): TRACE POINT"
  fi

  #
  # shell script time profile debugging
  #
  if [[ "X${SGeSAP_TIMETRACE_FUNCTION}" = "X${MNAME}${fname}" ]]; then
    LogMsg "Time profiling turned on"
    TNAME=${MNAME}${fname}
    TNR=0
    set -o functrace
    set -x
    # trap 'set +x;echo "DEBUG:$(date +%s): $BASH_COMMAND"|grep . >&2; set -x ' DEBUG
  elif [[ "X${SGeSAP_TIMETRACE_FUNCTION}" = "X${TNAME}" ]]; then
    if [[ ${TNR} -le ${SGeSAP_TIMETRACE_DEPTH} ]]; then
      (( TNR = ${TNR} + 1 ))
    else
      TNAME=undefined
      set +o functrace
      trap - DEBUG
      set +x
      LogMsg "Time profiling turned off"
    fi
  fi
}

function DbgLogMsg
{
  # send DBG messages to stderr
  [ ${DBG:-0} -ne 0 ] && LogMsg2 0 "DBG: $*" >&2
  return 0
}

#########################################################################
# SUB Function: snipit
#
# Purpose: use variable SNIPMARK to inject a marker (\nSGeSAP\n) in an
# output stream. when the stream gets piped to function snipit(), all output
# before the marker is discarded. this mainly is used when running su
# commands and motd as well as other data is displayed before being able
# to run a command
#
# Parameters: none
#
#########################################################################
SNIPMARK="printf '\nSGeSAP\n'"
function snipit {
   awk 'BEGIN { snipper=0 } /./ { if (snipper == 1) print $0 }  /^SGeSAP$/ { snipper=1 }'
}


########################################################################
#
# SUB Function: ipcs2ipclist
#
# Reformats ipcs(1m) output to ID list.
#
# Parameters:
#
# <to be used as filter>
#
# NOTE: string returned is:  -m 3309576 -s 227352....
#
########################################################################
function ipcs2ipclist
{
  awk '
    {
      if ((ipc = substr($0, 1, 1)) ~ /m|s|q/) {
        notempty=1;
        split (substr($0, 2), fields);
        printf (" -%s %s", ipc, fields[1]);
      }
    }
    END {  if (notempty) print ""; }'
}


########################################################################
#
# SUB Function: logpipe
#
# Adds a Serviceguard package log prefix to stdout of a command
# (or command sequence) to allow inclusion in the package log file.
#
# Example 1:
#   <cmd>|logpipe
#
# Example log file line:
# May 16 14:43:21 root@vmlx-0-73 logpipe[15050]: (clean_abc):  rc=[0]
#
# Remarks:
#  return code of <cmd> gets lost
########################################################################
function logpipe
{
    pre="`whoami`@`hostname` logpipe[$$]: ("${MNAME}${fname}"):"
    awk  '/./ {
      "date \"+%b %e %T\"" | getline d
      printf("%s %s %s\n", d, "'"${pre}"'", $0 ); } '
}

########################################################################
#
# Function: init_logpipe_fifo
#
# setup a fifo: used as a filter for data logged to SGeSAP logfiles via
# functions logpipe_pre, logpipe_post
#
# Parameters: 	None
#
########################################################################
function init_logpipe_fifo
{
  typeset fname=setup_logpipe_fifo
  [ ${DBG} -gt 0 ] && BLogMsg $*

  # preparation: generate a dummy (=-u) fifo file name for FIFO creation
  # in ${TMPDIR}
  fifo=$(/bin/mktemp -p ${TMPDIR} -ut  ${SG_PACKAGE}logpipeFIFO.XXXXXXXX)

  # create a fifo/named pipe - owner is root and permission is rw
  typeset cmd="/usr/bin/mkfifo --mode=0600 $fifo"

  # execute_cmd_le: Log error if command fails and then exit script
  execute_cmd_le "$cmd"
  [ $? -ne 0 ] && exit
}


########################################################################
#
# SUB Function: logpipe_pre
#
########################################################################
function logpipe_pre
{
  typeset fname=logpipe_pre
  [ ${DBG} -gt 0 ] && BLogMsg $*

  # setup a new FIFO for the logpipe/filtering
  init_logpipe_fifo

  # run sanity check in foreground before running
  # logpipe_pre_read_and_filter() in background e.g.
  # logpipe_pre_read_and_filter always requires a
  # corresponding logpipe_post. if this  is not the
  # case something is broken
  #
  if [ ${LOGPIPEFLAG} -eq 1 ]; then
    WrnLogMsg "Internal: logpipe_pre: called twice"
    return 1
  else
    LOGPIPEFLAG=1
  fi

  # start FIFO filter/reader in background so any foreground
  # commands can continue and can write to fifo. "$@" contains
  # args / filter expressions for the FIFO stream
  (logpipe_pre_read_and_filter "$@" <${fifo} )&

  # now global redirect stdout to FIFO for any following
  # command sequences. Note: redirection will be canceled
  # with execution of logpipe_post()
  exec >${fifo}
}

########################################################################
#
# SUB Function: logpipe_pre_read_and_filter
#
# Adds a Serviceguard package log prefix to stdout of a command
# (or command sequence) to allow inclusion in the package log file.
#
# Output stream is redirected to a fifo; This function reads from the
# fifo in background
# - Output stream can be filtered for <filter> keywords
# - Start of logging of output can be triggered with <trigger> keyword
#
# Example 2: (return code of <cmd> gets preserved)
#   logpipe_pre [-g <filter>]... [-a <trigger>]
#   <cmd>
#   RC=$?
#   logpipe_post
#   echo $?
#
# Remarks:
#   - a returncode is available
#   - Argument -g <filter> will map into ${e}
#   - Argument -a <trigger> will map into ${t}
########################################################################
function logpipe_pre_read_and_filter
{
  typeset e
  typeset t
  typeset nargmod

  t=""
  e=""

  #
  # arguments to logpipe_pre always come in pairs
  #
  (( nargmod = ${#} % 2 ))
  if [ ${nargmod} -ne 0 ]; then
    # error with args so don't run the filter below.
    # just read from fifo and print everything
    WrnLogMsg "Internal: logpipe_pre_read_and_filter call: wrong number of parameters (${#}: ${*})"
    cat -| logpipe
    return 1
  fi

  #
  # parse arguments
  #
  while [ "X${1}" != "X" ];
  do
    #
    # parse and map -a <trigger> data to ${t}
    #
    if [ "${1}" = "-a" ]; then
      if [ "X${t}" = "X" ]; then
        t="${2}"
        shift 2
      else
        # error with args so don't run the filter below.
        # just read from fifo and print everything
        WrnLogMsg "Internal: logpipe_pre_read_and_filter call: two -a args not allowed"
        cat -| logpipe
        return 1
      fi
    #
    # parse and map -g <filter> data to ${e}.
    # multiple filter pairs are possible
    #
    elif [ "${1}" = "-g" ]; then
      e="${e} -e ${2}"

      #
      # get next 2 arguments
      #
      shift 2
    else
      WrnLogMsg "Internal: logpipe_pre: wrong parameter pair (${1} ${2})"
      shift 2
    fi
  done

  DbgLogMsg "a=[${a}] t=[${t}] g=[${g}] e=[${e}]"

  #
  # Either
  #   discard output unless stream contains a keyword ${t} that triggers output and
  #   then filters for event keywords ${e} in stream (.* =all if none specified)
  # Or
  #   just filter for event keywords ${e} in stream (.* =all if none specified)
  #
  if [ "X${t}" != "X" ]; then
    cat -|awk 'BEGIN{TRIGGER=0}/'"${t}"'/{TRIGGER=1;next}/./ { if ( TRIGGER == 1 ) print $0 }'|
    eval grep -E ${e:-'.\*'}|grep -v Release|grep -v "Not a typewriter"|logpipe
  else
    cat -|eval grep -E ${e:-'.\*'}|grep -v Release|grep -v "Not a typewriter"|logpipe
  fi

}

########################################################################
#
# SUB Function: logpipe_post
#
# Cleanup after the logpipe_pre initiated communication with fifo
#
#
########################################################################
function logpipe_post
{
  typeset fname=logpipe_post
  [ ${DBG} -gt 0 ] && BLogMsg $*

  #
  # sanity check: logpipe_pre always requires a
  # corresponding logpipe_post. if this is not the
  # case something is broken
  #
  if [ ${LOGPIPEFLAG} -eq 0 ]; then
    WrnLogMsg "Internal error: logpipe_pre not called"
  else
    LOGPIPEFLAG=0
  fi

  # cancel global redirection from logpipe_pre() - restore fd1 previously
  # saved in fd4 (= exec 1>&4) e.g. point fd1 (=stdout) to same
  # output file as fd4 points to. Sets EOF on FIFO and thus terminates
  # background job setup in logpipe_pre()
  exec >&4

  # remove FIFO in $TMPDIR
  rm $fifo

  # give time for cleanup
  sleep 1

}

########################################################################
#
# SUB Function: create_retfile
#
# Creates a RET file header (remote execution temporary file).
#
# Parameters:
# $1          a meaningful purpose of the file (often $fname)
#
# Remarks:
#             Fills RETFILE, RETFILEFULL.
#             Increases RETCOUNTER.
#             - script works for Linux and HP-UX when using /bin/sh
#             - requires ssh/remsh enabled on remote node
########################################################################
function create_retfile
{
  RETFILE=SGeSAP_RET_${SG_PACKAGE_NAME}_${1}.$$${RANDOM}.${RETCOUNTER}
  (( RETCOUNTER = ${RETCOUNTER} + 1 ))
  RETFILEFULL=${TMPDIR}/${RETFILE}
  >${RETFILEFULL}  echo '#!/bin/sh'
  >>${RETFILEFULL} echo '#'
  >>${RETFILEFULL} echo '# SGeSAP RET - remote execution temporary script'
  >>${RETFILEFULL} echo '# Creation time:'`date`'.'
  >>${RETFILEFULL} echo '#'
  >>${RETFILEFULL} echo 'function '${1}' {'
  chmod 755 ${RETFILEFULL}
  chown ${MYSIDADM} ${RETFILEFULL}
}


#########################################################################
#
# SUB Function: fmtdlogpipe
#
# Format ouptut: adds a header/trailer to a Serviceguard log so longer
# records such as startup Oracle are identified easier. No timestamp
# or host info so longer lines don't wrap.
#
# Parameters:
# <to be used as filter>

#########################################################################
function fmtdlogpipe
{
 awk  '
    BEGIN {print "_________________ START _________________________________________________________________________"}

          {print $0}

    END   {print "_________________ END ___________________________________________________________________________"}
'

}

########################################################################
#
# SUB Function: safe_exit
#
# Parameters:
# $1    error type
# $2    scale-out flag (to define safety return)
#
########################################################################
function safe_exit
{
  if [[ "X${2}" = "XSO" ]]; then
    return $1
  else
    exit $1
  fi
}

########################################################################
#
# SUB Function: is_node_alive
#
# Simple test with a ping if a node responds.
#
# Parameters:
# $1    node to be tested
#
########################################################################
function is_node_alive
{
  typeset fname=is_node_alive
  BLogMsg $*

  NODE=$1

  typeset PING_COUNT="64"    # packet size
  typeset PING_TIMEOUT="2"   # number of pings

  case "${HPLAT}" in
    HP-UX)
        typeset ret=`ping $NODE ${PING_COUNT} ${PING_TIMEOUT} | tail -1 | awk '{print $1}'`

        if [ "X${ret}" = "Xround-trip" ]; then
          return 1
        else
          return 0
        fi
    ;;
    Linux)
        typeset ret=""
        for pingcmd in ping ping6 ; do
          ret=$(${pingcmd} $NODE -s ${PING_COUNT} -c ${PING_TIMEOUT} 2>&1)
          rtncode=$?
          DbgLogMsg "ping rtncode: $rtncode - ret=[${ret}]"

          if [ ${rtncode} -eq 0 ]; then
            # all request pings sent, at least one of them was successful
            return 1
          elif  [ ${rtncode} -eq 1 ]; then
            # pings sent, none successful
            # or in case of -w usage not all could be sent in "deadline" time
            # check output for rtt for latter case
            echo "${ret}" | tail -1 | grep -e "^rtt " && return 1
            DbgLogMsg "No ping timeout"
          fi
          # next iteration or loop end for returncode 2 (or higher)
        done
        # no ping successful
        return 0
    ;;
  esac
  WrnLogMsg "Unknown HPLAT setting?"
  return 0
}


########################################################################
#
# SUB Function: treatment_test
#
# This function tests whether a specific treatment for an
# App-Server is configured or not.
#
# Parameters:
# $1    Index to App-Server in ASHOST[@] array
# $2    ASTREAT[@] value like specified as global variable
#
# Return values:
# 0     type of treatment is not configured
# 1     type of treatment is configured
#
########################################################################
function treatment_test
{
  typeset fname=treatment_test

  if [ ${SG_LOG_LEVEL} -ge 4 ]; then
    :
    # BLogMsg $*
  fi

  # LogMsg2 3 "(${ASTREAT[$1]} /\\ ${2})"

  if [ $2 -ne 0 ]; then
    (( TESTBIT = ${ASTREAT[$1]} / ${2} % 2 ))
    return $TESTBIT
  else
    return 1
  fi
}


########################################################################
#
# SUB Function: dns_sync
#
# Wait until a specified hostname becomes available in DNS.
#
#
# Parameters:
# $1    hostname to be tested
#
# Remark:
#
########################################################################
function dns_sync
{
  typeset fname=dns_sync
  BLogMsg $*

  typeset sname
  typeset tname
  typeset nsserver
  typeset tested_hostnames
  typeset rc
  typeset -i i
  typeset -i j

  rm ${SGESAP_CROSS_FILE} 2>/dev/null

  if [ ! -e "/etc/resolv.conf" ]; then
    LogMsg "DNS resolution test skipped - /etc/resolv.conf doesn't exist"
    return 0
  fi

  if [ ${NETWORK_SLEEP_INTERVAL} -eq 0 ]; then
    LogMsg "DNS resolution test skipped"
    return 0
  fi

  j=0
  for sname in ${SGeSAP_SAP_VIRTUAL_HOSTNAME[@]}; do
      #
      # avoid redundant nslookups
      #
      for tname in ${tested_hostnames[@]}; do
        if [ "X${sname}" = "X${tname}" ]; then
          break
        fi
      done

      if [ "X${sname}" = "X${tname}" ]; then
          continue
      fi

      tested_hostnames[${j}]=${sname}
      (( j = $j + 1 ))

      LogMsg "Waiting for name resolution of ${sname}..."

      i=0
      rc=0
      while [ ${i} -lt ${DELAY_INTERVALS} ]; do
        for nsserver in `grep ^nameserver /etc/resolv.conf|awk '{print $2}'`; do
          #
          # poll each nameserver separately
          #
          nslookup -timeout=5 -ret=2 ${sname} ${nsserver} 2>/dev/null|
          awk '/^Name:/{NAMEMATCH=0; ADDRESSFOUND=0}
               /^Name:[[:space:]]*'${sname}'$/{NAMEMATCH=1; next}
               /^Name:[[:space:]]*'${sname}'[[:space:][:punct:][:cntrl:]]/{NAMEMATCH=1; next}
               /^Address'e\{0,1\}s\{0,1\}':/{if (NAMEMATCH==1) exit 1; else ADDRESSFOUND=1}
               /^Aliases:[[:space:]]*'${sname}'$/{if (ADDRESSFOUND==1) exit 1}
               /^Aliases:[[:space:]]*'${sname}'[[:space:][:punct:][:cntrl:]]/{if (ADDRESSFOUND==1) exit 1}'
          rc=$?
          if [ ${rc} -eq 1 ]; then
            break
          fi
        done
        if [ ${rc} -eq 1 ]; then
          break
        fi
        (( i = ${i} + 1 ))
        sleep ${NETWORK_SLEEP_INTERVAL}
      done
      if [ ${rc} -eq 0 ]; then
        WrnLogMsg "${sname} not yet resolvable with DNS; DNS delay timed out"
      fi
  done
}


########################################################################
#
# SUB Function: clean_ipc
#
# The standard shared memory cleanup of SAP instances.
#
# Parameters:
# $1    Name of the instance
# $2    nr of the instance
# $3    sidadm
#
########################################################################
function clean_ipc
{
  typeset fname=clean_ipc
  BLogMsg $*

  typeset sid=`echo $3|${TRLU}|cut -c -3`
  typeset admin

  if [ "X`echo $3|cut -c 4-`" != "Xadm" ]; then
    WrnLogMsg "Non default SIDadm name: $3"
    sid=${SAPSYSTEMNAME}
  fi
  if [ -z "${3}" ]; then
    admin=root
  else
    admin=${3}
  fi

  if [ "X${CLEANUP_POLICY}" = "Xlazy" ]; then
    LogMsg "Standard shmem cleanup skipped (lazy cleanup configured)"
    return 0
  fi

  if [ "X${CLEANUP_POLICY}" = "Xnormal" ]; then
    location=`find_sap_binary $1 $2 $HNAME ${sid} cleanipc`
    if [ `(su - ${admin} -c "${location:-cleanipc} ${2}") 2>&1|grep "Shared Memory Key"|grep "Att"|wc -l` -ne 0 ]; then
      WrnLogMsg "shmem has processes attached"
      return 0
    fi
  fi

  LogMsg "Searching shmem of ${1}${2} on ${HNAME} using ${CLEANUP_POLICY} cleanup policy"
  (su - ${3} -c "${location:-cleanipc} ${2} remove") 2>&1|grep "Shared Memory Key"|logpipe

  return 0
}


########################################################################
#
# SUB Function: is_ip_local
#
# Checks if IP address is configured at this node.
# Runs on both HP-UX and Linux.
#
# Parameters:
# $1    hostname to be tested
# $2    quiteflag
#
# Returns:
#  0 : IP not local
#  1 : IP considered local
#
# Requires:
#   SGeSAP nwrksupp utility
#
########################################################################
function is_ip_local
{
  typeset fname=is_ip_local
  if [ -z "$2" ]; then
    BLogMsg $*
  fi

  typeset ip_name=$1
  typeset rc
  typeset rc2
  typeset ipaddrs=""
  typeset tmpip

  if [ ! -x "${NWRKSUPP}" ]; then
    WrnLogMsg "SGeSAP network support utility not found [${NWRKSUPP}]"
    return 1 # fake, assume its local
  fi

  if ! ${NWRKSUPP} isaddr $ip_name >/dev/null 2>&1 ; then
    # provided parameter is neither a IPv4 nor IPv6 address
    # try to do a name resolution
    ipaddrs=$(${NWRKSUPP} ghbn ${ip_name} 2>/dev/null)
    if [ $? -ne 0 ]; then
      ErrLogMsg "Name resolution for $ip_name failed"
      # this is old behavior. if ping/tracert on HP-UX failed for whatever
      # reason address was considered remote.
      return 0
    fi
    # at this point we have at least one address for the hostname
    # it should be sufficient to test the first one (?)
    # overwrites $NODE variable to first IP address
    ip_name=$(echo "${ipaddrs}" | head -1 |  cut -d ';' -f3)
  fi

  if ${NWRKSUPP} isl $ip_name >/dev/null 2>&1; then
    if [ -z "$2" ]; then
      LogMsg2 1 "${ip_name} is local"
    fi
    return 1
  fi

  # for tmpip in ${SG_IP_ADDRESS[@]}; do
  #   if [ "X${tmpip}" = X`echo "${ipaddrs}"|cut -f 3 -d ";"` ]; then
  #     if [ -z "$2" ]; then
  #       LogMsg2 1 "${ip_name} is configured in this package"
  #     fi
  #     return 1
  #   fi
  # done

  if [ -z "$2" ]; then
    LogMsg2 1 "${ip_name} is not configured locally"
  fi

  return 0
}

########################################################################
#
# SUB Function: is_ip_local_ux
#
# Old is_ip_local as used on HP-UX. Left in for fallback/reference purposes
# (together with is_ip_local_ipv6)
#
# Parameters:
# $1	hostname to be tested
#
########################################################################
function is_ip_local_ux
{
  typeset fname=is_ip_local
  BLogMsg $*

  typeset ip_name=$1
  typeset rc
  typeset rc2

  #
  # replacing ping -o, which doesn't support ipv6
  #
  rc2=`ping -o "${ip_name}" 64 1 -m 1`
  if [ "X${rc2}" = "Xthe -o option has not been implemented for IPv6" ]; then
    # rc2=`traceroute -6 -s ::1 -w 2 -m 1 "${ip_name}"|grep "max ttl expired before reaching"|wc -l`
    # (( rc = ${rc2} -1 ))
    is_ipv6_local ${ip_name}
    rc=$?
  else
    rc=`ping -o "${ip_name}" 64 1 -m 20 2>/dev/null|grep -e "::1" -e "127.0.0.1"|wc -l`
  fi

  if [ ${rc:=0} -ge 1 ]; then
    LogMsg2 1 "${ip_name} is local"
    return 1
  else
    LogMsg2 1 "${ip_name} is not configured locally"
    return 0
  fi
}


########################################################################
#
# SUB Function: is_ipv6_local
#
# Checks if IPv6 address is configured at this node.
# Should be called only through is_ip_local() to make sure that
# IP is in fact a IPv6 address
#
# Parameters:
# $1    IP name/address to be tested
#
# Requires:
# - variable TRCRT to be set a previously (traceroute might not be in PATH).
#
# Remarks:
# - traceroutes running in paralllel might trip on each other. Check error message and retry
#    ("traceroute: failed to get received hop limit or packet info"). If detected the process
#   does a waits some random number of seconds and tries again. This might happen if a number
#   of appservers starts up in parallel.
#
########################################################################

function is_ipv6_local
{
  typeset fname=is_ipv6_local
  BLogMsg $*

  typeset ip_name=$1
  typeset rc
  typeset rc2
  typeset ipv6name
  typeset ipv6addr
  typeset randwait

  rc2=`${TRCRT} -n -6 -s ::1 -w 2 -m 1 "${ip_name}" 2>&1`
  if [ $? -ne 0 ]; then
    # traceroute failed - considered not local
    WrnLogMsg "${TRCRT} failed (rc: ${rc2})"
    # check for traceroute "collisions", seem to appear when multiple traceroutes are executed in parallel.
    # Trailing "1" is important to distinguish the collision from a usual error message
    # (WARINING: may behave differently on other systems)
    echo ${rc2} | grep "traceroute: failed to get received hop limit or packet info 1" >/dev/null 2>&1
    if [ $? -eq 0 ]; then
      # wait randomly between 5 to 15 seconds
      let randwait=${RANDOM}%10+5
      WrnLogMsg "possible traceroute \"collision\", retrying once after ${randwait} seconds"
      sleep ${randwait}
      rc2=`${TRCRT} -n -6 -s ::1 -w 2 -m 1 "${ip_name}" 2>&1`
      if [ $? -ne 0 ]; then
         # traceroute failed again - considered not local
         WrnLogMsg "Warning: traceroute failed a second time (rc: ${rc2})"
         return 0
      fi
    else
      # failed due to another reason
      return 0
    fi
  fi

  #
  # traceroute successful if we got here
  # extract name and address from "traceroute to" line
  ipv6name=`echo "$rc2" | grep "traceroute to" | cut -d' '  -f 3`
  ipv6addr=`echo "$rc2" | grep "traceroute to" | cut -d' '  -f 4`
  # LogMsg "$ipv6name $ipv6addr"
  # get rid of enclosing '()' in the address part
  ipv6addr=`echo "$ipv6addr" | sed -e 's/(//1' | sed -e 's/)//1'`
  LogMsg2 4 "ipv6name/Address: $i{ipv6name} ${ipv6addr}"

  #
  # see if ipv6addr is on last line (should be first and only hop)
  # if that is the case IP is considered local
  # "tail -n 1" is necessary as address appears at least twice if local
  #
  rc=`echo "${rc2}" | tail -n 1 | grep "${ipv6addr}" | wc -l`
  return ${rc}
}

###############################################################################
# a new implementation:
#
# the following code tries to determine if a process name is running and returns
# the correspond pid. in the example we are lookign for a process with string /:
# name "stopsap_eclsh31_01".  the following cases have to be tested -  so
# that a "innocent  process" such as "vi stopsap_eclsh31_01" isn't returned by
# accident. on the other side it should return a pid for a shell process
# "/bin/sh stopsap_eclsh31_01"
#
# PID    COMMAND
# col1  col2                 col3
#----------------------------------------------
# 22291 stopsap_eclsh31_01
# 22292 /bin/sh              stopsap_eclsh31_01
# 22293 /bin/vi              stopsap_eclsh31_01
#
# case 22291: just return the PID since this is the process we are looking for
# case 22292: also retuirn the PID as the process is executed from a shell
# case 22293: don't return PID since an vi editor happens to have a file open
#             with the same name as the process we are looking for
#
# some details on the implementation:
#
# if ( $2 ~ /'${PROCESS_NAME}'$/ ) {
#
#   $2 is the second column of the above ps output
#
#   '${PROCESS_NAME}' is in single quotes so that the awk script doesn't
#   use this as a variable but instead is subsituteid in the shell function
#
#   /'${PROCESS_NAME}'$/ note the $ character. the pattern we are searching for
#   has to be at the end of the string - not somewhere int the middle
#
# if ( $3 ~ /'${PROCESS_NAME}'$/ && $2 ~ /sh$/ ) {
#
#    $3 is the third column
#
#   /'${PROCESS_NAME}'$/ is again at the end of the string to match
#
#   $2 ~ /sh$/ the executable or pattern we are trying to match can also
#   be sgtarted as a shell script
#
###############################################################################

###############################################################################
#
# SUB Function: getpids_for_test_proc
#
# Checks if processes with a give name are running and returns pids found
# to function test_proc
#
# Parameters:
# $1    process name to search for
#
# note: debug output to "/dev/stderr" only works on linux. on hpux it is
# ignored
#
# note: the original implementation exits after the first process /pid is
# found. therefore we also exit in the new implementation. see function
# test_proc for exit statement
###############################################################################

function getpids_for_test_proc
{

  PROCESS_NAME=$1

 awk  '

 BEGIN { debug=0 }
    {
      if ( $2 ~ "'${PROCESS_NAME}'$" ) {
          printf "%d ", $1
          exit
      } else {
        if ( $2 ~ /sh$/ && $3 ~ "'${PROCESS_NAME}'$" ) {
            printf "%d ", $1
            exit
        }
      }
    }'
}

########################################################################
#
# Function: detect_module
#
# Checks if a given module is configured in the package.
#
# Parameters:
# $1 module name
#
#
# Returns 0 if module is found.
#
########################################################################
function detect_module
{
  typeset fname=detect_module

  for modulename in ${SG_MODULE_NAME[@]}; do
    if [ "X${modulename}" = "X${1}" ]; then
      return 0
    fi
  done

  return 1

}


########################################################################
#
# SUB Function: test_proc
#
# Checks if a process with a given name is running.
#
# Parameters:
# $1    process name
#
########################################################################
function test_proc
{
  case "${HPLAT}" in
    HP-UX) TPID=`${UNIX95} ps -exo pid,comm | getpids_for_test_proc $1`;;
    Linux) TPID=`ps -eo pid,cmd | getpids_for_test_proc $1`;;
  esac

  if [ -z "${TPID}" ]; then
    TPID=0
    return 1
  fi
  return 0
}

########################################################################
#
# SUB Function: test_proc_prefix
#
# Checks if a SAP process with a certain prefix in the command
# name is running.
#
# Parameters:
# $1    process name prefix
#
########################################################################
function test_proc_prefix
{
  case "${HPLAT}" in
    HP-UX)
        TPID=`${UNIX95} ps -G ${SAPSYS}|awk '{ print $4, $1 }'|awk '/^'${1}'/ { print $2 }'`
    ;;
    Linux)
        ###############################################################
        # ps either shows command running under the real unix name
        # or under the argv name -> see example below:
        #   dw.sapXI7_DVEBMGS00
        #     vs
        #   dw.sapXI7_D14 XI7_14_DIA_W0
        # therefore the process prefix will not be found. use "ps -o cmd"
        # style to get consistent output from ps
        ###############################################################
        TPID=`ps -o pid,cmd -g ${SAPSYS}|awk '{ print $2, $1 }'|awk -F/ '{print $NF}'|awk '/^'${1}'/ { print $2 }'`
    ;;
  esac

  if [ -z "${TPID}" ]; then
    TPID=0
    return 1
  fi
  return 0
}


###############################################################################
#
# SUB Function: getpids_for_test_proc_user
#
# Checks if processes with a give name are running and returns pids found
# to function test_proc_ user
#
# Parameters:
# $1    process name to search for
# $2    process user/owner of the process to search for
#
# note: debug output to "/dev/stderr" only works on linux. on hpux it is
# ignored
#
# note: the original implementation exits after the first process /pid is
# found. therefore we also exit in the new implementation. see function
# test_proc_user
###############################################################################

function getpids_for_test_proc_user
{

  PROCESS_NAME=$1
  PROCESS_USER=$2

 awk  '

    BEGIN { debug=0 }
    {
      if ( $2 ~ "'${PROCESS_USER}'$" && $3 ~ "'${PROCESS_NAME}'$" ) {
        printf "%d ", $1
        exit
      } else {
        if ( $2 ~ "'${PROCESS_USER}'$" && $3 ~ /sh$/ && $4 ~ "'${PROCESS_NAME}'$" ) {
          printf "%d ", $1
          exit
        }
      }
    }'
}

########################################################################
#
# SUB Function: test_proc_user
#
# Checks if a certain process belonging to a particular user is running.
#
# Parameters:
# $1 process name
# $2 process owner
#
########################################################################
function test_proc_user
{
  case "${HPLAT}" in
    HP-UX)
      TPID=`${UNIX95} ps -exo pid,user,comm | getpids_for_test_proc_user $1 $2`
    ;;
    Linux)
      TPID=`ps -eo pid,user,cmd | getpids_for_test_proc_user $1 $2`
    ;;
  esac
  if [ -z "${TPID}" ]; then
    TPID=0
    return 1
  fi
  return 0
}


########################################################################
#
# SUB Function: test_proc_opt
#
# Checks if a certain process is running and was called using
# certain options.
#
# Parameters:
# $1 process name
# $2 call option
#
########################################################################
function test_proc_opt
{
  typeset fname=test_proc_opt

  if [ -z "${2}" ]; then
    WrnLogMsg "Call option empty"
  fi

  case "${HPLAT}" in
    HP-UX)
      TPID=`${UNIX95} ps -fxC "$1"|grep "$2"|awk '/./ {print $2;exit}'`
      # A pid column might be padded with blanks or not -
      # which makes it hard for awk to select the right column
      # if input is from ps -o pid,args.
      # Thus, ucomm is added as a field without blanks.
      #
      if [ -z "${TPID}" ]; then
        TPID=0
        return 1
      fi
    ;;
    Linux)
        typeset TRUNC_NAME="`echo $1|cut -c -16`"
        TPID=`ps -C "$1" -o ucomm,pid,args --no-headers|grep "${TRUNC_NAME}"|grep "$2"|awk '/./ {print $2;exit}'`
        if [ -z "${TPID}" ]; then
          TPID=0
          return 1
        fi
    ;;
  esac

}

########################################################################
#
# SUB Function: wait_proc_exit
#
# Wait until a process exits or timeout occured.
# Should be used for processes which still staying around after a stop
# or a kill have been issued, butare expected to exit soon. Therefore
# it is a "busy loop" check.
#
# Parameters:
# $1 PID of process
# $2 timeout (optional, default $WATCHDOG_TIMEOUT)
# $3 sleeptime between checks (optional, default 1)
#
# Returns:
# 0 - process exits
# 1 - timeout
#
# Uses:
# /bin/kill
#
########################################################################
function wait_proc_exit
{
  typeset fname=wait_proc_exit
  typeset rc
  typeset procpid=${1}
  typeset proctimeout=${2:-${WATCHDOG_TIMEOUT}}
  typeset sleeptime=${3:-1}

  LogMsg "Waiting for process $procpid to exit"
  while [ $proctimeout -gt 0 ]; do
    /bin/kill -0 $procpid 1>/dev/null 2>&1 || return 0
    sleep $sleeptime
    (( proctimeout -= sleeptime ))
  done

  WrnLogMsg "Process $procpid not exited"
  return 1;

}

########################################################################
#
# SUB Function: watched_check
#
# Check if a file exists with watchdog.
#
# $1 name of file to be checked
# $2 watchdog timeout in seconds
# $3 test option (optional; -f is default)
#
########################################################################
function watched_check
{
  typeset fname=watched_check
  typeset rc
  typeset test_option=${3:--f}
  typeset pwd
  # if silent=1 don't print any hangs/timeouts for file/directory accesses
  # via watchdog()
  typeset silent=1

  # very short living processes can finish, before the actual watchdog is fully
  # initialized and is able to "catchup". in this case the watchdog() would return
  # a misleading rc=127 indicating timeout. Setting quickproc_rc_remap maps
  # these to rc=0
  typeset quickproc_rc_remap=1

  if [ -z "${1}" -o -z "${2}" ]; then
    WrnLogMsg "Call option empty"
    echo 1
  elif [ "${test_option}" = "-d" ]; then
    cd ${1} 2>/dev/null &
    watchdog "$!" "$2" $silent $quickproc_rc_remap
    rc=$?
    if [ ${rc} -eq 127 -o ${rc} -eq 0 ]; then
      pwd=`pwd`
      cd ${1} 2>/dev/null
      ls > /dev/null 2>&1 &
      watchdog "$!" "$2" $silent $quickproc_rc_remap
      echo $?
      cd ${pwd}
    else
      echo ${rc}
    fi
  else
    [ ${test_option} ${1} ] &
    watchdog "$!" "$2" $silent $quickproc_rc_remap
    rc=$?
    if [ ${rc} -eq 127 -o ${rc} -eq 0 ]; then
      [ ${test_option} ${1} ]
      echo $?
    else
      echo ${rc}
    fi
  fi
}


########################################################################
#
# SUB Functions: get_lock, free_lock
#
# Atomic operation that realizes a mutex mechanism in shell scripts.
#
# Parameters:
# $1  mutex name
#
########################################################################
function get_lock
{
  mkdir ${1}.lock 2>/dev/null||(sleep 1&&mkdir ${1}.lock)
  return $?
}
function free_lock
{
  [ -z "${1}" ] && WrnLogMsg "Wrong call syntax to free_lock" && return 0
  if [ -d ${1}.lock ]; then
    rm -rf ${1}.lock
  fi
  return 0
}


########################################################################
#
# Function: find_sap_binary
#
# Searches for a certain SAP binary file in all default directories
# that might keep it. This keeps the script independent of user
# path settings (which might be bogus).
#
# Parameters:
# $1 name of the instance
# $2 instance number
# $3 instance host (as contained in profile name)
# $4 SAP System ID
# $5 binary name
#
# Remarks:
# HP-UX:   Fills $MYSHLIB_PATH, $LOCATION and $OWNER
# Linux:  Fills $MYLD_LIBRARY_PATH, $LOCATION and $OWNER
########################################################################
function find_sap_binary
{
  typeset fname=find_sap_binary

  if [[ "X${1}" = "XD" && "X${2}" = "X99" && "X${SGeSAP_SAP_INSTANCE[0]}" != "X" ]]; then
    typeset inst=${SGeSAP_SAP_INSTANCE[0]}
  else
    typeset inst=${1}${2}
  fi

  typeset sid=${4:-${SAPSYSTEMNAME}}
  typeset instexedir=${USRSAPDIR}/${sid}/${inst}/exe
  typeset exedir=${USRSAPDIR}/${sid}/SYS/exe/run
  typeset exedirU=${USRSAPDIR}/${sid}/SYS/exe/runU
  typeset ctexedir=${USRSAPDIR}/${sid}/SYS/exe/ctrun
  typeset ucexedir=${USRSAPDIR}/${sid}/SYS/exe/uc/${PLATFORM}
  typeset nucexedir=${USRSAPDIR}/${sid}/SYS/exe/nuc/${PLATFORM}
  typeset hdbexedir=${USRSAPDIR}/${sid}/SYS/exe/hdb

  # get the instance profile parameter DIR_EXECUTABLE
  get_pfpar_dir_executable $1 $2 $3 $4 $5

  LOCATION=""
  OWNER=""

  MYSHLIB_PATH=""
  MYLD_LIBRARY_PATH=""

  [ -z "${5}" ] && return

  # Unicode/non-unicode exection issues - reordered paths:
  # 1) Add instance profile $PFPAR_DIR_EXECUTABLE path first so this has
  #    highest priority. If not found:
  # 2) Then search instance specific dir
  # 3) Then search in unicode dirs before non-unicode.
  if [ `watched_check ${PFPAR_DIR_EXECUTABLE}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${PFPAR_DIR_EXECUTABLE}
  elif [ `watched_check ${instexedir}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${instexedir}
  elif [ `watched_check ${ucexedir}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${ucexedir}
  elif [ `watched_check  ${exedirU}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${exedirU}
  elif [ `watched_check  ${nucexedir}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${nucexedir}
  elif [ `watched_check  ${exedir}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${exedir}
  elif [ `watched_check  ${ctexedir}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${ctexedir}
  elif [ `watched_check ${hdbexedir}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${hdbexedir}
  elif [ `watched_check ${HOSTCTRLEXEDIR}/${5} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
    MYSHLIB_PATH=${HOSTCTRLEXEDIR}
 fi


  if [ ! -z "${MYSHLIB_PATH}" ]; then
    LOCATION=${MYSHLIB_PATH}${MYSHLIB_PATH:+/}${5}
    OWNER=`ls -o ${LOCATION} 2>/dev/null|awk '{ print $3 }'`
    LogMsg2 4 "found location: \"${LOCATION}\" owner: \"${OWNER}\""
  fi

  [[ $UX -eq 1 ]] && MYSHLIB_PATH=${MYSHLIB_PATH}:${instexedir}:${exedir}:${exedirU}:${ctexedir}:${ucexedir}:${nucexedir}
  [[ $LX -eq 1 ]] && MYLD_LIBRARY_PATH=${MYSHLIB_PATH}:${instexedir}:${exedir}:${exedirU}:${ctexedir}:${ucexedir}:${nucexedir}

  if [ -z "${OWNER}" ]; then
    return 1
  fi

  return 0
}

########################################################################
#
# Function: get_pfpar_dir_executable
#
# One shot search of the PFPAR_DIR_EXECUTABLE path in the default instance
# profile. If a parameter is found set it is set to the beginning of the
# search path in function find_sap_binary
#
# The instance profile parameter PFPAR_DIR_EXECUTABLE contains the path to
# the SAP binaries of the instance: There might be a different path
# for a unicode, non-unicode configuration under the same SID.
#
# Parameters:
# $1 name of the instance
# $2 instance number
# $3 instance host (as contained in profile name)
# $4 SAP System ID
# $5 binary name
#
# Remarks:
# Fills $PFPAR_DIR_EXECUTABLE with path if found
########################################################################

function get_pfpar_dir_executable
{
  typeset fname=get_pfpar_dir_executable
  DbgLogMsg $*

  typeset iname=$1
  typeset inr=$2
  typeset ireloc=$3
  typeset sid=$4
  typeset sidadm=`echo $sid|$TRUL`adm

  DbgLogMsg "PFPAR_DIR_EXECUTABLE_LAST=[$PFPAR_DIR_EXECUTABLE_LAST]"
  DbgLogMsg "PFPAR_DIR_EXECUTABLE=[$PFPAR_DIR_EXECUTABLE]"

  # skip instance 99
  if [[ "${inr}" = "99" ]]; then
    return 0
  fi

  # save state so we don't run every time find_sap_binary() gets called
  if [[ "${PFPAR_DIR_EXECUTABLE_LAST}" = "${iname}${inr}" ]]; then
    DbgLogMsg "Returning - PFPAR_DIR_EXECUTABLE_LAST=[${PFPAR_DIR_EXECUTABLE_LAST}] already set for instance"
    DbgLogMsg "PFPAR_DIR_EXECUTABLE=[$PFPAR_DIR_EXECUTABLE]"
    return 0
  fi

  # save new state
  PFPAR_DIR_EXECUTABLE_LAST="${iname}${inr}"

  typeset sappfpar="${USRSAPDIR}/${sid}/${iname}${inr}/exe/sappfpar"
  typeset homedir="$(eval echo ~${sidadm})"
  typeset profile="${USRSAPDIR}/${sid}/SYS/profile/${sid}_${iname}${inr}_${ireloc}"

  DbgLogMsg "sappfpar=[${sappfpar}]"
  DbgLogMsg "homedir=[${homedir}]"
  DbgLogMsg "profile=[${profile}]"

  # avoid potential NFS hangs - check if filesystem can be accessed
  if [[ `watched_check ${sappfpar} ${DELAY_INTERVALS} | tail -1` -ne 0 ]]; then
    DbgLogMsg "Filesystem access or timeout for ${sappfpar}"

    # couldn't access instance specific sappfar - now try under SYS
    sappfpar="${USRSAPDIR}/${sid}/SYS/exe/run/sappfpar"
    if [[ `watched_check ${sappfpar} ${DELAY_INTERVALS} | tail -1` -ne 0 ]]; then
        DbgLogMsg "Filesystem access or timeout for ${sappfpar}"
        return 1
    fi
  fi
  if [[ `watched_check ${homedir} ${DELAY_INTERVALS} -d | tail -1` -ne 0 ]]; then
    DbgLogMsg "Filesystem access or timeout for ${homedir}"
    return 1
  fi
  if [[ `watched_check ${profile} ${DELAY_INTERVALS} | tail -1` -ne 0 ]]; then
    DbgLogMsg "Filesystem access or timeout for ${profile}"
    return 1
  fi

  # see if profile param  DIR_EXECUTABLE is set
  typeset CMD="$sappfpar pf=${profile} DIR_EXECUTABLE"
  PFPAR_DIR_EXECUTABLE="$(execute_sapcmd_sLPATH ${sidadm} "${CMD}" | tail -1)"
  returncode=$?
  if [ $returncode -ne 0 ]; then
   DbgLogMsg "Error running ${CMD}"
   PFPAR_DIR_EXECUTABLE=''
   return 1
  fi
  DbgLogMsg "Setting PFPAR_DIR_EXECUTABLE=[$PFPAR_DIR_EXECUTABLE]"

  return 0
}


########################################################################
#
# Function: ensmon_check
#
# Externally used function to test enqueue replication state.
#
# Parameters:
# $1 SID
# $2 INSTNAME
#
########################################################################
function ensmon_check
{
  typeset sidadm
  typeset instnr
  typeset rc

#  echo "ensmon_check $*" > /tmp/ensmon_check.log
  set -u
  sidadm=`echo $1|$TRUL`adm
  instnr=`echo $2|tr -d '[A-Z]'`
  su - "${sidadm}" -c "ensmon -H localhost -I ${instnr} 1" </dev/zero >/dev/null 2>&1 &

#  WATCHDOG_TIMEOUT=1
  watchdog $! 5 1 >/dev/null
  rc=$?
#  echo "ensmon_check ${rc}" >> /tmp/ensmon_check.log
  if [[ ( ${rc} -ne 8 ) && ( ${rc} -lt 127 ) ]]; then
    rc=0
  fi
  echo RES:${rc}
  return 0
}


########################################################################
#
# Function: set_smart_quorum_prio
#
# Required for scale-up HANA smart quorum feature.
# This feature needs QS_SMART_QUORUM=true
# in cluster configuration of Serviceguard Enterprise Edition.
#
# Parameters:
# $1 =1 if secondary; =0 if primary
#
########################################################################
function set_smart_quorum_prio
{
  typeset fname=set_smart_quorum_prio
  BLogMsg $*

  typeset sitecontroller_value
  typeset sitecontroller_current=0
  typeset mysite
  typeset mysiteid
  typeset site

  (( sitecontroller_value = 4 - ${1} ))

  #
  # check for configurations that should prevent quorum priority settings
  #
  if [[ "X${SGeSAP_NO_SMART_QUORUM}" = "X" ]]; then
    if [[ `${SGSBIN}/cmviewcl -f line -v -s config|grep smart_quorum=on$|wc -l` -ne 0 ]]; then
      if [[ `${SGSBIN}/cmviewcl -f line -v -s config -p ${SG_PACKAGE_NAME}|grep generic_resource:${SITECONTROLLER_GENRES}|wc -l` -ne 0 ]]; then
        mysiteid=`${SGSBIN}/cmviewcl -f line -s config|grep '^node:'${HNAME}'|siteid='|cut -f 2 -d =`
        mysite=`${SGSBIN}/cmviewcl -f line -s config|grep '^site:'|grep '|id='${mysiteid}'$'|cut -f 2 -d :|cut -f 1 -d '|'`
        if [[  "X${mysite}" != "X" ]]; then
          #
          # set prio locally
          #
          ${SGSBIN}/cmsetresource -r ${SITECONTROLLER_GENRES} ${sitecontroller_value} >/dev/null 2>&1
          if [[ $? -eq 0 ]]; then
            LogMsg "Setting the value for smart quorum priority of ${mysite} to ${sitecontroller_value}"
            sitecontroller_current=`${SGSBIN}/cmgetresource -r ${SITECONTROLLER_GENRES} 2>/dev/null|tail -1|cut -c 41-`
            if [[ $? -eq 0 ]]; then
              if [[ ${sitecontroller_current} -eq ${sitecontroller_value} ]]; then
                if [[ `${SGSBIN}/cmviewcl -f line -s config|grep '^node:'|grep '|siteid='${mysiteid}|wc -l` -gt 1 ]]; then
                  #
                  # set prio site-wide
                  #
                  setsiteresource ${mysite} ${SITECONTROLLER_GENRES} ${sitecontroller_value}
                fi
                #
                # set prio in other site(s)
                # (obsolete)
                #
                # (( sitecontroller_value = 3 + ${1} ))
                # for site in `${SGSBIN}/cmviewcl -f line -s config|grep '^site:'|grep '|id='|grep -v '|id='${mysite}'$'|cut -f 2 -d ":"|cut -f 1 -d "|"`
                # do
                #   setsiteresource ${site}  ${SITECONTROLLER_GENRES} ${sitecontroller_value}
                # done
              else
                WrnLogMsg "Smart quorum priority has unexpected value"
                ${SGSBIN}/cmgetresource -r ${SITECONTROLLER_GENRES} 2>&1|logpipe
              fi
            else
              WrnLogMsg "Smart quorum priority reading failed"
              ${SGSBIN}/cmgetresource -r ${SITECONTROLLER_GENRES} 2>&1|logpipe
            fi
          else
            WrnLogMsg "Smart quorum priority setting failed"
            ${SGSBIN}/cmgetresource -r ${SITECONTROLLER_GENRES} 2>&1|logpipe
          fi
        else
          WrnLogMsg "Site configuration can not be parsed (siteid=[${mysiteid}])"
        fi
      else
        LogMsg "Smart quorum sitecontroller resource not configured in package"
      fi
    else
      LogMsg "Smart quorum server not configured"
    fi
  else
    LogMsg "Smart quorum setting disabled"
  fi
}


########################################################################
#
# Function: static_param_latch
#
# This function prevents an online reconfiguration attempt for
# static SGeSAP attributes and attribute arrays.
#
# Parameters:
# $1 parameter_name
#
########################################################################
function static_param_latch
{
  typeset fname=static_param_latch
  BLogMsg $*

  typeset -i i=0
  typeset newcount
  typeset oldcount
  typeset newpar
  typeset newval
  typeset oldval

  ${SGSBIN}/cmviewcl -f line -p ${SG_PACKAGE_NAME} 2>&1|grep -e "status=up" -e "partially_down" 2>/dev/null >/dev/null
  if [ $? -eq 1 ]; then
    return 0
  fi

  oldcount=`${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep -e "SGeSAP_${1}\[" -e "SGeSAP_${1}="|wc -l`
  newcount='${#'SGeSAP_${1}'[*]}'
  newcount=`eval echo ${newcount}`

  #
  # handle single variable or prepare first array element
  #
  oldval=`${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep SGeSAP_${1}=`
  oldval=${oldval:-`${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep "SGeSAP_${1}\[0\]="`}
  oldval=`echo ${oldval}|cut -f 2 -d '"'`

  [ -n "${oldval}" ] && (( oldcount = ${oldcount} - 1 ))
  if [[ "X$1" = "XSAP_VIRTUAL_HOSTNAME" && -z "${oldval}" ]]; then
    # reverse lookup  first pkg ip only if there is a SAP_INSTANCE configured
    if ${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep "SGeSAP_SAP_INSTANCE\[0\]=" >/dev/null 2>&1; then
      oldval=`${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep "SG_IP_ADDRESS\[0\]="|cut -f 2 -d '"'`
    fi
    if [ ! -z "${oldval}" ]; then
      oldval=$(${NWRKSUPP} ghba ${oldval} | cut -d ";" -f 2)
    fi
  elif [ "X$1" = "XLISTENER_NAME" ]; then
    oldval=${oldval:-LISTENER}
  elif [ "X$1" = "XSAPCONTROL_USAGE" ]; then
    oldval=${oldval:-preferred}
  fi

  #
  # handle full array
  #
  while [ . ]
  do
    newpar='${SGeSAP_'${1}[$i]-__hp_sgesap}
    newval=`eval echo $newpar`
    if [ "X${newval}" != "X__hp_sgesap" ]; then
      (( newcount = ${newcount} - 1 ))
    else
      newval=""
    fi

    if [ "X${oldval}" != "X${newval}" ]; then
      ErrLogMsg "Online reconfiguration of `echo $1|${TRUL}` not supported"
      if [[ "X$1" = "XSAP_VIRTUAL_HOSTNAME"  &&  "X${VNAME_DEFAULT_SET[$i]}" = "X1" ]]; then
        ErrLogMsg2 "The reconfiguration was caused by the setting of the first package ip (SG_IP_ADDRESS[0])."
      fi
      ErrLogMsg2 "Detected value change from '${oldval}'-->'${newval}'"
      exit ${ERROR}
    fi

    if [ `echo ${oldcount} + ${newcount}|bc` -le 0 ]; then
      break
    elif [ ${newcount} -eq 0 ]; then
      ErrLogMsg "Online reconfiguration of `echo $1|${TRUL}` not supported"
      ErrLogMsg2 "Deletion of at least ${oldcount} value(s) detected"
      exit ${ERROR}
    fi

    (( i = $i + 1 ))

    typeset oldval=`${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep "SGeSAP_${1}\[${i}\]="|cut -f 2 -d '"'`
    [ -n "${oldval}" ] && (( oldcount = ${oldcount} - 1 ))
    #
    # special case handling for dynamically derieved and substituted array values
    #
    if [ "X$1" = "XSAP_VIRTUAL_HOSTNAME" -a -z "${oldval}" ]; then
      oldval=`${CMGETPKGENV} ${SG_PACKAGE_NAME}|grep "SG_IP_ADDRESS\[0\]="|cut -f 2 -d '"'`
      if [ ! -z "${oldval}" ]; then
        oldval=$(${NWRKSUPP} ghba ${oldval} | cut -d ";" -f 2)
      fi
    fi
  done
  return 0
}


########################################################################
#
# Function: cross_check
#
# Check if package is a cross-subnet package.
# Create SGESAP_UMNT_FILE file.
#
# Parameters:
#
########################################################################
function cross_check
{
  typeset fname=cross_check
  BLogMsg $*

  typeset subnet
  typeset subnet_prev
  typeset node
  typeset xfs
  typeset force_umount
  typeset -i i
  typeset -i nodecount
  typeset -i partial_access

  rm ${SGESAP_UMNT_FILE} 2>/dev/null

  if [ "X${SG_IP_SUBNET[0]}" != "X" ]; then
    i=0
    nodecount=0
    partial_access=0   static_param_latch LC_SYSTEM
    static_param_latch LC_VIRTUAL_HOSTNAME
    static_param_latch LC_STANDBY_COPY_MECHANISM


    subnet_prev=""
    for subnet in ${SG_IP_SUBNET[@]}; do
      if [ "X${SG_IP_SUBNET_NODE[$i]}" != "X" ]; then
        if [ "X${subnet}" = "X${subnet_prev}" ]; then
          (( nodecount = $nodecount + 1 ))
        else
          if [ ${partial_access} -eq 1 ]; then
            break
          fi
          nodecount=1
          subnet_prev=${subnet}
        fi
        if [ ${nodecount} -lt ${#SG_NODE_NAME[@]} ]; then
          partial_access=1
        else
          partial_access=0
        fi
      fi
      (( i = $i + 1 ))
    done
    if [ ${partial_access} -eq 1 ]; then
      if [ "X${NETWORK_SLEEP_INTERVAL}" = "X0" ]; then
        NETWORK_SLEEP_INTERVAL=15
      fi
      LogMsg "At least one subnet is not configured on all nodes - potential cross-subnet setup detected"
      LogMsg "A network delay up to ${DELAY_INTERVALS}*${NETWORK_SLEEP_INTERVAL} seconds per nameserver might occur"
      if [ "X${NFS_XFS[0]}" != "X" ]; then
        i=0
        for xfs in "${NFS_XFS[@]}"; do
          force_umount=`echo ${xfs}|awk '/./ { print a[split($0,a)] }'`
          echo FORCE_UMOUNT_FS[$i]="${force_umount}" >>${SGESAP_UMNT_FILE}
          LogMsg2 3 "A forced unmount might become necessary for share ${force_umount}"
          (( i = $i + 1 ))
        done
      else

        #
        # defaults for forced unmounts
        #
        echo FORCE_UMOUNT_FS[0]="/export${SAPMNTDIR}/${SAPSYSTEMNAME}" >>${SGESAP_UMNT_FILE}
        # echo FORCE_UMOUNT_FS[1]="/export${USRSAPDIR}/trans" >>${SGESAP_UMNT_FILE}

        . ./${SGESAP_UMNT_FILE}
          i=0
          while [ ${i} -lt ${#FORCE_UMOUNT_FS[@]} ]; do
          LogMsg2 3 "A forced unmount might become necessary for a default share ${FORCE_UMOUNT_FS[${i}]}"
          (( i = $i + 1 ))
        done
      fi
      return 0
    fi
  fi

  return 1
}


########################################################################
#
# Function: cross_check_failover
#
# Check if package fails across subnet boundaries.
#
# Parameters:
#
########################################################################
function cross_check_failover
{
  typeset fname=cross_check_failover
  BLogMsg $*

  typeset -i i
  typeset -i j
  typeset line1
  typeset line2

  typeset node=""
  typeset timeticks=0
  typeset foundit;

  if [ -n "${CROSSRC}" ]; then
    return ${CROSSRC}
  fi

  CROSSRC=1

  for line1 in `${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line -v|grep -e '^node:'|grep last_run_time=`; do
    if [ `echo "${line1}"|cut -f 2 -d =` -gt ${timeticks} ]; then
      node=`echo "${line1}"|cut -f 2 -d :|cut -f 1 -d '|'`
      timeticks=`echo "${line1}"|cut -f 2 -d =`
    fi
  done

  if [ -n "${node}" ]; then
    LogMsg2 2 "Package last run on ${node}"
  else
    WrnLogMsg "It cannot be determined on which node the package ran last"
    WrnLogMsg "Assuming cross-subnet situation"
    CROSSRC=0
    return 0
  fi

  i=0
  for line1 in ${SG_IP_SUBNET[@]}; do
    if [ "X${SG_IP_SUBNET_NODE[${i}]}" = "X${node}" ]; then
      j=0
      foundit=0
      for line2 in ${SG_IP_SUBNET[@]}; do
        if [ "X${SG_IP_SUBNET_NODE[${j}]}" = "X${HNAME}" ]; then
          if [ "X${SG_IP_SUBNET[${i}]}" = "X${SG_IP_SUBNET[${j}]}" ]; then
            LogMsg2 2 "Subnet remains available: ${SG_IP_SUBNET[${i}]}"
      foundit=1
      break
    fi
  fi
  (( j = $j + 1 ))
      done
      if [ ${foundit} -ne 1 ]; then
  LogMsg "Subnet not available on local node: ${SG_IP_SUBNET[${i}]}"
  CROSSRC=0
      fi
    fi
    (( i = $i + 1 ))
  done

  return ${CROSSRC}
}


########################################################################
#
# Function: init_params_sap_inst
#
# Converts sapinstance module attributes to package parameters.
#
# Parameters:
#
# Fills VNAME_DEFAULT_SET[].
#
########################################################################
function init_params_sap_inst
{
  typeset fname=init_params_sap_inst
  BLogMsg $*

  typeset i
  typeset -i inr
  typeset -i dindex=0
  typeset -i jindex=0
  typeset -i windex=0
  typeset -i gindex=0
  typeset -i mindex=0
  typeset sapstartsrv_start

  typeset instname
  typeset instnr

  typeset -i rc

  #
  # check mandatory SGeSAP package configuration parameters
  # and identify package type
  #
  inr=0

  _check_debug ${STARTUP_R3}
  debugrc=$?

  for i in ${SGeSAP_SAP_INSTANCE[@]}
  do

    #
    # autocomplete virtual hostname setting if required
    #
    VNAME_DEFAULT_SET[$inr]=0
    if [ -z "${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}" ]; then
      if [ ! -z "${SG_IP_ADDRESS[0]}" ]; then
#       SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]=`nslookup ${SG_IP_ADDRESS[0]}|awk '/Name:/ { print $2 }'|awk -F. '{ print $1 }'`
        SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]=$(${NWRKSUPP} ghba ${SG_IP_ADDRESS[0]} | cut -d ";" -f 2)
        if [ ! -z "${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}" ]; then
          LogMsg "Setting virtual name of ${SGeSAP_SAP_INSTANCE[$inr]} to first package ip_address ${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}"
          VNAME_DEFAULT_SET[$inr]=1
        else
          ErrLogMsg "Address lookup failed for ${SG_IP_ADDRESS[0]}"
          ErrLogMsg2 "Consider setting package parameter sap_virtual_hostname for ${SGeSAP_SAP_INSTANCE[$inr]}"
          check_debug
          exit ${ERROR}
        fi
      else
        ErrLogMsg "Virtual name for SAP instance ${SGeSAP_SAP_INSTANCE[$inr]} unknown"
        ErrLogMsg2 "Consider setting package parameter ip_address or sap_virtual_hostname for ${SGeSAP_SAP_INSTANCE[$inr]}"
        check_debug
        exit ${ERROR}
      fi
    fi

    instname=`echo ${i}|eval ${GETNAME}`
    instnr=`echo ${i}|eval ${GETNR}`

    if [ ${debugrc} -eq 1 -a "X${op_code}" = "Xstart" ]; then
      WrnLogMsg "Skipping startup framework usage preset due to debug mode"
      sapstartsrv_start=0
    else
      #
      # startup framework usage preset
      #
      set_environment ${instname} ${instnr} ${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]} ${SAPSYSTEMNAME}
      sapstartsrv_start=0
      if [ `watched_check ${MYSTARTPROFILE} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
        if [ "X${SGeSAP_SAPSTARTSRV_START}" != "X0" ]; then
          find_sap_binary ${instname} ${instnr} ${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]} ${SAPSYSTEMNAME} sapstartsrv
          if [ $? -eq 0 ]; then
            if [ -r ${SAPSERVICECONFIG} ]; then
              LogMsg2 2 "${SAPSERVICECONFIG} readable"
              if grep -v "# generated by SGeSAP" ${SAPSERVICECONFIG}|cut -f 1 -d "#"|grep ${SGeSAP_SAP_INSTANCE[$inr]}_${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]} > /dev/null ; then
                sapstartsrv_start=1
                LogMsg "Package will handle Instance Agent of ${i}"
              else
                LogMsg2 2 "No static Instance Agent configured for ${i}"
                if [ "X${OWNER}" != "Xsapadm" ]; then
                  CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -reg"
                  execute_sapcmd_sLPATH root "$CMD" >/dev/null 2>&1

                  if [ $? -eq 0 ]; then
                    CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -unreg"
                    execute_sapcmd_sLPATH root "$CMD" >/dev/null 2>&1
                    sapstartsrv_start=1
                    LogMsg "Package will handle registration entry for Instance Agent of ${i}"
                  else
                    LogMsg "Package will not handle registration entry for Instance Agent of ${i}"
                    LogMsg2 2 "sapstartsrv registration mechanism not available on this host"
                  fi

                else
                  LogMsg "Package will not handle registration entry for Instance Agent of ${i}"
                  LogMsg2 2 "sapstartsrv registration mechanism not available in ${SAPSYSTEMNAME} binary paths"
                fi
              fi
            else
              LogMsg2 2 "${SAPSERVICECONFIG} not found - Instance Agents can't be configured on host"
            fi
          else
            LogMsg2 2 "No Instance Agent handling available for ${i}"
          fi
        else
          LogMsg2 2 "Avoid SAP startup framework for ${i}"
        fi
      else
        LogMsg2 2 "Profile access missing - Instance Agent check skipped for ${i}"
      fi
    fi

    #
    # instance type preset
    #
    case ${i} in
      SCS*)
        LogMsg "Package will handle Central Service Instance ${i}"
        [ ! -z "${JCINAME}" ] && ErrLogMsg "Only one SCS Instance possible" && check_debug && exit ${ERROR}
        [ ! -z "${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}" ] && ErrLogMsg "SCS Instances cannot have a replicated instance defined" &&
                                                     ErrLogMsg2 "SCS Instances don't replicate, but get replicated" &&
                                                     ErrLogMsg2 "Please remove sap_replicated_instance parameter for this instance" && check_debug && exit ${ERROR}
        JCINAME=${instname}
        JCINR=${instnr}
        JCIRELOC=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        JCISAPSTARTSRV_START=${sapstartsrv_start}
        JCISAPSTARTSRV_STOP=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
        JCI_T=1
      ;;
      ASCS*)
        LogMsg "Package will handle ABAP Central Service Instance ${i}"
        [ ! -z "${CINAME}" ] && ErrLogMsg "Only one ASCS Instance possible" && check_debug && exit ${ERROR}
        [ ! -z "${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}" ] && ErrLogMsg "ASCS Instances cannot have a replicated instance defined" &&
                                                     ErrLogMsg2 "ASCS Instances don't replicate, but get replicated" &&
                                                     ErrLogMsg2 "Please remove sap_replicated_instance parameter for this instance" && check_debug && exit ${ERROR}
        CINAME=${instname}
        CINR=${instnr}
        CIRELOC=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        CISAPSTARTSRV_START=${sapstartsrv_start}
        CISAPSTARTSRV_STOP=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
        CI_T=1
      ;;
      ERS*|REP*|AREP*)
        LogMsg "Package will handle Enqueue Replication Service Instance ${i}"
        [ ! -z "${REPNAME2}" ] && ErrLogMsg "A maximum of two Replication Instances are possible per SAP System" && check_debug && exit ${ERROR}
        [ -z "${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}" ] && ErrLogMsg "sap_replicated_instance parameter missing" && check_debug && exit ${ERROR}
        if [ -z "${REPNAME}" ]; then
          REPNAME=${instname}
          REPNR=${instnr}
          REPRELOC=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
          REPSAPSTARTSRV_START=${sapstartsrv_start}
          REPSAPSTARTSRV_STOP=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
          RE_T=1
          # setup variables for later reference of replication relationship
          REPEDNAME=`echo ${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}|eval ${GETNAME}`
          REPEDNR=`echo ${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}|eval ${GETNR}`
          LogMsg2 4 "${i} will replicate instance ${REPEDNAME}${REPEDNR}"
        else
          REPNAME2=${instname}
          REPNR2=${instnr}
          REPRELOC2=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
          REPSAPSTARTSRV_START2=${sapstartsrv_start}
          REPSAPSTARTSRV_STOP2=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
          RE2_T=1
          # setup variables for later reference of replication relationship
          REPEDNAME2=`echo ${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}|eval ${GETNAME}`
          REPEDNR2=`echo ${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}|eval ${GETNR}`
          LogMsg2 4 "${i} will replicate instance ${REPEDNAME2}${REPEDNR2}"
        fi
      ;;
      DVEBMGS*)
        if [ ${debugrc} -eq 1 -a "X${op_code}" = "Xstart" ]; then
          LogMsg "Package will handle SAP Instance ${i}"
          LogMsg "Instance type check skipped due to debug mode"
          D_T=1
          (( dindex = $dindex + 1 ))
        else
          set_environment ${instname} ${instnr} ${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]} ${SAPSYSTEMNAME}
          find_sap_binary ${instname} ${instnr} ${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]} ${SAPSYSTEMNAME} sappfpar
          if [[ "${MYINSTPROFILE}" = "not_found" || -z "${OWNER}" ]]; then
            if [ -z "${CINAME}" ]; then
              WrnLogMsg "The SAP Instance profile is currently not readable for ${i}"
              WrnLogMsg "It can not be determined, whether this is a Central Instance."
            fi
            LogMsg "Package will handle SAP Instance ${i}"
            DNAME[$dindex]=${instname}
            DNR[$dindex]=${instnr}
            DRELOC[$dindex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
            DSAPSTARTSRV_START[$dindex]=${sapstartsrv_start}
            DSAPSTARTSRV_STOP[$dindex]=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
            (( dindex = $dindex + 1 ))
            D_T=1
          else
            LogMsg "Trying to determine instance type of ${i}..."
            CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} rdisp/wp_no_enq;"
            if [[ `execute_sapcmd_sLPATH root "$CMD"| tail -1` -gt 0 ]]; then
              LogMsg "Package will handle ABAP Central Instance ${i}"
              [ ! -z "${CINAME}" ] && ErrLogMsg "Only one ABAP Central Instance possible" && check_debug && exit ${ERROR}
              CINAME=${instname}
              CINR=${instnr}
              CIRELOC=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
              CISAPSTARTSRV_START=${sapstartsrv_start}
              CISAPSTARTSRV_STOP=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
              CI_T=1
            else
              LogMsg "Package will handle Application Server Instance ${i}"
              DNAME[$dindex]=${instname}
              DNR[$dindex]=${instnr}
              DRELOC[$dindex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
              DSAPSTARTSRV_START[$dindex]=${sapstartsrv_start}
              DSAPSTARTSRV_STOP[$dindex]=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
              (( dindex = $dindex + 1 ))
              D_T=1
            fi
          fi
        fi
        [ ! -z "${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}" ] && ErrLogMsg "Instance ${i} cannot have a replicated instance defined" && check_debug && exit ${ERROR}
      ;;
      J*)
        LogMsg "Package will handle Application Server Instance ${i}"
        JDNAME[$jindex]=${instname}
        JDNR[$jindex]=${instnr}
        JDRELOC[$jindex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        JDSAPSTARTSRV_START[$jindex]=${sapstartsrv_start}
        JDSAPSTARTSRV_STOP[$jindex]=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
        (( jindex = jindex + 1 ))
        [ ! -z "${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}" ] && ErrLogMsg "Instance ${i} cannot have a replicated instance defined" && check_debug && exit ${ERROR}
        JD_T=1
      ;;
      D*)
        LogMsg "Package will handle Application Server Instance ${i}"
        DNAME[$dindex]=${instname}
        DNR[$dindex]=${instnr}
        DRELOC[$dindex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        DSAPSTARTSRV_START[$dindex]=${sapstartsrv_start}
        DSAPSTARTSRV_STOP[$dindex]=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
        (( dindex = $dindex + 1 ))
        [ ! -z "${SGeSAP_SAP_REPLICATED_INSTANCE[$inr]}" ] && ErrLogMsg "Instance ${i} cannot have a replicated instance defined" && check_debug && exit ${ERROR}
        D_T=1
      ;;
      MD*)
        LogMsg "Package will handle MDM Instance ${i}"
        MDM_T=1
        MDMNAME[$mindex]=${instname}
        MDMNR[$mindex]=${instnr}
        MDMRELOC[$mindex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        MDMSAPSTARTSRV_START[$mindex]=${sapstartsrv_start}
        MDMSAPSTARTSRV_STOP[$mindex]=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}

        (( mindex = $mindex + 1 ))
      ;;
      W*)
        LogMsg "Package will handle Webdispatcher Instance ${i}"
        WD_T=1
        WDNAME[$windex]=${instname}
        WDNR[$windex]=${instnr}
        WDRELOC[$windex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        WDSAPSTARTSRV_START[$windex]=${sapstartsrv_start}
        WDSAPSTARTSRV_STOP[$windex]=${SGeSAP_SAPSTARTSRV_STOP:-$sapstartsrv_start}
        (( windex = $windex + 1 ))
      ;;
      G*)
        LogMsg "Package will handle Gateway Instance ${i}"
        GW_T=1
        GWNAME[$gindex]=${instname}
        GWNR[$gindex]=${instnr}
        GWRELOC[$gindex]=${SGeSAP_SAP_VIRTUAL_HOSTNAME[$inr]}
        GWSAPSTARTSRV_START[$gindex]=${sapstartsrv_start}
        GWSAPSTARTSRV_STOP[$gindex]=${sapstartsrv_start}
        (( gindex = $gindex + 1 ))
      ;;
      *)
        WrnLogMsg "Unknown instance type for ${i}"
      ;;
    esac

    #
    # diagnostic instance placeholder
    #

    (( inr = $inr + 1 ))

  done

  LogMsg "sapcontrol usage is ${SGeSAP_SAPCONTROL_USAGE}"

  if [[ ( ! -z "${CINAME}" || ! -z "${JCINAME}" ) && ! -z "${REPNAME}" ]]; then
    ErrLogMsg "Central Services and Replication Instances must not be configured in the same package"
    check_debug
    exit ${ERROR}
  fi

  return 0
}


########################################################################
#
# Function: init_params_hdb_inst
#
# Detects HANA parameter settings.
#
# Parameters:
#
# Fills SGeSAP_HDB_SYSTEM, SGeSAP_HDB_INSTANCE[], HDB_T, MYSIDADM,
#       VHNAME[]
#
########################################################################
function init_params_hdb_inst
{
  typeset fname=init_params_hdb_inst
  typeset i=0
  typeset hdbnr
  typeset nfs_access=0
  BLogMsg $*

  HDB_T=0

  if [ -z "${SGeSAP_HDB_SYSTEM}" ]; then
    SGeSAP_HDB_SYSTEM=`ls -d ${USRSAPDIR}/???/${HDBINSTANCE}??|head -1|cut -d / -f 4`
    if [ "X${SGeSAP_HDB_SYSTEM}" != "X" ]; then
      if [ `ls -d ${USRSAPDIR}/???/${HDBINSTANCE}??|cut -c -12|uniq|wc -l` -gt 1 ]; then
        WrnLogMsg "More than one HANA System might be installed."
        WrnLogMsg "HANA System ID detection is not possible reliably."
        WrnLogMsg "Please specify System ID in package configuration."
      fi
      LogMsg "Detected HANA System ID: ${SGeSAP_HDB_SYSTEM}"
    else
      WrnLogMsg "No HANA System ID configured or detected"
      return 0
    fi
  else
    LogMsg2 3 "Configured HANA System ID: ${SGeSAP_HDB_SYSTEM}"
  fi

  while (( ${i} < ${#SGeSAP_HDB_INSTANCE[@]} )); do
    LogMsg2 3 "Configured HANA Instance: ${SGeSAP_HDB_INSTANCE[${i}]}"
    (( i = ${i} + 1 ))
  done

  MYSIDADM=`ls -dl ${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}|awk '{ print $3 }'`
  GLOBALINI=${GLOBALINI:-"${GLOBALINIDIR}${GLOBALINIFNAME}"}

  if [ ${#SGeSAP_HDB_INSTANCE[@]} -eq 0 ]; then
    if [ `watched_check ${USRSAPDIR}/${SGeSAP_HDB_SYSTEM} ${DELAY_INTERVALS} -d|tail -1` -ne 0 ]; then
      ErrLogMsg "Filesystem access issue on ${USRSAPDIR}/${SGeSAP_HDB_SYSTEM} - timeout"
      ErrLogMsg2 "Make sure (NFS?) access is available before restarting the package"
      exit ${ERROR}
    else
      nfs_access=1
    fi
    for hdbnr in `ls -1 ${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}|grep '^'${HDBINSTANCE}'..$'|eval ${GETNR}`; do
      if [ -n "${hdbnr}" ]; then
        SGeSAP_HDB_INSTANCE[${i}]=${HDBINSTANCE}${hdbnr}
        LogMsg "Detected HANA Instance: ${HDBINSTANCE}${hdbnr}"

        HDB_T=1
        (( i = ${i} + 1 ))
      fi
    done
    if [ ${#SGeSAP_HDB_INSTANCE[@]} -eq 0 ]; then
      WrnLogMsg "No HANA ${HDBINSTANCE}xx Instance found"
      return 0
    fi
  fi

  # write HDBB version to package log (verbose flag on)
  get_HDB_version 1 >/dev/null

  #
  # determine installation on virtual hostname
  #
  VHNAME=`su - ${MYSIDADM} -c 'echo ${VTHOSTNAME} 2>/dev/null'|tail -1`
  set_environment  `echo ${SGeSAP_HDB_INSTANCE[0]}|eval ${GETNAME}` `echo ${SGeSAP_HDB_INSTANCE[0]}|eval ${GETNR}` ${VHNAME} ${SGeSAP_HDB_SYSTEM}
  if [ "X${MYSTARTPROFILE}" = "Xnot_found" ]; then
    WrnLogMsg "VTHOSTNAME might not be set correctly in environment of ${MYSIDADM}"
    LogMsg "Trying to detect unambiguous sapprofile.ini in ${HANA_SHARED}/${SGeSAP_HDB_SYSTEM}/${SGeSAP_HDB_INSTANCE[0]}"
    VHNAME=`grep SAPLOCALHOST= ${HANA_SHARED}/${SGeSAP_HDB_SYSTEM}/${SGeSAP_HDB_INSTANCE[0]}/*/sapprofile.ini|cut -f 2 -d =`
    if [ `echo ${VHNAME}|wc -w` -ne 1 ]; then
      WrnLogMsg "Detection of VTHOSTNAME failed [${VHNAME}]"
      VHNAME=""
    else
      #
      # check startup framework usage preset
      #
      LogMsg "Success - assume VTHOSTNAME=${VHNAME}"
      LogMsg "Check Instance Agent setup..."
      prepare_sapserviceconfig
      sapstartsrv_start=0
      if [ -r ${SAPSERVICECONFIG} ]; then
        LogMsg2 2 "${SAPSERVICECONFIG} readable"
        if grep -v "# generated by SGeSAP" ${SAPSERVICECONFIG}|cut -f 1 -d "#"|grep ${SGeSAP_HDB_INSTANCE[0]}_${VHNAME} > /dev/null ; then
          sapstartsrv_start=1
        else
          LogMsg2 2 "No static Instance Startup Agent configured for ${SGeSAP_HDB_INSTANCE[0]}"
          set_environment `echo ${SGeSAP_HDB_INSTANCE[0]}|eval ${GETNAME}` `echo ${SGeSAP_HDB_INSTANCE[0]}|eval ${GETNR}` ${VHNAME} ${SGeSAP_HDB_SYSTEM} # second try with better VHNAME
          if [  "X${MYSTARTPROFILE}" != "Xnot_found" ]; then
            find_sap_binary `echo ${SGeSAP_HDB_INSTANCE[0]}|eval ${GETNAME}` `echo ${SGeSAP_HDB_INSTANCE[0]}|eval ${GETNR}` ${VHNAME} ${SGeSAP_HDB_SYSTEM} sapstartsrv
            CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -reg"
            execute_sapcmd_sLPATH root "$CMD" >/dev/null 2>&1
            if [ $? -eq 0 ]; then
              CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -unreg"
              execute_sapcmd_sLPATH root "$CMD" >/dev/null 2>&1
              sapstartsrv_start=1
              LogMsg "Package will handle registration entry for Instance Agent of ${SGeSAP_HDB_INSTANCE[0]}"
            else
              LogMsg "Package will not handle registration entry for Instance Agent of ${SGeSAP_HDB_INSTANCE[0]}"
              LogMsg2 2 "sapstartsrv registration mechanism not available on this host"
            fi
          fi
        fi
      else
        LogMsg2 2 "${SAPSERVICECONFIG} not found - Instance Agents can't be configured on host"
      fi
    fi
  fi
  VHNAME=${VHNAME:-${HNAME}}
  if [ "X${VHNAME}" != "X${HNAME}" ]; then
    LogMsg "HANA virtual hostname: ${VHNAME}"
  fi
  if [ $ENABLE_STO -eq 1 ]; then
    LogMsg " Self-tuning TimeOuts configured"
    mkdir -p $STO_SAVED_TIMES_DIR || ErrLogMsg "mkdir -p $STO_SAVED_TIMES_DIR"
    touch $STO_SAVED_TIMES_FILE   || ErrLogMsg "touch $STO_SAVED_TIMES_FILE"
  else
    LogMsg "Self-tuning TimeOuts not configured - using fallback timeouts"
  fi

  # collect EPS parameter and inifiles
  # done here to see file not accessible warning also during cmcheckconf
  # Requires: GLOBALINI
  if [[ "${op_code}" = "validate" || "${op_code}" = "start" ]]; then
    collect_eps_updparams
  fi

  if [[ "${op_code}" != "validate" ]]; then
    detect_hdb_scaleout
    detect_hdbmultidb
    detect_module_hdbprimary
    detect_peer_package
  fi
}


########################################################################
#
# Function: init_params_hdb_dp
#
# Detects HANA dual purpose parameter settings
#
# Parameters:
#
# Fills
#   HDBDP_INST_IDXS - Indexes in array of those external HDB instances
#                     configured on local filesystem
#                     (used by stop_other_hdbinst)
#
#
########################################################################
function init_params_hdb_dp
{
  typeset fname=init_params_hdb_dp
  typeset -i dpindex=0
  typeset -i idx=0
  typeset hdbdpinst
  typeset rc


  BLogMsg $*

  for hdbdpsid in ${SGeSAP_HDB_DUALPURPOSE_SYSTEM[@]}
  do
    hdbdpinst="${SGeSAP_HDB_DUALPURPOSE_INSTANCE[${dpindex}]}"
    if [[ "${hdbdpinst}" == "" ]]; then
      LogMsg "No instance defined for HDB SID ${hdbdpsid}"
    elif [ -d "${USRSAPDIR}/${hdbdpsid}/${hdbdpinst}" ]; then
      LogMsg "${hdbdpsid}/${hdbdpinst} configured on local filesystem"
      HDBDP_INST_IDXS[${idx}]=${dpindex}
      (( idx = $idx + 1 ))
    else
      DbgLogMsg "${hdbdpsid}/${hdbdpinst} not configured on local filesystem - will be ignored"
    fi
    (( dpindex = $dpindex + 1 ))
  done

  return 0
}

########################################################################
#
# Function: init_cdir
#
# Enable/verify access to central SAP directories
#
# Parameters:
#
########################################################################
function init_cdir
{
  typeset fname=init_cdir
  BLogMsg $*

  typeset inr

  #
  # check directory availability;
  # wait for directories to become available (maybe via another package startup)
  # in case of cross subnet failover, a forced unmount attempt is possible
  #
  if [[ ! -z "${JCI_T}" || ! -z "${CI_T}" || ! -z "${RE_T}" || ! -z "${RE2_T}" || ! -z "${D_T}" || ! -z "${JD_T}" || ! -z "${MDM_T}" || ! -z "${WD_T}" ]]; then
    if [ ${SGeSAP_AVOID_CHECKACCESS} -eq 0 ]; then
      check_access ${SAPMNTDIR2}
      if [ $? -ge 128 ]; then
        if [ ${NETWORK_SLEEP_INTERVAL} -ne 0 ]; then
          if [ "X${op_code}" = "Xstart" ]; then
            force_umounts ${HNAME} ${sidadm} 2>/dev/null
            check_access ${SAPMNTDIR2}
            if [ $? -ge 128 ]; then
              ErrLogMsg "Mandatory access missing to ${SAPMNTDIR2}"
              exit ${ERROR}
            fi
          fi
          if [ "X${op_code}" = "Xstop" ]; then
            #
            # emergency shutdown
            #
            ErrLogMsg "Mandatory access missing to ${SAPMNTDIR2}"
            LogMsg "Attempting emergency shutdown..."
            inr=0
            while [ ${inr} -lt ${#JDNAME[@]} ]; do
              clean_inst "${JDNAME[$inr]}" "${JDNR[$inr]}" "${JDRELOC[$inr]}" ${SAPSYSTEMNAME} ${JDSAPSTARTSRV_STOP[$inr]}
              (( inr = ${inr} + 1 ))
            done
            inr=0
            while [ ${inr} -lt ${#DNAME[@]} ]; do
              clean_inst "${DNAME[$inr]}" "${DNR[$inr]}" "${DRELOC[$inr]}" ${SAPSYSTEMNAME} ${DSAPSTARTSRV_STOP[$inr]}
              (( inr = ${inr} + 1 ))
            done
            inr=0
            while [ ${inr} -lt ${#WDNAME[@]} ]; do
              clean_inst "${WDNAME[$inr]}" "${WDNR[$inr]}" "${WDRELOC[$inr]}" ${SAPSYSTEMNAME} ${WDSAPSTARTSRV_STOP[$inr]}
              (( inr = ${inr} + 1 ))
            done
            while [ ${inr} -lt ${#MDMNAME[@]} ]; do
              clean_inst "${MDMNAME[$inr]}" "${MDMNR[$inr]}" "${MDMRELOC[$inr]}" ${SAPSYSTEMNAME} ${MDMSAPSTARTSRV_STOP[$inr]}
              (( inr = ${inr} + 1 ))
            done
            [ ${CI_T} ]  && clean_inst ${CINAME} ${CINR} ${CIRELOC} ${SAPSYSTEMNAME} ${CISAPSTARTSRV_STOP}
            [ ${JCI_T} ] && clean_inst ${JCINAME} ${JCINR} ${JCIRELOC} ${SAPSYSTEMNAME} ${JCISAPSTARTSRV_STOP}
            [ ${RE_T} ]  && clean_inst ${REPNAME} ${REPNR} ${REPRELOC} ${SAPSYSTEMNAME} ${REPSAPSTARTSRV_STOP}
            [ ${RE2_T} ] && clean_inst ${REPNAME2} ${REPNR2} ${REPRELOC2} ${SAPSYSTEMNAME} ${REPSAPSTARTSRV_STOP2}
#           [ ${WD_T} ]  && clean_inst ${WDNAME} ${WDNR} ${WDRELOC} ${SAPSYSTEMNAME} ${WDSAPSTARTSRV_STOP}
#           [ ${MDM_T} ]  && clean_inst ${MDMNAME} ${MDMNR} ${MDMRELOC} ${SAPSYSTEMNAME} ${MDMSAPSTARTSRV_STOP}
            force_umounts ${HNAME} ${sidadm} 2>/dev/null
            OLD1=invalid
            return 1
          fi
        else
          OLD1=invalid
          WrnLogMsg "Access missing to ${SAPMNTDIR2}"
          sleep 10
        fi
      fi
      check_access ${USRSAPDIR2}
      if [ $? -ge 128 ]; then
        ErrLogMsg "Mandatory directory missing to ${USRSAPDIR2}"
        exit ${ERROR}
      fi
    fi
  else
    LogMsg "No SAP instance is configured in this package"
  fi
  return 0
}


########################################################################
#
# Function: init_params_sap_db
#
# Converts dbinstance module attributes to package parameters.
#
# Parameters:
#
########################################################################
function init_params_sap_db
{
  typeset fname=init_params_sap_db
  BLogMsg $*

  if [ ! -z "${SGeSAP_DB_SYSTEM}" ]; then
    DB_T=1
    DBSID=${SGeSAP_DB_SYSTEM}
    if [ -z "${SGeSAP_DB_VENDOR}" ]; then
      if [ -d /oracle/${DBSID} ]; then
        DB=ORACLE
      elif [ -d /sapdb/${DBSID} ]; then
        DB=MAXDB
      elif [ -d /db2/${DBSID} ]; then
        DB=DB2
      elif [ -d /sybase/${DBSID} ]; then
        DB=SYBASE
      else
        WrnLogMsg "Database vendor defaults to ORACLE"
        DB=ORACLE
      fi
    else
      DB=`echo ${SGeSAP_DB_VENDOR}|${TRLU}`
    fi
  else
    if [ ! -z "${SGeSAP_DB_VENDOR}" ]; then
      DB=`echo ${SGeSAP_DB_VENDOR}|${TRLU}`
      if [ -n "${SGeSAP_SAP_SYSTEM}" ]; then
        DBSID=${SGeSAP_SAP_SYSTEM}
        WrnLogMsg "db_system not explicitly set; it is assumed to be equal to SAP SID ${SGeSAP_SAP_SYSTEM}"
        DB_T=1
      else
        WrnLogMsg "db_system not set"
      fi
    fi
  fi

  if [ -n "${DB_T}" ]; then

    LogMsg "Package will handle ${DB} Database Instance (${DBSID:-sid unknown})"

    #
    # vendor specific settings
    #

    if [ "X${DB}" = "XSAPDB" ]; then
      DB=MAXDB
    fi

    if [ "X${DB}" = "XORACLE" ]; then
      SGeSAP_LISTENER_NAME=${SGeSAP_LISTENER_NAME:-LISTENER}
      if [ -n "${SRP_NAME}"  ]; then
        LogMsg "SRP container configuration ${SRP_NAME} found for database ${DBSID}"
        SU_COMM="${SRP_COMM} ${SRP_NAME}"
      fi
    fi

    if [ "X${op_code}" = "Xstart" -o "X${op_code}" = "Xstop" ]; then
      _check_debug ${STARTUP_R3}
      if [ $? -eq 1 ]; then
        WrnLogMsg "Access to ${SAPMNTDIR2} not restored due to debug mode"
        WrnLogMsg "Manual actions might be necessary in cross-subnet setups"
      else
        check_access ${SAPMNTDIR2}
        if [ $? -ge 128 -a ${SGeSAP_AVOID_CHECKACCESS} -eq 0 ]; then
          if [ ${NETWORK_SLEEP_INTERVAL} -ne 0 -a "X${op_code}" = "Xstart" ]; then
            # cross_check_failover
            # if [ $? -eq 0 ]; then
              force_umounts ${HNAME} ${sidadm} 2>/dev/null
              check_access ${SAPMNTDIR2}
              if [ $? -lt 128 ]; then
                return 0
              fi
            # fi
          fi
          ErrLogMsg "Mandatory access missing to ${SAPMNTDIR2}"
          exit ${ERROR}
        fi
      fi
    fi
  else
    LogMsg "No SAP database is configured in this package"
  fi
}

########################################################################
#
# Function: init_params_sap_repdb
#
# Converts repdbinstance module attributes to package parameters.
#
# Parameters:
#
# The functions tries to derive some to the settings from the
# /sybase/<SID>_REP filesystem. It'll fail or be incomplete if this
# isn't mounted.
#
# Instead of checking the related directory the interface file could
# be used.
#
########################################################################
function init_params_sap_repdb
{
  typeset fname=init_params_sap_repdb
  BLogMsg $*

  # if none of the attributes is set, the module is skipped
  if [[ -z "${SGeSAP_REPDB_SYSTEM}"  && -z "${SGeSAP_REPDB_ROLE}" ]]; then
    LogMsg "No SAP database replication is configured in this package"
    return 0
  fi

  # fallback SGeSAP_REPDB_SYSTEM to SGeSAP_DB_SYSTEM
  if [[ -z "${SGeSAP_REPDB_SYSTEM}" ]]; then
    # check if /sybase REP exists using DB_SYSTEM
	[[ -d "/sybase/${SGeSAP_DB_SYSTEM}_REP" ]] && SGeSAP_REPDB_SYSTEM=${SGeSAP_DB_SYSTEM}
  fi

  if [[ ! -z "${SGeSAP_REPDB_SYSTEM}" ]]; then
    # figure out which role. So far hardcode sybase only.
	# REPDB_SYSTEM might not contain _REP postfix
	REPDBSIDREP="${SGeSAP_REPDB_SYSTEM}"
	if [[ "${REPDBSIDREP%_REP}" = "${REPDBSIDREP}" ]]; then
	  REPDBSIDREP="${REPDBSIDREP}_REP"
	fi
	REPDBDIR="/sybase/${REPDBSIDREP}"

	# check on FS when role is not set. no checks if already set to a value (maybe
	# this also needs to be doublechecked on FS).
	if [[ -z "${SGeSAP_REPDB_ROLE}" ]]; then
 	  if  [[ -d "${REPDBDIR}" ]]; then
        typeset repservers=$(ls -1 -d ${REPDBDIR}/${REPDBSIDREP}_* 2>/dev/null)
        typeset numrs=$(echo "$repservers" | wc -w)

        if [[ $numrs = 1 ]]; then
          SGeSAP_REPDB_ROLE=${repservers#"${REPDBDIR}/${REPDBSIDREP}_"}
          LogMsg "Filesystem for replication found (<$repservers>)"
          LogMsg "Role set to <${SGeSAP_REPDB_ROLE}>"
        elif [[ $numrs > 1 ]]; then
          ErrLogMsg "More than one replication server configuration found in ${REPDBDIR}"
          ErrLogMsg2 "$repservers"
          ErrLogMsg2 "Role attribute needs to be set to select one"
          return ${ERROR}
        else
          # No replication found. Maybe FS is not mounted during validation phase
          if [[ $(ls -1 -d ${REPDBDIR}/* 2>/dev/null | wc -l) = 0 ]]; then
            if [[ "${op_code}" = "validate" ]]; then
              WrnLogMsg "${REPDBDIR} filesystem not mounted. Role can't be determined"
            fi
          else
            ErrLogMsg "No replication server configuration found in ${REPDBDIR}"
            return ${ERROR}
          fi
        fi
	  else
	    ErrLogMsg "${REPDBDIR} not available. Replication role can't be determined"
        return ${ERROR}
	  fi
    else
      # SGeSAP_REPDB_ROLE already set.
      # Check for directory (only for validate, rely on rs module otherwise)
      if [[ "${op_code}" = "validate" ]]; then
        if [[ $(ls -1 -d ${REPDBDIR}/* 2>/dev/null | wc -l) > 0 ]]; then
          # FS seems to be mounted, check existance of repserver directory
          if [[ ! -d ${REPDBDIR}/${REPDBSIDREP}_$SGeSAP_REPDB_ROLE ]]; then
            ErrLogMsg "Directory ${REPDBDIR}/${REPDBSIDREP}_$SGeSAP_REPDB_ROLE doesn't exist"
            return ${ERROR}
          fi
        else
          WrnLogMsg "$REPDBDIR doesn't seem to be mounted. repserver role can't be verified"
        fi
      fi
  	fi

	# At this point role should be set. Either because it already was
	# set to a value in module or has been determined by the FS lookup
	if [[ ! -z "${SGeSAP_REPDB_ROLE}" ]]; then
      REPDB_T=1
	else
	  [ "X${op_code}" != "Xvalidate" ] && WrnLogMsg "SAP database replication role not set"
  	fi
  else
	LogMsg "No SAP database replication configured for this package"
  fi

  if [[ -n "${REPDB_T}" ]]; then
    # Setting related sybase toolkit rs parameters here...
    # - Generic parameters can be set in pkg customer_functions
    # - Default values for these should be taken from rs_validate
    RS_MONITOR_INTERVAL=${RS_MONITOR_INTERVAL:-"30"}
    RS_TIME_OUT=${RS_TIME_OUT:-"10"}
    RS_RETRY_TIME=${RS_RETRY_TIME:-"3"}
    RS_MAINTENANCE_FLAG=${RS_MAINTENANCE_FLAG:-"yes"}
	# SAP specific
	RS_ADMIN_NAME=${RS_ADMIN_NAME:-""}
	[[ -z "${RS_ADMIN_NAME}" ]] && RS_ADMIN_NAME="syb"$(echo ${REPDBSIDREP} | cut -c -3 | $TRUL)

	RS_INSTALL_HOME=${RS_INSTALL_HOME:-${REPDBDIR}}  # should be identical to $SYBASE from SYBASE.sh
	RS_RS_INSTALL_PATH=${RS_RS_INSTALL_PATH:-""}
	RS_OCS_INSTALL_PATH=${RS_OCS_INSTALL_PATH:-""}
	# Get from SYBASE.sh if at least one of the two above isn't set (su needed here?)
	if [[ ( -z "$RS_RS_INSTALL_PATH" || -z "RS_OCS_INSTALL_PATH" ) && -x ${REPDBDIR}/SYBASE.sh ]]; then
	  su - $RS_ADMIN_NAME -c "sh -c \". ${REPDBDIR}/SYBASE.sh ; env \"" | \
	    while read LINE; do
		  case $LINE in
		    SYBASE_OCS=*)
			  [[ -z "$RS_OCS_INSTALL_PATH" ]] && RS_OCS_INSTALL_PATH=${RS_INSTALL_HOME}/$(echo $LINE | cut -d'=' -f2)
			  ;;
			SYBASE_REP=*)
			  [[ -z "$RS_RS_INSTALL_PATH" ]]  && RS_RS_INSTALL_PATH=${RS_INSTALL_HOME}/$(echo $LINE | cut -d'=' -f2)
			  ;;
		  esac;
		done
	fi
	# last chance: set to the "most likely" defaults
	RS_RS_INSTALL_PATH=${RS_RS_INSTALL_PATH:-"${RS_INSTALL_HOME}/REP-15_5"}
	RS_OCS_INSTALL_PATH=${RS_OCS_INSTALL_PATH:-"${RS_INSTALL_HOME}/OCS-15_0"}

	RS_INSTANCE_NAME=${RS_INSTANCE_NAME:-"${REPDBSIDREP}_${SGeSAP_REPDB_ROLE}"}

	 RS_USER_NAME=${RS_USER_NAME:-"DR_admin"}  # hardcoded? - otherwise we'd need to look into SCC/DRA setting - by using which user?)
	 # ...or get from DR.properties (SCC-3_2/plugins/DR): PRIMARY_REP_SERVER_USER or STANDBY_REP_SERVER_USER (however, these names
	 # seem to change.
	 # -
	# get port from interface file .. using something like
	# awk '/^'$RS_INSTANCE_NAME'$/ { print $1 ; getline ; print $5 }' ${RS_INSTALL_HOME}/interfaces
	if [[ -r "${RS_INSTALL_HOME}/interfaces" ]]; then
  	  RS_LISTENER_PORT=$(awk '/^'$RS_INSTANCE_NAME'$/ { getline ; print $5 }' ${RS_INSTALL_HOME}/interfaces)
	fi
	RS_LISTENER_PORT=${RS_LISTENER_PORT:-"4905"}

	# set RS_PASSWD_FILE if not set yet and one can be found
    # (looks into ${SGCONF}/scripts/ext for a file ${SG_PACKAGE_NAME}_rs.passwd)
	if [[ -z "$RS_PASSWD_FILE" ]]; then
	  RS_PASSWD_FILE=${SGCONF}/scripts/ext/${SG_PACKAGE_NAME}_rs.passwd
	else
	  LogMsg "Defined $RS_PASSWD_FILE for replication server ${RS_INSTANCE_NAME}"
	fi

    # set env variables for health check
    RS_HEALTHCHK_CMD=${RS_HEALTHCHK_CMD:-"admin health"}
    RS_HEALTHCHK_RESULT=${RS_HEALTHCHK_RESULT:-"HEALTHY"}


	RS_RUNSCRIPT=${RS_RUNSCRIPT:-"${REPDBDIR}/${RS_INSTANCE_NAME}/RUN_${RS_INSTANCE_NAME}.sh"}
    RS_CONSOLE_LOGFILE=${RS_CONSOLE_LOGFILE:-"${REPDBDIR}/${RS_INSTANCE_NAME}/RUN_${RS_INSTANCE_NAME}.log"}
	#  monitor full path to allow stacking (not used yet, as there is another grep with the installation
	#  path when checking for process names)
	#RS_MONITOR_PROCESS[0]=${RS_MONITOR_PROCESS[0]:-"${RS_RS_INSTALL_PATH}/bin/repserver"}
	#RS_MONITOR_PROCESS[1]=${RS_MONITOR_PROCESS[1]:-"${RS_RS_INSTALL_PATH}/ASA12/bin/dbsrv12"} # version dependent!
    RS_MONITOR_PROCESS[0]=${RS_MONITOR_PROCESS[0]:-"repserver"}
	RS_MONITOR_PROCESS[1]=${RS_MONITOR_PROCESS[1]:-"dbsrv12"} # version dependent!

    # WVE: Online validate of SGeSAP_REPDB attributes here...

    # Create PREV_RS_ values for online validate (and later for reconfigure)
    # Done unconditionally. rs script will only use them if package is up (but on all nodes executing the validate)
    # Assumes that PREV_ values are also available for validate (SG 11.20.20)
    if [[ "${op_code}" = "validate" ]]; then
      if [[ -n "${PREV_SG_PACKAGE_NAME}" ]]; then
        eval $(set | grep -e "^RS_" | while read LINE ; do echo PREV_$LINE; done)
      fi
      srs_report_RS_vars
    fi
  fi

  return 0

}

########################################################################
#
# Function: init_params_livecache
#
# Converts livecache module attributes to package parameters.
#
# Parameters:
#
########################################################################
function init_params_livecache
{
  typeset fname=init_params_livecache
  BLogMsg $*

  typeset basedir

  if [ ! -z "${SGeSAP_LC_SYSTEM}" ]; then
    LogMsg "Package will handle SAP liveCache ${SGeSAP_LC_SYSTEM}"

    LC_T=1
    LCSID=${SGeSAP_LC_SYSTEM}
    LCCONTROLUSERKEY=${SGeSAP_LC_USERKEY:-c}
    LCDBMCLIEXT=${LCDBMCLIEXT:-${DBMCLI} -U ${LCCONTROLUSERKEY} -d ${LCSID}}
    [[ -d /sapdb/${LCSID}/data/wrk/${LCSID} ]] && LCWRKDIR=${LCWRKDIR:-/sapdb/${LCSID}/data/wrk/${LCSID}}
    LCWRKDIR=${LCWRKDIR:-/sapdb/data/wrk/${LCSID}}
    LCRELOC=${SGeSAP_LC_VIRTUAL_HOSTNAME}
    LCSTARTMODE=`echo ${SGeSAP_LC_STARTMODE}|${TRLU}`

    if [ -z "${LCRELOC}" ]; then
      if [ ! -z "${SG_IP_ADDRESS[0]}" ]; then
#       LCRELOC=`nslookup ${SG_IP_ADDRESS[0]}|awk '/Name:/ { print $2 }'|awk -F. '{ print $1 }'`
        LCRELOC=$(${NWRKSUPP} ghba ${SG_IP_ADDRESS[0]} | cut -d ";" -f 2)
        if [ ! -z "${LCRELOC}" ]; then
          LogMsg "Setting virtual hostname of ${LCSID} according to first package ip_address to ${LCRELOC}"
        else
          ErrLogMsg "Address lookup failed for ${SG_IP_ADDRESS[0]}"
          ErrLogMsg2 "Consider setting package parameter lc_virtual_hostname for ${LCSID}"
          check_debug
          exit ${ERROR}
        fi
      else
        ErrLogMsg "Virtual name for liveCache instance ${LCSID} unknown"
        ErrLogMsg2 "Consider setting package parameter ip_address or lc_virtual_hostname for ${LCSID}"
        check_debug
        exit ${ERROR}
      fi
    fi


    if [ -n "${SGeSAP_LC_STANDBY_COPY_MECHANISM}" ]; then
      LC_COPY_MECHANISM=`echo ${SGeSAP_LC_STANDBY_COPY_MECHANISM}|${TRLU}`
      if [ "X${SGeSAP_LC_STANDBY_AVOID_IDCHECK}" = "Xno" ]; then
        AVOID_WWID_CHECK=0
      else
        AVOID_WWID_CHECK=1
      fi
      if [ "X${SGeSAP_LC_STANDBY_RESTART}" = "Xno" ]; then
        LC_STANDBY_RESTART=0
      else
        LC_STANDBY_RESTART=1
      fi
      LogMsg "${SGeSAP_LC_STANDBY_COPY_MECHANISM} hot standby configuration (standby restarts: ${SGeSAP_LC_STANDBY_RESTART}; avoid disk checks: ${SGeSAP_LC_STANDBY_AVOID_IDCHECK})"
    else
      LogMsg "No hot standby (hss) configured in Serviceguard"
    fi

    _check_debug || return # suppress additional checks in debug mode

    maxdb_get_DBADM "LCADM" ${SGeSAP_LC_SYSTEM}
    DbgLogMsg "LCADM=[${LCADM}]"

    LCINIT=${LCINIT:-${LCDBMCLIEXT} exec_lcinit}

    #
    # check lccluster configuration
    #
    LCROOT=/sapdb/${LCSID}/db
    dbroot=""
    if [ -r ${LCMONDIR}/saplc.mon ]; then
      if [ -x ${DBMCLI} ]; then
        dbroot=`${DBMCLI} -d ${LCSID} version 2>/dev/null|grep ',"UNIX",'|cut -f 6 -d '"'`
        dbroot=${dbroot:-/sapdb/${LCSID}/db}
        if [ -d ${dbroot} ]; then
          LCROOT=${dbroot}
          if [ ! -h ${dbroot}/sap/lccluster ]; then
            WrnLogMsg "${dbroot}/sap/lccluster link not found"
            if [ "X${op_code}" != "Xvalidate" ]; then
              WrnLogMsg "Repair attempt..."
              WrnLogMsg "Executing: ln -s ${LCMONDIR}/saplc.mon ${dbroot}/sap/lccluster"
              ln -s ${LCMONDIR}/saplc.mon ${dbroot}/sap/lccluster 1>/dev/null 2>&1
              if [ $? -ne 0 ]; then
                WrnLogMsg "Repair attempt failed"
                WrnLogMsg "Make sure that required filesystems for liveCache are available."
                # exit ${ERROR}
              else
                LogMsg "Link created"
              fi
            fi
          fi
        else
          WrnLogMsg "Configured dbroot directory not existing"
        fi
      else
        WrnLogMsg "dbmcli and basedir cannot be detected"
      fi
    else
      LogMsg "Monitor script ${LCMONDIR}/saplc.mon not found"
    fi
  else
    LogMsg "No SAP livecache is configured in this package"
  fi
}


########################################################################
#
# Function: init_params_sap_infra
#
# Converts infra module attributes to package parameters.
#
# Parameters:
# $1 mode    pre, post
#
########################################################################
function init_params_sap_infra
{
  typeset fname=init_params_sap_infra
  BLogMsg $*

  typeset component
  typeset treatment
  typeset infrahost
  typeset params
  typeset -i routercount=1
  typeset -i biacount=0
  typeset inr=-1

  SAPOSCOL_START=0
  SAPROUTER_START=0
  RFCADAPTER_START=0
  SAPCCMSR_START=0
  SAPBIA_START=0
  SAPHOSTCTRL_START=0
  SAPWEBDISP_START=0

  SAPOSCOL_STOP=0
  SAPROUTER_STOP=0
  RFCADAPTER_STOP=0
  SAPCCMSR_STOP=0
  SAPBIA_STOP=0
  SAPHOSTCTRL_STOP=0
  SAPWEBDISP_STOP=0

  if [ -z "${SGeSAP_SAP_INFRA_SW_TYPE[0]:-}" ]; then
    LogMsg "No SAP infrastructure service is configured in this package"
    return 0
  fi

  for component in ${SGeSAP_SAP_INFRA_SW_TYPE[@]}
  do
    (( inr = $inr + 1 ))
    treatment="${SGeSAP_SAP_INFRA_SW_TREAT[$inr]}"
    infrahost="${SGeSAP_SAP_INFRA_SW_HOST[$inr]:-}"
    params="${SGeSAP_SAP_INFRA_SW_PARAMS[$inr]:-}"
    case ${component} in
      saphostctrl)
        LogMsg "SAP host control handling not supported yet"
        [ "$1" = "post" ] && continue
      # LogMsg "Package will handle SAP host control service"
      # SAPHOSTCTRL_START=1
      # if [ "X${treatment}" = "Xstartnstop" ]; then
      #   SAPHOSTCTRL_STOP=1
      # fi
      ;;
      saposcol)
        [ "$1" = "post" ] && continue
        LogMsg "Package will handle saposcol"
        SAPOSCOL_START=1
        if [ "X${treatment}" = "Xstartnstop" ]; then
          SAPOSCOL_STOP=1
        fi
      ;;
      biamaster)
        [ "$1" = "post" ] && continue
        if [ ${biacount} -eq 0 ]; then
          LogMsg "Package will handle BIA master notification"
        fi
        SAPBIA_START=1
        if [ "X${treatment}" = "Xstartnstop" ]; then
          SAPBIA_STOP=1
        fi
        BIASTATIC[${biacount}]=${infrahost:-undefined_host}
        (( biacount = $biacount + 1 ))
      ;;
      saprouter)
        [ "$1" = "pre" ] && continue
        if [ ${routercount} -eq 1 ]; then
          LogMsg "Package will handle saprouter"
        fi
        SAPROUTER_START[${routercount}]=1
        SAPROUTER_START=1
        if [ "X${treatment}" = "Xstartnstop" ]; then
          SAPROUTER_STOP[${routercount}]=1
          SAPROUTER_STOP=1
        else
          SAPROUTER_STOP[${routercount}]=0
        fi
        SAPROUTER_STRING[${routercount}]=${params:--H ${infrahost:-${SG_IP_ADDRESS[0]}} -W 20000 -R ${SAPMNTDIR}/${SAPSYSTEMNAME}/profile/saprouttab -T ${SAPMNTDIR}/${SAPSYSTEMNAME}/profile/dev_rout}
        (( routercount = $routercount + 1 ))
      ;;
      rfcadapter)
        [ "$1" = "pre" ] && continue
        LogMsg "Package will handle rfcadapter"
        RFCADAPTER_START=1
        if [ "X${treatment}" = "Xstartnstop" ]; then
          RFCADAPTER_STOP=1
        fi
        RFCADAPTER_CMD=${params:-run_adapter.sh}
      ;;
      sapccmsr)
        [ "$1" = "post" ] && continue
        LogMsg "Package will handle sapccmsr"
        SAPCCMSR_START=1
        if [ "X${treatment}" = "Xstartnstop" ]; then
          SAPCCMSR_STOP=1
        fi
        SAPCCMSR_PFL="${params}"
      ;;
      sapwebdisp)
        [ "$1" = "pre" ] && continue
        LogMsg "Package will handle sapwebdisp"
        SAPWEBDISP_START=1
        if [ "X${treatment}" = "Xstartnstop" ]; then
          SAPWEBDISP_STOP=1
        fi
        SAPWEBDISP_PARAMS="${params}"
      ;;
      *)
        WrnLogMsg "${component} treatment not supported - ignored"
      ;;
    esac
#   (( inr = $inr + 1 ))
  done
}


########################################################################
#
# Function: init_params_sap_extinst
#
# Converts sapextinst  module attributes to package parameters.
#
# Parameters:
# $1    mode (pre, post)
#
# Fills AS* arrays.
#
########################################################################
function init_params_sap_extinst
{
  typeset fname=init_params_sap_extinst
  BLogMsg $*

  typeset -i inr rc
  typeset inst
  typeset treat[1]=start
  typeset treat[2]=stop
  typeset treat[3]=restart
  typeset treat[4]=shutdown
  typeset treat[5]=cross_subnet
  typeset treatstring
  typeset sapstartsrv_start
  typeset pkgpar
  typeset tmpip

  if [[ -z "${SGeSAP_SAP_EXT_INSTANCE[0]}" &&  (
        ( ${1} = pre  && ( "X${op_code}" = Xstart || "X${op_code}" = Xreconfigure_start )) ||
        ( ${1} = post && ( "X${op_code}" = Xstop  || "X${op_code}" = Xreconfigure_stop  ))  ) ]]; then
    LogMsg2 4 "No SAP external application handling is configured in this package"
    return 0
  fi

  #
  # fill AS* arrays
  #
  inr=0
  for inst in ${SGeSAP_SAP_EXT_INSTANCE[@]}
  do
    AS_T=1
    ASNAME[$inr]=`echo ${SGeSAP_SAP_EXT_INSTANCE[$inr]}|eval ${GETNAME}`
    ASNR[$inr]=`echo ${SGeSAP_SAP_EXT_INSTANCE[$inr]}|eval ${GETNR}`
    ASHOST[$inr]=${SGeSAP_SAP_EXT_HOST[$inr]:-${HNAME}}
    ASSID[$inr]=${SGeSAP_SAP_EXT_SYSTEM[$inr]:-${SAPSYSTEMNAME}}
    ASPLATFORM[$inr]=""
    ASTREAT[$inr]=0
    ASSAPSTARTSRV_START[$inr]=2 # don't start the agent, but keep using sapcontrol
    ASSAPSTARTSRV_STOP[$inr]=2  # don't stop the agent, but keep using sapcontrol

    treatstring=""
    for i in 1 2 3 4 5
    do
      if [ `echo ${SGeSAP_SAP_EXT_TREAT[$inr]}|cut -c ${i}` = "y" ]; then
        ASTREAT[$inr]=`echo ${ASTREAT[$inr]}+2^'('${i}-1')'|bc`
        treatstring=${treatstring}${treatstring:+, }${treat[$i]}
      fi
    done
    if [ ${ASTREAT[$inr]} -ne 0 ]; then
      LogMsg "Package is configured to trigger ${treatstring} operations"
      LogMsg "for external Application Server ${ASNAME[$inr]}${ASNR[$inr]} of ${ASSID[$inr]} on ${ASHOST[$inr]}"
      #
      # treat sapstart framework for Diagnostic Agents and virtualized non-critical instances
      #
      if [ "X${SGeSAP_SAPSTARTSRV_START}" != "X0" ]; then
        # for pkgpar in ${SG_FS_DIRECTORY[@]}
        # do
          # if [ "X${pkgpar}" = "X${USRSAPDIR}/${ASSID[$inr]}/${ASNAME[$inr]}${ASNR[$inr]}" ]; then
            rc=0
            # Allow aliases as virtual hostname
            typeset ashost=${ASHOST[$inr]}
            typeset canonhost
            canonhost=`${NWRKSUPP} ghbn ${ashost} | cut -f 2 -d ';'|tail -1`
            [ "X${canonhost}" != "X${ashost}" ] && ashost=${canonhost}

            for tmpip in ${SG_IP_ADDRESS[@]}
            do
              if [ "X`${NWRKSUPP} ghba ${tmpip}|cut -f 2 -d ';'|tail -1`" = "X${ashost}" ]; then
                rc=1
                break
              fi
            done
            if [ ${rc} -eq 1 ]; then
              set_environment ${ASNAME[$inr]} ${ASNR[$inr]} ${ASHOST[$inr]} ${ASSID[$inr]}
              sapstartsrv_start=0
              if [ `watched_check ${MYSTARTPROFILE} ${DELAY_INTERVALS}|tail -1` -eq 0 ]; then
                if [ "X${SGeSAP_SAPSTARTSRV_START}" != "X0" ]; then
                  find_sap_binary ${ASNAME[$inr]} ${ASNR[$inr]} ${ASHOST[$inr]} ${ASSID[$inr]} sapstartsrv
                  if [ $? -eq 0 ]; then
                    if [ -r ${SAPSERVICECONFIG} ]; then
                      LogMsg2 2 "${SAPSERVICECONFIG} found"
                      if [ `cat ${SAPSERVICECONFIG}|grep -v "# static"|cut -f 1 -d "#"|grep ${ASSID[$inr]}/${ASNAME[$inr]}${ASNR[$inr]}/|wc -l` -ne 0 ]; then
                        LogMsg2 2 "System has Instance Agent configuration"
                        sapstartsrv_start=1
                        LogMsg "Package will handle Instance Agent of ${ASNAME[$inr]}${ASNR[$inr]}"
                      else
                        LogMsg2 2 "No static Instance Agent configured for ${ASNAME[$inr]}${ASNR[$inr]}"
                        if [ "X${OWNER}" != "Xsapadm" ]; then

                          CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -reg"
                          execute_sapcmd_sLPATH root "$CMD" >/dev/null 2>&1

                          if [ $? -eq 0 ]; then
                            CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -unreg"
                            execute_sapcmd_sLPATH root "$CMD" >/dev/null 2>&1
                            sapstartsrv_start=1
                            LogMsg "Package will handle registration entry for Instance Agent of ${ASNAME[$inr]}${ASNR[$inr]}"
                          else
                            LogMsg "Package will not handle registration entry for Instance Agent of ${ASNAME[$inr]}${ASNR[$inr]}"
                            LogMsg2 2 "sapstartsrv registration mechanism not available on this host"
                          fi
                        else
                          LogMsg "Package will not handle registration entry for Instance Agent of ${ASNAME[$inr]}${ASNR[$inr]}"
                          LogMsg2 2 "sapstartsrv registration mechanism not available in ${ASSID[$inr]} binary paths"
                        fi
                      fi
                    else
                      LogMsg2 2 "No Instance Agents configured on host"
                    fi
                  else
                    LogMsg2 2 "No Instance Agent handling available for ${ASNAME[$inr]}${ASNR[$inr]}"
                  fi
                else
                  LogMsg2 2 "Avoid SAP startup framework for ${ASNAME[$inr]}${ASNR[$inr]}"
                fi
              else
                LogMsg2 2 "Profile access missing - Instance Agent check skipped for ${ASNAME[$inr]}${ASNR[$inr]}"
              fi
              ASSAPSTARTSRV_START[$inr]=${sapstartsrv_start}
              ASSAPSTARTSRV_STOP[$inr]=${SGeSAP_SAPSTARTSRV_STOP:-${sapstartsrv_start}}
              # break
            fi
          # fi
        # done
      fi
    fi
    (( inr = $inr + 1 ))
  done


  #
  # check ASTREAT values
  # it is not supported to use ASTREAT to do anything with non-SMDA/-W instances of
  # additional SAP components than to stop them if they become local
  # during failover or to restart them after cross-subnet failover
  #
  inr=0
  while [ ${inr} -lt ${#ASSID[@]} ]; do
    if [ "X${ASSID[${inr}]}" != "X${SAPSYSTEMNAME}" -a "X${ASNAME[$inr]}" != "XSMDA" -a "X${ASNAME[$inr]}" != "XW" ]; then
      if [[ `(treatment_test ${inr} ${START_WITH_PKG} 1>/dev/null 2>&1;echo $?)` -ne 0 ||
            `(treatment_test ${inr} ${STOP_WITH_PKG} 1>/dev/null 2>&1;echo $?)` -ne 0 ||
            `(treatment_test ${inr} ${RESTART_DURING_FAILOVER} 1>/dev/null 2>&1;echo $?)` -ne 0 ]]; then
        ErrLogMsg "Illegal sap_ext_treat parameters for instances of SAP system ${ASSID[$inr]}"
        ErrLogMsg2 "The package can handle start/stop/restart ops for instances of ${SAPSYSTEMNAME} only"
        check_debug
        exit ${ERROR}
      fi
    fi
    (( inr = $inr + 1 ))
  done

  return 0
}


########################################################################
#
# Function: detect_replication
#
# Maps a Replication Instance to the Central Service Instance
# without relying on SAP directories and binaries.
#
# Parameters:
# $1    instance name of [A]SCS
# $2    instance number of [A]SCS
# $3    SID
#
# Remarks:
# Fills RPNAME, RPNR.
#
########################################################################

function detect_replication
{
  typeset fname=detect_replication
  BLogMsg $*

  typeset packagename
  typeset instancename

  RPNAME=""
  RPNR=""

  for packagename in `${SGSBIN}/cmviewcl -f line -l package -s config|grep "^package:[[:alnum:]_-]*|name="|cut -f 2 -d =`
  do
    instancename=`${CMGETPKGENV} ${packagename}|awk -v s=${3} -v i=${1}${2} ' BEGIN { found=0 }
                    /^SGeSAP_SAP_SYSTEM=/ { if (substr($1,index($1,"=")+2,3)~s) found=1 }
                    /^SGeSAP_SAP_INSTANCE[[].*]=/ { tmp=substr($1,index($1,"=")+2,length(substr($1,index($1,"=")))-3) }
                    /^SGeSAP_SAP_REPLICATED_INSTANCE[[].*]=/ {  if (substr($1,index($1,"=")+2,length(substr($1,index($1,"=")))-3)~i ) e=tmp }
                    END { if ( found~1 ) print e} '`
    if [ -n "${instancename}" ]; then
      RPNAME=`echo ${instancename}|eval ${GETNAME}`
      RPNR=`echo ${instancename}|eval ${GETNR}`
      LogMsg "${1}${2} replicated by ${RPNAME}${RPNR} of package ${packagename}"
      return 0
    fi
  done
  LogMsg "No replication instance detected"
  return 1
}


########################################################################
#
# Function: getDBSIDforSAPSID
#
# Figure out DB SID for a given SAP SID.
# ...by looking up j2ee/dbname in DEFAULT.PFL
# Helper function for detect_packages.
#
# Parameter: SAP SID (required)
#
# Globals: USRSAPDIR
#
# Returns: DB SID as output (otherwise SAP SID arg is returned)
#
# So far it uses j2ee/dbname from instance DEFAULT.PFL to get the DB SID.
# To be called only in the context of a dialog instance (Dxx,Jxx - as detect_packages)
#
########################################################################
function getDBSIDforSAPSID {
  typeset sapsid=$1

  # get DBSID by looking up DB SID (using j2ee/dbname) in NW DEFAULT.PFL (might be different,esp. for HANA)
  dbsystemname=$(grep "j2ee/dbname =" ${USRSAPDIR}/${sapsid}/SYS/profile/DEFAULT.PFL 2>/dev/null \
                 | cut -f2 -d= |  tr -d "[:space:]")
  [[ -z ${dbsystemname} ]] && dbsystemname=${sapsid}
  echo $dbsystemname
}

########################################################################
#
# Function: detect_packages
#
# Sets correct value for DB_PKG and ISHDB.
#
# Parameters: -
#
# Globals:
#  SAPSYSTEMNAME,USRSAPDIR - read
#  DB_PKG, ISHDB - write
#
########################################################################
function detect_packages
{
  typeset fname=detect_packages
  BLogMsg $*

  typeset packagename
  typeset i
  typeset dbsystemname

  DB_PKG=""
  ISHDB=0

  dbsystemname=$(getDBSIDforSAPSID ${SAPSYSTEMNAME})
  [[ "${dbsystemname}" != "${SAPSYSTEMNAME}" ]] && LogMsg "DB SID ${dbsystemname} is different SAP SID ${SAPSYSTEMNAME}"

  for packagename in `${SGSBIN}/cmviewcl -v -f line -l package -s config|
                      grep -e hdb_system=${dbsystemname}$ -e sap_system=${SAPSYSTEMNAME}$ -e db_system=${dbsystemname}$|
                      grep -v "package:${SG_PACKAGE_NAME}|"|
                      cut -f 2 -d :|cut -f 1 -d '|' | uniq`
  do
    LogMsg2 1 "Corresponding package found: ${packagename}"

    for i in `${SGSBIN}/cmviewcl -v -f line -l package -s config -p ${packagename}`
    do
    #  if [ `echo $i|grep -e '/db_vendor=' -e '/db_system=' -e 'module_name=sgesap/hdbprimary'|wc -l` -ne 0 ]; then
      if echo $i|grep -q -e '/db_vendor=' -e '/db_system=' -e 'module_name=sgesap/hdbprimary'; then
        LogMsg "${packagename} contains matching database services"
        DB_PKG=${packagename}
        # if [ `echo $i|grep -e 'module_name=sgesap/hdbprimary'|wc -l` -ne 0 ]; then
        if echo $i|grep -q -e 'module_name=sgesap/hdbprimary'; then
          ISHDB=1
        fi
        #if [ ${SG_LOG_LEVEL} -eq 0 ]; then
          break
        #fi
      fi
    done
    if [[ "X${DB_PKG}" != "X" && ${SG_LOG_LEVEL} -eq 0 ]]; then
      break
    fi
  done
}


########################################################################
#
# Function: detect_peer_pkg
#
# Sets correct value for PEER_PKG and PRIMARY_PKG or SECONDARY_PKG.
# Sets PEER_NODELIST, PEER_NODELIST_UP, PEER_REPRESENTATIVE,
# PEER_REPRESENTATIVE_UP
#
# Parameters:
#
########################################################################
function detect_peer_package
{

  typeset fname=detect_peer_package
  BLogMsg $*

  typeset packagename
  typeset nodename
  typeset cmviewcl_out

  if [ ${HDBPRIMARY} -eq 0 -a -z "${PRIMARY_PKG}" ]; then
    for packagename in `${SGSBIN}/cmviewcl -v -f line -l package -s config|
                        grep -e hdb_system=${SGeSAP_HDB_SYSTEM}$|
                        grep -v "package:${SG_PACKAGE_NAME}|"|
                        cut -f 2 -d :|cut -f 1 -d '|'`
    do
      LogMsg2 1 "Corresponding package found: ${packagename}"

      if [ `${SGSBIN}/cmviewcl -v -f line -l package -s config -p ${packagename}|
        grep -e 'module_name=sgesap/hdbprimary'|wc -l` -ne 0 ]; then
        if [ ${HDBSCALEOUT} -eq 0 ]; then
          LogMsg "${packagename} has primary services"
          if [ "X${PRIMARY_PKG}" != "X" ]; then
            LogMsg "Multiple matching primary packages found" # not worth a warning for scale-out
          fi
          PRIMARY_PKG=${packagename}
          if [ ${SG_LOG_LEVEL} -eq 0 ]; then
            break
          fi
        else
          if [ `${SGSBIN}/cmviewcl -v -f line -l package -s config -p ${packagename}|
            grep -e ^node:${SG_NODE_NAME[0]}'|name='${SG_NODE_NAME[0]} -e 'module_name=sgesap/hdbprimary'|wc -l` -eq 1 ]; then
            LogMsg "${packagename} has primary services"
            if [ "X${PRIMARY_PKG}" != "X" ]; then
              WrnLogMsg "Multiple matching primary packages found"
            fi
            PRIMARY_PKG=${packagename}
            if [ ${SG_LOG_LEVEL} -eq 0 ]; then
              break
            fi
          else
            DbgLogMsg "Found primary pkg of this site: ${packagename}"
          fi
        fi
      fi
    done
    PEER_PKG=${PRIMARY_PKG}
    SECONDARY_PKG=${SG_PACKAGE_NAME}
  elif [ ${HDBSECONDARY} -eq 0 -a -z "${SECONDARY_PKG}" ]; then
    for packagename in `${SGSBIN}/cmviewcl -v -f line -l package -s config|
                        grep -e hdb_system=${SGeSAP_HDB_SYSTEM}$|
                        grep -v "^package:${SG_PACKAGE_NAME}|"|
                        cut -f 2 -d :|cut -f 1 -d '|'`
    do
      LogMsg2 1 "Corresponding package found: ${packagename}"
      if [ `${SGSBIN}/cmviewcl -v -f line -l package -s config -p ${packagename}|
        grep -e 'module_name=sgesap/hdbprimary$'|wc -l` -eq 0 ]; then
        if [ ${HDBSCALEOUT} -eq 0 ]; then
          LogMsg "${packagename} is a secondary package"
          if [ "X${SECONDARY_PKG}" != "X" ]; then
            WrnLogMsg "Multiple matching secondary packages found"
          fi
          SECONDARY_PKG=${packagename}
          if [ ${SG_LOG_LEVEL} -eq 0 ]; then
            break
          fi
        else
          if [ `${SGSBIN}/cmviewcl -v -f line -l package -s config -p ${packagename}|
            grep -e ^node:${SG_NODE_NAME[0]}'|' -e 'module_name=sgesap/hdbprimary$'|wc -l` -eq 0 ]; then
            LogMsg "${packagename} is a secondary package"
            if [ "X${SECONDARY_PKG}" != "X" ]; then
              WrnLogMsg "Multiple matching secondary packages found"
            fi
            SECONDARY_PKG=${packagename}
            if [ ${SG_LOG_LEVEL} -eq 0 ]; then
              break
            fi
          else
            DbgLogMsg "Found secondary pkg of this site: ${packagename}"
          fi
        fi
      fi
    done
    PEER_PKG=${SECONDARY_PKG}
    PRIMARY_PKG=${SG_PACKAGE_NAME}
  fi
  if [[ -z "${PEER_PKG}" ]]; then
    ErrLogMsg "No corresponding peer package found in cluster configuration"
    exit ${FATAL}
  fi
  PEER_NODELIST=""
  PEER_NODELIST_UP=""
  PEER_REPRESENTATIVE=""
  PEER_REPRESENTAATIVE_UP=""
  cmviewcl_out=`${SGSBIN}/cmviewcl -f line -p ${PEER_PKG}|grep -e '^node:[[:alnum:]_-]*|name=[[:alnum:]_-]*'|cut -f 2 -d :|cut -f 1 -d "|"`
  failed_nodes=`${SGSBIN}/cmviewcl -f line -l node|grep -e '^node:[[:alnum:]_-]*|state='|grep -e =failed -e =unknown|cut -f 2 -d :|cut -f 1 -d "|"`
  for nodename in ${cmviewcl_out}; do
    if [[ ${nodename} = ${HNAME} ]]; then
      continue
    fi
    PEER_NODELIST=" ${nodename} "${PEER_NODELIST}
    skipper=0
    for failed_node in ${failed_nodes}; do
      if [[ ${nodename} = ${failed_node} ]]; then
        skipper=1
        break
      fi
    done
    if [[  ${skipper} -ne 1 ]]; then
      PEER_NODELIST_UP=" ${nodename} "${PEER_NODELIST_UP}
      PEER_REPRESENTATIVE_UP=${PEER_REPRESENTATIVE_UP:-${nodename}}
    fi
  done
  PEER_REPRESENTATIVE=${nodename}
  DbgLogMsg "PEER_NODELIST=[${PEER_NODELIST}]"
  DbgLogMsg "PEER_REPRESENTATIVE=[${PEER_REPRESENTATIVE}]"
  DbgLogMsg "PEER_REPRESENTATIVE_UP=[${PEER_REPRESENTATIVE_UP}]"
  DbgLogMsg "PEER_NODELIST_UP=[${PEER_NODELIST_UP}]"
  return 0
}



########################################################################
#
# Function: vers
#
# Convert version string 111.022.3.444 into a real number for comparison
# purposes
#
# Parameters: version string/number
#
########################################################################
function vers { echo "$@" | awk -F. '{ printf("%d%03d%03d%03d\n", $1,$2,$3,$4); }'; }


########################################################################
#
# SUB Function: check_lxversion
#
# Checks if installed linux version is supported by comparing against a
# minimum linux version. Here a versioncontains a major and minor part
# seperated by "." Use vers() to convert to a number.
#
# Parameters:
# $1          LXVERSION - current linux version
# $2          MINVERSION - min required version
#
########################################################################
function check_lxversion
{
  typeset fname=check_lxversion
  BLogMsg $*

  typeset LXVERSION=$1
  typeset MINVERSION=$2

  LogMsg "LXVERSION=[$LXVERSION] MINVERSION=[$MINVERSION]"
  if [ $(vers $LXVERSION) -lt $(vers $MINVERSION) ]; then
    ErrLogMsg "Mismatch for [${LXRELEASE}] version [${LXVERSION}]. You need at least [${MINVERSION}]."
    exit ${ERROR}
  fi
}


########################################################################
#
# Function: check_versions
#
# Test if installed software versions are supported by this script.
# This function reports troublesome configurations during rolling
# upgrades.
#
# Parameters:
#
# Note: two different type of Platforms
# HPLAT:         HP-UX, Linux
# SAP PLATFORM:  hpia64, hp_64, linuxx86_64
#
########################################################################
function check_versions
{
  typeset fname=check_versions
  BLogMsg $*

  SGVERSION=`${SGSBIN}/cmversion|cut -f2- -d.`
  if [[ "X${SGVERSION}" = "X" ]] ||
   [[ "$(vers ${SGVERSION})" -lt "$(vers ${MIN_SGVERSION})" ]]; then
    ErrLogMsg "Mismatched Serviceguard version \"${SGVERSION}\" (via ${SGSBIN}/cmversion)."
    ErrLogMsg2 "You need at least ${MIN_SGVERSION}."
    exit ${ERROR}
  fi

  case `uname` in
    "HP-UX")
        # set in sap_control.sh: HPLAT="HP-UX"
        UXVERSION=`uname -r`
        if [[ "`echo ${UXVERSION}|cut -d . -f 2,3`" < "`echo ${MIN_UXVERSION}|cut -d . -f 2,3`" ]]; then
          ErrLogMsg "Mismatched HP-UX version ${UXVERSION}. You need at least HP-UX ${MIN_UXVERSION}."
          exit ${ERROR}
        fi
        case `uname -m` in
          ia64)
            PLATFORM=hpia64
          ;;
          *)
            PLATFORM=hp_64
          ;;
        esac
    ;;
    "Linux")
        typeset osrelease="/etc/os-release"
        typeset LXRELEASE=""
        typeset LXVERSION=""
        # set in sap_control.sh: HPLAT=Linux
        #################################
        if [[ -r $osrelease ]]; then
          # convert ID into uppercase "os-string"
          LXRELEASE=$(. $osrelease; echo $ID | $TRLU)

          # convert VERSION_ID into a "major.minor" version number
          LXVERSION=$(. $osrelease; echo $VERSION_ID | awk  -F. '$1 ~/^[0-9]+/ { print $1 "." $2 }')

          DbgLogMsg "LXRELEASE=[$LXRELEASE] LXVERSION=[$LXVERSION]"
          if [[ "$LXRELEASE" == "RHEL" ]]; then
              check_lxversion "${LXVERSION}" "${MIN_RHELVERSION}"
          else
              check_lxversion "${LXVERSION}" "${MIN_SLESVERSION}"
          fi

        #################################
        elif [[ -f /etc/redhat-release ]]; then
          LXRELEASE="RHEL"
          LXVERSION=`awk '$1 ~ Red { print $(NF-1) }' /etc/redhat-release`
          check_lxversion "${LXVERSION}" "${MIN_RHELVERSION}"

        #################################
        elif [[ -f /etc/SuSE-release ]]; then
          LXRELEASE="SLES"
          LXVERSION=`cat /etc/SuSE-release | awk  '/^VERSION/     { maj=$3 };
                                                  /^PATCHLEVEL/  { min=$3 }
                                                  END { printf ("%s.%s", maj, min) }'`
          check_lxversion "${LXVERSION}" "${MIN_SLESVERSION}"

        fi

        LogMsg "Found HW platform=(${HPLAT}) Linux release=(${LXRELEASE})"

        case `uname -m` in
          x86_64)
            PLATFORM=linuxx86_64
          ;;
          *)
            echo "Unrecognized platform ${PLATFORM}"
            exit ${ERROR}
          ;;
        esac

    ;;
    *)
      ErrLogMsg "Unrecognized platform `uname`"
      exit ${ERROR}
    ;;
  esac

  [[ $UX -eq 1 ]] && LogMsg2 2 "Version check passed (UX:${UXVERSION}, SG:${SGVERSION})"
  [[ $LX -eq 1 ]] && LogMsg2 2 "Version check passed (LX:${LXVERSION}, SG:${SGVERSION})"
  LogMsg2 2 "Log Level is ${SG_LOG_LEVEL}"

}


########################################################################
#
# Function: wait_igs
#
# Synchronize with the stop of the IGS instance.
# IGS might become started and stopped with the standard SAP
# scripts. The shutdown usually takes place asynchronously
# and might take a long amount of time.
#
# Parameters:
# $1  instance name
# $2  instance number
#
########################################################################
function wait_igs
{
  typeset fname=wait_igs
  BLogMsg $*

  typeset seconds
  typeset count=0

  TPID=0
  while [[ ${count} -le ${DELAY_INTERVALS} ]]; do
    (( seconds = $count * 10 ));
    if [ ${seconds} -gt 60 ]; then
      seconds=60
    fi

    test_proc_opt igswd_mt _${1}${2}
    if [ $? -eq 0 ]; then
      [ ${count} -eq 0 ] && kill ${TPID}
      LogMsg "IGS shutdown delay detected - waiting ${seconds} seconds"
      sleep ${seconds}
    else
      if [ "X${MYIGSDIR}" != "Xunknown" ]; then
        test_proc_opt igswd_mt "dir=${MYIGSDIR}"
        if [ $? -eq 0 ]; then
          [ ${count} -eq 0 ] && kill ${TPID}
          LogMsg "IGS shutdown delay detected - waiting ${seconds} seconds"
          sleep ${seconds}
        else
          LogMsg "IGS stopped"
          break
        fi
      fi
    fi

    if [ ${count} -ge ${DELAY_INTERVALS} ]; then
      [ ${TPID} -gt 1 ] && kill -9 ${TPID}
      WrnLogMsg "IGS shutdown timed out"
      WrnLogMsg "igswd_mt killed"
      break
    fi

    (( count = $count + 1 ));
  done
}


########################################################################
#
# Function: define_cleanup
#
# Determine cleanup commands for Central Instance startup.
#
# Parameters:
#
# Remark:
# Fills CLEANUP
#
########################################################################
function define_cleanup
{
  typeset fname=define_cleanup
  BLogMsg $*

  case "${CLEANUP_POLICY}" in
    "lazy") CLEANUP="sleep 0;"
    ;;
    "strict") IPCLIST=$(${REM_COMM} ${CIRELOC} -l ${MYSIDADM:-${SAPSYSTEMNAME}adm} -n "ipcs -mc"|grep ' sapsys$' |grep -v ' root '|grep -e " D.[rwa-]\{9\} " -e " .D[rwa-]\{9\} "| ipcs2ipclist)
      if [ "X${IPCLIST}" != "X" ]; then
        LogMsg "Detected IPCs: ${IPCLIST}"
        CLEANUP="${PRIV_COMM} ipcrm ${IPCLIST}; sleep 10;"
      fi
    ;;
    *) CLEANUP="cleanipc ${CINR} remove; "
    ;;
  esac
}


#########################################################################
#
# Function: start_saposcol
#
# Explicit start of saposcol only required for instances that
# do not rely on the startsap/stopsap scripts that are delivered
# with SAP installation media.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          virtual hostname
#
#########################################################################
function start_saposcol
{
  typeset fname=start_saposcol
  BLogMsg $*

  set_environment $1 $2 $3 ${SAPSYSTEMNAME}
  find_sap_binary $1 $2 $3 ${SAPSYSTEMNAME} saposcol
  if [ $? -eq 0 ]; then
    test_proc saposcol
    if [ $? -ne 0 ]; then
      LogMsg "Starting saposcol"
      su - ${OWNER} -c "${LOCATION:-saposcol}" 2>&1 >/dev/null|grep -v "Not a terminal"|grep -v "Not a typewriter"|logpipe
      returncode=$?
      case $returncode in
        0) LogMsg "Saposcol started"
      ;;
        255) LogMsg "Saposcol already running"
      ;;
        *) WrnLogMsg "Start of saposcol failed"
      esac
    else
      LogMsg "saposcol already running"
    fi
  else
    WrnLogMsg "saposcol not started - binary not found"
  fi
}


########################################################################
#
# Function: clean_inst
#
# Kill a sapstart process tree.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          instance host (local, as contained in profile name)
# $4          SAP System ID
# $5          =2 avoid to clean sapstartsrv
#
# Remarks:
#
########################################################################
function clean_inst
{
  typeset fname=clean_inst
  BLogMsg $*

  typeset command
  typeset privcmd
  typeset islocal
  typeset addl_list
  typeset myinstprofile_short

  set_environment $1 $2 $3 $4
  if [ "X${MYINSTPROFILE}" = "Xnot_found" ]; then
    MYINSTPROFILE=${USRSAPDIR}/${4}/${1}${2}/profile/${4}_${1}${2}_${3}
  fi
  myinstprofile_short="_${1}${2}_${3}"
  if [ "X${MYSIDADM}" = "Xunknown" ]; then
    MYSIDADM=${4}adm
  fi

  is_ip_local ${3}
  if [ $? -eq 1 ]; then
    islocal=1
    privcmd=""
  else
    islocal=0
    privcmd="${PRIV_COMM}"
  fi

  if [ "X${5}" = "X2" ]; then
    addl_list=""
  else
    addl_list="-e sapstartsrv"
  fi

  ### begin - create one large cleanup command

  # First: Check if the "sapstart" process (not the "sapstartsrv" process) of
  # the instance is running and has PPID=1 (if SAP configuration is older it
  # might me using START profiles instead of instance profiles); If so scan
  # the process tree for childern of sapstart. Then try to terminate
  # sapstart process. If not not successfull kill sapstart and all the
  # children.
  # Second: Stop sapstartsrv process
  # Third: Cleanup and leftover processes of the instance
  #
  # Note: This command is executed either locally or remote as a script
  #       Escape all ${var} with "\" if to be interpolated on target system
  #
  command="sapstart_pid=\`ps -ef|grep \" pf=\"|grep \"${myinstprofile_short}\"|grep \"${4}\"|awk '/sapstart / { if (\$3==\"1\") { print \$2; } }'\`;

  function ps_tree
  {
    local _pid
    local _child
    for _pid in \$@; do
      for _child in \$(pgrep -P \${_pid}); do
          ps_tree \${_child}
      done
      echo "\${_pid}"
    done
  }

  # if sapstart is running send terminate signal
  if [ "X\${sapstart_pid}" != "X" ]; then
      dep_ps_list=\`ps_tree \${sapstart_pid}\`;
      echo Sending termination signal to sapstart \(\${sapstart_pid}\) process for \"${4}${myinstprofile_short}\"...;
      kill \${sapstart_pid} 2>/dev/null;
      t=0;
      while [ \$t -lt ${DELAY_INTERVALS} ]; do
        sleep 10;
        ps -p \${sapstart_pid} 2>/dev/null >/dev/null||break;
        (( t = \${t} + 1 ));
      done;

      # check if sapstart has terminated
      sapstart_pid=\`ps -ef|grep \" pf=\"|grep \"${myinstprofile_short}\"|grep \"${4}\"|awk '/sapstart / { if (\$3==\"1\") { print \$2; } }'\`;

      # if hasn't terminated send kill -9 this time to sapstart and children
      if [ "X\${sapstart_pid}" != "X" ]; then
        dep_ps_list=\`ps_tree \${sapstart_pid}\`;
        kill -9 \${sapstart_pid} 2>/dev/null
      fi
      for i in \${dep_ps_list};
      do
        kill_pr=\`${UNIX95} ps -o comm -p \${i}|tail -1\`;
        if [ \"X\${kill_pr}\" != \"XCOMMAND\" ]; then
          echo \"Sending kill signal to sapstart child process... \${kill_pr} [\${i}]\";
          kill -9 \${i} 2>/dev/null;
        fi
      done;
  fi;

  # stop the sapstartsrv process
  su - ${MYSIDADM} -c \"sapcontrol pf=${MYINSTPROFILE} -nr ${2} -function StopService\" >/dev/null 2>&1 &
  sleep 5;

  # gather all processes matching profile ${myinstprofile_short} and send kill signal
  ps_list=\`ps -ef|grep \" pf=\"|grep \"${myinstprofile_short}\"|grep \"${4}\"|grep \
    -e jlaunch \
    -e jstart \
    -e jc \
    -e igspw_mt \
    -e igsmux_mt \
    -e ig.sap \
    -e \"sapstart \" \
    -e icman \
    -e wd.sap \
    -e en.sap \
    -e er.sap \
    -e ms.sap \
    -e mds.sap \
    -e mdis.sap \
    -e mdss.sap \
    -e dw.sap \
    -e gwrd \
    -e se.sap \
    -e co.sap \
    -e sapcontrol ${addl_list}|grep -v dep_ps_list| \
    awk ' { print \$2; }'\`;
  ps_list2=\`ps -ef|grep \"sapcontrol -nr ${2}\"|grep -v grep|awk ' { print \$2; }'\`;
  ps_list=\"\${ps_list} \${ps_list2}\"
  for i in \${ps_list};
  do
    kill_pr=\`${UNIX95} ps -o comm -p \${i}|tail -1\`;
    if [ \"X\${kill_pr}\" != \"XCOMMAND\" ]; then
      echo \"Killing additional process... \${kill_pr} [\${i}]\";
      kill -9 \${i} 2>/dev/null;
    fi;
  done;
  "
  ### end - create one large cleanup command

  # execute large cleanup command
  if [ ${islocal} -eq 0 ]; then
    create_retfile ${fname}
    LogMsg "Remote execution of RETfile ${RETFILE} on ${3}"
    >>${RETFILEFULL} echo "${command}"
    >>${RETFILEFULL} echo 'rm ${RETFILEFULL:-/tmp/'${RETFILE}'}'
    >>${RETFILEFULL} echo '}'
    su ${MYSIDADM} -c "${RCP_COMM} ${RETFILEFULL} ${3}:/tmp/${RETFILE}" >/dev/null 2>&1
    ${REM_COMM} ${3} -l ${MYSIDADM} -n "sh -c \". /tmp/${RETFILE}; ${fname}\""|logpipe
  else
    # DbgLogMsg "clean_inst [${command}]"
    eval "${command}"|logpipe
  fi
}


########################################################################
#
# Function: set_environment
#
# Set SAP directories for a particular instance, covering common
# layouts for the supported SAP releases.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          instance host (local, as contained in profile name)
# $4          SAP System ID
#
# Remarks:
# Fills MYSTARTPROFILE, MYINSTPROFILE, MYWORKDIR
#       MYSIDADM, MYHOMEDIR
#
########################################################################
typeset OLD1=""
typeset OLD2=""
typeset OLD3=""
typeset OLD4=""
function set_environment
{
  typeset fname=set_environment
  BLogMsg $*
  fname="${fname} ${1}${2}"

  typeset sid=${4:-${SAPSYSTEMNAME}}
  typeset globalprofiledir=${USRSAPDIR}/${sid}/SYS/profile
  typeset insttopdir=${USRSAPDIR}/${sid}/${1}${2}
  typeset instprofiledir=${insttopdir}/profile
  typeset start_profile=START_${1}${2}_${3}
  typeset start_profile_loc=START_${1}${2}_${HNAME}
  typeset inst_profile=${sid}_${1}${2}_${3}
  typeset inst_profile_loc=${sid}_${1}${2}_${HNAME}


  #
  # shortcut
  #
  if [ "X${OLD1}" = "X${1}" -a "X${OLD2}" = "X${2}" -a "X${OLD3}" = "X${3}" -a "X${OLD4}" = "X${sid}" ]; then
    return 0
  fi

  OLD1=${1}
  OLD2=${2}
  OLD3=${3}
  OLD4=${sid}

  #
  # initialize return values
  #
  MYSTARTPROFILE="not_found"
  MYINSTPROFILE="not_found"
  MYWORKDIR="unknown"
  MYSIDADM="unknown"
  MYHOMEDIR="unknown"
  MYIGSDIR="unknown"

  #
  # avoid NFS hangs
  # (even instance directories may be on NFS)
  #
  if [ `watched_check ${insttopdir} ${DELAY_INTERVALS} "-d"|tail -1` -eq 0 ]; then
    if [ `watched_check ${instprofiledir} ${DELAY_INTERVALS} "-d"|tail -1` -ne 0 ]; then
      instprofiledir=/tmp/sgesap_tmp${instprofiledir}
    fi
  else
    instprofiledir=/tmp/sgesap_tmp${instprofiledir}
    insttopdir=/tmp/sgesap_tmp${insttopdir}
  fi
  if [ `watched_check ${globalprofiledir} ${DELAY_INTERVALS} "-d"|tail -1` -ne 0 ]; then
    globalprofiledir=/tmp/sgesap_tmp${globalprofiledir}
  fi

  #
  # set SAP instance start profile
  #
  if [ -r ${instprofiledir}/${start_profile_loc} ]; then
    MYSTARTPROFILE=${instprofiledir}/${start_profile_loc}
  elif [ -r ${instprofiledir}/${start_profile} ]; then
    MYSTARTPROFILE=${instprofiledir}/${start_profile}
  elif [ -r ${globalprofiledir}/${start_profile_loc} ]; then
    MYSTARTPROFILE=${globalprofiledir}/${start_profile_loc}
  elif [ -r ${globalprofiledir}/${start_profile} ]; then
    MYSTARTPROFILE=${globalprofiledir}/${start_profile}
  elif [ -r ${instprofiledir}/${inst_profile_loc} ]; then
    MYSTARTPROFILE=${instprofiledir}/${inst_profile_loc}
  elif [ -r ${instprofiledir}/${inst_profile} ]; then
    MYSTARTPROFILE=${instprofiledir}/${inst_profile}
  elif [ -r ${globalprofiledir}/${inst_profile_loc} ]; then
    MYSTARTPROFILE=${globalprofiledir}/${inst_profile_loc}
  elif [ -r ${globalprofiledir}/${inst_profile} ]; then
    MYSTARTPROFILE=${globalprofiledir}/${inst_profile}
  fi
  if [[ ( "${MYSTARTPROFILE}" = "not_found" ) && ( "X${2}" != "X99" ) ]]; then
    LogMsg2 5 "No instance start profile found locally"
  fi

  #
  # set SAP instance instance profile
  #
  if [ -r ${instprofiledir}/${inst_profile_loc} ]; then
    MYINSTPROFILE=${instprofiledir}/${inst_profile_loc}
  elif [ -r ${instprofiledir}/${inst_profile} ]; then
    MYINSTPROFILE=${instprofiledir}/${inst_profile}
  elif [ -r ${globalprofiledir}/${inst_profile_loc} ]; then
    MYINSTPROFILE=${globalprofiledir}/${inst_profile_loc}
  elif [ -r ${globalprofiledir}/${inst_profile} ]; then
    MYINSTPROFILE=${globalprofiledir}/${inst_profile}
  fi
  if [[ ( "${MYINSTPROFILE}" = "not_found" ) && ( "X${2}" != "X99" ) ]]; then
    LogMsg2 5 "No instance profile found locally"
  fi

  #
  # set work directory and determine home directory and administrator
  #
  if  [ -d ${insttopdir}/${VHNAME}/trace ]; then
    MYWORKDIR=${insttopdir}/${VHNAME}/trace
    MYSIDADM=`ls -dl ${MYWORKDIR}|awk '{ print $3 }'`
    MYHOMEDIR=`eval echo ~${MYSIDADM}`
  elif [ -d ${insttopdir}/work ]; then
    MYWORKDIR=${insttopdir}/work
    MYSIDADM=`ls -dl ${MYWORKDIR}|awk '{ print $3 }'`
    MYHOMEDIR=`eval echo ~${MYSIDADM}`
  else
    if [ "X${2}" != "X99" ]; then
      LogMsg2 5 "No instance work directory found locally"
    fi
    MYSIDADM=`echo ${4}|${TRUL}`adm
    # force tilde expansion
    MYHOMEDIR=`eval echo ~${MYSIDADM}`
  fi
  if [ -d ${insttopdir}/igs ]; then
    MYIGSDIR=${insttopdir}/igs
  fi

  #
  # data structure logging
  #
  if [ "X${2}" != "X99" ]; then
    LogMsg2 3 "Instance administrator  : '${MYSIDADM}'"
    LogMsg2 3 "Instance home directory : '${MYHOMEDIR}'"
    LogMsg2 3 "Startprofile            : '${MYSTARTPROFILE}'"
    LogMsg2 3 "Instance profile        : '${MYINSTPROFILE}'"
    LogMsg2 3 "Instance work directory : '${MYWORKDIR}'"
    if [ "X${MYIGSDIR}" != "Xunknown" ]; then
      LogMsg2 3 "Instance IGS directory  : '${MYIGSDIR}'"
    fi
  fi
}

########################################################################
#
# Function: autostart_waitforstarted
#
# If instance autostart is set in profile call sapcontrol WaitforStarted
# to verify that instance is started up successfully.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          instance host (local, as contained in profile name)
# $4          sapstartsrv_start
#
# Returns:
#  0   - Success
# 1..4 - Error reported by sapcontrol call
# >4,<128 - Other errors
# 128  - sapcontrol not found or startup framework suppressed
#
# Remarks:
# Should only be called if instance Autostart is set to 1 (which is
# equal to "${INSTANCE_AUTOSTART} -eq 1")
# Sets INSTANCE_AUTOSTART to 0.
# Uses SAPSYSTEMNAME and MYSIDADM.
#
########################################################################
function autostart_waitforstarted
{
  typeset fname=autostart_waitforstarted
  BLogMsg $*

  typeset instname=${3}
  typeset sapstartsrv_start=${4}
  typeset returncode

  INSTANCE_AUTOSTART=0
  find_sap_binary ${1} ${2} ${instname} ${SAPSYSTEMNAME} sapcontrol
  if [ $? -ne 0 ]; then
    returncode=128
    if [ ${sapstartsrv_start} -eq 0 ]; then
      WrnLogMsg "SAP startup framework suppressed, but instance autostart is configured in SAP"
    else
      WrnLogMsg "sapcontrol not found, but autostart is configured"
    fi
  else
    sleep 1 # try to make initial racing conditions unlikely
    logpipe_pre -a WaitforStarted
    su - ${MYSIDADM} -c "${LOCATION} -nr ${2} -function WaitforStarted 120 10" 2>/dev/null
    returncode=$?
    logpipe_post
    # retry on error (=1). no retry for 0 (success) and 2 (timeout)
    if [ ${returncode} -eq 1 ]; then
      #
      # there might have been a racing condition with sapstart service beginning to autostart...
      # try again after a short delay, the service might not yet be responsive
      #
      LogMsg "Startup service does not acknowledge successful startup - verify once more after 5 sec delay"
      sleep 5
      logpipe_pre -a WaitforStarted
      su - ${MYSIDADM} -c "${LOCATION} -nr ${2} -function WaitforStarted 120 10" 2>/dev/null
      returncode=$?
      logpipe_post
    fi
    if [ ${returncode} -ne 0 ]; then
      WrnLogMsg "Startup service reports failure for autostart operation (rc: ${returncode})"
    else
      LogMsg "Autostart finished"
    fi
    return ${returncode}
  fi
}

########################################################################
#
# Function: start_sapstartsrv
#
# Starts the sapstartsrv daemon. The sapstartsrv is normally started
# - during boot process through the sapinit script
# - when invoking the startsap script manually
#
# The sapstartsrv is not stopped by SAP.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          instance host (as contained in profile name)
# $4          SAP System ID
#
# Remarks:
# Sets INSTANCE_AUTOSTART.
#
########################################################################

function start_sapstartsrv
{
  typeset fname=start_sapstartsrv
  BLogMsg $*

  typeset sid=${4:-${SAPSYSTEMNAME}}
  typeset returncode=9
  typeset startcmd=""

  INSTANCE_AUTOSTART=0

  typeset logfile="${MYHOMEDIR}/startsap_${1}${2}.log"
  if [ -r "${logfile}" ]; then
    LogMsg "Moving old instance startup log of ${1}${2} to tmp"
    mv ${logfile} /tmp
  fi

  #
  # do nothing, if agent is already running
  #
  if [ "${MYSTARTPROFILE}" != "not_found" ]; then
    test_proc_opt sapstartsrv "${MYSTARTPROFILE}"
    if [ $? -eq 0 ]; then
      LogMsg "sapstart agent of ${1}${2} already running"
      # it may be running, but it may not be registered
      find_sap_binary ${1} ${2} ${3} ${sid} sapstartsrv
      CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -reg"
      execute_sapcmd_sLPATH root "${CMD}" 2>/dev/null 1>/dev/null
      # try to detect Autostart configuration
      find_sap_binary ${1} ${2} ${3} ${sid} sappfpar
      CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} Autostart"
      if [[ "$(execute_sapcmd_sLPATH root "$CMD" | tail -1)" = "1" ]]; then
        LogMsg "Instance Autostart via Instance Agent is configured in profile of ${1}${2}"
      fi
      return 0
    fi
  fi

  #
  # do nothing, if binary missing
  #
  find_sap_binary ${1} ${2} ${3} ${sid} sapstartsrv
  if [ $? -eq 1 ]; then
    WrnLogMsg "sapstartsrv binary not found for ${1}${2} - skipping step"
    return 1
  fi

  #
  # start sapstart service
  #
  if [ "${MYSTARTPROFILE}" != "not_found" ]; then
    startcmd=`cat ${SAPSERVICECONFIG}|cut -f 1 -d "#"|grep ${MYSTARTPROFILE}`
    if [ "X${startcmd}" = "X" ]; then
      #
      # register sapstart service
      #
      CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -reg"
      execute_sapcmd_sLPATH root "${CMD}" 2>/dev/null 1>/dev/null
      if [ $? -ne 0 ]; then
        #
        # manual startup without registration
        #
        LogMsg "Agent registration not possible for ${1}${2}"
        LogMsg "Hardcoded Instance Agent startup attempt for ${1}${2} on local host..."
        su - ${MYSIDADM} -c "sh -c \"echo Starting sapstartsrv for ${1}${2} via HPE SGeSAP >| ${logfile}\"" >/dev/null 2>&1
        echo "---------------------------------------------------" >> ${logfile}
        echo " Starting sapstartsrv using pf=${MYSTARTPROFILE} as ${MYSIDADM}" >> ${logfile}
        LogMsg "Starting sapstartsrv of pf=${MYSTARTPROFILE} as ${MYSIDADM}"

        su - ${MYSIDADM} -c "sh -c \"${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -D >> ${logfile}\""
        returncode=$?
        case ${returncode} in
          0) LogMsg "Instance Agent for ${1}${2} on ${3} started"
            echo " Instance Service on ${3} started" >> $logfile
            # wait for sapstartsrv to respond
            typeset -i retry=0
            find_sap_binary ${1} ${2} ${3} ${sid} sapcontrol
            while [ $retry -le 30 ]; do
              su - ${MYSIDADM} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" >/dev/null 2>&1
              if [ $? -eq 1 ]; then
                (( retry = retry + 1 ))
                sleep 2
                LogMsg "Wait for Instance Agent for ${1}${2} to init"
              else
                LogMsg "Instance Agent for ${1}${2} is ready"
                break
              fi
            done

            find_sap_binary ${1} ${2} ${3} ${sid} sappfpar
            CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} Autostart"
            if [[ "$(execute_sapcmd_sLPATH root "$CMD" | tail -1)" = "1" ]]; then
              LogMsg "Instance Autostart via Instance Agent detected for ${1}${2}"
              INSTANCE_AUTOSTART=1
            fi
            return 0
          ;;
          9) WrnLogMsg "No Instance Agent found for ${1}${2}"
            echo " No Instance Service found" >> $logfile
            return 1
          ;;
          *) ErrLogMsg "Startup of Instance Agent failed for ${1}${2} (rc: ${returncode})"
            echo " Startup of Instance Service failed" >> $logfile
            return 1
          ;;
        esac
      fi
      LogMsg "Instance Agent for ${1}${2} not configured on ${HNAME}"
      LogMsg "Trigger Instance Agent registration for ${1}${2}..."
      startcmd=`cat ${SAPSERVICECONFIG}|cut -f 1 -d "#"|grep ${MYSTARTPROFILE}`
      if [ "X${startcmd}" = "X" ]; then
        WrnLogMsg "Agent registration for ${1}${2} - unexpected error"
        return 1
      else
        LogMsg "Instance Agent for ${1}${2} registered"
      fi
    fi
    LogMsg "Instance Agent startup attempt for ${1}${2} on local host..."
    # logpipe_pre
    sh -c "${startcmd}" &
    watchdog $!
    # logpipe_post
    if [ $? -eq 0 ]; then
      LogMsg "Instance Agent started for ${1}${2}"
      # wait for sapstartsrv to respond
      typeset -i retry=0
      find_sap_binary ${1} ${2} ${3} ${sid} sapcontrol
      while [ $retry -le 30 ]; do
        su - ${MYSIDADM} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" >/dev/null 2>&1
        if [ $? -eq 1 ]; then
          (( retry = retry + 1 ))
          sleep 2
          LogMsg "Wait for Instance Agent for ${1}${2} to init"
        else
          LogMsg "Instance Agent for ${1}${2} is ready"
          break
        fi
      done

      find_sap_binary ${1} ${2} ${3} ${sid} sappfpar
      CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} Autostart"
      if [[ "$(execute_sapcmd_sLPATH root "$CMD" | tail -1)" = "1" ]]; then
        LogMsg "Instance Autostart via Instance Agent detected for ${1}${2}"
        INSTANCE_AUTOSTART=1
      fi
    else
      WrnLogMsg "Instance Agent startup attempt failed for ${1}${2}"
      return 1
    fi
  else
    WrnLogMsg "Instance Agent not started for ${1}${2} - profile missing"
    return 1
  fi
  sleep 5 # sapstartsrv initialization delay
  return 0
}

#########################################################################
#
# Function: start_direct
#
# Robust local start without using SAP startsap scripts.
# Required for ASCS/SCS and AREP/REP on some releases.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          (virtual) hostname on which the instance got installed
# $4          sapstartsrv_start
#
########################################################################
function start_direct
{
  typeset fname=start_direct
  BLogMsg $*

  typeset instname=${3}
  typeset sapstartsrv_start=${4}
  typeset logfile=${LF}
  typeset returncode

  set_environment ${1} ${2} ${instname} ${SAPSYSTEMNAME}

  #
  # skip start if successful autostart occured
  #
  if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
    autostart_waitforstarted $1 $2 $3 $4 && return 0
  fi

  #
  # clean out pending sapstart process
  #
  TPID=0
  count=1
  while [ ${count} -le ${DELAY_INTERVALS} ]; do
    (( seconds = $count * 5 ));
    if [ ${seconds} -gt 15 ]; then
      seconds=15
    fi
    if [ ${count} -gt ${DELAY_INTERVALS} ]; then
      [ ${TPID} -gt 1 ] && kill -9 ${TPID}
      WrnLogMsg "sapstart process killed"
      break
    fi
    test_proc_opt sapstart ${MYSTARTPROFILE}
    if [ $? -eq 0 ]; then
      LogMsg "sapstart process detected - waiting ${seconds} seconds"
      sleep ${seconds}
    else
      break
    fi
    (( count = $count + 1 ));
  done

  TP_LOG="dev_tp"
  TP_LOG_OLD=${TP_LOG}".old"
  clean_ipc ${1} ${2} ${MYSIDADM}
  #
  # start up the instance
  #
  LogMsg "Direct startup attempt for ${1}${2} on local host..."
  su - ${MYSIDADM} -c "csh -c \"echo Starting SAP instance ${1}${2} via HPE SGeSAP >! ${logfile}\"" >/dev/null 2>&1
  echo "---------------------------------------------------" >> ${logfile}
  echo " Startup-Log is written to ${logfile}" >> ${logfile}

  find_sap_binary $1 $2 ${instname} ${SAPSYSTEMNAME} sapstart

  if [ "${MYSTARTPROFILE}" != "not_found" ]; then
    if [ -w ${MYWORKDIR}/${TP_LOG_OLD} ];then
      rm -f ${MYWORKDIR}/${TP_LOG_OLD}
    fi

    if [ -w ${MYWORKDIR}/$TP_LOG ]; then
      mv ${MYWORKDIR}/$TP_LOG ${MYWORKDIR}/$TP_LOG_OLD
    fi

    if [ ! -f ${MYWORKDIR}/$TP_LOG ]; then
      su - ${MYSIDADM} -c "touch ${MYWORKDIR}/${TP_LOG}" >/dev/null 2>&1
    fi

    logfile="${MYHOMEDIR}/startsap_${1}${2}.log"

    echo " Starting instance with pf=${MYSTARTPROFILE} as ${MYSIDADM}" >> ${logfile}
    LogMsg "Starting ${1}${2} instance with ${LOCATION:-sapstart}"
    LogMsg "pf=${MYSTARTPROFILE} as ${MYSIDADM}"

    su - ${MYSIDADM} -c "csh -c \"${LOCATION:-sapstart} pf=${MYSTARTPROFILE} >>& ${logfile}\"" >/dev/null 2>&1
    returncode=$?

    case ${returncode} in
      0) LogMsg "Instance ${1}${2} on ${instname} started"
        echo " Instance on ${instname} started" >> ${logfile}
      ;;
      1) WrnLogMsg "Instance ${1}${2} already running"
        echo " Instance already running" >> ${logfile}
      ;;
      *) ErrLogMsg "Startup of Instance ${1}${2} failed (rc:${returncode})"
        echo " Startup of Instance failed" >> ${logfile}
        ErrLogMsg2 "Including logile content ${logfile}:"
        cat ${logfile}|logpipe
        if [ ${sapstartsrv_start} -eq 1 ]; then
          find_sap_binary ${1} ${2} ${instname} ${SAPSYSTEMNAME} sapcontrol
          if [ $? -ne 0 ]; then
            WrnLogMsg "sapcontrol not found"
          else
            su -  ${MYSIDADM} -c "${LOCATION} -nr ${2} -function GetProcessList" 2>/dev/null|
              awk  'BEGIN {TRIGGER=0}
              /./ { if ( TRIGGER == 1 ) print $0 }
              /name, description/ {TRIGGER=1}'|logpipe
          fi
        fi
        return 2
      ;;
    esac
  else
    WrnLogMsg "Start attempt for instance ${1}${2} skipped - missing instance profile"
  fi
}


#########################################################################
#
# Function: start_cs
#
# Robust local start of Central Service Instance.
#
# Parameters:
# $1          name of the instance (specifies instance type)
# $2          nr of the instance
# $3          (virt) hostname on which the instance got installed
#
#########################################################################
function start_cs
{
  typeset fname="start_cs"
  BLogMsg $*
  typeset fname="start_cs ${1}${2}"

  typeset CS=${1}

  INSTANCE_AUTOSTART=0

  if [ "X${CS}" = "X" ]; then
    ErrLogMsg "Input parameters expected"
    return 2
  fi

  if [[ ( "X${CS}" = "XERS" ) || ( "X${CS}" = "XREP" ) || ("X${CS}" = "XAREP") ]]; then
    if [ "X${2}" = "X${REPNR}" ]; then
      CS="ERS1"
    else
      CS="ERS2"
    fi
  fi

  set_environment ${1} ${2} ${3} ${SAPSYSTEMNAME}
  LF=${MYHOMEDIR}/startsap_${1}${2}.log

  check_access ${MYWORKDIR}

  # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped >/dev/null 2>&1
  # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped >/dev/null 2>&1
  rm_apiflagfile ${1} ${2} ${SAPSYSTEMNAME} "stopped"

  case "${CS}" in
    SCS)
        if [ ${JCISAPSTARTSRV_START} -ne 0 ]; then
          start_sapstartsrv ${1} ${2} ${3} ${SAPSYSTEMNAME}
          if [ $? -ne 0 ]; then
            JCISAPSTARTSRV_START=0
          fi
        fi
        LogMsg "Start Java System Central Services ${1}${2} ..."
        rc=1
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" &&
              "X${SGeSAP_SAPCONTROL_USAGE}" != "X" ]]; then
          start_app ${JCIRELOC} ${JCINR} ${MYSIDADM} ${HPLAT} r3 "" ${JCINAME}  ${JCISAPSTARTSRV_START}
          rc=$?
        fi
        if [[ ${rc} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          start_direct ${JCINAME} ${JCINR} ${JCIRELOC} ${JCISAPSTARTSRV_START}||exit 2
        fi
        sleep 3
        crit_test_app ${JCIRELOC} ${JCINR} ${MYSIDADM} ${JCINAME} ${DELAY_INTERVALS} ${JCISAPSTARTSRV_START}
        rs=$?
        if [ ${rs} -eq 0 ]; then
          detect_replication ${JCINAME} ${JCINR} ${SAPSYSTEMNAME}&&
          wait_sync ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${RPNAME}${RPNR} ${MYSIDADM}
        fi
        # fallback if start above failed
        if [ ${rs} -ne 0 ]; then
          if [[ ${rc} -eq 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
            LogMsg "Startup of ${1}${2} failed - fallback to direct startup ..."
            clean_inst ${JCINAME} ${JCINR} ${JCIRELOC} ${SAPSYSTEMNAME} 2
            clean_ipc ${JCINAME} ${JCINR} ${MYSIDADM}
            start_direct ${JCINAME} ${JCINR} ${JCIRELOC} ${JCISAPSTARTSRV_START}||exit 2
            sleep 3
            crit_test_app ${JCIRELOC} ${JCINR} ${MYSIDADM} ${JCINAME} ${DELAY_INTERVALS} ${JCISAPSTARTSRV_START}
            rs=$?
            if [ ${rs} -eq 0 ]; then
              detect_replication ${JCINAME} ${JCINR} ${SAPSYSTEMNAME}&&
              wait_sync ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${RPNAME}${RPNR} ${MYSIDADM}
            fi
          fi
          if [ ${rs} -ne 0 ]; then
            if [ -r ${LF} ]; then
              LogMsg "Included logfile ${LF}:"
              cat ${LF}|logpipe
            fi
            exit ${ERROR}
          fi
        fi
    ;;
    ASCS)
        if [ ${CISAPSTARTSRV_START} -ne 0 ]; then
          start_sapstartsrv ${1} ${2} ${3} ${SAPSYSTEMNAME}
          if [ $? -ne 0 ]; then
            CISAPSTARTSRV_START=0
          fi
        fi
        LogMsg "Start ABAP System Central Services ${1}${2} ..."
        rc=1
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" &&
              "X${SGeSAP_SAPCONTROL_USAGE}" != "X" ]]; then
          start_app ${CIRELOC} ${CINR} ${MYSIDADM} ${HPLAT} r3 "" ${CINAME}  ${CISAPSTARTSRV_START}
          rc=$?
        fi
        if [[ ${rc} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          start_direct ${CINAME} ${CINR} ${CIRELOC} ${CISAPSTARTSRV_START}||exit 2
        fi
        sleep 3
        crit_test_app ${CIRELOC} ${CINR} ${MYSIDADM} ${CINAME} ${DELAY_INTERVALS} ${CISAPSTARTSRV_START}
        rs=$?
        if [ ${rs} -eq 0 ]; then
          detect_replication ${CINAME} ${CINR} ${SAPSYSTEMNAME}&&
          wait_sync ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${RPNAME}${RPNR} ${MYSIDADM}
        fi
        if [ ${rs} -ne 0 ]; then
          if [[ ${rc} -eq 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
            LogMsg "Startup of ${1}${2} failed - fallback to direct startup ..."
            clean_inst ${CINAME} ${CINR} ${CIRELOC} ${SAPSYSTEMNAME} 2
            clean_ipc ${CINAME} ${CINR} ${MYSIDADM}
            start_direct ${CINAME} ${CINR} ${CIRELOC} ${CISAPSTARTSRV_START}||exit 2
            sleep 3
            crit_test_app ${CIRELOC} ${CINR} ${MYSIDADM} ${CINAME} ${DELAY_INTERVALS} ${CISAPSTARTSRV_START}
            rs=$?
            if [ ${rs} -eq 0 ]; then
              detect_replication ${CINAME} ${CINR} ${SAPSYSTEMNAME}&&
              wait_sync ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${RPNAME}${RPNR} ${MYSIDADM}
            fi
          fi
          if [ ${rs} -ne 0 ]; then
            if [ -r ${LF} ]; then
              LogMsg "Included logfile ${LF}:"
              cat ${LF}|logpipe
            fi
            exit ${ERROR}
          fi
        fi
    ;;
    ERS1)
        if [ ${REPSAPSTARTSRV_START} -ne 0 ]; then
          start_sapstartsrv ${1} ${2} ${3} ${SAPSYSTEMNAME}
          if [ $? -ne 0 ]; then
            REPSAPSTARTSRV_START=0
          fi
        fi
        LogMsg "Start Enqueue Replication Service ${1}${2} ..."
        rc=1
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" &&
              "X${SGeSAP_SAPCONTROL_USAGE}" != "X" ]]; then
          start_app ${REPRELOC} ${REPNR} ${MYSIDADM} ${HPLAT} r3 "" ${REPNAME} ${REPSAPSTARTSRV_START}
          rc=$?
        fi
        if [[ ${rc} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          start_direct ${REPNAME} ${REPNR} ${REPRELOC} ${REPSAPSTARTSRV_START}||exit 2
        fi
        test_proc_prefix ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME}${REPNR}
        rs=$?
        if [ ${rs} -ne 0 ]; then
          if [[ ${rc} -eq 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
            LogMsg "Startup of ${1}${2} failed [${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME}${REPNR} missing] - fallback to direct startup ..."
            WrnLogMsg "Check that startup profile doesn't link to enr.sap${SAPSYSTEMNAME}_${REPNAME}${REPNR} instead of ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME}${REPNR}"
            clean_inst ${REPNAME} ${REPNR} ${REPRELOC} ${SAPSYSTEMNAME} 2
            clean_ipc ${REPNAME} ${REPNR} ${MYSIDADM}
            start_direct ${REPNAME} ${REPNR} ${REPRELOC} ${REPSAPSTARTSRV_START}||exit 2
            test_proc_prefix ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME}${REPNR}
            rs=$?
          fi
          if [ ${rs} -ne 0 ]; then
            if [ -r ${LF} ]; then
              LogMsg "Included logfile ${LF}:"
              cat ${LF}|logpipe
            else
              ErrLogMsg "${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME}${REPNR} not running"
            fi
            exit ${ERROR}
          fi
        fi
        crit_test_app ${REPRELOC} ${REPNR} ${MYSIDADM} ${REPNAME} ${DELAY_INTERVALS} ${REPSAPSTARTSRV_START}
    ;;
    ERS2)
        if [ ${REPSAPSTARTSRV_START2} -ne 0 ]; then
          start_sapstartsrv ${1} ${2} ${3} ${SAPSYSTEMNAME}
          if [ $? -ne 0 ]; then
            REPSAPSTARTSRV_START2=0
          fi
        fi
        LogMsg "Start Enqueue Replication Service ${1}${2} ..."
        rc=1
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" &&
              "X${SGeSAP_SAPCONTROL_USAGE}" != "X" ]]; then
          start_app ${REPRELOC2} ${REPNR2} ${MYSIDADM} ${HPLAT} r3 "" ${REPNAME2}  ${REPSAPSTARTSRV_START2}
          rc=$?
        fi
        if [[ ${rc} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          start_direct ${REPNAME2} ${REPNR2} ${REPRELOC2} ${REPSAPSTARTSRV_START2}||exit 2
        fi
        test_proc_prefix ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME2}${REPNR2}
        rs=$?
        if [ ${rs} -ne 0 ]; then
          if [[ ${rc} -eq 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
            LogMsg "Startup of ${1}${2} failed ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME2}${REPNR2} - fallback to direct startup ..."
            WrnLogMsg "Check that startup profile doesn't link to enr.sap${SAPSYSTEMNAME}_${REPNAME2}${REPNR2} instead of ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME2}${REPNR2}"
            clean_inst ${REPNAME2} ${REPNR2} ${REPRELOC2} ${SAPSYSTEMNAME} 2
            clean_ipc ${REPNAME2} ${REPNR2} ${MYSIDADM}
            start_direct ${REPNAME2} ${REPNR2} ${REPRELOC2} ${REPSAPSTARTSRV_START2}||exit 2
            test_proc_prefix ${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME2}${REPNR2}
            rs=$?
          fi
          if [ ${rs} -ne 0 ]; then
            if [ -r ${LF} ]; then
              LogMsg "Included logfile ${LF}:"
              cat ${LF}|logpipe
            else
              ErrLogMsg "${REP_PREFIX}.sap${SAPSYSTEMNAME}_${REPNAME2}${REPNR2} not running"
            fi
            exit ${ERROR}
          fi
        fi
        crit_test_app ${REPRELOC2} ${REPNR2} ${MYSIDADM} ${REPNAME2} ${DELAY_INTERVALS} ${REPSAPSTARTSRV_START2}
    ;;
    *)
        if [ ${CISAPSTARTSRV_START} -ne 0 ]; then
          start_sapstartsrv ${1} ${2} ${3} ${SAPSYSTEMNAME}
          if [ $? -ne 0 ]; then
            CISAPSTARTSRV_START=0
          fi
        fi
        LogMsg "Start Central Instance ${1}${2} ..."

        define_cleanup
        crit_start_app ${CIRELOC} ${CINR} ${MYSIDADM} "${HPLAT}" r3 "${CLEANUP}" ${CINAME} ${CISAPSTARTSRV_START}

        LogMsg "Collecting landscape info..."
        ((msserv=${MSSERV_BASE} + 10#${CINR} ))
        find_sap_binary ${CINAME} ${CINR} ${CIRELOC} ${SAPSYSTEMNAME} lgtst
        (su - ${MYSIDADM} -c "${LOCATION:-lgtst} -H ${CIRELOC} -S ${msserv} -D 2 ${IPV6} -T /dev/null" 1>/dev/null 2>&1 \
          |awk '/^[\[\*]/ { print $0 }'|logpipe) &
        watchdog $!
    ;;
  esac

}


#########################################################################
#
# Function: crit_start_app
#
# Start procedure for mission critical Application Servers.
#
# Parameters:
# $1    name of host on which the instance should be started
# $2    instance number
# $3    SAP admin user
# $4    platform on which instance is installed
# $5    specifies if database should also be started (values: r3 all)
# $6    cleanup commands
# $7    instance name of Application Server w/o ID (e.g. DVEBMGS or D)
# $8    sapstartsrv_start
#
#########################################################################
function crit_start_app
{
  typeset fname=crit_start_app
  BLogMsg $*

  typeset instname=${3}
  clean_ipc ${7} ${2} ${3}
  start_app ${1} ${2} ${3} ${4} ${5} "${6}" ${7:-DVEBMGS} ${8}
  crit_test_app ${1} ${2} ${3} ${7:-DVEBMGS} ${DELAY_INTERVALS} ${8}

  if [ $? -ne 0 ]; then
    WrnLogMsg "Non-zero exit status"

    #
    # On SAP WAS <6.40 there is a known issue with shared memory
    # which might require a second start attempt
    #

    typeset LF=`eval echo ~${3}/startsap_${7:-DVEBMGS}${2}.log`
    if [[ ( "X${instname}" = "X${HNAME}" ) && ( -r ${LF} ) ]]; then
      if [[ `cat ${LF}|grep -i "Cannot create Lock Shared-Memory"|wc -l` -ne 0 ]]; then
        WrnLogMsg "First startup attempt failed"
        WrnLogMsg "Problems might be caused by old sapstart version"
        WrnLogMsg "Evaluate OSS Note 616936 for applicability"

        clean_ipc ${7:-DVEBMGS} ${2} ${3}
        start_app ${instname} ${2} ${3} ${4} ${5} "${6}" ${7:-DVEBMGS} ${8}
        crit_test_app ${instname} ${2} ${3} ${7:-DVEBMGS} ${DELAY_INTERVALS} ${8}

        if [ $? -ne 0 ]; then
          if [[ ( ${instname} = ${HNAME} ) && ( -r ${LF} ) ]]; then
            LogMsg "Included logfile ${LF}:"
            cat ${LF}|logpipe
          fi
        else
          return 0
        fi
      fi
    fi

    exit ${ERROR}
  fi
}


########################################################################
#
# Function: stop_sapstartsrv
#
# Stops the sapstartsrv daemon. The sapstartsrv is normally started
# - during boot process through sapinit script
# - when invoking the startsap script manually
#
# The sapstartsrv is not stopped by SAP, but could potentially keep
# a file system busy.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          instance host (as contained in profile name)
# $4          platform on which the sapstartsrv process is running, e.g.
#             HP-UX, Linux
# $5          name of SAP administrator user, e.g. c11adm
# $6          SAP System ID
#
########################################################################
function stop_sapstartsrv
{
  typeset fname=stop_sapstartsrv
  BLogMsg $*

  typeset sapstart_pid
  typeset sid=${6:-${SAPSYSTEMNAME}}

  set_environment $1 $2 $3 ${sid}

  typeset logfile=${MYHOMEDIR}/stopsap_sapstartsrv.log

  is_ip_local ${3}
  if [ $? -eq 1 ]; then

    #
    # stop sapstartsrv on LOCAL host
    #
    LogMsg "Instance Agent shutdown attempt on local host..."
    su - ${MYSIDADM} -c "csh -c \"echo Stopping local sapstartsrv for ${1}${2} via HPE SGeSAP >! ${logfile}\"" >/dev/null 2>&1

    typeset count=0

    while [ ${count} -ne ${DELAY_INTERVALS} ]
    do
      ((count = $count + 1 ))

      case "${HPLAT}" in
          HP-UX)
              sapstartsrv_pid=`${UNIX95} ps -fC "sapstartsrv"|grep -v '<defunct>'| grep ${sid} | grep ${1}${2} | awk '/./ {print $2}'`
          ;;
          Linux)
              sapstartsrv_pid=`ps -fC "sapstartsrv"|grep -v '<defunct>'| grep ${sid} | grep ${1}${2} | awk '/./ {print $2}'`
          ;;
          *)
              echo "Unrecognized platform ${HPLAT}"
              exit ${ERROR}
          ;;
      esac

      if [ "X${sapstartsrv_pid}" = "X" ]; then
         if [ ${count} -eq 1 ]; then
           LogMsg "Local Instance Agent of ${1}${2} was not running"
         else
           LogMsg "Local Instance Agent of ${1}${2} stopped"
         fi
         break
      fi

      LogMsg "Trying to kill local Instance Agent for ${1}${2} (PIDs: ${sapstartsrv_pid})"
      kill ${sapstartsrv_pid}
      sleep 1
    done

    if [[ "X${1}" != "XHDB" && `cat ${SAPSERVICECONFIG}|grep -v "# static"|cut -f 1 -d "#"|grep ${MYSTARTPROFILE}|wc -l` -ne 0 ]]; then
      find_sap_binary ${1} ${2} ${3} ${sid} sapstartsrv
      LogMsg "Unregister Instance Agent..."
      CMD="${LOCATION:-sapstartsrv} pf=${MYSTARTPROFILE} -unreg"
      execute_sapcmd_sLPATH root "${CMD}" >/dev/null 2>&1
      if [ $? -eq 0 ]; then
        LogMsg "Instance Agent unregistered"
      else
        LogMsg "Unregister operation for Instance Agent not possible" # 7.00 is not able to do that
      fi
    fi

  else

    #
    # stop sapstartsrv process on REMOTE host
    #
    LogMsg "Instance Agent shutdown attempt on remote host ${3}..."

    typeset count=0

    while [ ${count} -ne ${DELAY_INTERVALS} ]
    do

      case "${4}" in
        HP-UX)

        sapstartsrv_pid=`${REM_COMM} ${3} -l ${5} -n  "/usr/bin/sh -c '${UNIX95} ps -fC \"sapstartsrv\" | \
                                             grep -v \"\<defunct\>\" | grep ${sid} | \
                                             grep ${1}${2}'" | awk '/./ { print $2 }' `
        ;;
        Linux)

          sapstartsrv_pid=`${REM_COMM} ${3} -l ${5} -n  "ps -fC \"sapstartsrv\" | \
                                             grep -v \"\<defunct\>\" | grep ${sid} | \
                                             grep ${1}${2}" | awk '/./ { print $2 }'`
        ;;
        *)
          echo "Unrecognized platform ${4}"
          exit ${ERROR}
        ;;
      esac

      if [ "X${sapstartsrv_pid}" = "X" ]; then
        [ ${count} -eq 0 ] && LogMsg "There was no remote Instance Service running for ${1}${2} on ${3}"
        [ ${count} -ge 1 ] && LogMsg "No more remote Instance Service(s) running for ${1}${2} on ${3}"
        break
      fi

      #
      # try to kill the sapstartsrv process remotely
      #
      LogMsg "Trying to kill Instance Service for ${1}${2} on ${3}"
      ${REM_COMM} ${3} -l ${5} -n  "kill ${sapstartsrv_pid}" 1>/dev/null 2>&1

      (( count = $count + 1 ))
    done
  fi
}


#########################################################################
#
# Function: stop_direct
#
# Robust local stop of SAP instance without calling stopsap scripts.
# This is required for ASCS and Replicated Enqueue on some SAP releases.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          virtual hostname
# $4          sapstartsrv_stop
#
#########################################################################
function stop_direct
{
  typeset fname=stop_direct
  BLogMsg $*

  set_environment $1 $2 $3 ${SAPSYSTEMNAME}

  typeset instname=${3}
  typeset logfile
  typeset count
  typeset seconds

  #
  # shutdown via kill
  #
  LogMsg "Direct shutdown attempt on local host..."
  logfile="${MYHOMEDIR}/stopsap_${1}${2}.log"

  if [ $4 -eq 1 ]; then
  LogMsg "Handle potential sapstart agent first"
  stop_sapstartsrv "${1}" "${2}" "${3}" "HP-UX" "${MYSIDADM}" "${SAPSYSTEMNAME}"
  fi

  #
  # make sure that replication tables won't get wiped
  #
  if [[ "X${1}" = "XSCS" || "X${1}" = "XASCS" ]]; then
    detect_replication $1 $2 ${SAPSYSTEMNAME}
    if [ -n "${RPNAME}" ]; then
      test_proc_prefix ${ENQ_PREFIX}.sap${SAPSYSTEMNAME}_${1}${2}
      if [ $? -eq 0 ]; then
        if [ ${TPID} -ne 0 ]; then
          LogMsg "Hard shutdown of enqueue process ${TPID} to prevent replication wipes"
          kill -9 ${TPID}
          sleep 1
          test_proc_prefix ${ENQ_PREFIX}.sap${SAPSYSTEMNAME}_${1}${2}
          if [ $? -eq 0 ]; then
            WrnLogMsg "Enqueue still running - hard shutdown might have failed"
            WrnLogMsg "Don't configure SAP settings that trigger local restarts of enqueue"
            WrnLogMsg "Trying regular shutdown..."
          fi
        else
          WrnLogMsg "TPID=0 for Enqueue Server - skipping wipe..."
        fi
      fi
    fi
  fi

  #
  # call sap kill script
  #
  su - ${MYSIDADM} -c "csh -c \"echo Stopping SAP instance ${1}${2} via HPE SGeSAP >! ${logfile}\"" >/dev/null 2>&1
  echo "---------------------------------------------------" >> ${logfile}
  echo " Shutdown-Log is written to ${logfile}" >> ${logfile}

  if [ -f ${MYWORKDIR}/kill.sap ]; then
    eval sh ${MYWORKDIR}/kill.sap >> ${logfile} 2>&1
    returncode=$?
    case ${returncode} in
      0) echo " Instance on ${instname} stopped" >> ${logfile}
        LogMsg "Instance on ${instname} stopped"
        echo " Waiting for cleanup of resources....." >> ${logfile}
        LogMsg "Waiting for cleanup of resources....."
        SAP_PID=`awk '{print $1}' ${MYWORKDIR}/sapstart.sem`
        SAP_SHM=`awk '{print $2}' ${MYWORKDIR}/sapstart.sem`
        # (while ps -ef | awk '{print $1}' | grep "^$SAP_PID$" >/dev/null || \
        #  ipcs |awk '/^m / {print $2}' | grep "^$SAP_SHM$" >/dev/null; do
        #  sleep 2; ${MYWORKDIR}/kill.sap >>${logfile} 2>&1
        # done)&

        (while ps -ef | awk '{print $1}' | grep "^$SAP_PID$" >/dev/null; do
          sleep 5; ${MYWORKDIR}/kill.sap >>${logfile} 2>&1
        done)&
        watchdog $!
      ;;
      *) echo " Shutdown of instance failed" >> ${logfile}
        LogMsg "Shutdown of instance ${1}${2} failed"
      ;;
    esac
  else
    echo " Instance ${1}${2} was not running!" >> ${logfile}
    LogMsg "Instance ${1}${2} was not running"
  fi


  #
  # wait for pending sapstart process
  #
  TPID=0
  count=1
  while [ ${count} -le ${DELAY_INTERVALS} ]; do
    (( seconds = $count * 5 ));
    if [ ${seconds} -gt 15 ]; then
      seconds=15
    fi
    if [ ${count} -gt ${DELAY_INTERVALS} ]; then
      [ ${TPID} -gt 1 ] && kill -9 ${TPID}
      WrnLogMsg "sapstart process killed"
      break
    fi
    test_proc_opt sapstart ${MYSTARTPROFILE}
    if [ $? -eq 0 ]; then
      LogMsg "sapstart process detected - waiting ${seconds} seconds"
      sleep ${seconds}
    else
      break
    fi
    (( count = $count + 1 ));
  done

  clean_ipc  ${1} ${2} ${MYSIDADM}
}


#########################################################################
#
# Function: wait_sync
#
# Shutdown of local replication enqueue instances (AREP/REP) needs to be
# forced if SAP processes fail to shut down the instance.
#
# Parameters:
# $1           process name of replication server
# $2           sidadm
#
#########################################################################
function wait_sync
{
  typeset fname=wait_sync
  BLogMsg $*

  test_proc_prefix ${1}
  if [ $? -eq 0 ]; then
    LogMsg "Found local replication process: ${TPID}"
    for i in 1 2 3 4 5
    do
      # find_sap_binary
      output=`su - ${2} -c "ensmon pf=${MYINSTPROFILE} 2"  2>&1`
      echo ${output}|grep -i "Shutdown command was sent" >/dev/null
      if [ $? -eq 0 ]; then
        #
        # prefer to kill ppid, because the pid might respawn due to SAP mechanisms
        #
        TPPID=`ps -o ppid,cmd -g ${SAPSYS}|awk '{print $2, $1}'|awk -F/ '{print $NF}'|awk '/^'${1}'/ { print $2}'`
        WrnLogMsg "Enqueue replication shutdown hangs [${TPID}]"
        if [ "X${TPPID}" != "X" ]; then
          if [ ${TPPID} -gt 1 ]; then
            TPID=${TPPID}
            LogMsg "Identified parent [${TPID}]"
          fi
        fi
        LogMsg "Aborting replication instance [${TPID}] (but it might be gone already)"
        # note: kill will NOT terminate parent AND children if kill -9 ${TPID} is used
        kill ${TPID}
        return 0
      else
        echo ${output}|grep -i "replication is active" >/dev/null
        if [ $? -eq 0 ]; then
          TPPID=`ps -o ppid,cmd -g ${SAPSYS}|awk '{print $2, $1}'|awk -F/ '{print $NF}'|awk '/^'${1}'/ { print $2}'`
          WrnLogMsg "Ongoing local replication detected [${TPID}]"
          if [ "X${TPPID}" != "X" ]; then
            if [ ${TPPID} -gt 1 ]; then
              TPID=${TPPID}
              LogMsg "Identified parent [${TPID}]"
            fi
          fi
          sleep 5 # add a grace period
          LogMsg "Aborting replication instance [${TPID}] (but it might be gone already)"
          # note: kill will NOT terminate parent AND children if kill -9 ${TPID} is used
          kill ${TPID}
          return 0
        fi
      fi
      LogMsg "Sync..."
      sleep 5
    done
    TPPID=`ps -o ppid,cmd -g ${SAPSYS}|awk '{print $2, $1}'|awk -F/ '{print $NF}'|awk '/^'${1}'/ { print $2}'`
    if [ "X${TPPID}" != "X" ]; then
      if [ ${TPPID} -gt 1 ]; then
        TPID=${TPPID}
        LogMsg "Identified parent [${TPID}]"
      fi
    fi

    LogMsg "Enqueue replication handshake error - killing process ${TPID}"
    # note: kill will NOT terminate parent AND children if kill -9 ${TPID} is used
    kill ${TPID}
  fi
}

#########################################################################
#
# Function: stop_cs
#
# Stop Central (Service) Instance.
#
# Parameters:
# $1           name of the instance (specifies instance type)
# $2           instance number
# $3           (virt) hostname on which the instance got installed
#
#########################################################################
function stop_cs
{
  typeset fname="stop_cs"
  BLogMsg $*

  typeset CS=${1}
  typeset nr

  if [[ ( "X${CS}" = "XERS" ) || ( "X${CS}" = "XREP" ) || ("X${CS}" = "XAREP") ]]; then
    if [ "X${2}" = "X${REPNR}" ]; then
      CS="ERS1"
    else
      CS="ERS2"
    fi
  fi

  set_environment ${1} ${2} ${3} ${SAPSYSTEMNAME}

  # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped >/dev/null 2>&1
  # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped >/dev/null 2>&1
  rm_apiflagfile ${1} ${2} ${SAPSYSTEMNAME} "stopped"

  case "${CS}" in
    SCS)
        nname=${JCINAME}
        nnr=${JCINR}
        nreloc=${JCIRELOC}
        nsapstartsrv_stop=${JCISAPSTARTSRV_STOP}
        nserv="Java System Central Service"
    ;;
    ASCS)
        nname=${CINAME}
        nnr=${CINR}
        nreloc=${CIRELOC}
        nsapstartsrv_stop=${CISAPSTARTSRV_STOP}
        nserv="ABAP System Central Service"
    ;;
    ERS1)
        nname=${REPNAME}
        nnr=${REPNR}
        nreloc=${REPRELOC}
        nsapstartsrv_stop=${REPSAPSTARTSRV_STOP}
        nserv="Enqueue Replication Service"
    ;;
    ERS2)
        nname=${REPNAME2}
        nnr=${REPNR2}
        nreloc=${REPRELOC2}
        nsapstartsrv_stop=${REPSAPSTARTSRV_STOP2}
        nserv="Enqueue Replication Service"
    ;;
    *)
        nname=${CINAME}
        nnr=${CINR}
        nreloc=${CIRELOC}
        nsapstartsrv_stop=${CISAPSTARTSRV_STOP}
        nserv="Central"
    ;;
  esac

  nr=${nnr}
  LogMsg "Halt ${nserv} Instance ${1}${2}..."
  rc=1
  if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" &&
       "X${SGeSAP_SAPCONTROL_USAGE}" != "X" ]]; then
    stop_app ${nreloc} ${nnr} ${MYSIDADM} ${HPLAT} "r3" ${nname} ${SAPSYSTEMNAME} ${nsapstartsrv_stop}
    rc=$?
  fi
  if [[ ${rc} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
    stop_direct ${nname} ${nnr} ${nreloc} ${nsapstartsrv_stop}||exit 2
  fi
  crit_test_app ${nreloc} ${nnr} "${MYSIDADM}" ${nname} 1 ${nsapstartsrv_stop}
  if [ ${?} -eq 0 ]; then
    LogMsg "Shutdown of ${1}${2} failed - fallback to cleanup ..."
    clean_inst ${nname} ${nnr} ${nreloc} ${SAPSYSTEMNAME} 1
    clean_ipc ${nname} ${nnr} ${MYSIDADM}
  fi
  if [ ${nsapstartsrv_stop} -eq 1 ]; then
    LogMsg "Handle potential sapstart agent"
    stop_sapstartsrv "${1}" "${2}" "${3}" "${HPLAT}" "${MYSIDADM}" "${SAPSYSTEMNAME}"
  fi


  #
  # special handling for traditional Central Instances
  #
  if [ "X${CS}" = "XDVEBMGS" ]; then

    wait_igs ${CINAME} ${CINR}

    find_sap_binary ${CINAME} ${CINR} ${CIRELOC} ${SAPSYSTEMNAME} lgtst
    if [ $? -ne 1 ]; then
      LogMsg "Collecting landscape info..."
      ((msserv=${MSSERV_BASE} + 10#${CINR} ))
      (su - ${MYSIDADM} -c "${LOCATION:-lgtst} -H ${CIRELOC} -S ${msserv} -D 2 ${IPV6} -T /dev/null" 1>/dev/null 2>&1 \
      |awk '/^[\[\*]/ { print $0 }'|logpipe) &
      watchdog $!
    fi
    if [ -r /var/adm/cmcluster/wlmprocmap.${SAPSYSTEMNAME}_${CINAME}${CINR}_${CIRELOC} ]; then
      LogMsg "Cleanup of procmaps for ${CINAME}${CINR}"
      rm /var/adm/cmcluster/wlmprocmap.${SAPSYSTEMNAME}_${CINAME}${CINR}_${CIRELOC} 2>/dev/null
    fi
  fi

  return 0
}


########################################################################
#
# Function: check_access
#
# This functions checks directory resources on which the package depends.
# These resources may not be part of the package, because of their
# global nature. Typically they are needed by other packages, too.
# It is important that all of these resources are highly available.
# In many cases, they can be gathered within a "global package", like
# a sapnfs HA NFS package or within CFS MNPs.
#
# Parameters:
# $1   directory to be checked
#
########################################################################
function check_access
{
  typeset fname=check_access
  [ ${DBG} -gt 1 ] && BLogMsg $*

  typeset count
  typeset nfsserver
  typeset rc
  typeset randwait

  # [ ${NETWORK_SLEEP_INTERVAL} -ne 0 ] && return 0

	case "${HPLAT}" in
		HP-UX)
        if [ `mount -p|grep " ${1} "|grep " autofs "|wc -l` -ge 1 ]; then
          LogMsg "HA NFS via automounter configuration found"
          nfsserver=`mount -p|grep " ${1} "|grep " nfs "|cut -f 1 -d ":"`
        fi
        ;;
    Linux)
          # first check for nfs mount.Note: spaces in grep " ${1} "
          # will grab second third field in mount -t nfs output
          nfsserver=`mount -t nfs|grep " ${1} "|cut -f 1 -d ":"`
          [[ $nfsserver ]] && LogMsg "NFS/Autofs configuration found: nfsserver=[${nfsserver}]"

          # next check for unmounted autofs mount
          if [[ ! $nfsserver &&  `grep " ${1} " /proc/mounts|grep " autofs "` ]]; then
            nfsserver=`/usr/sbin/automount -m | awk '{if ($1 ~ "'${1}'") { split ($4,a,":");print a[1] }}'`
            [[ $nfsserver ]] && LogMsg "Autofs configuration found: nfsserver=[${nfsserver}]"
          fi
        ;;
  esac


  count=1
  while [ ${count} -le ${DELAY_INTERVALS} ]; do
    let randwait=${RANDOM}%10+5
    # For an nfs/autofs mounted filesystem first
    # check if server node is reachable
    if [ ! -z "${nfsserver}" ]; then
      LogMsg "Waiting for NFS server ${nfsserver} to respond"
      is_node_alive ${nfsserver} &
      watchdog $! 20
      rc=$?
      if [ ${rc} -eq 1 ]; then
        LogMsg "Testing NFS setup ..."
        test -d ${1} &
        watchdog $! 20
        rc=$?
      else
        LogMsg "NFS server ${nfsserver} not responding"
        rc=1
      fi
    else
      DbgLogMsg "Testing directory ${1}..."
      test -d ${1} &
      watchdog $! 5
      rc=$?
    fi
    if [ ${rc} -ne 0 ]; then
      WrnLogMsg "${1} not accessible"
      LogMsg "Delay for ${randwait} secs"
    else
      if [ `ls -1 ${1}|wc -l` -eq 0 ]; then
        WrnLogMsg "${1} accessible, but empty"
        rc=128
        _check_debug ${STARTUP_R3} && pkg_is_in_maintenance
        if [ $? -eq 1 -a "X${op_code}" = "Xstart" ]; then
          WrnLogMsg "Ignoring empty directory due to debug mode"
          return 0
        fi
      else
        DbgLogMsg "${1} accessible"
        return 0
      fi
    fi
    sleep ${randwait}
    (( count = $count + 1 ));
  done

  WrnLogMsg "Attempt to access ${1} failed"

  return ${rc}
}


########################################################################
#
# Function: reload_arrays
#
# Load information that was gathered for a pre-script into a
# post-script to keep consistency and speed up execution.
#
# Parameters:
#
# Remark:
#
# Fills ASHOST_ALIVE[] and ASPLATFORM[].
#
# possible values for ASHOST_ALIVE[]:
# -1     unknown state
#  0     not responding
#  1     responding
#  2     responding / local host
#  3     responding / DB or CI host
#
########################################################################
function reload_arrays
{
  typeset fname=reload_arrays
  BLogMsg $*

  if [ -r ${SGESAP_ENV_FILE} ]; then
    LogMsg2 4 "Found: ${SGESAP_ENV_FILE}"
    .  ${SGESAP_ENV_FILE}
  else
    WrnLogMsg2 "No pre-script values found"
    check_own_app
  fi
  rm -f ${SGESAP_ENV_FILE}
}

########################################################################
#
# Function: check_own_app
#
# This function checks the availability of the hardware of the
# AppServers. If a configured node in ASHOST[@] belonging to own SAP System
# does not respond, it will be excluded from any further tasks. This prevents
# running into timeouts with each individual ${REM_COMM} command to
# those nodes.
#
# Parameters:
#
# Remark:
#
# Fills ASHOST_ALIVE[], ASADM[] and ASPLATFORM[].
#
# possible values for ASHOST_ALIVE[]:
# -1     unknown state
#  0     not responding
#  1     responding
#  2     responding / local host
#  3     responding / DB or CI host
#
########################################################################
function check_own_app
{
  typeset fname=check_own_app
  BLogMsg $*

  typeset inr=0
  typeset jnr

  for sid in ${ASSID[@]}
  do

    ASHOST_ALIVE[${inr}]=-1
    ASPLATFORM[${inr}]="unknown"
    ASADM[${inr}]=`echo ${ASSID[${inr}]}|$TRUL`adm

    #
    # Skip SAP Systems in AS*[] array that do not belong to same SID
    #
    if [[ "X${sid}" != "X${SAPSYSTEMNAME}" && "X${ASNAME[$inr]}" != "XSMDA" && "X${ASNAME[$inr]}" != "XW" ]]; then
      (( inr = $inr + 1 ))
      continue
    fi

    ASNAME[$inr]=${ASNAME[$inr]:-D}
    LogMsg "Starting to check ${ASHOST[${inr}]} for instance ${ASNAME[$inr]}${ASNR[${inr}]} ..."
    ASHOST_ALIVE[${inr}]=-1

    if [ ${ASTREAT[$inr]} -eq 0 ]; then
      LogMsg "App-Server instance ${ASNAME[$inr]}${ASNR[${inr}]} configured to be excluded - skipping step"
      (( inr = $inr + 1 ))
      continue
    fi

    #
    # avoid redundant checks
    # (to increase scalability of package startup in large environments)
    #
    jnr=${inr}
    while [ ${jnr} -gt 0 ]; do
      (( jnr = $jnr - 1 ))
      if [[ "X${ASSID[${jnr}]}" = "X${SAPSYSTEMNAME}" &&
        "X${ASHOST[${inr}]}" = "X${ASHOST[${jnr}]}" &&
        "X${ASHOST_ALIVE[${jnr}]}" != "X-1" ]]; then
        LogMsg2 1 "Avoiding redundant checks, ASHOST_ALIVE[${inr}](${ASHOST_ALIVE[${inr}]})=ASHOST_ALIVE[${jnr}](${ASHOST_ALIVE[${jnr}]})"
        ASHOST_ALIVE[${inr}]=${ASHOST_ALIVE[${jnr}]}
        ASPLATFORM[${inr}]=${ASPLATFORM[${jnr}]}
        break
      fi
    done
    if [ "X${ASHOST_ALIVE[${inr}]}" != "X-1" ]; then
      LogMsg "Host access test (${ASHOST_ALIVE[${inr}]}) already performed earlier - skipping step"
      (( inr = $inr + 1 ))
      continue
    fi

    # no longer testing for ${HNAME} to allow any SAP instance virtualization
    is_ip_local ${ASHOST[${inr}]}
    if [ $? -eq 1 ]; then
      ASHOST_ALIVE[${inr}]=2 # don't allow an AS on local host without server consolidation
      LogMsg "App-Server instance ${ASNAME[$inr]}${ASNR[$inr]} targeted for local host"
      if [ "X${ASPLATFORM[$inr]}" = "Xunknown" ]; then
        #ASPLATFORM[$inr]=${HPLAT}
        ASPLATFORM[$inr]=`echo "${HPLAT}" | $TRLU`  # Linux -> LINUX
      fi
      (( inr = $inr + 1 ))
      continue
    fi

    is_node_alive ${ASHOST[${inr}]} &
    watchdog $!
    if [ $? -eq 1 ]; then
      ASHOST_ALIVE[$inr]=1
      if [ "X${ASPLATFORM[$inr]}" = "XWINDOWS" ]; then
        LogMsg "${ASPLATFORM[$inr]} App-Server host ${ASHOST[${inr}]} for instance ${ASNAME[$inr]}${ASNR[$inr]} responding"
     elif [[ ( "X${ASPLATFORM[$inr]}" = "XHP-UX" ) || ( "X${ASPLATFORM[$inr]}" = "XLINUX" ) ]]; then
        # check_login ${ASHOST[${inr}]} root
        ASADM[${inr}]=`echo ${ASSID[${inr}]}|$TRUL`adm
        check_login ${ASHOST[${inr}]} ${ASADM[${inr}]}
      elif [ `${REM_COMM} ${ASHOST[${inr}]} -l ${ASADM[${inr}]} -n 'ver' 2>/dev/null|grep 'Windows'|wc -l` -eq 1 ]; then
        ASPLATFORM[$inr]="WINDOWS"
      elif [ `${REM_COMM} ${ASHOST[${inr}]} -l ${ASADM[${inr}]} -n 'uname -a' 2>/dev/null|grep 'HP-UX'|wc -l` -eq 1 ]; then
        ASPLATFORM[$inr]="HP-UX"
      elif [ `${REM_COMM} ${ASHOST[${inr}]} -l ${ASADM[${inr}]} -n 'uname -a' 2>/dev/null|grep 'Linux'|wc -l` -eq 1 ]; then
        ASPLATFORM[$inr]="LINUX"
      else
        # REM_COMM (ssh) not working up to this point and therefore the remote platform is unknown.
        #Figure out if sapcontrol works remotely. This is
        # done by using "ParamterValue OS_PLATFORM". ParameterValue is usually a protected service. If that is unprotected
        # it is taken as an indicator that the other required, but usually protected services (StopWait,StartWait) are also
        # unprotected. GetProcessList is unprotected by default. Also, to get sapcontrol working remotely a possibly running
        # firewall on the remote host has to allow access to the port (5<INR>13).
        ASPLATFORM[$inr]="unknown"
        #find_sap_binary ${ASNAME[$inr]} ${ASNR[$inr]} ${ASHOST[$inr]} ${ASSID[$inr]} sapcontrol  ??
        # use "X 99 HNAME" instead (use X99 as it might use first non-external instance exe directory with D99)
        find_sap_binary X 99 ${HNAME} "${SAPSYSTEMNAME}" sapcontrol
        if [ $? -eq 0 ]; then
          typeset loctestcmd="${LOCATION} -host ${ASHOST[$inr]} -nr ${ASNR[$inr]} -function ParameterValue OS_PLATFORM"
          DbgLogMsg "loctestcmd=[${loctestcmd}]"
          ret_loc_comm=$(execute_sapcmd_sLPATH root "${loctestcmd}")
          rc=$?
          DbgLogMsg "ret_loc_comm=[${ret_loc_comm}] rc=[${rc}]"
          if [ $rc -eq 0 ]; then
            typeset res=$(echo "$ret_loc_comm" | tail -1)
            LogMsg "sapcontrol returned platform: $res"
            ASPLATFORM[$inr]="SAPCONTROL"
          fi
        fi
        if [ "X${ASPLATFORM[$inr]}" = "Xunknown" ]; then
          WrnLogMsg "Connection to App-Server host ${ASHOST[${inr}]} as ${ASADM[${inr}]} refused"
          (( inr = $inr + 1 ))
          continue
        fi
      fi
      LogMsg "${ASPLATFORM[$inr]} App-Server host ${ASHOST[${inr}]} for instance ${ASNAME[$inr]}${ASNR[$inr]} responding"
    else
      WrnLogMsg "App-Server host ${ASHOST[${inr}]} for instance ${ASNAME[$inr]}${ASNR[$inr]} NOT responding"
      ASHOST_ALIVE[$inr]=0
    fi
    (( inr = $inr + 1 ))
  done
}


#########################################################################
#
# Function: check_login
#
# Remote login check for root and sidadm.
#
# Parameters:
# $1      hostname
# $2      username
#
#########################################################################
function check_login
{
  typeset fname=check_login
  BLogMsg $*

  ${REM_COMM} ${1} -l ${2} -n 'uname -a' >/dev/null 2>&1
  if [[ $? -eq 0 ]]; then
    LogMsg "${REM_COMM} access of ${2} to host $1 working"
  else
    WrnLogMsg "No ${REM_COMM} access of ${2} to host ${1}"
    return 1
  fi
}


#########################################################################
#
# Function: start_jd
#
# Start critical Java Dialog Instances locally.
#
# Parameters:
#
# Remark: Fills PIDLIST[*] (only when AS_PSTART=1)
#
#########################################################################
function start_jd
{
  typeset fname=start_jd
  BLogMsg $*

  typeset starting=0
  typeset name
  typeset j=0

  for name in ${JDNAME[@]}
  do
    PIDLIST[$j]=0
    set_environment  ${JDNAME[$j]} ${JDNR[$j]} ${JDRELOC[$j]} ${SAPSYSTEMNAME}
    INSTANCE_AUTOSTART=0

    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${JDNAME[$j]}${JDNR[$j]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${JDNAME[$j]}${JDNR[$j]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${JDNAME[$j]} ${JDNR[$j]} ${SAPSYSTEMNAME} "stopped"

    LF=${MYHOMEDIR}/startsap_${JDNAME[$j]}${JDNR[$j]}.log
    clean_ipc ${JDNAME[$j]} ${JDNR[$j]} ${MYSIDADM}

    #
    # start startup framework
    #
    if [ ${JDSAPSTARTSRV_START[$j]} -ne 0 ]; then
      start_sapstartsrv ${JDNAME[$j]} ${JDNR[$j]} ${JDRELOC[$j]} ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        JDSAPSTARTSRV_START[$j]=0
      fi
    fi

    #
    # delay start if successful autostart occured
#
    if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
      if autostart_waitforstarted ${JDNAME[$j]} ${JDNR[$j]} ${JDRELOC[$j]} ${JDSAPSTARTSRV_START[$j]}; then
        (( inr = $inr + 1 ))
        continue
      fi
    fi

    #
    # start instance
    #
    LogMsg "Java Instance ${JDNAME[$j]}${JDNR[$j]} on virtual IP ${JDRELOC[$j]} gets started"
    starting=1
    if [ ${AS_PSTART} -ne 0 ]; then
      start_app ${JDRELOC[$j]} ${JDNR[$j]} ${MYSIDADM} ${HPLAT} "j2ee" ":" "${JDNAME[$j]}" ${JDSAPSTARTSRV_START[$j]} &
      PIDLIST[$j]=$!
    else
      start_app ${JDRELOC[$j]} ${JDNR[$j]} ${MYSIDADM} ${HPLAT} "j2ee" ":" "${JDNAME[$j]}" ${JDSAPSTARTSRV_START[$j]}
    fi
    (( j = $j + 1 ))
  done

  PIDLIST[${j}]=-1

  #
  # synchronize
  #
  if [[ ${AS_PSTART} -ne 0 && ${starting} -eq 1 ]]; then
    LogMsg "Waiting for parallel startup sequence to finish..."
    wait_pidlist
    LogMsg "Leaving parallel dialog instance startup delay"
  fi

  #
  # test for success
  #
  if [[ ${starting} -eq 1 ]]; then
    j=0
    for name in ${JDNAME[@]}
    do
	  test_app ${JDRELOC[$j]} ${JDNR[$j]} ${MYSIDADM} ${JDNAME[$j]} ${DELAY_INTERVALS} ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        ErrLogMsg "Instance ${JDNAME[$j]}${JDNR[$j]} startup problem detected"
        exit ${ERROR}
      fi
      (( j = ${j} + 1 ))
    done
  fi
}


#########################################################################
#
# Function: start_d
#
# Start critical Dialog Instances locally.
#
# Parameters:
#
# Remark: Fills PIDLIST[*] (only when AS_PSTART=1)
#
#########################################################################
function start_d
{
  typeset fname=start_d
  BLogMsg $*

  typeset starting=0
  typeset name
  typeset inr=0

  for name in ${DNAME[@]}
  do

    PIDLIST[$inr]=0
    INSTANCE_AUTOSTART=0

    #
    # define cleanup behaviour
    #
    if [ "X${CLEANUP_POLICY}" != "Xlazy" ]; then
      CLEANUP="cleanipc ${DNR[$inr]} remove; sleep 5;"
    else
      CLEANUP="sleep 0;"
    fi

    set_environment ${DNAME[$inr]} ${DNR[$inr]} ${DRELOC[$inr]} ${SAPSYSTEMNAME}
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${DNAME[$inr]}${DNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${DNAME[$inr]}${DNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${DNAME[$j]} ${DNR[$j]} ${SAPSYSTEMNAME} "stopped"

    clean_ipc ${DNAME[$inr]} ${DNR[$inr]} ${MYSIDADM}
    #
    # start startup framework
    #
    if [ ${DSAPSTARTSRV_START[$inr]} -ne 0 ]; then
      start_sapstartsrv ${DNAME[$inr]} ${DNR[$inr]} ${DRELOC[$inr]} ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        DSAPSTARTSRV_START[$inr]=0
      fi
    fi

    #
    # delay start if successful autostart occured
    #
    if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
      if autostart_waitforstarted ${DNAME[$inr]} ${DNR[$inr]} ${DRELOC[$inr]} ${DSAPSTARTSRV_START[$inr]}; then
        (( inr = $inr + 1 ))
        continue
      fi
    fi

    #
    # start instance
    #
    if [ "${MYSTARTPROFILE}" != "not_found" ]; then
      LogMsg "Instance ${DNAME[$inr]}${DNR[$inr]} on ${DRELOC[$inr]} gets started"
      if [ ${AS_PSTART} -ne 0 ]; then
        start_app ${DRELOC[$inr]} ${DNR[$inr]} ${MYSIDADM} ${HPLAT} "r3" "${CLEANUP}" "${DNAME[$inr]}" ${DSAPSTARTSRV_START[$inr]} &
        starting=1
        PIDLIST[${inr}]=$!
      else
        start_app ${DRELOC[$inr]} ${DNR[$inr]} ${MYSIDADM} ${HPLAT} "r3" "${CLEANUP}" "${DNAME[$inr]}" ${DSAPSTARTSRV_START[$inr]}
        if [ $? -eq 0 ]; then
          starting=1
        fi
      fi
    else
      ErrLogMsg "Instance  ${DNAME[$inr]}${DNR[$inr]} on ${DRELOC[$inr]} not started - profile missing"
      exit ${ERROR}
    fi
    (( inr = $inr + 1 ))
  done

  PIDLIST[${inr}]=-1

  #
  # synchronize
  #
  if [[ ${AS_PSTART} -ne 0 && ${starting} -eq 1 ]]; then
    LogMsg "Waiting for parallel startup sequence to finish..."
    wait_pidlist
    LogMsg "Leaving parallel dialog instance startup delay"
  fi

  #
  # test for success
  #
  inr=0
  if [[ ${starting} -eq 1 ]]; then
    for name in ${DNAME[@]}
    do
      crit_test_app ${DRELOC[$inr]} ${DNR[$inr]} "${MYSIDADM}" ${DNAME[$inr]} ${DELAY_INTERVALS} ${DSAPSTARTSRV_START[$inr]}
      if [ $? -ne 0 ]; then
        ErrLogMsg "Instance ${DNAME[$inr]}${DNR[$inr]} - fatal startup problem detected"
        exit ${ERROR}
      fi
      (( inr = $inr + 1 ))
    done
  fi
}

#########################################################################
#
# Function: start_wd
#
# Start webdispatcher instance(s) locally
# Parallel startup not supported (yet).
#
# Parameters:
#
#
#########################################################################
function start_wd
{
  typeset fname=start_wd
  BLogMsg $*

  typeset starting=0
  typeset name
  typeset inr=0

  for name in ${WDNAME[@]}
  do

    INSTANCE_AUTOSTART=0

    #
    # define cleanup behaviour
    #
    if [ "X${CLEANUP_POLICY}" != "Xlazy" ]; then
      CLEANUP="cleanipc ${WDNR[$inr]} remove; sleep 5;"
    else
      CLEANUP="sleep 0;"
    fi

    set_environment ${WDNAME[$inr]} ${WDNR[$inr]} ${WDRELOC[$inr]} ${SAPSYSTEMNAME}
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${WDNAME[$inr]}${WDNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${WDNAME[$inr]}${WDNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${WDNAME[$j]} ${WDNR[$j]} ${SAPSYSTEMNAME} "stopped"

    #
    # start startup framework
    #
    if [ ${WDSAPSTARTSRV_START[$inr]} -ne 0 ]; then
      start_sapstartsrv ${WDNAME[$inr]} ${WDNR[$inr]} ${WDRELOC[$inr]} ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        WDSAPSTARTSRV_START[$inr]=0
      fi
    fi

    #
    # delay start if successful autostart occured
    #
    if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
      if autostart_waitforstarted ${WDNAME[$inr]} ${WDNR[$inr]} ${WDRELOC[$inr]} ${WDSAPSTARTSRV_START[$inr]}; then
        (( inr = $inr + 1 ))
        continue
      fi
    fi

    #
    # start instance
    #
    if [ "${MYSTARTPROFILE}" != "not_found" ]; then
      LogMsg "Instance ${WDNAME[$inr]}${WDNR[$inr]} on ${WDRELOC[$inr]} gets started"
      start_app ${WDRELOC[$inr]} ${WDNR[$inr]} ${MYSIDADM} ${HPLAT} "r3" "${CLEANUP}" "${WDNAME[$inr]}" ${WDSAPSTARTSRV_START[$inr]}
      if [ $? -eq 0 ]; then
        starting=1
      fi
    else
      ErrLogMsg "Instance  ${WDNAME[$inr]}${WDNR[$inr]} on ${WDRELOC[$inr]} not started - profile missing"
      exit ${ERROR}
    fi
    (( inr = $inr + 1 ))
  done

  #
  # test for success
  #
  inr=0
  if [[ ${starting} -eq 1 ]]; then
    for name in ${WDNAME[@]}
    do
      test_app ${WDRELOC[$inr]} ${WDNR[$inr]} ${MYSIDADM} ${WDNAME[$inr]} 2 ${SAPSYSTEMNAME} # allow 1 retry
      if [ $? -ne 0 ]; then
        ErrLogMsg "Instance ${WDNAME[$inr]}${WDNR[$inr]} - fatal startup problem detected"
        exit ${ERROR}
      fi
      (( inr = $inr + 1 ))
    done
  fi
}

#########################################################################
#
# Function: start_gw
#
# Start gateway instance(s) locally
# Parallel startup not supported (yet).
#
# Parameters:
#
#
#########################################################################
function start_gw
{
  typeset fname=start_gw
  BLogMsg $*

  typeset starting=0
  typeset name
  typeset inr=0

  for name in ${GWNAME[@]}
  do

    INSTANCE_AUTOSTART=0

    #
    # define cleanup behaviour
    # (gateway installation doesn't have cleanipc)
    #
    #if [ "X${CLEANUP_POLICY}" != "Xlazy" ]; then
    #  CLEANUP="cleanipc ${GWNR[$inr]} remove; sleep 5;"
    #else
      CLEANUP="sleep 0;"
    #fi

    set_environment ${GWNAME[$inr]} ${GWNR[$inr]} ${GWRELOC[$inr]} ${SAPSYSTEMNAME}
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${GWNAME[$inr]}${GWNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${GWNAME[$inr]}${GWNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${GWNAME[$j]} ${GWNR[$j]} ${SAPSYSTEMNAME} "stopped"

    #
    # start startup framework
    #
    if [ ${GWSAPSTARTSRV_START[$inr]} -ne 0 ]; then
      start_sapstartsrv ${GWNAME[$inr]} ${GWNR[$inr]} ${GWRELOC[$inr]} ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        GWSAPSTARTSRV_START[$inr]=0
      fi
    fi

    #
    # delay start if successful autostart occured
    #
    if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
      if autostart_waitforstarted ${GWNAME[$inr]} ${GWNR[$inr]} ${GWRELOC[$inr]} ${GWSAPSTARTSRV_START[$inr]}; then
        (( inr = $inr + 1 ))
        continue
      fi
    fi

    #
    # start instance
    #
    if [ "${MYSTARTPROFILE}" != "not_found" ]; then
      LogMsg "Instance ${GWNAME[$inr]}${GWNR[$inr]} on ${GWRELOC[$inr]} gets started"
      start_app ${GWRELOC[$inr]} ${GWNR[$inr]} ${MYSIDADM} ${HPLAT} "r3" "${CLEANUP}" "${GWNAME[$inr]}" ${GWSAPSTARTSRV_START[$inr]}
      if [ $? -eq 0 ]; then
        starting=1
      fi
    else
      ErrLogMsg "Instance  ${GWNAME[$inr]}${GWNR[$inr]} on ${GWRELOC[$inr]} not started - profile missing"
      exit ${ERROR}  # <===
    fi
    (( inr = $inr + 1 ))
  done

  #
  # test for success
  #
  inr=0
  if [[ ${starting} -eq 1 ]]; then
    for name in ${GWNAME[@]}
    do
      test_app ${GWRELOC[$inr]} ${GWNR[$inr]} ${MYSIDADM} ${GWNAME[$inr]} 2 ${SAPSYSTEMNAME} # allow 1 retry
      if [ $? -ne 0 ]; then
        ErrLogMsg "Instance ${GWNAME[$inr]}${GWNR[$inr]} - fatal startup problem detected"
        exit ${ERROR} # <==
      fi
      (( inr = $inr + 1 ))
    done
  fi
}

#########################################################################
#
# Function: start_own_app
#
# (Re)start additional AppServers.
# This works on different platforms and also on hosts outside of
# the cluster. All started AppServers are not monitored as SGeSAP
# service.
#
# Parameters:
#
# Remark: Fills PIDLIST[*]
#
#########################################################################
function start_own_app
{
  typeset fname=start_own_app
  BLogMsg $*

  typeset starting=0
  typeset inr=0
  typeset sidadm=`echo ${SAPSYSTEMNAME}|${TRUL}`adm
  typeset component

  for sid in ${ASSID[@]}
  do

    PIDLIST[$inr]=0
    ASSTART[$inr]=0

    if [[ "X${sid}" != "X${SAPSYSTEMNAME}" && "X${ASNAME[$inr]}" != "XSMDA" && "X${ASNAME[$inr]}" != "XW" ]]; then
      (( inr = $inr + 1 ))
      continue
    fi

    # allow for other sidadm in certain cases (SMDA,...)
    sidadm=`echo ${sid}|${TRUL}`adm

    # set_environment ${ASNAME[$inr]} ${ASNR[$inr]} ${ASHOST[$inr]} ${ASSID[$inr]}

    LogMsg2 1 "Initiating ${ASPLATFORM[$inr]} startup eval sequence for instance ${ASNAME[$inr]}${ASNR[$inr]} of ${ASSID[$inr]} on ${ASHOST[${inr}]}..."

    #
    # skip start if instance is inactive
    #
    if [ ${ASTREAT[${inr}]} -eq 0 ]; then
      LogMsg2 2 "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} configured to be inactive - skipping step"

    #
    # skip start if host is unavailable and the Appserver is not packaged
    #
    elif [[ ( "${ASHOST_ALIVE[$inr]}" = "-1" ) || ( ${ASHOST_ALIVE[$inr]} -eq 0 ) ]]; then
        WrnLogMsg "${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} not responding - skipping step"

    #
    # skip start if start is not configured at all
    #
    elif [[  ( `(treatment_test ${inr} ${START_WITH_PKG} 1>/dev/null 2>&1;echo $?)` -eq 0 ) && \
         ( `(treatment_test ${inr} ${RESTART_DURING_CROSS_SUBNET_FAILOVER} 1>/dev/null 2>&1;echo $?)` -eq 0 ) && \
             ( `(treatment_test ${inr} ${RESTART_DURING_FAILOVER} 1>/dev/null 2>&1;echo $?)` -eq 0 ) ]]; then
      LogMsg2 2 "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} is configured to be excluded - skipping step"

    #
    # skip start if only restart is configured and no shutdown attempt was made previously
    #
    elif [[ (( `(treatment_test ${inr} ${RESTART_DURING_FAILOVER} 1>/dev/null 2>&1;echo $?)` -eq 1 ) ||
         ( `(treatment_test ${inr} ${RESTART_DURING_CROSS_SUBNET_FAILOVER} 1>/dev/null 2>&1;echo $?)` -eq 1 ) ) &&
              ${ASHUTDOWN_ATTEMPT[$inr]} -eq 0 &&
              `(treatment_test ${inr} ${START_WITH_PKG} 1>/dev/null 2>&1;echo $?)` -eq 0 ]]; then
      LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} is not restarted - skipping step"

    elif [[ ( ${ASHOST_ALIVE[${inr}]} -gt 1 ) &&
            ( `(treatment_test ${inr} ${STOP_IF_LOCAL_AFTER_FAILOVER} 1>/dev/null 2>&1;echo $?)` -ne 0 ) ]]; then
      LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} not allowed to consolidate - skipping step"

    #
    # skip start if instance is already running
    #
    else
      test_app ${ASHOST[$inr]} ${ASNR[$inr]} ${sidadm} ${ASNAME[$inr]} 1 ${ASSID[$inr]}
#     if [[ $? -eq 0 && "`echo ${ASNAME[$inr]}|cut -c 1`" != "J" && "`echo ${ASNAME[$inr]}|cut -c 1-4`" != "SMDA" ]]; then
      if [ $? -eq 0 ]; then
        LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} already running - skipping step"
        ASSTART[$inr]=1
      else
        #
        # distinguish startup routines for different platforms
        # (commented by MS - do this in start_app only)
#       case "${ASPLATFORM[$inr]}" in
#         "HP-UX" | "LINUX")
            #
            # define cleanup behaviour
            #
            if [ "X${CLEANUP_POLICY}" != "Xlazy" ]; then
              CLEANUP="cleanipc ${ASNR[$inr]} remove; sleep 10;"
            else
              CLEANUP="sleep 0;"
            fi

            LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} gets started"
            starting=1
            ASSTART[$inr]=1

            if [ "X${ASNAME[$inr]}" = "XJ" -o "X${ASNAME[$inr]}" = "XJC" -o "X${ASNAME[$inr]}" = "XSMDA" ]; then
              component="j2ee"
            else
              component="r3"
            fi

            if [ ${ASSAPSTARTSRV_START[$inr]} -eq 1 ]; then
              start_sapstartsrv ${ASNAME[$inr]} ${ASNR[$inr]} ${ASHOST[$inr]} ${ASSID[$inr]}
              if [ $? -ne 0 ]; then
                ASSAPSTARTSRV_START[$inr]=0
              fi
            fi

            if [ ${AS_PSTART} -ne 0 ]; then
              start_app ${ASHOST[${inr}]} ${ASNR[$inr]} ${sidadm} ${ASPLATFORM[$inr]} "${component}" "${CLEANUP}" "${ASNAME[$inr]}" ${ASSAPSTARTSRV_START[$inr]:-0} &
              sleep 2
              PIDLIST[${inr}]=$!
            else
              start_app ${ASHOST[${inr}]} ${ASNR[$inr]} ${sidadm} ${ASPLATFORM[$inr]} "${component}" "${CLEANUP}" "${ASNAME[$inr]}" ${ASSAPSTARTSRV_START[$inr]:-0}
            fi
#          ;;
#          "WINDOWS")
#            LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} gets started"
#            starting=1
#            ASSTART[$inr]=1
#
#            if [ ${AS_PSTART} -ne 0 ]; then
#              start_WINDOWS_app ${ASHOST[${inr}]} ${ASNR[$inr]} ${sidadm} ${ASNAME[$inr]} &
#              PIDLIST[${inr}]=$!
#            else
#            start_WINDOWS_app ${ASHOST[${inr}]} ${ASNR[$inr]} ${sidadm} ${ASNAME[$inr]}
#            fi
#          ;;
#          *)
#            WrnLogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} has unknown platform [${ASPLATFORM[$inr]}]- skipping step"
#            WrnLogMsg "Check sap_ext_treat values in package configuration"
#          ;;
#        esac
      fi
    fi
    (( inr = $inr + 1 ))
  done

  PIDLIST[${inr}]=-1

  #
  # synchronize
  #
  if [[ ${AS_PSTART} -ne 0 && ${WAIT_OWN_AS} -ge 2  && ${starting} -eq 1 ]]; then
    LogMsg "Waiting for parallel startup sequence to finish..."
    wait_pidlist
    LogMsg "Leaving parallel App-Server startup delay"
  fi

  #
  # test for success
  #
  inr=0

  if [[ ${WAIT_OWN_AS} -ge 2 && ${starting} -eq 1 ]]; then
    for sid in ${ASSID[@]}
    do
      if [[ "X${sid}" != "X${SAPSYSTEMNAME}" && "X${ASNAME[$inr]}" != "XSMDA" && "X${ASNAME[$inr]}" != "XW" ]]; then
        (( inr = $inr + 1 ))
        continue
      fi
      # allow for other sidadm
      sidadm=`echo ${sid}|${TRUL}`adm
      if [[ ${ASSTART[$inr]} -eq 1 ]]; then
        test_app ${ASHOST[${inr}]} ${ASNR[$inr]} ${sidadm} ${ASNAME[$inr]} 1 ${ASSID[$inr]}
        if [ $? -ne 0 ]; then
          ErrLogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} startup problem detected"
        fi
      fi
      (( inr = ${inr} + 1 ))
    done
  fi
}


#########################################################################
#
# Function: start__db
#
# This is in fact an "illegal" function that should never be called.
# It's available to catch error conditions and print an error text.
# Package startup/shutdown failure is speeded up by this shortcut.
#
# Parameters:
#
#########################################################################
function start__db
{
  typeset fname=start__db
  BLogMsg $*

  ErrLogMsg "SGeSAP parameter settings got corrupted ..."
  ErrLogMsg2 "Check the DB vendor setting in the package configuration."
  exit ${ERROR}
}


#########################################################################
#
# Function: start_db
#
# Database independent part.
#
# Parameters:
#
#########################################################################
function start_db
{
  typeset fname=start_db
  BLogMsg $*

  typeset sapstartscript=""
  typeset javatype=0

  LogMsg "Starting SAP Database (try SAP mechanism first)..."

  #
  # Start DBServer
  # The script start(j2ee)db, that is used here is provided by SAP
  # For checking additional returncodes, please refer to the actual startdb
  # script.
  #
  # echo "\nStarting SAP $SAPSYSTEMNAME Database" >> $LOGFILE_STARTDB
  # echo "--------------------------" >> $LOGFILE_STARTDB
  #
  # choose script
  #
  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" startdb
  sapstartscript=${LOCATION}
  # if ABAP profiles ${SAPSYSTEMNAME}_[AD]* don't exist - this indicates a J2EE configuration
  if [[ -z ${OWNER} ]] || ! ls ${USRSAPDIR}/${SAPSYSTEMNAME}/SYS/profile/${SAPSYSTEMNAME}_[AD]* >/dev/null 2>&1 ; then
    find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" startj2eedb
    if [[ $? -eq 0 ]]; then
      # J2EE start, logfile name depends on DB!
      typeset LF_ORACLE="startdb.log"
      typeset LF_MAXDB="startj2eedb.log"
      typeset LF_DB2="startdbj2eedb.log"
      typeset LF_SYBASE="startdb.log"  # preliminary - maybe in different directory anyway
      sapstartscript=${LOCATION}
      LogMsg "Picking SAP JAVA-only (j2ee) script"
      javatype=1
      # adapt logfile variable for j2ee db
      if [ "${LOGFILE_STARTDB}" != "${LOGFILE_STARTDB%startdb.log}" ]; then
        LOGFILE_STARTDB="${LOGFILE_STARTDB%startdb.log}`eval echo \\${LF_${DB}}`"
      fi
    fi
  fi

  if [ -n "${sapstartscript}" ]; then
    LogMsg "Database startup log is written to ${LOGFILE_STARTDB}"
    ${SU_COMM} - ${OWNER} -c "touch ${LOGFILE_STARTDB}; ${sapstartscript:-startdb}" >/dev/null 2>&1 &
    watchdog $!
    returncode=$?
    case $returncode in
      0) echo " Database started " >> $LOGFILE_STARTDB
        LogMsg "Database started successfully" # according to startdb
      ;;
      1) if [ ${javatype} -eq 0 ]; then
           find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" R3trans
           if [ $? -eq 0 ]; then
             ${SU_COMM} - ${OWNER} -c "eval ${LOCATION:-R3trans} -d -w /dev/null" >/dev/null 2>&1
             if [ $? -eq 0 ]; then
  	           echo " ERROR: Database started, but no valid SAP license installed " >> $LOGFILE_STARTDB
               WrnLogMsg "Database started, but no valid SAP license installed"
             else
               WrnLogMsg "License check failed"
               WrnLogMsg "Test permissions and local directory structure of ${LOCATION}"
	             return 127
             fi
           else
             LogMsg "Database startup reported rc=1 - license missing?"
           fi
         else
           WrnLogMsg "J2EE DB start reported rc=1 - check $LOGFILE_STARTDB"
         fi
      ;;
      *) echo " Database startup failed!" >> $LOGFILE_STARTDB
        ErrLogMsg "Database startup with startdb script failed"
        LogMsg "******* Included database logfile follows **********"
        cat $LOGFILE_STARTDB
        LogMsg "******* End of included database logfile  **********"
      ;;
    esac
  else
    WrnLogMsg "SAP database start scripts not found"
    returncode=126
  fi

  return ${returncode}
}


#########################################################################
#
# Function: stop_jd
#
# Stop critical instances of own system locally.
#
# Parameters:
#
# Remark: Fills PIDLIST[*]
#
#########################################################################
function stop_jd
{
  typeset fname=stop_jd
  BLogMsg $*

  typeset stopping=0
  typeset name
  typeset -i inr=0

  for name in ${JDNAME[@]}
  do
    stopping=1
    PIDLIST[$inr]=0

    set_environment ${JDNAME[$inr]} ${JDNR[$inr]} ${JDRELOC[$inr]} ${SAPSYSTEMNAME}

    LogMsg "Initiate stopping of JAVA dialog instance ${JDNAME[$inr]}${JDNR[$inr]} on virtual IP ${JDRELOC[$inr]}"
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${JDNAME[$inr]}${JDNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${JDNAME[$inr]}${JDNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${JDNAME[$j]} ${JDNR[$j]} ${SAPSYSTEMNAME} "stopped"
    # stop_direct ${JDNAME[$inr]} ${JDNR[$inr]} ${JDRELOC[$inr]} ${JDSAPSTARTSRV_STOP[$inr]} &
    stop_app ${JDRELOC[$inr]} ${JDNR[$inr]} ${MYSIDADM} ${HPLAT} r3 ${JDNAME[$inr]} ${SAPSYSTEMNAME} ${JDSAPSTARTSRV_STOP[$inr]} &
    PIDLIST[${inr}]=$!
    (( inr = $inr + 1 ))
  done
  PIDLIST[${inr}]=-1

  if [[ ${WAIT_OWN_AS} -ge 1  && ${stopping} -eq 1 ]]; then
    LogMsg "Waiting for parallel shutdown sequence to finish"
    wait_pidlist
    LogMsg "Parallel dialog instance shutdown finished"
  fi

  #
  # test for success
  #
  inr=0
  for name in ${JDNAME[@]}
  do
    if [ ${PIDLIST[$inr]} -ne 0 ]; then
      wait_igs ${JDNAME[$inr]} ${JDNR[$inr]}
	  test_app ${JDRELOC[$inr]} ${JDNR[$inr]} ${MYSIDADM} ${JDNAME[$inr]} 1 ${SAPSYSTEMNAME}
      if [ $? -eq 0 ]; then
        WrnLogMsg "Instance ${JDNAME[$inr]}${JDNR[$inr]} shutdown problem detected - calling kill.sap"
        if [ -x ${MYWORKDIR}/kill.sap ]; then
          ${MYWORKDIR}/kill.sap
        fi
        clean_ipc  ${JDNAME[$inr]} ${JDNR[$inr]} ${MYSIDADM}
      fi
      (( inr = ${inr} + 1 ))
    fi
  done

  #
  # only now stop the agents and all remains
  #
  inr=0
  for name in ${JDNAME[@]}
  do
    if [ ${JDSAPSTARTSRV_STOP[$inr]} -eq 1 ]; then
      stop_sapstartsrv "${JDNAME[$inr]}" "${JDNR[$inr]}" "${JDRELOC[$inr]}" ${HPLAT} "${MYSIDADM}" "${SAPSYSTEMNAME}"
    fi
    clean_inst "${JDNAME[$inr]}" "${JDNR[$inr]}" "${JDRELOC[$inr]}" ${SAPSYSTEMNAME} ${JDSAPSTARTSRV_STOP[$inr]}&
    PIDLIST[$inr]=$!
    (( inr = ${inr} + 1 ))
  done
  PIDLIST[$inr]=-1
  if [[ ${WAIT_OWN_AS} -ge 1  && ${stopping} -eq 1 ]]; then
    LogMsg "Waiting for parallel cleanup sequence to finish"
    wait_pidlist
    LogMsg "Parallel dialog instance cleanup finished"
  fi

}


#########################################################################
#
# Function: stop_d
#
# Stop critical instances of own system locally.
#
# Parameters:
#
# Remark: Fills PIDLIST[*]
#
#########################################################################
function stop_d
{
  typeset fname=stop_d
  BLogMsg $*

  typeset stopping=0
  typeset name
  typeset inr=0

  for name in ${DNAME[@]}
  do
    stopping=1
    PIDLIST[$inr]=0

    set_environment ${DNAME[$inr]} ${DNR[$inr]} ${DRELOC[$inr]} ${SAPSYSTEMNAME}

    LogMsg "Initiate stopping of dialog instance ${DNAME[$inr]}${DNR[$inr]} on ${DRELOC[$inr]}"
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${DNAME[$inr]}${DNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${DNAME[$inr]}${DNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${DNAME[$j]} ${DNR[$j]} ${SAPSYSTEMNAME} "stopped"
    stop_app ${DRELOC[$inr]} ${DNR[$inr]} ${MYSIDADM} ${HPLAT} r3 ${DNAME[$inr]} ${SAPSYSTEMNAME} ${DSAPSTARTSRV_STOP[$inr]} &
    PIDLIST[${inr}]=$!
    (( inr = $inr + 1 ))
  done
  PIDLIST[${inr}]=-1

  if [[ ${WAIT_OWN_AS} -ge 1  && ${stopping} -eq 1 ]]; then
    LogMsg "Waiting for parallel shutdown sequence to finish"
    wait_pidlist
    LogMsg "Parallel dialog instance shutdown finished"
  fi

  #
  # test for success
  #
  inr=0
  for name in ${DNAME[@]}
  do
    if [ ${PIDLIST[$inr]} -ne 0 ]; then
      wait_igs ${DNAME[$inr]} ${DNR[$inr]}
      crit_test_app ${DRELOC[$inr]} ${DNR[$inr]} "${MYSIDADM}" ${DNAME[$inr]} 1 ${DSAPSTARTSRV_STOP[$inr]}
      if [ $? -eq 0 ]; then
        WrnLogMsg "Instance ${DNAME[$inr]}${DNR[$inr]} shutdown problem detected - kill.sap"
        if [ -x ${USRSAPDIR}/${SAPSYSTEMNAME}/${DNAME[$inr]}${DNR[$inr]}/work/kill.sap ]; then
          ${USRSAPDIR}/${SAPSYSTEMNAME}/${DNAME[$inr]}${DNR[$inr]}/work/kill.sap
        fi
        clean_ipc  ${DNAME[$inr]} ${DNR[$inr]} ${MYSIDADM}
      fi
      if [ -r /var/adm/cmcluster/wlmprocmap.${SAPSYSTEMNAME}_${DNAME[$inr]}${DNR[$inr]}_${DRELOC[$inr]} ]; then
        LogMsg "Cleanup of procmaps for ${DNAME[$inr]}${DNR[$inr]}"
        rm /var/adm/cmcluster/wlmprocmap.${SAPSYSTEMNAME}_${DNAME[$inr]}${DNR[$inr]}_${DRELOC[$inr]} 2>/dev/null
      fi
    fi
    (( inr = ${inr} + 1 ))
  done

  #
  # only now stop the agents and all remains
  #
  inr=0
  for name in ${DNAME[@]}
  do
    if [ ${DSAPSTARTSRV_STOP[$inr]} -eq 1 ]; then
      stop_sapstartsrv "${DNAME[$inr]}" "${DNR[$inr]}" "${DRELOC[$inr]}" ${HPLAT} "${MYSIDADM}" "${SAPSYSTEMNAME}"
    fi
    clean_inst "${DNAME[$inr]}" "${DNR[$inr]}" "${DRELOC[$inr]}" "${SAPSYSTEMNAME}" "${DSAPSTARTSRV_STOP[$inr]}"&
    PIDLIST[$inr]=$!
    (( inr = ${inr} + 1 ))
  done
  PIDLIST[$inr]=-1

  if [[ ${WAIT_OWN_AS} -ge 1  && ${stopping} -eq 1 ]]; then
    LogMsg "Waiting for parallel cleanup sequence to finish"
    wait_pidlist
    LogMsg "Parallel dialog instance cleanup finished"
  fi
}

#########################################################################
#
# Function: stop_wd
#
# Stop webdispatcher instance locally
# Parallel shutdown not supported (yet)
#
# Parameters:
#
#
#########################################################################
function stop_wd
{
  typeset fname=stop_wd
  BLogMsg $*

  typeset stopping=0
  typeset name
  typeset inr=0

  for name in ${WDNAME[@]}
  do
    set_environment ${WDNAME[$inr]} ${WDNR[$inr]} ${WDRELOC[$inr]} ${SAPSYSTEMNAME}

    LogMsg "Initiate stopping of webdispatcher instance ${WDNAME[$inr]}${WDNR[$inr]} on ${WDRELOC[$inr]}"
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${WDNAME[$inr]}${WDNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${WDNAME[$inr]}${WDNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${WDNAME[$j]} ${WDNR[$j]} ${SAPSYSTEMNAME} "stopped"
    stop_app ${WDRELOC[$inr]} ${WDNR[$inr]} ${MYSIDADM} "HP-UX" r3 ${WDNAME[$inr]} ${SAPSYSTEMNAME} ${WDSAPSTARTSRV_STOP[$inr]}
    (( inr = $inr + 1 ))
  done
  #
  # test for success
  #
  inr=0
  for name in ${WDNAME[@]}
  do
    wait_igs ${WDNAME[$inr]} ${WDNR[$inr]} # ??
    test_app ${WDRELOC[$inr]} ${WDNR[$inr]} ${MYSIDADM} ${WDNAME[$inr]} 1 ${SAPSYSTEMNAME}
    if [ $? -eq 0 ]; then
      WrnLogMsg "Instance ${WDNAME[$inr]}${WDNR[$inr]} shutdown problem detected - kill.sap"
      if [ -x ${USRSAPDIR}/${SAPSYSTEMNAME}/${WDNAME[$inr]}${WDNR[$inr]}/work/kill.sap ]; then
        ${USRSAPDIR}/${SAPSYSTEMNAME}/${WDNAME[$inr]}${WDNR[$inr]}/work/kill.sap
      fi
      clean_ipc  ${WDNAME[$inr]} ${WDNR[$inr]} ${MYSIDADM}
    fi
    (( inr = ${inr} + 1 ))
  done

  #
  # only now stop the agents and all remains
  #
  inr=0
  for name in ${WDNAME[@]}
  do
    if [ ${WDSAPSTARTSRV_STOP[$inr]} -eq 1 ]; then
      stop_sapstartsrv "${WDNAME[$inr]}" "${WDNR[$inr]}" "${WDRELOC[$inr]}" ${HPLAT} "${MYSIDADM}" "${SAPSYSTEMNAME}"
    fi
    clean_inst "${WDNAME[$inr]}" "${WDNR[$inr]}" "${WDRELOC[$inr]}" ${SAPSYSTEMNAME} ${WDSAPSTARTSRV[$inr]}
    (( inr = ${inr} + 1 ))
  done
}

#########################################################################
#
# Function: stop_gw
#
# Stop gateway instance locally
# Parallel shutdown not supported (yet)
#
# Parameters:
#
#
#########################################################################
function stop_gw
{
  typeset fname=stop_gw
  BLogMsg $*

  typeset stopping=0
  typeset name
  typeset inr=0

  for name in ${GWNAME[@]}
  do
    set_environment ${GWNAME[$inr]} ${GWNR[$inr]} ${GWRELOC[$inr]} ${SAPSYSTEMNAME}

    LogMsg "Initiate stopping of gateway instance ${GWNAME[$inr]}${GWNR[$inr]} on ${GWRELOC[$inr]}"
    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${GWNAME[$inr]}${GWNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${GWNAME[$inr]}${GWNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${GWNAME[$j]} ${GWNR[$j]} ${SAPSYSTEMNAME} "stopped"
    stop_app ${GWRELOC[$inr]} ${GWNR[$inr]} ${MYSIDADM} ${HPLAT} r3 ${GWNAME[$inr]} ${SAPSYSTEMNAME} ${GWSAPSTARTSRV_STOP[$inr]}
    (( inr = $inr + 1 ))
  done
  #
  # test for success
  #
  inr=0
  for name in ${GWNAME[@]}
  do
    wait_igs ${GWNAME[$inr]} ${GWNR[$inr]} # ??
    test_app ${GWRELOC[$inr]} ${GWNR[$inr]} ${MYSIDADM} ${GWNAME[$inr]} 1 ${SAPSYSTEMNAME}
    if [ $? -eq 0 ]; then
      WrnLogMsg "Instance ${GWNAME[$inr]}${GWNR[$inr]} shutdown problem detected - kill.sap"
      if [ -x ${USRSAPDIR}/${SAPSYSTEMNAME}/${GWNAME[$inr]}${GWNR[$inr]}/work/kill.sap ]; then
        ${USRSAPDIR}/${SAPSYSTEMNAME}/${GWNAME[$inr]}${GWNR[$inr]}/work/kill.sap
      fi
      clean_ipc  ${GWNAME[$inr]} ${GWNR[$inr]} ${MYSIDADM}
    fi
    (( inr = ${inr} + 1 ))
  done

  #
  # only now stop the agents and all remains
  #
  inr=0
  for name in ${GWNAME[@]}
  do
    stop_sapstartsrv "${GWNAME[$inr]}" "${GWNR[$inr]}" "${GWRELOC[$inr]}" ${HPLAT} "${MYSIDADM}" "${SAPSYSTEMNAME}"
    clean_inst "${GWNAME[$inr]}" "${GWNR[$inr]}" "${GWRELOC[$inr]}" ${SAPSYSTEMNAME}
    (( inr = ${inr} + 1 ))
  done
}


#########################################################################
#
# Function: stop_own_app
#
# Stop instances of own system. This also works for instances
# outside of the cluster.
#
# Parameters:
# $1 purpose of stopping (restart, final_stop)
#
# Remark: Fills PIDLIST[*], ASHUTDOWN_ATTEMPT[*]
#         Needs ASTREAT[*]
#
#########################################################################
function stop_own_app
{
  typeset fname=stop_own_app
  BLogMsg $*

  typeset -i stopping=0
  typeset -i inr=0
  typeset -i jnr=0
  typeset sid
  typeset sid2
  typeset forcit
  typeset component
  typeset sidadm=`echo ${SAPSYSTEMNAME}|${TRUL}`adm


  rm -f ${SGESAP_ENV_FILE} 2>/dev/null
  touch ${SGESAP_ENV_FILE}

  for sid in ${ASSID[@]}
  do
    PIDLIST[$inr]=0
    ASHUTDOWN_ATTEMPT[$inr]=0
    forcit=0

    # LogMsg2 3 "ASNAME[$inr]=${ASNAME[$inr]}"
    # LogMsg2 3 "ASNR[$inr]=${ASNR[$inr]}"
    # LogMsg2 3 "ASHOST[$inr]=${ASHOST[$inr]}"
    # LogMsg2 3 "ASSID[$inr]=${ASSID[$inr]}"
    # LogMsg2 3 "ASTREAT[$inr]=${ASTREAT[$inr]}"
    # LogMsg2 3 "ASPLATFORM[$inr]=${ASPLATFORM[$inr]}"
    # LogMsg2 3 "ASHOST_ALIVE[$inr]=${ASHOST_ALIVE[$inr]}"

    #
    # skip if different SAP system or
    # host not responding or host state unknown
    #
    if [ "X${sid}" != "X${SAPSYSTEMNAME}" -a "X${ASNAME[$inr]}" != "XSMDA" -a "X${ASNAME[$inr]}" != "XW" ]; then
      (( inr = $inr + 1 ))
      continue
    fi

    # allow for other sidadm in certain cases (SMDA,...)
    sidadm=`echo ${sid}|${TRUL}`adm

    if [[ "${ASHOST_ALIVE[$inr]}" = "0" || "${ASHOST_ALIVE[$inr]}" = "-1" ]]; then
      LogMsg2 2 "Skipped ${ASNAME[${inr}]}${ASNR[${inr}]} of ${ASSID[${inr}]} on ${ASHOST[${inr}]}"
      (( inr = $inr + 1 ))
      continue
    fi

    # set_environment ${ASNAME[$inr]} ${ASNR[$inr]} ${ASHOST[$inr]} ${ASSID[$inr]}

    if [[ "X${1}" = "X${STOP_WITH_PKG}" ]]; then
      #
      # this part is executed during package SHUTDOWN
      # and will check whether the AS should be stopped
      #
      treatment_test ${inr} ${STOP_WITH_PKG}
      if [ $? -eq 0 ]; then
        LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} is configured to be excluded - skipping step"
        (( inr = $inr + 1 ))
        continue
      fi
    else
      #
      # this section is executed during package STARTUP
      # (either failover or initial start)and will check
      # if the AS needs to be stopped...
      #
      # ... due to a restart ...
      #
      treatment_test ${inr} ${RESTART_DURING_FAILOVER}
      if [ $? -eq 0 ]; then
        LogMsg2 2 "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} is not configured for restart during failover within the same subnet"
        treatment_test ${inr} ${RESTART_DURING_CROSS_SUBNET_FAILOVER}
        if [ $? -eq 0 ]; then
          LogMsg2 2 "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} is not configured for restart during cross-subnet failover"
        else
          cross_check_failover
          if [ $? -ne 0 ]; then
            LogMsg2 2 "This is a failover within the same subnet"
          else
            LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} needs to restart due to potential cross-subnet failover issues"
            forcit=1
          fi
        fi
        #
        # ... or due to consolidation.
        #
        if [ ${forcit} -ne 1 ]; then
          treatment_test ${inr} ${STOP_IF_LOCAL_AFTER_FAILOVER}
          if [[ $? -eq 0 || "${ASHOST_ALIVE[$inr]}" != 2 ]]; then
            LogMsg2 2 "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} does not need to shutdown to avoid unwanted consolidation"
            (( inr = $inr + 1 ))
            continue
          else
            LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} needs to shutdown to avoid undesired consolidation"
          fi
        fi
      else
          LogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]} needs to get restarted during failover"
      fi
    fi

    #
    # perform shutdown attempt
    #
    LogMsg "Initiate stop sequence of Instance ${ASNAME[$inr]}${ASNR[$inr]} on host ${ASHOST[${inr}]}"
    ASHUTDOWN_ATTEMPT[$inr]=1
    if [ "X${ASNAME[$inr]}" = "XJ" -o "X${ASNAME[$inr]}" = "XJC" -o "X${ASNAME[$inr]}" = "XSMDA" ]; then
      component="j2ee"
    else
      component="r3"
    fi
    stop_app "${ASHOST[$inr]}" "${ASNR[$inr]}" "${sidadm}" "${ASPLATFORM[$inr]}" "${component}" "${ASNAME[$inr]}" "${ASSID[$inr]}" "${ASSAPSTARTSRV_STOP[$inr]:-0}" &

    PIDLIST[$inr]=$!
    stopping=1

    (( inr = $inr + 1 ))

  done

  PIDLIST[$inr]=-1

  if [[ ${WAIT_OWN_AS} -ge 1  && ${stopping} -eq 1 ]]; then
    LogMsg "Waiting for parallel App-Server shutdown to finish..."
    wait_pidlist
    LogMsg "First set of parallel App-Server shutdown attempts finished"
  fi

  #
  # test for success, seed restart script, clean instances, stop sapstartsrvs
  #
  inr=0
  stopping=0
  for sid in ${ASSID[@]}
  do
    echo ASHUTDOWN_ATTEMPT[$inr]=${ASHUTDOWN_ATTEMPT[$inr]} >>${SGESAP_ENV_FILE}
    echo ASHOST_ALIVE[$inr]=${ASHOST_ALIVE[$inr]} >>${SGESAP_ENV_FILE}
    echo ASPLATFORM[$inr]=${ASPLATFORM[$inr]} >>${SGESAP_ENV_FILE}

    ASHUTDOWN_SUCCESS[$inr]=1
    PIDLIST[$inr]=0

    if [ "X${sid}" != "X${SAPSYSTEMNAME}" -a "X${ASNAME[$inr]}" != "XSMDA" -a "X${ASNAME[$inr]}" != "XW" ]; then
      (( inr = ${inr} + 1 ))
      continue
    fi

    #
    # allow different sidadm
    #
    sidadm=`echo ${sid}|${TRUL}`adm

    if [ ${ASHUTDOWN_ATTEMPT[$inr]} -ne 0 ]; then

      test_app ${ASHOST[$inr]} ${ASNR[$inr]} ${sidadm} ${ASNAME[$inr]} 1 ${ASSID[$inr]}
      if [ $? -eq 0 ]; then
        WrnLogMsg "Instance ${ASNAME[$inr]}${ASNR[$inr]} on ${ASHOST[${inr}]} shutdown problem detected"
        ASHUTDOWN_SUCCESS[$inr]=0
        stopping=1
        #
        # clean out processes
        #
        clean_inst "${ASNAME[$inr]}" "${ASNR[$inr]}" "${ASHOST[$inr]}" "${ASSID[$inr]}" ${SGeSAP_SAPSTARTSRV_STOP}&
        PIDLIST[$inr]=$!
      fi

      if [[ ${ASSAPSTARTSRV_STOP[$inr]} -eq 1 ]]; then
        stop_sapstartsrv "${ASNAME[$inr]}" "${ASNR[$inr]}" "${ASHOST[$inr]}" "HP-UX" "${sidadm}" "${ASSID[$inr]}"
      fi

    fi
    (( inr = ${inr} + 1 ))
  done

  if [[ ${WAIT_OWN_AS} -ge 1 && ${stopping} -eq 1 ]]; then
    LogMsg "Waiting for parallel App-Server shutdown to finish..."
    wait_pidlist
    LogMsg "Second set of parallel App-Server shutdown attempts finished"
  fi

  #
  # forced unmount of HA NFS filesystems for cross-subnet failover
  # exactly once per server
  #
  if [ ${NETWORK_SLEEP_INTERVAL} -ne 0 ]; then
    LogMsg "Additional cross-subnet cleanup steps"
    inr=0
    for sid in ${ASSID[@]}
    do
      PIDLIST[$inr]=0
      if [ "X${sid}" != "X${SAPSYSTEMNAME}" -a "X${ASNAME[$inr]}" != "XSMDA" -a "X${ASNAME[$inr]}" != "XW" ]; then
        (( inr = ${inr} + 1 ))
        continue
      fi

      # allow for other sidadm in certain cases
      sidadm=`echo ${sid}|${TRUL}`adm

      if [ ${ASHUTDOWN_ATTEMPT[$inr]} -ne 0 ]; then
        (( jnr = ${inr} + 1 ))
        while [ ${jnr} -lt ${#ASSID[@]} ]
        do
          if [ "X${ASHOST[${jnr}]}" = "X${ASHOST[${inr}]}" ]; then
            if [ ${ASHUTDOWN_ATTEMPT[${jnr}]} -ne 0 ]; then
              if [ "X${ASSID[${jnr}]}" = "X${SAPSYSTEMNAME}" ]; then
                break
              fi
            fi
          fi
          (( jnr = ${jnr} + 1 ))
        done
        if [ ${jnr} -eq ${#ASSID[@]} ]; then
          is_ip_local ${ASHOST[${inr}]}
          if [ ${?} -ne 1 ]; then
            force_umounts ${ASHOST[${inr}]} ${sidadm} 2>/dev/null &
            PIDLIST[$inr]=$!
          fi
        fi
      fi
      (( inr = ${inr} + 1 ))
    done

    if [[ ${WAIT_OWN_AS} -ge 1 && ${stopping} -eq 1 ]]; then
      LogMsg "Waiting for parallel NFS cleanups to finish..."
      wait_pidlist
      LogMsg "NFS cleanup attempts finished"
    fi

    #
    # final test for cross-subnet setups
    #
    inr=0
    for sid in ${ASSID[@]}
    do
      PIDLIST[$inr]=0

      if [ "X${sid}" != "X${SAPSYSTEMNAME}" -a "X${ASNAME[$inr]}" != "XSMDA" -a "X${ASNAME[$inr]}" != "XW" ]; then
        (( inr = ${inr} + 1 ))
        continue
      fi

      if [ ${ASHUTDOWN_SUCCESS[$inr]} -eq 0 ]; then

        # allow for other sidadm in certain cases
        sidadm=`echo ${sid}|${TRUL}`adm

        test_app ${ASHOST[$inr]} ${ASNR[$inr]} ${sidadm} ${ASNAME[$inr]} 1 ${ASSID[$inr]}
        if [ $? -eq 0 ]; then
          WrnLogMsg "Couldn't stop Instance ${ASNAME[$inr]}${ASNR[$inr]} on ${ASHOST[${inr}]}"
          # exit 1
        fi
      fi
      (( inr = ${inr} + 1 ))
    done
  fi
}


########################################################################
#
# Function: force_umounts
#
# In cross router environments it might be required to forcefully
# free up mount points that are hanging due to the fact that the NFS
# server changes its IP address.
#
# Parameters:
# $1     hostname of server on which the unmounts should be done
# $2     sidadm
#
# Remarks:
# This functionality requires that the HA NFS functionality is part
# of the SGeSAP package.
#
########################################################################
function force_umounts
{
  typeset fname=force_umounts
  BLogMsg $*

  typeset mountpoint
  typeset command
  typeset privcmd

  if [ ${NETWORK_SLEEP_INTERVAL} -eq 0 ]; then
    LogMsg "No cross subnet handling"
    return 0
  fi

  LogMsg "Cross subnet handling on $1..."

  is_ip_local ${1}
  islocal=$?
  if [ ${islocal} -eq 1 ]; then
    if [ -r ${SGESAP_CROSS_FILE} ]; then
      LogMsg2 2 "Local cross subnet flag file found"
      return 0;
    fi
    touch ${SGESAP_CROSS_FILE}
    privcmd=""
  else
    privcmd="${PRIV_COMM}"
  fi

  if [ -r /${SGESAP_UMNT_FILE} ]; then
    . ${SGESAP_UMNT_FILE}
  for mountpoint in ${FORCE_UMOUNT_FS[@]}
  do
    command='mp=`/usr/sbin/mount -p|grep ":'${mountpoint}' "|awk '\''/ nfs / { print $2; }'\'\`";
      if [ "X\${mp}" != "X" ]; then
        ${privcmd} /usr/sbin/fuser -kc \${mp}& 2>/dev/null;
        echo \"Standard unmount attempt for \${mp} on ${1}... \";
        sleep 3;
        ${privcmd} /usr/sbin/umount \${mp} 2>&1|
        grep -e \"busy\" -e \"cannot\";
        rc=\$?;
        if [ \${rc} -ne 0 ]; then
          /usr/sbin/mount -p|grep \" \${mp} \"|grep \" nfs \" >/dev/null;
          rc=\$?;
        fi;
        if [ \${rc} -eq 0 ]; then
          echo \"Forced unmount attempt for \${mp} on ${1}... \";
          ${privcmd} /usr/sbin/umount -f \${mp} 2>&1;
          rc=\$?;
        else
          rc=0;
        fi;
        ${privcmd} /usr/sbin/automount 2>&1;
        return \${rc};
      else
        echo \"No NFS mount found for \${mp}\";
        return 0;
      fi"
    if [ ${islocal} -eq 0 ]; then
      create_retfile ${fname}
      LogMsg "Remote execution of RETfile ${RETFILE}"
      >>${RETFILEFULL} echo "${command}"
      >>${RETFILEFULL} echo 'rm ${RETFILEFULL:-/tmp/'${RETFILE}'}'
      >>${RETFILEFULL} echo '\n}\n'
      su ${3} -c "${RCP_COMM} ${RETFILEFULL} ${3}:/tmp/${RETFILE}" >/dev/null 2>&1
      ${REM_COMM} ${3} -l ${MYSIDADM} -n "sh -c \". /tmp/${RETFILE}; ${fname}\""|logpipe
    else
      eval "${command}"|logpipe
    fi
  done
  fi
}


########################################################################
#
# Example function: stop_other_inst
#
# Stop instances on the failover node to free up resources.
# Used to stop consolidation environments or development environments.
#
# Parameters:
#
# Remarks:
# Fills PIDLIST[]
#
########################################################################
function stop_other_inst
{
  typeset fname=stop_other_inst
  BLogMsg $*

  typeset inr=0
  typeset jnr

  while [ ${inr} -lt ${#ASSID[@]} ]
  do
    #
    # skip instances that are not configured for shutdown
    #
    if [ `(treatment_test ${inr} ${STOP_IF_LOCAL_AFTER_FAILOVER} 1>/dev/null 2>&1;echo $?)` -eq 0 ]; then
      (( inr = $inr + 1 ))
      continue
    fi

    typeset instreloc=${ASHOST[${inr}]}

    if [[ "X${ASSID[${inr}]}" != "X${SAPSYSTEMNAME}" && \
          ( "X${ASHOST[${inr}]}" != "X" ) && \
          ( `(is_ip_local ${instreloc} 1>/dev/null 2>&1;echo $?)` -eq 1 ) ]]; then

      #
      # test, if instance is actually running locally
      # i.e. test if process list contains SAP processes
      #
      set_environment ${ASNAME[${inr}]} ${ASNR[${inr}]} ${ASHOST[${inr}]} ${ASSID[${inr}]}
      test_proc_opt sapstart ${MYSTARTPROFILE}
      if [ $? -ne 0 ]; then
        LogMsg "Instance ${ASNAME[${inr}]}${ASNR[${inr}]} of ${ASSID[${inr}]} (admin: ${MYSIDADM}) not running"
        #
        # no stop_app is called, so shmem cleanup might be pending
        #
        clean_ipc  ${ASNAME[${inr}]} ${ASNR[${inr}]} ${MYSIDADM}
        (( inr = ${inr} + 1 ))
        continue
      fi

      #
      # stop local online backups
      #
      kill_backup ${ASSID[${inr}]}

      LogMsg "Initiate stopping of instance ${ASNAME[${inr}]}${ASNR[${inr}]} of ${ASSID[${inr}]}"

      stop_app ${ASHOST[${inr}]} ${ASNR[${inr}]} "${MYSIDADM}" ${HPLAT} all ${ASNAME[${inr}]} ${ASSID[${inr}]} ${SGeSAP_SAPSTARTSRV_STOP:-0} &
      PIDLIST[${inr}]=$!

    fi
    (( inr = ${inr} + 1 ))
  done
  PIDLIST[${inr}]=-1
  wait_pidlist
}


#########################################################################
#
# Function: wait_pidlist
#
# Waits for a number of processes to terminate,e.g.
# waits until all AppServers are started / stopped.
# A background process is used to terminate the processes if they
# take too long. This functions needs the
# PIDLIST[] array to be filled previously by stop_own_app,
# stop_other_inst or a similar function.
#
# Parameters:
#
# Remark:
# Needs PIDLIST[*]    array of process ids to be handled
#
#########################################################################
function wait_pidlist
{
  typeset fname=wait_pidlist
  BLogMsg $*

  typeset T=0
  list=`echo ${PIDLIST[*]}|sed 's/ 0/ /g'|sed 's/-1//'|sed 's/^0 //'`
  (sleep ${PWATCHDOG_TIMEOUT}; kill -9 ${list}) 1>/dev/null 2>&1 &

  typeset WDPID=$!

  # Linux: remove from the table of active jobs with bash disown
  # command. this avoids the ugly "Terminated ...." messages
  [[ $LX -eq 1 ]] && disown $WDPID

  LogMsg2 2 "Forked the wait_pidlist background shell. PID: ${WDPID}"
  LogMsg2 3 "PIDLIST: ${PIDLIST[*]}"

  while [ . ];
  do
    if [ ${PIDLIST[$T]} -eq -1 ]; then
      break
    elif  [[  ${PIDLIST[$T]} -eq 0 ]]; then
      :
    elif  [[ "X${PIDLIST[$T]}" = "X" ]]; then
      ErrLogMsg "PIDLIST corrupted"
    else
      LogMsg "PIDlist watchdog initiated (for PIDlist entry: ${PIDLIST[$T]})"
      wait ${PIDLIST[$T]} 2>/dev/null
    fi
    (( T = $T + 1 ))
  done

  if [ `ps -p ${WDPID}|wc -l` -eq 2 ]; then
    kill ${WDPID} 1>/dev/null 2>&1 # kill the background shell (sleep command survives)
    LogMsg2 2 "Stopped the wait_pidlist background shell. PID: ${WDPID}"
  else
    WrnLogMsg "Timeout occured for PIDlist watchdog"
  fi
}

#########################################################################
#
# Function: ps_tree
#
# Print PID, children PIDS and children of children PIDs for given pid $@.
# Recursive traversal.
#
# Parameters:
#
# $@          PID
#
# Example:
#  CPIDS="`ps_tree ${1}`"
#  LogMsg "PID=[${1}]; children pids, children of children pids: CPIDS=[${CPIDS}]"
#########################################################################
function ps_tree
{
  local _pid
  local _child
  for _pid in $@; do
    for _child in $(pgrep -P ${_pid}); do
        ps_tree ${_child}
    done
    echo "${_pid}"
  done
}

#########################################################################
#
# Function: watchdog
#
# Creates a background process that monitors a PID and kills
# it if it is not finished within ${WATCHDOG_TIMEOUT} seconds.
#
#
# Parameters:
# $1          PID to be monitored
#             PID is considered to be the PID of the leader of a
#             process group. Negative value of the PID is used to kill
#             the whole group
# $2          $WDD: watchdog timeout value
# $3          $silent: enable silent mode (if set to 1 then stay silent,
#             if set to 0 then print output)
# $4          $quickproc_rc_remap: for short living processes, it can happen
#             that this process finishes before the watchdog itself is
#             done with initializing. In this case the watchdog call
#             "wait $pid" returns error rc=127. If $quickproc_rc_remap
#             is enabled, remap rc to 0 (= process didn't timeout)
#
# Note: event if $silent==0 (e.g. don't be silent and print output) -
# prints only occur if watchdog timer $WDD >= 6 seconds. Nothing gets
# printed for processes with short exectuion times. Info: this feature
# is used by ensmon cmd in ensmon_check() and test -d in check_access().
#
########################################################################
function watchdog
{
  typeset fname=watchdog
  typeset WDD=${2:-${WATCHDOG_TIMEOUT}}
  typeset silent=${3:-0}
  typeset quickproc_rc_remap=${4:-0}
  typeset returncode=0

  typeset WDPID  #PID of watchdog

  #
  # for non-interactive shells background processes aren't in a own
  # process group.
  #
  # verify that pgid = pid with command below (2nd == 4th)
  # ps -p $1 -o user,pid,ppid,pgid | tail -1
  set -m

  pp=`${UNIX95} ps -o ppid -p ${1}|tail -1`

  # start a watchdog process
  if [[ $UX -eq 1 ]]; then

    # CAUTION: pp might be "PPID" on HP-UX
    if [ ${pp} = PPID ]; then
      return 0
    elif [ ${pp} -le 1 -o ${pp} -eq $$ ]; then
      pp=${1}
    fi

    #
    # watch...
    #
    # be impatient:
    # use negative PID to ultimately kill process group
    # first kill requires explicit signal parameter (in that case '15' or 'TERM'),
    #
    # otherwise the negative PID would be interpreted as the signal
    (sleep ${WDD}; kill -15 -${1} && (sleep 5; kill -9 -${1} && (sleep 5; kill -9 ${pp}; WrnLogMsg "Watchdog reports process hang for (${1})"))) >/dev/null 2>&1 &
    WDPID=$!
  else
    # Linux: init watchdog cleanup process: $KPIDS contains list of pids to kill -
    # all direct children and the parent ${1} itself
    (sleep ${WDD}; KPIDS="$(ps_tree ${1})"; kill -9 ${KPIDS} 2>/dev/null)  &
    WDPID=$!

    # Linux: remove from the table of active jobs with bash disown
    # command. this avoids the "Terminated ...." messages
    # It won't avoid such messages for "prematurely" exited processes.
    disown $WDPID
  fi

  if [ ${WDD} -gt 5 -a "${silent}" -ne 1 ]; then
    LogMsg2 5 "Watchdog initiated (PIDs: ${WDPID} for ${1}/${pp} - Timeout: ${WDD} secs)"
  fi

  wait ${1} 2>/dev/null
  returncode=$?

  ## stop the watchdog process
  if [[ $UX -eq 1 ]]; then
    if [[ ${returncode} -gt 127 ]]; then
      [ ${DBG} -gt 0 ] && LogMsg "Allowing watchdog-cleanup to complete"
      sleep 11
    fi
    kill ${WDPID} >/dev/null 2>&1
  else
    # on Linux a shell was forked and watchdog is running as a child of it.
    # $WDPIDS contain parent shell and watchdog child pids
    WDPIDS="$(pgrep -P ${WDPID}) ${WDPID}"
    kill -9 ${WDPIDS}  >/dev/null 2>&1
  fi


  if [ ${WDD} -gt 5 -a "${silent}" -ne 1 ]; then
    LogMsg "wait for PID ${1} returns ${returncode}"
  fi

  case ${returncode} in
  127)
    #
    # sometimes, the original process finished before the watchdog
    # was initialized; that's not an error, so the returncode needs correction
    # (in which case the original returncode is lost anyway, so we really don't
    #  know if the process was successful or not)
    #
    if [ "X${quickproc_rc_remap}" != "X1" ]; then
      returncode=0
    fi
  ;;

  144)
    if [ ${WDD} -gt 5 -a "${silent}" -ne 1 ]; then
      WrnLogMsg "Program hang detected for PID ${1}"
    fi
  ;;

  *)
    if [ ${WDD} -gt 5 -a "${silent}" -ne 1 ]; then
      if [ ${returncode} -gt 127 ]; then
        WrnLogMsg "Timeout occured for PID ${1}"
      fi
    fi
  ;;
  esac
  return ${returncode}
}

#########################################################################
#
# Function: stop_db
#
# Stop database on local host - vendor independent part.
#
# Parameters:
#
#########################################################################
function stop_db
{
  typeset fname=stop_db
  BLogMsg $*

  typeset sapstopscript=""

  LogMsg "Halting database (try SAP mechanism first)..."

  #
  # choose script
  #
  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" stopdb
  sapstopscript=${LOCATION}
  # if ABAP profiles ${SAPSYSTEMNAME}_[AD]* don't exist - this indicates a J2EE configuration
  if [[ -z ${OWNER} ]] || ! ls ${USRSAPDIR}/${SAPSYSTEMNAME}/SYS/profile/${SAPSYSTEMNAME}_[AD]* >/dev/null 2>&1 ; then
    find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" stopj2eedb
    if [[ $? -eq 0 ]]; then
      # J2EE stop, logfile name depends on DB!
      typeset LF_ORACLE="stopdb.log"
      typeset LF_MAXDB="stopj2eedb.log"
      typeset LF_DB2="stopdbj2eedb.log"
      typeset LF_SYBASE="stopdb.log"  # preliminary - maybe in different directory anyway
      sapstopscript=${LOCATION}
      LogMsg "Picking SAP JAVA-only (j2ee) script"
      # adapt logfile variable for j2ee db, remove "stopdb.log" at the end (if there)
      # and replace by DB specific naming
      if [ "${LOGFILE_STOPDB}" != "${LOGFILE_STOPDB%stopdb.log}" ]; then
        LOGFILE_STOPDB="${LOGFILE_STOPDB%stopdb.log}`eval echo \\${LF_${DB}}`"
      fi
    fi
  fi

  if [ -n "${sapstopscript}" ]; then
    LogMsg "Database shutdown log is written to ${LOGFILE_STOPDB}"
    ${SU_COMM} - ${OWNER} -c "touch ${LOGFILE_STOPDB}; ${sapstopscript:-stopdb}" >/dev/null 2>&1 &
    watchdog $!
    returncode=$?
    case $returncode in
      0) echo " Database stopped " >> ${LOGFILE_STOPDB}
        LogMsg "Database stopped successfully"
      ;;
      1) echo " Database was not running " >> ${LOGFILE_STOPDB}
        LogMsg "Database was not running"
        returncode=0
      ;;
      *) echo " Database shutdown failed!\n" >> ${LOGFILE_STOPDB}
        ErrLogMsg "Database shutdown failed"
        LogMsg "******* Included database logfile follows **********"
        cat ${LOGFILE_STOPDB}
        LogMsg "******* End of included database logfile  **********"
    esac
  else
    WrnLogMsg "SAP database stop scripts not found"
    returncode=126
  fi

  return ${returncode}
}


#########################################################################
#
# Function: stop_saposcol
#
# Stop saposcol (that's it). It may be started implicitly
# with the instance during startup. Only SAP instances are detected
# by this function.
#
# Parameters:
# $1          name of the instance
# $2          instance number
# $3          virtual hostname
#
#########################################################################
function stop_saposcol
{
  typeset fname=stop_saposcol
  BLogMsg $*

  set_environment $1 $2 $3 ${SAPSYSTEMNAME}
  find_sap_binary ${1} ${2} ${3} ${SAPSYSTEMNAME} saposcol
  if [ $? -eq 1 ]; then
    WrnLogMsg "Cannot find saposcol binary - no stop attempt"
    return 0
  fi

  #
  # search for an instance
  #
  test_proc_prefix "dw.sap"
  sum=$?
  test_proc_prefix "${ENQ_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${REP_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${GW_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${JC_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${WD_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${MDS_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${MDIS_PREFIX}.sap"
  (( sum = $sum + $? ))
  test_proc_prefix "${MDSS_PREFIX}.sap"
  (( sum = $sum + $? ))
  if [ ${sum} -ge 9 ]; then
    LogMsg "Stopping saposcol"
    su - ${OWNER} -c "${LOCATION:-saposcol} -k" 2>&1 1>/dev/null|grep -v "Not a terminal"|grep -v "Not a typewriter"|grep -e '[:alnum:]'|logpipe
  else
    LogMsg "Skip stopping of saposcol - different instance detected"
  fi
}


#########################################################################
#
# Function: sync_db
#
# This function prevents problems when a host fails on which DB and
# SAP instance packages are running at the same time.
#
# Parameters:
# $1   type (CI,D,...)
#
#########################################################################
function sync_db
{
  typeset fname=sync_db
  BLogMsg $*

  typeset -i rc
  typeset -i rc2

  #
  # execute only once per module
  #
  if [ ${SYNCDB} -eq 0 ]; then
    SYNCDB=1
  else
    return 0
  fi

  if [[ ( "X${1}" = "XCI" ) &&  ( "X${CINAME}" = "XASCS" ) ]]; then
    return 0
  fi

  # no sync/stabilize need if MDM and DB instance are in the same package
  if [[ ( "X${1}" = "XMDM" ) && ( "X${SGeSAP_DB_SYSTEM}" != "X" ) ]]; then
    return 0
  fi

  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" R3trans
  if [ $? -eq 0 ]; then
    rc2=0
    LogMsg "Trying to connect to database using ${LOCATION:-R3trans}"
    su - ${MYSIDADM} -c "eval ${LOCATION:-R3trans} -d -w /dev/null" >/dev/null 2>&1 &
    watchdog $!
    rc=$?
  else
    #
    # R3trans might be missing in JAVA-only installations
    rc=1
    rc2=1
    LogMsg "No R3trans available for connection test"
  fi

  if [ $rc -ne 0 ]; then
    # try startsap -check (similar to syb_db_up)
    LogMsg "R3trans connection test failed"
    find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" startsap
    if [ $? -eq 0 ]; then
      typeset vhostlist=""
      typeset profiledir=${SAPMNTDIR}/${SAPSYSTEMNAME}/profile
      typeset DB_CCU="${LOCATION} -check"
      # checkdiraccess ${profiledir}  -- done in init_cdir()
      for vhost in $(ls ${profiledir} 2>/dev/null | grep -E '^'${SAPSYSTEMNAME}'_[0-9A-Za-z]+_[0-9A-Za-z-]+$' | \
        grep -v $HNAME | cut -f 3 -d _ | sort | uniq) ; do
           vhostlist="$vhostlist $vhost";
      done
      # LogMsg2 5 "vhost list used: $vhostlist"
      [ -n "$vhostlist" ] && DB_CCU="${DB_CCU} -vhost \\\"${vhostlist}\\\""
      LogMsg "Trying to connect to database using ${DB_CCU}"
      # WVE: eval below??
      su - ${MYSIDADM} -c "eval ${DB_CCU}" 2>&1 | grep -E 'Database is running$' >/dev/null &
      watchdog $! ${WATCHDOG_TIMEOUT}
      rc=$?
    else
      # startsap not found
      rc=1
      rc2=1
      LogMsg "No startsap available for connection test"
    fi
  fi

  if [ ${rc} -eq 0 ]; then
    LogMsg "Database up and running"
  else
    LogMsg "No connection to database verified yet"
    detect_packages
    if [ -n "${DB_PKG}" ]; then
      #
      # DB handled by SGeSAP in the same cluster
      #
      typeset count=1
      while [ ${count} -le ${DELAY_INTERVALS} ]; do
        if [ `${SGSBIN}/cmviewcl -f line -l package -p ${DB_PKG}|grep -e state=halt_aborted -e state=failed -e state=unknown -e state=halted -e state=maintenance -e state=detached -e state=running|wc -l` -eq 0 ]; then
          #
          # block timeout for HANA startup
          # because HANA startup times can vary a lot
          #
          if [ ${count} -eq ${DELAY_INTERVALS} ]; then
            if [ ${ISHDB} -eq 1 ]; then
              sleep 120
              LogMsg "Waiting 120 secs for database package [${DB_PKG}] to stabilize"
              continue
            fi
          fi
          (( seconds = $count * 10 ));
          if [ ${seconds} -gt 60 ]; then
            seconds=60
          fi
          LogMsg "Waiting ${seconds} secs for database package [${DB_PKG}] to stabilize"
          sleep ${seconds}
          (( count = $count + 1 ));
        else
          LogMsg "Database package [${DB_PKG}] is in a stable state"
          sleep 3 # [A]SCS sync delay
          return 0
        fi
      done
      LogMsg "Giving up database wait"
    else
      #
      # DB handled by unknown mechanism
      #
      WrnLogMsg "The database is not found in a different SGeSAP package of the cluster"
      WrnLogMsg "The current database state is uncertain"
      typeset count=1
      if [ ${rc2} -eq 0 ]; then
        find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" R3trans
        while [ ${count} -le ${DELAY_INTERVALS} ]; do
          LogMsg "Trying to connect to database using ${LOCATION:-R3trans}"
          su - ${MYSIDADM} -c "eval ${LOCATION:-R3trans} -d -w /dev/null" >/dev/null 2>&1 &
          watchdog $!
          rc=$?
          if [ ${rc} -ne 0 -a -n "${DB_CCU}" ]; then
            LogMsg "Trying to connect to database using ${DB_CCU}"
            su - ${MYSIDADM} -c "eval ${DB_CCU}" 2>&1 | grep -E 'Database is running$' >/dev/null &
            watchdog $! ${WATCHDOG_TIMEOUT}
            rc=$?
          fi
          if [ ${rc} -eq 0 ]; then
            LogMsg "Database up and running"
            sleep 3 # [A]SCS sync delay
            return 0
          else
            (( seconds = $count * 10 ));
            if [ ${seconds} -ge 60 ]; then
              seconds=60
            fi
            LogMsg "Waiting ${seconds} secs for database to start up"
            sleep ${seconds}
            (( count = $count + 1 ));
          fi
        done
      fi
      LogMsg "Giving up database wait"
    fi
  fi
}

#########################################################################
#
# Function: decide_role
#
# entering demotion phase: when a secondary SG package gets started on a
# HANA system that is configured as a primary (for example the role
# reversal of HANA instances) sanity check that the primary package is
# running in the cluster before allowing the demotion phase.
# This prevents the accidential demotion of primary instance to a
# secondary instance
#
# History: Previous calls in hdbinstance.sh returned the following states:
# 1) check_replication returns this is not a secondary instance
#    e.g. HANA global.ini identifies this is a primary instance
# 2) package itself doesn't have a primary module configured:
#    so this is the secondary package
# => trigger demotion phase: call decide_role(). check there is an active
# primary package on another node before converting everything into a
# secondary HANA configuration
#
# if primary package is in a down/halted state wait/loop a max of
# DECIDE_ROLE_RETRY times (e.g. approx count*60 seconds= 5mins)
# for package to leave down/halted state.
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
#
#########################################################################
function decide_role
{
  typeset fname=decide_role
  BLogMsg $*

  typeset -i rc
  typeset -i rc2
  typeset state

  sleep 1

  if [ -n "${PRIMARY_PKG}" ]; then
    #
    # Primary handled by SGeSAP in the same cluster
    #
    typeset count=1
    ########################################
    # wait for primary package to leave
    # halted state
    ########################################
    while [ ${count} -le ${DECIDE_ROLE_RETRY} ]; do

      ########################################
      # get state of primary package
      ########################################
      state=`${SGSBIN}/cmviewcl -f line -l package -p ${PRIMARY_PKG}|grep -e ^state=|head -1`
      LogMsg "Primary package state check: [$state]"

      if [ ${HDBSCALEOUT} -eq 0 ]; then
        if echo $state|grep -e start_wait > /dev/null ; then
          WrnLogMsg "Package with primary instance waits to become started"
          LogMsg "Service monitor restart routine will handle secondary instance start."
          return ${ERROR}
        fi
        # after a cluster start it can happen primary gets started on
        # orig secondary site. the primary package then will exit 1
        # and package state  will be changed to relocate_wait (e.g. it
        # is waiting for this secondary package to stop so it can failover).
        # therefore exit the secondary.
        if echo $state|grep relocate_wait > /dev/null ; then
          WrnLogMsg "Package with primary instance requests to become relocated."
          # if cluster start then schedule switching enable for later use
          reenable_node
          return ${ERROR}
        fi
      fi

      ########################################
      # state of primary package is up/running
      # (detached/maintenance is equal to running)
      # demote instance to secondary
      ########################################
      if [ `echo $state|grep -e running -e detached -e maintenance|wc -l` -ne 0 ]; then
        LogMsg "Primary package ${PRIMARY_PKG} is up and stable elsewhere."
        LogMsg "Making sure instance is stopped before local role reversal..."
        if [ ${HDBSCALEOUT} -eq 0 ]; then
          ### stop scaleup
          stop_hdb ${1} ${2} ${3}
        else
        ### stop scaleout
          start_sapstartsrv ${1} ${2} ${HNAME} ${3}
          find_sap_binary ${1} ${2} ${HNAME} ${3} sapcontrol
          if [[ $? -eq 0 ]]; then
            LogMsg "Shutdown attempt: su - ${MYSIDADM} -c \"${LOCATION:-sapcontrol} -nr ${2} -function StopSystem\""
            #LogMsg "Waiting for sapcontrol StopSystem command to finish"
            typeset i=0
            typeset rc=0
            while [ ${i} -lt ${STOPSYSTEM_TIMEOUT} ]; do
              su - ${MYSIDADM} -c "${LOCATION:-sapcontrol} -nr ${2} -function StopSystem" 2>/dev/null
              landscape_get_hostactive ${1} ${2} ${3}
              rc=$?
              if [ ${rc} -eq 0 ]; then
                LogMsg "sapcontrol StopSystem finished"
                break
              else
                DbgLogMsg "sapcontrol StopSystem in progress"
              fi
              (( i = ${i} + ${STOPSYSTEM_SLEEP_INTERVAL} ))
              sleep ${STOPSYSTEM_SLEEP_INTERVAL}
            done
          else
            LogMsg "Couldn't find sapcontrol for StopSystem"
          fi
        fi

        demote2secondary  ${1} ${2} ${3} ${4}
        return $?
      fi

      ########################################
      # state of primary package is down/halted
      # loop count times waiting for primary
      # package to start
      ########################################
      if [ `echo $state|grep -e halt_aborted -e failed -e unknown -e halted|wc -l` -ne 0 ]; then
        ErrLogMsg "Primary package ${PRIMARY_PKG} is down and stable."
        sleep 2 # sync delay
        return ${ERROR}
      else
        (( seconds = $count * 10 ));
        if [ ${seconds} -ge 60 ]; then
          seconds=60
        fi

        LogMsg "Waiting ${seconds} secs for primary package [${PRIMARY_PKG}] to stabilize."
        sleep ${seconds}
        (( count = $count + 1 ));
      fi

    done
    ########################################
    # state couldn't be determined within
    # the count loop
    ########################################
    ErrLogMsg "Giving up wait for package ${PRIMARY_PKG} with primary instance."
    return ${ERROR}
  else
    #
    # Primary handled by unknown mechanism
    #
    ErrLogMsg "The primary instance is not found in any SGeSAP package."
    return ${ERROR}
  fi
}


#########################################################################
#
# Function: sync_hdb
#
# This function prevents problems when primary package starts on
# node with primary instance and secondary package starts on node
# with secondary instance at the same time.
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
#
#########################################################################
function sync_hdb
{
  typeset fname=sync_hdb
  BLogMsg $*

  typeset state

  if [ -z "${PRIMARY_PKG}" ]; then
    WrnLogMsg "The primary instance is not found in another SGeSAP package."
    return 0 # try your best...
  fi

  # For a primary with fullsync configured do everything in a seperate routine
  ${SGSBIN}/cmviewcl  -v -f line -p $PRIMARY_PKG -s config|grep "hdb_init_into_fullsync=yes" > /dev/null
  if [[ $? -eq 0 ]]; then
    LogMsg "Primary package has package hdb_init_into_fullsync=yes configured"
    sync_hdb_fullsync
    rc=$?
    return $rc
  fi

    #
    # Primary handled by SGeSAP in the same cluster
    #
    typeset count=1
    while [ ${count} -le ${DECIDE_ROLE_RETRY} ]; do
      status=`${SGSBIN}/cmviewcl -f line -l package -p ${PRIMARY_PKG}|grep -e ^status=|cut -f 2 -d =|head -1`
      LogMsg "Primary package [${PRIMARY_PKG}] status check: [${status}]"
      case ${status} in
        "up")
          LogMsg "Primary package ${PRIMARY_PKG} status is stable."
          sleep 5 # sync delay
          return 0
        ;;
        "down"|"partially_down"|"detached")
          LogMsg "Primary package ${PRIMARY_PKG} status is stable."
          WrnLogMsg "If primary instance is not running, the secondary instance might not start"
          return 0 # try anyways
        ;;
        "start_wait")
          if [ ${HDBSCALEOUT} -eq 0 ]; then
            WrnLogMsg "Package with primary waits to get started."
            # LogMsg "Service monitor restart routine will handle secondary instance start."
            return ${ERROR}
          fi
        ;;
        "relocate_wait")
          if [ ${HDBSCALEOUT} -eq 0 ]; then
            WrnLogMsg "Package with primary instance requests to become relocated."
            # don't reenable!  avoid "package ping-pong"
            # reenable_node
            return ${ERROR}
          fi
        ;;
        *)
          (( seconds = $count * 10 ))
          if [ ${seconds} -ge 60 ]; then
            seconds=60
          fi
          LogMsg "Waiting ${seconds} secs for primary package [${PRIMARY_PKG}, ${status}] to stabilize."
          sleep ${seconds}
          (( count = $count + 1 ))
         ;;
      esac
    done
    WrnLogMsg "Giving up wait for package with primary instance."
    return 1
}


#########################################################################
#
# Function: sync_hdb_fullsync
#
# For a fullsync secondary we will start if primary is running or wait until primary
# is in starting/changing state before starting
#
# Parameters:
#
#########################################################################

function sync_hdb_fullsync
{
  typeset fname="sync_hdb_fullsync"
  BLogMsg $*

  typeset state
  typeset count=1

  while [ ${count} -le ${DECIDE_ROLE_RETRY} ]; do

    # get the state of the primary package
    state=`${SGSBIN}/cmviewcl -f line -l package -p ${PRIMARY_PKG}|grep -e ^state=|head -1`
    LogMsg "Primary package [${PRIMARY_PKG}] state check: [$state]"

    # role-reveral: primary is waiting for secondary to exit - so do that
    if echo $state|grep start_wait > /dev/null ; then
      if [ ${HDBSCALEOUT} -eq 0 ]; then
        WrnLogMsg "Package with primary waits to get started."
        WrnLogMsg "Service monitor restart routine will handle secondary instance start."
        return 1
  fi
  fi

    # if primary package is starting/running - check if secondary can start
    if [ `echo $state|grep -e running -e detached -e maintenance -e starting -e changing|wc -l` -ne 0 ]; then
      DbgLogMsg "Primary package ${PRIMARY_PKG} is active"
      typeset node=""

      # for any cluster node starting the package - check if hana is running/starting.
      # this is the case if rc for landscapeHostConfiguration.py -ge 2
      for node in `${SGSBIN}/cmviewcl -v -f line -p ${PRIMARY_PKG} | awk -F "[|:]" '/^node:.*\|status=(starting|up)/{ print $2}'`; do
        DbgLogMsg "node=[$node]"
        getLandscapeHostactive ${node} $CMDTIMEOUT
        rc=$?
        if [[ $rc -ge 2 ]]; then
          LogMsg "Primary instance on node[$node] rc=[$rc] is ready for secondary (fullsync) start"
          return 0
        else
          LogMsg "Primary instance on node[$node] rc=[$rc] not ready for secondary (fullsync) start"
        fi
      done
    fi

    (( seconds = $count * 10 ));
    if [ ${seconds} -ge 60 ]; then
      seconds=60
    fi

    LogMsg "Waiting ${seconds} secs for primary package [${PRIMARY_PKG}] to stabilize."
    sleep ${seconds}
    (( count = $count + 1 ));

  done
  WrnLogMsg "Giving up wait for package ${PRIMARY_PKG} with primary instance."
  return 1
}

############################################################################
# Function: getLandscapeHostactive
#
# determine if HANA is in starting phase by checking rc of landscapeHostConfiguration.py
#
# Parameter:
#   node    remote cluster node where to run landscapeHostConfiguration.py on
#   timeout to timeout the cmexex command
#########################################################################
function getLandscapeHostactive
{
  typeset fname=getLandscapeHostactive
   [[ ${DBG} -gt 0 ]] && BLogMsg $*

  typeset node=$1
  typeset timeout=$2
  typeset rc

  typeset landscapecmd="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/${HDBNAME}${HDBNR}/exe/python_support/landscapeHostConfiguration.py"
  typeset cmd="su - $MYSIDADM -c \\\"python $landscapecmd\\\""
  typeset cmexeccmd="${SGSBIN}/cmexec  $node -t $timeout \"$cmd\" 2>&1"
  LogMsg "$cmexeccmd"

  out=$(eval $cmexeccmd)
  rc=$?
  DbgLogMsg "${out}"

  # if [[ $rc -eq 2 || $rc -eq 4 || $rc -eq 3 ]];then
  typeset hostactive=$(echo "$out"|awk '/'${node}'.*| (starting|yes) / {print $4}')
  if [[ $hostactive == "yes" || $hostactive == "starting" ]];then
    LogMsg "Success: cmd returned rc=[${rc}] hostactive=[$hostactive] on node=[$node]"
  else
    if [[  ${DBG} -gt 0 ]]; then
      LogMsg "_________________ START CMD OUTPUT _______________________"
      echo "${out}"
      LogMsg "_________________ END CMD OUTPUT _________________________"
      LogMsg "Failure: cmd returned rc=[${rc}] hostactive=[$hostactive] on node=[$node]"
    fi
  fi
  return $rc
}

############################################################################
# Function: RemoteFullsyncCheck
# now contact primary. determine if it is a fullsync configuration by reading
# global.ini
#
# Parameter:
#   node is remote cluster node to read global.ini
#########################################################################
function RemoteFullsyncCheck
{
  typeset fname="RemoteFullsyncCheck"
  BLogMsg $*

  typeset node=$1
  typeset inifname=${GLOBALINI}
  typeset remote_enable_full_sync=$(${SGSBIN}/cmexec $node cat $inifname | read_ini_config STDIN  system_replication enable_full_sync)
  LogMsg "rc=[$?] remote_enable_full_sync=[$remote_enable_full_sync]"

  if [[ "$remote_enable_full_sync" == "true" ]]; then
    LogMsg "Attention: found global.ini[system_replication]enable_full_sync=true"
    LogMsg "on remote node=[$node]. Will skip sr_register as a seondary"
    return $ERROR
  fi
  ############################################################################
}


########################################################################
#
# Function: reenable_node
#
# Purpose: re-enable nodes of primary/secondary package that got
#          disabled duing package relocation after initial start
#
########################################################################
function reenable_node
{
  typeset fname=reenable_node
  BLogMsg $*

  if [[ ${SAFESYNC} -eq 0 ]]; then
    LogMsg "Set up delayed node switching re-enablement"

    (
      while [ . ]; do
        sleep 20
        ${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e ^node:|grep -e state=running -e state=halted -e state=failed -e state=halt_aborted >/dev/null
        [ $? -eq 0 ] && break
      done
      ${SGSBIN}/cmmodpkg -e -n ${HNAME} ${SG_PACKAGE_NAME}
      if [ $? -eq 0 ]; then
        LogMsg "Re-enabled local node for switching of relocated package ${SG_PACKAGE_NAME}"
      else
        WrnLogMsg "Failed to re-enable local node for switching of relocated package ${SG_PACKAGE_NAME}"
      fi
    ) &
  fi
  return 0
}


#########################################################################
#
# Function: register_productionstart
#
# log completion of primary startup by creating a flagfile with timestamp
# of start. timestamp will become important when the complete cluster is
# restarted. the timestamp will help to determine which node/site last
# ran the primary.
# Example of a double primary: SiteA has a hardware error. Primary fails
# over to siteB. SiteB fails too. Cluster is stopped. Both nodes get fixed.
# After a cluster start two primaries will be found. A flagfile containing
# last primary start time will be used to determine newest primary
#
# for SU only primary and for SO only primary and node running master
# nameserver allowed to update flagfile with timestamp.
#
#########################################################################
function register_productionstart
{
  typeset fname=register_productionstart
  BLogMsg $*

  if [[ ${HDBPRIMARY} -eq 1 ]]; then
    if [[ ${HDBSCALEOUT} -eq 1 ]]; then
      SO_get_active_master_name_server
      if [[ "X${ACTIVE_MASTER_NAME_SERVER}" != "X${HNAME}" ]]; then
        return
      fi
      if [[ $SAFESYNC -eq 0 ]]; then # not available without safesync ...
        return
      fi
    fi
    LogMsg "Saving a production start timestamp..."
    date +%s > ${HDBMON_PRODUCTION_START_FILE}
    [[ $? -ne 0 ]] && WrnLogMsg "Couldn't save primary production start in file=[${HDBMON_PRODUCTION_START_FILE}]"
  fi
}


#########################################################################
#
# Function: check_debug
#
#
# This function checks if the file $STARTUP_R3 exists.
# If yes sap specific functions will not be started,
# if not sap specific functions will be started.
# If file $STARTUP_R3 exists, no sap specific functions for any package
# will be started.
# This is useful to have all disks an relocatable IP-Adresses
# available on the system and to be able to start R3 manually.
#
# NOTE: SubFunction needed for version compatibility reasons!
#
# Parameters:
#
#########################################################################
function check_debug
{
  typeset fname=check_debug
  BLogMsg $*
  typeset pre_exit_actions="$1"

  _check_debug ${STARTUP_R3}
  if [ $? -eq 1 ]; then
    if [ "X$op_code" != "Xstop" ]; then
      if [ -n "$pre_exit_actions" ]; then
        eval "$pre_exit_actions"
      fi
      WrnLogMsg "Debug mode: Skipping SAP specific runtime steps"
      exit 0
    fi
  fi
  return 0
}


#########################################################################
#
# Function: exists_apiflagfile
#
# Checks if a certain type of flagfile(s) (_stopped or _started) exists.
#
# Parameters:
# $1 INSTNAME
# $2 INSTNR
# $3 SAPSID
# $4 flagfile postfix ("stopped"|"started")
#
# Return codes:
# 0 - type of flagfile exists
# 1 - doesnt
#
#########################################################################
function exists_apiflagfile {
  if [[ (-d ${APIDIR}/sgesap_${3}_${1}${2}_${4}) || \
       (-d ${USRSAPDIR}/${3}/${1}${2}/work/.sgesap_${3}_${1}${2}_${4}) || \
       (-d ${USRSAPDIR}/${3}/${1}${2}/${HNAME}/trace/.sgesap_${3}_${1}${2}_${3}) ]]; then
      # WVE: why not replacing the latter two with the usualy MYWORKDIR path?
      return 0
  fi
  return 1
}

#########################################################################
#
# Function: rm_apiflagfile
#
# remove certain/obsolete API flagfies (directories)
#
# Parameters:
# $1 INSTNAME
# $2 INSTNR
# $3 SAPSID
# $4 flagfile postfix ("stopped"/"started") - optional
#
# Return codes:
# - none -
#
#########################################################################
function rm_apiflagfile {

  if [ -z "$4" ]; then
    rm -r -f ${APIDIR}/sgesap_${3}_${1}${2}_stopped >/dev/null 2>&1
    rm -r -f ${MYWORKDIR}/.sgesap_${3}_${1}${2}_stopped >/dev/null 2>&1
    rm -r -f ${APIDIR}/sgesap_${3}_${1}${2}_started >/dev/null 2>&1
    rm -r -f ${MYWORKDIR}/.sgesap_${3}_${1}${2}_started >/dev/null 2>&1
  else
    rm -r -f ${APIDIR}/sgesap_${3}_${1}${2}_${4} >/dev/null 2>&1
    rm -r -f ${MYWORKDIR}/.sgesap_${3}_${1}${2}_${4} >/dev/null 2>&1
  fi

  return 0
}

#########################################################################
#
# Function: check_if_stopped
#
# Checks if a SAP instance was manually stopped while the package was
# running e.g. a "sapcontrol -nr xx -function Stop" command was run
# outside of SGeSAP. If so the SAP_HA_API creates a flag/directory
#   ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped
#
# Parameters:
#
# $1 INSTNAME
# $2 INSTNR
# $3 last result
#
# Return codes:
#
# 5-7  instance stop was manually triggered
# 4    instance should be stopped
# 1-3  instance start was manually triggered
# 0    instance should be running
#
#########################################################################
function check_if_stopped
{
  typeset fname=check_if_stopped

  [ ${DBG} -gt 1 ] && LogMsg "SAPSYSTEMNAME=${SAPSYSTEMNAME} instance=[${1}][${2}] LASTRESULT=[${3}]"

  typeset rc

  # if [[ (-d ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped) || \
  #      (-d ${USRSAPDIR}/${SAPSYSTEMNAME}/${1}${2}/work/.sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped) || \
  #      (-d ${USRSAPDIR}/${SAPSYSTEMNAME}/${1}${2}/${HNAME}/trace/.sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped) ]]; then
  if exists_apiflagfile $1 $2 ${SAPSYSTEMNAME} "stopped" ; then

    [ ${DBG} -gt 0 ] && LogMsg "Found flag/directory sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped"

    if [ ${3} -lt 4 ]; then
      LogMsg "Manual stop operation detected for ${1}${2}"
      sleep 20
      return 7
    fi
    if [ ${3} -eq 4 ]; then
      return 4
    fi
  else

    [ ${DBG} -gt 0 ] && LogMsg "No flag/directory sgesap_${SAPSYSTEMNAME}_${1}${2}_stopped"

    # assume started if either counter >=4 w/o a stopped flag file or started flag file exists
    if [ ${3} -ge 4 ] || exists_apiflagfile $1 $2 ${SAPSYSTEMNAME} "started"; then
      LogMsg "Manual start operation detected for ${1}${2}"
      sleep 20
      rm_apiflagfile $1 $2 ${SAPSYSTEMNAME} "started"
      return 3
    fi
    if [ ${3} -eq 1 ]; then
      LogMsg2 2 "Resume monitored operation of ${1}${2}"
    fi
    if [ ${3} -eq 0 ]; then
      return 0
    fi
  fi
  (( rc = $3 - 1 ))
  return $rc
}
#########################################################################
#
# Function: _check_debug
#
# Implements a simple debug mode detection using a "flag file".
#
# Parameters:
#
# $1 flag file name
#
# Examples HP-UX:
#   /var/adm/cmcluster/debug_$SGPACKAGE
#   /var/adm/cmcluster/$SID/debug_$SGPACKAGE
#   /opt/cmcluster/sap/SID/debug_$SGPACKAGE
# Example RH Linux:
#  /usr/local/cmcluster/run/debug_$SGPACKAGE
# Example SUSE Linux:
#  /opt/cmcluster/run/debug_$SGPACKAGE
#
#
#########################################################################
function _check_debug
{

  typeset fname=_check_debug

  if [[ (-f ${SGRUN}/${1}) \
     || (-f ${SGRUN}/${SAPSYSTEMNAME}/${1}) \
     || (-f $(dirname $0)/${1}) ]]; then

    # if this is the first time: report "SGeSAP debug flag file" was found
    if [ ${DEBUG_REPORTED} -eq 0 ]; then
      [ -f ${SGRUN}/${1} ]                     && LogMsg2 0 "Found debug flag file ${SGRUN}/${1}"
      [ -f ${SGRUN}/${SAPSYSTEMNAME}/${1} ]    && LogMsg2 0 "Found debug flag file ${SGRUN}/${SAPSYSTEMNAME}/${1}"
      [ -f $(dirname $0)/${1} ]                && LogMsg2 0 "Found debug flag file $(dirname $0)/${1}"
      DEBUG_REPORTED=1
    fi

    return 1

  else

    # if we currently are in debug mode and we previously
    # found a "SGeSAP debug flag file" then report state change:
    if [ ${debug} -eq 1 -a ${DEBUG_REPORTED} -eq 1 ]; then
      LogMsg2 0 "SGeSAP debug flag file was removed"
      DEBUG_REPORTED=0
    fi

    return 0

  fi
}

#########################################################################
#
# Function: file_is_in_pkgfs
#
# Check if a filename belongs to a filesystem enabled by the pacakge
#
# Parameters:
# $1 filename
#
# Implementation:
#   Loops through SG_FS_DIRECTORY array and selects the entry with the
#   longest prefix match
#
# Returns 0 on success, 1 otherwise
# The selected FS is written to the varialbe <TBD>
#
# Caveat:
# Doesn't follow links.
# Alternatives:
# (1) Using stat() (which does follow links) and comparing the device IDs.
#   Unfortunately, stat isn't available in the Posix shell.
# (2) use "df -V <filename>".
#   Returns: df <filesystem>
#    (but both may hang on stale NFS)
#
#########################################################################
function file_is_in_pkgfs
{
# placeholder
:
}


########################################################################
#
# Decide if package is in maintenance mode
#
# similar query as in pkg_is_modular,  however, to have the same behaviour
# as _check_debug it returns 1 if in maintenace
#
########################################################################
function pkg_is_in_maintenance
{
  ${SGSBIN}/cmviewcl -f line -p ${SG_PACKAGE} 2>/dev/null | grep "state=maintenance" >/dev/null 2>&1
  if [ $? -eq 0 ]; then
    return 1
  else
    #
    # HANA scale-out is in maintenance mode if the sitecontroller package is
    #
    detect_module sgesap/hdbdistinstance
    if [ $? -eq 0 ]; then
      typeset pkg
      for pkg in `${SGSBIN}/cmviewcl -f line -v -s config|grep sgesap/hdbsico/sico_hdb_system:${SAPSYSTEMNAME}'|'|cut -f 2 -d :|cut -f 1 -d '|'`; do
        if [ `${SGSBIN}/cmviewcl -f line -p ${pkg}|grep -e ^state=maintenance$|wc -l` -eq 1 ]; then
          return 1
        fi
      done
    fi
  fi
  return 0
}


#########################################################################
#
# To determine if the monitor should fail a package or not, a final check
# of the package state (is package in maintenance state or not) is run
# before the monitor itself exits. An exit of a monitor tells Serviceguard
# the package has failed and will trigger the failover of the package.
#
# Info: If a package is in "debug or maintenance state" health checking of
# the SAP components of the package is suspended e.g. in this state package
# monitoring is suspended, no failover will occur if the monitored SAP
# component fails or is not available.
#
# So the basic logic behind the monitoring loop:
#   while
#     a) if package is in maintenance(or debug) sleep monitor interval
#        and repeat step a)
#     b) check health of an SAP component
#     c) if b) reports failure - exit monitor thereby triggering failover
#     d) sleep monitor interval
#   done
#
# Now there is a small chance that in between step b) and the exit in step
# c) the following could happen:
#   1) the administrator issued a manual comand to change package state
#      to maintenance (or the admin set the SGeSAP debug flag)
#   2)  at the same time the check for health in b) reports a failure
# thereby causing a failover - even though package state in the mean time
# has changed to maintenance state. Functions guard_exit_in_maint
# and doublecheck_maint_state are used in trying to prevent this behaviour
#
#########################################################################
# check package isn't in maintenance mode (or SGeSAP debug mode) just
# before exiting. If it is -  postpone exit and continue in the main
# monitor loop
#
# The main loop looks like this:
#          guard_exit_in_maint 1
#           if [ $? -eq 1 ]; then continue; fi
# or shorter
#           guard_exit_in_maint 1; continue;
#########################################################################

function guard_exit_in_maint
{
  typeset fname=guard_exit_in_maint
#  BLogMsg $*

  typeset EXIT=$1

  #  ${GUARD_EXIT_IN_MAINT} param allows old/new behaviour
  if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then

    _check_debug ${STARTUP_R3} && pkg_is_in_maintenance # if not in debug, check maintenance
    if [ $? -eq 1 ]; then
      LogMsg2 0 "Attention: The exit guard found SGeSAP in debug/SG maintenance mode"
      LogMsg2 0 "Therefore postponing exit and continue in main monitor loop"
      return 1
    else
      timestamp_and_exit $EXIT
    fi

  else
    exit $EXIT
  fi
}

#########################################################################
# for livecache exit path is different for legacy or modular
#########################################################################
function lc_guard_exit_in_maint
{
  typeset ERROR=$1
        # liveCache support for legacy and modular in same monitor

        if [ ${LEGACY_PKG:-0} -eq 1 ]; then
          exit ${ERROR}
        else
          guard_exit_in_maint ${ERROR}
        fi
}
#########################################################################
# check package isn't in maintenance mode (or SGeSAP debug mode) before
# starting or restarting an SAP component thru an SGeSAP  monitor.
# If in maintenance mode return 1 else return 0
#########################################################################

function doublecheck_maint_state
{
  typeset fname=doublecheck_maint_state
#  BLogMsg $*

  # ${GUARD_EXIT_IN_MAINT} param allows old/new behaviour
  if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then

    _check_debug ${STARTUP_R3} && pkg_is_in_maintenance # if not in debug, check maintenance
    if [ $? -eq 1 ]; then
      LogMsg2 0 "Check found package in SGeSAP debug/SG maintenance state"
      LogMsg2 0 "Postponing any actions - continue in main monitor loop"
      return 1
    fi

  fi
  return 0
}


#########################################################################
#
# Function: start_app
#
# Generic function that starts an Application Server.
# Works locally or remote.
#
# Parameters:
# $1    hostname on which the instance should be started
# $2    instance number
# $3    SAP System Administrator of the instance
# $4    platform on which Application Server is installed
# $5    dedicates if database should also be started (values: r3 all)
# $6    cleanup commands
# $7    instance name of Application Server w/o ID (e.g. DVEBMGS or D)
# $8    sapstartsrv_start
#
#########################################################################
function start_app
{
  typeset fname="start_app $1 $2 $3"
  BLogMsg $4 $5 $6 $7 $8

  typeset instname=${1}
  typeset locstartlog
  typeset style=4

  if [ $# -gt 8 ]; then
    WrnLogMsg "Check parameter settings in SGeSAP configuration"
  fi

  typeset sid=`echo $3|cut -b -3|${TRLU}`

  is_ip_local ${1}
  if [ $? -eq 1 ]; then

    LogMsg "Startup attempt on local host..."

    ########################################
    #
    # local start of instance
    #
    ########################################
    set_environment $7 $2 ${instname} ${sid}
    typeset cleanup=${6}
    locstartlog="${MYHOMEDIR}/startsap_${7}${2}.log"                 # startsap log for WAS

    #
    # fallback strategy to enhance robustness
    #
    find_sap_binary $7 $2 ${instname} ${sid} sapcontrol              # startsap command for WAS >=7.00
    if [[ $? -eq 0 && ${8} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then
      typeset locstartcmd="${LOCATION} -nr ${2} -function StartWait ${WATCHDOG_TIMEOUT} 1"
      # Get sapstartsrv started on ext. instance (if required - usually already up and left running)
      # Use sapcontrol (requires entry in sapservices). Alternative:start_sapstartsrv
      if [ $8 -eq 2 ] && ! execute_sapcmd_sLPATH root "${LOCATION} -nr ${2} -function WaitforServiceStarted 0 0" ; then
         execute_sapcmd_sLPATH root "${LOCATION} -nr ${2} -function StartService ${sid}" \
         && execute_sapcmd_sLPATH root "${LOCATION} -nr ${2} -function WaitforServiceStarted 5 1"
         if [ $? -ne 0 ]; then
           ErrLogMsg "StartService failed"
         fi
      fi | logpipe
      style=7
    else
      find_sap_binary $7 $2 ${instname} ${sid} startsap              # startsap script for WAS >=6.10
      if [[ $? -eq 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
        typeset locstartcmd="${LOCATION} ${5} ${7}${2}"
        if [[ ( "X${instname}" != "X${HNAME}" ) && ( `echo ${MYSTARTPROFILE}|grep ${instname}|wc -l` -ne 0 ) ]]; then
          locstartcmd=`echo ${locstartcmd} ${instname}`
        fi
        style=6
      elif [[ -x "${MYHOMEDIR}/startsap_${HNAME}_${2}" && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
        typeset locstartcmd="${MYHOMEDIR}/startsap_${HNAME}_${2} ${5}" # startsap script for R/3 <=4.6D
        locstartlog="${MYHOMEDIR}/startsap_${instname}_${2}.log"       # startsap log for R/3 <=4.6D
        if [ -r "${locstartlog}" ]; then
          LogMsg "Moving old instance startup log to tmp"
          mv ${locstartlog} /tmp
        fi
      elif [[ -x /home/${3}/startsap_${HNAME}_${2} && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
        #
        # the default home directory;
        # not necessarily in path
        #
        typeset locstartcmd="/home/${3}/startsap_${HNAME}_${2} ${5}"
      elif [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
        #
        # rely on path settings
        #
        WrnLogMsg "Make sure startsap script exists - relying on path settings of ${3}"
        typeset locstartcmd="startsap_${HNAME}_${2} ${5}"
      else
        ErrLogMsg "No valid startup method available"
        exit 1
      fi
    fi

    if [ "${MYSTARTPROFILE}" != "not_found" ]; then

      test_proc_opt sapstart "${MYSTARTPROFILE}"

      if [ ${TPID} -ne 0 ]; then
        WrnLogMsg "Running sapstart process detected prior to startup attempt"
        WrnLogMsg "Forcing LAZY cleanup policy in this step"
        cleanup="sleep 10;" # incorporate a delay to allow existing sapstart to finish
      fi
    fi

    #
    # startup attempt
    #
    LogMsg "Cleanup of instance environment"
    su - ${3} -c "${cleanup}" 2>&1|awk '/OsKey/ { print $0 }'|logpipe
    if [[ ${style} -eq 7 && "${MYSTARTPROFILE}" = "not_found" ]]; then
      WrnLogMsg "Skipping startup attempt - profile missing"
      return 1
    else
      sleep 3
      LogMsg "Running ${locstartcmd}"
      su - ${3} -c "$SNIPMARK; ${locstartcmd} </dev/null" 2>&1|snipit|logpipe &
      watchdog $!
    fi

    # returncode=$?
    # if [ ${returncode} -ne 0 ]; then
    #   ErrLogMsg "Startup failed"

    #   case ${style} in
    #     4|6)
    #       case ${returncode} in
    #         1) ErrLogMsg "OS configuration error" ;;
    #         2) ErrLogMsg "Startsap script called with wrong parameter" ;;
    #         3) ErrLogMsg "User not authorized to execute script" ;;
    #         4) ErrLogMsg "Environment not set" ;;
    #         5) ErrLogMsg "Database operation failed" ;;
    #         6) ErrLogMsg "Database on remote server in wrong state" ;;
    #         7) ErrLogMsg "Startup of Instance failed" ;;
    #         8) ErrLogMsg "Profile not found" ;;
    #         9) ErrLogMsg "User not authorized to start db" ;;
    #        10) ErrLogMsg "Implementation error: call SAP support" ;;
    #        12) ErrLogMsg "Command not found" ;;
    #        13) ErrLogMsg "Virtual host error" ;;
    #         *) ErrLogMsg "Unknown SAP return code (${returncode})" ;;
    #       esac
    #     ;;
    #     7)
    #       case ${returncode} in
    #         1) ErrLogMsg "Invalid parameter" ;;
    #         2) ErrLogMsg "SAP timeout occured" ;;
    #         *) ErrLogMsg "Unknown SAP return code (${returncode})";;
    #       esac
    #     ;;
    #     *) ErrLogMsg "illegal value"
    #     ;;
    #   esac

    #   if [ -r ${locstartlog} ]; then
    #     LogMsg "Full content of ${locstartlog}:"
    #     cat ${locstartlog}|logpipe
    #   fi
    #   return 9
    # fi

    if [ -r "${locstartlog}" ]; then
      if [ `tail -1 ${locstartlog}|grep -v '\-\{10,\}'|wc -m` -gt 1 ]; then
        LogMsg "Information from SAP logfile ${locstartlog}:"
        LogMsg "`tail -2 ${locstartlog}`"
      fi
    fi

    LogMsg "Finishing startup attempt"

  else

    ########################################
    #
    # remote start of instance
    #
    ########################################
    #
    # The application instance is configured on a remote
    # (e.g. non clustered) node. If appropriate usage is
    # enabled in package - first start/stop attempt is with
    # sapcontrol -host... command. If this fails, fallback
    # attempt via remsh/ssh later down.
    # Note: if ${AS_PSTART} -eq 1, then parallelstart is
    # enabled and start_app is/was started in background by
    # start_own_app().
    # Note: As this is executed as root, LD_LIBRARY_PATH
    # needs to be set via execute_sapcmd_sLPATH() for
    # the sapcontrol command to succeed
    #
    if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then

      LogMsg "Startup attempt on remote host: sapcontrol -host ${1} ..."
      find_sap_binary $7 $2 ${instname} ${sid} sapcontrol
      if [[ $? -eq 0 ]]; then
        typeset locstartcmd="${LOCATION} -host ${1} -nr ${2} -function StartWait ${WATCHDOG_TIMEOUT} 1"
        DbgLogMsg "locstartcmd=[${locstartcmd}]"
        cmdlog="$(execute_sapcmd_sLPATH root \"${locstartcmd}\")"
        rc=$?
        if [ $rc -eq 0 ]; then return 0; fi   # success

        # sapcontrol -host wasn't successful. If exclusive usage
        # give hints what the problem could be
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" = "Xexclusive" ]]; then
          if [[ ${DBG} -gt 0 ]]; then
            LogMsg "cmdlog=[${cmdlog}]"
            [[ `echo ${cmdlog}|grep "Unauthorized"` ]] && LogMsg "Is SAP profile service/protectedwebmethods configured?"
            [[ `echo ${cmdlog}|grep "NIECONN_REFUSED"` ]] && LogMsg "Is sapstartsrv running on remote host?"
          fi
          LogMsg "Info: sapcontrol -host ${1} ... couldn't connect - Trying remote commands"
        fi

      fi
    fi

    # Fallback:
    # remote start of instance via remsh/ssh. Execution is OS
    # and shell dependant
    # (only works with R/3 <= 4.6D if startsap command is in
    # home directory)
    #

    LogMsg "Remote startup attempt: ${REM_COMM} ..."

    case "$4" in
      "HP-UX")
        #
        # The remote shell command remsh will initially
        # call the default shell of the specified user;
        # csh and sh-posix pipe through escaped EOLs differently.
        # A case distinction is needed.
        # remsh also automatically sources .cshrc for a csh default shell.
        # remsh doesn't source .profile for a sh-posix default shell.
        #

        typeset default_shell=`${REM_COMM} ${1} -l ${3} -n 'echo ${SHELL}'`

        #
        # remote redirects prevent hangs caused
        # by forked subprocesses that keep open
        # file descriptors
        #
        typeset sid=`echo ${3}|cut -b -3|${TRLU}`
        typeset exedir="${USRSAPDIR}/${sid}/SYS/exe/run"
        typeset instexedir="${USRSAPDIR}/${sid}/${7}${2}/exe"
        if [ `echo ${default_shell}|grep /csh$|wc -l` -eq 1 ]; then
          ( ${REM_COMM} ${1} -l ${3} -n '
            '${6}' if ( -x '${instexedir}'/startsap ) then
              if ( '\"X${instname}\" != \"X'`hostname`'\"' ) then
                '${instexedir}'/startsap '${5} ${7}${2} ${instname}'
              else
                '${instexedir}'/startsap '${5} ${7}${2}'
              endif
            else if ( -x '${exedir}'/startsap ) then
              if ( '\"X${instname}\" != \"X'`hostname`'\"' ) then
                '${exedir}'/startsap '${5} ${7}${2} ${instname}'
              else
                '${exedir}'/startsap '${5} ${7}${2}'
              endif
            else
              ~'${3}'/startsap_'${1}_${2} ${5} '
            endif' 2>&1 ) >/dev/null 2>/dev/null </dev/null &
          watchdog $!
          return $?
        elif [ `echo ${default_shell}|grep /sh$|wc -l` -eq 1 ]; then
          ${REM_COMM} ${1} -l ${3} -n ${default_shell}' -c "( . '${DEFAULT_LOGIN_PROFILE}';
            '${6}' if [ -x '${instexedir}'/startsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${instexedir}'/startsap '${5} ${7}${2} ${instname}';
              else
                '${instexedir}'/startsap '${5} ${7}${2}';
              fi
            elif [ -x '${exedir}'/startsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${exedir}'/startsap '${5} ${7}${2} ${instname}';
              else
                '${exedir}'/startsap '${5} ${7}${2}';
              fi
            else
              ~'${3}'/startsap_'${1}_${2} ${5} ';
            fi ) >/dev/null 2>&1 </dev/null "' &
          watchdog $!
          return $?
        # almost identical code for ksh - except input redir from /dev/null
        # (this redirection will make the process considered "Done" immediately, but
        # still execute remotely)
        elif [ `echo ${default_shell}|grep /ksh$|wc -l` -eq 1 ]; then
          ${REM_COMM} ${1} -l ${3} -n ${default_shell}' -c "( . '${DEFAULT_LOGIN_PROFILE}';
            '${6}' if [ -x '${instexedir}'/startsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${instexedir}'/startsap '${5} ${7}${2} ${instname}';
              else
                '${instexedir}'/startsap '${5} ${7}${2}';
              fi
            elif [ -x '${exedir}'/startsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${exedir}'/startsap '${5} ${7}${2} ${instname}';
              else
                '${exedir}'/startsap '${5} ${7}${2}';
              fi
            else
              ~'${3}'/startsap_'${1}_${2} ${5} ';
            fi ) >/dev/null 2>&1 "' &
          watchdog $!
          return $?
        else
          WrnLogMsg "Unknown default login shell for ${3} on ${1} - instance skipped"
        fi
      ;;
      "Linux"|"LINUX")
        typeset sid=`echo ${3}|cut -b -3|${TRLU}`
        typeset exedir="${USRSAPDIR}/${sid}/SYS/exe/run"
        typeset instexedir="${USRSAPDIR}/${sid}/${7}${2}/exe"

        #
        # Execute a remote startsap/stopsap command. Commands to
        # be executed are read out of the "here" block between the "EOF"s.
        # Note:
        # - bash -s:      read bash commands from standard input. The
        #                 advantage: allows insertion of comments....
        #                 compared to "-c"
        # - ${exedir}:    substituted by local node except where escaped
        # - \$(hostname): escape local $substition so that the
        #                 `hostname` command gets executed on remote node
        # - &:            runs in background
        #


        DbgLogMsg "Executing command ${REM_COMM} ${1} -l ${3} /bin/bash -s"
        ret_rem_comm=$(${REM_COMM} ${1} -l ${3} /bin/bash -s   << EOF

        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then

          if [[ -x ${instexedir}/sapcontrol ]]; then
            ### use sapcontrol from instexedir
            loccmd="${instexedir}/sapcontrol"

          elif [[ -x ${exedir}/sapcontrol ]]; then
            ### use sapcontrol from exedir
            loccmd="${exedir}/sapcontrol"

          else
            ###### rely on PATH env of user
            loccmd="sapcontrol"
          fi

          # A instance can only be started if the sapstartsrv service is
          # running. So check for equivalent - $7=instance, $2=nr:
          # ${USRSAPDIR}/SP8/MDSS32/exe/sapstartsrv \
          #        pf=${USRSAPDIR}/SP8/SYS/profile/SP8_MDSS32_saplx-0-67
          #
          pgrep -f "sapstartsrv pf=.*${7}${2}" >/dev/null 2>&1
          if [[ \$? -ne 0 ]]; then
            "\${loccmd}" -nr ${2} -function StartService ${sid}

            # give sapstartsrv some time to settle in
            t=0;
            rc=1;
            while [[ \${t} -lt ${DELAY_INTERVALS} && \${rc} -eq 1 ]]; do
              sapcontrol -nr ${2} -function GetProcessList >/dev/null 2>&1
              rc=\$?
              if [[ \${rc} -eq 1 ]]; then
                sleep 2
                (( t = \${t} + 1 ))
              fi
            done
          fi

          # Start the instance
          "\${loccmd}" -nr ${2} -function StartWait ${WATCHDOG_TIMEOUT} 1
          if [ \$? -eq 0 ]; then exit 0; fi   # success
      fi

      # fallback if the above sapcontrol failed
      if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then

        if [[ -x ${instexedir}/startsap ]]; then
          ###### startsap script for WAS >=6.10
          if [[ ${instname} != "\$(hostname)" ]]; then
            ${instexedir}/startsap ${5} ${7}${2} ${instname}
          else
            ${instexedir}/startsap ${5} ${7}${2}
          fi

        elif [[ -x ${exedir}/startsap ]]; then
          ###### startsap script for R/3 <=4.6D
          if [[ ${instname} != "\$(hostname)" ]]; then
            ${exedir}/startsap ${5} ${7}${2} ${instname}
          else
            ${exedir}/startsap ${5} ${7}${2}
          fi

        elif [[ -x ~${3}/startsap_${1}_${2} ]]; then
          ###### if the default home directory not necessarily in path env
          ~${3}/startsap_${1}_${2} ${5}

        else
          ###### rely on users PATH env
          startsap_${1}_${2} ${5}
        fi

    else
      echo "Couldn't find valid shutdown method on remote system ${1}"
      exit 1
    fi

EOF
)       &           # run in background
        watchdog $!
        return $?
        DbgLogMsg "ret_rem_comm=[${ret_rem_comm}]"
      ;;
      "WINDOWS") start_WINDOWS_app $1 $2 $3 $7
      ;;
      "SAPCONTROL")
        WrnLogMsg "Skipping (fallback) startup attempt - no ssh access to $1"
        return 1
      ;;
      *) ErrLogMsg "Invalid platform type \"$4\" on $1!"
        ErrLogMsg2 "Check sap_ext_instance package configuration!"
        exit ${ERROR}
    esac
  fi

  return 0

}


#########################################################################
#
# Function: app_handler
#
# Free up resources during failover or package shutdown.
#
# Parameters:
# $1      mode (start, stop)
#
#########################################################################
function app_handler
{
  typeset fname=app_handler
  BLogMsg $*

  if [ "X${1}" = "Xstart" ]; then
    stop_own_app ${RESTART_DURING_FAILOVER}
    stop_other_inst
    # app_remove_shmem
    [ ${CI_T} ] && ci_remove_shmem "forced_normal" ${CINAME} ${CINR}
    [ ${JCI_T} ] && ci_remove_shmem "forced_normal" ${JCINAME} ${JCINR}
  elif [ "X${1}" = "Xstop" ]; then
    :
    # stop_own_app ${STOP_WITH_PKG}
  else
    WrnLogMsg "Unexpected mode: ${1}"
  fi
}

#########################################################################
#
# Function: test_app_yellow_up
#
# Helper function for test_app.
# Scans output of sapcontrol GetProcessList for certain strings (usually
# reported when status is reported YELLOW)
# and returns 0 if found.
# Lines to be scanned are read from stdin.
#
# Parameters:#
# - none -
#
#########################################################################
function test_app_yellow_up {
  typeset grepopt="-e"
  # Array with YELLOW messages to consider as success.
  # Array already includes grep option and doublequotes for later usage. Add
  # new messages as next array member.
  typeset  yllwtxt[0]="$grepopt \"Running but not connected to Message Server\""
  typeset  yllwtxt[1]="$grepopt \"Running but Message Server unreachable\""
  typeset  yllwtxt[2]="$grepopt \"AS Java: Starting the processes\""
  typeset  yllwtxt[3]="$grepopt \"AS Java: Some processes running\""

  # grep from stdin. use eval to get grep options passed to grep
  # instead of searching for them.
  # (grep for YELLOW lines first?)
  eval grep "${yllwtxt[*]}" >/dev/null
  return $?
}

#########################################################################
#
# Function: test_app
#
# Try to connect to SAP Instances. Not critical.
# Works locally and remote.
#
# Parameters:
# $1    name or IP of host on which to start the Application Server
# $2    instance number of Application Server
# $3    SAP System Administrator of that instance
# $4    instance name of Application Server
# $5    retry intervals
# $6    SAP System ID
#
#########################################################################
function test_app
{
  typeset fname=test_app
  BLogMsg $*

  typeset count=0
  typeset intervals

  if [ "X${5}" = "X" ]; then
    ErrLogMsg "No retry intervals set by function call - assume ${DELAY_INTERVALS} as default"
  fi
  intervals=${5:-${DELAY_INTERVALS}}

  # forward call to crit_test_app for SCS
  if [[ ( "X${4}" = "XASCS" ) || ( "X${4}" = "XSCS" ) ]]; then
  #
  # Critical System Central Services handling
  #
      WrnLogMsg "Function is not appropriate for critical instance ${4}${2} ..."
      crit_test_app ${1} ${2} ${3} ${4} ${intervals} ${SGeSAP_SAPSTARTSRV_START:-1}
      return $?
  fi
  while [ . ]; do
      is_ip_local ${1}
      if [ $? -eq 1 ]; then
        ########################################
        #
        # local connection test with sapcontrol
        #
        ########################################
        if [ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]; then
          find_sap_binary ${4} ${2} ${1} ${6} sapcontrol
          if [ $? -eq 0 ]; then
            if [ ${count} -eq 0 ]; then
              LogMsg "Local - Polling instance agent of ${4}${2}..."
            fi
            logpipe_pre -a "name, description"
            su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null
            rc=$?
            logpipe_post
            if [ $rc -eq 3 ]; then
              LogMsg "Agent acknowledges that instance ${4}${2} is running."
              return 0
            fi
            if [ $rc -eq 4 ]; then
              LogMsg "Agent reports that instance ${4}${2} is down."
              return 5
            fi
            if [ $rc -eq 0 ]; then
              set_environment ${4} ${2} ${1} ${6}
              for i in 1 2 3 4 5 6 7 8 9 10; do
                test_proc_opt sapcpe ${MYINSTPROFILE}
                if [ "X${TPID}" != "X0" ]; then
                  LogMsg "Waiting for executable copy op of ${4}${2} to finish"
                  sleep 10
                else
				  # su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null|grep "Running but not connected to Message Server" >/dev/null
                  su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null| test_app_yellow_up
				  if [ $? -eq 0 ]; then
                    return 0
                  fi
                  break
                fi
              done
            fi
          fi
        fi
        ########################################
        #
        # LOCAL test with 'ps'
        #
        ########################################
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          LogMsg "Trying to check for running instance ${4}${2} locally ..."
          # prefix choosen on type of instance (default ABAP dw)
          dwprefix="dw.sap${SAPSYSTEMNAME}"
          if [ "`echo $4|cut -c 1`" = "J" ]; then
            # override for Java instances, SMDA below
            # check only for java coordinator)
            # running_wps and PIDs won't reflect all processes belonging to the instance
            # (true also for the remote test)
            dwprefix="jc.sap${SAPSYSTEMNAME}"
          fi
          if [ "`echo $4|cut -c 1-4`" = "SMDA" ]; then
            # derive DA SID from admin name
            dwprefix="jc.sap${6}"
          fi
          if [ "`echo $4|cut -c 1`" = "W" ]; then
            dwprefix="wd.sap${6}"
          fi
          if [ "`echo $4|cut -c 1`" = "G" ]; then
            dwprefix="gw.sap${SAPSYSTEMNAME}"
          fi
          #
          # Test for SAP MDM instance processes names:
          # mds-r mdss-r mdis-r are different from the
          # classical names...
          #
          if [[ ( "X${4}" = "XMDSS" ) || ( "X${4}" = "XMDIS" ) || ( "X${4}" = "XMDS" ) ]]; then
            typeset MDM_PROC=`echo ${4}|${TRUL}`-r
            test_proc_user ${MDM_PROC} ${SAPSYSTEM}
            if [ $? -eq 0 ]; then
              LogMsg "Found local MDM processes ${MDM_PROC} for ${4}${2} with PID=[${TPID}]"
              return 0
            else
              LogMsg "No running MDM processes for ${4}${2}"
            fi
          #
          # Test for classical SAP instance process names:
          # wd.sapWDP_W21, dw.sapN73_DVEBMGS41...
          else
            test_proc_prefix "${dwprefix}_${4}${2}"
            if [ $? -eq 0 ]; then
              running_wps=`ps -ef | grep -v grep | grep ${dwprefix}_${4}${2} | wc -l`
              LogMsg "Found local work processes: ${running_wps}"
              LogMsg2 3 "`echo PIDS: ${TPID}`"
              return 0
            else
              LogMsg "No running local work processes for ${4}${2}"
            fi
          fi
        fi

      else
        ########################################
        #
        # REMOTE test with sapcontrol
        #
        ########################################
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then
          # query remote host with locally executed sapcontrol
          find_sap_binary ${4} ${2} ${1} ${SAPSYSTEMNAME} sapcontrol
          if [[ $? -eq 0 ]]; then
            typeset loctestcmd="${LOCATION} -host ${1} -nr ${2} -function GetProcessList"
            DbgLogMsg "loctestcmd=[${loctestcmd}]"
            ret_loc_comm=$(execute_sapcmd_sLPATH root "${loctestcmd}")
            rc=$?
            DbgLogMsg "ret_loc_comm=[${ret_loc_comm}] rc=[${rc}]"

            # execute sapcontrol remotely via ssh if above failed or didn't return
            # definitive up/down

            #if [[ $rc -ne 3 && $rc -ne 4 ]] # no reliable response
            if [[ $rc -eq 1  ]]; then  # no response (FAIL: ...)
              # execute sapcontrol remotely
              DbgLogMsg "${REM_COMM} ${1} -l ${3} -n \"${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList\""
              ret_rem_comm=$(${REM_COMM} ${1} -l ${3} -n "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList")
              rc=$?
              DbgLogMsg "ret_rem_comm=[${ret_rem_comm}] rc=[${rc}]"
            fi
            if [ $rc -eq 3 ]; then
              LogMsg "sapcontrol: remote instance ${4}${2} is running on ${1}."
              return 0
            fi
            if [ $rc -eq 4 ]; then
              LogMsg "sapcontrol: remote instance ${4}${2} is down on ${1}."
              return 5
            fi
            if [ $rc -eq 0 ]; then
              DbgLogMsg "sapcontrol: remote instance ${4}${2} neither running nor down on ${1}."
              ( echo "${ret_loc_comm}" ; echo "${ret_rem_comm}" ) | test_app_yellow_up
              if [ $? -eq 0 ]; then
                LogMsg "sapcontrol: remote instance ${4}${2} is YELLOW on ${1}. Considered running"
                return 0
              fi
            fi
          else
            ErrLogMsg "sapcontrol not available"
          fi
        fi

        ########################################
        #
        # REMOTE test with 'ps'
        #
        ########################################
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          LogMsg "Trying to check for running instance ${4}${2} on host ${1} ..."
          # no special case for SMDA here. should startup with local instance on same vhost
          # no PLATFORM case here?
          DbgLogMsg "${REM_COMM} ${1} -l ${3} -n \"ps -ef | grep -v grep | grep .sap${SAPSYSTEMNAME}_${4}${2} | wc -l\""
          running_wps=`${REM_COMM} ${1} -l ${3} -n "ps -ef | grep -v grep | grep .sap${SAPSYSTEMNAME}_${4}${2} | wc -l"`
          if [[ ${running_wps} -ne 0 ]]; then
            LogMsg "There are running instance processes: ${running_wps}"
            return 0
          else
            LogMsg "No running instance processes for ${4}${2} on ${1}"
          fi
        fi # exclusive
      fi # end remote connection test
      (( count = $count + 1 ));

      if [ ${count} -ge ${intervals} ]; then
        break
      fi

      (( seconds = $count * 5 ));
      if [ ${seconds} -ge 30 ]; then
        seconds=30
      fi
      LogMsg "Delaying ${seconds} secs to allow instance ${4}${2} startup/recover"
      sleep ${seconds}
  done

  LogMsg "Instance ${4}${2} not responding"

  return 5
}


#########################################################################
#
# Function: crit_test_app
#
# Try to connect to a CRITICAL Application Server Instance
# e.g. a Central Instance an AppServer configured in (J)D-array
#
# Parameters:
# $1    name or IP of host on which to start the Application Server
# $2    instance number of Application Server
# $3    SAP System Administrator of that instance
# $4    instance name of Application Server
# $5    retry intervals
# $6    sapstartsrv_start|stop value
#
#########################################################################
function crit_test_app
{
  typeset fname=crit_test_app
  BLogMsg $*
  local rc  # do not overwrite callee's rc value
  typeset count=0
  typeset sid=`echo ${3}|cut -b -3|${TRLU}`
  typeset msserv
  typeset msloc
  typeset i
  typeset harmless_issue=0

  while [ . ];
  do
    harmless_issue=0
    ########################################
    #
    # ASCS or SCS
    #
    ########################################
    if [[ ( "X${4}" = "XASCS" ) || ( "X${4}" = "XSCS" ) ]]; then
      #
      # local connection test with sapcontrol
      #
      if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then
        find_sap_binary ${4} ${2} ${1} ${sid} sapcontrol
        if [ $? -eq 0 ]; then
          if [ ${count} -eq 0 ]; then
            LogMsg "Polling instance agent of ${4}${2}..."
          fi
          logpipe_pre -a "name, description"
          su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null
          rc=$?
          logpipe_post
          if [ $rc -eq 3 ]; then
            LogMsg "Agent acknowledges that instance ${4}${2} is running."
            return 0
          fi
          if [ $rc -eq 4 ]; then
            LogMsg "Agent reports that instance ${4}${2} is down."
            return 5
          fi
          if [ $rc -eq 0 ]; then
            for i in 1 2 3 4 5 6 7 8 9 10; do
              test_proc_opt sapcpe ${MYINSTPROFILE}
              if [ "X${TPID}" != "X0" ]; then
                LogMsg "Waiting for executable copy op of ${4}${2} to finish"
                sleep 10
              else
                su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null|grep "Running but not connected to Message Server" >/dev/null
                if [ $? -eq 0 ]; then
                  harmless_issue=1
                fi
                break
              fi
            done
          fi
        fi
      fi
      #
      # local connection test without sapcontrol
      #
      if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
        #
        # System Central Services handling
        #
        LogMsg "Trying to connect enqueue service of instance ${4}${2} ..."
        find_sap_binary ${4} ${2} ${1} ${sid} ensmon
        if [ $? -eq 1 ]; then
          WrnLogMsg "SAP binary ensmon missing or not executable - no connection test"
          return 1
        else
          LogMsg2 4 "${LOCATION:-ensmon} -H ${1} -I ${2} 1"
          su - ${OWNER:-root} -c "${LOCATION:-ensmon} -H ${1} -I ${2} 1" >/dev/null 2>&1
          returncode=$?
          if [ ${returncode} -eq 0 ]; then
            LogMsg "Connection to enqueue service established"
            LogMsg "Trying to connect message service of instance ${4}${2} ..."
            find_sap_binary ${4} ${2} ${1} ${sid} msprot
            if [ $? -eq 1 ]; then
              WrnLogMsg "SAP binary msprot missing or not executable - no connection test"
            else
              msloc=${LOCATION}
              find_sap_binary ${4} ${2} ${1} ${sid} sappfpar
              if [ $? -eq 0 ]; then
                if [ "X$4" = "XSCS" ]; then
                  CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} j2ee/ms/port"
                  msserv="$(execute_sapcmd_sLPATH root "${CMD}" | tail -1)"
                else
                  CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} rdisp/msserv"
                  msserv="$(execute_sapcmd_sLPATH root "${CMD}" | tail -1)"
                  if [ "X${msserv}" = "X" ]; then
                    WrnLogMsg "rdisp/msserv not found in profile ${MYINSTPROFILE}"
                    if [ `cat /etc/services|grep sapms${SAPSYSTEMNAME}|wc -l` -ne 0 ]; then
                      msserv=sapms${SAPSYSTEMNAME}
                    fi
                  fi
                fi
              fi
              if [ "X${msserv}" = "X" ]; then
                if [ "X$4" = "XSCS" ]; then
                    (( msserv=${JMSSERV_BASE} + 10#${2} ))
                    WrnLogMsg "j2ee/ms/port not found in profile ${MYINSTPROFILE} (using value ${msserv})"
                else
                    (( msserv=${MSSERV_BASE} + 10#${2} ))
                     WrnLogMsg "ABAP Message Server port setting not found. (using value ${msserv})"
                     # give it a try. usually a ABAP message server won't come up w/o service entry
                fi
              fi
              LOCATION=${msloc}
              LogMsg2 3 "Message server port: ${msserv}"
              #
              # pf=... is for future use
              #
              su - ${OWNER:-root} -c "${LOCATION:-msprot} -l -n ${RFC_TIMEOUT} name=${sid} -mshost ${1} -msserv ${msserv} ${IPV6} pf=${MYINSTPROFILE}" >/dev/null 2>&1
              returncode=$?
              if [ ${returncode} -eq 0 ]; then
                LogMsg "Connection to message service established"
                return 0
              fi
            fi
          fi
          LogMsg "No connection to instance ${4}${2}: rc=${returncode}"
        fi
      fi
    else

      ########################################
      #
      # Critical Central Instance, Replication Instance or Dialog Instance handling
      # e.g. CI, DI  and ERS, REP, AREP
      #
      ########################################
      is_ip_local ${1}
      if [ $? -eq 1 ]; then
        #
        # local connection test with sapcontrol
        #
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then
          find_sap_binary ${4} ${2} ${1} ${sid} sapcontrol
          if [ $? -eq 0 ]; then
            if [ ${count} -eq 0 ]; then
              LogMsg "Polling instance agent of ${4}${2}..."
            fi
            logpipe_pre -a "name, description"
            su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null
            rc=$?
            logpipe_post
            if [ $rc -eq 3 ]; then
              LogMsg "Agent acknowledges that instance ${4}${2} is running."
              return 0
            fi
            if [ $rc -eq 4 ]; then
              LogMsg "Agent reports that instance ${4}${2} is down."
              return 5
            fi
            if [ $rc -eq 0 ]; then
              for i in 1 2 3 4 5 6 7 8 9 10; do
                test_proc_opt sapcpe ${MYINSTPROFILE}
                if [ "X${TPID}" != "X0" ]; then
                  LogMsg "Waiting for executable copy op of ${4}${2} to finish"
                  sleep 10
                else
                  #su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null|grep "Running but not connected to Message Server" >/dev/null
                  su - ${3} -c "${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList" 2>/dev/null|test_app_yellow_up > /dev/null
                  if [ $? -eq 0 ]; then
                    harmless_issue=1
                  fi
                  break
                fi
              done
            fi
          fi
        fi
        #
        # local connection test without sapcontrol
        # for DI or CI instances
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          if [[ "X${4}" != "XERS" && "X${4}" != "XREP" && "X${4}" != "XAREP" ]]; then

            if [ ${count} -eq 0 ]; then
              LogMsg "Trying to connect local dispatcher of instance ${4}${2} ..."
            fi
            find_sap_binary ${4} ${2} ${1} ${sid} dpmon
            if [ $? -eq 1 ]; then
              WrnLogMsg "SAP binary dpmon missing or not executable"
            else
              returncode=`su - ${3} -c "SAPSYSTEMNAME=${SAPSYSTEMNAME}; ${LOCATION:-dpmon} NR=${2} -p" 2>&1|grep Dispatcher|tail -1`
              echo ${returncode}|grep "Dispatcher is alive" >/dev/null
              if [ $? -eq 0 ]; then
                LogMsg "Dispatcher is alive"
                return 0
              else
                returncode=`su - ${3} -c "; ${LOCATION:-dpmon} pf=${MYINSTPROFILE} -p" 2>&1|grep [Dd]ispatcher|tail -1`
                echo ${returncode}|grep "Dispatcher is alive" >/dev/null
                if [ $? -eq 0 ]; then
                  LogMsg "Dispatcher is alive"
                  return 0
                else
                  if [ "X${returncode}" = "X" ]; then
                    LogMsg "dpmon: no text response"
                  else
                    LogMsg "dpmon: ${returncode}"
                  fi
                  harmless_issue=0
                fi
              fi
            fi

            find_sap_binary ${4} ${2} ${1} ${sid} startrfc
            if [ $? -eq 0 ]; then
              if [ ${count} -eq 0 ]; then
                LogMsg "Trying to connect via RFC to host ${1} instance ${4}${2} ..."
              fi
              # sleep required to avoid racing condition with watchdog
              LogMsg " su - ${OWNER:-root} -c \"sleep 3;${LOCATION:-startrfc} -3 -h ${1} -s ${2} -F RFC_PING\""
              su - ${OWNER:-root} -c "sleep 3;${LOCATION:-startrfc} -3 -h ${1} -s ${2} -F RFC_PING" >/dev/null 2>&1 &
              watchdog $!
              if [ $? -eq 0 ]; then
                LogMsg "Connection established"
                return 0
              else
                LogMsg "No connection to instance ${4}${2}"
                harmless_issue=0
                if [ ${count} -ge 2 ]; then
                  set_environment ${4} ${2} ${1}
                  LogMsg "Include ${4}${2} error log"
                  if [ -f ${MYWORKDIR}/dev_disp ]; then
                    cat ${MYWORKDIR}/dev_disp 2>/dev/null|grep "ERROR"|logpipe
                  else
                    cat ${MYWORKDIR}/dev_w0 2>/dev/null|grep "ERROR"|logpipe
                  fi
                fi
              fi
            fi

          #
          # local connection test without sapcontrol
          # for ERS or REP or AREP instances
          elif [[ "X${4}" = "XERS" || "X${4}" = "XREP" || "X${4}" = "XAREP" ]]; then

            test_proc_prefix "${REP_PREFIX}.sap${SAPSYSTEMNAME}_${4}${2}"
            rep_rc=$?
            if [[ rep_rc -eq 0 ]]; then
              LogMsg "Replication process running"
              return 0
            fi

          fi
        fi ### end "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive"

      else
        #
        # REMOTE Connection Test
        # For critical AppServer tesing
        # with 'startrfc'
        #
        LogMsg "Trying to connect via RFC to host ${1} instance ${4}${2} ..."
        find_sap_binary ${4} ${2} ${1} ${sid} startrfc
        LogMsg "su - ${OWNER:-root} -c \"${LOCATION:-startrfc} -3 -h ${1} -s ${2} -F RFC_PING\""
        su - ${OWNER:-root} -c "${LOCATION:-startrfc} -3 -h ${1} -s ${2} -F RFC_PING" >/dev/null 2>&1 &
        watchdog $!
        if [ $? -eq 0 ]; then
          LogMsg "Connection established"
          return 0
        else
          LogMsg "No connection to instance ${4}${2}"
        fi
      fi
    fi
    (( count = $count + 1 ));

    if [ ${count} -ge ${5} ]; then
      break
    fi

    (( seconds = $count * 5 ));
    if [ ${seconds} -ge 30 ]; then
      seconds=30
    fi
    LogMsg "Delaying ${seconds} secs to allow instance ${4}${2} startup/recover"
    sleep ${seconds}

  done

  [ ${harmless_issue} -eq 1 ] && return 0

  LogMsg "Instance ${4}${2} not responding"
  return 5
}


#########################################################################
#
# Function: stop_app
#
# Generic function that stops any SAP Application Server.
# Works locally or remote.
#
# Parameters:
# $1    name of host on which the Application Server should be stopped
# $2    instance number of Application Server
# $3    name of SAP administrator
# $4    os platform of the Application Server
# $5    dedicates if database should also be stopped (values: r3 all)
# $6    instance name of Application Server
# $7    SAP system id
# $8    sapstartsrv_stop
#
#########################################################################
function stop_app
{
  typeset fname="stop_app $1 $2 $3"
  BLogMsg $4 $5 $6 $7 $8

  typeset instname=${1}
  typeset returncode=0
  typeset sid=$7

  is_ip_local ${1}
  if [ $? -eq 1 ]; then

    LogMsg "Attempting local stop of instance..."

    #
    # local stop of instance
    #

    test_proc_user stopsap_${HNAME}_${2} ${3} || test_proc_opt stopsap ${6}${2}

    if [ ${TPID} -eq 0 ]; then

      set_environment ${6} ${2} ${instname} ${sid}
      #
      # fallback strategy to enhance robustness
      #
      find_sap_binary ${6} ${2} ${instname} ${sid} sapcontrol
      if [[ $? -eq 0  && ${8} -ne 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then
        typeset locstopcmd="${LOCATION} -nr ${2} -function StopWait ${WATCHDOG_TIMEOUT} 1"

        # Don't accidently restart a halted instance by running sapstartsrv:
        # e.g. If the sapstartsrv process for a instance isn't running
        # and Autostart=1 in the profile and the sapstartsrv process is
        # started here,  it will automatically start the instance too!
        find_sap_binary ${1} ${2} ${3} ${sid} sappfpar
        CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} Autostart"
        if [[ "$(execute_sapcmd_sLPATH root "$CMD" | tail -1)" != "1" ]]; then
          start_sapstartsrv ${6} ${2} ${HNAME} ${7} ${SAPSYSTEMNAME}
        else
          LogMsg "Skip agent (re)start during shutdown, because it would trigger SAP's autostart"
        fi
      else
        find_sap_binary $6 $2 ${instname} ${sid} stopsap
        if [[ $? -eq 0 && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          typeset locstopcmd="${LOCATION} ${5} ${6}${2}"                # stopsap script for WAS >=6.10
          if [[ ( "X${instname}" != "X${HNAME}" ) && ( -r ${MYSTARTPROFILE} ) ]]; then
            locstopcmd=`echo ${locstopcmd} ${instname}`
          fi
        elif [[ -x "${MYHOMEDIR}/stopsap_${HNAME}_${2}" && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          typeset locstopcmd="${MYHOMEDIR}/stopsap_${HNAME}_${2} ${5}" # stopsap script for R/3 <=4.6D
        elif [[ -x /home/${3}/stopsap_${HNAME}_${2} && "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then
          #
          # the default home directory;
          # not necessarily in path
          #
          typeset locstopcmd="/home/${3}/stopsap_${HNAME}_${2} ${5}"
        elif [ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]; then
          #
          # rely on path settings
          #
          typeset locstopcmd="stopsap_${HNAME}_${2} ${5}"
        else
          ErrLogMsg "Couldn't find valid shutdown method"
          exit 1
        fi
      fi

      #
      # stop attempt
      #
      LogMsg "Running ${locstopcmd}"
      su - ${3} -c "${locstopcmd} " >/dev/null 2>&1 &
      watchdog $!
      if [ $? -ne 0 ]; then
        WrnLogMsg "Shutdown issue detected"
      fi

      if [ "X${6}${2}" = "X${CINAME}${CINR}" ]; then
        ci_remove_shmem "forced_strict" ${CINAME} ${CINR}
      elif [[ "X${6}" = "XD" || "X${6}" = "XDVEBMGS" || "X${6}" = "XW" ]]; then
        clean_ipc ${6} ${2} ${3}
      fi

    else
      WrnLogMsg "Shutdown of instance is already initiated"
      sleep 3
    fi
  else

    #
    # The application instance is configured on a remote
    # (e.g. non clustered) node. If appropriate usage is
    # enabled in package - first start/stop attempt is with
    # sapcontrol -host... command. If this fails, start a
    # second fallback attempt via remsh/ssh later down.
    # Note: if ${AS_PSTART} -eq 1, then parallelstart is
    # enabled and start_app is/was started in background by
    # start_own_app().
    # Note: As this is executed as root, LD_LIBRARY_PATH
    # needs to be set via execute_sapcmd_sLPATH() for
    # the sapcontrol command to succeed
    #


    if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then

      LogMsg "Shutdown attempt on remote host: sapcontrol -host ..."
      find_sap_binary $7 $2 ${instname} ${sid} sapcontrol
      if [[ $? -eq 0 ]]; then
        typeset locstopcmd="${LOCATION} -host ${1} -nr ${2} -function StopWait ${WATCHDOG_TIMEOUT} 1"
        DbgLogMsg "locstopcmd=[${locstopcmd}]"
        cmdlog="$(execute_sapcmd_sLPATH root "${locstopcmd}")"
        rc=$?
        if [ $rc -eq 0 ]; then return 0; fi   # success

        # sapcontrol -host wasn't successful. If exclusive usage
        # give hints what the problem could be
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" = "Xexclusive" ]]; then
          if [[ ${DBG} -gt 0 ]]; then
            LogMsg "cmdlog=[${cmdlog}]"
            [[ `echo ${cmdlog}|grep "Unauthorized"` ]] && LogMsg "Is SAP profile service/protectedwebmethods configured?"
            [[ `echo ${cmdlog}|grep "NIECONN_REFUSED"` ]] && LogMsg "Is sapstartsrv running on remote host?"
          fi
          LogMsg "Info: sapcontrol -host ${1} ... couldn't connect - Trying remote commands"
        fi

      fi
    fi

    #
    # remote stop of instance via remsh/ssh. Execution is OS
    # and shell dependant
    # (only works with R/3 <= 4.6D if startsap command is in
    # home directory)
    #

    LogMsg "Remote stop attempt: ${REM_COMM} ..."

    case "$4" in
      "HP-UX")
        #
        # The remote shell command remsh will initially
        # call the default shell of the specified user;
        # csh and sh-posix pipe through escaped EOLs differently.
        # A case distinction is needed.
        # remsh also automatically sources .cshrc for a csh default shell.
        # remsh doesn't source .profile for a sh-posix default shell.
        #
        typeset default_shell=`${REM_COMM} ${1} -l ${3} -n 'echo ${SHELL}'`

        #
        # remote redirects prevent hangs caused
        # by forked subprocesses that keep open
        # file descriptors
        #
        typeset sid=`echo ${3}|cut -b -3|${TRLU}`
        typeset exedir="${USRSAPDIR}/${sid}/SYS/exe/run"
        typeset instexedir="${USRSAPDIR}/${sid}/${6}${2}/exe"
        if [ `echo ${default_shell}|grep /csh$|wc -l` -eq 1 ]; then
          ( ${REM_COMM} ${1} -l ${3} -n '
            if ( -x '${instexedir}'/stopsap ) then
              if ( '\"X${instname}\" != \"X'`hostname`'\"' ) then
                '${instexedir}'/stopsap '${5} ${6}${2} ${instname}'
                if ( ${status} > 0 ) then
                  '${instexedir}'/stopsap '${5} ${6}${2}'
                endif
              else
                '${instexedir}'/stopsap '${5} ${6}${2}'
              endif
            else if ( -x '${exedir}'/stopsap ) then
              if ( '\"X${instname}\" != \"X'`hostname`'\"' ) then
                '${exedir}'/stopsap '${5} ${6}${2} ${instname}'
                if ( ${status} > 0 ) then
                  '${exedir}'/stopsap '${5} ${6}${2}'
                endif
              else
                '${exedir}'/stopsap '${5} ${6}${2}'
              endif
            else
              ~'${3}'/stopsap_'${1}_${2} ${5} '
            endif' 2>&1 )>/dev/null 2>/dev/null </dev/null &
          watchdog $!
          returncode=$?
#       elif [ `echo ${default_shell}|grep -e /sh$ -e /ksh$ |wc -l` -eq 1 ]; then
        elif [ `echo ${default_shell}|grep /sh$|wc -l` -eq 1 ]; then
          ${REM_COMM} ${1} -l ${3} -n ${default_shell}' -c "( . '${DEFAULT_LOGIN_PROFILE}';
            if [ -x '${instexedir}'/stopsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${instexedir}'/stopsap '${5} ${6}${2} ${instname}';
              else
                '${instexedir}'/stopsap '${5} ${6}${2}';
              fi
            elif [ -x '${exedir}'/stopsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${exedir}'/stopsap '${5} ${6}${2} ${instname}';
              else
                '${exedir}'/stopsap '${5} ${6}${2}';
              fi
            else
              ~'${3}'/stopsap_'${1}_${2} ${5} ';
            fi ) >/dev/null 2>&1 </dev/null "' &
          watchdog $!
          returncode=$?
        # almost identical code for ksh - except input redirection from /dev/null
        elif [ `echo ${default_shell}|grep /ksh$|wc -l` -eq 1 ]; then
          ${REM_COMM} ${1} -l ${3} -n ${default_shell}' -c "( . '${DEFAULT_LOGIN_PROFILE}';
            if [ -x '${instexedir}'/stopsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${instexedir}'/stopsap '${5} ${6}${2} ${instname}';
              else
                '${instexedir}'/stopsap '${5} ${6}${2}';
              fi
            elif [ -x '${exedir}'/stopsap ]; then
              if [ '\"X${instname}\" != \"X'`hostname`'\"' ]; then
                '${exedir}'/stopsap '${5} ${6}${2} ${instname}';
              else
                '${exedir}'/stopsap '${5} ${6}${2}';
              fi
            else
              ~'${3}'/stopsap_'${1}_${2} ${5} ';
            fi ) >/dev/null 2>&1 "' &
          watchdog $!
          returncode=$?
        else
          WrnLogMsg "Unknown default login shell for ${3} on ${1} - instance skipped"
        fi
      ;;
      "Linux"|"LINUX")
        typeset sid=`echo ${3}|cut -b -3|${TRLU}`
        typeset exedir="${USRSAPDIR}/${sid}/SYS/exe/run"
        typeset instexedir="${USRSAPDIR}/${sid}/${6}${2}/exe"


        #
        # Execute a remote startsap/stopsap command. Commands to
        # be executed are read out of the "here" block between the "EOF"s.
        # Note:
        # - bash -s:      read bash commands from standard input. The
        #                 advantage: allows insertion of comments....
        #                 compared to "-c"
        # - ${exedir}:    substituted by local node except where escaped
        # - \$(hostname): escape local $substition so that the
        #                 `hostname` command gets executed on remote node
        # - &:            runs in background
        #

        DbgLogMsg "Executing command ${REM_COMM} ${1} -l ${3} /bin/bash -s"
        ret_rem_comm=$(${REM_COMM} ${1} -l ${3} /bin/bash -s   << EOF

        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xdisabled" ]]; then

            if [[ -x ${instexedir}/sapcontrol ]]; then
              ### use sapcontrol from instexedir
              loccmd="${instexedir}/sapcontrol"

            elif [[ -x ${exedir}/sapcontrol ]]; then
              ### use sapcontrol from exedir
              loccmd="${exedir}/sapcontrol"

            else
              ###### rely on users PATH env
              loccmd="sapcontrol"
            fi

            # Do not run sapcontrol StartService as sapstartsrv should be running
            # per default. If it is not running and we start it and profile is set to
            # Autostart=1 it will start the instance even though we are just about
            # to stop it.
            # Try to stop the instance in either case. If the "Stop" here fails, the
            # clean_inst() function called later on will clean up and kill the instance
            # processes.

            #"\${loccmd}" -nr ${2} -function StartService ${7}

            "\${loccmd}" -nr ${2} -function StopWait ${WATCHDOG_TIMEOUT} 1
            if [ \$? -eq 0 ]; then exit 0; fi   # success
        fi

        # fallback: use stopsap if the above sapcontrol failed
        if [[ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]]; then

          if [[ -x ${instexedir}/stopsap ]]; then
            ###### stopsap script for WAS >=6.10
            if [[ ${instname} != "\$(hostname)" ]]; then
              ${instexedir}/stopsap ${5} ${6}${2} ${instname}
            else
              ${instexedir}/stopsap ${5} ${6}${2}
            fi

          elif [[ -x ${exedir}/stopsap ]]; then
            ###### stopsap script for R/3 <=4.6D
            if [[ ${instname} != "\$(hostname)" ]]; then
              ${exedir}/stopsap ${5} ${6}${2} ${instname}
            else
              ${exedir}/stopsap ${5} ${6}${2}
            fi

          elif [[ -x ~${3}/stopsap_${1}_${2} ]]; then
            ###### if the default home directory not necessarily in path env
            ~${3}/stopsap_${1}_${2} ${5}

          else
            ###### rely on users PATH env
            stopsap_${1}_${2} ${5}
          fi

      else
          echo "Couldn't find valid shutdown method on remote system ${1}"
          exit 1
      fi
EOF
)       &         # run in background
        watchdog $!
        returncode=$?
        DbgLogMsg "ret_rem_comm=[${ret_rem_comm}]"
      ;;
      "WINDOWS") stop_WINDOWS_app $1 $2 $3 $6
      ;;
      "SAPCONTROL")
        WrnLogMsg "Skipping (fallback) stop attempt - no ssh access to $1"
        return 1
      ;;
      *)  ErrLogMsg "Invalid platform type $4 on $1!"
          ErrLogMsg2 "Check variable config, esp. ASTREAT[*] and ASPLATFORM[*] arrays in SGeSAP package configuration!"
          exit ${ERROR}
    esac
  fi

  return ${returncode}
}


#########################################################################
#
# Function: app_remove_procs
#
# Earlier instance crashes might have caused "bewildered" processes.
# These need to be cleaned up before an instance restart is triggered.
#
# Parameters:
#
# $1      instance name of bewildered instance
# $2      instance id of bewildered instance
#
#########################################################################
function app_remove_procs
{
  typeset fname=app_remove_procs
  BLogMsg $*

  test_proc_opt "sapstart" "${SAPSYSTEMNAME}_${1}${2}_"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending sapstart process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 2
  fi
  test_proc_opt "msg_server" "ms.sap${SAPSYSTEMNAME}_${1}${2}"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending MEssage server process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "rslgcoll" "co.sap${SAPSYSTEMNAME}_${1}${2}"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending sapsys COllector process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "rslgsend" "se.sap${SAPSYSTEMNAME}_${1}${2}"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending sapsys SEnder process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "icman" "${SAPSYSTEMNAME}_${1}${2}_"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending Internet Communication MANager process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "enserver" "en.sap${SAPSYSTEMNAME}_${1}${2}"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending enqueue process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "enrepserver" "er.sap${SAPSYSTEMNAME}_${1}${2}"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending enqueue replication process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "sapwebdisp" "wd.sap${SAPSYSTEMNAME}_${1}${2}"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending webdispatcher process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi
  test_proc_opt "gwrd" "${SAPSYSTEMNAME}_${1}${2}_"
  if [ ${TPID} -ne 0 ]; then
    WrnLogMsg "Send SIGKILL to pending gateway process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
  fi

  typeset OTPID=0
  test_proc_opt "disp+work" "dw.sap${SAPSYSTEMNAME}_${1}${2}"
  while [ ${TPID} -ne 0 ]
  do
    if [ ${TPID} = ${OTPID} ]; then
      ErrLogMsg "SIGKILL not effective" # prevent indefinite loop
      return
    fi
    OTPID=${TPID}

    WrnLogMsg "Send SIGKILL to pending disp+work process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
    test_proc_opt "disp+work" "dw.sap${SAPSYSTEMNAME}_${1}${2}"
  done

  OTPID=0
  test_proc_opt "jstart" "${SAPSYSTEMNAME}_${1}${2}_"
  while [ ${TPID} -ne 0 ]
  do
    if [ ${TPID} = ${OTPID} ]; then
      ErrLogMsg "SIGKILL not effective" # prevent indefinite loop
      return
    fi
    OTPID=${TPID}

    WrnLogMsg "Send SIGKILL to pending jstart process of ${1}${2} (PID: ${TPID})"
    kill -9 ${TPID}
    sleep 1
    test_proc_opt "jstart" "${SAPSYSTEMNAME}_${1}${2}_"
  done

}


#########################################################################
#
# Function: ci_remove_shmem
#
# Cleanup of Central Instance shared memory on local host.
#
# Parameters:
# $1      cleanup policy
# $2      name of instance, e.g. DVEBMGS
# $3      number of instance
#
#########################################################################
function ci_remove_shmem
{
  typeset fname=ci_remove_shmem
  BLogMsg $*

  typeset shmem_name=${2}
  typeset shmem_nr=${3}

  #
  # ignore ${1} if general cleanup policy is lazy
  #
  if [ "X${CLEANUP_POLICY}" = "Xlazy" ]; then
    LogMsg "Cleanup skipped (lazy cleanup configured)"
    return
  fi

  case "${1}" in
    "strict" | "forced_strict")

      LogMsg "Removing shmem of ${shmem_name}${shmem_nr} on ${HNAME} using ${1} cleanup policy"

      #
      # try to catch bewildered processes
      #
      app_remove_procs ${shmem_name} ${shmem_nr}

      #
      # finally clean up the memory
      #
      find_sap_binary ${2} ${3} ${HNAME} ${SAPSYSTEMNAME} cleanipc
      (su - ${MYSIDADM} -c "${LOCATION:-cleanipc} ${shmem_nr} remove") 2>&1|grep "Shared Memory Key"|logpipe
    ;;
    "normal" | "forced_normal")
      find_sap_binary ${2} ${3} ${HNAME} ${SAPSYSTEMNAME} cleanipc
      if [ `(su - ${MYSIDADM} -c "${LOCATION:-cleanipc} ${shmem_nr}") 2>&1|grep "Shared Memory Key"|grep "Att"|wc -l` -ne 0 ]; then
        WrnLogMsg "shmem has processes attached"
      else
        LogMsg "Searching shmem of ${shmem_name}${shmem_nr} on ${HNAME} using ${1} cleanup policy"
        (su - ${MYSIDADM} -c "${LOCATION:-cleanipc} ${shmem_nr} remove") 2>&1|grep "Shared Memory Key"|logpipe
      fi
    ;;
    "lazy" | "forced_lazy")
    ;;
    *) WrnLogMsg "No valid cleanup mode configured"
    ;;
  esac
}


#########################################################################
#
# Function: app_remove_shmem
#
# Cleans SAP shmem-resources before database or Central Instance
# startup attempt.
#
# Parameters:
#
#########################################################################
function app_remove_shmem
{
  typeset fname=app_remove_shmem
  BLogMsg $*

  typeset inr

  case "${CLEANUP_POLICY}" in
    "strict")
      [[ $UX -eq 1 ]] && PSLIST=`${UNIX95} ps -fG ${SAPSYS}|grep -v grep|grep -v ${DBADM}|awk '/[0-9]+/ { printf " %s",$2}'`
      [[ $LX -eq 1 ]] && PSLIST=`ps -g ${SAPSYS}|awk '/[0-9]+/ { printf " %s",$1}'`
      if [ "X${PSLIST}" != "X" ]; then
        LogMsg "Killing processes: ${PSLIST}"
        kill -9 ${PSLIST}
      fi
      IPCLIST=`ipcs -mc|grep ${SAPSYS}|grep -v root|ipcs2ipclist`
      if [ "X${IPCLIST}" != "X" ]; then
        LogMsg "Removing SAP shared memory using strict cleanup policy"
        LogMsg "Removed IPCs: ${IPCLIST}"
        ipcrm ${IPCLIST}
      fi
    ;;
    "normal")
      inr=0
      for sid in ${ASSID[@]}
      do
        if [[ "X${sid}" != "X${SAPSYSTEMNAME}" && "X${ASNAME[$inr]}" != "XSMDA" && "X${ASNAME[$inr]}" != "XW" ]]; then
          (( inr = $inr + 1 ))
          continue
        fi
        if [[ ${ASHOST_ALIVE[$inr]} != "-1" && ${ASHOST_ALIVE[$inr]} -ge 2 ]]; then
          clean_ipc ${ASNAME[$inr]} ${ASNR[$inr]} ${MYSIDADM} # any existing SIDADM could be used
        fi
        (( inr = $inr + 1 ))
      done
    ;;
    "lazy")
      LogMsg2 2 "Cleanup skipped (lazy cleanup configured)"
    ;;
    *) WrnLogMsg "No valid cleanup mode configured"
    ;;
  esac
}


#########################################################################
#
# Function: start_srp
#
# Calling out to SRP Reference Implementation scripts.
#
# Parameters:
#
#########################################################################
function start_srp
{
  typeset fname=start_srp
  BLogMsg $*

  typeset rc
  typeset rcc

  #
  # prevent double execution
  #
  if [ "X${SRP_EXEC}" != "X1" ]; then
    SRP_EXEC=1
    rc=0
  else
    WrnLogMsg "called twice?"
    return 0
  fi

  #
  # execute external SRP RA scripts
  #
  if [ -x ${SRP_ROUTE_SCRIPT} ]; then
    logpipe_pre
    ${SRP_ROUTE_SCRIPT} start
    rc=$?
    logpipe_post
    LogMsg "${SRP_ROUTE_SCRIPT} rc: ${rc}"
  else
    LogMsg "No SRP routing script ${SRP_ROUTE_SCRIPT} found"
  fi

  if [ -x ${SRP_CONTROL_SCRIPT} ]; then
    logpipe_pre
    ${SRP_CONTROL_SCRIPT} start
    rcc=$?
    logpipe_post
    LogMsg "${SRP_CONTROL_SCRIPT} rc: ${rcc}"
  else
    LogMsg "No SRP control script ${SRP_CONTROL_SCRIPT} found"
  fi

  (( rc = ${rc} + ${rcc} ))
  return ${rc}
}


#########################################################################
#
# Function: stop_srp
#
#  Calling out to SRP Reference Implementation scripts.
#
# Parameters:
#
#########################################################################
function stop_srp
{
  typeset fname=stop_srp
  BLogMsg $*

  typeset rc
  typeset rcr

  #
  # prevent double execution
  #
  if [ "X${SRP_EXEC}" != "X1" ]; then
    SRP_EXEC=1
    rc=0
  else
    WrnLogMsg "called twice?"
    return 0
  fi

  #
  # execute external SRP RA scripts
  #
  if [ -x ${SRP_CONTROL_SCRIPT} ]; then
    logpipe_pre
    ${SRP_CONTROL_SCRIPT} stop
    rc=$?
    logpipe_post
    LogMsg "${SRP_CONTROL_SCRIPT} rc: ${rc}"
  else
    LogMsg "No SRP control script ${SRP_CONTROL_SCRIPT} found"
  fi

  if [ -x ${SRP_ROUTE_SCRIPT} ]; then
    logpipe_pre
    ${SRP_ROUTE_SCRIPT} stop
    rcr=$?
    logpipe_post
    LogMsg "${SRP_ROUTE_SCRIPT} rc: ${rcr}"
  else
    LogMsg "No SRP routing script ${SRP_ROUTE_SCRIPT} found"
  fi
  (( rc = ${rc} + ${rcr} ))
  return ${rc}
}


#########################################################################
#
# Windows Application Server handling
#
#########################################################################
#
# Example Function: start_WINDOWS_app
#
#
# Parameters:
# $1    name of the host on which the AS should be started
# $2    instance-ID of AppServer to be started
# $3    name of System-Administrator
# $4    instance name of AppServer to be stopped
#
#########################################################################
function start_WINDOWS_app
{
  typeset fname=start_WINDOWS_app
  BLogMsg $*

  ErrLogMsg "No default implementation available for WINDOWS application server"
  ErrLogMsg2 "Create start_WINDOWS_app() in package customer.functions file"
  exit ${ERROR}

# The following is an example using the ATAMAN (TM) TCP Remote Logon.

  ( ${REM_COMM} $1 -l ${MYSIDADM} -n "call mcsgstrt.cmd ${SAPSYSTEMNAME} $1 $2 $4"|
     awk -v nthost=$1 '/./ {
       system("echo `date \"+%b %e %X\"` - Node \\\"`hostname`\\\"\": (start_WINDOWS_app) on \c\"");
       printf ("%s", nthost);
       system("echo \": \c\"");
       print $0 } '
  ) &
}


#########################################################################
#
# Example Function: stop_WINDOWS_app
#
#
# Parameters:
# $1    name of the host on which the AS should be stopped
# $2    instance-ID of AppServer to be stopped
# $3    name of System-Administrator
# $4    instance name of AppServer to be stopped
#
#########################################################################
function stop_WINDOWS_app
{
  typeset fname=stop_WINDOWS_app
  BLogMsg $*

  ErrLogMsg "No default implementation available for WINDOWS application server"
  ErrLogMsg2 "Create stop_WINDOWS_app() in package customer.functions file"
  exit ${ERROR}

# The following is an example using the ATAMAN (TM) TCP Remote Logon.

  ( ${REM_COMM} $1 -l ${MYSIDADM} -n "call mcsgstop.cmd ${SAPSYSTEMNAME} $1 $2 $4" |
    awk  -v nthost=$1 '
       /CreateNamedPipe.*Extended Error #2/ {
        system("echo `date \"+%b %e %X\"` - Node \\\"`hostname`\\\"\": (stop_WINDOWS_app) on \c\"");
        printf ("%s", nthost);
        system("echo \": \c\"");
        print "Service not running";
        next
        }
     /./ {
        system("echo `date \"+%b %e %X\"` - Node \\\"`hostname`\\\"\": (stop_WINDOWS_app) on \c\"");
        printf ("%s", nthost);
        system("echo \": \c\"");
        print $0
        } '
  ) &
}


########################################################################
#
# Database Function: kill_backup
#
# If there is an online backup running for the database system
# that is to be stopped, it will be notified.
#
# Parameters:
# $1      SAP SID
#
########################################################################
function kill_backup
{
  typeset fname=kill_backup
  BLogMsg $*

  typeset -i i

  if [[ ${KILL_BACKUP} -eq 1 ]]; then
    test_proc_opt brbackup $1 # returns PID of brbackup process in $TPID

    i=0
    while [ ${TPID} -ne 0 -a ${i} -lt ${DELAY_INTERVALS} ]; do
      if [ ${i} -ne 0 ]; then
        sleep 20
      fi
      LogMsg "Running db backup session of $1 will be killed (${TPID}, iteration ${i})"
      kill ${TPID}
      sleep 5
      test_proc_opt brbackup $1
      (( i = $i + 1 ))
    done

    test_proc_opt brarchive $1 # returns PID of brarchive process in $TPID

    i=0
    while [ ${TPID} -ne 0 -a ${i} -lt ${DELAY_INTERVALS} ]; do
      if [ ${i} -ne 0 ]; then
        sleep 20
      fi
      LogMsg "Running archive backup session of $1 will be killed (${TPID})"
      kill ${TPID}
      sleep 5
      test_proc_opt brarchive $1
      (( i = $i + 1 ))
    done
  fi
}



#########################################################################
# database dependent functions
#########################################################################

#########################################################################
# For all databases
#########################################################################

#########################################################################
#
# Function: db_check_abort_halt
#
# Check if database package halt should be aborted.
# Also prints out the warnings in such a case.
# To be called only if stopdb and native shutdown methods failed.
#
# Requires SG patch PHSS_xxxxx
#
# Parameters:
#
# Returns 0 if it should be aborted
#
#########################################################################

function db_check_abort_halt
{
  if [ "X${SG_HALT_REASON}" = "Xuser_halt" -a "X${SG_ABORT_HALT_ON_FAILURE}" = "Xyes" ]; then
    ErrLogMsg "A database shutdown failed during user-triggered package halt operations."
    WrnLogMsg "SGeSAP skips emergency shutdown routines that would apply in failover situations."
    WrnLogMsg "Manual investigation and correction of the database issues are recommended."
    WrnLogMsg "The package halt operation can be triggered again after removing the error cause."
    WrnLogMsg "To abort the database and force the package to shut down issue"
    [[ $UX -eq 1 ]] && WrnLogMsg "cmhaltpkg(1m) without -a option."
    [[ $LX -eq 1 ]] && WrnLogMsg "cmhaltpkg(1) with -f option."
    return 0
  fi
  return 1
}

#########################################################################
# ORACLE database functions
#########################################################################

#########################################################################
#
# ORACLE Function: start_ORACLE_db
#
# This function calls ORACLE database dependent cleanup tasks that have
# to be completed before startup of the database instance.
#
# NOTE: This function uses the SAP startdb command to start the database
#
# Parameters:
#
#########################################################################
function start_ORACLE_db
{
  typeset fname=start_ORACLE_db
  BLogMsg $*

  # initialize ORACLE specific hidden options
  ora_setenv

  # cleanup resources
  ora_check_config
  ora_stop_listener
  ora_remove_sgadef
  ora_remove_brbackup
  ora_remove_shmem
  app_remove_shmem

  # start database processes
  ora_start_listener
  if [ $? -eq 1 ]; then
#    exit 1
    if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
      return 1
    else
      exit 1
    fi
  fi

  #
  # SAP startup routine
  #
  start_db

  # sometimes startdb for Oracle leaves DB in MOUNTED instead of OPEN state,
  # which won't the workprocess let connect (and fail)
  # (btw, rc 1 seems to be obsolete)
  if [ $? -le 1 ]; then
    # doublecheck with native methods
    ${SU_COMM} - ${DBADM} -c "${ORACLE_HOME}/bin/sqlplus /nolog" 2>&1 <<EOF | grep -e "^STATUS: OPEN" 1>/dev/null 2>&1
      connect / as sysdba
      select 'STATUS: '||STATUS from v\$instance;
      exit
EOF
    if [ $? -eq 0 ]; then
      LogMsg "Database reported as OPEN"
      return 0
    else
      ErrLogMsg "Database not in status OPEN"
    fi
  fi

  #
  # native fallback
  #

  LogMsg "Starting ORACLE Database with sqlplus as ${DBADM}..."

  logpipe_pre -a "Plus:"
  # ignore errors during startup mount as DB might be already up in MOUNT from
  # previous attempt
  ${SU_COMM} - ${DBADM} -c "${ORACLE_HOME}/bin/sqlplus /nolog" 2>&1 << EOF
    connect / as sysdba
    WHENEVER SQLERROR CONTINUE NONE
    WHENEVER OSERROR EXIT 2
    startup mount
    alter database end backup;
    WHENEVER SQLERROR EXIT 1
    alter database open;
    exit
EOF

  returncode=$?
  logpipe_post

  case $returncode in
    0) LogMsg "Database started successfully"
    ;;
    *) ErrLogMsg "Database startup failed"
#      exit ${ERROR}
      if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
        return ${ERROR}
      else
        exit ${ERROR}
      fi
    ;;
  esac

}

#########################################################################
#
# ORACLE Function: stop_ORACLE_db
#
# Stop ORACLE database and perform database dependent cleanup tasks.
#
# Parameters:
#
#########################################################################
function stop_ORACLE_db
{
  typeset fname=stop_ORACLE_db
  BLogMsg $*

  typeset returncode
  typeset rc

  ora_setenv

  #
  # SAP shutdown via SAP stopdb: function stop_db returns:
  #       0       Database stopped successfully
  #       0/1     Database was not running
  #       2       Environment error.
  #       3       DB was running, could not be stopped.
  #       4       script was killed
  #     126       SAP stopdb script was not found
  #

  stop_db
  rc=$?

  ########################################
  # function stop_db returned 0 or 1 ->
  #       Database stopped successfully or
  #       Database was not running. Stop
  #       the Oracle listener if database
  #       not running.
  ########################################

  if [ ${rc} -le 1 ]; then
    #
    # The SAP script may not be fully reliable;
    # Many script versions use returncode 0,
    # even though an error occured.
    #
    test_proc ora_dbw0_${DBSID}
    if [ $? -eq 1 ]; then
      ora_stop_listener
      ora_wait
      return 0
    else
      WrnLogMsg "SAP database shutdown scripts report successful execution."
      WrnLogMsg "SGeSAP finds the database processes are still up."
      WrnLogMsg "Check for issues with SAP stopdb, stopj2eedb scripts."
    fi

  ########################################
  # function stop_db returned 126 ->
  #     SAP stopdb script was not found.
  #     Try halting database with Oracle
  #     sqlplus command - shutdown immediate.
  #     Then stop the Oracle listener
  ########################################

  elif [ ${rc} -eq 126 ]; then
    LogMsg "Halting ORACLE Database with sqlplus as ${DBADM} (shutdown immediate)..."
    logpipe_pre  -a 'Plus:'
    ${SU_COMM} - ${DBADM} -c "${ORACLE_HOME}/bin/sqlplus '/as sysdba'" 2>&1 <<EOF
      WHENEVER SQLERROR EXIT 1
      WHENEVER OSERROR EXIT 2
      select instance_name,startup_time,status,database_status,active_state from v\$instance;
      WHENEVER SQLERROR EXIT 2
      shutdown immediate
      exit
EOF
    returncode=$?
    logpipe_post
    case $returncode in
        0|1)  LogMsg "Database stopped successfully or was not running ($returncode)"
            test_proc ora_dbw0_${DBSID}
            if [ $? -eq 1 ]; then
              ora_stop_listener
              ora_wait
              return 0
            fi
        ;;
        *)  ErrLogMsg "Database shutdown failed"
    esac
  fi     # end test $rc of stop_db function



  #########################################################################
  # The database couldn't be stopped via standard stopdb or "sqlplus shutdown
  # immediate" in the above section.
  #
  # If the SG package is being shutdown with the cmhaltpkg command e.g.
  # [ "X${SG_HALT_REASON}" = "Xuser_halt" ] issue a warning, don't run the
  # "sqlplus shutdown abort" and let the admin investigate the problem.
  #
  # If the SG package is being shutdown because the cluster software
  # initiated a failover, force the halt of the database with "sqlplus
  # shutdown abort".
  ########################################################################

  # Check if halt should be aborted instead of removing instance processes
  if db_check_abort_halt; then
    returncode=${ABORT}
  else
    LogMsg "Halting ORACLE Database with sqlplus (shutdown abort)..."

    ${SU_COMM} - ${DBADM} -c "${ORACLE_HOME}/bin/sqlplus '/as sysdba'" 2>&1 <<EOF  |grep -e Database -e SQL|logpipe
      WHENEVER SQLERROR EXIT 1
      WHENEVER OSERROR EXIT 2
      shutdown abort
      exit
EOF
    returncode=$?
    case $returncode in
      0) LogMsg "Database stopped successfully"
      ;;
      *) ErrLogMsg "Database shutdown failed"
         returncode=${ERROR}
    esac
    ora_stop_listener
    ora_wait
  fi

  return ${returncode}
}


#########################################################################
#
# ORACLE Function: ora_setenv
#
# Initialize ORACLE specific hidden options.
#
# Parameters:
#
# With SAP on Oracle 12c DB owner changed to user oracle
# and ora<sid> is optional.
#
# Version ora<sid> | DBADM    DBOWNER  LSNROWNER
# -------------------------------------------
# 11g     yes      | ora<sid> ora<sid> ora<sid>
# 12c     no       | <sid>adm oracle   oracle
# 12c     yes      | ora<sid> oracle   oracle
#
#########################################################################
function ora_setenv
{
  typeset fname=ora_setenv
  BLogMsg $*

  set_environment D 99 ${HNAME} "${SAPSYSTEMNAME}"

  # Oracle 12:
  # - ora<dbsid> might not exist. Fallback to MYSIDADM
  # - new variables DBOWNER and LSNROWNER

  DBADM=${DBADM:-"ora`echo ${DBSID}|$TRUL`"}
  id ${DBADM} >/dev/null 2>&1 || DBADM=${MYSIDADM} # fallback
  ORACLE_HOME=${ORACLE_HOME:-`su - ${DBADM} -c ${ENV} 2>/dev/null|grep ORACLE_HOME=|tail -1|cut -d "=" -f 2-`}
  ORACLE_HOME=${ORACLE_HOME:-/oracle/${DBSID}}
  SAPDATA_HOME=${SAPDATA_HOME:-`su - ${DBADM} -c ${ENV} 2>/dev/null|grep SAPDATA_HOME=|tail -1|cut -d "=" -f 2-`}
  SAPDATA_HOME=${SAPDATA_HOME:-/oracle/${DBSID}}
  # Get DB and Listener executable files owner (usually identical)
  # Assuming default paths and owner DBADM if not there
  DBOWNER=`ls -o ${ORACLE_HOME}/bin/oracle 2>/dev/null|awk '{ print $3 }'`
  [ -z "$DBOWNER" ] &&  DBOWNER=$DBADM
  LSNROWNER=`ls -o ${ORACLE_HOME}/bin/tnslsnr 2>/dev/null|awk '{ print $3 }'`
  [ -z "$LSNROWNER" ]  && LSNROWNER=$DBADM

  LogMsg "ORASID=${DBADM} ORACLE_SID=${DBSID} ORACLE_HOME=${ORACLE_HOME} SAPDATA_HOME=${SAPDATA_HOME}"
  LogMsg "DBOWNER=${DBOWNER} LSNROWNER=${LSNROWNER}"

  # Oracle Connection Check Utility
  # Use "R3trans" or similar SAP tools to check if a SAP application
  # can connect to the database. The default utility can be overriden
  # by specifying  variable ORA_CCU_EXTNL in customer_functions.sh
  #
  ORA_CCU_MON=${ORA_CCU_MON:-1}
  ORA_CCU=""
  ORA_CCU_2=""  # alternative for JDB in case ORA_CCU fails
  ORA_CCU_EXTNL=${ORA_CCU_EXTNL:-""}

  if [  -z "${ORA_CCU_EXTNL}" ]; then
    # if monitoring explicitly set
    if [ "X${ORA_CCU_MON}" = "X1" ]; then
      # - If SAPSYSTEMNAME isn't set, use DBSID. (SAPSYSTEMNAME maybe != DBSID)
      # - Global $LOCATION gets set by function find_sap_binary()
      find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME:-${DBSID}}" R3trans
      if [ $? -eq 0 ]; then
        ORA_CCU="${LOCATION:-R3trans} -x -w /dev/null"
        DbgLogMsg "ORA_CCU=[$ORA_CCU]"
      fi

      # alternative CCU for Ora JDB
      typeset vhostlist=""
      typeset profiledir=${SAPMNTDIR}/${SAPSYSTEMNAME:-${DBSID}}/profile
      # checkdiraccess ${profiledir}`
      if ls ${profiledir}/${SAPSYSTEMNAME:-${DBSID}}_J??_* >/dev/null 2>&1 ; then
        find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME:-${DBSID}}" startsap
        if [ $? -eq 0 ]; then
          ORA_CCU_2="${LOCATION:-startsap} -check"
          for vhost in $(ls ${profiledir} 2>/dev/null | grep -E '^'${SAPSYSTEMNAME:-${DBSID}}'_[0-9A-Za-z]+_[0-9A-Za-z-]+$' | \
              grep -v $HNAME | cut -f 3 -d _ | sort | uniq) ; do
            vhostlist="$vhostlist $vhost";
          done
          [ -n "$vhostlist" ] && ORA_CCU_2="${ORA_CCU_2} -vhost \\\"${vhostlist}\\\""
        fi
        DbgLogMsg "ORA_CCU_2=[$ORA_CCU_2]"
      fi
    fi

    if [ -z "${ORA_CCU}" -a -z "${ORA_CCU_2}" ]; then
        LogMsg "Database connection check utility not set - skipping tests using utility"
    fi
  else
    # - External connection utility was defined.
    LogMsg "External Database connection check utility set to ORA_CCU_EXTNL=${ORA_CCU_EXTNL}"
  fi

#  unset ORA_CCU_EXTNL

  if [ -d "${MYHOMEDIR}" ]; then
    LOGFILE_STARTDB=${LOGFILE_STARTDB:-${MYHOMEDIR}/startdb.log}
    LOGFILE_STOPDB=${LOGFILE_STOPDB:-${MYHOMEDIR}/stopdb.log}
  else
    LOGFILE_STARTDB=${LOGFILE_STARTDB:-$(eval echo ~${DBADM}/startdb.log)}
    LOGFILE_STOPDB=${LOGFILE_STOPDB:-$(eval echo ~${DBADM}/stopdb.log)}
  fi
}


#########################################################################
#
# ORACLE Function: ora_wait
#
# Even after a successful shutdown of the ORACLE database, there
# might be shadow processes left that continue to run for some seconds.
# If the package shutdown is too fast, the unmounting procedure of
# the ORACLE filesystems will be hindered by these processes.
# This functions syncronizes the package shutdown, to allow a
# stable shutdown of ORACLE.
#
# Parameters:
#
#########################################################################
function ora_wait
{
  typeset fname=ora_wait
  BLogMsg $*

  typeset -i F=0
  typeset TTPID=0
  typeset WDD=${WATCHDOG_TIMEOUT}
  LogMsg "Wait for Oracle shadow process cleanup (Timeout: ${WDD} secs)"

  while [ ${WDD} -gt 0 ]; do
    test_proc_user oracle${DBSID} ${DBADM}
    if [ $? -eq 1 ]; then
      #
      # no more Oracle process running
      #
      break
    fi
    if [ ${TTPID} -ne ${TPID} ]; then
      TTPID=${TPID}
      # note: test_proc_user above just returns a single TPID
      LogMsg "`${UNIX95} ps -p ${TPID}|tail -1`"
      (( WDD = ${WATCHDOG_TIMEOUT} * 3 ))
    fi
    sleep 1
    (( WDD = ${WDD} -1 ))
  done
  if [ ${WDD} -eq 0 ]; then
    WrnLogMsg "Failed. Archiver stuck?"
  fi
}


#########################################################################
#
# ORACLE Function: ora_remove_brbackup
#
# Remove lock file, so that a new backup can be started.
#
# Parameters:
#
#########################################################################
function ora_remove_brbackup
{
  typeset fname=ora_remove_brbackup
  BLogMsg $*

  LogMsg "Checking for brbackup lock file"
  if [ -f ${ORACLE_HOME}/sapbackup/.lock.brb ]; then
    LogMsg "Found ${ORACLE_HOME}/sapbackup/.lock.brb"
    LogMsg "Remove it to make new backups possible "
    rm -f  ${ORACLE_HOME}/sapbackup/.lock.brb
  else
    LogMsg "No lock file found - no cleanup needed"
  fi
}


#########################################################################
#
# ORACLE Function: ora_check_config
#
# For some HA configurations it might be desirable for the Oracle parameter
# files (spfile${DBSID}.ora or init${DBSID}.ora) to contain node/host
# specific information, e.g. a large memory configuration might not run
# on a smaller backup node etc.
# It is possible to have node specific configuration files:
#
#           $ORACLE_HOME/dbs/spfile${DBSID}.ora.`hostname`
#           $ORACLE_HOME/dbs/init${DBSID}.ora.`hostname`
#
# Note: This works assuming, that you have node specific files for ALL
# NODES in the cluster.
#
# Overview of Oracle parameter files:
#    The following Oracle SPFILES (Server Parameter Files) will be used:
#    SPF_SID_H           spfile${DBSID}.ora.${HNAME}
#    SPF_SID             spfile${DBSID}.ora
#    SPF                 spfile.ora
#
#    The older Oracle PFILES are also supported:
#    PF_SID_H            init${DBSID}.ora.${HNAME}
#    PF_SID              init${DBSID}.ora
#    PF                  init.ora
#
# Goal:
#    Create a symbolic link from SPF_SID to SPF_SID_H if SPF_SID_H exists,
#    if SPF_SID_H doesn't exist, do nothing and just return from function.
#    Then the Oracle startup code will later check for SPF_SID and SPF in
#    that order.
#
#    If none of the 3 SPF files exists do the same thing for the PF files:
#    Goal is to create a symbolic link from PF_SID to PF_SID_H if PF_SID_H
#    exists. Then the Oracle startup code will later check for PF_SID and
#    PF in that order.
#
# Note: The code below has several parameter file checks. For
# example if SPF_SID is plain file instead of a symbolic link the function
# will exit with a warning a not create a host specific symbolic link to
# the Oracle parameter file
#
# Parameters:
#
#########################################################################
function ora_check_config
{
  typeset fname=ora_check_config
  BLogMsg $*

    SPF_SID_H="${ORACLE_HOME}/dbs/spfile${DBSID}.ora.${HNAME}"
    SPF_SID="${ORACLE_HOME}/dbs/spfile${DBSID}.ora"
    SPF="${ORACLE_HOME}/dbs/spfile.ora"

    PF_SID_H="${ORACLE_HOME}/dbs/init${DBSID}.ora.${HNAME}"
    PF_SID="${ORACLE_HOME}/dbs/init${DBSID}.ora"
    PF="${ORACLE_HOME}/dbs/init.ora"

    ########################################
    # first check if a host specific Oracle
    # *spfile* $SPF_SID_H  exists for creating
    # a symbolic link to
    ########################################
    if [ -e $SPF_SID_H ]; then

        LogMsg "Found host specific Oracle parameter file [$SPF_SID_H]"
        create_spfile_pfile_link $SPF_SID_H $SPF_SID
        LogMsg "Done"
        return $?

    ########################################
    # host specific PFILES will only be
    # activated if no SPFILES exist
    # Note: -e will return doesn't exist if
    # a symbolic link points to a non existing
    # target
    ########################################
    elif [ ! -e "$SPF_SID_H" -a ! -e "$SPF_SID" -a ! -e "$SPF" ]; then

        LogMsg "Info: no Oracle SPFILES configured"

        ########################################
        # now check if a host specific Oracle
        # *pfile*  $PF_SID_H  exists for creating
        # a symbolic link to
        ########################################

        if [ -e $PF_SID_H ]; then
            LogMsg "Found host specific Oracle parameter file [$PF_SID_H]"
            create_spfile_pfile_link $PF_SID_H $PF_SID
            LogMsg "Done"
            return $?
    fi
    else
        LogMsg "Done: No host specific Oracle parameter files SPFILE or PFILE found"

    fi
    return 0
}


###############################################################################
# ORACLE function: create_spfile_pfile_link
#
# Goal:
#    create a symbolic link from PARA_FILE_SID to PARA_FILE_SID_H.
#
#    The following Oracle PARA_FILES (Server Parameter Files) will be used:
#    PARA_FILE_SID_H           spfile${DBSID}.ora.${HNAME}
#    PARA_FILE_SID             spfile${DBSID}.ora
#    or
#    the older Oracle (parameter files):
#    PARA_FILE_SID_H           init${DBSID}.ora.${HNAME}
#    PARA_FILE_SID             init${DBSID}.ora
#
###############################################################################
function create_spfile_pfile_link
{
    typeset PARA_FILE_SID_H=$1
    typeset PARA_FILE_SID=$2

    ########################################
    # validation checks:
    # check file $PARA_FILE_SID_H is a plain file
    # (directory or something else isn't valid)
    ########################################

    if [ ! -f $PARA_FILE_SID_H ]; then
        LogMsg "Warning: File [$PARA_FILE_SID_H] doesn't appear to be Oracle parameter file"
        LogMsg "Will not create symbolic link to [$PARA_FILE_SID_H]"
        return 1
  fi

    ########################################
    # file $PARA_FILE_SID is valid if:
    # either file $PARA_FILE_SID doesn't exist or
    # if it is a symbolic link
    ########################################

    if [ -f $PARA_FILE_SID -a ! -h $PARA_FILE_SID ]; then
        LogMsg "Warning: File [$PARA_FILE_SID] exists and isn't a symbolic link"
        LogMsg "Will not create symbolic link to [$PARA_FILE_SID_H]"
        return 1
    fi

    ########################################
    # source and target are now ok for
    # creating a link - create link $PARA_FILE_SID
    # which points to $PARA_FILE_SID_H
    ########################################

    execute_cmd "ln -sf $PARA_FILE_SID_H $PARA_FILE_SID"
    if [ $? -ne 0 ]; then
        LogMsg "Create link failed"
        return 1
    fi

    return 0
}

#########################################################################
#
# ORACLE Function: ora_prepenv_listener
#
# Helper to prepare a proper environment setup string for users w/o a
# specific DBSID environment like user "oracle".
# Starting with 12c user "oracle" has to be used to start listener
# Writes the prepared environment string to stdout. Empty if setup
# through login scripts of that user.
#
# WVE: could also be handled in ora_setenv already
#
# Parameters:
# - user used to start/stop listener
# - DBSID
# - ORA HOME
#########################################################################
function ora_prepenv_listener {
  typeset lsnruser=$1
  typeset dbsid=$2
  typeset orahome=$3
  typeset prepenv=""

  # Do a su to the user and figure out shell and if ORACLE_HOME
  # is already set up there. Latter might not be there.
  typeset envars=""
  typeset numenvars
  envars=$(su - $lsnruser -c 'echo $SHELL; echo $ORACLE_HOME' 2>/dev/null)
  # DBG
  #echo $envars >> $SG_SCRIPT_LOG_FILE
  numenvars=$(echo "$envars" | wc -l)
  if [ $numenvars -eq 0 ]; then
    #WrnLogMsg... can't perpeare
    :
  elif [ $numenvars -eq 2 ]; then
    # no need to prepare as it contains a value ORACLE_HOME
    :
  else
      # contains 1 entry. value for SHELL, but not ORACLE_HOME
      # (if/else is a bit upside down here - FIXME )
    if echo "$envars" |  grep -e "csh$" >/dev/null ; then
      prepenv="setenv ORACLE_HOME $orahome; setenv ORACLE_SID $dbsid; setenv DB_SID $dbsid;"
    else
      # no csh, assume sh-like syntax
      prepenv="export ORACLE_HOME=$orahome; export ORACLE_SID=$dbsid; export DB_SID=$dbsid;"
    fi
  fi
  echo $prepenv
  return
}

#########################################################################
#
# ORACLE Function: ora_start_listener
#
# Parameters:
#
#########################################################################
function ora_start_listener
{
  typeset fname=ora_start_listener
  BLogMsg $*

  LogMsg "Start oracle listener as $LSNROWNER ..."
  # LSNROWNER might be missing important environment variables, esp. when "oracle"
  # Assume for now that this user has csh as login-shell (FIXME)
  # Currently environment is also prepared for users having a sufficient one, not
  # just for "oracle" (FIXME)
  typeset prepenv=""
  #prepenv="setenv ORACLE_HOME $ORACLE_HOME; setenv ORACLE_SID $DBSID; setenv DB_SID $DBSID;"
  prepenv=$(ora_prepenv_listener ${LSNROWNER} ${DBSID} ${ORACLE_HOME})
  ${SU_COMM} - ${LSNROWNER} -c "${prepenv} ${ORACLE_HOME}/bin/lsnrctl start ${SGeSAP_LISTENER_NAME:-LISTENER}" 2>&1|
    awk  'BEGIN {TRIGGER=0}
          /TNSLSNR/||/[[:upper:]]*-[1234567890]*: /||/lsnrctl: / {TRIGGER=1}
          /./ { if ($4 == "successfully") {exit 0}
            if ( TRIGGER == 1 ) {
              print $0 } } ' | logpipe
  test_proc_opt tnslsnr "${ORACLE_HOME}/bin/tnslsnr ${SGeSAP_LISTENER_NAME:-LISTENER} "
  if [ ${TPID} -eq 0 ]; then
    WrnLogMsg "${ORACLE_HOME}/bin/tnslsnr process of ${SGeSAP_LISTENER_NAME:-LISTENER} not found"
    return 1
  else
    LogMsg "tnslsnr pids: ${TPID}"
  fi

  return 0
}


#########################################################################
#
# ORACLE Function: ora_stop_listener
#
# Parameters:
#
#########################################################################
function ora_stop_listener
{
  typeset fname=ora_stop_listener
  BLogMsg $*

  typeset rc

  test_proc_opt tnslsnr "${ORACLE_HOME}/bin/tnslsnr ${SGeSAP_LISTENER_NAME:-LISTENER} "
  if [ ${TPID} -eq 0 ]; then
    LogMsg "${ORACLE_HOME}/bin/tnslsnr process of ${SGeSAP_LISTENER_NAME:-LISTENER} not running ... skipping step"
    return 0
  else
    LogMsg "tnslsnr pids: ${TPID}"
  fi

  if [ ${SGeSAP_ALLOW_EXTERNAL_LISTENER_PW:-0} -eq 1 ]; then
    if [ -s ${ORACLE_HOME}/\.sgesap ]; then
      if [ -n "${SGeSAP_LISTENER_PASSWORD}" ]; then
        WrnLogMsg "Overriding package listener password parameter"
      else
        LogMsg "Listener password found externally"
      fi
      SGeSAP_LISTENER_PASSWORD="`cat ${ORACLE_HOME}/\.sgesap|tail -1`"
    fi
  fi

  typeset prepenv=""
  #prepenv="setenv ORACLE_HOME $ORACLE_HOME; setenv ORACLE_SID $DBSID; setenv DB_SID $DBSID;"
  prepenv=$(ora_prepenv_listener ${LSNROWNER} ${DBSID} ${ORACLE_HOME})
  # comments on prepenv see start procedure

  if [ -n "${SGeSAP_LISTENER_PASSWORD}" ]; then
    ${SU_COMM} - ${LSNROWNER} -c "${prepenv} ${ORACLE_HOME}/bin/lsnrctl stat ${SGeSAP_LISTENER_NAME}" >/dev/null 2>&1
    if [ $? -eq 1 ]; then
      LogMsg "Stopping listener ${SGeSAP_LISTENER_NAME} using password authentication"
      cat >${TMPDIR}/sgesap$$.1 </dev/null
      chmod 400 ${TMPDIR}/sgesap$$.1
      echo "set password ${SGeSAP_LISTENER_PASSWORD}\nstop ${SGeSAP_LISTENER_NAME}" >${TMPDIR}/sgesap$$.1
#      ${SU_COMM} - ${DBADM} -c lsnrctl <${TMPDIR}/sgesap$$.1 1>/dev/null 2>&1
      ${SU_COMM} - ${LSNROWNER} -c "${prepenv} ${ORACLE_HOME}/bin/lsnrctl" <${TMPDIR}/sgesap$$.1 1>/dev/null 2>&1
      rc=$?
      rm ${TMPDIR}/sgesap$$.1 >/dev/null 2>&1
      if [ ${rc} -eq 0 ]; then
        return 0
      fi
    fi
  fi

  LogMsg "Stopping listener ${SGeSAP_LISTENER_NAME} as ${LSNROWNER}"
  ${SU_COMM} - ${LSNROWNER} -c "${prepenv} ${ORACLE_HOME}/bin/lsnrctl stop ${SGeSAP_LISTENER_NAME}" 2>&1|
  awk  'BEGIN {TRIGGER=0;returnstate=1;}
        /[[:upper:]]*-[1234567890]*: /||/successfully/||/lsnrctl: /||/LSNRCTL> / {TRIGGER=1}
        /./ { if (TRIGGER == 1)
              {
                print $0
              }
              if ($4 ~ "successfully")
              {
                returnstate=0;
                exit 0;
              }
            }
         END { exit returnstate }' | logpipe
  if [ $? -eq 1 ]; then
    WrnLogMsg "Listener shutdown command didn't succeed"
    if [ ${TPID} -gt 1 ]; then
      LogMsg "Send kill signal to listener process (PID: ${TPID})"
      kill ${TPID}
    fi
  fi
}


#########################################################################
#
# ORACLE Function: ora_remove_sgadef
#
# Remove sgadef-files, in case database crashed
#
# Parameters:
#
#########################################################################
function ora_remove_sgadef
{
  typeset fname=ora_remove_sgadef
  BLogMsg $*

  if [ -f ${ORACLE_HOME}/dbs/sgadef${DBSID}.dbf ]; then
    rm -f ${ORACLE_HOME}/dbs/sgadef${DBSID}.dbf
    LogMsg "Remove ${ORACLE_HOME}/dbs/sgadef${DBSID}.dbf"
  else
    LogMsg "${ORACLE_HOME}/dbs/sgadef${DBSID}.dbf not present"
  fi

  if [ -f ${ORACLE_HOME}/dbs/sgadef${DBSID}.ora ]; then
    rm -f ${ORACLE_HOME}/dbs/sgadef${DBSID}.ora
    LogMsg "Remove ${ORACLE_HOME}/dbs/sgadef${DBSID}.ora"
  else
    LogMsg "${ORACLE_HOME}/dbs/sgadef${DBSID}.ora not present"
  fi

  # Temporay sockets
  # UX:/tmp/.oracle, LX:/var/tmp/.oracle (usually, try both)
  for oratmpdir in /tmp/.oracle /var/tmp/.ora; do
    if [ -d $oratmpdir ]; then
      # Oracle 12: all (listener) sockets belong to user oracle
      # If DBADM and LSNROWNER are identical, use owner, otherwise name and pid
      if [ "$DBADM" = "$LSNROWNER" ]; then
        LogMsg "Remove temporary sockets in $oratmpdir for ORASID=[${DBADM}]"
        oldpwd=${PWD}
        cd $oratmpdir
        rm `ls -l|grep ${DBADM}|awk '/./ {printf "%s ",$9}'` >/dev/null 2>&1
        cd ${oldpwd}
      else
        LogMsg "Remove temporary sockets in $oratmpdir for DBSID=[$DBSID]"
        # filenames containing SID seem to be related to listener KEYs
        rm -f ${oratmpdir}/s${DBSID}* 2>/dev/null
        # remove orphaned sockets (no process with that pid anymore)
        for fn in $(ls ${oratmpdir}/s#*.[1-9] 2>/dev/null); do
          typeset pid=`echo $fn | cut -d'#' -f2 | cut -d'.' -f1`
          if ! kill -s 0 $pid 2>/dev/null; then
            LogMsg "Removing socket file $fn"
            rm -f $fn
          fi
        done
      fi
    fi
  done
}


#########################################################################
#
# ORACLE Function: ora_remove_shmem
#
# Remove IPCs that possibly prevent the database from starting.
#
# Parameters:
#
#########################################################################
function ora_remove_shmem
{
  typeset fname=ora_remove_shmem
  BLogMsg $*

  LogMsg "Check and remove any leftover shared memory for ORASID=[${DBADM}]"

  if [ "X${CLEANUP_POLICY}" = "Xlazy" ]; then
    LogMsg "Cleanup skipped (lazy cleanup configured)"
    return
  fi

  case "${CLEANUP_POLICY}" in
    "strict")  IPCLIST=$(ipcs |grep -e dba -e oinstall |grep -v root| ipcs2ipclist)
    ;;
    *)         if [ "$DBADM" = "$DBOWNER" ]; then
                 IPCLIST=$(ipcs |grep dba|grep " ${DBADM} "| ipcs2ipclist)
               else
                 # Rely on sysresv in DBADM path. Does the cleanup itself
                 logpipe_pre -a "IPC Resources for ORACLE_SID"
                 su - ${DBADM} -c "sysresv" 2>/dev/null
                 logpipe_post
               fi
    ;;
  esac

  if [ "X${IPCLIST}" != "X" ]; then
    LogMsg "Removing shared memory with command: [ipcrm ${IPCLIST}]"
    ipcrm ${IPCLIST}
  else
     LogMsg "No leftover shared memory found"
  fi
}

########################################################################
#
# ORACLE Function: check_oracle_processes
#
# Compare a list of required Oracle DB procs (defined in array
# MON_ORA_PROC) against the ouput of an ps command to determine if a
# database is healthy.
#
# Parameters:
# $1          # if silent set don't print anything
#
# - Generate a egrep string '(ora_pmon_SID|ora_dbw0_SID|....)' on the fly
# based on the definitions in the MON_ORA_PROC array.
# - The egrep expression does allow the matching of spaces in the process
# name .e.g ${ORACLE_HOME}/bin/tnslsnr ${LISTENER_NAME}". This currently
# isn't used though.
# - The owner/user name for the database processes can either be ${DBADM} or
# ${MYSIDADM}.
# - It is possible for the admin to add additonal processes to check
# by adding an array entry to customer_functions.sh such as:
#   MON_ORA_PROC[6]="ora_xxxx_${DBSID}"
#
########################################################################
function check_oracle_processes
{
  typeset fname=check_oracle_processes
  [ "${1}" -ne 1 ] && BLogMsg $*

    typeset silent=${1:-1};       # if ${1} == 1 stay silent (is the default)
                                  # if ${1} != 1 be verbose

    # A collection of Oracle DB procs for monitoring health
    # set -A MON_ORA_PROC declared in sapdatab.mon
    MON_ORA_PROC[0]="ora_pmon_${DBSID}"
    MON_ORA_PROC[1]="ora_dbw0_${DBSID}"
    MON_ORA_PROC[2]="ora_ckpt_${DBSID}"
    MON_ORA_PROC[3]="ora_smon_${DBSID}"
    MON_ORA_PROC[4]="ora_lgwr_${DBSID}"
    MON_ORA_PROC[5]="ora_reco_${DBSID}"

                                  # nr of procs to check == nr of array elements
    num_procs=${#MON_ORA_PROC[@]}
    typeset act_procs=0;          # number of runnnig procs found
    typeset i=0                   # counter


    # egrep ps search string starts with user, then spaces,
    # then various oracle proc_names
    typeset grep_str="'.+ +("
    while [ "$i" -lt "$num_procs" ]
    do
        if [ "$i" = 0 ]; then
            grep_str="${grep_str}${MON_ORA_PROC[$i]}"
        else
            grep_str="${grep_str}|${MON_ORA_PROC[$i]}"
        fi
        (( i = $i + 1 ))
    done
    grep_str="${grep_str})'"   # egrep search string ends with )'

    # get oracle procs and count them
    # Oracle 12: added DBOWNER (usually oracle)
    [[ $UX -eq 1 ]] && CMD="${UNIX95} ps -exo user,comm| grep -E \"^(${DBADM}|${MYSIDADM}|${DBOWNER})\" | grep  -cE $grep_str"
    [[ $LX -eq 1 ]] && CMD="ps -eo user,cmd| grep -E \"^(${DBADM}|${MYSIDADM}|${DBOWNER})\" | grep  -cE $grep_str"

#    [ "${silent}" -ne 1 ] && LogMsg "CMD=[$CMD]"
    act_procs=`eval $CMD`
    [ "${silent}" -ne 1 ] && LogMsg "Green for substep: oracle act_procs=[$act_procs], required are num_procs=[$num_procs]"

    # Success: all Oracle processes are running - return success
    [ $act_procs -eq $num_procs ] && return 0

    # Failure: one or more Oracle process(es) are missing - try to find out which one
    for p in "${MON_ORA_PROC[@]}"
    do
#        [[ $UX -eq 1 ]] && CMD="UNIX95=YES ps -exo user,comm| grep -E \"^(${DBADM}|${MYSIDADM})\" | grep -cE '.+ +(${p})'"
#        [[ $LX -eq 1 ]] && CMD="ps -eo user,cmd| grep -E \"^(${DBADM}|${MYSIDADM})\" | grep -cE '.+ +(${p})'"
#        Oracle12: commented on LX. On decomment extend as above

        [ "${silent}" -ne 1 ] && LogMsg "CMD=[$CMD]"
        act_procs=`eval $CMD`
        [ $act_procs -eq 0 ] && LogMsg "Oracle process [$p] not running"
    done

    return 1                    #return failure
}



#########################################################################
#
# Oracle Function: ora_db_up
#
# Check if DB is up. The first pass is to check if DB procs don't exist
# (return=0) or DB procs are running (return=10). Then drill down some
# more to get a more detailed status... because if DB procs are running
# it doesn't mean DB can be accessed by SAP.
#
# 1) Check for "ora_...._${DBSID}" process owned by DBADMIN.
# 2) Check for Oracle listener process
# 3) If DB is available then use a "SAP DB connect utility" SAP_CU to
#    connect to DB. SAP_CU="startsap -check" get prefilled in
#    function  ora_setenv()
# 4) If variable SAP_CU isn't defined or the execution of SAP_CU
#    fails, connect to the database with ora_native_db_up(), which checks
#    for the DBSID in the v$instance table.
#
# Parameters:
# $1          silent mode (will be set to 1 for use by monitor)
#
# Return values ranges
#   0     DB server procs not running
#   1..9  database is running, but utilities don't see it up
#   10    DB server procs running e.g. ps lists db processes
#   11..  database is running and utilities also consider it up
#
# Detailed return values
# ORAMONSTATUS_00: DB procs not running
# ORAMONSTATUS_01: DB proc running, SAP CCU not avail, native reporting down
# ORAMONSTATUS_02: DB proc running, SAP CCU reporting down, native not configured
# ORAMONSTATUS_03: DB proc running, SAP CCU reporting down, native reporting down
# ORAMONSTATUS_04: Oracle listener down but database is up
# ORAMONSTATUS_10: DB proc running, SAP CCU wasn't run , native wasn't run
# ORAMONSTATUS_11: DB proc running, SAP CCU reporting up, native wasn't run
# ORAMONSTATUS_12: DB proc running, SAP CCU not avail, native reporting up
# ORAMONSTATUS_13: DB proc running, SAP CCU reporting down, native reporting up
#
#########################################################################
function ora_db_up
{
  typeset fname=ora_db_up
  [ "${1}" -ne 1 ] && BLogMsg $*

  typeset -i dsavail=0  # 0 = no database server processes running
  typeset -i rc=99

  ########################################
  # check for DB procs
  ########################################


  check_oracle_processes ${1}
  if [ $? -eq 0 ]; then # DB is available
    dsavail=10
#    [ "${1}" -ne 1 ] && LogMsg "Found DB procs ora_...._${DBSID} for ${DBADM} up with PID ${TPID}"
  else
    WrnLogMsg "Some DB procs for ${DBSID} not running"
    return 0   # STATUS  0: DB procs not running

  fi

  ########################################
  # check for Oracle listener
  ########################################
  test_proc_opt tnslsnr "${ORACLE_HOME}/bin/tnslsnr ${SGeSAP_LISTENER_NAME:-LISTENER} "
  if [ $? -eq 0 ]; then
    [ "${1}" -ne 1 ] && LogMsg "Green for substep: ${ORACLE_HOME}/bin/tnslsnr ${SGeSAP_LISTENER_NAME:-LISTENER} running"
  else
     WrnLogMsg "${ORACLE_HOME}/bin/tnslsnr process of ${SGeSAP_LISTENER_NAME:-LISTENER} not running"
     return 4   # STATUS  4: Oracle listener down but database is up
  fi


  ########################################
  # run a Oracle Connection Check Utility
  ########################################
  # At this point Oracle procs and the Oracle listener are running. Now
  # try  to access the database with a SAP utility. The utility to use
  # gets set in global variable ORA_CCU (Oracle Connection Check Utility)
  # in  function ora_setenv().
  #
  # Note: ORA_CCU might not be set at all - e.g. SAP MDM has no R3trans

    if [ -n "${MYSIDADM}" ]; then

      if [ -n "${ORA_CCU}" ]; then
        [ "${1}" -ne 1 ] && LogMsg "ORA_CCU: su - ${MYSIDADM} -c \"eval ${ORA_CCU}\""
        su - ${MYSIDADM} -c "eval ${ORA_CCU}" >/dev/null 2>&1 &
        watchdog $! 30 "${1}"
        rc=$?
      fi

      if [ ${rc} -ne 0 -a -n  "${ORA_CCU_2}" ]; then
        [ "${1}" -ne 1 ] && LogMsg "ORA_CCU_2: su - ${MYSIDADM} -c \"eval ${ORA_CCU_2}\""
        su - ${MYSIDADM} -c "eval ${ORA_CCU_2}" 2>&1 | grep -E 'Database is running$' >/dev/null &
        watchdog $! ${WATCHDOG_TIMEOUT} "${1}"
        rc=$?
      fi

      # WVE: disable ORA_CCU if that one had rc>0 and ORA_CCU_2 is set and returned rc=0

      if [ ${rc} -eq 0  ]; then
          [ "${1}" -ne 1 ] && LogMsg "Green for substep: ORA_CCU reports database running"
          return 11 # DB is running - no need to native db check
      fi
      dsavail=2
    fi
    # End of ORA_CCU test

  ########################################
  # external Oracle Connection Check Utility
  ########################################
    if [  -n "${ORA_CCU_EXTNL}" ]; then

      [ "${1}" -ne 1 ] && LogMsg "Trying to connect to database using ${ORA_CCU_EXTNL}"
      su - ${DBADM} -c "eval ${ORA_CCU_EXTNL}" >/dev/null 2>&1 &
      watchdog $! 30 "${1}"
      rc=$?
      # an external CCU was configured instead of internal
      if [ ${rc} -eq 0 ] ; then
        [ "${1}" -ne 1 ] && LogMsg "Green for substep: ORA_CCU_EXTNL reports database running"
        return 11   # DB is running - no need to native db check
      fi
      dsavail=2

    fi

    # The CCU wasn't available or couldn't be trusted. Check health
    # of database via sqlplus... e.g. native
    if ora_native_db_up ${1}; then
      ########################################
      # ora_native_db_up reports DB up
      ########################################
      if [ ${dsavail} -eq 10 ]; then
        return 12   # STATUS 12: DB proc running, SAP CCU not avail, native reporting up
      else
        return 13   # STATUS 13: DB proc running, SAP CCU reporting down, native reporting up
      fi
    fi

    ########################################
    # ora_native_db_up reports DB down
    ########################################
    [ ${dsavail} -eq 10 ] && return 1 # STATUS  1: DB proc running, SAP CCU not avail, native reporting down
    return 3 # STATUS  3: DB proc running, SAP CCU reporting down, native reporting down

  # else: no native, process running, (no sap util or reported not running)
  # returncode already set

  return $dsavail
}

#########################################################################
#
# Oracle Function: ora_native_db_up
#
# Check if DB is accessible with Oracle mechanisms by using sqlplus.
# Also assumes that dataserver is up and a connection should succeed.
#
# Parameters:
# $1          silent mode (set to 1 for use in monitor)
#
# Returns:
# 0 - DB up or DB in recovery
# 1 - DB down or server not accessible
#
#########################################################################
function ora_native_db_up
{
  typeset fname=ora_native_db_up
  [ "${1}" -ne 1 ] && BLogMsg $*

  typeset    isqlout="/var/tmp/isql.$$.out"
  typeset -i returncode=0

#  [ "${1}" -ne 1 ] && LogMsg "Checking DB availabilty by accessing v\$instance table for ${DBSID}"

  sqllog=$( ${SU_COMM} - ${DBADM} -c "${ORACLE_HOME}/bin/sqlplus /nolog" 2>&1 << EOF
    connect / as sysdba
    WHENEVER SQLERROR EXIT 1
    WHENEVER OSERROR EXIT 2
    select instance_name,startup_time,status,database_status,active_state from v\$instance;
EOF
)
  # DB is up and we have a status
  echo "$sqllog"| grep -q $DBSID
  if [ $? -eq 0 ]; then
    # informational log if not set silent
    if [ "${1}" -ne 1  -a ${SG_LOG_LEVEL} -ge 4 ]; then
        echo "$sqllog" | egrep -v "stty|ttytype|Not a terminal" | logpipe
        LogMsg "Green for substep: Status of ${DBSID} in v\$instance"
    fi
    return 0
  fi

  # else either no connection or no access to DB or table
  # (keep in mind that ora_native_db_up is only called if a database process was found)

  WrnLogMsg "Oracle listener, or database or v\$instance table not accessible"
  LogMsg "Log of sqlplus v\$instance command:"
  echo "$sqllog" | egrep -v "stty|ttytype|Not a terminal" | logpipe

  returncode=1
  return ${returncode}
}
#########################################################################
# liveCache database functions
#########################################################################

#########################################################################
# Function:   maxdb_get_state
# Purpose:    get status of db by running maxdb db_state command
# Parameters: $1..$4
# Note:       $MAXDBHSS can be empty
#########################################################################
function maxdb_get_state {
  typeset MAXDBADM="$1"
  typeset MAXDBMCLIEXT="$2"
  typeset MAXDBRELOC="$3"
  typeset MAXDBHSS="$4"

  typeset MAXDBSTATUS

  MAXDBSTATUS=$(su - $MAXDBADM -c "$MAXDBMCLIEXT -n $MAXDBRELOC $MAXDBHSS db_state" 2>&1 \
             | grep -v logout | tail -1 | check_for_error \
             ) 2>&1

  echo "$MAXDBSTATUS"
}

#########################################################################
# Function:   check_for_error
# Purpose:    parse db_state output. if line matches Error! print string
#             after Error!  else print line (e.g.state returned)
# Parameters: none
#########################################################################
function check_for_error {
  awk '/Error!/ { split($0,a,"Error!"); print a[2]; exit } /./ {print $0}'
}

#########################################################################
# Function:   logpipe_lcfile
# Purpose:    log lcinit file. Skip all lines that begin with a blank
# Parameters: ${LCWRKDIR}/lcinit.log
#########################################################################
function logpipe_lcfile {
  typeset file
  file="${LCWRKDIR}/lcinit.log"
  [[ -r $file ]] && cat $file | awk '/^ / { next } /./ { print $0 }'| logpipe
}

#########################################################################
#
# Function: init_dbmcli_cmds
#
# Check liveCache/MAXDB dbmcli commands
#
# Prerequisites: Vserver must be running prior to calling this function
#
# Parameters:
#
# $1 user
# $2 dbmcli string
# $3 SID
#
#########################################################################
function init_dbmcli_cmds
{
  typeset fname=init_dbmcli_cmds
  BLogMsg $*

  typeset rc
  typeset vers
  #
  # check connect string and database version
  # on package start only
  #
  if [ "X${op_code}" = "Xstart" ]; then
    su - ${1} -c "${2} version" 1>/dev/null 2>&1
    rc=$?

    if [ ${rc} -ne 0 ]; then
      #
      # if standby is not configured, it is safe to clean the environment;
      # there couldn't be a local standby system running that would require the environment
      #
      if [ "X${SGeSAP_LC_STANDBY_COPY_MECHANISM}" = "X" ]; then
        WrnLogMsg "MaxDB/Livecache operation failed - cleaning environment first"
        maxdb_rmspool ${3}
        su - ${1} -c "${2} version" 1>/dev/null 2>&1
        rc=$?
      fi
    fi
    if [ ${rc} -ne 0 ]; then
      ErrLogMsg "MaxDB/Livecache connection failed: ${DBMCLIEXT} (${rc}) (check xuserkeys for ${1})"
    else
      vers=`su - ${1} -c "${2} version" 2>&1|grep -v logout |tail -1`
      LogMsg "version info: ${vers}"
      vers=`echo ${vers} | cut -f 2 -d '"'`
      if ! [ `echo ${vers}|cut -f 1 -d '.'` -ge 7 ]; then
        ErrLogMsg "version not detectable - maybe not supported"
      fi
      [ `echo ${vers}|cut -f 2 -d '.'` -lt 5 ] && ErrLogMsg "version too old; not supported" && exit ${FATAL}
      [ `echo ${vers}|cut -f 2 -d '.'` -gt 9 ] && ErrLogMsg "version not yet supported" && exit ${FATAL}
    fi
  fi

  DBMCLI_DB_OFFLINE=db_offline
  DBMCLI_DB_COLD=db_admin
  DBMCLI_DB_SLOW="${DBMCLI_DB_COLD} -s"
  DBMCLI_DB_WARM=db_online
  DBMCLI_DB_STANDBY=db_standby
  DBMCLI_DB_STOP=db_stop
  LC_OFFLINE=OFFLINE
  LC_COLD=ADMIN
  LC_SLOW=SLOW
  LC_WARM=ONLINE
  LC_STANDBY=STANDBY
  LC_SAPEVT=SAPEVT
  LC_COMBI=APO_INIT

  #
  # conversion of obsoleted LCSTARTMODEs to remain backward compatibility
  #
  case ${LCSTARTMODE} in
    "COLD")
      LCSTARTMODE=${LC_COLD}
    ;;
    "WARM")
      LCSTARTMODE=${LC_WARM}
    ;;
  esac

}


#########################################################################
#
# Function: start_lc
#
# liveCache startup function
#
# Parameters:
#
#########################################################################
function start_lc
{
  typeset fname=start_lc
  BLogMsg $*

  typeset lc_standby_role

  #
  # delay, if indep program path not available yet
  #
  check_access ${MAXDBDIR}/bin

  for FILENAME in ${XSERVER} ${DBMCLI}
  do
    if [ ! -x ${FILENAME} ]; then
      ErrLogMsg "Can not find ${FILENAME} file"
#      exit ${ERROR}
      if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
        return ${ERROR}
      else
        exit ${ERROR}
      fi
    fi
  done

  maxdb_check_isolated_inst ${LCSID}

  maxdb_start_vserver ${LCADM} ${LCSID}

  init_dbmcli_cmds ${LCADM} "${LCDBMCLIEXT}" ${LCSID}

  #
  # configure master/standby role
  #
  if [ ${LC_STANDBY_RESTART} -ne 0 ]; then
    lc_standby_role=`su - ${LCADM} -c "${LCDBMCLIEXT} -n ${LCRELOC} param_directget HS_NODE_002 " 2>&1|grep HS_NODE_002|awk ' { print $2 } '|${TRUL}`
    if [ "X${lc_standby_role}" != X`echo ${HNAME}|${TRUL}` ]; then
      if [ "X${lc_standby_role}" = "X" ]; then
        WrnLogMsg "Standby role not set"
      else
        LogMsg "Standby role is with secondary : ${lc_standby_role}"
      fi
    else
      lc_standby_role=`su - ${LCADM} -c "${LCDBMCLIEXT} -n ${LCRELOC} param_directget HS_NODE_001 " 2>&1|grep HS_NODE_001|awk ' { print $2 } '|${TRUL}`
      if [ "X${lc_standby_role}" = X`echo ${HNAME}|${TRUL}` ]; then
        WrnLogMsg "LiveCache cannot distinguish upper/lowercase letters for hostnames"
        ErrLogMsg "Cannot detect standby role"
        exit 1
      fi
      LogMsg "Standby role is with primary server: ${lc_standby_role}"
    fi
  else
    lc_standby_role=""
    LogMsg "Standby role not set"
  fi

  #
  # check liveCache state and cleanup if obviously needed
  #
  LogMsg "Connect as ${LCADM}: ${LCDBMCLIEXT} -n ${LCRELOC}"
  LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${LCRELOC}")
  LogMsg "LiveCache state prior to cleanup: ${LCSTATUS}"

  if [ "X${LCSTATUS}" = "X${LC_WARM}" ]; then
    test_proc_user kernel ${LCADM} || test_proc_user slowknl ${LCADM}
    if [[ ${TPID} -ne 0 ]]; then
      LogMsg "Reported liveCache status appears inconsistent"
    fi
  fi

  if [ "X${LCSTATUS}" = "XSTOPPED INCORRECTLY" ]; then
    maxdb_clear ${LCADM} "${LCDBMCLIEXT}"
  fi
  LogMsg "Leaving conditional cleanup routines"

  #
  # convert to master if possible
  #
  if [ "X${LCSTATUS}" = "X${LC_STANDBY}" ]; then
    LogMsg "Promote standby system to master"
    su - ${LCADM} -c "${LCDBMCLIEXT} ${DBMCLI_DB_WARM}" >/dev/null 2>&1
    [ -x saplc.mon ] && ./saplc.mon starting req
    lctestmode=${LC_WARM}
  else
    LogMsg "No local standby system available"
    #
    # (re)start liveCache
    #
    if [ "X${LCSTARTMODE}" = "X${LC_OFFLINE}" ]; then
      return 0
    elif [ "X${LCSTARTMODE}" = "X${LC_COLD}" ]; then
      LogMsg "Trigger liveCache ${LC_COLD} start"
      su - ${LCADM} -c "${LCDBMCLIEXT} ${DBMCLI_DB_COLD}" >/dev/null 2>&1
      lctestmode=${LC_COLD}
    elif [ "X${LCSTARTMODE}" = "X${LC_SLOW}" ]; then
      LogMsg "Trigger liveCache ${LC_SLOW} start"
      su - ${LCADM} -c "${LCDBMCLIEXT} ${DBMCLI_DB_SLOW}" >/dev/null 2>&1
      lctestmode=${LC_COLD}
    elif [ "X${LCSTARTMODE}" = "X${LC_WARM}" ]; then
      LogMsg "Trigger liveCache ${LC_WARM} start..."
      LogMsg "Trigger COM routine creation... "
      su - ${LCADM} -c "${LCINIT} restart" 1>/dev/null 2>&1
      logpipe_lcfile
      lctestmode=${LC_WARM}
    elif [ "X${LCSTARTMODE}" = "X${LC_SAPEVT}" ]; then
      LogMsg "Trigger APO event: sgesap_startlc ${LC_EVT_OPTIONS}..."
      su - ${APOADM} -c "sapevt sgesap_startlc ${LC_EVT_OPTIONS}" >/dev/null 2>&1 &
      watchdog $!
      if [ $? -eq 0 ]; then
        LogMsg "Event trigger successful"
        return 0
      else
        LogMsg "Event trigger failed"
        if [ ${LC_MANUAL_PREVENTION} -eq 0 ]; then
          LogMsg "lcinit liveCache ${LC_WARM} start..."
          LogMsg "Trigger COM routine creation... "
          su - ${LCADM} -c "${LCINIT} restart" 1>/dev/null 2>&1
          logpipe_lcfile
          lctestmode=${LC_WARM}
        fi
      fi
    elif [ "X${LCSTARTMODE}" = "X${LC_COMBI}" ]; then
      LogMsg "Trigger liveCache '${LC_COMBI}' start..."
      LogMsg "Trigger COM routine creation... "
      su - ${LCADM} -c "${LCINIT} restart" 1>/dev/null 2>&1
      logpipe_lcfile
      lctestmode=${LC_WARM}
      LogMsg "Trigger APO event: sgesap_startlc ${LC_EVT_OPTIONS}..."
      su - ${APOADM} -c "sapevt sgesap_startlc ${LC_EVT_OPTIONS}" >/dev/null 2>&1 &
      watchdog $!
      if [ $? -eq 0 ]; then
        LogMsg "Event trigger successful"
        return 0
      else
        WrnLogMsg "Event trigger failed"
      fi
    else
      LogMsg "Unknown liveCache start mode: ${LCSTARTMODE}"
#      exit ${ERROR}
        if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
          return ${ERROR}
        else
          exit ${ERROR}
        fi
    fi
  fi

  #
  # check liveCache state
  #
  LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${LCRELOC}")

  while [ "X${LCSTATUS}" = "X${LC_STANDBY}" ]; do
    sleep 3
    LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${LCRELOC}")
  done

  LogMsg "LiveCache state after startup attempt: ${LCSTATUS}"

  if [ `echo ${LCSTATUS}|grep ${lctestmode}|wc -l` -ne 0 ]; then
    #
    # restart standby if required
    #
    if [ "X${lc_standby_role}" != "X" ]; then
      if [[ ( ${LC_STANDBY_RESTART} -eq 1 ) && ( "X${lctestmode}" = "X${LC_WARM}" ) ]]; then
        is_node_alive ${lc_standby_role} &
        watchdog $!
        if [ $? -eq 1 ]; then

          #
          # set up remote communication layer first
          #
          ${REM_COMM} ${lc_standby_role} -l ${LCADM} -n "(ps -ef|grep -v grep|grep vserver); if [ $? -eq 0 ]; then ${XSERVER}; fi" >/dev/null 2>&1

          LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${LCRELOC}" "hss_execute ${lc_standby_role}")
          LogMsg "Remote standby state: ${LCSTATUS}"
          if [ "X${LCSTATUS}" = "X${LC_STANDBY}" ]; then
            LogMsg "Stopping and restarting standby..."

            su - ${LCADM} -c "${LCDBMCLIEXT} -n ${LCRELOC} hss_execute ${lc_standby_role} ${DBMCLI_DB_OFFLINE}" >/dev/null 2>&1
            LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${LCRELOC}" "hss_execute ${lc_standby_role}")
            LogMsg "Remote standby state: ${LCSTATUS}"
            if [ "X${LCSTATUS}" = "X${LC_OFFLINE}" ]; then
              su - ${LCADM} -c "${LCDBMCLIEXT} -n ${LCRELOC} ${DBMCLI_DB_STANDBY} ${lc_standby_role}" >/dev/null 2>&1
              LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${LCRELOC}" "hss_execute ${lc_standby_role}")
              LogMsg "Remote standby state: ${LCSTATUS}"
              if [ "X${LCSTATUS}" != "X${LC_STANDBY}" ]; then
                WrnLogMsg "This is an unexpected state after standby restart"
                WrnLogMsg "Manual intervention required to restart standby"
              fi
            else
              WrnLogMsg "This is an unexpected state after standby shutdown"
              WrnLogMsg "Manual intervention required to restart standby"
            fi
          elif [ "X${LCSTATUS}" = "X${LC_WARM}" ]; then
            #
            # should never happen due to master token mechanism
            # via libhsgesap.so, but...
            #
            ErrLogMsg "Split brain situation - stopping package"
#            exit ${ERROR}
            if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
              return ${ERROR}
            else
              exit ${ERROR}
            fi
          else
            WrnLogMsg "Second liveCache is not in standby mode - restart skipped"
          fi
        else
          LogMsg "Standby node not alive"
        fi
      else
        LogMsg "Standby restart - skipped"
      fi
    fi
    LogMsg "LiveCache start procedure complete"

  else
    (( START_LC_COUNT = ${START_LC_COUNT} + 1 ))
    if [ "X${lc_standby_role}" != "X" ]; then
      if [ -r ${LCWRKDIR}/knldiag ]; then
        cat ${LCWRKDIR}/knldiag|grep ERR|grep RTEHSS_API|grep -v "Buffer supplied not sufficient"|logpipe
      fi
      is_node_alive ${lc_standby_role}
      if [ $? -eq 1 ]; then
        LogMsg "Try failover to standby host"
#        exit ${ERROR}
        if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
          return ${ERROR}
        else
          exit ${ERROR}
        fi
      fi
    fi
    if [ ${START_LC_COUNT} -eq 1 ]; then # second try
      WrnLogMsg "First liveCache startup attempt failed"

      LogMsg "Force liveCache shutdown prior to restart..."
      stop_lc

      LogMsg "Force cleanup prior to restart..."
      maxdb_rmspool ${LCSID}
      maxdb_clear ${LCADM} "${LCDBMCLIEXT}"

      test_proc "${VSERVER}"
      if [[ ${TPID} -ne 0 ]]; then
        # WVE using vserver stop function here?
        LogMsg "Restarting vserver"
        su - ${LCADM} -c "${XSERVER} ${XSERVER_STOPOPTION}" 1>/dev/null 2>&1
        sleep 5 # this asynchronous process might take a while
      fi

      app_remove_shmem

      #
      # trigger second try
      # (this is not an infinite loop)
      #
      start_lc

    else
      #
      # give up
      #
      ErrLogMsg "Local liveCache startup attempts failed"
      START_LC_COUNT=0
#     exit ${ERROR}
      if [ ${LEGACY_PKG:-0} -eq 1 ]; then
        exit ${ERROR}
      else
        guard_exit_in_maint ${ERROR}
        if [ $? -eq 1 ]; then
          return ${ERROR}
        else
          exit ${ERROR}
        fi
      fi
    fi
  fi

return 0
}



#########################################################################
#
# Function: stop_lc
#
# Stop liveCache.
#
# Parameters:
#
#########################################################################
function stop_lc
{
  typeset fname=stop_lc
  BLogMsg $*

  maxdb_check_isolated_inst ${LCSID}

  if maxdb_db_running ${LCSID}; then
     # call maxdb_start_vserver. Tests for running $VSERVER internally
     maxdb_start_vserver ${LCADM} ${LCSID}
  fi

  init_dbmcli_cmds ${LCADM} "${LCDBMCLIEXT}" ${LCSID}

  if [[ "X${LCSTARTMODE}" = "X${LC_SAPEVT}" ]]; then
    LogMsg "Trigger APO event: sgesap_stoplc ${LC_EVT_OPTIONS}..."
    su - ${APOADM} -c "sapevt sgesap_stoplc ${LC_EVT_OPTIONS}" >/dev/null 2>&1 &
    watchdog $!
    if [ $? -eq 0 ]; then
      LogMsg "Event trigger successful"
      LogMsg "Waiting for shutdown to succeed"
      #
      # wait until shutdown took place
      #
      for i in ${DELAY_INTERVALS}
      do
        sleep ${WATCHDOG_TIMEOUT}
        test_proc_opt kernel ${LCSID} || test_proc_opt slowknl ${LCSID}
        if [[ ${TPID} -eq 0 ]]; then
          LogMsg "Success - no running liveCache process left"
          return 0
        fi
      done
    else
      LogMsg "Event trigger failed"
    fi
    LogMsg "Shutdown of liveCache with APO event failed"
    if [ ${LC_MANUAL_PREVENTION} -ne 0 ]; then
      LogMsg "lcinit stop configured to be skipped"
#      exit ${ERROR}
      if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
        return ${ERROR}
      else
        exit ${ERROR}
      fi
    fi
  fi

  LogMsg "Trigger lcinit liveCache stop..."
  su - ${LCADM} -c "${LCINIT} shutdown" 1>/dev/null 2>&1 &
  watchdog $!
  returncode=$?
  case $returncode in
    0)
      LogMsg "No error reported during shutdown"
    ;;
    *)
      LogMsg "Error reported during shutdown (rc=${returncode})"
  esac

  test_proc_opt kernel ${LCSID} || test_proc_opt slowknl ${LCSID}
  if [[ ${TPID} -eq 0 ]]; then
    LogMsg "Success - no running liveCache process left"
  else
    for i in 1 2 3
    do
      WrnLogMsg "Running liveCache process found for ${LCSID}"
      LogMsg "Process interrupt attempt (${TPID})..."
      kill ${TPID}
      sleep 5
      test_proc_opt kernel ${LCSID} || test_proc_opt slowknl ${LCSID}
      if [[ ${TPID} -eq 0 ]]; then
        LogMsg "Success - no running liveCache process left"
        break
      fi
    done
    if [[ ${TPID} -ne 0 ]]; then
      LogMsg "Process kill attempt (${TPID})..."
      kill -9 ${TPID}
      sleep 5
      test_proc_opt kernel ${LCSID} || test_proc_opt slowknl ${LCSID}
      if [[ ${TPID} -eq 0 ]]; then
        LogMsg "Success - no running liveCache process left"
      else
        WrnLogMsg "Kill failed"
      fi
    fi
    maxdb_rmspool ${LCSID}
    maxdb_clear ${LCADM} "${LCDBMCLIEXT}"
  fi

  maxdb_stop_vserver ${LCADM} ${LCSID}

  return 0
}


#########################################################################
#
# Function: clear_lc
#
# Remove liveCache debris.
#
# Parameters:
#
#########################################################################
function clear_lc
{
  typeset fname=clear_lc
  BLogMsg $*

  if [[ -a ${STARTUP_LC} ]]; then
    WrnLogMsg "Removing obsoleted SAP notifications:"
    cat ${STARTUP_LC}|logpipe
    rm /${STARTUP_LC}
    LogMsg "<EOF>"
  fi
}

#########################################################################
# Sybase ASE database functions
#########################################################################

#########################################################################
#
# Sybase Function: syb_setenv
#
# Initialize Sybase specific hidden options.
#
# Parameters:
#
#########################################################################
function syb_setenv
{
  typeset fname=syb_setenv
  BLogMsg $*

  SYBSID=${SYBSID:-"syb`echo ${SAPSYSTEMNAME}|$TRUL`"}
  SYB_ROOT=${SYB_ROOT:-`su - ${SYBSID} -c ${ENV} 2>/dev/null|grep SYBROOT|tail -1|cut -d "=" -f 2-`}
  SYB_ASE=${SYB_ASE:-`su - ${SYBSID} -c ${ENV} 2>/dev/null|grep SYBASE_ASE|tail -1|cut -d "=" -f 2-`}
  SYB_OCS=${SYB_OCS:-`su - ${SYBSID} -c ${ENV} 2>/dev/null|grep SYBASE_OCS|tail -1|cut -d "=" -f 2-`}

  DBADM=${DBADM:-"`echo ${DBSID}|$TRUL`adm"}
  LogMsg "SYBSID=${SYBSID} SYB_ROOT=${SYB_ROOT} SYB_ASE=${SYB_ASE} SYB_OCS=${SYB_OCS} DBADM=${DBADM}"

  # Check for (indirect) R3trans as the connection check utility (SYB_CCU)
  # Different variable name for externally set utility to allow override on reload only if not set
  # SYB_CCU_EXTNL to be set in customer functions
  #set | grep -e "^SYB_CCU_EXTNL=" >/dev/null 2>&1  # to distiguish between unset and empty.
  # make sure it starts at beginning of line (not to match it with occurences in a function)

  if [ "${SYB_CCU_EXTNL-XXX}" == "XXX" ]; then
    # Check DB connectivity with R3trans (In this case as a utility to check
    # connectivity to the DB. Any other similar tool would also do it).
    # if SAPSYSTEMNAME isn't set, use DBSID. (SAPSYSTEMNAME maybe != DBSID)
    find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME:-${DBSID}}" startsap
    if [ $? -eq 0 ]; then
      SYB_CCU="${LOCATION} -check"
      LogMsg "Database connection check utility: [${SYB_CCU}]"
      # There is some potential for hangs if this LOCATION is on SYS and this function
      # is used for long running processes (as the monitor) if NFS goes away...
    else
      SYB_CCU=""
    fi
  else
    SYB_CCU="${SYB_CCU_EXTNL}"
	unset SYB_CCU_EXTNL
    LogMsg "Database connection check utility: [${SYB_CCU}] (defined externally)"
  fi

  if [ -z "${SYB_CCU}" ]; then
    LogMsg "Database connection check utility not set - skipping tests using utility"
  fi

# so far SYBASE write start and stop logs to syb<dbsid> home.
#
#  if [ -d "${MYHOMEDIR}" ]; then
#    LOGFILE_STARTDB=${LOGFILE_STARTDB:-${MYHOMEDIR}/startdb.log}
#    LOGFILE_STOPDB=${LOGFILE_STOPDB:-${MYHOMEDIR}/stopdb.log}
#  else
#    LOGFILE_STARTDB=${LOGFILE_STARTDB:-~${DBADM}/startdb.log}
#    LOGFILE_STOPDB=${LOGFILE_STOPDB:-~${DBADM}/stopdb.log}
#  fi

   # Different location for startdb and stopdb for Sybase!
   LOGFILE_STARTDB=${LOGFILE_STARTDB:-$(eval echo ~${SYBSID}/startdb.log)}
   LOGFILE_STOPDB=${LOGFILE_STOPDB:-$(eval echo ~${DBADM}/stopdb.log)}
}

#########################################################################
#
# Sybase Function: syb_remove_shmem
#
# Remove IPCs that could prevent the database from being started
# successfully.
# As with MaxDB DB admin syb<sid> belongs to sapsys group.
#
# Parameters:
#
#########################################################################
function syb_remove_shmem
{
  typeset fname=syb_remove_shmem
  BLogMsg $*

  case "${CLEANUP_POLICY}" in
    "lazy")    IPCLIST=""
    ;;
    "strict")  # dbsid=`echo ${DBSID} | lc`
               IPCLIST=$(ipcs | grep -e " syb... " |ipcs2ipclist)
    ;;
    *)         IPCLIST=$(ipcs | grep " ${SYBSID} " |ipcs2ipclist)
               # IPCLIST=""
    ;;
  esac

  if [ "X${IPCLIST}" != "X" ]; then
    LogMsg "Removing shm resources using ${CLEANUP_POLICY} cleanup policy"
    LogMsg "Removed IPCs: ${IPCLIST}"
    ipcrm ${IPCLIST}
  fi
}

#########################################################################
#
# Sybase Function: syb_db_up
#
# Check if DB is up
# Done by looking for "dataserver" process owned by DB-admin.
# If that is available SAP utility (startsap -check) is used.
# If that one isn't available or fails, isql is used (if ASE user is
# specified)
#
# Parameters:
# $1          silent mode (set to 1 for use in monitor)
#
# Returns (to be updated):
# 0 - dataserver process not running
# <10 - if dataserver process is running but no utility could see it up
# 1 - proc.running, SAP util not avail, native reporting down
# 2 - proc.running, SAP util reporting down, native not configured
# 3 - proc.running, SAP util reporting down, native reporting down
# 10  - proc. running, SAP util reporting down, native not set
# >10 - if dataserver is running and either SAP or isql consider it up
#
# Alternative Approach:
# Use native mechanism first if a ASEUSER is set, then fallback to startsap.
# (so far native is used when SAP util isn't available or if this
#  reports an error)
#
#########################################################################
function syb_db_up
{
  typeset fname=syb_db_up
  [ ${1:-0} -ne 1 ] && BLogMsg $*

  typeset -i dsavail=0  # 0 = nothing available
  typeset -i rc

  test_proc_user dataserver $SYBSID
  if [ $? -eq 0 ]; then # available
    dsavail=10
    [ ${1:-0} -ne 1 ] && LogMsg "dataserver for ${DBSID} up with PID ${TPID}"
  else
    return 0
    # ErrLogMsg "dataserver for ${DBSID} not running"
  fi

  # dataserver is running at this point
  # Check with SAP method if available and not deconfigured.
  # SAP utility searched outside.
  # startsap -check only works fine if
  # - there is an profile configured to local hostname or
  # - the vhost of a profile is active on the localhost or
  # - the vhost is provided by the -vhost option
  # For best results provide a complete vhost list. However, there are still
  # cases where startsap doesn't check the DB at all (and therefore the corresponding
  # bit in the returncode isn't set although the DB is up)
  if [ -n "${SYB_CCU}" ]; then
    # Try to add a -vhost if not already in SYB_CCU
    echo ${SYB_CCU} | grep "\-vhost" >/dev/null 2>&1
    if [ $? -ne 0 ]; then
      typeset vhostlist=""
      typeset profiledir=${SAPMNTDIR}/${DBSID}/profile
      # checkdiraccess ${profiledir}
      #vhost=`ls ${SAPMNTDIR}/${DBSID}/profile | grep -E ${DBSID}'_[0-9A-Za-z]+_[0-9A-Za-z-]+$' | head -1 | cut -f 3 -d _ `
      for vhost in $(ls ${profiledir} 2>/dev/null | grep -E '^'${DBSID}'_[0-9A-Za-z]+_[0-9A-Za-z-]+$' | \
        grep -v $HNAME | cut -f 3 -d _ | sort | uniq) ; do
 	vhostlist="$vhostlist $vhost";
      done
      # LogMsg2 5 "vhost list used: $vhostlist"
      [ -n "$vhostlist" ] && SYB_CCU="${SYB_CCU} -vhost \\\"${vhostlist}\\\""
    fi
    [ ${1:-0} -ne 1 ] && LogMsg "Trying to connect to database using ${SYB_CCU}"
	# Instead of relying on returncode of startsap (which may not have the DB checked) parse its output instead
	# Returns 101, if no check happend. 0 if its seen up, 1 if seen down
    su - ${DBADM} -c "eval unset anyerror; ${SYB_CCU} | \
      awk 'BEGIN {rc=101} /Database is running$/ {rc=0;exit} /^Database is not available via/ {rc=1;exit} END {exit rc}' " >/dev/null 2>&1 &
    watchdog $! ${WATCHDOG_TIMEOUT} "${1}"
    rc=$?
    # If >100: no check. If >=128 killed by watchdog.
    [ $rc -eq 0 ] && return 11 # seen up
    [ $rc -eq 1 ] && dsavail=2  # seen down
    # other rc: timeout or no check -> ignored
  else
    [ ${1:-0} -ne 1 ] &&  WrnLogMsg "No SAP utility available/set for connection test"
    # dsavail=10 - keep the previous value
  fi

  # use native if a user is configured

  if [ -n "${SGeSAP_ASEUSER}" ]; then
    [ ${1:-0} -ne 1 ] && LogMsg "Check DB availabilty using native method"
    if syb_native_db_up ${1}; then
      if [ ${dsavail} -eq 10 ]; then
        # when SAP method wasn't available
        return 12
      else
        # was available but reported failure, overwrite it
        return 13
      fi
    fi
    # native reported down, SAP util either not available or reporting down
    [ ${dsavail} -eq 10 ] && return 1
    return 3
  # else: no native, process running, (no sap util or reported not running)
  # returncode already set
  fi

  return $dsavail
}

#########################################################################
#
# Sybase Function: syb_native_db_up
#
# Check if DB is accessible with Sybase mechanisms by using isql.
# Assumes that SGeSAP_ASEUSER and SGeSAP_ASEPASSWD is set.
# Also assumes that dataserver is up and a connection should succeed.
# DB in recovery is considered up (although it isn't online yet)
#
# Implicit input: ASEUSER,ASEPASSWD,DBSID,SYBSID
#
# Parameters:
# $1          silent mode (set to 1 for use in monitor)
#
# Returns:
# 0 - DB up or DB in recovery
# 1 - DB down or server not accessible
# 98 - Can't connect to server
# (99 - DB in recovery)
#
#########################################################################
function syb_native_db_up
{
  typeset fname=syb_native_db_up
  [[ ${1} -ne 1 ]] && BLogMsg $*

  typeset    isqlout="/var/tmp/isql.$$.out"
  typeset -i returncode=0

  [[ ${1} -ne 1 ]] && LogMsg "Checking DB availabilty by accessing sysusers table of DB ${DBSID}"
  su - ${SYBSID} -c "isql -X --retserverror -l 10 -U${SGeSAP_ASEUSER} -S${DBSID} -D${DBSID} -o ${isqlout}" << EOF >/dev/null 2>&1
${SGeSAP_ASEPASSWD}
select count(name) from sysusers
go
EOF

  if [ $? -eq 0 ]; then
    # to be even more sure, the output file could be checked for "... row... affected"
    rm -f ${isqlout}
    [[ ${1} -ne 1 ]]  && LogMsg "Access to DB and table ok"
    return 0
  fi

  # else either no connection or no access to that DB or table
  # (keep in mind that this proc should only be called if it dataserver process is around)
  WrnLogMsg "Server, database or table not accessible"
  LogMsg "Output of isql command:"
  cat ${isqlout} | logpipe
  returncode=1
  # grep output file here:
  # if it contains "ct_connect():" --> 98
  if grep -q "ct_connect():" ${isqlout}; then
    WrnLogMsg "Connection to server failed"
    returncode=98
  fi
  # if it contains "has not been recovered yet" --> 0
  if grep -q "has not been recovered yet" ${isqlout}; then
    WrnLogMsg "Database recovering"
    returncode=0
  fi
  rm -f ${isqlout}
  return ${returncode}
}

#########################################################################
#
# Sybase Function: syb_native_shutdown
#
# Native shutdown if stopdb fails.
# Only to be called if ASEUSER is set and ASEMONONLY is off
#
# Parameter:
#  $1 - wait/nowait clause of shutdown command
#
# Returns: 0 on success, 1 on failure
#
# Implicit input: ASEUSER,ASEPASSWD,DBSID,SYBSID
#
# Restriction:
#  - backup server (<DBSID>_BS) not handled (if running)
#  - SYBASE documentation recommends to issue a checkpoint before
#      using "nowait", not done yet
#
#########################################################################
function syb_native_shutdown
{
  typeset fname=syb_native_shutdown
  BLogMsg $*

  typeset waitclause="$1"
  typeset isqlout="/var/tmp/isql.$$.out"

  # LogMsg "Native shutdown of ${DBSID}"

  su - ${SYBSID} -c "isql -X --retserverror -l 10 -U${SGeSAP_ASEUSER} -S${DBSID} -o ${isqlout}" << EOF >/dev/null 2>&1
${SGeSAP_ASEPASSWD}
shutdown with ${waitclause}
go
EOF

  if [ $? -eq 0 ]; then
#   LogMsg "Native shutdown succeeded"
    rm -f ${isqlout}
    return 0
  else
    ErrLogMsg "Native shutdown failed"
    LogMsg "Output of isql command:"
    cat ${isqlout} | logpipe
    rm -f ${isqlout}
    return 1
  fi
}

#########################################################################
#
# Sybase Function: syb_aseuser_sarole
#
# Checks if configured ASE user has sa_role
#
#
# Returns:
#  0  - on if it has
#  1  - if not
#  99 - if it can't get that info (because e.g. dataserver isn't running,
#        user can't login,...)
#
# Implicit input: ASEUSER,ASEPASSWD,DBSID,SYBSID
#
#########################################################################
function syb_aseuser_sarole
{
  typeset fname=syb_aseuser_sarole
  BLogMsg $*

  typeset    isqlout="/var/tmp/isql.$$.out"
  typeset -i rc

  # check roles
  # LogMsg "sa_role of ${SGeSAP_ASEUSER}..."
  su - ${SYBSID} -c "isql -X --retserverror -l 10 -o ${isqlout} -U${SGeSAP_ASEUSER} -S${DBSID}  " << EOF >/dev/null 2>&1
${SGeSAP_ASEPASSWD}
sp_displayroles ${SGeSAP_ASEUSER},expand_down
go
EOF
  rc=$?
  if [ ${rc} -eq 0 ]; then
    # successful connect and command execution
    rc=1
    grep "sa_role" ${isqlout} >/dev/null 2>1 && rc=0
  else
    ErrLogMsg "Executing isql command failed"
    LogMsg "Contents of logfile:"
    cat ${isqlout} | logpipe
    rc=99
  fi

  rm -f ${isqlout}
  LogMsg "rc: ${rc}"
  return ${rc}
}


#########################################################################
#
# Sybase Function: start_SYBASE_db
#
# Parameters:
#
#########################################################################
function start_SYBASE_db
{
  typeset fname=start_SYBASE_db
  BLogMsg $*

  typeset -i returncode=0

  syb_setenv

  # Check if already running, skip cleanup & startup then
  # Usually SAP startdb should also return 0 if DB is already started.
  if ! syb_db_up; then   # returns status >0 if dataserver is running
     LogMsg "Database ${DBSID} already running"
     return 0
  fi

  syb_remove_shmem
  app_remove_shmem

  start_db

  # Don't trust SAP's startdb and startj2eedb used by start_db
  # There are cases when they return 0 (esp. startj2eedb) even if the
  # DB isn't started or activated.
  #
  # LogMsg "Checking if database ${DBSID} is activated"
  syb_db_up
  returncode=$?
  if [ ${returncode} -ge 10 ]; then
    LogMsg "Database ${DBSID} is running (rc=${returncode})"
    return 0
  fi
  # Returncode >0 and <10 indicates that process is running, but no
  # connection is possible.
  if [ ${returncode} -gt 0 ]; then
    ErrLogMsg "dataserver process is running, but no connection possible"
    ErrLogMsg2 "Check Sybase setup and ${DBADM},${SYBSID} environment variables."
    return ${ERROR}
  fi

  LogMsg "Database ${DBSID} not available/active. Trying native fallback..."

  #
  # native fallback (doesn't require a ASE user)
  #
  # Check if RUN_<DBSID> is available ("hidden" variable SYB_RUNSID)
  # If this is available and $SYB_ROOT/$SYB_ASE/[install|bin]/startserver
  # is available call as $SYBSID user: "startserver -f $SYB_RUNSCRIPT"
  # RUN_<DBSID> is also in $SYB_ROOT/$SYB_ASE/install
  # Remark:
  #  startserver just starts the process and returs before DB is up
  #  Should check BYS.console for
  #    Recovering database '<DBSID>'.
  #    Database '<DBSID>' is now online.
  #  First message indicates that server is trying to work on SAP database, the
  #  second that the DB is now available.
  #  However, this can taked minutes. Better idea may be to check the log for
  #  open communication ports (which is done after recovering systems DBs)
  #
  # Restrictions/Assumptions:
  # - syb<dbsid> account has csh as default shell
  # - backup server isn't taken care for in native startup
  #

  typeset SYB_STARTSERVER=${SYB_STARTSERVER:-${SYB_ROOT}/${SYB_ASE}/bin/startserver}
  if [ ! -x ${SYB_ROOT}/${SYB_ASE}/bin/startserver ]; then
    SYB_STARTSERVER=${SYB_ROOT}/${SYB_ASE}/install/startserver
  fi
  typeset SYB_RUNSID=${SYB_RUNSID:-${SYB_ROOT}/${SYB_ASE}/install/RUN_${DBSID}}

  if [ -x ${SYB_STARTSERVER} ]; then
    if [ -x ${SYB_RUNSID} ]; then
       LogMsg "Starting database using: ${SYB_STARTSERVER} -f  ${SYB_RUNSID}"
       su - ${SYBSID} -c "${SYB_STARTSERVER} -f ${SYB_RUNSID} >! ${SYB_RUNSID}.console" >/dev/null 2>&1
       if [ $? -eq 0 ]; then
         LogMsg "${SYB_STARTSERVER} finished successfully"
         sleep 15 # to let child process startup and settle
         # getting a 0 from startserver doesn't mean that dataserver starts up fine

         # finally, try to startup backup server, but don't consider it a failure
         # if not there or fails to start up
#         if [ -x ${SYB_RUNSID}_BS ]; then
#           LogMsg "Trying to start backup server (failure will be ignored)"
#           su - ${SYBSID} -c  "${SYB_STARTSERVER} -f  ${SYB_RUNSID}_BS >! ${SYB_RUNSID}_BS.console" >/dev/null 2>&1
#         else
#           WrnLogMsg "No RUN file for backup server found (${SYB_RUNSID}_BS) - skipping startup"
#         fi

         syb_db_up
         returncode=$?
         if [ ${returncode} -ge 10 ]; then
           LogMsg "Database ${DBSID} is running (rc=${returncode})"
           return 0
         fi
       fi
    else
      ErrLogMsg "${SYB_RUNSID} not found or not executable"
    fi
  else
    ErrLogMsg "${SYB_STARTSERVER} not found or not executable"
  fi

  ErrLogMsg "Database startup failed (rc=${returncode})"

  return ${ERROR} # exit or return? maintenance?
}


#########################################################################
#
# Sybase Function: stop_SYBASE_db
#
# Stop database on DBHost.
# If any Sybase specific tasks occur, that should be performed at
# shutdown time, they will be handled here.
#
# Provides a native fallback if SAP's stopdb isn't available or fails
# (using "with wait" = gracefully in 1st
#  and "with nowait" = immediate in 2nd case)
# Native fallback, however, requires ASEUSER and ASEPASSWD to be
# set and have this user have the sa_role. These are optional settings
# to provide the choice not to put password into CDB.
# Native fallback doesn't check if backup server is up.
#
# stopdb triggers (via sybxctrl and DbSl):
#   shutdown with wait = '00:02:00'
# (timeout 2 minutes)
#
# Parameters:
#
#########################################################################
function stop_SYBASE_db
{
  typeset fname=stop_SYBASE_db
  BLogMsg $*

  typeset rc
  typeset -i asemononly=1

  syb_setenv

  # Skip halt if DB isn't running
  # Usually SAP stopdb should also return 0 if DB is already stopped
  if syb_db_up; then   # returns 0 if DB is down = dataserver not running
    LogMsg "Database already stopped"
	# backupserver might still be running and keep filesystem busy
    test_proc_user backupserver $SYBSID
    if [ $? -eq 0 ]; then # running
      LogMsg "backupserver for ${DBSID} up with PID ${TPID} - stopping..."
      # There's no official mechanism to stop backupserver w/o dataserver.
      # Send TERM signal.
      kill  ${TPID}
      wait_proc_exit ${TPID} 10 2
    fi
    return 0
  fi

  stop_db  # returns 13 if DB is already halted (if it runs at all)

  rc=$?
  if [ ${rc} -le 1 ]; then
    #
    # The SAP script is not fully reliable;
    # Many script versions use returncode 0, even though an error occured.
    #
    # It seems that the Sybase specific stopdb returns before dataserver
    # process exits. Loop and poll to wait for dataserver process to exit.
    #
    test_proc_user dataserver ${SYBSID} || return 0
    wait_proc_exit ${TPID} 45 5 && return 0

    WrnLogMsg "SAP database shutdown scripts report successful execution."
    WrnLogMsg "SGeSAP finds the database processes are still up."
    WrnLogMsg "Check for issues with SAP stopdb, stopj2eedb scripts."
    WrnLogMsg "Found dataserver process with ${TPID}"
    returncode=${ERROR}


  #
  # native fallback because there is no SAP stopdb available (rc 126)
  #

  elif [ ${rc} -eq 126 ]; then
    # first check if user has privs (sa_role)
    asemononly=1
    if [ -n "${SGeSAP_ASEUSER}" ]; then
      syb_aseuser_sarole && asemononly=0
    fi
    # try shutdown (if user set and not monitoring only)
    if [ -n "${SGeSAP_ASEUSER}" -a ${asemononly} -eq 0 ]; then
      LogMsg "Stopping SYBASE Database using isql (user ${SGeSAP_ASEUSER}, wait)"
      syb_native_shutdown wait
      if [ $? -eq 0 ]; then
        LogMsg "Database stopped successfully"
        sleep 2 # give parent time to exit
        # backupserver (shortcut)
        test_proc_user backupserver $SYBSID && kill  ${TPID} && wait_proc_exit ${TPID} 10 2
        return 0
      fi
    else
      WrnLogMsg "No ASE DB user set or doesn't have rights. Shutdown using isql not possible"
    fi
  fi

  if db_check_abort_halt; then
    returncode=${ABORT}
  else
    # native fallback if first try fails (however, this may have been already a native fallback)
    asemononly=1
    if [ -n "${SGeSAP_ASEUSER}" ]; then
      syb_aseuser_sarole && asemononly=0
    fi
    if [ -n "$SGeSAP_ASEUSER" -a ${asemononly} -eq 0 ]; then
      LogMsg "Stopping SYBASE Database using isql (user ${SGeSAP_ASEUSER}, nowait)"
      syb_native_shutdown nowait
      if [ $? -eq 0 ]; then
        LogMsg "Database stopped successfully"
        sleep 2  # give parent time to exit
        return 0
      fi
    else
      WrnLogMsg "No ASE DB user set or doesn't have rights. Shutdown using isql not possible"
    fi
    returncode=${ERROR}
  fi

  ErrLogMsg "Database shutdown failed"
  return $returncode
}


#########################################################################
# DB2 UDB database functions
#########################################################################

#########################################################################
#
# DB2 Function: db2_setenv
#
# Initialize DB2 specific hidden options.
#
# Parameters:
#
#########################################################################
function db2_setenv
{
  typeset fname=db2_setenv
  BLogMsg $*

  DB2SID=${DB2SID:-"db2`echo ${SAPSYSTEMNAME}|$TRUL`"}
  INSTHOME=${INSTHOME:-`su - ${DB2SID} -c ${ENV} 2>/dev/null|grep INSTHOME=|tail -1|cut -d "=" -f 2-`}
  DB2INSTANCE=${DB2INSTANCE:-`su - ${DB2SID} -c ${ENV} 2>/dev/null|grep DB2INSTANCE=|tail -1|cut -d "=" -f 2-`}
  DBADM=${DBADM:-"`echo ${DBSID}|$TRUL`adm"}
  DB2NODESCFG=${DB2NODESCFG:-/db2/${DB2INSTANCE}/sqllib/db2nodes.cfg}
  LogMsg "DB2SID=${DB2SID} INSTHOME=${INSTHOME} DB2INSTANCE=${DB2INSTANCE} DBADM=${DBADM}"

  if [ -d "${MYHOMEDIR}" ]; then
    LOGFILE_STARTDB=${LOGFILE_STARTDB:-${MYHOMEDIR}/startdb.log}
    LOGFILE_STOPDB=${LOGFILE_STOPDB:-${MYHOMEDIR}/stopdb.log}
  else
    LOGFILE_STARTDB=${LOGFILE_STARTDB:-$(eval echo ~${DBADM}/startdb.log)}
    LOGFILE_STOPDB=${LOGFILE_STOPDB:-$(eval echo ~${DBADM}/stopdb.log)}
  fi
}

#########################################################################
#
# DB2 Function: db2_remove_shmem
#
# Remove IPCs that could prevent the database from being started
# successfully.
#
# Parameters:
#
#########################################################################
function db2_remove_shmem
{
  typeset fname=db2_remove_shmem
  BLogMsg $*

  case "${CLEANUP_POLICY}" in
    "lazy")    IPCLIST=""
    ;;
    "strict")  # dbsid=`echo ${DBSID} | lc`
               IPCLIST=$(ipcs |grep -e " db...adm$" |grep -v " root " |ipcs2ipclist)
    ;;
    *)         IPCLIST=$(ipcs |grep -e " db...adm$" |grep " ${DB2INSTANCE} " |ipcs2ipclist)
               # IPCLIST=""
    ;;
  esac

  if [ "X${IPCLIST}" != "X" ]; then
    LogMsg "Removing shm resources using ${CLEANUP_POLICY} cleanup policy"
    LogMsg "Removed IPCs: ${IPCLIST}"
    ipcrm ${IPCLIST}
  fi
}


#########################################################################
#
# DB2 Function: start_DB2_db
#
# If any DB2 specific tasks occur, that should be performed at
# startup time, they will be handled here.
#
# Parameters:
#
#########################################################################
function start_DB2_db
{
  typeset fname=start_DB2_db
  BLogMsg $*

  db2_setenv
  db2_check_version ${DBSID}
  db2_check_partitions ${DB2NODESCFG}
  db2_remove_ftok
  db2_remove_shmem
  app_remove_shmem
  start_db

  # Don't trust SAP's startdb and startj2eedb used by start_db
  # There are cases when they return 0 (esp. startj2eedb) even if the
  # DB isn't started or activated.
  # As paritions may be considered non-local, db2gcf isn't the
  # command to check availability - check list of active DBs instead
  # If not active, try to start the local partitions
  #
  LogMsg "Checking if database ${DBSID} is activated"
  DB2CMD="${INSTHOME}/sqllib/bin/db2 list active databases"
  ( su - ${DB2INSTANCE} -c "unset anyerror; $DB2CMD" 2>/dev/null \
                   | egrep "^Database name[[:space:]]+=[[:space:]]+[[:alnum:]]" \
                   | grep ${DBSID} 1>/dev/null ) &
  watchdog $! 30
  returncode=$?

  if [ ${returncode} -eq 0 ]; then
    LogMsg "Database ${DBSID} is activated"
    return 0
  fi

  LogMsg "Database ${DBSID} not available/active. Trying fallback..."
  if [ -z "${DB2LOCPARTLIST}" ]; then
    LogMsg "No local partitions configured. Skipping fallback & exiting..."
#    exit ${ERROR}
    if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
      return ${ERROR}
    else
      exit ${ERROR}
    fi
  fi

  db2gcfout=$(${INSTHOME}/sqllib/bin/db2gcf -s -i ${DB2INSTANCE} -p ${DB2LOCPARTLIST} -L 2>&1)
  if [ $? -eq 0 ]; then
    LogMsg "All local database partitions available"
  else
    WrnLogMsg "Not all local partitions available"
    echo "${db2gcfout}" | logpipe
  fi

  #
  # native fallback
  # using db2gcf on (local) partion list
  # executing as root
  #

  LogMsg "Starting DB2 Database using db2gcf on partition(s) ${DB2LOCPARTLIST} ..."

  db2gcfout=$(${INSTHOME}/sqllib/bin/db2gcf -u -i ${DB2INSTANCE} -p ${DB2LOCPARTLIST} -t ${WATCHDOG_TIMEOUT} -L 2>&1)
  # Using command above with DB2PKGPARTLIST might rewrite these partitions in db2nodes.cfg with the local hostname
  # - which is the reason it isn't used...
  if [ $? -eq 0 ]; then
    LogMsg "Partitions started successfully"
  else
    ErrLogMsg "Database startup failed"
    echo "${db2gcfout}" | logpipe
    [ ${GUARD_EXIT_IN_MAINT} -eq 1 ] && return ${ERROR}
    exit ${ERROR}
  fi

  # Get the same state as SAP's startdb (db is also activated)
  # a "db2 activate db <sid>" command is necessary additionally
  # As the DB is activated at first client connection (latest)
  # we better try it to activate here. Anyway, it is a good
  # check if everything is OK
  # db2 activate may hang when stale NFS handles are around.
  #
  LogMsg "Trying to activate ${DBSID}"
  su - ${DB2INSTANCE} -c "db2 activate database ${DBSID}" 2>/dev/null 1>&2 &
  watchdog $!
  rc=$?
  # exit codes 0 or 2 are OK (success / warning)
  if [ ${rc} -eq 0 -o  ${rc} -eq 2 ]; then
    LogMsg "Database ${DBSID} activated successfully"
  else
    ErrLogMsg "Database ${DBSID} couldn't be activated"
#    exit ${ERROR}
    if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
      return ${ERROR}
    else
      exit ${ERROR}
    fi
  fi
}


#########################################################################
#
# DB2 Function: stop_DB2_db
#
# Stop database on DBHost.
# If any DB2 specific tasks occur, that should be performed at
# shutdown time, they will be handled here.
#
# Provides a native fallback if SAP's stopdb fails. This fallback also
# handles partitions configured to host configured as vhosts to the package.
# (db2gfc -d doesn't rewrite db2nodes.cfg, db2gcf -u does)
#
# Parameters:
#
#########################################################################
function stop_DB2_db
{
  typeset fname=stop_DB2_db
  BLogMsg $*

  db2_setenv
  db2_check_partitions ${DB2NODESCFG}
  stop_db

  retcode=$?
  if [ ${retcode} -le 1 ]; then
    #
    # The SAP script is not fully reliable;
    # Many script versions use returncode 0, even though an error occured.
    #
    test_proc db2sysc
    if [ $? -eq 1 ]; then
      retcode=0
      # do not "return" anymore
    else
      WrnLogMsg "SAP database shutdown scripts report successful execution."
      WrnLogMsg "SGeSAP finds the database processes are still up."
      WrnLogMsg "Check for issues with SAP stopdb, stopj2eedb scripts."
      # retcode can be 0, but still a db2sysc can be found --> not handled below
      # overwrite prev. retcode because db2sysc was found
      retcode=1
    fi
  fi

  #
  # native fallback
  # using: db2gcf -d (on "physically" local paritions and
  # partitions configured to a package vhost only)
  #
  db2combinedpartlist="${DB2LOCPARTLIST}${DB2LOCPARTLIST:+${DB2PKGPARTLIST:+,}}${DB2PKGPARTLIST}"
  if [ ${retcode} -ne 0 ]; then
    if [ -n "${db2combinedpartlist}" ]; then
      LogMsg "Stopping DB2 Database with db2gcf on partitions ${db2combinedpartlist}..."
      stopfail=0
    else
      LogMsg "No local partitions configured - skipping DB native stop attempt"
      # do a "db2gcf -k -i" here?
      stopfail=1
    fi

    # db2gcfout=$(${INSTHOME}/sqllib/bin/db2gcf -d -i ${DB2INSTANCE} -p ${DB2PARTLIST} 2>&1)
    # Some of the partitions might be already stopped (or failed). db2gcf returns $? != 0
    # in this case although all partitions might down afterwards
    # Instead Check availability of each partition and stop it if available.
    # Skips fallback completely if no local partitions are configured.
    IFS=","
    for part in ${db2combinedpartlist}; do
      db2gcfout=$(${INSTHOME}/sqllib/bin/db2gcf -s -i ${DB2INSTANCE} -p ${part} -t 30 -L 2>&1)
      if [ $? -eq 0 ]; then # available
        db2gcfout=$(${INSTHOME}/sqllib/bin/db2gcf -d -i ${DB2INSTANCE} -p ${part} -t 120 -L 2>&1)
        if [ $? -eq 0 ]; then
          LogMsg "Stopped partition ${part}"
        else
          ErrLogMsg "Stopping partition ${part} failed (using -d)"
          stopfail=1
          # Try stopping with -k (below)
        fi
      else
        LogMsg "Partition ${part} not available (maybe already stopped)"
      fi
    done
    unset IFS

    if [ ${stopfail} -eq 0 ]; then
      LogMsg "Database stopped successfully"
    else
      # Check if halt should be aborted instead of removing instance processes
      db_check_abort_halt && return ${ABORT}
      # Otherwise remove processes (emergency halt)
      LogMsg "Stopping DB (partly) failed, removing remaining ${DB2INSTANCE} instance processes"
      db2gcfout=$(${INSTHOME}/sqllib/bin/db2gcf -k -i ${DB2INSTANCE} -t 60 -L 2>&1)
      if [ $? -ne 0 ]; then
         ErrLogMsg "Database shutdown failed"
         echo "${db2gcfout}" | logpipe
      else
        LogMsg "Database stopped successfully"
      fi
    fi
  fi

  #
  # DB2 background processor might still be running
  #
  # This is only necessary if ${INSTHOME} is part of the package.
  # (can there be more than one db2bp)
  while test_proc "${INSTHOME}/sqllib/bin/db2bp"; do
    LogMsg "db2bp for instance ${DB2INSTANCE} running (PID: ${TPID}). Stopping... "
    su - ${DBADM} -c "${INSTHOME}/sqllib/bin/db2 terminate" >/dev/null 2>&1
    if [ $? -ne 0 ]; then
      ErrLogMsg "Terminating db2bp failed"
    fi
    # db2 terminate may fail (i.e. root can't terminate db2<sid> db2bp)
    # test_proc "${INSTHOME}/sqllib/bin/db2bp" && kill ${TPID}
    # give it a sec to terminate, if still there, then kill it the hard way
    # there might still be a subsequent warning, but the process is usually
    # gone before unmount
    sleep 1
    kill -0 ${TPID} 2>/dev/null && kill -9 ${TPID}
    kill -0 ${TPID} 2>/dev/null && WrnLogMsg "db2bp still up (PID: ${TPID})"
  done

  return 0
}


#########################################################################
#
# DB2 Function: db2_remove_ftok
#
# Remove ftok-files, in case database crashed
#
# Parameters:
#
# Instead of creating a .ftok with touch, the command db2ftok (also in
# ${INSTHOME}/sqllib) can be used. Can be run as root (root/db<dbsid>adm).
# File will contain 4 (random?) bytes.
#
#########################################################################
function db2_remove_ftok
{
  typeset fname=db2_remove_ftok
  BLogMsg $*

  if [ -f ${INSTHOME}/sqllib/.ftok ]; then
    LogMsg "Removing ${INSTHOME}/sqllib/.ftok!"
    rm -f ${INSTHOME}/sqllib/.ftok
  else
    LogMsg "${INSTHOME}/sqllib/.ftok not present!"
  fi
  LogMsg "Creating new ${INSTHOME}/sqllib/.ftok!"
    touch ${INSTHOME}/sqllib/.ftok

}

########################################################################
#
# DB2 Function: db2_check_version
#
# Checks if version of DB is supported
#
# Uses db2level
#
# Parameters:
# $1    SID
#
# Constructs <sid>adm internally xand uses it to su db2level because it could
# run before db2_setenv
#
# Supported versions are listed in (local) variable DB2SUPPVERS
#
# Returns
# 0 if DB version is supported
# otherwise exit $ERROR
#
# This function is different on LX, but should work as is on UX also
# (backport pending)
#
########################################################################

function db2_check_version
{
  typeset fname=db2_check_version
  BLogMsg $*

  # List of supported DB2 versions
  typeset DB2SUPPVERS=${DB2SUPPVERS:-"9.* 10.*"};
  typeset db2sid="db2`echo ${1}|$TRUL`"

  typeset DBVERS=$(su - ${db2sid} -c db2level 2>&1 | \
                    awk -F '"' '/Informational tokens/ \
                      { split ($2,VERSTR," "); \
                        split (substr( VERSTR[2],2),DB2VERS,"."); \
                        printf ("%s.%s\n", DB2VERS[1],DB2VERS[2])}')

  for mver in ${DB2SUPPVERS}; do
    if [[ ${DBVERS} = $mver ]]; then
       LogMsg "DB2 version is ${DBVERS} (supported)"
      return 0
    fi
  done

  # not found
  ErrLogMsg "Unsupported DB2 version (${DBVERS})- required: ${DB2SUPPVERS}"
  exit ${ERROR}
}

########################################################################
#
# DB2 Function: db2_check_partitions
#
# Checks if all partitions are configured as local partitions, that
# is configured to the local hostname.
# Also returns a comma seperated list of the partition numbers in
# variable DB2LOCPARTLIST (those considered local), DB2PARTLIST (all)
#
# While some of the documentation indicates that physical hostnames have
# to be used in the db2nodes.cfg this is not true.
# Besides the local hostname an alias, an IP address or a virtual
# (relocatable) hostname can be used.
# However, so far only the local hostname is checked.
# An alias for the local hostname is also considered local by DB2,
# but not accepted by this function yet.
# IP addresses (of host, relocatable, other interfaces) are not
# considered local. Likewise relocatable hostname which IP is
# locally enabled aren't considered local.
#
# As partitions of one DB running on different hosts isn't supported
# by SGeSAP (yet), all hostnames should be identical. Needs to be
# checked.
#
# Reads db2nodes.cfg
#
# Parameters:
# $1    Name for db2nodes.cfg file (absolute patch)
#
# Returns
# 0 config file readable and all partitions are local
# 1 otherwise
#
########################################################################

function db2_check_partitions
{
  typeset fname=db2_check_partitions
  BLogMsg $*

  # Collect all paritions and those considered local
  # In DB2 sense a partition is only considered local if the node
  # is the localhost or an alias of it. Everything else is considered
  # remote even if the address is avaiable locally
  # (DB2 will call remsh/ssh, db2gcf will use RESTART rewriting db2nodes.cfg)
  DB2PARTLIST=""
  DB2LOCPARTLIST=""
  DB2PKGPARTLIST=""

  # typeset localhost=$(hostname)
  typeset nodescfg=${1}

  if [ ! -r "${nodescfg}" ]; then
    ErrLogMsg "${nodescfg} not readable"
    return 1
  fi

  # setup partition list and check nodenames array
  # only one nodename should occur
  # should a local nodename, an alias, a IP configured to a local IF,
  # a relocatable IP or its name belonging to the current package
  LogMsg "Checking for non-local/non-package partitions"

  while read part nodename var3 var4 ; do
    DB2PARTLIST="${DB2PARTLIST}${part},"
    # check if nodename is localhost (or alias)
    # (alias not checked yet)
    if db2_check_node_is_local "${nodename}" "${HNAME}" ; then
      DB2LOCPARTLIST="${DB2LOCPARTLIST}${part},"
    elif db2_check_node_pkg_enabled "${nodename}" ; then
      DB2PKGPARTLIST="${DB2PKGPARTLIST}${part},"
    else
      LogMsg "Partition ${part} not configured to local host or package vhost (node: ${nodename})"
    fi
  done < ${nodescfg}
  DB2PARTLIST=${DB2PARTLIST%,}
  DB2LOCPARTLIST=${DB2LOCPARTLIST%,}
  DB2PKGPARTLIST=${DB2PKGPARTLIST%,}
  LogMsg2 5 "Local partitions: ${DB2LOCPARTLIST:-none} (of ${DB2PARTLIST})"
  LogMsg2 5 "Pkg partitions: ${DB2PKGPARTLIST:-none} (of ${DB2PARTLIST})"
  return 0
}

#########################################################################
#
# db2_check_node_is_local
#
# check if node found for a partition in db2nodes.cfg is localnode or an alias
# for it
#
# Parameters:
# $1    Name of partition node from db2nodes.cfg. (might also be
#       and IP (v4/v6) address, but then won't match)
# $2    The local hostname
#
# Calls SGeSAP utility nwrksupp to get the CANONICAL name.
# Is considered an alias (or identical) if CANONICAL name matches to
# supplied local hostname
#
# Remark: This is a generic function not really related to DB2.
#########################################################################

function db2_check_node_is_local
{
  typeset fname=db2_check_node_is_local
  BLogMsg $*

  [ "$1" = "$2" ] && return 0
  if [ -x ${NWRKSUPP} ]; then
    ${NWRKSUPP} ghbn $1 |  grep ";${2}" 1>/dev/null 2>&1
    return $?
  else
    WrnLogMsg "Can't find ${NWRKSUPP}, skipping check"
    return 1
  fi
}

#########################################################################
#
# db2_check_node_pkg_enabled
#
# check if node found for a partition in db2nodes.cfg maps to an address
# enabled in the current package.
#
# Parameters:
# $1    Name of partition node from db2nodes.cfg. Could also be
#       and IP (v4/v6) address
#
# Calls SGeSAP utility nwrksupp to get address for the name (if name is
# already an address, returns the type and the - perhaps - normalized addr
#
# Loop through SG_IP_ADDRESS[@]
# No cross subnet.
# If node has to more than one IP address, at least on of them have to be
# enabled by the package.
#
# Remark: it might be more efficient to combine this function with
#   the one above to minimize calls to nwrksupp utility
#
#########################################################################
function db2_check_node_pkg_enabled
{
  typeset fname=db2_check_node_pkg_enabled
  BLogMsg $*

  if [ ! -x ${NWRKSUPP} ]; then
    WrnLogMsg "Can't find ${NWRKSUPP}, skipping check"
    return 1
  fi

  typeset nodename=$1
  set $(${NWRKSUPP} ghbn ${nodename} | grep -e "IPv4" -e "IPv6" | cut -d ";" -f 3)
  LogMsg2 5 "Found $# IP address(es) for ${nodename}"
  ipnodeaddrlist=$@


  # loop through SG_IP_ADDRESS and set if one matches one element of ipnodeaddr
  for pkgip in ${SG_IP_ADDRESS[@]}; do
    # check if there a match with wildcard from the end
    if [ "${ipnodeaddrlist%${pkgip}*}" != "$ipnodeaddrlist" ]; then
      return 0
    fi
  done

  # no match
  return 1
}

#########################################################################
# MAXDB database functions
#########################################################################

#########################################################################
#
# MAXDB Function: maxdb_get_DBADM
#
# Figure out DB/LC admin account
#
# Parameters:
# $1	variable name for DB/LC admin user (usually either DBADM or LCADM)
# $2    DBSID
#
#########################################################################
function maxdb_get_DBADM
{
  typeset fname=maxdb_get_DBADM
  BLogMsg $*

  typeset admvar=$1
  typeset dbsid=$2
  typeset theadm=""
  typeset retcode;

  eval theadm="\$$admvar"

  DbgLogMsg "${admvar} has value [${theadm}]"

  [ -n "${theadm}" ] && return  # return if adm was already set externally

  if [ -d "/sapdb/${dbsid}/db" ]; then
      theadm=`ls -od /sapdb/${dbsid}/db|awk '{ print $3 }'`
      if [[ ( ${theadm} = "sdb" ) || ( ${theadm} = "root" ) ]]; then
        theadm=`echo ${dbsid}|$TRUL`adm
      fi
  else
      WrnLogMsg "/sapdb/${dbsid}/db not available"
      theadm=`echo ${dbsid}|$TRUL`adm
  fi

  su "${theadm}" -c "" >/dev/null 2>&1
  # su above does not necessarily fail if account is locked, but called from root
  retcode=$?
  if [ ${retcode} -eq 0 ]; then
    # check .XUSER.62 of the users home
	typeset xuserfile=""
	eval xuserfile=~${theadm}/.XUSER.62
	if [ ! -f  "${xuserfile}" ]; then
	  WrnLogMsg "No XUSER file [${xuserfile}] for $theadm found"
	  retcode=1
	fi
  fi

  if [ $retcode -ne 0 ]; then
     LogMsg "Login as ${theadm} admin user is disabled on the system or user doesn't have a XUSER file"
     LogMsg "XUSER settings for root are required in this case"
     theadm="root"
  fi

  LogMsg2 4 "Presumed MaxDB/liveCache admin user: ${theadm}"
  eval $admvar=$theadm
}

#########################################################################
#
# MAXDB Function: maxdb_check_isolated_inst
#
# Check if given DB/LC is a isolated installation.
#
# If a isolated installation is found for the DB, global variables are set:
#  	XSERVER_INST, VSERVER_INST
#   MAXDBPortNoOrService, MAXDBXserverAutoStart, MAXDBXServerState
#   MAXDBMVERS?
#   (otherwise these are left empty/unset)
#   Linux: VSERVER set to sdbgloballistener if >=7.8
#
# Parameters:
# $1    DBSID/LCSID
#
# Requires DBMCLI being setup
#
#########################################################################
function maxdb_check_isolated_inst
{
  typeset fname=maxdb_check_isolated_inst
  BLogMsg $*

  typeset DBSID=$1
  typeset instenum_out=""
  typeset vers=""
  typeset isolated=0;

  MAXDBMVERS=`${DBMCLI} -s dbm_version VERSION  2>&1 | awk -F. '/7\.[0-9]\.[0-9]/ {printf "%d%d",$1,$2}'`
  LogMsg "MaxDB DBM version detected: <${MAXDBMVERS}>"
  if [ ${MAXDBMVERS} -ge 78 ]; then
    # Get DB installation root from "version" string. Need to use "-d". Otherwise it might pick up wrong DB.
	# (Requires that FS belonging to the DB are mounted)
	vers=`${DBMCLI} -d ${DBSID} version 2>&1|tail -1`
	# e.g.: version info: "7.7.04","UNIX","/sapdb/C71/db",False,ASCII,1
	# WVE should full output be taken and checked if first line is "OK"? or returncode be checked (without "tail -1")?
	LogMsg "version info: ${vers}"
	MAXDBINSTROOT=`echo ${vers} | cut -f 6 -d '"'`
	LogMsg "DB installation root: ${MAXDBINSTROOT}"
#	DBINSTROOT="/sapdb/${DBSID}/db"
	instenum_out=`${DBMCLI} -s inst_enum ${MAXDBINSTROOT} 2>/dev/null`
	retcode=$?
    if [ ${retcode} -eq 0 -a -n "$instenum_out" ]; then
	  echo "$instenum_out" | grep -E -e '^ISOLATED.+YES$' >/dev/null 2>&1 && isolated=1
	fi
    if [ ${retcode} -ne 0 ]; then
	  ErrLogMsg "${DBMCLI} -s inst_enum ${MAXDBINSTROOT} - failed: ${retcode}, ${instenum_out}"
    fi
	if [ ${isolated} -eq 1 ]; then
      MAXDBPortNoOrService=`echo "${instenum_out}"  | awk '/^PortNoOrService/ {print $3}'`
	  MAXDBXserverAutoStart=`echo "${instenum_out}"  | awk '/^XserverAutostart / {print $3}'`
	  MAXDBXServerState=`echo "${instenum_out}"  | awk '/^XServerState / {print $3}'`
      LogMsg "DB isolated installation detected"
	  LogMsg "${MAXDBPortNoOrService},${MAXDBXserverAutoStart},${MAXDBXServerState}"
	  # set INST xserver and vserver path if all three fields are not empty
	  if [ -n "${MAXDBPortNoOrService}" -a -n "${MAXDBXserverAutoStart}" -a -n "${MAXDBXServerState}" ]; then
	    XSERVER_INST=${MAXDBINSTROOT}${XSERVER_BIN}
		VSERVER_INST=${MAXDBINSTROOT}${VSERVER_PGM}
	    # LogMsg "X/VSERVER executables (inst): ${XSERVER_INST},${VSERVER_INST}"
	  else
	    WrnLogMsg "Some configuration fields are missing in installation. Not using installation specific xserver"
	  fi
    fi
    # Redefine VSERVER (global) for Linux with MaxDB >=7.8. Here it shows up as sdbgloballistener in process list.
    # Remark: The VSERVER variable is used to test_proc. (On HP-UX it is still listed as with the IndepProgPath).
    [[ ${LX} -eq 1 ]] && VSERVER=sdbgloballistener
  fi
}

#########################################################################
#
# MAXDB Function: maxdb_cdb_running
#
# Check if given DB/LC is in operational state "running".
# uses $DBMCLI db_enum and checks for state "running"
# (or not "offline"?).
#
# Can be used instead of
# testprocopt kernel DBSID || testprocpot slwknl DBSID
#
# Parameters:
# $1    DBSID/LCSID
#
# Returns:
# 0   when running
# !=0 when not running
#
# Requires DBMCLI being setup
#
#########################################################################
function maxdb_db_running
{
#  typeset fname=maxdb_db_running
#  BLogMsg $*

  ${DBMCLI} db_enum | grep -e "running$" | grep -e "^${1}"
  return $?
}

#########################################################################
#
# MAXDB Function: maxdb_setenv
#
# Parameters:
#
#########################################################################
function maxdb_setenv
{
  typeset fname=maxdb_setenv
  BLogMsg $*

  #
  # set db admin user
  #
  CONTROLUSERKEY=${SGeSAP_MAXDB_USERKEY:-c}
  DBMCLIEXT=${DBMCLIEXT:-${DBMCLI} -U ${CONTROLUSERKEY} -d ${DBSID}}

  #
  # get DB admin OS user
  #
  maxdb_get_DBADM DBADM ${DBSID}

  #
  # set logging directories
  #
  LOGFILE_STARTDB=${LOGFILE_STARTDB:-$(eval echo ~${DBADM}/startdb.log)}
  LOGFILE_STOPDB=${LOGFILE_STOPDB:-$(eval echo ~${DBADM}/stopdb.log)}

  #
  # set XSERVER and VSERVER (global)
  #

  ${DBMCLI} -s dbm_getpath IndepProgPath >/dev/null 2>&1
  if [ $? -eq 0 ]; then
    IndepProgPath=`${DBMCLI} -s dbm_getpath IndepProgPath | awk '$0 != "OK" { print }'`
    VSERVER=${IndepProgPath}${VSERVER_PGM}
    XSERVER=${IndepProgPath}${XSERVER_BIN}
    # LogMsg "DBMCLIEXT, X/VSERVER executables (glob): ${DBMCLIEXT},${XSERVER},${VSERVER}"
  else
    LogMsg "IndepProgPath couldn't be retrieved (check ${DBMCLI} access for root)"
  fi

  #
  # set installation specific XSERVER and VSERVER ("isolated installation")
  #
  maxdb_check_isolated_inst $DBSID
}

#########################################################################
#
# MAXDB Function: start_MAXDB_db
#
# Parameters:
#
#########################################################################
function start_MAXDB_db
{
  typeset fname=start_MAXDB_db
  BLogMsg $*

  check_access ${SPOOLDIR}
  check_access ${MAXDBDIR}

  maxdb_setenv
  maxdb_rmspool ${DBSID}

  maxdb_start_vserver ${DBADM} ${DBSID}

  start_db
  if [ $? -le 1 ]; then
    return 0
  fi

  #
  # native fallback
  #
  if [ ! -x ${DBMCLI} ]; then
    ErrLogMsg "Binary for database start not found (${DBMCLI}, startdb)."
#   exit ${ERROR}
    if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
      return ${ERROR}
    else
      exit ${ERROR}
    fi
  fi

  # Starting vserver in case of native fallback is
  # replaced by general startup at beginning of routine

  # db_clear - requires running vserver(s)
  maxdb_clear ${DBADM} "${DBMCLIEXT}"

  # Getting DBMCLI_DB_WARM,... definitions
  init_dbmcli_cmds ${DBADM} "${DBMCLIEXT}" {$DBSID}

  LogMsg "Starting MAXDB database ..."

  su - ${DBADM} -c "${DBMCLIEXT} ${DBMCLI_DB_WARM}" 1>/dev/null 2>&1 &
  watchdog $!
  returncode=$?

  case $returncode in
    0) LogMsg "Database started successfully"
    ;;
    *) ErrLogMsg "Database startup failed"
#       exit ${ERROR}
        if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
          return ${ERROR}
        else
          exit ${ERROR}
        fi

    ;;
  esac

  return 0
}


#########################################################################
#
# MAXDB Function: stop_MAXDB_db
#
# Parameters:
#
#########################################################################
function stop_MAXDB_db
{
  typeset fname=stop_MAXDB_db
  BLogMsg $*

  typeset seconds
  typeset count=1
  typeset active_tasks
  typeset timed_out=0
  typeset rc=0
  typeset MAXDB_ACTIVE_TASKS_THRESHOLD=${MAXDB_ACTIVE_TASKS_THRESHOLD:-0}
  typeset -i dban_sessid=0

  maxdb_setenv # get DBMCLIEXT (and possibly DBADM) defined

  # if DB is not running just try to stop vservers
  if ! maxdb_db_running ${DBSID}; then
     LogMsg2 2 "${DBSID} not running"
     maxdb_stop_vserver ${DBADM} ${DBSID}
     # WVE return error in case of vserver stop failure?
     return 0
  fi

  # DB is considered running at this point
  # Call maxdb_start_vserver to allow graceful shutdown.
  # Tests for running $VSERVER internally
  maxdb_start_vserver ${DBADM} ${DBSID}

  # Figure out if dbanalyzer is running and get its session id.
  # Set session id to 0 if it can't be retrieved (id might also be outdated)
  dban_sessid=$(su - ${DBADM} -c " dbmcli -U c dban_state" | awk '/^SessionID/ {print $3}')
  dban_sessid=${dban_sessid:-0}
  if [ $dban_sessid -gt 0 ]; then
    LogMsg "dbanalyzer reported with session id: $dban_sessid"
  fi

  # Get number of active tasks, but do not take dbanalyzer into account	(will be stopped by SAP stopdb)
  active_tasks=`(su - ${DBADM} -c "${DBMCLIEXT} -USQL w SQL_EXECUTE \"SELECT 'ACTIVETASKS',COUNT(*) FROM SESSIONS WHERE OWN <> 'YES' AND SESSIONID<>$dban_sessid\"") 2>&1 | grep ACTIVETASKS | sed -e "s/'ACTIVETASKS';//g"`

  LogMsg2 5 "Active tasks: <$active_tasks>"

  if [[ "X${active_tasks}" != "X" ]]; then
    if [[ ${active_tasks} -gt ${MAXDB_ACTIVE_TASKS_THRESHOLD} ]]; then
      WrnLogMsg "There are still active connections to the database"

      timed_out=1
      while [[ ${count} -le ${MAXDB_DELAY_INTERVALS} ]]; do
        (( seconds = $count * 10 ));
        if [[ ${seconds} -gt 60 ]]; then
          seconds=60
        fi

        active_tasks=`(su - ${DBADM} -c "${DBMCLIEXT} -USQL w SQL_EXECUTE \"SELECT 'ACTIVETASKS',COUNT(*) FROM SESSIONS WHERE OWN <> 'YES' AND SESSIONID<>$dban_sessid\"") 2>&1 | grep ACTIVETASKS | sed -e "s/'ACTIVETASKS';//g"`

        if [[ ${active_tasks} -gt ${MAXDB_ACTIVE_TASKS_THRESHOLD} ]]; then
          LogMsg "Waiting for ${active_tasks} active connection(s) to disconnect - waiting ${seconds} seconds"
          sleep ${seconds}
        else
          timed_out=0
          break
        fi
        (( count = $count + 1 ));
      done
    fi
  fi

  returncode=2

  init_dbmcli_cmds ${DBADM} "${DBMCLIEXT}" ${DBSID}

  # Test
  # sleep a while to allow manual connections at this point. lets stop_db fail
  #LogMsg "Test - sleep 30 - connect manually"
  #sleep 30
  # Test - End

  if [[ ${timed_out} -ne 1 ]]; then
    LogMsg "No active tasks detected - graceful shutdown attempt..."

    #
    # SAP database shutdown
    #
    stop_db
    if [ $? -le 1 ]; then
      maxdb_stop_vserver ${DBADM} ${DBSID}
      return 0
    fi

    #
    # native fallback
    #
    LogMsg "Executing native fallback: ${DBMCLIEXT} ${DBMCLI_DB_OFFLINE}"
    su - ${DBADM} -c "${DBMCLIEXT} ${DBMCLI_DB_OFFLINE}" >/dev/null 2>&1
    returncode=$?
  fi

  if [ ${returncode} -gt 1 ]; then
    # Check if halt should be aborted instead of removing instance processes
    if db_check_abort_halt; then
      # Immediate return also skips stopping vserver to keep DB accessible
      return ${ABORT}
    else
      #
      # native database halt/abort
      # First try db_offline (maybe once again) to avoid knldump being written.
      #
      LogMsg "DB halt with dbmcli db_offline"
      su - ${DBADM} -c "${DBMCLIEXT} ${DBMCLI_DB_OFFLINE}" 1>/dev/null 2>&1
      returncode=$?
      if [ $returncode -ne 0 ]; then
        LogMsg "Emergency halt with dbmcli db_stop ..."
        su - ${DBADM} -c "${DBMCLIEXT} ${DBMCLI_DB_STOP}" 1>/dev/null 2>&1
      fi
    fi
    returncode=$?
  fi

  case $returncode in
    0) LogMsg "Database stopped successfully"
       test_proc_opt kernel ${DBSID} && wait_proc_exit ${TPID} 5
    ;;
    1) LogMsg "Database was not running"
    ;;
    *) ErrLogMsg "Database shutdown failed"
  esac

  maxdb_stop_vserver ${DBADM} ${DBSID}

  # depend on DB shutdown returncode for function returncode
  # (maxdb_stop_vserver doesn't have one)
  [ ${returncode} -gt 1 ] && return ${ERROR}
  return 0

}

#########################################################################
#
# MAXDB Function: maxdb_start_vserver
#
# Parameters:
# $1	admin user
# $2    DBSID
#
# Implicit inputs: XSERVER, VSERVER, XSERVER_INST, VSERVER_INST,...
#
# WVE could root be used to trigger startup?
#
#########################################################################
function maxdb_start_vserver
{
  typeset fname=maxdb_start_vserver
  BLogMsg $*

  typeset vserver_alr_run=0

  maxdb_enter_vserver_start # sets TPID and gets lock if =0
  if [[ ${TPID} -eq 0 ]]; then
    LogMsg "No running vserver found"
    LogMsg "Starting vserver"
    # sleep 60 # test
    su - ${1} -c "${XSERVER}" 1>/dev/null 2>&1
    returncode=$?
    # sleep 60 # test
    maxdb_leave_vserver_start
    case $returncode in
      0) LogMsg "Vserver start succeeded"
      ;;
      *) ErrLogMsg "Vserver start failed (rc=$returncode)"
         LogMsg "${1} tried to run ${XSERVER}"
#        exit ${ERROR}
        if [ ${GUARD_EXIT_IN_MAINT} -eq 1 ]; then
          return ${ERROR}
        else
          # WVE might be used in monitor.
          # WVE leave error handling to the caller
          exit ${ERROR}
        fi
      ;;
    esac
  else
    [ "X${op_code}" = "Xstart" ] && LogMsg2 2 "Vserver already running"
	#LogMsg2 2 "Vserver already running"
	vserver_alr_run=1
  fi

  # Handle installation specific vserver if not set to autostarted by global one.
  # There may be also situations where the global vserver was left running (or started up
  # by another DB instance already), so that vserver startup is skipped and therefore the
  # installation specific won't be autostarted.
  # Not checked if already running. Triggering start on already started also returns 0.
  if [[ -n "${XSERVER_INST}" && ( "${MAXDBXserverAutoStart}" = "no" \
                                 || ( $vserver_alr_run -eq 1 && "${MAXDBXServerState}" = "Stopped" ) ) ]]; then
    LogMsg "XserverAutostart for ${MAXDBINSTROOT} set to no or vserver already running - explicit startup triggered"
    su - ${1} -c "${XSERVER_INST}" 2>/dev/null 1>&2
    retcode=$?
    if [ ${retcode} -eq 0 ]; then
      LogMsg "Vserver start (${MAXDBINSTROOT}) succeeded"
    else
      ErrLogMsg "${XSERVER_INST} failed (rc=${retcode})"
      # WVE exit?
    fi
  fi
}

#########################################################################
#
# MAXDB Function: maxdb_stop_vserver
#
# Parameters:
# $1	admin user
# $2    DBSID
#
# Implicit inputs: XSERVER, XSERVER_STOPOPTION
#
#########################################################################
function maxdb_stop_vserver
{
  typeset fname=maxdb_stop_vserver
  BLogMsg $*

  DBSID=$2


  #test_proc kernel || test_proc slowknl
  #if [[ ${TPID} -eq 0 ]]; then
  if ! maxdb_db_running "" ; then  # get any running, but ommitting SID
    # no additional MAXDB/liveCache detected
    test_proc "${VSERVER}"   # mask '/', otherwise awk will be confused
    if [[ ${TPID} -ne 0 ]]; then
      LogMsg "Stop vserver"
      su - ${1} -c "${XSERVER} ${XSERVER_STOPOPTION}" 1>/dev/null 2>&1
    fi
  else
    LogMsg "Vserver still needed by local MAXDB kernel"
  fi

  # Stop MaxDB 7.8 DB isolated installation vserver
  # Relies on running information from maxdb_setenv
  # WVE XServerState might be outdated if it had to be started prior
  # WVE  to halting MaxDB/LC
  if [ -n "${XSERVER_INST}" -a "${MAXDBXServerState}" = "Running" ]; then
    LogMsg "Stop vserver (${MAXDBINSTROOT})"
    su - ${1} -c "${XSERVER_INST} ${XSERVER_STOPOPTION}" 1>/dev/null 2>&1
  fi
}


#########################################################################
#
# MAXDB Function: maxdb_clear
#
# Cleanup in LC or MAXDB.
#
# Parameters:
# $1 admin user
# $2 CLI string
#
#########################################################################
function maxdb_clear
{
  typeset fname=maxdb_clear
  BLogMsg $*

  su - ${1} -c "${2} db_clear" >/dev/null 2>&1
  typeset returncode=$?
  case ${returncode} in
     0) LogMsg "db_clear command succeeded"
    ;;
    *) WrnLogMsg "db_clear finished with returncode ${returncode}"
    ;;
  esac
}


#########################################################################
#
# MAXDB Function: maxdb_rmspool
#
# Parameters:
# $1   SID
#
#########################################################################
function maxdb_rmspool
{
  typeset fname=maxdb_rmspool
  BLogMsg $*

  typeset dt
  typeset ext

  if [ "X${CLEANUP_POLICY}" != "Xlazy" ]; then
    if [ -d ${SPOOLDIR}/ipc/db:${1} ]; then
      LogMsg "Clearing ${SPOOLDIR}/ipc/db:${1}"
      rm ${SPOOLDIR}/ipc/db:${1}/-s* >/dev/null 2>&1
      rm ${SPOOLDIR}/ipc/db:${1}/-m*  >/dev/null 2>&1
      rm ${SPOOLDIR}/ipc/db:${1}/${1}  >/dev/null 2>&1
    fi
    if [ -d ${SPOOLDIR}/ipc/us:${1} ]; then
      LogMsg "Clearing ${SPOOLDIR}/ipc/us:${1}"
      rm ${SPOOLDIR}/ipc/us:${1}/-s* >/dev/null 2>&1
      rm ${SPOOLDIR}/ipc/us:${1}/-m*  >/dev/null 2>&1
      rm ${SPOOLDIR}/ipc/us:${1}/${1}  >/dev/null 2>&1
    fi
    for ext in shi shm
    do
      if [ -r "${IPCDIR}/${1}.dbm.${ext}" ]; then
        dt=`date "+%m%d%y%H%M%S"`
        LogMsg "Renaming ${IPCDIR}/${1}.dbm.${ext} --> ${IPCDIR}/${1}.dbm.${ext}.sgesap_cleanup${dt}"
        mv "${IPCDIR}/${1}.dbm.${ext}" "${IPCDIR}/${1}.dbm.${ext}.sgesap_cleanup${dt}"
      fi
      if [ -r "${IPCDIR}/dbm/ipc/${1}.dbm.${ext}" ]; then
        dt=`date "+%m%d%y%H%M%S"`
        LogMsg "Renaming ${IPCDIR}/dbm/ipc/${1}.dbm.${ext} --> ${IPCDIR}/dbm/ipc/${1}.dbm.${ext}.sgesap_cleanup${dt}"
        mv "${IPCDIR}/dbm/ipc/${1}.dbm.${ext}" "${IPCDIR}/dbm/ipc/${1}.dbm.${ext}.sgesap_cleanup${dt}"
      fi
    done
  fi
}


#########################################################################
#
# Critical section functions for starting vserver.
# So far only used by start_lc.
#
#########################################################################

#typeset VSERVER_START_LOCK="${TMPDIR:-/var/tmp/.sgesap}/vserver_start"

#########################################################################
#
# MAXDB Function: maxdb_enter_vserver_start
#
# Parameters:
#   - none -
#
# Enter critical section for starting MaxDB vserver. Tries to obtain the
# semaphore allowing vserver startup. Startup has to be done after this
# routine returns and TPID is 0.
#
# Creates directory /var/tmp/.sgesap/vserver_start as semaphore.
#
# maxdb_enter_vserver_start and maxdb_leave_vserver_start must be called
# in pair (before and after starting vserver)
#
#########################################################################

function maxdb_enter_vserver_start {

  typeset fname=maxdb_enter_vserver_start
  BLogMsg $*

  typeset pkgstart=""; # potential owner package
  typeset VSERVER_START_LOCK="${TMPDIR:-/var/tmp/.sgesap}/vserver_start"

  while [ 1 ]; do
    test_proc "${VSERVER}"
    if [ ${TPID} -ne 0 ]; then
      # Already running in the meantime, no need to start and get semaphore
      return 0
    fi
    if mkdir ${VSERVER_START_LOCK} 2>/dev/null; then
      # Got semaphore. Indicate that the current pkg is owning it.
      LogMsg2 5 "Acquired vserver start lock [${VSERVER_START_LOCK}]"
      touch ${VSERVER_START_LOCK}/${SG_PACKAGE}
      return 0; # TPID=0 here
    else
      sleep 2 # give potential concurrent winner the chance to touch
              # otherwise the looser may find the directory empty
    fi
    # Couldn't get semaphore, check who is supposed to start up in parallel
    # and if that package is really in starting state
    # (this schema doesn't support protecting restarts in monitors !!)
    # Assumes that there is just one file is in there
    # Also check if package itself is already owning the lock.
    # At this point the directory exists and should contain the owner (as filename)
    pkgstart=$(ls -1 ${VSERVER_START_LOCK} | head -1)

    if [ -n "${pkgstart}" ]; then
      if [ "${pkgstart}" = "${SG_PACKAGE}" ]; then
        # already owned by package (how come?) TPID=0
        WrnLogMsg "vserver start lock already owned by package. Continuing startup"
        return 0
      fi
      # check if owner package is in starting state
      ${SGSBIN}/cmviewcl -f line -p ${pkgstart} | grep "status=starting" >/dev/null
      if [ $? -eq 0 ]; then
        # Another starting package is owning the lock
        LogMsg2 5 "Owner of vserver startup lock: $pkgstart"
        sleep 3
        continue
      fi
      # owner package not in starting state
      # something wrong here. Cleanup (at the end of the loop) and start over
    #else: lockdir created by someone else but no package indicating "starting"
    fi
    # at this point there's an emtpy lockdir or a lockdir owned by a pkg which isn't started
    # need to remove the directory (but locked)
    if mkdir ${VSERVER_START_LOCK}/.tobedeleted 2>/dev/null; then
      rm -r -f ${VSERVER_START_LOCK} 2>/dev/null
      WrnLogMsg "Lock directory either empty or owned by non-starting package".
      WrnLogMsg "Lock directory removed [${VSERVER_START_LOCK}]"
    else
      sleep 2 # wait until other is ready
    fi
    # next interation to try to get semaphore
  done

}

#########################################################################
#
# MAXDB Function: maxdb_leave_vserver_start
#
# Parameters:
#   - none -
#
# Level critical section for starting MaxDB vserver.
#
# Removes directory /var/tmp/.sgesap/vserver_start
#
# maxdb_enter_vserver_start and maxdb_leave_vserver_start must be called
# in pair (before and after starting vserver)
#
#########################################################################

function maxdb_leave_vserver_start {

    typeset fname=maxdb_leave_vserver_start
    BLogMsg $*

    typeset VSERVER_START_LOCK=${TMPDIR:-/var/tmp/.sgesap}/vserver_start

    if [ -f "${VSERVER_START_LOCK}/${SG_PACKAGE}" ]; then
      LogMsg2 5 "Cleaning vserver start lock [${VSERVER_START_LOCK}]"
      rm -r -f ${VSERVER_START_LOCK} 2>/dev/null
      return 0
    else
      WrnLogMsg "Package not owner of vserver start lock anymore"
      return 1
    fi
}


#########################################################################
# HANA database functions
#########################################################################


#########################################################################
#
# Function: safesync_init
#
# Initialize safesync flags.
#
# Parameters:
#
# Sets SO_BLOCK_TAKEOVER
#
#########################################################################
function safesync_init
{
  typeset fname="safesync_init"
  BLogMsg $*

  typeset availnode
  typeset resource_state
  typeset cm_out

  SO_BLOCK_TAKEOVER=0

  if [[ ${SAFESYNC} -eq 0 ]]; then
    return 0
  fi

  #
  # initialize remote directory structure
  #
  if [[ -n ${PEER_REPRESENTATIVE_UP} ]]; then
    LogMsg "Check access to remote safesync persistence..."
    cmexec -t ${CMEXEC_TIMEOUT} -n ${PEER_REPRESENTATIVE_UP} ${SAFESYNC_INIT_CMD} 2>/dev/null >/dev/null
    cm_out=$?
    if [[ ${cm_out} -eq 0 ]]; then
      LogMsg "Success..."
    else
      WrnLogMsg "rc=${cm_out}"
    fi
  else
    LogMsg "Skip check of remote persistence - no node available"
  fi

  #
  # initialize persistence block etc...
  #
  if [ ${HDBPRIMARY} -eq 1 ]; then
    if [ ! -e ${HDBMON_ASYNC_FILE} ]; then
      LogMsg "Performing full safesync check"
      out=`${SGSBIN}/sr_safesync ${SG_PACKAGE_NAME}`
      if [ $? -ne 0 ]; then
        # it gets tricky, we dont know if we are in sync
        echo ${out}|grep "persistence block unknown" >/dev/null
        if [ $? -eq 0 ]; then
          # if secondary package did not run before, its not safe to rely on local flagfiles
          # ME: in full sync, a started secondary package might not have full info from the primary!!
      	  if [ "X${SECONDARY_PKG}" = "X" ]; then
            ErrLogMsg "Corresponding secondary package not found"
            LogMsg "No reliable safesync information available"
            safe_exit ${ERROR} "$1"
          fi
          WrnLogMsg "Persistence block status is unknown"
        else
          echo ${out}|grep "persistence block active" >/dev/null
          if [ $? -eq 0 ]; then
            touch ${HDBMON_ASYNC_FILE}
            chmod 554 ${HDBMON_ASYNC_FILE}
            chgrp ${SAPSYS} ${HDBMON_ASYNC_FILE}
            LogMsg "Cluster has nodes with active safesync persistence block"
            SO_BLOCK_TAKEOVER=1
          else
            echo ${out}|grep "Production token " >/dev/null
            if [ $? -eq 0 ]; then
              LogMsg "Production token exists"
            fi
          fi
        fi
      elif [ ${HDBSCALEOUT} -ne 1 ]; then
        if [ `${SGSBIN}/cmviewcl -f line -p ${SG_PACKAGE_NAME}|grep -e ^autorun=disabled$|wc -l` -eq 1 ]; then
          touch ${HDBMON_STICKY_FILE}; chmod 554 ${HDBMON_STICKY_FILE}; chgrp ${SAPSYS} ${HDBMON_STICKY_FILE}
          WrnLogMsg "Autorun is disabled and will not become enabled automatically after secondary syncup"
        else
          rm -rf ${HDBMON_STICKY_FILE} >/dev/null 2>&1
        fi
      fi
    else
      LogMsg "Local system has a persistence block"
      SO_BLOCK_TAKEOVER=1
    fi
    ${SGSBIN}/cmsetresource -r ${HDBMON_SAFESYNC_GENRES} -s up # to allow cluster startups with running instance (scale-up)
  else # only required if primary is up somewhere (ie. it has an owner)
    for availnode in `echo ${PEER_NODELIST_UP}`; do
      # persistence flagfile init
      LogMsg "Looking up safesync state of ${availnode}"
      cmexec -n ${availnode} -t ${CMEXEC_TIMEOUT} "[ -e ${HDBMON_ASYNC_FILE} ] || exit 2"
      case $? in
      0)
        LogMsg2 3 "Persistence block found"
        touch ${HDBMON_ASYNC_FILE}
        if [ ${HDBSCALEOUT} -ne 1 ]; then
          # disablement flagfile init
          ${SGSBIN}/cmcp ${availnode}:${APIDIR}/${PRIMARY_PKG}.sgesap.sticky.tmp ${APIDIR}/${PRIMARY_PKG}.sgesap.sticky.tmp 2>&1|grep "Failed to get attributes" >/dev/null
          if [ $? -eq 0 ]; then
            rm ${APIDIR}/${PRIMARY_PKG}.sgesap.sticky.tmp 2>/dev/null
          fi
        fi
        break
      ;;
      2)
        DbgLogMsg "No persistence block found"
        rm ${HDBMON_ASYNC_FILE} 2>/dev/null
      ;;
      esac
    done
    #
    # initialize resource for own nodes before the package startup succeeds
    # if HANA on the node is already up, it wouldn't happen elsewhere during package start
    #
    if [[ ${HDBSCALEOUT} -ne 1 ]]; then
      if [[ -r ${HDBMON_ASYNC_FILE} ]]; then
        ${SGSBIN}/cmgetresource -r ${HDBMON_SAFESYNC_GEMRES}|grep ' down' >/dev/null
        if [ $? -ne 0 ]; then
          $SGSBIN/cmsetresource -r ${HDBMON_SAFESYNC_GENRES} -s down
          LogMsg "Changed safesync eligibility block to [active] on local node"
        fi
      else
        ${SGSBIN}/cmgetresource -r ${HDBMON_SAFESYNC_GEMRES}|grep ' up' >/dev/null
        if [ $? -ne 0 ]; then
          $SGSBIN/cmsetresource -r ${HDBMON_SAFESYNC_GENRES} -s up
          LogMsg "Changed safesync eligibility block to [inactive] on local node"
        fi
      fi
    else
      if [[ -r ${HDBMON_ASYNC_FILE} ]]; then
        resource_state=down
        LogMsg "The eligibility block on nodes of this package get initialized to [active]..."
      else
        resource_state=up
        LogMsg "The eligibility block on nodes of this package get initialized to [inactive]..."
      fi
      for availnode in `${SGSBIN}/cmviewcl -f line -p ${SG_PACKAGE_NAME}|grep '^node:.*|state=starting$'|cut -f2 -d:|cut -f1 -d "|"`; do
        ${SGSBIN}/cmexec ${availnode} -t ${CMEXEC_TIMEOUT} "$SGSBIN/cmgetresource -r ${HDBMON_SAFESYNC_GENRES}|grep ' '${resource_state} >/dev/null || ( ${SGSBIN}/cmsetresource -r ${HDBMON_SAFESYNC_GENRES} -s ${resource_state} && exit 2)"
        if [[ $? -eq 2 ]]; then
          LogMsg2 3 "Initializing eligibility block on ${availnode}"
        fi
      done
    fi
  fi
  return 0
}


########################################################################
#
# Function: stop_hdb
#
# Generic function that stops a local HANA instance.
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
# $4    virtual hostname (optional)
#
#########################################################################
function stop_hdb

{
  typeset fname="stop_hdb"
  BLogMsg $*
  typeset HDB=${USRSAPDIR}/${3}/${1}${2}/HDB
  typeset shutdown_delay
  typeset CMD
  typeset vhost2=${4:-${VHNAME}}

  if [ $# -lt 3 -o $# -gt 4 ]; then
    WrnLogMsg "Check parameter settings in SGeSAP configuration"
  fi

  # Determine Dynamic Timeout values based
  # on data from previous runs
  STO_calc_timeout $1 $2 $3 stop_hdb_time

  # addl. set_environment omitted (would be redundant)

  LogMsg "Stop attempt on local host..."

  ########################################
  #
  # local stop of instance
  #
  ########################################

  find_sap_binary ${1} ${2} ${vhost2} ${3} sapcontrol
  if [ $? -eq 0 ]; then

#---STO---------------------------
    # for compatability keep non-STO code
    if [[ $ENABLE_STO -eq 0 ]]; then
      (( shutdown_delay = 80 * ${DELAY_INTERVALS} ))
      typeset locstopcmd="${LOCATION} -nr ${2} -function StopWait ${shutdown_delay} 2"
    else
      typeset locstopcmd="${LOCATION} -nr ${2} -function StopWait $HDB_STO_STOP_TIMEOUT 2"
    fi
#---STO---------------------------

  else
    WrnLogMsg "Using fallback shutdown script"
    typeset locstopcmd="${HDB} stop"
  fi

  # Don't accidently restart a halted instance by running sapstartsrv:
  # e.g. If the sapstartsrv process for a instance isn't running
  # and Autostart=1 in the profile and the sapstartsrv process is
  # started here,  it will automatically start the instance too!
  find_sap_binary ${1} ${2} ${vhost2} ${3} sappfpar
  CMD="${LOCATION:-sappfpar} pf=${MYINSTPROFILE} Autostart"
  if [[ "$(execute_sapcmd_sLPATH root "$CMD" | tail -1)" != "1" ]]; then
    stop_sapstartsrv ${1} ${2} ${vhost2} Linux ${MYSIDADM} ${3}
    start_sapstartsrv ${1} ${2} ${vhost2} ${3}
    sleep 3 # allow startup agent to come up first ...
  else
    LogMsg "Skip agent (re)start during shutdown, because it would trigger SAP's autostart"
  fi

  LogMsg "Running ${locstopcmd}"

  # start measuring for STO
  typeset starttime=$SECONDS

  su - ${MYSIDADM} -c "$SNIPMARK; ${locstopcmd} </dev/null" 2>&1|snipit|logpipe &

#---STO---------------------------
  # for compatability keep non-STO code
  if [[ $ENABLE_STO -eq 0 ]]; then
    watchdog $! ${shutdown_delay}
  else
    watchdog $! $HDB_STO_STOP_TIMEOUT
    DbgLogMsg "watchdog returned with rc=[=$?]"

    # done measuring for STO. now log results
    typeset endtime=$SECONDS
    STO_calc_elapsed_and_save ${1}${2} $3 $endtime $starttime stop_hdb_time
  fi
#---STO---------------------------

  # safety cleanup
  HDBStopCmd "term" $1 $2 $3

  if [[ ${HDBPRIMARY} -eq 1 ]]; then
    # safety: secondary should never get here. just remove for primary when stopping
    LogMsg "Removing shared memory for instance"
    HDB_remove_shmem $1 $2 $3 ${SGeSAP_CLEANUP_POLICY:-normal}
  fi
  return 0
}


#########################################################################
#
# Function: start_hdb
#
# Generic function that starts a local HANA node.
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
#
#########################################################################
function start_hdb
{
  typeset fname="start_hdb"
  BLogMsg $*
  typeset HDB=${USRSAPDIR}/${3}/${1}${2}/HDB
  typeset i
  typeset j=0
  typeset startup_delay
  typeset pkgrole
  typeset instrole

  typeset cnt=0
  typeset logcnt=10 # how often to check state before logging output
  typeset sleeptime=$STARTHDB_CHECK_INTERVAL
  typeset waited=0
  typeset maxwait

  if [ $# -ne 3 ]; then
    WrnLogMsg "Check parameter settings in SGeSAP configuration"
  fi
  # additional set_environment omitted (would be redundant)

  #
  # check if start necessary and possible
  #


  if [ "${SGeSAP_HDB_STARTWITHPKG}" -ne 1 ]; then
    if [ -d ${MYWORKDIR}/.sgesap_${3}_${1}${2}_stopped ]; then
      #
      # complete local planned downtime flag if required
      #
      LogMsg "Instance ${1}${2} of system ${3} is intentionally down - skipping start attempt"
      mkdir ${APIDIR}/sgesap_${3}_${1}${2}_stopped >/dev/null 2>&1
      return 0
    else
      #
      # clean up local planned downtime flag if required
      #
      rm -r -f ${APIDIR}/sgesap_${3}_${1}${2}_stopped >/dev/null 2>&1
    fi
  else
    # rm -r -f ${MYWORKDIR}/.sgesap_${3}_${1}${2}_stopped >/dev/null 2>&1
    # rm -r -f ${APIDIR}/sgesap_${3}_${1}${2}_stopped >/dev/null 2>&1
    rm_apiflagfile ${1} ${2} ${3} "stopped"
  fi

  if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
    LogMsg "Wait for potential autostart operation to begin ..."
    sleep ${DELAY_INTERVALS}
  fi

  find_sap_binary ${1} ${2} ${VHNAME} ${3} sapcontrol
  (( i = ${DELAY_INTERVALS} * 6))
  (( maxwait = $i * $WATCHDOG_TIMEOUT ))
  LogMsg "Stable state check: maxwait=[$i x $WATCHDOG_TIMEOUT secs] with check interval=[$sleeptime] for instance ${1}${2}"
  while [[ $waited -lt $maxwait ]]; do
    if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e RED|wc -l` -ne 0 ]; then
      WrnLogMsg "SAP startup framework reports that HANA node failed to start"
      return 1
    fi
    if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e YELLOW|grep -v "Running but status info unavailable"|wc -l` -ne 0 ]; then
      # log messages only so often (=logcnt)
      if [[ $cnt -eq 0 ]]; then
        LogMsg "Waiting for stable state of instance ${1}${2}... (waited $waited secs)"
      fi
    else
      break
    fi
    DbgLogMsg "sleeptime=[$sleeptime]"
    sleep $sleeptime
    (( waited = $waited + $sleeptime ))

    (( cnt = $cnt + 1 ))
    if [[ $cnt -eq $logcnt ]]; then
      cnt=0
    fi
  done
  LogMsg "Completed stable state check"

  if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -v "Running but status info unavailable"|grep -e RED -e YELLOW -e GREY -e GRAY|wc -l` -eq 0 ]; then
    if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e GREEN -e "Running but status info unavailable"|wc -l` -ne 0 ]; then
      LogMsg "Instance ${1}${2} of system ${3} is already running - skipping start attempt"
      if [ ${SAFESYNC} -eq 1 -a ${HDBPRIMARY} -eq 1 -a ${TAKEOVER_TRIGGERED} -eq 0 ]; then
        WrnLogMsg "Primary instance was already running without the package - please validate the safesync blocks"
      fi
      return 0
    fi
  fi
 if [ "X${HDBSECONDARY}" != "X0" ]; then
    # a secondary cannot start without its primary being up
    sync_hdb ${1} ${2} ${3}
    if [ $? -ne 0 ]; then
      WrnLogMsg "Primary is not available - skipping startup attempt for secondary."
      return 0
    fi
  fi

  LogMsg "Startup attempt on local host..."
  # Determine Self-learning Timeout values based
  # on data from previous runs
  STO_calc_timeout $1 $2 $3 start_hdb_time

  locstartlog="${MYWORKDIR}/sapstart.log"

  if [ "${MYSTARTPROFILE}" = "not_found" ]; then
    WrnLogMsg "Skipping startup attempt - profile missing"
    return 1
  fi

  ########################################
  #
  # local start of instance
  #
  ########################################

  find_sap_binary ${1} ${2} ${VHNAME} ${3} sapcontrol

  if [ $? -eq 0 ]; then

#---STO---------------------------
    # for compatability keep non-STO code
    if [[ $ENABLE_STO -eq 0 ]]; then
      (( startup_delay = 540 * ${DELAY_INTERVALS} ))
      typeset locstartcmd="${LOCATION:-sapcontrol} -prot NI_HTTP -nr ${2} -function StartWait ${startup_delay} 2"
    else

      # if this is primary, a fullsync and a scaleout config then just init the
      # start of the instance here and wait for start completetion in the
      # hdbsys.mon monitor. fullsync actually would require the start of primary-group
      # and secondary in parallel. but the scaleout site controller Currently
      # only allows sequential start of primary and secondary

      if [[ "${SGeSAP_HDB_INIT_INTO_FULLSYNC}" == "yes" && ${HDBPRIMARY} -eq 1 && ${HDBSCALEOUT} -eq 1 ]]; then
        HDB_STO_START_TIMEOUT=$FULLSYNC_SO_STO_START_TIMEOUT
        LogMsg "fullsync SO config override - init instance start with HDB_STO_START_TIMEOUT=[$HDB_STO_START_TIMEOUT]"
      fi

      typeset locstartcmd="${LOCATION:-sapcontrol} -prot NI_HTTP -nr ${2} -function StartWait ${HDB_STO_START_TIMEOUT} 2"
    fi
#---STO---------------------------

  else
    WrnLogMsg "Using fallback startup script"
    typeset locstartcmd="${HDB} start"
  fi
  sleep 3 # allow startup agent to come up first ...

  LogMsg "Running ${locstartcmd}"

  # start measuring for STO
  typeset starttime=$SECONDS

  su - ${MYSIDADM} -c "$SNIPMARK; ${locstartcmd} </dev/null" 2>&1|snipit|logpipe &


#---STO---------------------------
  # for compatability keep non-STO code
  if [[ $ENABLE_STO -eq 0 ]]; then
    watchdog $! ${startup_delay}
  else
    watchdog $! $HDB_STO_START_TIMEOUT
    DbgLogMsg "watchdog returned with rc=[$?]"

    # done measuring for STO. now log results
    typeset endtime=$SECONDS
    STO_calc_elapsed_and_save ${1}${2} $3 $endtime $starttime start_hdb_time
  fi
#---STO---------------------------

  LogMsg "Startup log and [HDB proc] command:"
  if [ -r ${locstartlog} ]; then
    cat ${locstartlog}|logpipe
  fi

  #
  # print instance processes
  #
  if [ -x ${HDB} ]; then
    su - ${MYSIDADM} -c "${HDB} proc"|logpipe&
    watchdog $!
  fi

  return 0
}

#########################################################################
#
# Function: stop_other_hdb
#
# Purpose: Stop local dual purpose HANA instances
#
# Parameters: none
#
# Uses HDBDP_INST_IDXS (set by init_params_hdb_dp) as indexes into
# SGeSAP_HDB_EPS_* arrays for the dualpurpose indexes to be stopped.
#
# Implementation of forced halt of dual purpose instances before primary failover
# Uses SG package parameter SGESAP_HDB_DUALPURPOSE_SHUTDOWN_METHOD to determine
# how the dualpurpose instance gets stopped (e.g HDB kill, HDB kill-9, HDB stop)
#
# Will just (try to) stop the instance and will leave sapstartsrv running.
#########################################################################

function stop_other_hdb
{
  typeset -i idx=0
  typeset fname="stop_other_hdb"
  typeset vhostname
  BLogMsg $*

  # stop all dual-purpose instances
  for idx in ${HDBDP_INST_IDXS[@]}; do
    typeset hdbdpnr=`echo ${SGeSAP_HDB_DUALPURPOSE_INSTANCE[$idx]}|eval ${GETNR}`
    typeset hdbdpname=`echo ${SGeSAP_HDB_DUALPURPOSE_INSTANCE[$idx]}|eval ${GETNAME}`
    typeset hdbdp_system=${SGeSAP_HDB_DUALPURPOSE_SYSTEM[$idx]}
    #
    # determine installation on virtual hostname
    #
    MYSIDADM=`ls -dl ${USRSAPDIR}/${hdbdp_system}|awk '{ print $3 }'`
    vhostname=`su - ${MYSIDADM} -c 'echo ${VTHOSTNAME}'|tail -1`
    vhostname=${vhostname:-${HNAME}}
    set_environment ${hdbdpname} ${hdbdpnr} ${vhostname} ${hdbdp_system}
    if [ "X${vhostname}" != "X${HNAME}" ]; then
      LogMsg "HANA virtual hostname of ${HDBDP_INST_IDXS[$idx]}: ${vhostname}"
    fi

    if [ ${MYINSTPROFILE} != "not_found" ]; then
      typeset smethod=${SGeSAP_HDB_DUALPURPOSE_SHUTDOWN_METHOD[$idx]:-"stopandkill"}
      LogMsg "Using smethod=[$smethod] for stopping dualpurpose instance"

      case $smethod in
        kill|kill-9|term|stop)
          HDBStopCmd $smethod ${hdbdpname} ${hdbdpnr} ${hdbdp_system}
          ;;
        stopandkill)
          HDBStopCmd "stop" ${hdbdpname} ${hdbdpnr} ${hdbdp_system}
          HDBStopCmd "kill" ${hdbdpname} ${hdbdpnr} ${hdbdp_system}
          ;;
        *) LogMsg "smethod=[$smethod] unknown"
          ;;
       esac
    else
      WrnLogMsg "Unable to stop instance ${hdbdpname}${hdbdpnr} of system ${hdbdp_system}"
    fi
  done

  # shared memory cleanup for dual-purpose instances. Use strict cleanup if
  # SGeSAP_CLEANUP_POLICY isn't set
  typeset cleanup_policy=${SGeSAP_CLEANUP_POLICY:-strict}
  for idx in ${HDBDP_INST_IDXS[@]}; do
    typeset hdbdpnr=`echo ${SGeSAP_HDB_DUALPURPOSE_INSTANCE[$idx]}|eval ${GETNR}`
    typeset hdbdpname=`echo ${SGeSAP_HDB_DUALPURPOSE_INSTANCE[$idx]}|eval ${GETNAME}`
    typeset hdbdp_system=${SGeSAP_HDB_DUALPURPOSE_SYSTEM[$idx]}

    MYSIDADM=`ls -dl ${USRSAPDIR}/${hdbdp_system}|awk '{ print $3 }'`
    vhostname=`su - ${MYSIDADM} -c 'echo ${VTHOSTNAME}'|tail -1`
    vhostname=${vhostname:-${HNAME}}
    set_environment ${hdbdpname} ${hdbdpnr} ${vhostname} ${hdbdp_system}

    if [ ${MYINSTPROFILE} != "not_found" ]; then
       HDB_remove_shmem ${hdbdpname} ${hdbdpnr} ${hdbdp_system} ${cleanup_policy}
    fi
  done
}

#########################################################################
#
# Function: HDBStopCmd
#
# Purpose: Stop local dual purpose HANA instances with HDB kill or
# HDB kill-9 or HDB stop
#
# Parameters:
#   smethod - use stop,kill-9,kill or term to stop the instance
#   iname - instance type
#   inr - instance inr
#   sid - Hana System
#
#########################################################################
function HDBStopCmd
{
  typeset fname="HDBStopCmd"
  BLogMsg $*
  typeset smethod="$1"
  typeset iname="$2"
  typeset inr="$3"
  typeset sid="$4"
  typeset HDB="${USRSAPDIR}/${sid}/${iname}${inr}/HDB"
  typeset locstopcmd="$HDB $smethod"

  LogMsg "$locstopcmd"
  su - ${MYSIDADM} -c "$SNIPMARK; ${locstopcmd} >/dev/null" 2>&1|snipit|logpipe &
  watchdog $!
}

#########################################################################
#
# Function: HDB_remove_shmem
#
# Purpose: cleans SAP shmem-resources after stop of HDB instance
#
# Parameters:
# $1    instance iname
# $2    instance number
# $3    sid
# $4    optional cleanup_policy=lazy,normal,strict
#
# Try removing shared memory of an HANA instance. If the database is
# multitenant then a mapping of dbusers can be found in file databases.lst
# Collect all dbusers and check if any well known process is running underwrote
# those uids
# Depending on the cleanup policy kill any running processes before
# trying to remove shared memory
#########################################################################
function HDB_remove_shmem
{
  typeset fname=HDB_remove_shmem
  LogMsg $*

  typeset iname=$1
  typeset inr=$2
  typeset sid=$3
  typeset cleanup_policy=${4:-${SGeSAP_CLEANUP_POLICY:-normal}}

  typeset DBUSERS=""
  typeset databases_file=/usr/sap/${sid}/SYS/global/hdb/mdc/databases.lst

  if [ -e $databases_file ]
  then
    for dbuser in $(cat $databases_file| grep -v "^#"| awk -F: '{print $3}')
    do
      DBUSERS="$DBUSERS|$dbuser"
    done
  fi

  typeset egrepUserPattern="${MYSIDADM}${DBUSERS}"
  typeset pgrepUserPattern=$(echo ${egrepUserPattern}|sed -e 's/[|]/,/g')
  typeset procPattern="(hdbnameserver|hdbpreprocessor|hdbindexserver|hdbscriptserver|hdbstatisticsserver|hdbcompileserver|hdbxsengine|hdbwebdispatcher|hdbdiserver|hdbmdcdispatcher|sapstart )"
  typeset hdbrsutilPattern="(hdbrsutil|python attachShm)"
  typeset hdbrsutilPids=$(pgrep -u "$pgrepUserPattern" -f "$hdbrsutilPattern")

  if [[  ${DBG} -gt 0 ]]; then
    LogMsg "egrepUserPattern=[$egrepUserPattern]"
    LogMsg "pgrepUserPattern=[$pgrepUserPattern]"
    LogMsg "procPattern=[$procPattern]"
    LogMsg "hdbrsutilPattern=[$hdbrsutilPattern]"
    LogMsg "hdbrsutilPids=[$hdbrsutilPids]"
  fi



  DbgLogMsg "cleanup_policy=[$cleanup_policy]"
  case "${cleanup_policy}" in
    "lazy")
        if [[ -n $hdbrsutilPids ]]; then
          LogMsg "Will not remove shared memory - found hdbrsutil process hdbrsutilPids=[$hdbrsutilPids]"
          return
        fi
        IPCLIST=""
        ;;
    "strict")
        if [[ -n $hdbrsutilPids ]]; then
          LogMsg "Found hdbrsutil process hdbrsutilPids=[$hdbrsutilPids] and cleanup_policy=[$cleanup_policy]"
          LogMsg "Killing hdbrsutil process"
          kill -TERM $hdbrsutilPids
        fi
        typeset pids=$(pgrep -u "$pgrepUserPattern" -f "$procPattern")
        if [[ -n $pids ]]; then
         LogMsg "Found running HDB procs pids=[$pids] - trigger kill"
         HDBStopCmd kill $iname $inr $sid
        fi
        IPCLIST=$(ipcs -mc|egrep "($egrepUserPattern)"|grep -v root|ipcs2ipclist)
        ;;
    *)
        if [[ -n $hdbrsutilPids ]]; then
          LogMsg "Will not remove shared memory - found hdbrsutil process hdbrsutilPids=[$hdbrsutilPids]"
          return
        fi
        IPCLIST=$(ipcs -mc|egrep "($egrepUserPattern)"|grep -v root|ipcs2ipclist)
        ;;
  esac

  if [ "X${IPCLIST}" != "X" ]; then
    LogMsg "Removing detected IPCs: ${IPCLIST}"
    ipcrm ${IPCLIST}
    if [ $? -gt 0 ]; then
      LogMsg "Removing shm resources failed"
    fi
  fi
}


########################################################################
#
# Function: runTrigger
#
# Disable or enable failover for the current/primary package.
# Handle setting of a generic resource for synced secondaries.
# Handle manual takeover safesync block.
#
# Used by the ha_dr_provider to do things that requires root access.
# Used by the backlog surveillance of the SGeSAP HANA monitors.
#
# Available Trigger Commands:
# E,e enable pkg
# D,d disable pkg
# B   set safesync block
# U   unblock
# S   stickyness
# R   remove stickyness
# T   set generic resource to up; sync=true
# F   set generic resource to down; sync=false
# x   xit
#
########################################################################
function runTrigger()
{
  typeset fname=runTrigger
  [ ${DBG} -gt 0 ] && BLogMsg $*
  typeset action="$1"
  typeset cmd
  typeset pipe_call=0
  typeset nl=""
  typeset pkg2mod
  typeset out_cm
  typeset pkgnodes
  typeset avnodes
  typeset finder
  typeset breakit
  typeset rc
  typeset rc2
  typeset i
  typeset n

  #
  # ping
  #
  if [[ $action = ":" ]]; then
    LogMsg "Connection change event ping request"
    # LogMsg `read -r <${HDBMON_PROVIDER_PIPE}; echo ${REPLY}`
    return 0
  fi

  #
  # unify backlog and safesync handling
  #
  if [[ $action =~ [[:upper:]] ]]; then
   action=`echo $action|$TRUL`
    LogMsg "ha_dr_provider safesync trigger [${action}] received"
    if [[ "$action" =~ [${HDBMON_PROVIDER_PIPE_FILTER}] ]]; then
      pipe_call=1
    else
      LogMsg "Filtered trigger [${action}]"
      pipeback_success 1
      return 0
     fi
  else
    if [[ ${SAFESYNC} = 0 ]]; then
      LogMsg "backlog trigger [${action}]"
    else
      return 0 # TODO: also use backlog logic if safesync is active
    fi
  fi

  #
  # regular exit for the listener process
  #
  if [[ $action = "x" ]]; then
    LogMsg "ha_dr_provider listener exit(0)"
    exit 0
  fi

  #
  # prepare trigger operation
  #
  case ${action} in
    "d"|"e")
      cmd="${SGSBIN}/cmmodpkg -"${action}
      if [[ $HDBSCALEOUT -ne 1 ]]; then
        pkg2mod=${SG_PACKAGE} # pkg to be disabled
      else
        typeset PRIMARY_PKG_SAV=$PRIMARY_PKG
        pkg2mod=$(SO_find_remote_primary_pkg2)
        PRIMARY_PKG=$PRIMARY_PKG_SAV # undo sideeffect
      fi
      if [[ -z "$pkg2mod" ]]; then
        ErrLogMsg "Could not determine primary package"
        pipeback_error ${pipe_call}
        return 1
      fi
      if [[ $HDBSCALEOUT -eq 1 && $SO_LEADNODE -eq 1 ]]; then
        typeset nl=""
        # cmviewcl_out=`${SGSBIN}/cmviewcl -f line -l node -p ${SG_PACKAGE}`
        # if [[ $? -ne 0 ]]; then
        #   ErrLogMsg "Could not determine cluster status"
        #   pipeback_error ${pipe_call}
        #   return 1
        # fi
        # for n in `echo "${cmviewcl_out}"|grep '^node:[[:alnum:]_-]*|state=running$'|cut -f 2 -d :|cut -f 1 -d "|"`; do
        for n in $(unset SG_NODE_NAME[*] ; eval $(${SGSBIN}/cmgetpkgenv $pkg2mod | grep NODE_NAME) ; echo ${SG_NODE_NAME[*]}); do
          nl="$nl -n $n"
        done
        if [[ -z "$nl" ]]; then
          ErrLogMsg "Couldn't get nodelist for $pkg2mod. Skipping command"
          pipeback_error ${pipe_call}
          return 1
        fi
        cmd="$cmd $nl"
      fi
      cmd="$cmd $pkg2mod"
      DbgLogMsg "Executing [${cmd}]"
    ;;
    "b"|"u")
      flagfile=${HDBMON_ASYNC_FILE}
    ;;
    "s"|"r")
      flagfile=${HDBMON_STICKY_FILE}
    ;;
    "t")
      cmd2="rm ${HDBMON_TAKEOVER_FILE} 2>/dev/null;${SGSBIN}/cmsetresource -r ${HDBMON_SAFESYNC_GENRES} -s up"
      cmd="$cmd '$cmd2'"
    ;;
    "f")
      cmd2="if [ ${HNAME} != \$(hostname) ];then ${SGSBIN}/cmsetresource -r ${HDBMON_SAFESYNC_GENRES} -s down;fi"
      cmd="$cmd '$cmd2'"
    ;;
  esac

  #
  # execute trigger
  #
  case ${action} in
    "b"|"s")
      out_cm=$(eval "touch ${flagfile};chmod 664 ${flagfile};chgrp ${SAPSYS} ${flagfile}" & watchdog $! ${SGeSAP_HDB_SAFESYNC_TIMEOUT} `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
      rc=$?
      rcmd='${SGSBIN}/cmcp ${flagfile} ${n}:${flagfile} >/dev/null'
    ;;
    "u"|"r")
      cmd="rm ${flagfile} 2>/dev/null; [ ! -e ${flagfile} ]"
      rc=$(eval $cmd; echo $?)
      rcmd='${SGSBIN}/cmexec ${n} -t ${SGeSAP_HDB_SAFESYNC_TIMEOUT} ${cmd}'
    ;;
    *)
      rc=0
    ;;
  esac
  case ${action} in
    "d"|"e")
      out_cm=$(eval $cmd & watchdog $! ${SGeSAP_HDB_SAFESYNC_TIMEOUT} `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
      rc=$?
      if [[ ${pipe_call} -eq 0 ]]; then
        if [[ ${action} = "e" ]]; then
          CmmodPkg="Initial"
        elif [[ ${CmmodPkg} = "Initial" &&  ${action} = "d" ]]; then
          CmmodPkg="Disable"
          PreviousPkgState=$(echo ${out_cm}| perl -nle 'BEGIN {$found=0} if (/(Package \S+ is already disabled)/) {$found=1; print $1} END { exit $found} ')
          rc2=$?
          if [[ ${rc2} -eq 1 ]]; then
            LogMsg "Package failover was previously disabled"
          fi
        fi
      fi
    ;;
    "b"|"s"|"u"|"r")
      (( rc = $rc + 1 ))
      pkgnodes=`cmviewcl -f line -s config -p ${PEER_PKG}|grep '^node:[[:alnum:]_-]*|name='|cut -f 2 -d=`
      avnodes=`cmviewcl -f line -l node|grep '^node:[[:alnum:]_-]*|status='|grep -e =up |cut -f 2 -d:|cut -f 1 -d"|"`
      finder=0
      breakit=0
      for i in $avnodes; do
        for n in $pkgnodes; do
          if [[ ${i} = ${n} ]]; then
            if [[ "${n}" != "${HNAME}" ]]; then
              finder=1
              out_cm=$(eval ${rcmd} & watchdog $! ${SGeSAP_HDB_SAFESYNC_TIMEOUT} `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
              rc2=$?
              if [[ ${rc2} -eq 0 ]]; then
                LogMsg2 4 "Remote propagation via node [$n]"
                (( rc = $rc - 1 ))
                breakit=1
                break # one per site is enough...
              else
                WrnLogMsg "Remote operation on ${n} failed [rc:${rc2}, ${out_cm}]"
              fi
            fi
          fi
        done
        [[ $breakit -eq 1 ]] && break
      done
      if [[ $finder -eq 0 ]]; then
        WrnLogMsg "No contact to remote host(s)"
        LogMsg2 4 "Available nodes:"[$avnodes]
        (( rc = $rc - 1 ))
      fi
    ;;
    "t"|"f")
      # WVE: do we need the following two lines? not, if we make sure that we preceed by b or u trigger...
      pkgnodes=`cmviewcl -f line -s config -p ${PEER_PKG}|grep '^node:[[:alnum:]_-]*|name='|cut -f 2 -d=`
      avnodes=`cmviewcl -f line -l node|grep '^node:[[:alnum:]_-]*|status='|grep -e =up|cut -f 2 -d:|cut -f 1 -d"|"`
      for i in $avnodes; do
        for n in $pkgnodes; do
          if [[ ${i} = ${n} ]]; then
            if [[ "${n}" != "${HNAME}" ]]; then
              out_cm=$(eval "cmexec ${n} -t ${SGeSAP_HDB_SAFESYNC_TIMEOUT} ${cmd}" & watchdog $! ${SGeSAP_HDB_SAFESYNC_TIMEOUT} `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
              rc2=$?
              if [[ $rc2 -ne 0 ]]; then
                (( rc = $rc + $rc2 ))
                WrnLogMsg "Remote operation on ${n} failed [rc:${rc2}, ${out_cm}]"
              else
                LogMsg2 4 "Eligibility propagation to node [$n]"
                break
              fi
            fi
          fi
        done
      done
    ;;
    *)
      WrnLogMsg "runTrigger unknown action=[${action}]"
      pipeback_error ${pipe_call}
      return 1
    ;;
  esac

  #
  # evaluate success
  #
  if [ ${rc:-0} -ne 0 ]; then
    LogMsg "Command failed: rc=[${rc}]"
    pipeback_error ${pipe_call}
  else
    LogMsg "Command succeeded"
    pipeback_success ${pipe_call}
  fi
}
function pipeback_error
{
  if [[ ${1} = 1 ]]; then
    touch ${HDBMON_ERROR_FILE} 2>/dev/null
    chmod 664 ${HDBMON_ERROR_FILE}
    chgrp ${SAPSYS} ${HDBMON_ERROR_FILE}
  fi
}
function pipeback_success
{
  if [[ ${1} = 1 ]]; then
    touch ${HDBMON_SUCCESS_FILE} 2>/dev/null
    chmod 664 ${HDBMON_SUCCESS_FILE}
    chgrp ${SAPSYS} ${HDBMON_SUCCESS_FILE}
  fi
}


#########################################################################
#
# Function: safesync_listener
#
# Fork safesync listener.
#
# Parameters:
# $1             on|off
#
# Sets PIPEPID
#
#########################################################################
function safesync_listener
{
  typeset fname="safesync_listener"
  BLogMsg $*

  typeset rc

  if [ ${SAFESYNC} -eq 0 ]; then
    return 0
  fi

  if [ "X${1}" = "Xon" ]; then
    LogMsg "Recreate ha_dr_provider pipe"
    [ -e ${HDBMON_PROVIDER_PIPE} ] && rm ${HDBMON_PROVIDER_PIPE}
    if [ ! -p ${HDBMON_PROVIDER_PIPE} ]; then
      mkfifo ${HDBMON_PROVIDER_PIPE}
      chmod 600 ${HDBMON_PROVIDER_PIPE}
      chown ${MYSIDADM}:${SAPSYS} ${HDBMON_PROVIDER_PIPE}
      rc=$?
      if [ $rc -ne 0 ]; then
        ErrLogMsg "Issue with setting up ha_dr_provider pipe [rc:${rc}]"
        exit $ERROR
      fi
    fi

    (while [ . ]; do read -r -n 1 <${HDBMON_PROVIDER_PIPE}; runTrigger ${REPLY}; done) 2>/dev/null &
    PIPEPID=$!
    LogMsg "Forked safesync listener (PID: ${PIPEPID})"
  else
    if [ ${PIPEPID} -ne 0 ]; then
      LogMsg "Shut down safesync listener (PID: ${PIPEPID})"
      echo "X" >> ${HDBMON_PROVIDER_PIPE}
      (sleep 5; kill ${PIPEPID} >/dev/null 2>&1) &
    fi
  fi


  return 0
}


##########################################################################
#
# Function: check_replication
#
# Determines whether local system is primary or secondary
# or not replicating at all.
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
# $4    scale-out leader flag
#
# Returns:
# 0 for undefined role
# 1 for primary
# 2 for secondary
#
#########################################################################
function check_replication
{
  typeset fname="check_replication"
  BLogMsg $*

  typeset cmd
  typeset hdbrep
  typeset out
  typeset rc
  typeset rep_enabled
  typeset repinfo="replication info"

  #
  # try simple check first
  #
  hdbrep=""
  find_sap_binary ${1} ${2} ${VHNAME} ${3} hdbnsutil
  if [ $? -eq 0 ]; then
    # use lightweight -sr_state if available
    if [[ $(vers $(get_HDB_version)) -ge $(vers $HDBMINVERSION_NSUTL_STATE) ]]; then
      cmd="su - ${MYSIDADM} -c '${LOCATION:-hdbnsutil} -sr_stateConfiguration' & watchdog \$! 15"
    else
      cmd="su - ${MYSIDADM} -c '${LOCATION:-hdbnsutil} -sr_state' & watchdog \$! 15"
    fi
    out=$(eval $cmd 2>/dev/null)
    rc=$?
    if [[ $rc -eq 0 ]]; then
      echo "${out}" |awk '/mode: none/ { exit 4 } /mode: primary/ { exit 3 } /mode: (secondary|sync|syncmem|async)/ { exit 2 }'
      case $? in
      4) if [ ${HDBPRIMARY} -eq 1 ]; then
           ErrLogMsg "Replication not enabled in the HANA configuration."
           typeset mysiteid=`${SGSBIN}/cmviewcl -f line -s config|grep '^node:'${HNAME}'|siteid='|cut -f 2 -d =`
           typeset mysite=`${SGSBIN}/cmviewcl -f line -s config|grep '^site:'|grep '|id='${mysiteid}'$'|cut -f 2 -d :|cut -f 1 -d '|'`
           mysite=${mysite:-'<site>'}
           LogMsg "Check whether to execute hdbnsutil -sr_enable --name=${mysite}"
           if [[ "X$4" = "XSO" ]]; then
             return 3 # don't exit here, scale-out leader still might need to abort the package startup
           else
             exit ${ERROR}
           fi
         else
           WrnLogMsg "Replication information missing from HANA configuration of this instance."
           LogMsg "The instance might not yet be registered."
         fi
         ;;
      3) LogMsg "Current replication state is primary."
         return 1
         ;;
      2) LogMsg "Current replication state is secondary."
         return 2
         ;;
      *) WrnLogMsg "sr_state unexpected output"
         echo "${out}"|logpipe
       ;;
      esac
    else
      WrnLogMsg "sr_state check failed [rc=$rc]"
      echo "${out}"|logpipe
    fi
  else
    WrnLogMsg "Cannot find hdbnsutil."
  fi

  #
  # try SAP internal tool
  #
  # -- commented with QXCR1001461773 - as it is not 3-tier replication compatible anyway
  # find_sap_binary ${1} ${2} ${VHNAME} ${3} hdbcons
  # if [ $? -eq 0 ]; then
    # cmd="su - ${MYSIDADM} -c ${LOCATION:-hdbcons}' -s '${3}'i -i '${2}' -e hdbindexserver \"replication info\"'"
    # out=`eval ${cmd} 2>&1`
    # rep_enabled=$(echo ${out}| perl -nle 'BEGIN {$isactive="Enabled";} if (/System replication is not active/) {$isactive="Disabled"} if (/exception throw location/) {$isactive="Unknown"} if (/Mo replication handler found/) {$isactive="Disabled"} END { print $isactive; }')
    # DbgLogMsg "rep_enabled=${rep_enabled}"

    # if [ "X${rep_enabled}" = "XDisabled" ]; then
      # ErrLogMsg "Replication is currently disabled in instance ${1}${2} of system ${3}."
      # exit ${ERROR}
    # else
      # if [ "X${rep_enabled}" = "XEnabled" ]; then
        # LogMsg2 5 "Replication is enabled."
      # else
        # WrnLogMsg "Check whether replication is enabled failed."
      # fi
    # fi

    # hdbrep=`eval ${cmd}|awk '/^System Replication .* Information$/ { print $3; exit }'`
    # if [[ "X${hdbrep}" = "XPrimary" ]]; then
      # LogMsg "Current replication state is primary."
      # return 1
    # else
      # if [[ "X${hdbrep}" = "XSecondary" ]]; then
        # LogMsg "Current replication state is secondary."
        # return 2
      # else
        # LogMsg "Local instance doesn't report replication state directly. [${hdbrep}]"
      # fi
    # fi
  # else
    # WrnLogMsg "hdbcons not found."
  # fi

  #
  # fallback check using global.ini
  #
  typeset file=${GLOBALINI}
  typeset sect="system_replication"
  typeset param="actual_mode"
  typeset actual_mode=$(read_ini_config $file $sect $param);

  DbgLogMsg "global.ini: sect=[${sect}] $param=[${actual_mode}]"

  if [[ ${actual_mode} = "primary" ]]; then
    LogMsg "global.ini: Current replication state is primary."
    return 1
  elif [[ ${actual_mode} = "sync" || ${actual_mode} = "syncmem" || ${actual_mode} = "async" ]]; then
    LogMsg "global.ini: Current replication state is secondary."
    return 2
  else
    WrnLogMsg "global.ini: Replication mode not detected."
    return 0
  fi
}

##########################################################################
#
# Function: remote_check_replication
#
# Determines whether remote system is primary or secondary
# or not replicating at all. First try sr_state/sr_stateConfiguration. if
# that fails try reading global.ini from the remote site
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
# $4    scale-out leader flag
#
# Returns:
# 0 for undefined role
# 1 for primary
# 2 for secondary
#
# Sets HDB_NODELAY
#
#########################################################################
function remote_check_replication
{
  typeset fname="remote_check_replication"
  BLogMsg $*

  typeset file=${GLOBALINI}
  typeset sect="system_replication"
  typeset param="actual_mode"
  typeset availnode
  typeset last_run_time
  typeset cmviewcl_out

  HDB_NODELAY=0
  cmviewcl_out=`${SGSBIN}/cmviewcl -v -f line -p ${SG_PACKAGE_NAME}|egrep "last_run_time"`
  DbgLogMsg "cmviewcl_out=[$cmviewcl_out]"

  last_run_time=$( echo "$cmviewcl_out"|awk -F "=" '
     BEGIN { last_run_time=0 }
     /last_run_time/ { if ($2>0) {last_run_time=1; exit } }
     END {print last_run_time}
     ' )

  DbgLogMsg "last_run_time=[${last_run_time}]"
  if [[  ${last_run_time} -gt 0 ]]; then
     DbgLogMsg "Package start not triggered by preceding cluster start"
     if [[ ${SAFESYNC} -ne 1 ]]; then
       return 0
     else
       HDB_NODELAY=1
     fi
  else
    LogMsg "This package start is the first one triggered after cluster start"
  fi

  for availnode in `echo ${PEER_NODELIST_UP}`; do
    remote_sr_state $1 $2 $3 $4 $availnode
    rc=$?
    DbgLogMsg "remote_sr_state rc=[$rc]"
    if [[ $rc -gt 0 ]]; then return $rc; fi
    remote_globalini_actual_mode $sect $param $availnode
    rc=$?
    if [[ $rc -gt 0 ]]; then return $rc; fi
  done
  return 0
}

#########################################################################

# Function: remote_sr_state
#
# run  sr_state/sr_stateConfiguration to remote site
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
# $4    remote node
#
# Returns:
# 0 for undefined role
# 1 for primary
# 2 for secondary

#########################################################################

function remote_sr_state
{
  typeset fname="remote_sr_state"
  BLogMsg $*

  typeset cmd
  typeset out
  typeset rc
  typeset timeout=15
  typeset node="$4"

  find_sap_binary ${1} ${2} ${VHNAME} ${3} hdbnsutil
  if [[ $? -ne 0 ]]; then WrnLogMsg "Cannot find hdbnsutil"; return 0; fi

  if [[ $(vers $(get_HDB_version)) -ge $(vers $HDBMINVERSION_NSUTL_STATE) ]]; then
    cmd="su - ${MYSIDADM} -c '${LOCATION:-hdbnsutil} -sr_stateConfiguration'"
  else
    cmd="su - ${MYSIDADM} -c '${LOCATION:-hdbnsutil} -sr_state'"
  fi

  LogMsg "Running [cmexec $node -t $timeout $cmd]"
  out=$(${SGSBIN}/cmexec $node -t $timeout $cmd)
  rc=$?
  if [[ $rc -ne 0 ]]; then
    WrnLogMsg "remote sr_state check failed [rc=$rc]"
    echo "${out}"|logpipe
    return 0
  fi

  echo "${out}" |awk '/mode: none/ { exit 3 } /mode: primary/ { exit 2 } /mode: (secondary|sync|syncmem|async)/ { exit 1 }'
  case $? in
    3) WrnLogMsg "Remote replication not enabled in the HANA configuration."
    return 3
    ;;
    2) LogMsg "Remote replication state is primary."
    return 2
    ;;
    1) LogMsg "Remote replication state is secondary."
    return 1
    ;;
    *) WrnLogMsg "remote_sr_state unexpected output"
    echo "${out}"|logpipe
    ;;
  esac
  return 0
}
#########################################################################

function remote_globalini_actual_mode
{
  typeset fname="remote_globalini_actual_mode"
  BLogMsg $*

  typeset file="$GLOBALINI"
  typeset sect="$1"
  typeset param="$2"
  typeset node="$3"
  typeset timeout=15
  typeset actual_mode=""

  cmd="cmexec $node -t $timeout cat $file"
  LogMsg "Running [$cmd]"
  actual_mode=$(${SGSBIN}/${cmd} | read_ini_config STDIN "$sect" "$param")

  case $actual_mode in
    primary)
      LogMsg "Remote global.ini replication state is primary."
      return 2
    ;;
    secondary|sync|syncmem|async)
      LogMsg "Remote global.ini replication state is secondary."
      return 1
    ;;
    *) WrnLogMsg "global.ini: Replication mode not detected."
      echo "actual_mode=[$actual_mode]"|logpipe
      return 0
      ;;
  esac

}

########################################################################
#
# Function: check_safesync
# Detects whether the safesync feature is active or not.
#
# Sets SAFESYNC and the HDBMON_* flagfile names.
#
########################################################################
function check_safesync
{
  typeset fname="check_safesync"
  BLogMsg $*

  typeset tdir=${TMPDIR}
  typeset prefix=""
  typeset prefix_remote=""
  SAFESYNC_INIT_CMD="mkdir -p ${TMPDIR}/api; chmod 774 ${TMPDIR}; chown ${MYSIDADM}:${SAPSYS} ${TMPDIR}; chmod 774 ${TMPDIR}/api; chown ${MYSIDADM}:${SAPSYS} ${TMPDIR}/api"
  typeset rc

  if [ `read_ini_config ${GLOBALINI} ha_dr_provider_SGeSAPcl provider`X = "SGeSAPclX" ]; then
    LogMsg "HANA instance is configured to use safesync"
    if [ ${HDBSCALEOUT} -eq 1 ]; then
      tdir=${SGeSAP_TMPDIR:-/usr/sap/${SAPSYSTEMNAME}/${HDBINSTANCE}/work/.sgesap}
      SAFESYNC_INIT_CMD="mkdir -p ${tdir}/api; chmod 774 ${tdir}; chown ${MYSIDADM}:${SAPSYS} ${tdir}; chmod 774 ${tdir}/api; chown ${MYSIDADM}:${SAPSYS} ${tdir}/api"
      eval $SAFESYNC_INIT_CMD 2>/dev/null
    else
      prefix=${SG_PACKAGE_NAME}.sgesap
    fi
    HDBMON_STICKY_FILE_PRE=${tdir}/api/
    HDBMON_STICKY_FILE_POST=${prefix}.sticky.tmp
    HDBMON_STICKY_FILE=${TMPDIR}/api/${SG_PACKAGE_NAME}.sgesap.sticky.tmp
    HDBMON_ASYNC_FILE=${tdir}/api/${prefix}.asynclck.tmp
    HDBMON_SUCCESS_FILE=${TMPDIR}/api/${SG_PACKAGE_NAME}.sgesap.succ.tmp
    HDBMON_ERROR_FILE=${TMPDIR}/api/${SG_PACKAGE_NAME}.sgesap.err.tmp
    HDBMON_TAKEOVER_FILE=${tdir}/api/${prefix}.takeover.tmp
    HDBMON_PRODUCTION_START_FILE=${tdir}/api/${prefix}.prodstart.tmp
    HDBMON_PROVIDER_PIPE=${TMPDIR}/${SG_PACKAGE_NAME}.sgesap.hadrpipe.tmp
    OPERATIONMODE_FILE=${tdir}/api/${prefix}.opmode.tmp
    ACTUALMODE_FILE=${tdir}/api/${prefix}.actualmode.tmp
    DbgLogMsg "Node flagfile location and prefix: [${TMPDIR}/api/${SG_PACKAGE_NAME}.sgesap]"
    DbgLogMsg "instance flagfile location and prefix: [${tdir}/api/${prefix}]"
    SAFESYNC=1
  else
    WrnLogMsg "HANA instance is NOT configured to use SGeSAP Safesync."
    SAFESYNC=0
    return 1
  fi
  cmgetresource -r ${HDBMON_SAFESYNC_GENRES} 2>/dev/null >/dev/null
  if [ $? -eq 1 ]; then
    ErrLogMsg "Safesync generic resource ${HDBMON_SAFESYNC_GENRES} is not configured."
    exit ${FATAL}
  fi
  return 0
}


########################################################################
#
# SUB function: read_ini_config
# Search thru a ini file and display all parameters
# of a section or only the parameter if specified
#
# read_ini_config global.ini system_replication mode
# read_ini_config global.ini system_replication
# read_ini_config global.ini
#
# Filename can also be "STDIN" for reading from a pipe.
#
# Parameters:
# $1     filename or keyword STDIN
# $2     file section
# $3     paramter to match
#
########################################################################
function read_ini_config
{
  typeset fname="read_ini_config"

  perl -w -e '
    use strict;
    use warnings;
    use Carp;

    my $file=shift;
    my $matchsect=shift;
    my $matchparam=shift;

    my ($CONF_FH, $line, $sect, $param, $value);
    my %confhash=();

    if ($file eq "STDIN") {
      $CONF_FH = *STDIN;
    }
    else {
      open ($CONF_FH, "<", "$file") or confess "Error: Can not open [$file]: $!";
    }

    # scan into hash
    while ($line = <$CONF_FH>) {
        if ($line =~ /^\[(.*)\]/) {
            $sect=$1;
        } elsif ($line =~/^([^=]+)\s+=\s+(.*)/) {
            ($param,$value) = ($1, $2);
            $confhash{"$sect"}->{"$param"} = $value;
       }
    }

    # print selected section or param in section
    foreach $sect ( keys %{confhash} ) {
        foreach my $param (keys %{ $confhash{"$sect"}}) {
            if (!defined $matchsect or ( $sect eq $matchsect) ) {
                if (!defined $matchparam or ($param eq $matchparam) ) {
#                    print "$param=$confhash{$sect}{$param}\n";
                    print "$confhash{$sect}{$param}\n";
                }
            }
        }
    }
    close $CONF_FH;
' $1 $2 $3
}


#########################################################################
#
# Function: hdb_ipconf_validate
#
# Checks that there is exactly one SGeSAP_HDB_IP_ADDRESS entry for each
# node on which the package can run for each SGeSAP_HDB_IP_SUBNET entry.
# Checks that an ip address fits to the given subnet.
# Checks that ip addresses are not configured twice in the package.
#
# Parameters:
#
#########################################################################
function hdb_ipconf_validate
{
  typeset fname=hdb_ipconf_validate
  BLogMsg $*

  typeset subnet
  typeset current_subnet
  typeset -i i=0
  typeset -i j
  typeset -i k=0
  typeset ret

  for subnet in ${SGeSAP_HDB_IP_SUBNET[@]}
  do
    if [ ${i} -eq 0 ]; then
      current_subnet=${subnet}
    fi
    ret=`${CMMODNET} -t -i ${SGeSAP_HDB_IP_ADDRESS[$k]} ${current_subnet} >/dev/null`
    if [ $? -ne 0 ]; then
      if [ `echo ${ret}|grep "is already configured on the subnet"|wc -l` -ne 0 ]; then
        ErrLogMsg "IP address ${SGeSAP_HDB_IP_ADDRESS[$k]} can not be configured on subnet ${current_subnet}."
        ErrLogMsg "Check SGeSAP_HDB_IP_... configuration settings."
        return 1
      fi
      WrnLogMsg "${CMMODNET}: [${ret}]"
    fi
    if [ "${subnet}X" != "${current_subnet}X" ]; then
      ErrLogMsg "There must be one SGeSAP_HDB_IP_ADDRESS parameter for each configured"
      ErrLogMsg2 "subnet and each configured node on which the package may run."
      ErrLogMsg2 "This rule is violated for subnet ${current_subnet}."
      return 1
    fi
    j=${i}
    while [ ${j} -ne 0 ]; do
      (( j = $j - 1 ))
      if [ ${SGeSAP_HDB_IP_ADDRESS[$j]} = ${SGeSAP_HDB_IP_ADDRESS[$i]} ]; then
        ErrLogMsg "Duplicate IP address configured [${SGeSAP_HDB_IP_ADDRESS[$j]}]"
        return 1
      fi
    done
    (( i = $i + 1 ))
    (( k = $k + 1 ))
    if [ ${i} -eq ${#SG_NODE_NAME[@]} ]; then
      i=0
    fi
  done
  if [ ${i} -ne 0 ]; then
    ErrLogMsg "There must be one SGeSAP_HDB_IP_ADDRESS parameter for each configured"
    ErrLogMsg2 "subnet and each configured node on which the package may run."
    ErrLogMsg2 "This rule is violated for subnet ${current_subnet}."
    return 1
  fi
  LogMsg "Success."
  return 0
}


#########################################################################
#
# Function: cleanup_public_resolution
#
# Parameters:
#
# Requires GLOBINIUPD[] with public_network_resolution entries
#
#########################################################################
function cleanup_public_resolution
{
  typeset fname=cleanup_public_resolution
  BLogMsg $*

  typeset name
  typeset mapping
  typeset resolution
  typeset resolution_ip
  typeset -i index
  typeset -i rc

  unset GLOBINIREM[@]

  #
  # check for duplicates
  #
  index=0
  rc=0
  # requires previous execution of select_ips-->get_master_nameserver_list to fill array
  if [ -z "${VSERVER_LIST}" ]; then
    ErrLogMsg "List of HANA nodes reported as empty"
    exit ${FATAL}
  fi
  VHNAME=`su - ${MYSIDADM} -c 'echo ${VTHOSTNAME} 2>/dev/null'|tail -1`
  for vname in $(echo "${VSERVER_LIST}"); do
    for mapping in ${GLOBINIUPD[@]}; do
      resolution=`read_ini_config ${GLOBALINI} public_hostname_resolution map_${vname}`
      resolution_ip=$(${NWRKSUPP} ghbn ${resolution} 2>/dev/null| cut -d ";" -f 2)
      if [ "X${resolution_ip}" = "X`echo ${mapping}|cut -d = -f 2`" ]; then
        if [ "X${vname}" != "X${VHNAME}" ]; then # no need to remove own entry
          WrnLogMsg "Removing HANA Public Resolution: map_${vname}=${resolution}"
          GLOBINIREM[$index]="[public_hostname_resolution]map_${vname}"
          rc=1
          (( index = $index + 1 ))
        fi
      else
        #
        # check if global.ini needs to be updated at all
        #
        if [ "X${vname}" = "X${VHNAME}" ]; then
          rc=1
        fi
      fi
    done
  done

  for mapping in ${GLOBINIREM[@]}; do
    DbgLogMsg "GLOBINIREM entry: ${mapping}"
  done

  LogMsg "Check complete - ${#GLOBINIREM[@]} outdated entries found"
  remove_globalini_dp_param ${GLOBALINI}

  return ${rc}
}


#########################################################################
#
# Function: clean_syncgate
#
# Remove temporary files of an incomplete leader elected that might
# be caused by interrupted package start attempts.
#
# Parameters:
# $1          HDB_INSTANCE
#
#
#########################################################################
function clean_syncgate {
  typeset fname=clean_syncgate
  BLogMsg $*

  typeset leaderdir

  if [ "${SG_PACKAGE_TYPE}" = "multi_node" ]; then
    typeset hdb_nonleaderdir=${HANA_SHARED}/${SGeSAP_HDB_SYSTEM}/${1}/.sgesap
    typeset hdb_leaderdir=${hdb_nonleaderdir}/lock

    mkdir -p ${hdb_nonleaderdir} 2>/dev/null

    rm ${hdb_nonleaderdir}/.${HNAME}.abort 2>/dev/null
    rm ${hdb_nonleaderdir}/${HNAME}.bypass 2>/dev/null

    for leaderdir in `ls -d ${hdb_leaderdir}* 2>/dev/null`; do
      if [ -n "${leaderdir}" ]; then
        DbgLogMsg "Potential artifact leader dir: [${leaderdir}]"
        if [ -e "${leaderdir}/${HNAME}" ]; then
          rm -rf ${leaderdir} 2>/dev/null
          WrnLogMsg "Removed MNP leader artifacts of this node"
        fi
      fi
    done
  fi
}


#########################################################################
#
# Function: safesync_listener_candidate
#
# Starts safesync listeners on all master nameserver candidates
#
# Parameters:
#
#########################################################################
function safesync_listener_candidate {
  typeset fname=safesync_listener_candidate
  BLogMsg $*

  if [[ ${SAFESYNC} -eq 1 ]]; then
    get_master_name_server_list ${1}
    echo "${MASTER_NAME_SERVER_LIST}"|grep ${HNAME} >/dev/null
    if [[ $? -eq 0 ]]; then
      trap "safesync_listener off" EXIT
      safesync_listener on
    fi
  fi
}


#########################################################################
#
# Function: hdb_syncgate
#
# HANA scale-out packages need to delay the startup of the instance
# on the different nodes until after at least one master nameserver
# is ready to start and until after a set of one-time activities are
# finished. The MNP elects a leader node that executes the one-time
# activities ("leader tasks") and checks for the availability of the
# master nameserver before allowing the individual node startups.
# All non-leader nodes knock on the sync gate of the leader.
# Only after achieving active approval, they'll start HANA.
#
# Parameters:
# $1          HDB_INSTANCE
# $2          p if primary package
#             s if secondary package
#             n neutral, noop
#
# Sets READINESS_STRATEGY.
#
#########################################################################
function hdb_syncgate {
  typeset fname=hdb_syncgate
  BLogMsg $*

  typeset knocked=0 # house number of sync gate (possible house numbers: 100-199; not yet knocked:0)
  typeset leader_tasks=0 # memorizes whether local node performed leader tasks
  typeset restart_counter=1 # a fork bomb prevention for the door opener background task
  typeset opener_pid=0 # the process id of the door opener background task
  typeset leader=0 # memorizes if current node has MNP leader role
  typeset current_suffix=100 # maps to the house number for the knocking
  typeset myleader="" # hostname of the leader node
  typeset leaderdir=""
  typeset strlen=0
  typeset new_suffix=""
  typeset hdb_nonleaderdir=${HANA_SHARED}/${SGeSAP_HDB_SYSTEM}/${1}/.sgesap
  typeset node=""
  typeset rc=0
  typeset priority_server=""
  typeset cmviewcl_out=""

  HDB_LEADERDIR=${hdb_nonleaderdir}/lock${2}

  #
  # assign a syncgate policy
  #
  if [[ "X${2}" = "Xp" ]]; then
    # fast readiness will have to be enhanced by a node counter
    # READINESS_STRATEGY=${READINESS_STRATEGY:-fast}
    READINESS_STRATEGY=${READINESS_STRATEGY:-std}
  else
    READINESS_STRATEGY=${READINESS_STRATEGY:-std}
  fi

  #
  # fall through, initial shortcut
  #
  if [[ ${SGeSAP_HDB_MAXSCALE} -le 64 ]]; then
    ${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e "^node:"|grep -e status=up >/dev/null
    if [ ${?} -eq 0 ]; then
      LogMsg "Package already running on at least one cluster node"
      touch ${hdb_nonleaderdir}/${HNAME}.bypass
      return 0
    fi
  fi

  #
  # delay execution for anybody but the last active master
  # to make it likely that leader and master are identical
  #
  SO_get_active_master_name_server
  if [ "X${ACTIVE_MASTER_NAME_SERVER}" = "X" ]; then
    SO_get_static_master_name_server ${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/SYS/global/hdb/custom/config/nameserver.ini
  fi
  priority_server=${STATIC_MASTER_NAME_SERVER:-${ACTIVE_MASTER_NAME_SERVER}}
  if [ "X${priority_server}" = "X" ]; then
    LogMsg2 4 "No priority detected"
    sleep `(( a = $RANDOM % 3 + 1 )); echo $a`
  elif [ "X${priority_server}" != "X${HNAME}" ]; then
    LogMsg2 4 "Priority: ${priority_server}"
    sleep 15
  else
    LogMsg "This node tries to get election priority"
  fi


  while [ . ]; do
    #
    # detect leader
    #
    leaderdir=`ls -1d ${HDB_LEADERDIR}* 2>/dev/null|tail -1`
    if [ -n "${leaderdir}" ]; then
      # DbgLogMsg "Found leader directory: ${leaderdir}"
      strlen=`expr length ${leaderdir}`
      (( strlen = $strlen - 2 ))
      current_suffix=`echo ${leaderdir}|cut -c ${strlen}-`
      myleader=`ls -1 ${leaderdir}|grep -v ^\\\.|tail -1`

      #
      # fall through if package is up on any node
      #
      ${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e "^node:"|grep -e status=up >/dev/null
      if [[ ${?} -eq 0 ]]; then
        LogMsg "Package already running on at least one cluster node"
        touch ${hdb_nonleaderdir}/${HNAME}.bypass
        rm ${leaderdir}/.${HNAME} 2>/dev/null # stop knocking and leave
        break
      fi
      #
      # empty directory?
      #
      if [ -z "${myleader}" ]; then
        LogMsg "Wait for empty leader directory to get populated"
        sleep 3 # give time for the leader to populate leader dir
        myleader=`ls -1 ${leaderdir}|grep -v ^\\\.|tail -1`
        if [ -z "${myleader}" ]; then
          LogMsg "No activity in chosen leader directory"
          rm -rf ${leaderdir}
          if [ $? -eq 0 ]; then
            LogMsg "Removed inactive leader dir ${leaderdir}"
          else
            LogMsg "Leader dir ${leaderdir} was no longer available"
          fi
          continue
        fi
      fi
      #
      # detect, if this node already is leader
      #
      if [ "X${HNAME}" = "X${myleader}" ]; then
        leader=1 # this node is leader
      else
        #
        # is the leader active?
        #
        cmviewcl_out=`${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line`
        if [ $? -eq 0 ]; then
          echo "${cmviewcl_out}" |grep -e "^node:${myleader}"|grep -e state=starting >/dev/null 2>/dev/null # -e state=blocked
          if [ ${?} -eq 0 ]; then
            leader=2 # other node seems to be leading, but this is unreliable info
          else
            if [ -n "${myleader}" ]; then
              LogMsg "Giving up ${myleader} as potential leader - MNP is not starting there"
            fi
            rm -rf ${leaderdir} # kicks out remote door_opener
            if [ $? -eq 0 ]; then
              LogMsg "Removed inactive leader dir ${leaderdir}"
            else
              LogMsg "Leader dir ${leaderdir} no longer available"
            fi
            knocked=0
            leader=0
            continue
          fi
        else
          WrnLogMsg "Cluster query failed"
          sleep 10
          continue
        fi
      fi
    else
      LogMsg "No leader selected yet"
    fi

    if [ -e ${hdb_nonleaderdir}/.${HNAME}.abort ]; then
      ErrLogMsg "Previous leader node ${myleader} signaled critical error - aborting"
      rm ${hdb_nonleaderdir}/.${HNAME}.abort
      exit ${ERROR}
    fi

    #
    # no leader? try to become one
    #
    if [ ${leader} -eq 0 ]; then
      (( new_suffix = ( $current_suffix + 1 ) % 100 + 100 ))
      mkdir -p ${HDB_LEADERDIR}${new_suffix} 2>/dev/null
      if [ $? -eq 0 ]; then
        #
        # this node became leader
        #
        touch ${HDB_LEADERDIR}${new_suffix}/${HNAME}
        if [ $? -ne 0 ]; then
          WrnLogMsg "Becoming leader failed"
          rmdir ${HDB_LEADERDIR}${new_suffix}
          continue
        fi
        leader=1
        # rm -rf ${leaderdir}
        LogMsg "This node is elected as leader node"
        leaderdir=${HDB_LEADERDIR}${new_suffix}
        DbgLogMsg "My leader directory: ${leaderdir}"
      else
        LogMsg "This node lost race to become leader node"
      fi
    fi

    if [ ${leader} -eq 1 -a ${leader_tasks} -eq 0 ]; then

      #
      # perform exclusive leader tasks
      #

      rc=0
      if [ "X${2}" = "Xp" ]; then
        LogMsg "Executing exclusive leader tasks"
        LEADERDIR=${leaderdir}
        safesync_init SO
        rc=$?
        if [ ${rc} -eq 0 ]; then
          takeover_hdb ${HDBNAME} ${HDBNR} ${SGeSAP_HDB_SYSTEM} SO
          rc=$?
        fi
      elif [ "X${2}" = "Xs" ]; then
        LogMsg "Executing exclusive leader tasks"
        check_replication ${HDBNAME} ${HDBNR} ${SGeSAP_HDB_SYSTEM} SO
        rc2=$?
        safesync_init SO
        rc=$?
        if [ ${rc2} -lt 2 ]; then
          if [ ${HDBSECONDARY} -ne 0 ]; then
            decide_role ${HDBNAME} ${HDBNR} ${SGeSAP_HDB_SYSTEM} SO
            rc=$?
          else
            DbgLogMsg "Bypassed role decision"
          fi
        elif [ ${rc2} -ne 3 ]; then
          DbgLogMsg "Correct replication state"
        fi
        if [ ${rc} -eq 0 -a ${#SGeSAP_HDB_EPS_LOCATION[@]} -gt 0 ]; then
          update_globalini
        fi
      fi

      if [ ${rc} -ne 0 ]; then
        #
        # trigger abortion of package startup operation
        #
        ErrLogMsg "Fatal return code ${rc} - aborting package startup"
        sleep 10
        for filename in `cd ${leaderdir}; ls .??* 2>/dev/null`; do
          cp ${leaderdir}/${filename} ${hdb_nonleaderdir}/${filename}.abort
          rm ${leaderdir}/${filename}
        done
        for node in `${SGSBIN}/cmviewcl -f line -l node -p ${SG_PACKAGE_NAME}|grep -e '|'state=starting -e '|'state=blocked|cut -f 2 -d :|cut -f 1 -d '|'`; do
          touch ${hdb_nonleaderdir}/.${node}.abort
        done
        exit ${rc}
      fi

      #
      # wait for master nameserver
      #
      LogMsg "Leader tasks fulfilled - waiting for system-wide readiness"
      LEADERDIR=${leaderdir}
      door_opener ${1} &
      opener_pid=$!
      LogMsg "Forked readiness surveillance [PID: ${opener_pid}]"
      leader_tasks=1
      touch ${HDB_LEADERDIR}${new_suffix}/.${HNAME}
      if [ $? -ne 0 ]; then
        WrnLogMsg "Leader failed to knock"
        kill ${opener_pid}
        opener_pid=0
        continue
      fi
      knocked=${new_suffix}
    else
      #
      # knock again if leader changed
      #
      if [ ${knocked} -ne 0 -a ${knocked} -ne ${current_suffix} ]; then
        WrnLogMsg "Leader change detected"
        knocked=0
        if [ ${opener_pid} -ne 0 ]; then
          kill ${opener_pid} 2>/dev/null
          opener_pid=0
        fi
        if [ ${leader} -eq 1 ]; then
          WrnLogMsg "Give up being leader"
          leader=0
        fi
      fi

      #
      # clients and inactive leaders wait for the door opener
      #
      if [ ${knocked} -ne 0 ]; then
        # mkdir ${hdb_nonleaderdir} 2>/dev/null
        # mkdir ${HDB_LEADERDIR}${knocked} 2>/dev/null
        if [ ! -e ${HDB_LEADERDIR}${knocked}/.${HNAME} ]; then
          #
          # the door opener let me in or rejected me
          #
          if [ -e ${hdb_nonleaderdir}/.${HNAME}.abort ]; then
            ErrLogMsg "Leader node ${myleader} signals error - aborting"
            rm  ${hdb_nonleaderdir}/.${HNAME}.abort
            exit ${ERROR}
          fi
          if [ -d ${HDB_LEADERDIR}${knocked} ]; then
            LogMsg "MNP sync wait success"
            # avoid racing conditions
            ls -l ${hdb_nonleaderdir} >/dev/null 2>&1
            if [ -e ${hdb_nonleaderdir}/.${HNAME}.abort ]; then
              ErrLogMsg "But leader node ${myleader} signals error - aborting"
              rm  ${hdb_nonleaderdir}/.${HNAME}.abort
              exit ${ERROR}
            fi
            break

          else
            LogMsg "Leader directory missing"
            knocked=0
            leader=0
            continue
          fi
        fi
      else
        #
        # knock to get past the gate
        #
        touch ${leaderdir}/.${HNAME}
        if [ $? -ne 0 ]; then
          WrnLogMsg "Knock failed - no ${leaderdir} access"
          continue
        fi
        knocked=${current_suffix}
        LogMsg "Syncgate leader node chosen: ${myleader}"
        LogMsg "Wait for system-wide readiness to start HANA (sequence: ${current_suffix}, ${READINESS_STRATEGY})"
      fi
    fi

    #
    # make sure a door opener is running
    #
    if [ ${leader_tasks} -eq 1 -a ${restart_counter} -lt ${FORK_STOP} ]; then
      if [ ${opener_pid} -ne 0 ]; then
        ps ${opener_pid} >/dev/null 2>&1
        if [ $? -ne 0 ]; then
          #
          # no door opener running
          #
          ${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e "^node:"|grep -e state=running >/dev/null
          if [ ${?} -eq 0 ]; then # shortcut to avoid respawn if door opener should be down
            LogMsg "Package already running on at least one cluster node"
            break
          else
            LEADERDIR=${leaderdir}
            door_opener ${1} &
            opener_pid=$!
            WrnLogMsg "Refork readiness surveillance [ PID: ${opener_pid} / count: ${restart_counter} ]"
            (( restart_counter = $restart_counter + 1 )) # prevent fork bomb
            sleep 3
          fi
        fi
      fi
    fi
  done

  LogMsg "Leaving syncgate"
  return 0
}


#########################################################################
#
# Function: door_opener
#
# This function will be executed as background task by the MNP leader.
# It allows HANA MNP nodes to begin with the start of their HANA nodes
# in parallel with the leader's startup attempt for his HANA node.
#
# Parameters:
# $1          HDB_INSTANCE
#
#########################################################################
function door_opener {
  typeset fname=hdb_surveillance

  typeset list
  typeset nameserver
  typeset readiness=0
  typeset pending_old=0
  typeset pkg_status
  typeset knocking
  typeset pending
  typeset passive
  typeset pending_list
  typeset passed
  typeset node
  typeset cmviewcl_out
  typeset leaderdir=${LEADERDIR}
  typeset hdb_nonleaderdir=${leaderdir}/..


  DbgLogMsg "leaderdir [${HDB_LEADERDIR}]"

  if [ "X${READINESS_STRATEGY}" = "Xfast" ]; then
    get_master_name_server_list ${1}
    list=`echo ${MASTER_NAME_SERVER_LIST}`
    DbgLogMsg "Master nameserver nodes: ${list}"
  fi

  trap "
    DbgLogMsg 'Signal caught'
    # safesync_listener off
    ${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e ^node:${HNAME}|grep -e state=blocked -e state=starting -e state=unknown -e state=detached >/dev/null || (
      LogMsg 'Stop readiness surveillance'
      ${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e ^node:${HNAME}|grep -e state=running >/dev/null && (
       rm -rf ${leaderdir} # avoid artifacts
       LogMsg 'Terminating (0)'
     )
    )
    " INT QUIT TERM EXIT

  min_nodes=${#SG_NODE_NAME[@]}
  INDEX_STANDBYS=${INDEX_STANDBYS:-${min_nodes}}
  (( min_nodes = $min_nodes - $INDEX_STANDBYS ))
  while [ . ]; do
    if [ ${readiness} -eq 0 ]; then # readiness is sticky
      if [ "X${READINESS_STRATEGY}" = "Xstd" ]; then
        #
        # delay readiness until all starting nodes knock
        #
        LogMsg "Wait for all starting nodes to request synchronization..."
        while [ . ]; do
          knocking=1
          pending=0
          passive=0
          pending_list=""
          passed=0
          cmviewcl_out=`${SGSBIN}/cmviewcl -f line -l node -p ${SG_PACKAGE_NAME}`
          for node in ${SG_NODE_NAME[@]}; do
            if [ "X${node}" != "X${HNAME}" ]; then
              if [ `echo "${cmviewcl_out}"|grep -e node:${node}'|state=maintenance' -e node:${node}'|state=detached' -e node:${node}'|state=running'|wc -l` -ne 0 ]; then
                (( passive = $passive + 1 ))
              elif [ `echo "${cmviewcl_out}"|grep -e node:${node}'|state=starting' -e node:${node}'|state=start_wait' |wc -l` -ne 0 ]; then
                ls -l ${leaderdir}/.${node} >/dev/null 2>&1
                if [ $? -eq 0 ]; then
                  (( knocking = $knocking + 1 ))
                elif [ -e ${hdb_nonleaderdir}/${node}.bypass ]; then
                  (( passed = $passed + 1 ))
                else
                  (( pending = $pending + 1 ))
                  pending_list=$pending_list" $node "
                fi
              fi
            fi
          done
          (( curr_nodes = $passed + $knocking ))
          (( curr_nodes = $curr_nodes + $pending ))
          (( curr_nodes = $curr_nodes + $passive ))
          if [[ ${min_nodes} -gt ${curr_nodes} && "X${SGeSAP_BYPASS_HANA_MIN_NODE_CHECK}" != "X1" ]]; then
            ErrLogMsg "There are not enough nodes to start HANA - aborting package startup"
            LogMsg2 4 "Required workers: ${min_nodes}, optional standbys: ${INDEX_STANDBYS}"
            LogMsg2 4 "Available nodes: ${curr_nodes} = ${knocking} waiting, ${pending} pending, ${passed} by-passed, ${passive} passive"
            echo "${cmviewcl_out}"|grep ^node:.*'|'state=[[:alnum:]]*$|logpipe
            # safe exit
            for filename in `cd ${leaderdir}; ls .??* 2>/dev/null`; do
              cp ${leaderdir}/${filename} ${hdb_nonleaderdir}/${filename}.abort
              rm ${leaderdir}/${filename}
              DbgLogMsg "Releasing ${filename}"
            done
            for node in `echo "${cmviewcl_out}"|grep -e '|'state=starting -e '|'state=blocked|cut -f 2 -d :|cut -f 1 -d '|'`; do
              touch ${hdb_nonleaderdir}/.${node}.abort
              DbgLogMsg "Signaling abortion to node ${node}"
            done
            exit ${FATAL}
          fi
          if [ ${pending} -eq 0 ]; then
            LogMsg "Full set of ${knocking} starting node(s) request(s) synchronization"
            if [ ${passed} -gt 0 ]; then
              LogMsg "${passed} nodes bypassed the synchronization gate"
            fi
            LogMsg "System-wide readiness to start instance achieved"
            readiness=1
            (
              flock -x 199
              run_reconfigure
            ) 199<${GLOBALINI}
            rm ${leaderdir}/.??* 2>/dev/null
            LogMsg "Sync gate is open"
            break
          else
            if [ ${pending} -ne ${pending_old} ]; then
              pending_old=${pending}
              LogMsg2 3 "Waiting for ${pending} pending node(s)..."
              LogMsg2 4 "Pending node list: [$pending_list]"
            fi
            sleep 3
            mkdir ${leaderdir}/.${HNAME}dummy; rmdir ${leaderdir}/.${HNAME}dummy # refresh potential NFS cache
          fi
          if [ ! -e ${leaderdir}/${HNAME} ]; then
            ErrLogMsg "Lost leadership role while waiting for start readiness"
            exit ${ERROR}
          fi
        done

      else # READINESS_STRATEGY=fast
        #
        # delay readiness until a master nameserver knocks
        #
        for nameserver in $list; do
          ls ${leaderdir}/.${nameserver} >/dev/null 2>&1
          if [ $? -eq 0 ]; then
            LogMsg "Master nameserver ${nameserver} is ready to start"
            rm ${leaderdir}/.${nameserver}
            LogMsg "System-wide readiness to start instance achieved"
            # sleep 2 # give headroom to at least one nameserver
            readiness=1
            #
            # run HANA reconfigure to apply .ini changes (ip resolution et.al.)
            #
            (
              flock -x 199
              run_reconfigure
            ) 199<${GLOBALINI}
            rm ${leaderdir}/.??* 2>/dev/null
            LogMsg "Sync gate is open"
            break
          fi
        done
      fi
    else
      #
      # open door for all who knocked late
      #
      if [[ `ls ${leaderdir}/.??* 2>/dev/null|wc -l` -ne 0 ]]; then
        (
          flock -x 199
          run_reconfigure
        ) 199<${GLOBALINI}
        rm ${leaderdir}/.??* 2>/dev/null
      fi
      sleep 5
    fi
    #
    # stop execution if my package is no longer starting
    #
    # ps -p $$ -o ppid >/dev/null
    ${SGSBIN}/cmviewcl >/dev/null
    if [ $? -ne 0 ]; then
      WrnLogMsg "Cluster daemon access postponed"
    else
      pkg_status=`${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e "^node:"|grep state=`
      if [ `echo ${pkg_status}|grep -e starting -e unknown -e blocked -e detached|wc -l` -eq 0 ]; then
        sleep 60 # wait for a signal from the cluster daemon first, otherwise ...
        if [ `echo ${pkg_status}|grep -e started|wc -l` -ne 0 ]; then
          rm -rf ${leaderdir} 2>/dev/null # avoid artifacts
          LogMsg "Initiating regular exit"
          break
        else
          LogMsg "Initiating late exit"
          exit 1
        fi
      else
        if [[ "X${READINESS_STRATEGY}" = "Xfast" ]]; then
          rc=0
          for node in $list; do
            pkg_status=`${SGSBIN}/cmviewcl -p ${SG_PACKAGE_NAME} -f line|grep -e "^node:${node}"|grep state=`
            if [ `echo ${pkg_status}|grep -e starting -e blocked -e started -e unknown -e detached|wc -l` -ne 0 ]; then
              rc=1 # found nameserver
            fi
          done
          if [ ${rc} -eq 0 ]; then
            LogMsg "HANA reports no starting or started nameserver - aborting package startup..."
            for filename in `cd ${leaderdir}; ls .??* 2>/dev/null`; do
              cp ${leaderdir}/${filename} ${hdb_nonleaderdir}/${filename}.abort
              rm  ${leaderdir}/${filename} 2>/dev/null
            done
            for node in `${SGSBIN}/cmviewcl -f line -l node -p ${SG_PACKAGE_NAME}|grep -e '|'state=starting -e '|'state=blocked|cut -f 2 -d :|cut -f 1 -d '|'`; do
              touch  ${hdb_nonleaderdir}/.${node}.abort
            done
            break
          fi
        fi
      fi
    fi
  done
  (
    flock -x 199
    run_reconfigure
  ) 199<${GLOBALINI}
  exit 0
}


#########################################################################
#
# Function: select_ips
#
# Scale-out HANA systems run in MNPs. The standard package_ip module
# is incompatible with MNPs, so a wrapper is required that picks the
# right ip addresses from a larger array and pipes it into package_ip
# functions.
# For this, the function is taking a best-effort algorithms to find a
# placement of ips on the failover site that minimizes HANA workload
# disruptions.
#
# Exits in case of failure.
#
# Parameters:
# $1          HDB_INSTANCE
#
# Fills GLOBINIUPD[]
#
#########################################################################
function select_ips
{
  typeset fname=select_ips
  BLogMsg $*

  typeset -i offset
  typeset -i sap_index; sap_index=0
  typeset -i gen_index; gen_index=0
  typeset -i ini_index; ini_index=0
  typeset -i selected_index
  typeset -i alternate_index
  typeset -i emergency_index
  typeset -i sap_index_roof
  typeset -i master_roof
  typeset -i rest
  typeset -i nomaster
  typeset first_subnet

  typeset -i index
  typeset list
  typeset sortedlist
  typeset -i listsize
  typeset name
  typeset mname
  typeset -i found
  typeset rc
  typeset randwait

  unset SG_IP_ADDRESS
  unset SG_IP_SUBNET
  unset SG_IP_SUBNET_NODE
  unset GLOBINIUPD

  #
  # shortcut, if no vips are configured
  #
  if [ -z ${SGeSAP_HDB_IP_SUBNET[0]} ]; then
    return 0
  fi

  case ${op_code} in
    start)
      #
      # get master nodes
      #
      get_master_name_server_list ${1}
      list=`echo ${MASTER_NAME_SERVER_LIST}`
      listsize=`echo ${list}|wc -w`
      if [ ${listsize} -eq 0 -o ${listsize} -gt 3 ]; then
        ErrLogMsg "Cannot determine master nameserver nodes"
        exit ${ERROR}
      else
        LogMsg2 4 "Master nameserver nodes: ${list}"
      fi

      #
      # define offset into ip array section
      # master nameservers always pick from the first three entries
      #
      (( rest = ${#SG_NODE_NAME[@]} - $listsize ))
      offset=0
      for mname in `echo ${list}|sed y/" "/\\\n/|sort`; do
        if [[ `echo ${mname}|cut -f 1 -d ":"` == "${HOSTNAME}" ]]; then
          LogMsg2 3 "IP addresses will be selected from ${listsize} preferred master nameserver entries"
          break
        else
          (( offset = $offset + 1 ))
        fi
      done
      if [[ ${offset} -eq ${listsize} ]]; then # this node is no master nameserver
        sortednodes=""
        for name in ${SG_NODE_NAME[@]}; do
          sortednodes=${sortednodes}${name}:
        done
        for name in `echo ${sortednodes}|sed y/:/\\\n/|sort`; do
          if [[ ${name} == ${HOSTNAME} ]]; then
            break
          fi
          nomaster=1
          for mname in `echo ${list}|sed y/" "/\\\n/|sort`; do
            if [[ `echo ${mname}|cut -f 1 -d ":"` == "${name}" ]]; then
              nomaster=0
              break
            fi
          done
          (( offset = $offset + ${nomaster} ))
        done
        nomaster=1
      else
        nomaster=0
      fi
      LogMsg2 3 "IP addresses will be selected from array using index offset ${offset}"
      (( rest = ${#SG_NODE_NAME[@]} - $offset ))
      #
      # parse the HANA MNP ip array into a generic ip array
      #
      found=2 # initial value for empty subnet node list
      first_subnet=1 # initial value for the first subnet in the list (this net fills GLOBINIUPD)
      while [ ${sap_index} -lt ${#SGeSAP_HDB_IP_SUBNET[@]} ]; do
        selected_index=-1
        alternate_index=-1
        SG_IP_SUBNET[$gen_index]=${SGeSAP_HDB_IP_SUBNET[$sap_index]}
        if [ -n "${SGeSAP_HDB_IP_SUBNET_NODE[$sap_index]}" ]; then
          SG_IP_SUBNET_NODE[$gen_index]=${SGeSAP_HDB_IP_SUBNET_NODE[$sap_index]}
          if [ "X${SG_IP_SUBNET_NODE[$gen_index]}" == "X${HOSTNAME}" ]; then
            found=1
          fi
          if [ ${found} -eq 2 ]; then
            found=0
          fi
          (( sap_index = $sap_index + 1 ))
        else
          #
          # pick an ip address
          #
          emergency_index=$sap_index
          (( master_roof = $sap_index + $listsize ))
          (( sap_index = $sap_index + $offset )) # location of preferred IP
          (( sap_index_roof = $sap_index + $rest ))
          if [ ${found} -ne 0 ]; then
            #
            # try preferred ip first to speed up algorithm
            #
            is_node_alive ${SGeSAP_HDB_IP_ADDRESS[$sap_index]}
            rc=$?
            if [ ${rc} -eq 0 ]; then
              ${CMMODNET} -t -i ${SGeSAP_HDB_IP_ADDRESS[$sap_index]} ${SGeSAP_HDB_IP_SUBNET[$sap_index]} 2>/dev/null
              (( rc = $rc + $? ))
            fi
            if [ ${rc} -eq 0 ]; then
              #
              # found alternate address
              #
              alternate_index=${sap_index}
              if [ ${SGeSAP_HDB_SKIP_NETWORK_CHECK} -eq 1 ]; then
                WrnLogMsg "HDB duplicate ip address network checks were disabled"
                emergency_index=${sap_index_roof}
              fi
            fi
            while [ ${emergency_index} -lt ${sap_index_roof} ]; do
              is_ip_local ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]} quite
              if [ $? -eq 1 ]; then
                #
                # found pre-configured local vip
                # choose or remove
                #
                if [ ${selected_index} -ne ${sap_index} ]; then # previously found pre-configured vip is not preferred
                  if [ ${selected_index} -ne -1 ]; then
                    if [ ${nomaster} -eq 1 ]; then
                      ${CMMODNET} -r -i ${SGeSAP_HDB_IP_ADDRESS[$selected_index]} ${SGeSAP_HDB_IP_SUBNET[$selected_index]}
                      WrnLogMsg "Removed ${SGeSAP_HDB_IP_ADDRESS[$selected_index]} from subnet ${SGeSAP_HDB_IP_SUBNET[$selected_index]}"
                      selected_index=${emergency_index}
                    else
                      ${CMMODNET} -r -i ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]} ${SGeSAP_HDB_IP_SUBNET[$emergency_index]}
                      WrnLogMsg "Removed ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]} from subnet ${SGeSAP_HDB_IP_SUBNET[$emergency_index]}"
                    fi
                  else
                    selected_index=${emergency_index}
                  fi

                else
                  ${CMMODNET} -r -i ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]} ${SGeSAP_HDB_IP_SUBNET[$emergency_index]}
                  WrnLogMsg "Removed ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]} from subnet ${SGeSAP_HDB_IP_SUBNET[$emergency_index]}"
                fi
              else
                if [ ${selected_index} -eq -1 ]; then
                  if [ \( ${alternate_index} -eq -1 \) -o \
                       \( ${alternate_index} -lt ${master_roof} -a ${nomaster} -eq 1 \) -o \
                       \( ${emergency_index} -eq ${sap_index} \) ]; then
                    #
                    # try to find alternate vip
                    # prefer a non-master address for a non-master node
                    #
                    if [ -z "${randwait}" -a ${alternate_index} -eq -1 ]; then
                      let randwait=${RANDOM}%90+30
                      WrnLogMsg "Preferred IP not usable? - delay search for an IP"
                      sleep ${randwait} # wait for nodes without issues and get out of sync with those that do
                    fi
                    is_node_alive ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]}
                    rc=$?
                    if [ ${rc} -eq 0 ]; then
                      ${CMMODNET} -t -i ${SGeSAP_HDB_IP_ADDRESS[$emergency_index]} ${SGeSAP_HDB_IP_SUBNET[$emergency_index]} 2>/dev/null
                      (( rc = $rc + $? ))
                    fi
                    if [ ${rc} -eq 0 ]; then
                      #
                      # found alternate address
                      #
                      alternate_index=${emergency_index}
                    fi
                  fi
                fi
              fi
              (( emergency_index = $emergency_index + 1 ))
            done
            #
            # consolidate ip in alternate_index
            #
            if [ ${selected_index} -ne -1 ]; then
              if [ ${selected_index} -eq ${sap_index} ]; then
                LogMsg "Node already has the preferred virtual IP ${SGeSAP_HDB_IP_ADDRESS[$selected_index]} configured"
                alternate_index=${selected_index}
                if [ ${first_subnet} -eq 1 ]; then
                  GLOBINIUPD[${ini_index}]="[public_hostname_resolution]map_${HOSTNAME}=${SGeSAP_HDB_IP_ADDRESS[$alternate_index]}"
                  (( ini_index = $ini_index + 1 ))
                fi
              else
                WrnLogMsg "Node already has a virtual IP ${SGeSAP_HDB_IP_ADDRESS[$selected_index]} configured"
                if [ ${nomaster} -eq 0  -a \
                     ${selected_index} -ge ${master_roof} -a \
                     \( ${alternate_index} -lt ${master_roof} -a \
                        ${alternate_index} -ne -1 \) ]; then
                  WrnLogMsg "This virtual IP is inadequate for a master name server node; there's a better alternative"
                  ${CMMODNET} -r -i ${SGeSAP_HDB_IP_ADDRESS[$selected_index]} ${SGeSAP_HDB_IP_SUBNET[$selected_index]} 2>/dev/null
                  WrnLogMsg "Removed ${SGeSAP_HDB_IP_ADDRESS[$selected_index]} from subnet ${SGeSAP_HDB_IP_SUBNET[$selected_index]}"
                  selected_index=-1
                else
                  WrnLogMsg "Package accepts this virtual IP in place of the preferred IP"
                  alternate_index=${selected_index}
                  if [ ${first_subnet} -eq 1 ]; then
                    GLOBINIUPD[${ini_index}]="[public_hostname_resolution]map_${HOSTNAME}=${SGeSAP_HDB_IP_ADDRESS[$alternate_index]}"
                    (( ini_index = $ini_index + 1 ))
                  fi
                fi
              fi
            else
              if [ ${alternate_index} -ne -1 ]; then
                if [ ${alternate_index} -ne ${sap_index} ]; then
                  WrnLogMsg "Preferred IP is already in use."
                  WrnLogMsg "Picked alternate IP ${SGeSAP_HDB_IP_ADDRESS[$alternate_index]}"
                  WrnLogMsg "This can be an expected situation, if a new master nameserver"
                  WrnLogMsg "or an additional node has been configured in HANA during package uptime"
                fi
              else
                #
                # Fail package if no virtual IP can be configured
                #
                ErrLogMsg "A free virtual IP for subnet ${SGeSAP_HDB_IP_SUBNET[$sap_index]} couldn't be identified"
                return 1
              fi
            fi
            SG_IP_ADDRESS[$gen_index]=${SGeSAP_HDB_IP_ADDRESS[$alternate_index]}
          else # address on subnet that is not to be activated on this node
            SG_IP_ADDRESS[$gen_index]=${SGeSAP_HDB_IP_ADDRESS[$sap_index]}
          fi

          (( sap_index = $sap_index + $rest ))
        fi
        if [ "${SG_IP_SUBNET[$gen_index]}" != "${SGeSAP_HDB_IP_SUBNET[$sap_index]}" ]; then
          found=2
        fi
        #
        # unwind node entries for skipped ips
        #
        if [ ${selected_index} -ne -1 ]; then
          unset SG_IP_SUBNET[$gen_index]
          (( gen_index = $gen_index - 1 ))
          while [ ${gen_index} -ge 0 ]; do
            if [ -z "${SG_IP_SUBNET_NODE[$gen_index]}" ]; then
              break
            else
              unset SG_IP_SUBNET_NODE[$gen_index]
              unset SG_IP_SUBNET[$gen_index]
            fi
            (( gen_index = $gen_index - 1 ))
          done
        fi
        (( gen_index = $gen_index + 1 ))
        first_subnet=0
      done
    ;;
    stop)
      #
      # parse the HANA MNP ip array into a generic ip array
      #
      while [ ${sap_index} -lt ${#SGeSAP_HDB_IP_SUBNET[@]} ]; do
        if [ -z "${SGeSAP_HDB_IP_SUBNET_NODE[$sap_index]}" ]; then
          is_ip_local "${SGeSAP_HDB_IP_ADDRESS[$sap_index]}" quite
          if [ $? -eq 1 ]; then
            SG_IP_SUBNET[$gen_index]=${SGeSAP_HDB_IP_SUBNET[$sap_index]}
            SG_IP_ADDRESS[$gen_index]=${SGeSAP_HDB_IP_ADDRESS[$sap_index]}
            (( gen_index = $gen_index + 1 ))
          fi
        fi
        (( sap_index = $sap_index + 1 ))
      done
    ;;
    *)
      ErrLogMsg "Called with illegal package mode: '${op_code}'"
      exit ${ERROR}
    ;;
  esac
  #
  # print generic ip array to be used with package_ip module
  # fill GLOBINIUPD
  #
  gen_index=0
  for i in ${SG_IP_SUBNET[@]}; do
    DbgLogMsg "SG_IP_SUBNET[$gen_index]=$i"
    if [ -n "${SG_IP_SUBNET_NODE[$gen_index]}" ]; then
      DbgLogMsg "SG_IP_SUBNET_NODE[$gen_index]=${SG_IP_SUBNET_NODE[$gen_index]}"
    else
      LogMsg2 4 "SG_IP_ADDRESS[$gen_index]=${SG_IP_ADDRESS[$gen_index]}"
      if [ ${gen_index} -eq 0 -a ${ini_index} -eq 0 ]; then
        GLOBINIUPD[${ini_index}]="[public_hostname_resolution]map_${HOSTNAME}=${SG_IP_ADDRESS[$gen_index]}"
        (( ini_index = $ini_index + 1 ))
      fi
    fi
    ((gen_index = $gen_index + 1))
  done
  return 0
}

#
# helper for get_master_name_server_list:
#
# lookup_cn4hh (master)hanahost1 ... (master)hanahost<n>
#
# Loops thru all own package nodes until all HANA nodes on
# MASTER_NAME_SERVER_LIST (usually <=3) are found.
# This function is usually called when clusterndoes != Hanahosts
#
#  RETURNS:
#  0 - all in given list could be assigned to a clusternodes
#  1 - not all ... could be assigned
#  fills CNODE_SERVER_LIST (on both cases)
#
#  Restriction: As this package only looks into package nodes it won't
#  find any clusternodes in the remote site (for scaleup)
#
function lookup_cn4hh {
  typeset fname=lookup_cn4hh
  BLogMsg $*

  typeset hanahosts=( $* )
  typeset hostsneeded=${#hanahosts[@]}
  CNODE_SERVER_LIST=""

  for cnode in ${SG_NODE_NAME[*]}; do
    # VWE: 1. CMEXEC_TIMEOUT 2. up node? 3. compare local first
    typeset vpkgowner=`${SGSBIN}/cmexec ${cnode} -t ${CMEXEC_TIMEOUT} "su - ${MYSIDADM} -c 'echo \\\${VTHOSTNAME}'"|tail -1`
    if printf "%s\n" "${hanahosts[@]}" | grep -q -e "^${vpkgowner}$"; then
      # one of the hanahosts found
      DbgLogMsg "Found $cnode (cluster) for $vpkgowner (hana)"
      CNODE_SERVER_LIST="$CNODE_SERVER_LIST "$cnode
      (( hostsneeded = $hostsneeded - 1 ))
      if [ $hostsneeded -eq 0 ]; then
        return 0
      fi
    fi
  done
  ErrLogMsg "Could not map all HANA hosts (${hanahosts[@]} -> $CNODE_SERVER_LIST)"
  return 1
}


#########################################################################
#
# Function: get_master_name_server_list
#
# Create a list of master name server by parsing output of
# ladscapeHostConfiguration.py
#
# Parameters:
#  $1   HDB instance
#
# the landscapecmd might time out if an autohostfailover is in progress
# when HANA is starting. Just retry the landscapecmd again.
#
# Fills MASTER_NAME_SERVER_LIST
#       VSERVER_LIST
#
#########################################################################
function get_master_name_server_list
{
  typeset fname=get_master_name_server_list
  BLogMsg $*
  typeset vname
  typeset landscapecmd="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/${1}/exe/python_support/landscapeHostConfiguration.py"
  typeset cmd="su - $MYSIDADM -c \"python $landscapecmd\" 2>/dev/null"
  typeset list=" "
  VSERVER_LIST=""

  if [[ -n ${MASTER_NAME_SERVER_LIST} ]]; then
    return 0
  fi

  DbgLogMsg "lspyTimeoutCnt[$lspyTimeoutCnt] HDB_LSPY_TIMEOUT_CNT[$HDB_LSPY_TIMEOUT_CNT]"
  while [[ $lspyTimeoutCnt -le $HDB_LSPY_TIMEOUT_CNT ]]; do
    LogMsg2 4 "$cmd"

    out=$(eval $cmd & watchdog $! $HDB_LSPY_TIMEOUT `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
    rc=$?

    if [[ $rc -gt 128 ]]; then
      WrnLogMsg "landscape script timed out rc=[$rc]"
      (( lspyTimeoutCnt = ${lspyTimeoutCnt} + 1 ))
      LogMsg "Incremented landscape_py timeouts count lspyTimeoutCnt=[$lspyTimeoutCnt]"
    else
      break
    fi
  done

  if [[ $rc = 0 ]];then
    DbgLogMsg "${out}"
    LogMsg "Success: landscapeHostConfiguration rc=[${rc}] is up"
  else
    if [[  ${DBG} -gt 0 ]]; then
      LogMsg "_________________ START CMD OUTPUT _______________________"
      echo "${out}"
      LogMsg "_________________ END CMD OUTPUT _________________________"
      LogMsg "landscapeHostConfiguration returned rc=[${rc}]"
    fi
  fi

  # is a master if matches: | master 2    |
  MASTER_NAME_SERVER_LIST=$(echo "$out"|awk -F"|" '
  {
    if ( /\| master [0-9]+/) {
      master=$2; gsub(/ /,"",master); print master
    }
  }'
  )
  VSERVER_LIST=$(echo "$out"|awk -F"|" ' /\|/ { print $2 }'|tail -n +5)

  DbgLogMsg "MASTER_NAME_SERVER_LIST=[${MASTER_NAME_SERVER_LIST}]"

  # devirtualize any entry of the master name server list if required
#  for vname in ${MASTER_NAME_SERVER_LIST}; do
#    ${SGSBIN}/cmviewcl -l node -f line -s config|grep node:${vname} >/dev/null
#    if [ $? -ne 0 ]; then
#      # vname isn't a cluster member. get clusternode for vname
#      list="${list}`${REM_COMM} ${vname} -l ${MYSIDADM} hostname` "
#    else
#      list="${list}${vname} "
#    fi
#  done
  DbgLogMsg "MASTER_NAME_SERVER_LIST (incoming)=[${MASTER_NAME_SERVER_LIST}]"
  typeset greplist=""
  typeset greplistlen=0
  for vname in ${MASTER_NAME_SERVER_LIST}; do
    greplist="${greplist} -e node:${vname}|name="
    (( greplistlen = $greplistlen + 1 ))
  done
  typeset clusterlistlen=0
  clusterlistlen=$(${SGSBIN}/cmviewcl -l node -f line -s config|grep $greplist|wc -l)
  if [ $greplistlen -eq $clusterlistlen ]; then
    # all are clusternodes
    CNODE_SERVER_LIST=$(echo ${MASTER_NAME_SERVER_LIST})
    else
    # get the mapping (sets CNODE_SERVER_LIST)
    lookup_cn4hh ${MASTER_NAME_SERVER_LIST}
    LogMsg "HANA hosts [${MASTER_NAME_SERVER_LIST}] map to cluster nodes [${CNODE_SERVER_LIST}]"
    MASTER_NAME_SERVER_LIST=$(echo ${CNODE_SERVER_LIST})
    fi
  DbgLogMsg "CNODE_SERVER_LIST=[${CNODE_SERVER_LIST}]"
  # MASTER_NAME_SERVER_LIST=${CNODE_SERVER_LIST}  -- assignment redundant
  LogMsg "MASTER_NAME_SERVER_LIST=[${MASTER_NAME_SERVER_LIST}]"
  if [ "X${CNODE_SERVER_LIST}" = "X" ]; then
    return 1
  fi
  return $rc
}


#########################################################################
#
# Function: get_HDB_version
#
# Get the current HDB version via HDB version command.
# If HDBVERSION_STATIC is set to force behavour to a certain version
# that one is returned
#
# Parameters:
#  $1 - verbose (LogMsg) on/off (1/0), optional
#
# version is written so stdout (first 4 fields)
# in case of error, an emtpy string is returend (equivalent to 0.0.0.0)
#
# Requires global MYSIDADM to be set
#
#########################################################################

function get_HDB_version
{
  typeset vflag=${1:-0}
  typeset HDBVERSION=""
  typeset rc

  if [ -n "$HDBVERSION_STATIC" ]; then
    echo  "$HDBVERSION_STATIC"
    [ $vflag -eq 1 ] && LogMsg "Static HDB version: $HDBVERSION_STATIC"
    return 0
  fi

  HDBVERSION=$(su - ${MYSIDADM} -c "HDB version " 2>&1 )
  rc=$?
  if [ $rc -ne 0 ]; then
    ErrLogMsg "Getting HDB version failed [rc=$rc] [output=$HDBVERSION]"
    echo ""
    return $rc
  fi

  HDBVERSION=$(echo "$HDBVERSION" | /usr/bin/perl -nle 'if(/version:\s+(\d+[.]\d+[.]\d+[.]\d+)[.]\d+/) {print $1}')
  [ $vflag -eq 1 ] && LogMsg "HDB version: $HDBVERSION"
  echo "$HDBVERSION"
  return 0
}


#########################################################################
#
# Function: demote2secondary
#
# Demote HDB primary instance to secondary (sync). This is necessary
# when non-HDB primary package starts on node with (former) primary instance.
# Called when local HDB instance has actual_mode primary, but the package started
# isn't the primary package.
#
# Uses PRIMARY_PKG
#
# Registers as secondary under the following conditions:
# - primary package is status up and has (of course) a owning node
# - a local site can be read from global.ini
# - previous sync mode can be read from primary's global.ini
#     or local if it is a failback
#
# Use safe_exit instead of exit in this function!
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
# $4    scale-out flag
#
# Returns the status of the last check_replication call
#
# Exits in case of errors
#
# Note: in a scaleout configuration an sr_register of a secondary might
# fail with error 145 "number of hosts per hostrole differs". this is the case
# if the number workers  appear to be different between primary
# and secondary because of how HANA determines these numbers. Basically  during
# the comparison the hostroles configured for the master/master1 nameservers
# are ignored. (Example: primary: 3 workers / 1 standby configured and master is
# running on a standby; secondary: 3 workers / 1 standby  configured and master1
# is configured as a worker. For comparison roles of master/master1 are ignored.
# thus primary has 3 workers and secondary only has 2 workers. this leads error
# 145)
# workaround: adjust local worker roles in nameserver.ini
# and try sr_register again. after registering restore orginal nameserver.ini
#########################################################################
function demote2secondary
{
  typeset fname=demote2secondary
  BLogMsg $*

  typeset remoteInstance=$2

  typeset rc
  typeset watchdogrc
  typeset omode
  typeset pkgstatus

  if [ -n "${PRIMARY_PKG}" ]; then

    #
    # Get status of primary pkg
    # up: assume primary is up
    # start*: assume primary will be up soon (loop)
    #
    typeset count=1
    while [ ${count} -le ${DECIDE_ROLE_RETRY} ]; do
      pkgstatus=`${SGSBIN}/cmviewcl -f line -l package -p ${PRIMARY_PKG}|grep -e ^status=|head -1|cut -f2 -d=`
      case $pkgstatus in
        up) LogMsg "HDB primary package $PRIMARY_PKG is up"
            break
        ;;
        start*) LogMsg "HDB primary package $PRIMARY_PKG is in status $pkgstatus"
        ;;
        *) ErrLogMsg "HDB primary package $PRIMARY_PKG not up or in starting phase pkgstatus=[$pkgstatus]"
           ErrLogMsg2 "System replication can't be set for local HDB instance unless primary is up"
           return ${ERROR}
        ;;
      esac
      (( seconds = $count * 10 ))
      if [ ${seconds} -ge 60 ]; then
        seconds=60
      fi
      LogMsg "Waiting ${seconds} secs for primary package [${PRIMARY_PKG}] to stabilize."
      sleep ${seconds}
      (( count = $count + 1 ))
    done

    if [ ${count} -gt ${DELAY_INTERVALS} ]; then
       ErrLogMsg "Giving up wait for package ${PRIMARY_PKG} with primary instance."
       return ${ERROR}
    fi

    typeset pkgownernode

    #
    # check if remote site=primary is available according to HANA so that
    # sr_register command can be executed
    #
    if [ ${HDBSCALEOUT} -eq 1 ]; then

      for node in `${SGSBIN}/cmviewcl -v -f line -p ${PRIMARY_PKG}|grep ^node:|grep -e state=running -e state=detached|cut -f 2 -d :|cut -f 1 -d '|'`; do
        SO_get_remote_active_master_name_server ${node} ${WATCHDOG_TIMEOUT}
        rc=$?
        LogMsg "remote master name server=[$remote_active_master_name_server] node=[$node] returned rc=[$rc]"
        if [ ${rc} -eq 0 ]; then
          # found node running master name server. assume master... is
          # also the package owner. "pkgownernode" is used for remote
          # calls later in the function (devirtualize if necessary)
          ${SGSBIN}/cmviewcl -l node -f line -s config|grep node:${remote_active_master_name_server} >/dev/null
          if [ $? -ne 0 ]; then
            # remote_active_master_name_server is not a cluster memeber. assume virtualized
            #
            # real pkg owner node of current master nameservr not needed at this point.
            # following queries for 3-tier repl. can also be done using the node reporting the master nameserver
            # as a proxy for the nameserver
            # commented REM_COMM line below would trigger a ssh connection to the virtualized Hana host
            #pkgownernode=`${REM_COMM} ${remote_active_master_name_server} -l ${MYSIDADM} hostname`
            pkgownernode=${node}
          else
            pkgownernode=${remote_active_master_name_server}
          fi
          break
        fi
      done

      if [ -z ${pkgownernode} ]; then
        ErrLogMsg "Couldn't determine an owner of primary MNP package PRIMARY_PKG=[$PRIMARY_PKG]"
        return ${ERROR}
      fi

    else
      # Get owner node of package for Scaleup
      # Optional: check if primary instance is up using sapcontrol
      pkgownernode=`${SGSBIN}/cmviewcl -f line -l package -p ${PRIMARY_PKG}|grep -e ^owner=|head -1|cut -f2 -d=`
      if [ ${pkgownernode} == "unowned" ]; then
        # should not happen after package is seen as up
        ErrLogMsg "HDB primary package ${PRIMARY_PKG} is unowned"
        return ${ERROR}
      fi
    fi

    LogMsg "pkgstatus=$pkgstatus, pkgownernode=$pkgownernode"

    # At this point HDB primary package is up and (one of) owner is known

    typeset localsitename
    typeset syncmode
    typeset mysiteid
    typeset mysite
    typeset inifname=${GLOBALINI}
    localsitename=$(read_ini_config $inifname system_replication site_name)
    if [ -z "${localsitename}" ]; then
      WrnLogMsg "No site name found in $inifname";
      LogMsg "Trying to determine site name from cluster configuration"
      mysiteid=`${SGSBIN}/cmviewcl -f line -s config|grep '^node:'${HNAME}'|siteid='|cut -f 2 -d =`
      localsitename=`${SGSBIN}/cmviewcl -f line -s config|grep '^site:'|grep '|id='${mysiteid}'$'|cut -f 2 -d :|cut -f 1 -d '|'`
      if [ -z "${localsitename}" ]; then
        ErrLogMsg "No site name found in cluster configuration"
        return ${ERROR}
      else
        LogMsg "Using site name [${localsitename}]"
      fi
    fi

    syncmode=$(determine_syncmode)

    # Check for 3-tier replication (kind of tertiary site). The indication is a 3rd sitename in the
    # Host Mappings section included in the primary's hdbnsutil -sr_state output.
    # Host mappings have the fo  hdb_eps_location  *
    # <localhostname> -> [<sitename on host>] <host of site>
    #
    # Get the remote (Hana) site (of primary first)
    find_sap_binary ${1} ${2} ${VHNAME} ${3} hdbnsutil
    typeset remotesitename=$(${SGSBIN}/cmexec $pkgownernode cat $inifname | read_ini_config STDIN system_replication site_name) # VWE: replace by remote hdbnsutil
    typeset hostmappings
    typeset srstate="-sr_state"
    typeset HDBVERSION=$(get_HDB_version)
    # use lightweight -sr_state if available
    if [[ $(vers $HDBVERSION) -ge $(vers $HDBMINVERSION_NSUTL_STATE) ]]; then
      # WVE: this may require the version of the remote systems
      srstate="-sr_stateHostMapping"
    fi
    hostmappings=$(${SGSBIN}/cmexec $pkgownernode -t 15 su - $MYSIDADM -c \"${LOCATION:-hdbnsutil} ${srstate}\" |  grep '\-> \[' )  # remote hdbnsutil, local grep
    [ -z "$hostmappings" ] && WrnLogMsg "No hostmappings found by ${LOCATION:-hdbnsutil} ${srstate}"
    # WVE: use --sapcontrol=1
    # mapping/host1=site1/host1
    # mapping/host2=site2/host2


    # Using LOCATION in command above assumes same FS layout on local and primary node
    DbgLogMsg "localsitename=[$localsitename], syncmode=[$syncmode],remotesitename=[$remotesitename]"
    DbgLogMsg "hostmappings=[$hostmappings]"
    # Exclude the known sites
    typeset thirdsite=$(echo "$hostmappings" |  grep -v -e "$localsitename" -e "$remotesitename")
    if [ -n "${thirdsite}" ]; then
      WrnLogMsg "Found a host mapping for a third site: $thirdsite"
      WrnLogMsg "If this site is registered to the primary on $pkgownernode the subsequent local register"
      WrnLogMsg "operation is expected to fail. This will then also cause a package startup failure."
      WrnLogMsg "The third site needs to be unregisted before restarting this package."
      # WVE M_TOPOLOGY might be a better source of information. Needs to be read on primary
      # WVE allow customer specific callout to resolve the situation
      #     provide SID, sidadm, primary host+site, 3rd host+site
      #typeset thirdhost=$(echo "$thirdsite" | cut -f 2 -d ']')
      #typsest thirdsitename=$(echo "$thirdsite" | cut -f 2 -d '[' | cut -f 1 -d ']')
      #typeset -f hdb_unreg3rdsite >/dev/null && hdb_unreg3rdsite $3 $MYSIDADM $pkgownernode $remotesitename "$thirdsite"
    fi
    # determine HANA host for the cluster node owner package - of the (remote) master
    # not necessary for scaleout as the already determined remote master host is also the target for registring
    typeset vpkgowner
    if [ ${HDBSCALEOUT} -eq 1 ]; then
      vpkgowner=$remote_active_master_name_server
    else
      vpkgowner=`${SGSBIN}/cmexec -n ${pkgownernode} "su - ${MYSIDADM} -c 'echo \\\${VTHOSTNAME}'"|tail -1`
    vpkgowner=${vpkgowner:-${pkgownernode}}
    fi

    #
    # determine if operation mode is available
    # (now based on HDB version)
    # default omode is now in HDB_OPERATION_MODE
    #

    if [[ $(vers $HDBVERSION) -ge $(vers $HDBMINVERSION_NSUTL_MODE) ]]; then
      omode=$(${SGSBIN}/cmexec ${pkgownernode} -t ${CMEXEC_TIMEOUT} cat ${inifname} | read_ini_config STDIN "system_replication" "operation_mode")
      if [ -z "${omode}" ]; then
        LogMsg "No configured replication operation mode detected"
        [ -n ${PEER_REPRESENTATIVE_UP} ] && omode=`cmexec -n ${PEER_REPRESENTATIVE_UP} -t ${CMEXEC_TIMEOUT} cat ${OPERATIONMODE_FILE} 2>/dev/null`
        if [ -z "${omode}" ]; then
          WrnLogMsg "No operation mode was saved - using static default"
          omode=${HDB_OPERATION_MODE}
        else
          LogMsg "Using last saved operation mode"
        fi
      else
        LogMsg "Reusing currently configured operation mode"
      fi
      omode='--operationMode='${omode}
      rmode="replicationMode"
    else
      omode=""
      rmode=mode
    fi

    #
    # Everything collected. Issue the hdbnsutil command
    #
    LogMsg "Trigger register operation..."

    run_sr_register ${localsitename} ${vpkgowner} ${remoteInstance} ${rmode} ${syncmode} ${omode}
    rc=$?
    if [[ $rc -ne 0 ]]; then
      ErrLogMsg "sr_register failed"
      if [[ $rc -ne 145 ]]; then
        return ${FATAL}
      fi

      if [[ $(vers $HDBVERSION) -lt $(vers $HDBMINVERSION_ROLESADJ) ]]; then
        ErrLogMsg "Found HDBVERSION=[${HDBVERSION}]. At least HDBMINVERSION_ROLESADJ=[${HDBMINVERSION_ROLESADJ}] is required for re-adjusting HANA roles"
        return ${FATAL}
      fi

      LogMsg "Adjusting secondary roles and retrying sr_register"
      sechostConfigRolesAdjust
      updateNameserverIniRoles
      run_sr_register ${localsitename} ${vpkgowner} ${remoteInstance} ${rmode} ${syncmode} ${omode}
      typeset sr_register_rc=$?
      restoreNameserverBackup
      if [[ $sr_register_rc -ne 0 ]]; then
        ErrLogMsg "sr_register failed"
        return ${FATAL}
      fi

    fi

    check_replication ${1} ${2} ${3} ${4}
    typeset reprc=$?
    if [ $reprc -ne 2 ]; then
      ErrLogMsg "Register operation failed."
      return ${ERROR}
    else
      return 0
    fi

  else
    ErrLogMsg "The primary instance is not found in any SGeSAP package."
    return ${FATAL}
  fi
  return 0
}

#########################################################################
#
# Function: determine_syncmode
#
#
# Parameters:
#
#
#########################################################################
function determine_syncmode
{
  typeset fname="determine_syncmode"
  BLogMsg $*

  typeset syncmode

  # syncmode (e.g. globil.ini actual_mode) is/was saved by the preTakeover hook in
  # SGeSAPcl.py prior to running the takeover command. Now before running the
  # -sr_register command below contact the current primary for the saved syncmode
  # in ${ACTUALMODE_FILE}
  if [ -n ${PEER_REPRESENTATIVE_UP} ]; then
    LogMsg "Determining system replication actual_mode from [$PEER_REPRESENTATIVE_UP]"
    syncmode=$(cmexec -n ${PEER_REPRESENTATIVE_UP} -t ${CMEXEC_TIMEOUT} cat ${ACTUALMODE_FILE} 2>/dev/null)
  fi
  if [[  ${syncmode} != "sync" && ${syncmode} != "syncmem" && ${syncmode} != "async" ]]; then
      # get sync "mode" first from local node (may be a failback to original secondary) and then
      # from previous secondary (where primary pkg is running now)
      LogMsg "No preserved replication actual_mode found"
      LogMsg "Determining system replication actual_mode from local global.ini]"
      syncmode=$(read_ini_config $inifname system_replication mode)
      DbgLogMsg "Local syncmode=$syncmode"
      if [[ ${syncmode} != "sync" && ${syncmode} != "syncmem" && ${syncmode} != "async" ]]; then
        # Local mode doesn't contain expected syncmode. Try primary.
        LogMsg "Determining system replication actual_mode from remote global.ini]"
        syncmode=$(${SGSBIN}/cmexec $pkgownernode cat $inifname | read_ini_config STDIN system_replication mode)
      fi
  fi

  if [[ ${syncmode} != "sync" && ${syncmode} != "syncmem" && ${syncmode} != "async" ]]; then
    LogMsg "Found unexpected syncmode=[$syncmode]"
    if [[ "X${SGeSAP_HDB_DEFAULT_SYNCMODE}" = "X" ]]; then
      ErrLogMsg "Replication mode unknown. (reported: $syncmode). Instance can't be registered as secondary"
      return ${ERROR}
    else
      WrnLogMsg "Replication mode can not be determined from HANA configuration"
      LogMsg "Setting syncmode to default SGeSAP_HDB_DEFAULT_SYNCMODE=[${SGeSAP_HDB_DEFAULT_SYNCMODE}]"
      syncmode=${SGeSAP_HDB_DEFAULT_SYNCMODE}
    fi
  fi
  LogMsg "Using system replication syncmode=[$syncmode]"
  echo "$syncmode"
}
#########################################################################
#
# Function: takeover_hdb
#
# Function that triggers the conversion of a secondary system to
# a primary system. This functionality is also known as HANA
# system replication takeover operation.
#
# Use safe_exit instead of exit in this function!
#
# Parameters:
# $1    instance name
# $2    instance number
# $3    system id
# $4    scale-out flag
#
# REQUIRES: LEADERDIR for scale-out
#
# SETS:
# TAKEOVER_TRIGGERED    set if the function triggered a failover
#
#########################################################################
function takeover_hdb
{
  typeset fname="takeover_hdb"
  BLogMsg $*

  typeset cmd
  typeset out
  typeset rc
  typeset watchdogrc
  typeset rep_enabled
  typeset repinfo="replication info"

  typeset node
  typeset knocking
  typeset pending
  typeset pending_list
  typeset cmviewcl_out
  typeset file=${GLOBALINI}
  typeset node
  typeset latestp
  typeset current

  check_replication ${1} ${2} ${3} ${4}
  rc=$?

  # rc: 0 for undefined role, 1 for primary, 2 for secondary, 3 replication not enabled
  if [ ${rc} -eq 0 -o ${rc} -eq 3 ]; then
    ErrLogMsg "Replication is currently disabled or not detectable for instance ${1}${2} of system ${3}."
    safe_exit ${ERROR} ${4}; return $?
  elif [ ${rc} -eq 1 ]; then
    LogMsg "Current local replication state is primary - skip takeover operation."

    # above check_replication() reports this node configured as primary: resolve potential
    # "double" primary issues, e.g cluster is starting (after primary previously
    # failed over to secondary site = double primary)
    remote_check_replication $1 $2 $3
    case $? in
    0)
      LogMsg "Remote instance state not determined"
      if [ ${SAFESYNC} -eq 1 ]; then
        if [ ! -e ${HDBMON_TAKEOVER_FILE:-foobar} ]; then
          ErrLogMsg "Safesync ambiguity type 3 encountered"
          LogMsg "The primary package tries to start a primary HANA without being able to gather"
          LogMsg "sufficient information of the paired instance to make a safesync decision."
          LogMsg "Before restarting the package on this host, make sure that the paired"
          LogMsg "instance can be accessed properly to allow to resolve the ambiguity."
          LogMsg "To run this HANA instance as production primary forcibly and without dependency"
          LogMsg "on the paired instance, override the ambiguity by executing sr_safesync -p $SGeSAP_HDB_SYSTEM"
          LogMsg "on one of its HANA nodes."
          if [[ $HDBSCALEOUT -eq 1 ]]; then
            LogMsg "Also check that package switching is enabled for all nodes of the site."
            LogMsg "It is likely necessary to also reset the sitecontroller with command cmresetsc <sico_pkgname>."
          fi
          LogMsg "CAUTION: This operation will also accept a system with outdated data for production."
          LogMsg "The situation might arise if a synchronized secondary instance became unavailable"
          LogMsg "while the primary instance wasn't running. It is safe to unblock the primary in such"
          LogMsg "circumstances."
          safe_exit ${FATAL} ${4}; return ?
        fi
      fi
    ;;
    2)
      LogMsg "Found double primary - checking nodes for last primary start"
      check_productionstart $1 $2
      if [[ $? -eq 1 ]]; then
        if [[ ${HDB_NODELAY} -eq 0 && ${HDBSCALEOUT} -ne 1 ]]; then
          LogMsg "Primary last seen in production remotely"
          # ME: system could check for ambiguity type 2 here
          reenable_node
          safe_exit ${ERROR} ${4}; return $?
        else
          ErrLogMsg "Primary last seen in production remotely"
          safe_exit ${FATAL} ${4}; return $?
        fi
      elif [[ ${SAFESYNC} -eq 1 ]]; then
        if [[ -n "${NOPROD_LOC}" ]]; then
          cmexec ${NOPROD_LOC} -t 35 "[[ -e ${HDBMON_TAKEOVER_FILE} ]]"
          if [[ $? -eq 0 ]]; then
            if [[ ! -e ${HDBMON_TAKEOVER_FILE} ]]; then
              ErrLogMsg "Safesync ambiguity type 2 encountered"
              LogMsg "There are two primary instances detected on cluster nodes."
              LogMsg "The local instance is the one that ran in production last."
              LogMsg "The remote instance holds a cluster production token."
              LogMsg "Such ambiguities might be introduced by manual manipulations of"
              LogMsg "safesync blocks, operations in package maintenance mode or a preceding"
              LogMsg "failed or partial primary package startup on the remote host(s)."
              LogMsg "To resolve this ambiguity, execute sr_safesync -p on a host that"
              LogMsg "is meant to be (part of) the production instance and sr_safesync -x"
              LogMsg "on a host that is meant to be (part of) the replication instance."
              LogMsg "CAUTION: This operation will also accept a system with outdated data for production."
              if [[ ${HDBSCALEOUT} -eq 1 ]]; then
                LogMsg "Before restarting the package, also check that package switching is enabled"
                LogMsg "for all nodes of the site. IF the sitecontroller package needs to be started,"
                LogMsg "first execute cmresetsc <sico_pkgname> in both sites."
              fi
              safe_exit ${FATAL} ${4}; return ?
            else
              WrnLogMsg "Safesync reports double production token."
            fi
          fi
        else
          ErrLogMsg "Older node not set"
          safe_exit ${ERROR} ${4}; return $?
        fi
      fi
    ;;
    esac

    # already primary --> skip takeover operations
    return 0
  fi


  LogMsg2 1 "Current local replication state is secondary."

  find_sap_binary ${1} ${2} ${VHNAME} ${3} sapcontrol

  #
  # safety measures to prevent unwanted takeover in scale-up environments
  #
  if [ "X${HDBSCALEOUT}" != "X1" ]; then
    LogMsg "The local replication state does not match to a primary package - execute scale-up safety checks..."

    #
    # perform takeover only if this is a failover or a manual operation with switching disabled
    #
    if [ `${SGSBIN}/cmviewcl -f line -p ${SG_PACKAGE_NAME} -v|grep -e ^node:${HNAME}'|' -e ^autorun|grep -e autorun=enabled -e switching=enabled -e available=yes|wc -l` -eq 3 ]; then
      LogMsg "Switching is enabled for the local node - special safety procedures apply."
      if [ `${SGSBIN}/cmviewcl -f line -p ${SG_PACKAGE_NAME} -v|grep -v ^node:${HNAME}'|'|grep -e switching=enabled -e available=yes|wc -l` -ge 2 ]; then
       # if cluster start then schedule switching enable for later use
        cmviewcl_out=`${SGSBIN}/cmviewcl -v -f line -p ${SG_PACKAGE_NAME}|egrep "switching|stat|last"`
        DbgLogMsg "cmviewcl_out=[$cmviewcl_out]"
        last_run_time=$( echo "$cmviewcl_out"|awk -F "=" '
          BEGIN { last_run_time=0 }
          /last_run_time/ { if ($2>0) {last_run_time=1; exit } }
          END {print last_run_time}
          ' )
        DbgLogMsg "last_run_time=[${last_run_time}]"
        if [[  ${last_run_time} -gt 0 ]]; then
          ErrLogMsg "No takeover will be triggered, because another cluster node is available for this package."
          LogMsg "Please verify whether a takeover operation is intended for the local secondary instance."
          LogMsg "The other node must first be disabled for the package to allow a takeover operation"
          LogMsg "as part of a subsequent manual package start."
          LogMsg "Example: cmmodpkg -d -n <othernode> ${SG_PACKAGE_NAME}"
          LogMsg "         cmrunpkg -n ${HNAME} ${SG_PACKAGE_NAME}"
          LogMsg "You can afterwards re-enable the other node."
          LogMsg "Example: cmmodpkg -e -n <othernode> ${SG_PACKAGE_NAME}"
          LogMsg "This is a safety procedure to prevent human errors."
          LogMsg "${HNAME} is now disabled as failover target for this package."
        else
          LogMsg "This package start was triggered by preceding cluster start - relocate package to avoid takeover"
          reenable_node
        fi
        safe_exit ${ERROR} ${4}; return $?
      else
        LogMsg "No other node for primary package available."
      fi
      #
      # stopped instances are suspicious if safesync is not used
      #
      if [ ${SAFESYNC} -eq 0 ]; then
        if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e nameserver -e hdbdaemon|grep -e RED -e YELLOW -e GREY -e GRAY|wc -l` -ne 0 ]; then
          if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e GREEN|wc -l` -eq 0 ]; then
            ErrLogMsg "No takeover will be triggered, because the local secondary instance is not running."
            LogMsg "Please verify whether a takeover operation is intended for the stopped secondary instance."
            LogMsg "If you want to force a takeover, explicitly run the package on this node again."
            LogMsg "Example: cmrunpkg -n ${HNAME} ${SG_PACKAGE_NAME}"
            LogMsg "This is a safety procedure to prevent human errors."
            WrnLogMsg "${HNAME} is now disabled as failover target for this package."
            WrnLogMsg "Autorun is now disabled for this package."
            safe_exit ${FATAL} ${4}; return $?
          fi
        fi
      fi
    else
      LogMsg "Primary package start was triggered by explicit attempt to start on a server with secondary instance."
    fi
    #
    # check existence of a safesync block
    #
    if [ ${SAFESYNC} -eq 1 ]; then
      if [ -r "${HDBMON_ASYNC_FILE}" ]; then
        ErrLogMsg "The local secondary instance was not synchronized with the last production primary instance."
        LogMsg "Inconsistencies can occur if a takeover is triggered - aborting."
        LogMsg "Manually execute sr_safesync -n ${HNAME} -u ${SG_PACKAGE_NAME} and"
        if [[ -n ${PEER_REPRESENTATIVE_UP} ]]; then
          LogMsg "and sr_safesync -n ${PEER_REPRESENTATIVE_UP} -u ${SG_PACKAGE_NAME}"
        fi
        LogMsg "to override the safesync block at your own risk."
        LogMsg "This enables local takeover as part of subsequent primary package starts."
        LogMsg "${HNAME} is now disabled as failover target for this package."
        safe_exit ${ERROR} ${4}; return $?
      else
        remote_check_replication $1 $2 $3
        if [ $? -eq 0 ]; then
          LogMsg "Remote instance state not determined"
          ${SGSBIN}/cmviewcl -f line -p ${SECONDARY_PKG}|grep  'node:'${HNAME}'|last_run_time=0' >/dev/null
          if [ $? -eq 0 ]; then
            ErrLogMsg "Safesync ambiguity type 1 encountered"
            LogMsg "The secondary package never ran locally since cluster node start"
            LogMsg "The remote host can not be queried for safesync persistence block information"
            LogMsg "It can not be decided whether the local node is in sync"
            LogMsg "Before restarting the package, make sure that the missing host can be accessed again"
            LogMsg "To turn this HANA instance into a primary without first providing access to the"
            LogMsg "missing host, stop this cluster node and perform a manual sr_takeover"
            LogMsg "operation on its HANA node. CAUTION: This can result in a production primary instance"
            LogMsg "with outdated data."
            safe_exit ${ERROR} ${4}; return $?
          fi
        fi
      fi
      LogMsg "No safesync block - proceeding"
    fi
  else
    if [[ ${SO_BLOCK_TAKEOVER} -eq 1 ]]; then
      ErrLogMsg "Safesync block is active - exiting"
      LogMsg "To remove the safesync block from a given site, execute sr_safesync -n <node_of_site> -u ${SGeSAP_HDB_SYSTEM}"
      LogMsg "on one of its nodes. CAUTION: Subsequent primary package starts can result in a production"
      LogMsg "primary instance with outdated data."
      safe_exit ${ERROR} ${4}; return $?
    fi
  fi

  # Determine Dynamic Timeout values based
  # on data from previous runs
  STO_calc_timeout $1 $2 $3 takeover_hdb_time


  #  if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e indexserver -e nameserver -e hdbdaemon|grep -e RED -e YELLOW -e GREY -e GRAY|wc -l` -eq 0 ]; then
    #  if [ `${LOCATION:-sapcontrol} -nr ${2} -function GetProcessList|grep -e GREEN|wc -l` -ne 0 ]; then
      #  LogMsg "Instance ${1}${2} of system ${3} is running."

      #
      # scale-out sync
      #
      if [ ${HDBSCALEOUT} -eq 1 ]; then
        detect_module ${sgesap}/hdbdualpurpose
        if [ $? -eq 0 ]; then
          #
          # takeover requires all dual purpose instances to be down
          # wait for all starting nodes
          #
          LogMsg "Wait for all starting nodes to request synchronization..."
          while [ . ]; do
            knocking=1
            pending=0
            pending_list=""
            passed=0
            cmviewcl_out=`${SGSBIN}/cmviewcl -f line -l node -p ${SG_PACKAGE_NAME}|grep node:${node}'|state='`

            for node in ${SG_NODE_NAME[@]}; do
              if [ "X${node}" != "X${HNAME}" ]; then
                if [ `echo "${cmviewcl_out}"|grep -e node:${node}'|state=maintenance' -e node:${node}'|state=detached' -e node:${node}'|state=running'|wc -l` -ne 0 ]; then
	          (( passed = $passed + 1 ))
	        elif [ `echo "${cmviewcl_out}"|grep -e node:${node}'|state=starting' -e node:${node}'|state=blocked' -e node:${node}'|state=start_wait' -e node:${node}'state=unknown'|wc -l` -ne 0 ]; then
                  ls -l ${leaderdir}/.${node} >/dev/null 2>&1
                  if [ $? -eq 0 ]; then
                    (( knocking = $knocking + 1 ))
                  else
                    (( pending = $pending + 1 ))
                    pending_list=$pending_list" $node "
                  fi
                fi
              fi
            done
            (( curr_nodes = $passed + $knocking ))
            (( curr_nodes = $curr_nodes + $pending ))
            if [[ ${min_nodes} -gt ${curr_nodes} && "X${SGeSAP_BYPASS_HANA_MIN_NODE_CHECK}" != "X1" ]]; then
              ErrLogMsg "There are not enough nodes to start HANA"
              LogMsg2 4 "Required workers: ${min_nodes}, optional standbys: ${INDEX_STANDBYS}"
              LogMsg2 4 "Available nodes: ${curr_nodes} = ${knocking} waiting, ${pending} pending, ${passed} finished"
              echo "${cmviewcl_out}"|grep ^node:.*'|'state=[[:alnum:]]*$|logpipe
              safe_exit ${ERROR} ${4}; return $?
            fi
            if [ ${pending} -eq 0 ]; then
              LogMsg "Full set of ${knocking} starting node(s) request(s) synchronization"
              LogMsg "System-wide readiness for takeover operation achieved"
              break
            else
              LogMsg2 3 "Waiting for ${pending} pending nodes..."
              LogMsg2 4 "Pending node list: $pending_list"
            fi
            if [ ! -e ${LEADERDIR}/${HNAME} ]; then
              WrnLogMsg "Lost leadership role while waiting for takeover readiness"
              return 1
            fi
          done
        fi
      fi

      if [ ${#SGeSAP_HDB_EPS_LOCATION[@]} -gt 0 ]; then
        update_globalini
      fi

      #
      # perform takeover...
      #
      LogMsg "Trigger takeover operation..."

      # start measuring for STO
      typeset starttime=$SECONDS

      find_sap_binary ${1} ${2} ${VHNAME} ${3} hdbnsutil

      LogMsg "running cmd: ${LOCATION:-hdbnsutil} -sr_takeover"
      TAKEOVER_TRIGGERED=1
      # (su - ${MYSIDADM} -c "$SNIPMARK; ${LOCATION:-hdbnsutil} -sr_takeover") &
      (su - ${MYSIDADM} -c "$SNIPMARK; ${LOCATION:-hdbnsutil} -sr_takeover"|snipit|logpipe) &

#---STO---------------------------
  # for compatability keep non-STO code
  if [[ $ENABLE_STO -eq 0 ]]; then
    watchdog $! ${SGeSAP_HDB_TAKEOVER_TIMEOUT}
  else
    watchdog $! $HDB_STO_TAKEOVER_TIMEOUT
    watchdogrc=$?
    DbgLogMsg "watchdog returned with rc=[=$rc]"

    # done measuring for STO
    typeset endtime=$SECONDS
    STO_calc_elapsed_and_save ${1}${2} $3 $endtime $starttime takeover_hdb_time

    # watchdog timed out - exit or return to caller
    if [[ $watchdogrc -ne 0 ]]; then
      ErrLogMsg "sr_takeover watchdog timed out"
      safe_exit ${FATAL}; return $?
    fi

    if [[ "${SGeSAP_HDB_INIT_INTO_FULLSYNC}" == "yes" ]]; then
      typeset local_full_sync_enabled=$(read_ini_config $file system_replication enable_full_sync)
      LogMsg "Primary global.ini: current full_sync_enabled=[$local_full_sync_enabled]"
    fi
  fi
#---STO---------------------------

  check_replication ${1} ${2} ${3}
  if [ $? -ne 1 ]; then
    ErrLogMsg "Takeover operation failed."

    return ${ERROR}

  else
    if [[ ${SAFESYNC} -eq 1 ]]; then
      touch ${HDBMON_TAKEOVER_FILE} # a token (re-)creation...
      chmod 554 ${HDBMON_TAKEOVER_FILE}
      chgrp ${SAPSYS} ${HDBMON_TAKEOVER_FILE}
    fi
    LogMsg2 1 "Current state converted into 'primary'."
  fi
  return 0
    #  fi
  #  fi

  #
  # no instance is running locally
  #
  #  ErrLogMsg "No running instance detected locally."
  #  safe_exit ${ERROR} ${4}; return $?
}

#########################################################################
#
# Function: check_productionstart
#
# After for example a cluster start this function scans nodes configured
# for primary package and determines node that contains the timestamp from
# latest primary package start
#
# Parameters:
# $1    instance name
# $2    instance number
#
# return
#   0: this node/site was last to run primary/procuctionstart
#   1: other node/site was last to run primary/procuctionstart
#
# Sets NOPROD_LOC.
#
#########################################################################
function check_productionstart
{
  typeset fname="check_productionstart"
  BLogMsg $*

  typeset laststart=0
  typeset node
  typeset laststart_remote=0
  typeset rc

  cmd="cat ${HDBMON_PRODUCTION_START_FILE}"
  if [[ -n ${PEER_REPRESENTATIVE_UP} ]]; then
    LogMsg2 1 "Running cmexec to get last production start from ${PEER_REPRESENTATIVE_UP}"
    laststart_remote=$(${SGSBIN}/cmexec ${PEER_REPRESENTATIVE_UP} -t ${CMEXEC_TIMEOUT} "$cmd" 2>/dev/null)
  fi
  laststart=$($cmd)
  LogMsg2 1 "production start remote=[$laststart_remote], production start local=[$laststart]"
  if [[ ${laststart_remote:-0} -gt ${laststart} ]]; then
    NOPROD_LOC=${HNAME}
    node=${PEER_REPRESENTATIVE_UP:-${PEER_REPRESENTATIVE}}
    rc=1
  else
    NOPROD_LOC=${PEER_REPRESENTATIVE_UP:-${PEER_REPRESENTATIVE}}
    node=${HNAME}
    rc=0
  fi

    LogMsg2 1 "The system has last been seen in production on node=[$node]"
    DbgLogMsg "A node of the older system is ${NOPROD_LOC}"
    return ${rc}
}

########################################################################
# HANA scale-out database
########################################################################

#########################################################################
# get the HANA active master name server on the remote site by running
# HANA landscapeHostConfiguration.py via cmexec $node. Parse column=11
# for the master
#
# | Host      | Host    | Host    | Failover | Remove | Storage   | Failover     | Failover     | NameServer  | NameServer  | IndexServer | IndexServer |
# |           | Active  | Status  | Status   | Status | Partition | Config Group | Actual Group | Config Role | Actual Role | Config Role | Actual Role |
# | --------- | ------- | ------- | -------- | ------ | --------- | ------------ | ------------ | ----------- | ----------- | ----------- | ----------- |
# | hphanas71 | no      | error   |          |        |         3 | default      | default      | master 1    | slave       | worker      | slave       |
# | hphanas72 | no      | error   |          |        |         2 | default      | default      | slave       | slave       | worker      | slave       |
# | hphanas73 | partial | warning |          |        |         1 | default      | default      | master 3    | master      | worker      | master      |
#
# landscapeHostConfiguration.py return codes
#0 = Fatal (Internal script error, the state could not be determined)
#1 = Error
#2=Warning
#3 = Info
#4 = OK
#
# If rc=3 or rc=4 the remote HANA system is considered  healthy and up
#
# Parameters:
# $1    remote node for running the command
# $2    timeout value for the cmexec command
#
# Sets global $remote_active_master_name_server
#
#########################################################################
function SO_get_remote_active_master_name_server
{
  typeset fname=SO_get_remote_active_master_name_server
  BLogMsg $*

  typeset node=$1
  typeset timeout=$2
  typeset rc
  remote_active_master_name_server=""

  typeset landscapecmd="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/${HDBNAME}${HDBNR}/exe/python_support/landscapeHostConfiguration.py --sapcontrol=1"
  typeset cmd="su - $MYSIDADM -c \\\"python $landscapecmd\\\""
  typeset cmexeccmd="${SGSBIN}/cmexec  $node -t $timeout \"$cmd\" 2>&1"
  LogMsg "$cmexeccmd"

  out=$(eval $cmexeccmd)
  rc=$?

  if [[ $rc -eq 4 || $rc -eq 3 ]];then
    DbgLogMsg "${out}"
    LogMsg "Success: landscapeHostConfiguration rc=[${rc}] is up"
  else
    if [[  ${DBG} -gt 0 ]]; then
      LogMsg "_________________ START CMD OUTPUT _______________________"
      echo "${out}"
      LogMsg "_________________ END CMD OUTPUT _________________________"
      LogMsg "Failure: landscapeHostConfiguration returned rc=[${rc}]"
    fi
    return 1
  fi

  remote_active_master_name_server=$(get_active_master_name_server "NameServer" "Actual Role" "master" "$out")
  DbgLogMsg "remote_active_master_name_server=[$remote_active_master_name_server]"
  if [[ -n "$remote_active_master_name_server" ]]; then
    echo "$remote_active_master_name_server"
    rc=0
  else
    rc=1
  fi
  return $rc
}

########################################################################
# Function: getPriMasterhostConfigRoles
#
# Purpose: given landscapeHostConfiguration --sapcontrol=1 output. Search
#   within for the nameserver master and determine it's hostConfigRoles.
#
# Returns: a sorted list (of HANA host Config Roles) for the host
# the master name server currently is running on
#
# Parameters:
#   none
#
# Remarks: hostConfigRoles might contain several roles. Sort these so a
#   later roles comparison wont cause problem
########################################################################
function getPriMasterhostConfigRoles
{
  typeset fname="getPriMasterhostConfigRoles"

  perl -w -e '
    use strict;
    my ($key,$host);
    my $param="";
    my $value="";
    my $priMasterHost="";
    my %priLandscapeHash=();
    my $DBG=0;

    while (<>) {
      if ( $_ =~ m#(host/([^/]+)/(.+))=(.+)$# ) {
        ($key,$host,$param,$value) = ($1, $2, $3, $4);
        $priLandscapeHash{"$key"} = $value;
        print STDERR ("key=[$key] host=[$host] value=[$value]\n") if ($DBG);
      }
      if ( ($param eq "nameServerActualRole") && ($value eq "master") ) {
        $priMasterHost=$host;
        print STDERR ("priMasterHost=[$priMasterHost]\n") if ($DBG);
      }
    }

    if ( exists $priLandscapeHash{"host/$priMasterHost/hostConfigRoles"} ) {
      print join(" ",sort(split(" ",$priLandscapeHash{"host/$priMasterHost/hostConfigRoles"})));
    }
    '
}


########################################################################
# Function:sechostConfigRolesSwap
#
# Purpose: the primary hostActualRoles for the master should match the
#   secondary hostConfigRoles of the master 1. This is necessary for then
#   sr_register command during a demote_to_secondary to succeed. Therefore
#   search thru the output of a secondary landscapeHostConfiguration
#   and swap the roles of this host with the one configured as master 1
#
# Returns: this functions returns a roles list of the 2 hosts to swap in
#   nameserver.ini file. list elements are constructed such they can
#  directly be fed into function set_globalini_dp_param() for updating
#  nameserver.ini
#
# Parameters:
#  $1 landscape output of secondary
#  $2 master roles of primary (determined in a previous step)
########################################################################
function sechostConfigRolesSwap {
  typeset fname="sechostConfigRolesSwap"

  perl -w -e '
    use strict;
    use warnings;
    use Carp;
    use Data::Dumper;

    my $DBG=0;
    my $file=shift;
    my $priMasterRoles=shift;
    print STDERR ("priMasterRoles=[$priMasterRoles]\n") if ($DBG);

    my ($key,$secMasterHost,$host,$swaproles);
    my $value="";
    my $param="";
    my $swaphost="";
    my %secLandscapeHash=();
    my $CONF_FH;

    if ($file eq "STDIN") {
      $CONF_FH = *STDIN;
    } else {
      open ($CONF_FH, "<", "$file") or confess "Error: Can not open [$file]: $!";
    }

    while (<$CONF_FH>) {
      if ( $_ =~ m#(host/([^/]+)/(.+))=(.+)$# ) {
        ($key,$host,$param,$value) = ($1, $2, $3, $4);
        if ($param eq "hostConfigRoles") {
          $secLandscapeHash{"$host"} = join(" ",sort(split(" ",$value)));
        }
      }

      if ( $value eq "master 1" ) {
        $secMasterHost=$host;
        print STDERR ("master 1: secMasterHost=[$secMasterHost]\n") if ($DBG);
      }
    }
    print STDERR ( Data::Dumper->Dump( [ \%secLandscapeHash ],  ["secLandscapeHash"] )) if ($DBG);

    for $host ( keys %secLandscapeHash ) {
      my $hostConfigRoles=$secLandscapeHash{$host};
      print STDERR ("host=[$host] hostConfigRoles=[$hostConfigRoles]\n") if ($DBG);
      # if ($host ne $secMasterHost && $hostConfigRoles eq $priMasterRoles) {
      if ($hostConfigRoles eq $priMasterRoles) {
        $swaphost=$host;
        print STDERR ("matched a swaphost=[$swaphost]\n") if ($DBG);
        last;
      }
    }

    $swaproles=$secLandscapeHash{"$secMasterHost"};

    if (($swaphost eq "") || ($swaproles eq "") || ($secMasterHost eq "") || ($priMasterRoles eq "")) {
      exit 1;
    }
    print ("[landscape]roles_$swaphost=$swaproles\n");
    print ("[landscape]roles_$secMasterHost=$priMasterRoles\n");
  ' $1 "$2"

  # return perl exit code to calling function
  return $?
}

########################################################################
# cloned from SO_get_remote_active_master_name_server
# Parameters:
# $1    remote node for running the command
# $2    timeout value for the cmexec command
########################################################################

function SO_get_remote_landscape
{
  typeset fname=SO_get_remote_landscape
  BLogMsg $*

  typeset node=$1
  typeset timeout=$2
  typeset sapcontrol=${3:-0}


  typeset rc

  typeset landscapecmd="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/${HDBNAME}${HDBNR}/exe/python_support/landscapeHostConfiguration.py --sapcontrol=${sapcontrol}"
  typeset cmd="su - $MYSIDADM -c \\\"python $landscapecmd\\\""
  typeset cmexeccmd="${SGSBIN}/cmexec  $node -t $timeout \"$cmd\" 2>&1"
  LogMsg "$cmexeccmd"

  lspy_out=$(eval $cmexeccmd)
  rc=$?

  if [[ $rc -eq 4 || $rc -eq 3 ]];then
    DbgLogMsg "${lspy_out}"
    LogMsg "Success: landscapeHostConfiguration rc=[${rc}] is up"
    return 0
  else
    if [[  ${DBG} -gt 0 ]]; then
      LogMsg "_________________ START CMD OUTPUT _______________________"
      echo "${lspy_out}"
      LogMsg "_________________ END CMD OUTPUT _________________________"
      LogMsg "Failure: landscapeHostConfiguration returned rc=[${rc}]"
    fi
    return 1
  fi
}
########################################################################
# Function: sechostConfigRolesAdjust
#
# Purpose: the original sr_register failed probably because f HANA bug
# the host roles (e.g. worker, standby) of primary and secondary master
# doesn't match. so determine the hostConfigRoles of primary and try
# to find a matching entry on the secondary. update  GLOBINIUP array with
# with new roles for updating nameserver.ini
#
# Parameters:
#   none
#
# Remarks:
########################################################################
function sechostConfigRolesAdjust
{
  typeset fname="sechostConfigRolesAdjust"
  BLogMsg $*

  typeset sapcontrol=1
  typeset roleswap

  #SO_get_remote_landscape ${vpkgowner} $WATCHDOG_TIMEOUT $sapcontrol
  SO_get_remote_landscape ${pkgownernode} $WATCHDOG_TIMEOUT $sapcontrol
  if [[ $? -ge 1 ]]; then ErrLogMsg "landscape cmd failed"; return 1; fi

  prihostConfigRolesMaster=$(echo "$lspy_out"| getPriMasterhostConfigRoles)
  LogMsg "prihostConfigRolesMaster=[$prihostConfigRolesMaster]"

  SO_run_landscape_py --sapcontrol=1
  roleswap=$(echo "$lspy_out"| sechostConfigRolesSwap STDIN "$prihostConfigRolesMaster")
  if [[ $? -ge 1 ]]; then ErrLogMsg "roleswap failed"; return 1; fi
  LogMsg "roleswap=[$roleswap]"

  # save and change IFS as values of $roleswap
  # might contain spaces when saving $elem
  OLDIFS=$IFS
  IFS=$'\n'
  typeset ini_index=0
  for elem in $roleswap; do
    # LogMsg "elem=[$elem]"
    GLOBINIUPD[${ini_index}]="$elem"
    (( ini_index = $ini_index + 1 ))
  done
  IFS=$OLDIFS
  DbgLogMsg "params to update: ${GLOBINIUPDALL[@]}"
}


########################################################################
# Function: updateNameserverIniRoles
#
# Purpose: update nameserver.ini with new roles_xxx stored in global
# array GLOBINIUPD[]. create a backup of nameserver.ini. save absolute
# path to file in global $BackupF for later restore
#
# Parameters:
#   none
#
# Remarks:
########################################################################
function updateNameserverIniRoles
{
  typeset fname="updateNameserverIniRoles"
  BLogMsg $*

  typeset nsfname=${nsfname:-"${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/SYS/global/hdb/custom/config/nameserver.ini"}
  backup_globalini $nsfname
  (
    flock -x 199
    set_globalini_dp_param "$nsfname"
  ) 199<$nsfname
}


########################################################################
# Function: run_sr_register
#
# Purpose: update nameserver.ini with new roles_xxx stored in global
# array GLOBINIUPD[]. create a backup of nameserver.ini and absolute
# path to file in global $BackupF
#
# Parameters:
#   localsitename - site name used for registering the site
#   vpkgowner - host on which the primary (package) is running on
#   remoteInstance - nr of the remote HANA instance
#   rmode - replicationMode
#   syncmode - sync..
#   omode - operationMode=delta_datashipping
#
# Remarks:
########################################################################
function run_sr_register
{
  typeset fname="run_sr_register"
  BLogMsg $*

  typeset localsitename=$1
  typeset vpkgowner=$2
  typeset remoteInstance=$3
  typeset rmode=$4
  typeset syncmode=$5
  typeset omode=$6

  LogMsg "Running cmd: ${LOCATION:-hdbnsutil} -sr_register --name=${localsitename} --remoteHost=${vpkgowner} --remoteInstance=${remoteInstance} --${rmode}=${syncmode} ${omode}"
  (su - ${MYSIDADM} -c "$SNIPMARK; ${LOCATION:-hdbnsutil} -sr_register --name=${localsitename} --remoteHost=${vpkgowner} --remoteInstance=${remoteInstance} --${rmode}=${syncmode} ${omode} </dev/null" 2>&1) &
  watchdog $!
  watchdogrc=$?
  return $watchdogrc
}


########################################################################
# Function: restoreNameserverBackup
#
# Purpose: restore nameserver.ini backup previously saved in global $BackupF
#
# Parameters:
#   none
#
# Remarks:
########################################################################
function restoreNameserverBackup
{
  typeset fname="restoreNameserverBackup"
  BLogMsg $*

  typeset nsfname=${nsfname:-"${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/SYS/global/hdb/custom/config/nameserver.ini"}
  LogMsg "Restoring $BackupF"
  if ! cp -p $BackupF $nsfname; then
    LogMsg "cp -p $BackupF $nsfname failed"
    return 1
  else
    LogMsg "success: restore succeeded"
  fi
}


########################################################################
# run landscapeHostConfiguration.py and check if any hosts=active
# Parse column=3
#
# Arguments:
# $1: HDBNAME
# $2: HDBNR
# $3: SGeSAP_HDB_SYSTEM
#
# Returns:
#  0: no host active
#  1: a host is active
#
# | Host      | Host   | Host   | Failover | Remove | Storage   | Storage   | Failover     | Failover     | NameServer  | NameServer  | IndexServer | IndexServer | Host         | Host         |
# |           | Active | Status | Status   | Status | Config    | Actual    | Config Group | Actual Group | Config Role | Actual Role | Config Role | Actual Role | Config Roles | Actual Roles |
# |           |        |        |          |        | Partition | Partition |              |              |             |             |             |             |              |              |
# | --------- | ------ | ------ | -------- | ------ | --------- | --------- | ------------ | ------------ | ----------- | ----------- | ----------- | ----------- | ------------ | ------------ |
# | hphanas71 | yes    | ok     |          |        |         1 |         1 | default      | default      | master 1    | master      | worker      | slave       | worker       | worker       |
# | hphanas72 | yes    | ok     |          |        |         2 |         2 | default      | default      | slave       | slave       | worker      | slave       | worker       | worker       |
# | hphanas73 | yes    | ok     |          |        |         3 |         3 | default      | default      | master 3    | slave       | worker      | slave       | worker       | worker       |
# | hphanas74 | yes    | ignore |          |        |         0 |         0 | default      | default      | master 2    | slave       | standby     | standby     | standby      | standby      |
#
# overall host status: ok
########################################################################
function landscape_get_hostactive
{
  typeset fname=landscape_get_hostactive
  BLogMsg $*

    typeset lshostactive
    typeset is_lshostactive=0
    typeset landscapecmd="${USRSAPDIR}/${3}/${1}${2}/exe/python_support/landscapeHostConfiguration.py"
    typeset cmd="su - $MYSIDADM -c \"python $landscapecmd\""
    LogMsg "$cmd"

    lspy_out=$(eval $cmd & watchdog $! 15 `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
    rc=$?
    if [[ $rc -le 5 ]];then   # rc reported by script
      DbgLogMsg "${lspy_out}"
      DbgLogMsg "Success: landscapeHostConfiguration rc=[${rc}]"
    else
      WrnLogMsg "landscape not up - landscapeHostConfiguration returned rc=[${rc}]"
      echo ""
      return 0
      if [[  ${DBG} -gt 0 ]]; then
        LogMsg "_________________ START CMD OUTPUT _______________________"
        echo "${lspy_out}" > $SG_SCRIPT_LOG_FILE
        LogMsg "_________________ END CMD OUTPUT _________________________"
      fi
    fi

    is_lshostactive=$(echo "$lspy_out" | awk -F"|" ' BEGIN { isData=0; active=0 }
      {
        if (/^$/) { isData=0 }                    # isData ends after a blank line == ignore trailer
        if (isData == 1) { if ( $3 !~ / no/ ) { active=1; exit} }
        if (/^\| -+ \|.*/) { isData=1 }           # isData start after | --------- | line == ignore header
      }
    END {print active} ')

    DbgLogMsg "is_lshostactive=[$is_lshostactive]"
    return $is_lshostactive
}


########################################################################
# determine if HANA configuration is a HANA scaleout or not.
# the following is implied:
# a MNP package == a HANA scaleout configuration
# a failover package == a HANA scaleup configuration
#
# Returns:
# $HDBSCALEOUT (global)
########################################################################
function detect_hdb_scaleout
{
  typeset fname=detect_hdb_scaleout
  BLogMsg $*

  HDBSCALEOUT=`${CMGETPKGENV} ${SG_PACKAGE}|awk ' BEGIN { found=0 }
              /SG_PACKAGE_TYPE="multi_node"/  { found=1 }
               END { print found} '`

  if [[ "X$HDBSCALEOUT" = "X1" ]]; then
    LogMsg "Scale-out configuration detected"
  elif [[ "X$HDBSCALEOUT" != "X0" ]]; then
    WrnLogMsg "HDBSCALEOUT=[${HDBSCALEOUT}]"
  fi
  #return $HDBSCALEOUT
}


########################################################################
# Initially fill the clview cache. Log various global settings HANA
# and cluster settings
#
# Note the $VCLVIEW cache is also valid for subsequent functions that
# might be called after SO_globalsetup
########################################################################
function SO_globalsetup
{
  typeset fname=SO_globalsetup
  BLogMsg $*

  LogMsg "Initializing site related information"
  cache_clview  # sc_util.sh
  cache_clview_sconfig # sc_util.sh

  #DbgLogMsg "VCLVIEW=[$VCLVIEW]"
  # rest is initialized after SC package has been determined

  # WVE use an alt sitecontroller package if available. just for internal testing
  # to be removed

  if [[ -n "$SC_PACKAGE_ALT" ]] && echo "$VCLVIEW"|grep -q "$SC_PACKAGE_ALT"; then
    SC_PACKAGE="$SC_PACKAGE_ALT"
  fi

  # no alternate sc package found.
  # now determine the real sc package
  # sets global $SC_PACKAGE
  if [ -z "${SC_PACKAGE}" ]; then
      determine_sc_pkg_for_hdb_system
  fi
  LogMsg "SC_PACKAGE=[$SC_PACKAGE]"

  if [ -z "${SC_PACKAGE}" ]; then
      LogMsg "Couldn't find site Controller package - exiting"
      exit 1
  fi

  cache_site_info ${SC_PACKAGE} >/dev/null # sc_util.sh,init_cache
  cache_pkg_info ${SC_PACKAGE}  # sc_util.sh,init_cache
  setup_local_and_remote_site "" # sc_util.sh (local_site,remote_site)

  inifname=${GLOBALINI}
  LogMsg "inifname=[$inifname]"

  nsfname="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/SYS/global/hdb/custom/config/nameserver.ini"
  LogMsg "nsfname=[$nsfname]"
}


########################################################################
#
# Caches the current cluster database content.
#
# Returns:
# VCLVIEW
#
########################################################################
function cache_clview
{
   typeset -i counter=$clview_retry_times
   sg_log 5 "Function cache_clview"
   sg_log 5 "Refreshing cmviewcl -v cache"
   VCLVIEW=`$cmviewcl -v -f line 2>&1`
   if [[ $? -ne 0 ]]; then
      while [[ $counter -gt 0 ]]
      do
         sg_log 0 "Execution of cmviewcl -v -f line failed"
         sg_log 0 "$VCLVIEW"
         sg_log 0 "Retrying"
         #sleep for retry interval
         sleep $clview_retry_interval
         VCLVIEW=`$cmviewcl -v -f line 2>&1`
         if [[ $? -eq 0 ]]; then
            break
         fi
         counter=`expr $counter - 1`
      done
      if [[ $counter -eq 0 ]]; then
         sg_log 0 "Execution of cmviewcl -v -f line failed"
         sg_log 0 "$VCLVIEW"
         sg_log 0 "Exiting"
         exit 2
      fi
   fi
}


#########################################################################
# finds the corresponding site controller package for SGeSAP_HDB_SYSTEM
#
# the correct site controller package will contain a hdbsico module and
# and parameter sico_hdb_system=SGeSAP_HDB_SYSTEM.
#
# a cluster might also contain multiple sitecontroller packages as well
# as multiple packages with the same SGeSAP_HDB_SYSTEM SID. collect
# this information and save this data in two awk hashes sc and sid.
# hash key is package name.  the correct package is found if the same hash
# key is found for both hashes.
#
# Returns:
# global SC_PACKAGE
#########################################################################
function determine_sc_pkg_for_hdb_system
{
  typeset fname=determine_sc_pkg_for_sid
  BLogMsg $*

  LogMsg "Scanning for site controller package for SGeSAP_HDB_SYSTEM=[$SGeSAP_HDB_SYSTEM]"

  SC_PACKAGE=$( echo "$VCLVIEW" | awk -F "[|:]" '
      /^package:.*\|module_name=sgesap\/hdbsico/ { sc[$2]=1 }
      /^package:.*\|sgesap\/hdbsico\/sico_hdb_system='${SGeSAP_HDB_SYSTEM}'/ { sid[$2]=1 }
      END { for (pkg in sc ) { if (sc[pkg] == 1 && sid[pkg] == 1 ) print pkg } }
    ' )
  DbgLogMsg "SC_PACKAGE=[$SC_PACKAGE]"

  # WVE log error and exit if SC_PACKAGE is empty
}


########################################################################
# Scaleout depends on a NFS configuration. Rudimentary check for NFS
# availabilty early on before contini
########################################################################
function SO_checkNFSaccess
{
  typeset fname=SO_checkNFSaccess
  BLogMsg $*
  # WVE
}


########################################################################
# if file ${USRSAPDIR}/sapservices doesn't exist create it and set OWNER
# an permissions
########################################################################
function prepare_sapserviceconfig
{
  typeset fname=prepare_sapserviceconfig
  BLogMsg $*

  if [ ! -r ${SAPSERVICECONFIG} ]; then # do this only for HDB
    WrnLogMsg "Restoring/Creating ${SAPSERVICECONFIG}"
    touch ${SAPSERVICECONFIG}
    chown ${MYSIDADM}:${SAPSYS} ${SAPSERVICECONFIG}
    chmod 775 ${SAPSERVICECONFIG}
  fi
}

########################################################################
# parse the ouput of the landscapeHostConfiguration.py command and
# determine the "master" host from the "NameServer Actual Role" column.
#
# Note: version SPS12 of HANA new columns in the output. To be compatible
# with old and new version the correct column is now determined by
# first by matching the primary and secondary column names "NameServer" and
# "Actual Role" and then searching for the master within that column.
#
# $1-$3 are ignored
# $4: output to be parsed is piped into perl scrpt
#
# Returns:
# HANA hostname of the active master name server
#
########################################################################
function get_active_master_name_server
{
  typeset fname="get_active_master_name_server"

  echo "$4" | perl -w -e '
    use strict;
    my ($key,$host);
    my $param="";
    my $value="";
    my %priLandscapeHash=();
    my $DBG=0;

    while (<>) {
      if ( $_ =~ m#(host/([^/]+)/(.+))=(.+)$# ) {
        ($key,$host,$param,$value) = ($1, $2, $3, $4);
        #$priLandscapeHash{"$key"} = $value;
        #print STDERR ("key=[$key] host=[$host] value=[$value]\n") if ($DBG);

        if ( ($param eq "nameServerActualRole") && ($value eq "master") ) {
          print ("$host");
        }
      }
  } '
}

########################################################################
#
# Get the local active name server on the local site by running
# HANA landscapeHostConfiguration.py. Parse column=11
# for the master. HDB needs to be running.
#
# landscapeHostConfiguration.py return codes
# 0 = Fatal (Internal script error, the state could not be determined)
# 1 = Error
# 2 = Warning
# 3 = Info
# 4 = OK
#
# If rc=3 or rc=4 the remote HANA system is considered  healthy and up
#
# Parameters:
#
# Sets global $remote_active_master_name_server
# Determine the master name server based on landscapeHostConfiguration.py
#
# See SO_get_remote_active_master_name_server
#
# Returns:
# ACTIVE_MASTER_NAME_SERVER
# INDEX_STANDBYS
#
########################################################################
function SO_get_active_master_name_server
{
  typeset fname=SO_get_active_master_name_server
  # BLogMsg $*
  typeset landscapecmd="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/${HDBNAME}${HDBNR}/exe/python_support/landscapeHostConfiguration.py --sapcontrol=1"
  typeset cmd="su - ${MYSIDADM} -c \"python $landscapecmd\""
  INDEX_STANDBYS=0

  DbgLogMsg "$cmd"

  out=$(eval $cmd & watchdog $! 15 `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
  rc=$?
  if [[ $rc -eq 4 || $rc -eq 3 ]];then
    DbgLogMsg "${out}"
    LogMsg "Success: landscapeHostConfiguration rc=[${rc}] is up"
  else
    if [[  ${DBG} -gt 0 ]]; then
      LogMsg "_________________ START CMD OUTPUT _______________________"
      echo "${out}"
      LogMsg "_________________ END CMD OUTPUT _________________________"
      LogMsg "Failure: landscapeHostConfiguration returned rc=[${rc}]"
    fi
  fi

  ACTIVE_MASTER_NAME_SERVER="$(get_active_master_name_server "NameServer" "Actual Role" "master" "$out")"
  INDEX_STANDBYS=$(echo "$out"|grep indexServerConfigRole=standby|wc -l)
  DbgLogMsg "ACTIVE_MASTER_NAME_SERVER=[$ACTIVE_MASTER_NAME_SERVER]"
  return $rc
}


########################################################################
# determine the static master name server from nameserver.ini
# hdb doesn't need to be running
#
# find line starting with master and then print first host found.
# file nameserver.ini has the following format:
# [landscape]
# id = 52ea830e-11b0-4250-e100-0000ac1f0701
# master = hphanas71:30101 hphanas74:30101 hphanas73:30101
# ...
#
# Returns:
# STATIC_MASTER_NAME_SERVER
#
########################################################################
function SO_get_static_master_name_server
{
  typeset fname=SO_get_static_master_name_server
  BLogMsg $*

  typeset nsfname="$1"
  typeset rldir=$(readlink -f ${nsfname%/*})

  if [[ -z "${rldir}" ]]; then
    ErrLogMsg "readline $inifname returned empty result"
    return 1
  fi
  if ! check_access2 ${rldir} 0 5; then
    ErrLogMsg "$inifname inaccessible. Replication mode not available"
    return 1
  fi

  STATIC_MASTER_NAME_SERVER=$(read_ini_config $nsfname landscape master| awk '{ split ($1,a,":");print a[1] }')
  DbgLogMsg "STATIC_MASTER_NAME_SERVER=[$STATIC_MASTER_NAME_SERVER]"
}


########################################################################
# wrapper around get_local_site function for determining name of local
# site
# Returns:
# global LOCAL_SGSITE
########################################################################
function get_local_site_name
{
  typeset fname=get_local_site_name
  BLogMsg $*

  LOCAL_SGSITE=${local_site} # local_site provided by sc_util
  LogMsg "LOCAL_SGSITE=[$LOCAL_SGSITE]"
}


########################################################################
# wrapper around get_local_site function for determining name of remote
# site
# Returns:
# global REMOTE_SGSITE
########################################################################
function get_remote_site_name
{
  typeset fname=get_remote_site_name
  BLogMsg $*

  REMOTE_SGSITE=${remote_site} # remote_site provided by sc_util
  LogMsg "REMOTE_SGSITE=[$REMOTE_SGSITE]"
}


########################################################################
# - determine all serviceguard nodes that are up for local site
# - also sets a leader node e.g. a node that will be used for
#   single-node (vs MNP) commands such sr_register  or sr_takeover.
# - apparently order of nodes returned can vary - so sort before
#   selecting master.
# currently not used - get_local_pkgupnodes is used instead
#
# Returns:
# global $LOCAL_SGUPNODES
# global $leader
########################################################################
function get_local_sgupnodes
{
  typeset fname=get_local_sgupnodes
  BLogMsg $*

  LOCAL_SGUPNODES=$(get_site_up_nodes $LOCAL_SGSITE) # sc_util.sh
  LogMsg "LOCAL_SGUPNODES=[$LOCAL_SGUPNODES]"
}


########################################################################
# - determine all serviceguard nodes that are up for remote site
#
# Returns:
# global $REMOTE_SGUPNODES
########################################################################
function get_remote_sgupnodes
{
  typeset fname=get_remote_sgupnodes
  BLogMsg $*

  REMOTE_SGUPNODES=$(get_site_up_nodes $REMOTE_SGSITE)  # sc_util.sh
  LogMsg "REMOTE_SGUPNODES=[$REMOTE_SGUPNODES]"
}


########################################################################
# determine all serviceguard nodes that are up for pkg in the local site
#
# example line:
# package:hdbpDB1_rack7|node:hphanas71|status=up
#
# Returns:
# $LOCAL_PKGUPNODES
# $leader
#
########################################################################
function get_local_pkgupnodes
{
  typeset fname=get_local_pkgupnodes
  [[ -z "$2" ]] && BLogMsg $*
  typeset pkg=$1
  LOCAL_PKGUPNODES="$( echo "$VCLVIEW" | awk -F "[|:]" '
      /^package:'${pkg}'\|node:.*\|status=up/ { print $4 }
    ' )"
  DbgLogMsg "LOCAL_PKGUPNODES=[$LOCAL_PKGUPNODES]"
}


########################################################################
# determine all serviceguard nodes that are up for pkg in remote site
#
# Requires:
# $1        package name
# $2        quiet flag
#
# Returns:
# $REMOTE_PKGUPNODES
#
########################################################################
function get_remote_pkgupnodes
{
  typeset fname=get_remote_pkgupnodes
  if [[ ${2:-0} -eq 0 ]]; then
    BLogMsg $*
  fi
  typeset pkg=$1


  REMOTE_PKGUPNODES="$( echo "$VCLVIEW" | awk -F "[|:]" '
      /^package:'${pkg}'\|node:.*\|status=up/ { print $4 }
    ' )"
  DbgLogMsg "REMOTE_PKGUPNODES=[$REMOTE_PKGUPNODES]"
}


#########################################################################
# helper function determines nr of elements in string (space separated)
#########################################################################
function howmany() { echo $#; }


#########################################################################
# find the remote primary package in a scaleout configuration. a primary
# can be determined:
#
#     - is configured as critical package of a sitecontroller
#     - has parameter hdb_system specified
#     - has module hdbprimary configured
#
# Arguments:
#
# Returns:
# global $PRIMARY_PKG
# global remote_critpkgs
#########################################################################
function SO_find_remote_primary_pkg2
{
  typeset fname=SO_find_remote_primary_pkg2
  BLogMsg $*

        LogMsg "get remote critical pkgs: SC_PACKAGE=[$SC_PACKAGE] REMOTE_SGSITE=[$REMOTE_SGSITE] SGeSAP_HDB_SYSTEM=[$SGeSAP_HDB_SYSTEM]"

        remote_critpkgs=$( echo "$VCLVIEW" | awk -F "[|:=]" '
# for debugging
#          /^package:'${SC_PACKAGE}'\|dts\/sc\/site:'${REMOTE_SGSITE}'\|dts\/sc\/critical_package=.*$/ { printf "critpkg=%s", $6; critpkg[$6]=1 }
#          /^package:.*\|module_name=sgesap\/hdbprimary/ { printf "primarymodule=%s",$2; hdbprimary[$2]=1 }
#          /^package:.*\|sgesap\/hdb_global\/hdb_system=.*$/ { printf "pkg=%s hdbsystem=%s",$2, $6; hdb_system[$2]=$6 }

          /^package:'${SC_PACKAGE}'\|sc_site:'${REMOTE_SGSITE}'\|critical_package=.*$/ { critpkg[$6]=1 }
          /^package:.*\|module_name=sgesap\/hdbprimary/ { hdbprimary[$2]=1 }
          /^package:.*\|sgesap\/hdb_global\/hdb_system=.*$/ { hdb_system[$2]=$6 }

          END {
            for (pkg in hdb_system) { if (critpkg[pkg]==1 && hdbprimary[pkg]==1 && hdb_system[pkg]=="'${SGeSAP_HDB_SYSTEM}'") print pkg }
          }
          ' )

        LogMsg "remote_critpkgs=[$remote_critpkgs]"

        if [[ $(howmany $remote_critpkgs) -ne 1 ]]
        then
            LogMsg "Can't determine the remote primary pkg - remote_critpkgs=[$remote_critpkgs]"
            exit ${ERROR}
        else
            # found exactly one
            PRIMARY_PKG=${remote_critpkgs}
            LogMsg "Found scaleout PRIMARY_PKG=[$PRIMARY_PKG]"
        fi
        echo $PRIMARY_PKG
}


########################################################################
# get SG/HANA package type: e.g. this is aprimary or secondary package
# if primary:   set HDBPRIMARY=1 HDBSECONDARY=0
# if secodnary: set HDBPRIMARY=0 HDBSECONDARY=1
#
# Returns
# global $HDBPRIMARY
# global $HDBSECONDARY
########################################################################
function SO_detect_module_hdbprimary
{
  typeset fname=SO_detect_module_hdbprimary
  BLogMsg $*

  detect_module_hdbprimary
  LogMsg "This is a HDBPRIMARY=[$HDBPRIMARY] HDBSECONDARY=[$HDBSECONDARY] package"
}


########################################################################
# for the local host (try to) determine the HANA system replication type
# based on global.ini settings
# Returns:
#  0 - replication primary
#  1 - replication secondary
#  5 - global.ini accessible, but no replication configured
# 10 - global.ini not accessible, replication mode not available
#
# Set globals: HDBSysRepType="primary" or HDBSysRepType="secondary" or
# HDBSysRepType="none"
########################################################################
function SO_determineHDBSysReplType2
{
  typeset fname=SO_determineHDBSysReplType2
  BLogMsg $*

  determineHDBSysReplType2 ${inifname}
  HDBSysRepType_rtn=$?
  LogMsg "Local call returned HDBSysRepType_rtn=[$HDBSysRepType_rtn]"
  if [ $HDBSysRepType_rtn -gt 10 ]; then
    LogMsg "Can't access inifname=[$inifname] - Exiting"
    exit 1
  fi
  return $HDBSysRepType_rtn
}


########################################################################
# wrapper: sets the resource res=$value for all nodes of a site
########################################################################
function SO_setsiteresource
{
  typeset fname=SO_setsiteresource
  BLogMsg $*

  typeset site=$1
  typeset res=$2
  typeset value=$3

  setsiteresource $site $res $value
}


########################################################################
# existence of module sgesap/hdbprimary determines if instance
# is considered a primary or secondary HANA system replication server
#
# get SG/HANA package type: e.g. primary of secondary package
# if primary sets:   HDBPRIMARY=1 HDBSECONDARY=0
# if secodnary sets: HDBPRIMARY=0 HDBSECONDARY=1
#
########################################################################
function detect_module_hdbprimary
{
  typeset fname=detect_module_hdbprimary
  BLogMsg $*

  typeset module="sgesap/hdbprimary"

  detect_module $module
  if [ $? -eq 0 ]; then
    HDBPRIMARY=1
    HDBSECONDARY=0
    DbgLogMsg "Module $module=[1] - this is a primary SG package"
  else
    HDBPRIMARY=0
    HDBSECONDARY=1
    DbgLogMsg "Module $module=[0] - this is a secondary SG package"
  fi
}


########################################################################
# SUB Function: detect_hdbmultidb
#
# determine if HDB is a multi-tenant database by reading global.ini
# if is multi-tenant then also collect the multi-tenant SIDS
#
# Returns
#   globals IS_HDBMDC,IS_HDBMDC_HISOL and HDBMDC_SIDS
########################################################################
function detect_hdbmultidb
{
  typeset fname=detect_hdbmultidb
  BLogMsg $*

  IS_HDBMDC=0
  IS_HDBMDC_HISOL=0

  typeset file=${GLOBALINI}
  typeset sect="multidb"
  typeset param="mode"
  typeset mode=$(read_ini_config $file $sect $param)
  typeset hisologmsg=""

  if [[ $mode != "multidb" ]]; then
    LogMsg "HDB is a single-tenant DB"
    return
  fi

  IS_HDBMDC=1

  mode=$(read_ini_config $file $sect "database_isolation")
  if [[ $mode = "high" ]]; then
    IS_HDBMDC_HISOL=1
    hisologmsg="with high isolation"
  fi
  LogMsg "HDB is a multi-tenant DB ${hisologmsg}"

  HDBMDC_SIDS="$( ls -d ${GLOBALINIDIR}DB_* 2>/dev/null|awk -F'DB_' '{printf ("%s ", $2) }')"

  LogMsg "Found multi-tenant HDBMDC_SIDS=[$HDBMDC_SIDS]"
}


########################################################################
# read global.ini: get current HANA replication state
# $1: Full filename of global.ini
#
# Assumes that file is accessible (e.g. if on NFS)
#
#     doesn't just read global.ini, but also pkg config
#     sgesap/hdbprimary isn't part of the hdbsico pkg
#     -> detect_module part commented
#     Similar code is also part of check_replication in sap_functions.sh
#
#     TD:
#     - take global.ini filepath as argument this will allow to check_access
#      (esp. NFS) first, before reading it here
#     - provide a rc for primary (0), secondary (1), non (5), access failure (10)
#     - how does this func relate to get_globalini_replication_info
#
# Returns:
#  0 - replication primary
#  1 - replication secondary
#  5 - global.ini accessible, but no replication configured
# 10 - global.ini not accessible, replication mode not available
#
########################################################################
#
function determineHDBSysReplType2
{
  typeset fname=determineHDBSysReplType2
  BLogMsg $*

  typeset HDBSysRepType
  typeset actual_mode
  typeset rtnval
  typeset inifname="$1"
  typeset rldir=$(readlink -f ${inifname%/*})

  if [ -z "${rldir}" ]; then
    ErrLogMsg "readline $inifname returned empty result"
    return 10
  fi
  if ! check_access2 ${rldir} 0 5; then
    ErrLogMsg "$inifname inaccessible. Replication mode not available"
    return 10
  fi
  # get current replication state via global.ini
  actual_mode=$(read_ini_config $inifname "system_replication" "actual_mode");
  DbgLogMsg "global.ini: sect=[system_replication] param=[${actual_mode}]"

  if [ "${actual_mode}" = "primary" ]; then
    HDBSysRepType="primary"
    rtnval=0
  elif [ "${actual_mode}" = *sync*  ]; then
    HDBSysRepType="secondary"
    rtnval=1
  else
    HDBSysRepType="<none>"
    rtnval=5
  fi

  LogMsg "HDBSysRepType=[${HDBSysRepType}]"

  return $rtnval
}


########################################################################
#
# check_access2  (check_access replacement)
#
# Function: check_access2
#
# This functions checks directory resources on which the package depends.
# These resources may not be part of the package, because of their
# global nature. Typically they are needed by other packages, too.
# It is important that all of these resources are highly available.
# In many cases, they can be gathered within a "global package", like
# a sapnfs HA NFS package or within CFS MNPs.
#
# Parameters:
# $1   directory to be checked
# $2   dowait until directory becomes available
# $3   delay intervals
#
########################################################################
function check_access2
{
  typeset fname=check_access2
  BLogMsg $*

  typeset count
  typeset nfsserver
  typeset rc
  typeset randwait
  typeset dir=$1
  typeset dowait=$2
  typeset delayintervals=${3:-${DELAY_INTERVALS}}
  dontwait=${dontwait:-1}

  # [ ${NETWORK_SLEEP_INTERVAL} -ne 0 ] && return 0

	case "${HPLAT}" in
	HP-UX)
        if [ `mount -p|grep " ${1} "|grep " autofs "|wc -l` -ge 1 ]; then
          LogMsg "HA NFS via automounter configuration found"
          nfsserver=`mount -p|grep " ${1} "|grep " nfs "|cut -f 1 -d ":"`
        fi
        ;;
    Linux)
          # first check for nfs mount.Note: spaces in grep " ${1} "
          # will grab second third field in mount -t nfs output
#          nfsserver=`mount -t nfs|grep " ${1} "|cut -f 1 -d ":"`
          nfsserver=`mount -t nfs | awk '{if ("'${1}'" ~ $3) { split ($1,a,":");print a[1] }}'`
          [[ $nfsserver ]] && LogMsg "NFS/Autofs configuration found: nfsserver=[${nfsserver}]"

          # next check for unmounted autofs mount
          if [[ ! $nfsserver &&  `grep " ${1} " /proc/mounts|grep " autofs "` ]]; then
            nfsserver=`/usr/sbin/automount -m | awk '{if ($1 ~ "'${1}'") { split ($4,a,":");print a[1] }}'`
            [[ $nfsserver ]] && LogMsg "Autofs configuration found: nfsserver=[${nfsserver}]"
          fi
        ;;
  esac

  # don't wait for filesystem to become available
  if [[ ${dowait} -eq 1 ]]; then
    count=1
  else
    count=${delayintervals}
  fi

  while [ ${count} -le ${delayintervals} ]; do
    let randwait=${RANDOM}%10+5
    # For an nfs/autofs mounted filesystem first
    # check if server node is reachable
    if [ ! -z "${nfsserver}" ]; then
      LogMsg "Waiting for NFS server ${nfsserver} to respond"
      is_node_alive ${nfsserver} &
      watchdog $! 20
      rc=$?
      if [ ${rc} -eq 1 ]; then
        LogMsg "Testing NFS setup ..."
        test -d ${1} &
        watchdog $! 20
        rc=$?
      else
        LogMsg "NFS server ${nfsserver} not responding"
        rc=1
      fi
    else
      LogMsg "Testing directory ${1}..."
      test -d ${1} &
      watchdog $! 5
      rc=$?
    fi
    if [ ${rc} -ne 0 ]; then
      if [[ ${dowait} -eq 1 ]]; then
        WrnLogMsg "${1} not accessible"
        LogMsg "Delay for ${randwait} secs"
      fi
    else
      if [ `ls -1 ${1}|wc -l` -eq 0 ]; then
        WrnLogMsg "${1} accessible, but empty"
        rc=128
        _check_debug ${STARTUP_R3} && pkg_is_in_maintenance
        if [ $? -eq 1 -a "X${op_code}" = "Xstart" ]; then
          WrnLogMsg "Ignoring empty directory due to debug mode"
          return 0
        fi
      else
        LogMsg "${1} accessible"
        return 0
      fi
    fi
    sleep ${randwait}
    (( count = $count + 1 ));
  done

  WrnLogMsg "Attempt to access ${1} failed"

  return ${rc}
}


########################################################################
#
# setsiteresource
#
# helper/test func to set resource for all nodes in a specified site
#
# Paramter
# - site_name (as specified in cluster config)
# - resource name
# - resource value
#
# ${SGSBIN}/cmexec's <node> cmsetresource -r <resname> <resvalue>
# for all nodes being up in specified site
#
# Similar to sc_set_site_mode
#
#
########################################################################

function setsiteresource {

  typeset fname=setsiteresource
  BLogMsg $*

    typeset site=$1
    typeset gen_res_sc=$2
    typeset value=$3

    #get the nodes which are up in the current site
    site_nodes=`get_site_up_nodes $site` # sc_util.sh
    LogMsg "site_nodes=[$site_nodes]"

    [ $? -eq 1 ] && return 1

    #set generic resource value for all nodes in site_nodes
    for i in ${site_nodes[@]}
    do
        sg_log 0 "Executing: ${SGSBIN}/cmexec $i ${SGSBIN}/cmgetresource -r $gen_res_sc $value"
        ${SGSBIN}/cmexec $i ${SGSBIN}/cmsetresource -r $gen_res_sc $value
    done
}


########################################################################
# SECTION END: SCALE-OUT
########################################################################


########################################################################
# SUB Function: STO_calc_timeout
#
# -STO or Dynamic Time Out can be turned on/off via ${ENABLE_STO}
#  if STO not enabled just return.
# -Calculate "dynamic" timeouts for certain HANA actions: the actions are
#  start, stop and the takeover of the HDB.
# -the actual times for these actions were previously collected via
#  start_hdb_time, stop_hdb_time and takeover_hdb_time
# -Actions and timings are saved in file $STO_SAVED_TIMES_FILE.
# -Analyze a selected range of samples =$STO_SAMPLE_SIZE in file and
#  determine a maximum found within the range. Samples are read in reverse
#  order: from end-of-file to beginning
# -For each maximum found, multiply with a safety margine $SGeSAP_HDB_STO_SAFETY_FACTOR
#  and set the appropriate global timeout variables: HDB_STO_START_TIMEOUT,
#  HDB_STO_STOP_TIMEOUT or HDB_STO_TAKEOVER_TIMEOUT
# -$range, $safety and $threshold have to be > 0 and < 1000
#
# -log file with actual action times has the following format:
#  Apr 10 08:37:05 HDB00 HA1 takeover_hdb_time=24
#  Apr 10 08:37:07 HDB00 HA1 start_hdb_time=26
# ...
# Arguments
# $1    instance name
# $2    instance number
# $3    system id
# $4    action: stop_hdb_time start_hdb_time takeover_hdb_time nop
########################################################################
function STO_calc_timeout
{
  [[ $ENABLE_STO -eq 0 ]] && return

  typeset fname=STO_calc_timeout
  BLogMsg "$*"

  typeset instance="${1}${2}"
  typeset sid="$3"
  typeset action="$4"
  typeset file=$STO_SAVED_TIMES_FILE  # file containing saved execution times
  typeset range=$SGeSAP_HDB_STO_SAMPLE_SIZE              # nr of samples to analyze, last-> first
  typeset safety=$SGeSAP_HDB_STO_SAFETY_FACTOR           # apply safety margin to max time found
  typeset threshold=$SGeSAP_HDB_STO_MINIMUM_THRESHOLD    # ignore times below this threshold
  typeset tmax=0                      # contains the current max time from $file
  typeset timeout                     # contains the newly calculated timeout

  # currently assuming same boundry for $range, $safety, $threshold
  typeset min=${min:-1}               # used for boundry check
  typeset max=${max:-1000}            # used for boundry check


  # globals: reset to default values
  HDB_STO_START_TIMEOUT=$HDB_STO_FALLBACK_START_TIMEOUT
  HDB_STO_STOP_TIMEOUT=$HDB_STO_FALLBACK_STOP_TIMEOUT
  HDB_STO_TAKEOVER_TIMEOUT=$HDB_STO_FALLBACK_TAKEOVER_TIMEOUT

  if [[ ${DBG:-0} -ne 0 ]]; then
    DbgLogMsg "HDB_STO_STOP_TIMEOUT=[${HDB_STO_STOP_TIMEOUT}]"
    DbgLogMsg "HDB_STO_TAKEOVER_TIMEOUT=[${HDB_STO_TAKEOVER_TIMEOUT}]"
    DbgLogMsg "HDB_STO_START_TIMEOUT=[${HDB_STO_START_TIMEOUT}]"
    DbgLogMsg "file=[${file}]"
    DbgLogMsg "range=[${range}]"
    DbgLogMsg "saved=[${safety}]"
    DbgLogMsg "threshold=[${threshold}]"
  fi

  # robustness checks
  typeset msg="- switching to fallback timeouts"

  if [[ ! -r ${file} ]];then
     LogMsg "Info: File=[$file] not available $msg" && return 1
  fi
  if [[ -z ${1} || -z ${2} || -z $3 || -z $4 ]];then
     ErrLogMsg "STO_calc_timeout args missing: [$@] $msg" && return 1
  fi
  if [[ ($range -lt $min)     || ($range -gt $max) ]]; then
     ErrLogMsg "range=[$range] exceeded min=[$min] or max=[$max] $msg" && return 1
  fi
  if [[ ($safety -lt $min)    || ($safety -gt $max) ]];then
     ErrLogMsg "safety=[$safety] exceeded min=[$min] or max=[$max] $msg" && return 1
  fi
  if [[ ($threshold -lt $min) || ($threshold -gt $max) ]];then
     ErrLogMsg "threshold=[$threshold] exceeded min=[$min] or max=[$max] $msg" && return 1
  fi

  LogMsg "Calculating new timeouts from timings in file=[$file]"
  DbgLogMsg "searching for sid=[$sid] instance=[$instance] action=[$action] in file=[$file]"

  # search thru timings file and only collect lines
  # for relevant $instance $sid $action. get the last
  # $range lines and determine max for those.
  tmax=0
  DbgLogMsg "egrep \"$instance $sid $action=[0-9]+$\" $file | tail -$range |awk -F= 'BEGIN {max=0} {if ($2>max) {max=$2}} END {print max} '"
  tmax=$( egrep "$instance $sid $action=[0-9]+$" $file | tail -$range |
    awk -F= 'BEGIN {max=0} {if ($2>max) {max=$2}} END {print max} ')

  DbgLogMsg "Found instance=[$instance] tmax=[$tmax] for action=[$action] in range=[$range] samples"
  LogMsg "Found a tmax=[$tmax] for action=[$action] from previous run(s)"

  (( timeout = ${tmax} * $safety ))
  DbgLogMsg "Applied safety=[ $tmax * $safety ] margin -> timeout=[$timeout]"

  # apply calculated timeout only if within $threshold
  # and $HDB_STO_FALLBACK_START_TIMEOUT.
  # example: if $threshold=10 then all timing below
  #          10 will be ignored
  # example: if tmax was calculated at 1000000 it will
  #          be ignored and fallback timeouts will be used
  case $action in
    ("start_hdb_time")
          [[ ($tmax -ge $threshold) && ($timeout -le $HDB_STO_FALLBACK_START_TIMEOUT) ]] && HDB_STO_START_TIMEOUT=$timeout
          LogMsg "instance=[$instance] Using HDB_STO_START_TIMEOUT=[$HDB_STO_START_TIMEOUT]"
          ;;
    ("stop_hdb_time")
          [[ ($tmax -ge $threshold) && ($timeout -le $HDB_STO_FALLBACK_STOP_TIMEOUT)  ]] && HDB_STO_STOP_TIMEOUT=$timeout
          LogMsg "instance=[$instance] Using HDB_STO_STOP_TIMEOUT=[$HDB_STO_STOP_TIMEOUT]"
          ;;
    ("takeover_hdb_time")
          [[ ($tmax -ge $threshold) && ($timeout -le $HDB_STO_FALLBACK_TAKEOVER_TIMEOUT)  ]] && HDB_STO_TAKEOVER_TIMEOUT=$timeout
          LogMsg "instance=[$instance] Using HDB_STO_TAKEOVER_TIMEOUT=[$HDB_STO_TAKEOVER_TIMEOUT]"
          ;;
    (*)   WrnLogMsg "Unknown action=[$action]"
          return 1
          ;;
  esac
  DbgLogMsg ""

  return 0
}

########################################################################
# SUB Function: STO_calc_elapsed_and_save
#
# calculate actual elapsed time (end-start) and save to log file
# if STO not enabled just return
########################################################################
function STO_calc_elapsed_and_save
{
  [[ $ENABLE_STO -eq 0 ]] && return

  typeset fname=STO_calc_elapsed_and_save
  BLogMsg "$*"

  typeset instance="$1"   # SAP instance
  typeset sid="$2"        # SAP SID
  typeset end="$3"        # start of timer
  typeset start="$4"      # end of timer
  typeset action="$5"     # action performed
  typeset elapsed=0       # elapsed time to save

  # robustness checks
  [[ -z ${1} || -z ${2} || -z $3 || -z $4 ]] && ErrLogMsg "STO_calc_elapsed_and_save args missing: [$@] $msg" && return 1
  if [[ -z "$action" ]]; then
    action="xxxx_unknown_action"
    ErrLogMsg "No action was specified - setting action=[$action]"
  fi

  elapsed=$(($end - $start))
  case $elapsed in
    (*[^0-9]*|'') ErrLogMsg "elapsed=[$elapsed] is not a number -ge 0"
                  elapsed=0
                  ;;
    (*)           ;;
  esac

  LogMsg "Completed action=[$action] elapsed=[$elapsed] - saving to $STO_SAVED_TIMES_FILE"

  echo "`date \"+%b %e %T\"` $instance $sid $action=$elapsed" >> $STO_SAVED_TIMES_FILE
  [[ $? -ne 0 ]] && ErrLogMsg "Couldn't save $action=$elapsed in file=[$STO_SAVED_TIMES_FILE]"
}


########################################################################
# SUB Function: update_globalini
#
# Updates Parameter in the HANA global.ini and other HANA (incl.tenant)
# ini files.
#
# Globals used:
#  IS_HDBMDC,HDBMDC_SIDS, GLOBALINI,GLOBALINIDIR,GLOBAINIFNAME
#
# With the intoduction of EPS_TENANT parameters for multi-tenancy
# this becomes a 2 step process:
# 1. Collect all params into GLOBINIUPDALL array and preparation of
#    the corresponding filenames in a separate array
# 2. "Loop" through all those files, collect the params applicable for
#    this file in GLOBINIUPD and apply these.
#
# Returns: nothing
########################################################################
function update_globalini
{
  typeset fname=update_globalini
  BLogMsg $*

  typeset file=${GLOBALINI}
  typeset sidadm=`echo ${SGeSAP_HDB_SYSTEM}|$TRUL`adm

  # WVE: move collect_updparams to init_params
  #collect_eps_updparams

  DbgLogMsg "params to update: ${GLOBINIUPDALL[@]}"
  DbgLogMsg "corresponding files: ${GLOBINIFILES[@]}"

  # figured out which params apply to the location and into which files they should go
  # updating each file now with their corresponding parameter

  # return if nothing is to update
  [ ${#GLOBINIUPDALL[@]} -eq 0 ] && return

  # get first used entry out of GLOBINIFILES, collect all params for this file and unset all these entries in GLOBINIFILES
  while [ ${#GLOBINIFILES[@]} -gt 0 ]; do
    typeset idxarr=(${!GLOBINIFILES[@]})  # get indexes at which array has values (bash?)
    DbgLogMsg "idxarr: ${idxarr[@]}"
    file=${GLOBINIFILES[$idxarr]} # get filename at index stored idxarr[0]
    #DbgLogMsg "file: $file"
    unset GLOBINIUPD # reinit GLOBINIUPD
    for idx in ${idxarr[@]}; do
       if [ "${file}" = "${GLOBINIFILES[$idx]}" ]; then
         # match! add param at corresponing index to GLOBINIUPD (at least 1st entry must match)
         GLOBINIUPD=( "${GLOBINIUPD[@]}" "${GLOBINIUPDALL[$idx]}" )
         unset GLOBINIFILES[$idx] # remove file from list
       fi
    done
    # all params for file collected
    DbgLogMsg "${file}: ${GLOBINIUPD[@]}"
    # backup, set & get per file now (set & get are using global GLOBINIUPD)
    backup_globalini $file
    (
      flock -x 199
      set_globalini_dp_param ${file}
    ) 199<${file}
    get_globalini_dp_param ${file}
  done
  run_reconfigure
  # WVE: is this output of limits useful for multi-tenants?
  run_sidadm_cmd $sidadm "hdbcons \"mm globallimit; mm limit\" 2>/dev/null |grep -e connection -e allocation"|logpipe
}

########################################################################
# SUB Function: collect_eps_updparams
#
# Collects all update parameter with matching EPS_LOCATION into GLOBINIUPDALL[@]
# Builds the corresponding full path filenames of the files to be updated
# at the correcsponding index into GLOBINIFILES[@]
#
# Input: Global arrays with prefix SGeSAP_HDB_EPS_
#        Global vars GLOBALINI, GLOBALINIDIR
# Output: Global arrays GLOBINIUPDALL, GLOBINIFILES
#
# Parameter:
# - none -
# Returns
# - none -
########################################################################
function collect_eps_updparams
{
  typeset fname=collect_eps_updparams
  BLogMsg $*

  # First adjust SGeSAP_HDB_EPS_TENANT_PARAM and _TENANT_FILE. These expected pairwise,
  # although not necessarily at the same index. Check number of entries in each array
  # and bring related values to same index. Values are considered related if the are at
  # the same position (not index) in the arrays.
  typeset -i num_eps_param=${#SGeSAP_HDB_EPS_TENANT_PARAM[@]}
  typeset -i num_eps_file=${#SGeSAP_HDB_EPS_TENANT_FILE[@]}
  DbgLogMsg "num_eps_param=[$num_eps_param], num_eps_file=[$num_eps_file]"
  # WVE: check below should lead to an error - at least in validate phase
  if [[ $num_eps_param -ne $num_eps_file ]]; then
    ErrLogMsg "tenant param and file arrays don't have the same number of entries"
    exit $ERROR
  fi
  idx_eps_param=(${!SGeSAP_HDB_EPS_TENANT_PARAM[@]})
  idx_eps_file=(${!SGeSAP_HDB_EPS_TENANT_FILE[@]})
  DbgLogMsg "idx_eps_param=[${idx_eps_param[@]}], idx_eps_file=[${idx_eps_file[@]}]"
  # Resurrect arrays to have pairs at same index. Move values to lower of both indexes.
  typeset -i j=0
  for idxpar in ${idx_eps_param[@]}; do
    idxfile=${idx_eps_file[$j]}
    #DbgLogMsg "$idxpar - $idxfile"
    if [[ $idxpar -lt  $idxfile ]]; then
       # idx of par lower than idx of file. move file to par idx.
       # (might be ok to use the lower of both??)
       SGeSAP_HDB_EPS_TENANT_FILE[$idxpar]=${SGeSAP_HDB_EPS_TENANT_FILE[$idxfile]}
       unset SGeSAP_HDB_EPS_TENANT_FILE[$idxfile]
    elif [[ $idxfile -lt  $idxpar ]]; then
       # other way round (move par to file idx)
       SGeSAP_HDB_EPS_TENANT_PARAM[$idxfile]=${SGeSAP_HDB_EPS_TENANT_PARAM[$idxpar]}
       unset SGeSAP_HDB_EPS_TENANT_PARAM[$idxpar]
     # else: idx identical. no need to move anything
    fi
    (( j = $j + 1 ))
  done

  # collect params and files to update to GLOBINIUPDALL[@] and GLOBINIFILES[@]
  typeset -i i=0
  while (( $i < ${#SGeSAP_HDB_EPS_LOCATION[@]} ))
  do
    typeset fullpathname;
    if [[ "${SGeSAP_HDB_EPS_LOCATION[$i]}" = '*' || "${SGeSAP_HDB_EPS_LOCATION[$i]}" = "${HNAME}" ]]; then
      DbgLogMsg "SGeSAP_HDB_EPS_LOCATION=[${SGeSAP_HDB_EPS_LOCATION[$i]}] SGeSAP_HDB_EPS_PARAM[$i]=[${SGeSAP_HDB_EPS_PARAM[$i]}] SGeSAP_HDB_EPS_TENANT_PARAM=[${SGeSAP_HDB_EPS_TENANT_PARAM[$i]}] SGeSAP_HDB_EPS_TENANT_FILE=[${SGeSAP_HDB_EPS_TENANT_FILE[$i]}] - Update"
      # construct filename of file to be updated
      # either EPS_PARAM or EPS_TENANT_PARAM is set at index (or none)
      if [[ -n  "${SGeSAP_HDB_EPS_PARAM[$i]}" ]]; then
        fullpathname="${GLOBALINI}" # backward compatibility
      elif [[ -n  "${SGeSAP_HDB_EPS_TENANT_PARAM[$i]}" ]]; then
        # assuming SGeSAP_HDB_EPS_TENANT_FILE is set for same index
        # get relative or absolute filepath added
        if [[ "${SGeSAP_HDB_EPS_TENANT_FILE[$i]}" = "${SGeSAP_HDB_EPS_TENANT_FILE[$i]#/}" ]]; then
          fullpathname="${GLOBALINIDIR}${SGeSAP_HDB_EPS_TENANT_FILE[$i]}"
        else
          fullpathname="${SGeSAP_HDB_EPS_TENANT_FILE[$i]}"
        fi
      else # "empty" entry - could happen as values were shifted around
        # skip adding to GLOBINI arrays (WVE: only at end? jump out of loop?)
        (( i = $i + 1 ))
        continue
      fi
      # WVE: try to add param only if file exists?
      if [[ ! -f ${fullpathname} ]]; then
         WrnLogMsg "${fullpathname}: file not found"
      fi
      GLOBINIFILES=( "${GLOBINIFILES[@]}" "${fullpathname}" )
      GLOBINIUPDALL=( "${GLOBINIUPDALL[@]}" "${SGeSAP_HDB_EPS_PARAM[$i]:-${SGeSAP_HDB_EPS_TENANT_PARAM[$i]}}" )
    else
      DbgLogMsg "SGeSAP_HDB_EPS_LOCATION=[${SGeSAP_HDB_EPS_LOCATION[$i]}] - No need to update"
    fi
    (( i = $i + 1 ))
  done
}

########################################################################
# SUB Function: backup_globalini
#
# Backup HANA global.ini in backup directory before adding/updating any
# parameters
#
# dir=${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/SYS/global/hdb/custom/config/BACKUP
# backupfile=global.ini.2014-05-16_15.28.34
#
# Parameter:
# $1        filename
########################################################################
function backup_globalini
{
  typeset fname=backup_globalini
  BLogMsg $*

  typeset backup="BACKUP_SGESAP"

  typeset file="$1"
  typeset backdir="$(dirname $file)/${backup}"
  typeset bname="$(basename $file)"
  typeset dname="$(dirname $file)"
  typeset ts=`date "+%Y%m%d_%H%M%S"`

  DbgLogMsg "backdir=[$backdir] bname=[$bname] ts=[$ts]"

  if [[ ! -r $file ]] ; then
    LogMsg "Can't read file=[$file]"
    return
  fi

  if [[ ! -d $backdir ]] ; then
    if ! mkdir -p $backdir ; then
      LogMsg "mkdir -p $backdir failed - can't create backup dir"
      second_backup_globalini $file
      return
    else
      chmod --reference=$dname $backdir
      chown --reference=$dname $backdir
    fi
  fi

  if ! cp -p $file $backdir/$bname.$ts ; then
    LogMsg "cp -p $file $backdir/$bname.$ts failed - can't create backup"
    second_backup_globalini $file
  else
    LogMsg "success: cp $file $backdir/$bname.$ts"
    # save as global
    BackupF="$backdir/$bname.$ts"
  fi
}


########################################################################
# SUB Function: second_backup_globalini
#
# Backup via backup_globalini() didn't work. Save it to /tmp instead
#
# Parameter:
# $1        filename
########################################################################
function second_backup_globalini
{
  typeset fname=second_backup_globalini
  BLogMsg $*

  typeset file="$1"
  typeset dir="/tmp"

  typeset bname="$(basename $file)"
  typeset ts=`date "+%Y%m%d_%H%M%S"`

  if ! cp -p $file $dir/$bname.$ts; then
    LogMsg "Second try: cp -p $file $dir/$bname.$ts failed - can't create backup"
    exit 1
  else
    LogMsg "success: cp $file $dir/$bname.$ts"
    # save as global
    BackupF="$dir/$bname.$ts"
  fi
}
########################################################################
# SUB Function: set_globalini_dp_param
#
# Updates Parameter in the HANA global.ini file. Used for examples with
# HANA dualpurpose configurations where memory has to be limited.
# creates a backup of the global.ini file before changing any values.
# global.ini contains sections and paramter within a section
#
# Requires: GLOBINIUPD[]
# $1        filename
#
########################################################################
function set_globalini_dp_param
{
  typeset fname=set_globalini_dp_param
  BLogMsg $*

  perl -w -e '
    #    use strict;
    use warnings;
    use Carp;

    ########################################################################
    #  called with global.ini [system_replication]preload_column_tables=true
    #  or          global.ini [memorymanager]global_allocation_limit=0
    ########################################################################

    use Tie::File;
    use File::Copy qw(copy);
    my $DBG=0;

    my ($filename, @args) = @ARGV;
    print "update_globalini(): filename=[$filename] args[@args] \n" if ($DBG);

    checkparams($filename, @args);
    write_globalini($filename, @args);
    exit 0;

    sub write_globalini {
      my ($filename, @args) = @_;
      my ($newsect, $newparam, $newvalue );
      my ($line, $sect, $param, $value);

      tie my @array, 'Tie::File', $filename or die "tie to $filename failed";

      for $arg (@args) {
        # get params to be updated
        #( $newsect, $newparam, $newvalue ) = ($arg =~ m#\[(.*)\]([^=]+\S)\s*=\s*(.*)#);
        undef $newvalue; # use newvalue being defined / undefined as indicator if this is an add or remove op
        # try add op (has =<value> first
        unless ( ($newsect, $newparam, $newvalue) = ($arg =~ m#\[(.*)\]([^=]+\S)\s*=\s*(.+)#) ) {
          # assume remove op
          ($newsect, $newparam) = ($arg =~ m#\[(.*)\]([^=]+)\s*(=?)\s*$#)
        }

        my $n=0;     # the current line number
        my $sn=-1;   # save track on which line nr section starts
        my $pn=-1;   # save track on which line nr param starts

        # loop thru global.ini file
        foreach $line (@array) {
            print "line nr n=[$n] line=[$line]\n" if ($DBG);
            if ($line =~ /^\[(.*)\]/) {
                $sect=$1;
                if ($sect =~ /^${newsect}$/) {
                    $sn=$n;
                    print "FOUND sect=[$sect] at line: sn=[$sn]\n" if ($DBG);
                }
            } elsif ($line =~/^(\S+)\s*=\s*(.*)/) {
                $param = $1;
                $value = $2;
                if ($sect =~ /^${newsect}$/ && $param =~ /^${newparam}$/) {
                    $pn=$n;
                    print "FOUND param=[$param]: pn=[$pn]\n" if ($DBG);
                    if (defined $newvalue) {
                      # update line in file with new value
                      $line = "$newparam = $newvalue" unless ($value eq $newvalue);
                    }
                    else {
                      # remove line
                      splice (@array, $pn, 1);
                    }
                    last;
                }
            }
            $n++;
        }

        # only add operations from here
        if (defined $newvalue) {
          if ( $sn < 0 ) {
            # no section found: add section and param
            push @array, "[$newsect]";
            push @array, "$newparam = $newvalue";
          } elsif ($pn < 0) {
            # section found, param not found: add param after section start
            splice @array, $sn+1, 0, "$newparam = $newvalue";
          }
        }
      }
      untie @array; # all finished
    }

    sub checkparams {
      my ($file, @args) = @_;

      croak "Error: file=[$file] not found: $!" if (!-f $file);
      croak "Error: file=[$file] does not have write permissions: $!" if (! (-f $file) );
      #( $newsect, $newparam, $newvalue ) = ($arg =~ m#\[(.*)\]([^=]+)=(.*)#);
    }
  ' ${1} "${GLOBINIUPD[@]}"
}

########################################################################
# SUB Function: remove_globalini_dp_param
#
# Removes parameters of the HANA global.ini file.
#
# Requires: GLOBINIREM[]
#
# $1        filename
#
########################################################################
function remove_globalini_dp_param
{
  typeset fname=remove_globalini_dp_param
  BLogMsg $*

  perl -w -e '
    #    use strict;
    use warnings;
    use Carp;

    ########################################################################
    #  called with global.ini [public_hostname_resolution]map_hostname
    ########################################################################

    use Tie::File;
    use File::Copy qw(copy);
    my $DBG=0;

    my ($filename, @args) = @ARGV;
    print "remove_globalini(): filename=[$filename] args[@args] \n" if ($DBG);

    checkparams($filename, @args);
    write_globalini($filename, @args);
    exit 0;

    sub write_globalini {
      my ($filename, @args) = @_;
      my ($newsect, $newparam );
      my ($line, $sect, $param, $value);

      tie my @array, 'Tie::File', $filename or die "tie to $filename failed";

      for $arg (@args) {
        # get params to be updated
        ( $newsect, $newparam ) = ($arg =~ m#\[(.*)\](.*)#);

        my $n=0;     # the current line number
        my $sn=-1;   # save track on which line nr section starts
        my $pn=-1;   # save track on which line nr param starts

        # loop thru file
        foreach $line (@array) {
            print "line nr n=[$n] line=[$line]\n" if ($DBG);
            if ($line =~ /^\[(.*)\]/) {
                $sect=$1;
                if ($sect =~ /^${newsect}$/) {
                    $sn=$n;
                    print "FOUND sect=[$sect] at line: sn=[$sn]\n" if ($DBG);
                }
            } elsif ($line =~/^(\S+)\s*=\s*(.*)/) {
                $param = $1;
                if ($sect =~ /^${newsect}$/ && $param =~ /^${newparam}$/) {
                    $pn=$n;
                    print "FOUND param=[$param]: pn=[$pn]\n" if ($DBG);
                    last;
                }
            }
            $n++;
        }
        if ($pn > 0) {
          splice (@array, $pn, 1);
        }
      }
      untie @array; # all finished
    }

    sub checkparams {
      my ($file, @args) = @_;

      croak "Error: file=[$file] not found: $!" if (!-f $file);
      croak "Error: file=[$file] does not have write permissions: $!" if (! (-f $file) );
    }
  ' ${1} ${GLOBINIREM[@]}
  LogMsg "Cleanup complete"
  return 0
}


#######################################################################
# SUB Function: get_globalini_dp_param
#
# loops thru definitions [system_replication]preload_column_tables=true
# kept in ${GLOBINIUPD[@]} array, extracts $sect and $param and checks
# the previously updated values used in global.ini.
#
# Parameter:
#   $1           file global.ini
# Requires:
#   GLOBINIUPD[] global
#
#######################################################################
function get_globalini_dp_param
{

  typeset file=$1
  typeset upd_param sect param value

  for upd_param in ${GLOBINIUPD[@]}
  do
    DbgLogMsg "GLOBINIUPD upd_param=[$upd_param]"

    sect=${upd_param#[}
    sect=${sect%]*}

    param=${upd_param#*]}
    param=${param%=*}

    value=$(read_ini_config $file $sect $param)
    LogMsg "updated ${file##*/} params: [$sect]$param=$value"
  done
}


########################################################################
# SUB Function: run_reconfigure: parameters were changed in global.ini
# run "hdbnsutil -reconfig" to update the database
########################################################################
function run_reconfigure
{
  typeset fname=run_reconfigure
#  BLogMsg $*
  typeset sidadm=`echo ${SGeSAP_HDB_SYSTEM}|$TRUL`adm
  typeset i
  typeset instnr

  for i in ${SGeSAP_HDB_INSTANCE[@]}
  do
    instnr=`echo ${i}|eval ${GETNR}`
    # run_sidadm_cmd $sidadm "sapcontrol -nr $instnr -function GetProcessList  > /dev/null 2>&1"
    # if [ $? -eq 3 ]; then
    LogMsg "Running reconfigure on instance [$instnr]"
    run_sidadm_cmd $sidadm "hdbnsutil -reconfig" 2>/dev/null &
    watchdog $! 60
    # else
    # LogMsg "Instance [$instnr] not running - skipping reconfigure"
    # fi
  done
}

########################################################################
# SUB Function: run command as sidadm and log it
# 1. arg: user to run command underwrote
# 2. arg: command to execute
########################################################################
function run_sidadm_cmd
{
    typeset sidadm=$1
    shift
    LogMsg "Running CMD=[su - ${sidadm} -c \"$*\"]"
    logpipe_pre
    su - ${sidadm} -c "$*" 2>&1
    rc=$?
    logpipe_post
    return $rc
}
###############################################################################

#########################################################################

#########################################################################
#
# SRS helper: srs_report_RS_vars
#
# Parameters:
#   - none -
#
# Report RS_ variables set in environment to stdout
#
#########################################################################

function srs_report_RS_vars {
   set | grep -e "^RS_" # -e "^PREV_RS" -e "SG_"
}

#########################################################################
#
#  MDM FUNCTIONS
#
#########################################################################

#########################################################################
# The ouput of  the su - $MDM_USER is logged into $MDMLOG file.
# The ouput of  the su - $DBADM is logged into $DBLOG file.
# Collect output and and include it in the serviceguard log file after the
# "su" command has finished executing. Add some fancy header / trailer for
# easier reading.
#
# NOTE: When the SGeSAP scripts execute there is no "controlling terminal"
# avialable. Therefore  any stty commands in /etc/profile or .profile...
# will cause error messages in the log file.  The stty command have to be
# modified so they check if a contolling terminal is available in
# /etc/profile or .profile....
#########################################################################

function include_tmp_log_and_rm
{
  typeset fname=include_tmp_log_and_rm
  BLogMsg $*

  TMPLOG=$1

  echo "_________________________________________________________________________________________________"
  echo "_________________ START: INCLUDE TMPLOG ${TMPLOG}" INTO THIS FILE
# cat ${TMPLOG} |sed -e 's/^/                  /'
  cat ${TMPLOG} |sed -e 's/^/                  /' |egrep -v "stty|ttytype|Not a terminal"
  echo "_________________ END: INCLUDE TMPLOG ${TMPLOG}" INTO THIS FILE
  echo "_________________________________________________________________________________________________"

  rm $TMPLOG
}

#########################################################################
#########################################################################
function include_tmp_log
{
  typeset fname=include_tmp_log
  BLogMsg $*

  TMPLOG=$1

  echo "_________________________________________________________________________________________________"
  echo "_________________ START: INCLUDE TMPLOG ${TMPLOG}" INTO THIS FILE
# cat ${TMPLOG} |sed -e 's/^/                  /'
  cat ${TMPLOG} |sed -e 's/^/                  /' |egrep -v "stty|ttytype|Not a terminal"
  echo "_________________ END: INCLUDE TMPLOG ${TMPLOG}" INTO THIS FILE
  echo "_________________________________________________________________________________________________"

}

#########################################################################
# Before exiting this script log a timestamp in the log file. just calling
# "exit 1" instead of this function in the main code section below
# doesn't log the status of code being executed. instead call this
# function timestamp_and_exit to handle this and then exit the code.
#########################################################################

function timestamp_and_exit
{
  typeset EXIT=$1

  echo "$(date '+%b %e %X') - Node \"$(hostname)\": Exit from script=[$0] with EXIT=[${EXIT}]"
#  echo "####### SCRIPT END SGeSAP ${ACTION} #######"
  exit $EXIT
}

########################################################################
#
# cleanup files used by monitor
# should be called before exiting monitor (i.e. in a SIGTERM trap)
# assumes various file related env variables to be set
#
########################################################################
function mon_cleanup_files
{
  [ -n "${SG_ENV_FILE}" ] &&   rm ${SG_ENV_FILE} 2>/dev/null

  [ -n "${ALERT_FILE}" ]  && {
    rm ${ALERT_STAGE_FILE} 2>/dev/null
    get_lock ${ALERT_TEMP_FILE}
    rm ${ALERT_TEMP_FILE} 2>/dev/null
    free_lock ${ALERT_TEMP_FILE}
    get_lock ${ALERT_FILE}
    rm ${ALERT_FILE} 2>/dev/null
    free_lock ${ALERT_FILE}
  }
}
# When loaded into monitor, immediately call this function to
# cleanup leftover/orphaned alertfiles.
# Splits of everything up to last dot and expect mon to be leftover.
[[ "${0##*.}" = "mon" ]] && mon_cleanup_files

########################################################################
#
# report a single alert into alert file
#
# Parameters:
# $1 alert_index (into ALERT_TEXT)
# $2 alert id (unique id per package per alert)
# $3 arry of alert parameter
# $4 alert file
#
# Presumes that index is in defined range.
#
# Pseudo code:
# function report_alert
# {
#   echo package:${SG_PACKAGE}'|'sgesap_alert:${ALERT_TEXT[$1]}:$2'|'name=${ALERT_TEXT[$1]}:1 >> $4
#
#   i=0
#   while [ -n ${3[$i]} ]; do
#     echo package:${SG_PACKAGE}'|'sgesap_alert:${ALERT_TEXT[$1]}:$2'|'alert_parameter=${3[$i]} >> $4
#     (( i = ${i} +1 ))
#   done
# }
########################################################################


########################################################################
# function to check or monitor if the mdm database is running:
# NOTE: this function could be executed quite often (every 60 seconds)
# so be careful that the log file doesn't get filled
# Variables RUN_MDB_CLI_CHECK=1 and RUN_MDB_PROC_CHECK=1 control how the
# database status is checked. The first checks the database running
# a command line interface command, the second checks the running
# database processes
########################################################################
function mon_mdm_db
{
  typeset fname=mon_mdm_db
#  BLogMsg $*

  RUN_MDB_CLI_CHECK=${RUN_MDB_CLI_CHECK:-1}
  RUN_MDB_PROC_CHECK=${RUN_MDB_PROC_CHECK:-1}

  ########################################
  # Oracle section
  ########################################
  if [ "X${DB}" = "XORACLE" ]
  then

    ########################################
    # run a ps command to determine
    # if the database is running
    ########################################

    if [ ${RUN_MDB_PROC_CHECK} -eq 1 ]; then
      [ ${DBG} -gt 0 ] && LogMsg "Checking status of mdm database [ora_...._${DBSID}] process for [${DBADM}]"
      test_proc_user "ora_...._${DBSID}" ${DBADM}

      returncode=$?
      if [[ ${returncode} -ne 0 ]]; then
        LogMsg "Red - No running process found - exiting with failure"
#        timestamp_and_exit 1
        guard_exit_in_maint 1
        if [ $? -eq 1 ]; then return 1; fi

      else
        [ ${DBG} -gt 0 -o ${MDM_INIT} -eq 1 ] && LogMsg "Green - MDB [ora_...._${DBSID}] processes found with PID=[${TPID}]"
      fi
    fi

    ########################################
    # run a database command to determine
    # if the database is running
    ########################################
    if [ ${RUN_MDB_CLI_CHECK} -eq 1 ]; then

      # verbose version
      # grep from the mdm=$DBSID database in the
      # output of the sqlplus command. ouput
      # is logged into the log file

#      if [ ${SG_LOG_LEVEL} -ge 4 ]; then
       if [ ${DBG} -gt 0 ]; then
         su - ${DBADM} -c sqlplus /nolog 2>&1 <<-\/EOF |grep $DBSID
            connect / as sysdba
            set linesize 240
            select * from v$instance;
/EOF
        returncode=$?
      else

        # non-verbose version
        # grep from the mdm=$DBSID database in the
        # output of the sqlplus command. grep -q
        # quiet doesn't log anything

        su - ${DBADM} -c sqlplus /nolog 2>&1 <<-\/EOF | grep -q $DBSID
            connect / as sysdba
            set linesize 240
            select * from v$instance;
/EOF
        returncode=$?
      fi

      case $returncode in
            0)  if [ ${DBG} -gt 0 -o ${MDM_INIT} -eq 1 ]; then
                    LogMsg "Green - select \"*\" from v\$instance check returned [$returncode] - ok"
                fi
                ;;
            *)  LogMsg "Red - Check routine is reporting an error database ${DBSID}"
#                timestamp_and_exit 1
                 guard_exit_in_maint 1
                 if [ $? -eq 1 ]; then return 1; fi
                ;;
      esac
    fi

  ########################################
  # MaxDB section
  ########################################
  elif [ "X${DB}" = "XMAXDB" ]; then


    ########################################
    # run a ps command to determine
    # if the database is running
    ########################################
    if [ ${RUN_MDB_PROC_CHECK} -eq 1 ]; then
      test_proc_user  "/sapdb/${DBSID}/db/pgm/kernel" sdb
      returncode=$?

      if [[ ${returncode} -ne 0 ]]; then
        LogMsg "Red - No running process found - exiting with failure"
#       timestamp_and_exit 1
        guard_exit_in_maint 1
        if [ $? -eq 1 ]; then return 1; fi
      else
        [ ${DBG} -gt 0 -o ${MDM_INIT} -eq 1 ] && LogMsg "Green - MDB kernel DBSID=[${DBSID}] process(es) found with PID=[${TPID}]"
      fi
    fi

    ########################################
    # run a database command to determine
    # if the database is running
    ########################################
    if [ ${RUN_MDB_CLI_CHECK} -eq 1 ]; then

      # 7.8 - fails if one type of vserver is missing
      # There's no DBRELOC setup in sap_functions.sh for MaxDB - use only if it is set
      LCSTATUS=$(maxdb_get_state "${LCADM}" "${LCDBMCLIEXT}" "${DBRELOC:-localhost}")
      if [ "X${MAXDBSTATUS}" != "X${MAXDBSTATUSOLD}" ]; then
         LogMsg "New MaxDB state: ${MAXDBSTATUS}"
         MAXDBSTATUSOLD=${MAXDBSTATUS}
      fi

      case $returncode in
        0)  if [ ${DBG} -gt 0 -o ${MDM_INIT} -eq 1 ]; then
              LogMsg "Green - db_state returned [$MAXDBSTATUS] for ${DBSID} - ok"
            fi
            ;;
        *)  LogMsg "Red - db_state returned [$MAXDBSTATUS] for ${DBSID} - error"
#           timestamp_and_exit 1
            guard_exit_in_maint 1
            if [ $? -eq 1 ]; then return 1; fi
            ;;
      esac

    #
      # enable trace
      #
      if [ ${DATABMON_LOGLEVEL:-0} -ge 4 -o ${SG_LOG_LEVEL:-0} -ge 4 ]; then
          [ ${DBG} -gt 0 ] &&  LogMsg "MaxDB state: MAXDBSTATUS=[${MAXDBSTATUS}]"
      fi

    fi          # end RUN_MDB_CLI_CHECK


  ########################################
  # Database unknown section
  ########################################
  else
    #
    # Database is unknown
    #
    LogMsg "Database unknown or currently not supported"
  fi

}


########################################################################
# Enable/disable trace code for the "check" functions calls.
#
# Default is off (ENABLE_MONTRACE=0). This variable is enabled by
# creating flag file ${DIRNAME}/ENABLE_MONTRACE
#
# NOTE: This only enables / disables logging within the "check" function
# calls, the normal logging of all the other function calls in this
# script are not impacted.
# NOTE: The check or monitoring functions in this script can potentially
# be executed quite often (every 60 seconds) and therefore could fill up
# the log file guickly by the output. Therefore use with caution.
#
# Example:
#   /var/adm/cmcluster/ENABLE_MONTRACE_$SGPACKAGE
#
########################################################################


function test_for_MONTRACE_flag
{
    typeset fname=test_for_MONTRACE_flag
#    BLogMsg $*

    TRACEFLAG="${SGRUN}/ENABLE_MONTRACE_${SG_PACKAGE_NAME}"

    if [ -f $TRACEFLAG ]
    then
        ENABLE_MONTRACE=1
        LogMsg "Found trace flag file [$TRACEFLAG]"
        LogMsg "Enabling ENABLE_MONTRACE=[${ENABLE_MONTRACE}]"
        if [ ${SAVED_MONTRACE_STATE} -eq 0 ]; then
            SAVED_MONTRACE_STATE=1
        fi
    else
        ENABLE_MONTRACE=0
        if [ ${SAVED_MONTRACE_STATE} -eq 1 ]; then
            SAVED_MONTRACE_STATE=0
            LogMsg "Trace flag file [$TRACEFLAG] was removed"
            LogMsg "Disable trace:  ENABLE_MONTRACE=[${ENABLE_MONTRACE}]"
        fi
fi
}


#########################################################################
#
# Function: start_mdm
#
# Start mdm instance(s) locally
# Parallel startup not supported (yet).
#
# Basically two sapcontrol commands get run:
#   su - mo7adm -c "sapcontrol -nr 01 -function StartService MO7"
#     starts the ${USRSAPDIR}/MO7/MDS01/exe/sapstartsrv  process
#   su - mo7adm -c "sapcontrol -nr 01 -function Start"
#     starts sh, sapstart (2x)  and mds-r
#
########################################################################
function start_mdm
{
  typeset fname=start_mdm
  BLogMsg $*

  typeset starting=0
  typeset name
  typeset inr=0

  ########################################
  # save package environment variables into
  # log file;  hide clear text mdm passwords
  ########################################
  # ${CMGETPKGENV} ${SG_PACKAGE_NAME}| grep SGeSAP_ |logpipe
    ${CMGETPKGENV} ${SG_PACKAGE_NAME} | grep SGeSAP_| awk '{
                if ( /PASSWD|PASSWORD/ ) {
                        split ($0, P,"=")
                        printf ("%s=\"******\"\n", P[1])
                }
                else {
                        print $0
                }
        }'| logpipe

  # If ${SGeSAP_SAPCONTROL_USAGE} = "disabled" is set via package parameter
  # sgesap/sap_global/sapcontrol_usage then this assumes SAP "startsap/stopsap"
  # scripts to start/stop an instance. But these scripts don't
  # exist for MDM instances so we override and temporarily set
  # SGeSAP_SAPCONTROL_USAGE = preferred for MDM instances

  # save orig usage
  SAVED_SGeSAP_SAPCONTROL_USAGE=${SGeSAP_SAPCONTROL_USAGE}
  if [[ ${SGeSAP_SAPCONTROL_USAGE} = "disabled" ]]; then
    SGeSAP_SAPCONTROL_USAGE="preferred"
    LogMsg "Using SGeSAP_SAPCONTROL_USAGE=[${SGeSAP_SAPCONTROL_USAGE}] for MDM instances"
  fi

  for name in ${MDMNAME[@]}
  do

    LogMsg "====== START of a MDM instance ======"

    INSTANCE_AUTOSTART=0

    set_environment ${MDMNAME[$inr]} ${MDMNR[$inr]} ${MDMRELOC[$inr]} ${SAPSYSTEMNAME}

    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${MDMNAME[$inr]}${MDMNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${MDMNAME[$inr]}${MDMNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${MDMNAME[$inr]} ${MDMNR[$inr]} ${SAPSYSTEMNAME} "stopped"

    #
    # start startup framework
    #
    if [ ${MDMSAPSTARTSRV_START[$inr]} -ne 0 ]; then
      LogMsg "====== START of sapstartsrv ${MDMNAME[$inr]}${MDMNR[$inr]} ======"
      start_sapstartsrv ${MDMNAME[$inr]} ${MDMNR[$inr]} ${MDMRELOC[$inr]} ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        MDMSAPSTARTSRV_START[$inr]=0
      fi
    fi


    # setup environment
    MDM_TYPE="${MDMNAME[$inr]}"
    MDM_INSTANCE_NR="${MDMNR[$inr]}"
    CLIX="${USRSAPDIR}/${SAPSYSTEMNAME}/${MDM_TYPE}${MDM_INSTANCE_NR}/exe/clix"
    typeset MDM_PROC=`echo ${MDM_TYPE}|${TRUL}`-r

    #
    # wait/check for successful autostart
    #
    if [ ${INSTANCE_AUTOSTART} -eq 1 ]; then
      if autostart_waitforstarted ${MDMNAME[$inr]} ${MDMNR[$inr]} ${MDMRELOC[$inr]} ${MDMSAPSTARTSRV_START[$inr]}; then

        # special case MDS: mds-r running but also need
        # to load any respositories configured in package
        [ "${MDMNAME[$inr]}" = "MDS" ] && mdm_start_repositories $MDM_INSTANCE_NR

        (( inr = $inr + 1 ))
        continue        # continue with next instance
      fi
    fi

    #
    # start instance
    #
    if [ "${MYSTARTPROFILE}" != "not_found" ]; then
      LogMsg "====== START of instance ${MDMNAME[$inr]}${MDMNR[$inr]} on ${MDMRELOC[$inr]} ======"
      start_app ${MDMRELOC[$inr]} ${MDMNR[$inr]} ${MYSIDADM}  ${HPLAT} "r3" "${CLEANUP}" "${MDMNAME[$inr]}" ${MDMSAPSTARTSRV_START[$inr]}
      if [ $? -eq 0 ]; then
        starting=1        # use for testing health below
        MDM_TYPE="${MDMNAME[$inr]}"
        MDM_INSTANCE_NR="${MDMNR[$inr]}"
        CLIX="${USRSAPDIR}/${SAPSYSTEMNAME}/${MDM_TYPE}${MDM_INSTANCE_NR}/exe/clix"
        typeset MDM_PROC=`echo ${MDM_TYPE}|${TRUL}`-r

        [ "${MDMNAME[$inr]}" = "MDS" ] && mdm_start_repositories $MDM_INSTANCE_NR
      fi
    else
      ErrLogMsg "Instance  ${MDMNAME[$inr]}${MDMNR[$inr]} on ${MDMRELOC[$inr]} not started - profile missing"
      exit ${ERROR}  # <===
    fi
    (( inr = $inr + 1 ))
  done

  #
  # test for success
  #

  inr=0
  if [[ ${starting} -eq 1 ]]; then
    for name in ${MDMNAME[@]}
    do
      test_app ${MDMRELOC[$inr]} ${MDMNR[$inr]} ${MYSIDADM} ${MDMNAME[$inr]} 2 ${SAPSYSTEMNAME}
      if [ $? -ne 0 ]; then
        ErrLogMsg "Instance ${MDMNAME[$inr]}${MDMNR[$inr]} - fatal startup problem detected"
        exit ${ERROR} # <==
      fi
      (( inr = $inr + 1 ))
    done
  fi

  # restore orig usage for possible other instances in package
  SGeSAP_SAPCONTROL_USAGE=${SAVED_SGeSAP_SAPCONTROL_USAGE}

}

#########################################################################
#
# Function: stop_mdm
#
#
# Stop mdm instance(s) locally
# Parallel startup not supported (yet).
#
# su - mo7adm -c "sapcontrol -nr 01 -function Stop"
#   stops the processes sh, sapstart and mds-r (takes a while)
# su - mo7adm -c "sapcontrol -nr 01 -function StopService"
#   stops the sapstartsrv process
#
#########################################################################
function stop_mdm
{
  typeset fname=stop_mdm
  BLogMsg $*

  typeset stopping=0
  typeset name
  typeset inr=0

  #
  # save package environment variables into
  # log file;  hide clear text mdm passwords
  #
  ${CMGETPKGENV} ${SG_PACKAGE_NAME} | grep SGeSAP_| awk '{
              if ( /PASSWD|PASSWORD/ ) {
                      split ($0, P,"=")
                      printf ("%s=\"******\"\n", P[1])
              }
              else {
                      print $0
              }
      }'| logpipe

  # save orig usage
  SAVED_SGeSAP_SAPCONTROL_USAGE=${SGeSAP_SAPCONTROL_USAGE}
  if [[ ${SGeSAP_SAPCONTROL_USAGE} = "disabled" ]]; then
    SGeSAP_SAPCONTROL_USAGE="preferred"
    LogMsg "Using SGeSAP_SAPCONTROL_USAGE=[${SGeSAP_SAPCONTROL_USAGE}] for MDM instances"
  fi

  #
  # stop the MDM instances
  #
  for name in ${MDMNAME[@]}
  do

    LogMsg "====== STOP for instance ${MDMNAME[$inr]}${MDMNR[$inr]} ======"
    set_environment ${MDMNAME[$inr]} ${MDMNR[$inr]} ${MDMRELOC[$inr]} ${SAPSYSTEMNAME}

    # [ "${MDMNAME[$inr]}" = "MDS" ] && mdm_stop_repository $MDM_INSTANCE_NR

    # rm -r -f ${APIDIR}/sgesap_${SAPSYSTEMNAME}_${MDMNAME[$inr]}${MDMNR[$inr]}_stopped >/dev/null 2>&1
    # rm -r -f ${MYWORKDIR}/.sgesap_${SAPSYSTEMNAME}_${MDMNAME[$inr]}${MDMNR[$inr]}_stopped >/dev/null 2>&1
    rm_apiflagfile ${MDMNAME[$inr]} ${MDMNR[$inr]} ${SAPSYSTEMNAME} "stopped"
    stop_app ${MDMRELOC[$inr]} ${MDMNR[$inr]} ${MYSIDADM} ${HPLAT} r3 ${MDMNAME[$inr]} ${SAPSYSTEMNAME} ${MDMSAPSTARTSRV_STOP[$inr]}
    (( inr = $inr + 1 ))
  done

  #
  # test for success
  #
  inr=0
  for name in ${MDMNAME[@]}
  do
    wait_igs ${MDMNAME[$inr]} ${MDMNR[$inr]} # ??
    test_app ${MDMRELOC[$inr]} ${MDMNR[$inr]} ${MYSIDADM} ${MDMNAME[$inr]} 1 ${SAPSYSTEMNAME}
    if [ $? -eq 0 ]; then
      WrnLogMsg "Instance ${MDMNAME[$inr]}${MDMNR[$inr]} shutdown problem detected - kill.sap"
      if [ -x ${USRSAPDIR}/${SAPSYSTEMNAME}/${MDMNAME[$inr]}${MDMNR[$inr]}/work/kill.sap ]; then
        ${USRSAPDIR}/${SAPSYSTEMNAME}/${MDMNAME[$inr]}${MDMNR[$inr]}/work/kill.sap
      fi
    fi
    (( inr = ${inr} + 1 ))
  done

  #
  # only now stop the agents and all remains
  #
  inr=0
  for name in ${MDMNAME[@]}
  do
    LogMsg "====== STOP for sapstartsrv ${MDMNAME[$inr]}${MDMNR[$inr]} ======"
    if [ ${MDMSAPSTARTSRV_STOP[$inr]} -eq 1 ]; then
      stop_sapstartsrv "${MDMNAME[$inr]}" "${MDMNR[$inr]}" "${MDMRELOC[$inr]}" "${HPLAT}" "${MYSIDADM}" "${SAPSYSTEMNAME}"
    fi
    clean_inst "${MDMNAME[$inr]}" "${MDMNR[$inr]}" "${MDMRELOC[$inr]}" ${SAPSYSTEMNAME} ${MDMSAPSTARTSRV[$inr]}
    (( inr = ${inr} + 1 ))
  done

# restore orig usage for possible other instances in package
  SGeSAP_SAPCONTROL_USAGE=${SAVED_SGeSAP_SAPCONTROL_USAGE}
}


########################################################################
# Run sapcontrol start commands
# Argument ${NR}=$1 contains the SAP instance number

########################################################################

function mdm_sapcontrol_start
{
  typeset fname=mdm_sapcontrol_start
  BLogMsg $*

  typeset NR=$1

  execute_cmd_l "su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function StartService ${SID}\" 2>&1"
  [ $? -gt 0 ] && errexit 89

  # sapcontrol needs time to settle
  execute_cmd "sleep 10"

  execute_cmd_l "su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function Start\" 2>&1"
  [ $? -gt 0 ] && errexit 88

}

########################################################################
# Run sapcontrol stop commands
# ${NR} contains the SAP instance number
# NOTE: Don't exit if sapcontrol returns an error - processes need to be
# killed anyway
########################################################################

function mdm_sapcontrol_stop
{
  typeset fname=mdm_sapcontrol_stop
  BLogMsg $*

  typeset NR=$1

  ########################################
  # Don't log:
  # if package is in SGeSAP debug mode
  # then sapstartsrv might not be
  # running. sapcontrol stop will then log
  # a "Failed" message which could confuse.
  ########################################
  _check_debug ${STARTUP_R3}
  debugrc=$?
  if [ ${debugrc} -eq 1 ]; then

    execute_cmd_l "su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function Stop >/dev/null\" 2>&1"
    execute_cmd "sleep 3"
    execute_cmd_l "su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function StopService >/dev/null\" 2>&1"

  else
    execute_cmd_l "su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function Stop\" 2>&1"
    execute_cmd "sleep 3"
    execute_cmd_l "su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function StopService\" 2>&1"
  fi

}

########################################################################
# Start an MDM respository
########################################################################

function mdm_start_repositories
{
  typeset fname=mdm_start_repositories
  BLogMsg $*

  typeset NR=$1

  LogMsg "mdm_start_repositories(): start / recover a MDM repository"



########################################################################
# read profile of MDS instance to determine MDS_LISTENING_PORT. Default
# is 59950. Note: space in "-# ${LPORT}" is important
########################################################################

  LogMsg "Determine MDS_LISTENING_PORT"
  CMD="su - $MYSIDADM -c \"sapcontrol -nr ${NR} -function ParameterValue MDS_LISTENING_PORT -format script\" 2>&1"
  LogMsg "Executing CMD=[$CMD]"

  result=`eval $CMD`
  errorlevel=$?
  if [ $errorlevel -ne 0 ]; then
    # for older MDM 7.1 versions MDS_LISTENING_PORT not available
#    LogMsg "  Command failed - result=[${result}]"
    MDS_LISTENING_PORT=""
  else
    LPORT=`echo "${result}" | grep '^0 : ' | cut -d' ' -f3`
    [ ! -z "${LPORT}" ]  && MDS_LISTENING_PORT="-# ${LPORT}"
  fi
  LogMsg "Using MDS_LISTENING_PORT=[${MDS_LISTENING_PORT}]"

########################################################################
# Determine the MDM/MDS major and minor version: In MDM 7.1 SP06 the MDS
# Repository unlock command repUnlock was replaced with the command -
# repClearStampsOfCertainActivities.
# Unfortunately the "clix mdsVersion" string returned comes in various
# "version flavors" so this has to be taken into account:
#
#   Version 5.5 SP6 (5.5.64.115)
#   mds Version 7.1.01.46
#       Client Interface Version 7.1.01.02
#       MDS Admin Interface Version 7.1.01.00
#       MDS Public Interface Version 7.1.01.00
#       Web Interface Version 7.1.01.02
#   Version 7.1 (7.1.02.59)
#   Version 7.1 (7.1.05.109)
#   MDS Server: Version 7.1 (7.1.07.229)
########################################################################

  LogMsg "Determining CLIX repository unlock command"

  LogMsg "Using repUnLock command if MDS Version <  [${MAX_MDM_REPUNLOCK_VERSION}]"
  LogMsg "Using repClearStampsOfCertainActivities command if MDS Version >= [${MAX_MDM_REPUNLOCK_VERSION}]"
  MAX_MAJ_MDM_REPUNLOCK_VERSION=`echo $MAX_MDM_REPUNLOCK_VERSION|cut -d . -f 1,2`
  MAX_MIN_MDM_REPUNLOCK_VERSION=`echo $MAX_MDM_REPUNLOCK_VERSION|cut -d . -f 3`

#  MDM_VERSION=`su - $MYSIDADM -c "${CLIX} mdsVersion ${MDSHOSTSPEC}"|awk '/^mds Version/ { print $3 }
#                                                           /^MDS Server: Version/ {  version=$5; gsub(/[()]/,"",version); print version }'`

  #
  # skip the following version check... if
  # MDM_VERSION is set in customer_functions.sh
  #
  if [ -z "${MDM_VERSION}" ]; then

    CMD="su - $MYSIDADM -c \"${CLIX} mdsVersion ${MDSHOSTSPEC} ${MDS_LISTENING_PORT}\""
    LogMsg "Executing CMD=[$CMD]"

    result=`eval $CMD`
    MDM_VERSION=`echo "${result}"|awk '
        {
            # MDM version string is the last field if in parens
            if ( $NF ~ /\([A-Za-z0-9\.]+\)/) {
                version=$NF; gsub(/[()]/,"",version); print version

            # Sometime version not in parens - search for string instead
            } else {
                if (/^mds Version [[:alnum:]]*[[:space:]]*[0-9\.]+$/) { print $NF }
            }
        }'`

    echo "${result}"|fmtdlogpipe

    # couldn't find a valid MDM version - continue with default
    if  [ -z "${MDM_VERSION}" ]; then
         LogMsg "Warning - Couldn't find valid MDM version string:"
    fi

  fi

  LogMsg "MDM_VERSION=[${MDM_VERSION}]"
  MAJ_MDM_VERSION=`echo $MDM_VERSION|cut -d . -f 1,2`
  MIN_MDM_VERSION=`echo $MDM_VERSION|cut -d . -f 3`

#  LogMsg "MAJ_MDM_VERSION=[${MAJ_MDM_VERSION}]"
#  LogMsg "MIN_MDM_VERSION=[${MIN_MDM_VERSION}]"

 # set default
  repUnLock="repClearStampsOfCertainActivities"

  if [[ "${MAJ_MDM_VERSION}" = "5.5" ]]; then
    repUnLock="repUnLock"
  fi

  if [[ "${MAJ_MDM_VERSION}" = "7.1" ]]; then
    if [[ "${MIN_MDM_VERSION}" <  "${MAX_MIN_MDM_REPUNLOCK_VERSION}" ]]; then
      repUnLock="repUnLock"
    fi
  fi

  LogMsg "Using command=[${repUnLock}] for unlocking MDM repositories"

########################################################################
# Synchronization:
# 1. Wait for the MDM Server to become responsive
########################################################################
  LogMsg "Wait for Server to be up and running..."

    bootstrap_run=0
    while [ $bootstrap_run -le ${SGeSAP_RETRY_COUNT} ] ; do

    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsMonitor ${MDSHOSTSPEC} ${MDS_LISTENING_PORT}\" 2>&1"

    if  [ $? -eq 0 ]; then
    break
    else
        LogMsg "...waiting...(${bootstrap_run})"
        sleep ${MDM_DELAY_INTERVALS}
    fi
    ((bootstrap_run=$bootstrap_run +1))
    if [ $bootstrap_run -eq ${SGeSAP_RETRY_COUNT} ] ; then
        errnoresp
    fi
    done

########################################################################
# Accessibility to make sure that CLIX commands can
# retrieve status:
# 2. check if the MDM Server can be accessed
# 3. check if the repository exist on the MDM Server
# 4. check if the repository status can be retrieved
########################################################################

  LogMsg "check server connection"
  execute_cmd_l "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1"
  errorlevel=$?

  if [ $errorlevel -ne 0 ]; then
    LogMsg "  connection parameter invalid; check MDSHOSTSPEC"
    errexit 96
  fi

  if [[ -n "${SGeSAP_MDM_REPOSITORYSPEC_REPNAME[@]}" ]]; then

    typeset -i i=0
    typeset REPOSITORYSPEC
    LogMsg "Number of repositories: \${#SGeSAP_MDM_REPOSITORYSPEC_REPNAME[@]}=[${#SGeSAP_MDM_REPOSITORYSPEC_REPNAME[@]}]"
    while (( $i < ${#SGeSAP_MDM_REPOSITORYSPEC_REPNAME[@]} ))
    do
        # log REPOSITORY without dbpasswd data into the log file
        typeset TMPREPSPEC="${SGeSAP_MDM_REPOSITORYSPEC_REPNAME[$i]};${SGeSAP_MDM_REPOSITORYSPEC_DBSID[$i]};${SGeSAP_MDM_REPOSITORYSPEC_DBTYPE[$i]};${SGeSAP_MDM_REPOSITORYSPEC_DBUSER[$i]}"
        LogMsg "Count \$i=[$i] REPOSITORYSPEC=[${TMPREPSPEC}:******]"

        # enclose in single quotes so semi-colon isn't seen by the shell
        REPOSITORYSPEC="'${TMPREPSPEC};${SGeSAP_MDM_REPOSITORYSPEC_DBPASSWD[$i]}'"


        REP="${SGeSAP_MDM_REPOSITORYSPEC_REPNAME[$i]}"

        mdm_start_one_repository $REP

        (( i = i + 1 ))

    done


  fi
}
########################################################################
# Start an MDM respository
########################################################################

function mdm_start_one_repository
{
  typeset fname=mdm_start_one_repository
  BLogMsg $*

    typeset REP=$1
    LogMsg "\$REP=[$REP]"

    LogMsg "Checking if repository exists"
    # match repository: ^beginning of line .... and ends with space
    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1 | grep \"^${REP} \""
    errorlevel=$?

    if [ $errorlevel -ne 0 ]; then
        LogMsg "Repository ${REP} not found; check REP"
    #    errexit 95
        return 1
    fi


    LogMsg "Checking repository password"
    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1 | grep \"^${REP} \" | grep -i \"Needs Login\""

    errorlevel=$?
    if [ $errorlevel -eq 0 ]; then
        LogMsg "No repository information retrieved; check MDM Credentials"
    #    errexit 94
    fi

    ########################################################################
    # Repository Load Procedure - Part 1:
    #  5. if the repository is already loaded got to idle
    #     mode
    #  6. unlock (appropriate) the repository if it is in
    #     a locked stated
    #  7. Load the repository with reusing indices
    #  8. if the repository is loaded got to idle mode
    #  9. Load the repository with rebuilding indices as
    #     the first load was not successful
    # 10. if the repository is loaded got to idle mode
    ########################################################################

    # Avoid double call of the script; stop if the repository is already running
    # remark: calling unlock on a running repository might cause bring the
    #         repository and repository state in an inconsistent state

    LogMsg "checking repository state"
    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1 | grep \"^${REP} \" | grep -E -i \"(Loaded Running|Started Running)\""
    errorlevel=$?
    if [ $errorlevel -eq 0 ]; then
        rep_loaded
        return 0
    fi

    LogMsg "checking if repository is locked"
    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1 | grep \"^${REP} \" | grep -i \"Other mds\""

    errorlevel=$?
    if [ $errorlevel -eq 0 ]; then
        LogMsg " -- unlock repository"
        execute_cmd "su - $MYSIDADM -c \"${CLIX} ${repUnLock} ${MDSHOSTSPEC} ${REPOSITORYSPEC} ${CREDENTIALS} -E ${MDS_LISTENING_PORT}\" 2>&1"
    fi

    LogMsg "checking MDS Status"
    execute_cmd "su - $MYSIDADM -c \"${CLIX}  mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1"


    LogMsg "easy load the repository=[${REP}] (reusing indices)"
    execute_cmd "su - $MYSIDADM -c \"${CLIX}  repLoad ${MDSHOSTSPEC} ${REPOSITORYSPEC} ${CREDENTIALS} -E -W ${MDS_LISTENING_PORT}\" 2>&1"


    LogMsg "checking MDS Status"
    execute_cmd "su - $MYSIDADM -c \"${CLIX}  mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1"


    LogMsg "checking repository state"
    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1 | grep \"^${REP} \" | grep -E -i \"(Loaded Running|Started Running)\""
    errorlevel=$?
    if [ $errorlevel -eq 0 ]; then
        rep_loaded
        return 0
    fi

    LogMsg "load the repository=[${REP}] (update indices)"
    execute_cmd "su - $MYSIDADM -c \"${CLIX}  repLoad ${MDSHOSTSPEC} ${REPOSITORYSPEC} ${CREDENTIALS} -R -E -W ${MDS_LISTENING_PORT}\" 2>&1"


    LogMsg "checking MDS Status"
    execute_cmd "su - $MYSIDADM -c \"${CLIX}  mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1"

    LogMsg "checking repository state"
    execute_cmd "su - $MYSIDADM -c \"${CLIX} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS} ${MDS_LISTENING_PORT}\" 2>&1 | grep \"^${REP} \" | grep -E -i \"(Loaded Running|Started Running)\""

    errorlevel=$?
    if [ $errorlevel -eq 0 ]; then
        rep_loaded
        return 0
    fi

}


########################################################################
# Stop an MDM respository
########################################################################

function mdm_stop_repository
{
  typeset fname=mdm_stop_repository
  BLogMsg $*

  LogMsg "mdm_stop_repository(): stop a MDM repository"

  LogMsg "Done"
}


########################################################################
# Execute a command
########################################################################

function execute_cmd
{
  typeset CMD=$1

  # see sap note 1592180: now supports REPOSITORYSPEC containing space or colon
  #                       must be enclosed in single quote
  # substitute 'test_sp10;SP9;m;sqdsx9;passwd'            -> 'test_sp10;SP9;m;sqdsx9;******'
  # substitute 'wblank sp10:1529/D1M;SP9;m;sqdsx9;passwd' -> 'wblank sp10:1529/D1M;SP9;m;sqdsx9;******'

  typeset LOGCMD=`echo $CMD|awk -F\' '{
                    # skip doublequotes in CMD string
                    gsub(/"/, "")

                    if ( $1 ~ /repUnLock|repLoad|repClearStampsOfCertainActivities/ ) {
                      # hide REPOSITORYSPEC and CREDENTIALS
                      sub(/;[^;]*$/, ";******", $2)
                      sub(/:[^ ]+/, ":******", $3)
                      printf "%s \047%s\047%s", $1, $2, $3;

                    } else if ( $0  ~ /mdsStatus/ ) {
                        # hide CREDENTIALS
                        sub(/:[^ ]+/, ":******", $0)
                        print $0
                    }

                }'`

  LogMsg "executing CMD=[${LOGCMD}]"

  eval  ${CMD} 2>&1
  errorlevel=$?

  case $errorlevel in
  0) LogMsg "success"
     ;;
  *) LogMsg "no success"
     ;;
  esac

  return $errorlevel
}



########################################################################
# Execute a command a save output to serviceguard log file
#
# Parameters:
# $1 	cmd to execute
#
# Output is unformatted between a begin and end divider. Usefull for
# longer output
########################################################################

########################################################################

function execute_cmd_l
{

 typeset CMD=$1
#  LogMsg "executing CMD=[${CMD}]"

  typeset LOGCMD=`echo $CMD|awk -F\' '{
                    # skip doublequotes in CMD string
                    gsub(/"/, "")

                    if ( $1 ~ /repUnLock|repLoad|repClearStampsOfCertainActivities/ ) {
                      # hide REPOSITORYSPEC and CREDENTIALS
                      sub(/;[^;]*$/, ";******", $2)
                      sub(/:[^ ]+/, ":******", $3)
                      printf "%s \047%s\047%s", $1, $2, $3;

                    } else if ( $0  ~ /mdsStatus/ ) {
                        # hide CREDENTIALS
                        sub(/:[^ ]+/, ":******", $0)
                        print $0
                    }

                }'`

  LogMsg "executing CMD=[${LOGCMD}]"

  typeset OUTPUT
  OUTPUT=`eval ${CMD}`
  errorlevel=$?
  echo "$OUTPUT"|fmtdlogpipe

  case $errorlevel in
  0) LogMsg "success"
     ;;
  *) LogMsg "no success"
     ;;
  esac

  return $errorlevel
}

########################################################################
# Execute a cmd silently (e.g. don't log to logfile). But do log
# cmd and error to logfile if an error was encountered.
#
# Parameters:
# $1 	cmd to execute
#
########################################################################
function execute_cmd_le
{
  typeset cmd=$1	# command to execute
  typeset output	# returned string
  typeset rc		# return code

  output=`eval ${cmd} 2>&1`
  rc=$?

  case $rc in
  0)
     DbgLogMsg "SUCCESS Executed cmd=[${cmd}]"
     ;;
  *) LogMsg "cmd=[${cmd}]"
     ErrLogMsg "Failed output=[${output}] rc=[${rc}]"
     ;;
  esac

  return $rc
}

########################################################################
#
# Function:  execute_sapcmd_sLPATH
#
# Set Library Path before executing a SAP command as a non ${SIDADM}
#
# This function executes a "SAP command" (e.g. sappfpar,sapstartsrv...)
# as a non SIDADM user. It requires the LD_LIBRARY_PATH  (=Linux) or
# SHLIB_PATH (=HP-UX) to be set to the appropiate path, before the
# SAP command is executed.
#
# Parameters:
# $1  the user executing (=root)
# $2  the SAP command to execute
#
# A new library path LPath for HP-UX gets generated from:
#   ${MYSHLIB_PATH}     - generated via SGeSAP find_sap_binary()
#   ${SHLIB_PATH_LOGIN} - from of the user login environment
#
# A new library path LPath for Linux gets generated from:
#   ${MYLD_LIBRARY_PATH}      - generated via SGeSAP find_sap_binary()
#   ${LD_LIBRARY_PATH_LOGIN}  - from the user login environment
#
#
# Remarks:
# - The new LPath is only set for the duration of the command (=cmd)
#   getting executed. The original library path is saved before cmd
#   execution and and restored after cmd was executed.
#
# - The new libary path is NOT exported to the running environment
#
# - To obtain library paths possibly defined in /etc/profile or in the
#   user login environment: su - ${USER} -c "env" is used to get/set
#   these
#
# - As this function is called via `...` don't log anything with LogMsg
#   or echo as it will break/mix with the resulting echo "${output}"
#   below. For some sanity function is called ...| tail -1
########################################################################

function execute_sapcmd_sLPATH
{
  typeset fname=execute_sapcmd_sLPATH
  #BLogMsg $*  # commented to allow usage in monitors
  DbgLogMsg $*

  typeset user="$1"       # command gets executed by user
  shift
  typeset cmd="$*"        # command to be executed
  typeset rc=0            # status returned by executed command
  typeset output          # output of executed command
  typeset USER=${USER:-`whoami`}

  case "${HPLAT}" in
    HP-UX)
        typeset SHLIB_PATH_ORIG="${SHLIB_PATH}"
        DbgLogMsg "Saved original SHLIB_PATH  SHLIB_PATH_ORIG=[${SHLIB_PATH}]"

        if [[ "${user}" != "${USER}" ]]; then
          SHLIB_PATH_LOGIN=`su - ${user} -c "env" 2>&1 |awk -F= ' /^SHLIB_PATH=/ { print $2 }'`
          DbgLogMsg "SHLIB_PATH found via login: SHLIB_PATH_LOGIN=[${SHLIB_PATH_LOGIN}]"
        fi

        typeset SHLIB_PATH_NEW="export SHLIB_PATH=${MYSHLIB_PATH:+$MYSHLIB_PATH:}${SHLIB_PATH_LOGIN};"
        DbgLogMsg "SHLIB_PATH_NEW=[${SHLIB_PATH_NEW}]"
        DbgLogMsg "cmd=[${cmd}]"

        output=$(eval ${SHLIB_PATH_NEW} ${cmd})
        rc=$?
        echo "${output}"

        DbgLogMsg "output=[${output}]"

        eval export SHLIB_PATH="${SHLIB_PATH_ORIG}"
        DbgLogMsg "Restored original: SHLIB_PATH=[${SHLIB_PATH}]"
    ;;
    Linux)
        # save original for later reuse
        typeset LD_LIBRARY_PATH_ORIG="${LD_LIBRARY_PATH}"
        DbgLogMsg "Saved original LD_LIBRARY_PATH  LD_LIBRARY_PATH_ORIG=[${LD_LIBRARY_PATH}]"

        # Get the users library path if available. Explicit match for /^LD_LIBRARY_PATH=/ so that other
        # user output (e.g. motd) doesn't disturb creating LD_LIBRARY_PATH_LOGIN
        if [[ "${user}" != "${USER}" ]]; then
          LD_LIBRARY_PATH_LOGIN=`su - ${user} -c "env" |awk -F= ' /^LD_LIBRARY_PATH=/ { print $2 }'`
          DbgLogMsg "LD_LIBRARY_PATH found via login: LD_LIBRARY_PATH_LOGIN=[${LD_LIBRARY_PATH_LOGIN}]"
        fi

        #
        # Now set a new LD_LIBARY_PATH for the command $cmd based on:
        #   ${MYLD_LIBRARY_PATH}      - generated via function find_sap_binary()
        #   ${LD_LIBRARY_PATH_LOGIN}  - generated from the user login environment
        # Note: :+$MYLD_LIBRARY_PATH: - prepend colon only if MYLD_LIBRARY_PATH is defined
        # Note: don't delete semicolon at end of string.
        #
        typeset LD_LIBRARY_PATH_NEW="export LD_LIBRARY_PATH=${MYLD_LIBRARY_PATH:+$MYLD_LIBRARY_PATH:}${LD_LIBRARY_PATH_LOGIN};"
        DbgLogMsg "LD_LIBRARY_PATH_NEW=[${LD_LIBRARY_PATH_NEW}]"
        DbgLogMsg "cmd=[${cmd}]"

        # execute the command $cmd with new LD_LIBRARY_PATH set
        output=$(eval ${LD_LIBRARY_PATH_NEW} ${cmd})
        rc=$?

        echo "${output}"

        DbgLogMsg "output=[${output}] rc=[${rc}]"

        # restore the original saved above
        eval export LD_LIBRARY_PATH="${LD_LIBRARY_PATH_ORIG}"
        DbgLogMsg "Restored original: LD_LIBRARY_PATH=[${LD_LIBRARY_PATH}]"
    ;;
    esac

#    if [ ${rc} -eq 0 ]; then
#      rc=`echo "${output}"|grep ^FAIL:|wc -l`
#    fi

    # common for HP-UX and Linux
    case $rc in
    0) DbgLogMsg "success"
      ;;
    *) DbgLogMsg "no success"
      ;;
    esac

  return $rc
}

########################################################################
# MDM FUNCTIONS SECTION
########################################################################

########################################################################
# MDM Server not responsive
# original MDM error reporting
########################################################################
function errnoresp
{
  LogMsg "MDM Server did not respond "
  errexit 97
}

########################################################################
# OK State: Repository loaded; stay in idle mode
########################################################################
function rep_loaded
{
  LogMsg "Repository status is \"(Loaded Running|Started Running)\""

  LogMsg "Return success"
  LogMsg ""

#  Don't exit here as we might run more commands
#  in this script
#  exit 0
}

########################################################################
# Error State: stop script to signalize failure
########################################################################
function errexit
{
  typeset EXIT=$1

#  LogMsg "exiting with error [${EXIT}]"
  timestamp_and_exit $EXIT
}

########################################################################
# check health / monitor an MDM server instance.
#
# Uses external arrays MDMNAME, MDMMON_1ST, MDMMON_2ND, MYINSTPROFILE_MDM
# Three commands could be used for monitoring the MDM instance
#   1ST:      sapcontrol GetProcessList/
#   2ND:      clix mdsStatus
#   Fallback: ps
#
# Sets the global MDM_ALIVE
#  0: not alive
#  1: "sapcontrol GetProcessList/ clix mdsStatus" failed, but process (still) exists
#     - or wdispmon not available, but process exits (process only mon.)
#  2: sapcontrol/mdsStatus success
#
# Parameter:
# $1 = index counter for each MDM instance of the SG package
#
########################################################################

function monitor_mdm_state
{
    typeset fname=monitor_mdm_state
    [ ${DBG} -gt 1 ] && BLogMsg $*

    typeset mdmidx=$1
    typeset MDM_INSTANCE=${MDMNAME[mdmidx]}
    typeset mdmstate="<undefined>"
    typeset MDM_PID=""

    # set a default
    MDM_ALIVE="<undefined>"

    RUN_MDM_MDS_CHECK=${RUN_MDM_MDS_CHECK:-1}
    RUN_MDM_PROC_CHECK=${RUN_MDM_PROC_CHECK:-1}

      ########################################
    # Use the 1st monitoring routine if set
    # (usually: sapcontrol ... GetProcessList)
      ########################################
    if [ -n "${MDMMON_1ST[$mdmidx]}" ]; then
      CMD="su - ${MYSIDADM} -c \"${MDMMON_1ST[$mdmidx]} -nr ${MDMNR[$mdmidx]} -function GetProcessList\""
      DbgLogMsg "____ Running $CMD"
      su - ${MYSIDADM} -c "${MDMMON_1ST[$mdmidx]} -nr ${MDMNR[$mdmidx]} -function GetProcessList " </dev/null 1>/dev/null 2>&1 &
      watchdog $! 15 `[ ! ${DBG:-0} -eq 0 ] ; echo $?` ; rc=$?
      if [ $rc -eq 3 ]; then
        MDM_ALIVE=2
        DbgLogMsg "(1) MDMMON_1ST ${MDMNAME[$mdmidx]}${MDMNR[$mdmidx]} - rc: $rc - status: \"$mdmstate\" - PID: $MDM_PID - alive: $MDM_ALIVE"
        return $rc
      fi
      if [ $rc -eq 4 ]; then
        MDM_ALIVE=0
        DbgLogMsg "(2) MDMMON_1ST ${MDMNAME[$mdmidx]}${MDMNR[$mdmidx]} - rc: $rc - status: \"$mdmstate\" - PID: $MDM_PID - alive: $MDM_ALIVE"
        return $rc
      fi

      DbgLogMsg "(4) MDMMON_1ST ${MDMNAME[$mdmidx]}${MDMNR[$mdmidx]} - rc: $rc - status: \"$mdmstate\" - PID: $MDM_PID - alive: $MDM_ALIVE"
      # !! more to come here for the other returncodes
      # !!
    fi

    ########################################
    # Use 2nd monitoring routine if 1st
    # was set but failed or if it wasn't set
    # at all.
    # only run for MDS and not MDSS / MDIS
    # MDSS/MDIS will uses ps further down
    ########################################

    if [ -n "${MDMMON_2ND[$mdmidx]}" -a "${MDMMON_2ND[$mdmidx]}" != "PS" ]; then

      if [ -x "${MDMMON_2ND[$mdmidx]}" ]; then
        CMD="su - $MYSIDADM -c \"${MDMMON_2ND[$mdmidx]} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS}\""
        DbgLogMsg "____ Running $CMD"

        su - $MYSIDADM -c "${MDMMON_2ND[$mdmidx]} mdsStatus ${MDSHOSTSPEC} ${CREDENTIALS}" </dev/null 1>/dev/null 2>&1 &
        watchdog $! 15 `[ ! ${DBG:-0} -eq 0 ] ; echo $?` ; rc=$?
        if [ $rc -gt 127 ]; then
          LogMsg "${MDMMON_2ND[$mdmidx]} received a timeout signal, state undefined"
        fi
      else
        DbgLogMsg "${MDMMON_2ND[$mdmidx]} does not exist or is not executable"
        rc=127
      fi

    else
      rc=127  # no such file
    fi

    if [ ${rc} -eq 0 ]; then
      MDM_ALIVE=2
      DbgLogMsg "(6) MDMMON_2ND: ${MDMNAME[$mdmidx]}${MDMNR[$mdmidx]} - rc: $rc - status: \"$mdmstate\" - PID: $MDM_PID - alive: $MDM_ALIVE"
      return $rc
    else
      DbgLogMsg "(7) MDMMON_2ND: ${MDMNAME[$mdmidx]}${MDMNR[$mdmidx]} - rc: $rc - status: \"$mdmstate\" - PID: $MDM_PID - alive: $MDM_ALIVE"
    fi

    ########################################
    # fallback: availability check via kill -0
    ########################################

    if [  "${MDMNAME[$mdmidx]}X" != "X"  ]; then
      typeset MDM_PROC=`echo ${MDMNAME[$mdmidx]}|${TRUL}`-r

      # Test for SAP MDM instance processes names:  mds-r mdss-r mdis-r
      # as it might be been configured for restart
        test_proc_user ${MDM_PROC} ${SAPSYSTEM} && MDM_PID=${TPID}
        DbgLogMsg "____ (1)scan for MDM process found MDM_PID=[${MDM_PID}]"

      # Again test for SAP MDM instance processes names:  mds-r mdss-r mdis-r
      # this time sleep - give the MDM restart a last chance to complete
      if [ "X${MDM_PID}" = "X" ]; then
        sleep 5
        test_proc_user ${MDM_PROC} ${SAPSYSTEM} && MDM_PID=${TPID}
        DbgLogMsg "____ (2) scan for MDM process found MDM_PID=[${MDM_PID}]"
      fi

    fi

    if [ "X${MDM_PID}" != "X" ]; then
      CMD="kill -0 ${MDM_PID}"
      DbgLogMsg "Running [$CMD]"
      # check if process is alive
      kill -0 ${MDM_PID} 2>/dev/null
      rc=$?
      if [ $rc -eq 0 ]; then
        MDM_ALIVE=1
        # [ "X${MDMMON_1ST[$mdmidx]}${MDMMON_2ND[$mdmidx]}" = "XPS" ] && MDM_ALIVE=2
        # test for process-only monitoring. Declare "full success" in such a case.
        [ "X${MDMMON_1ST[$mdmidx]}" = "X"  -a "X${MDMMON_2ND[$mdmidx]}" = "XPS" ] && MDM_ALIVE=2

        # if SGeSAP_SAPCONTROL_USAGE = preferred or disabled and MDM instance is
        # MDIS/MDSS != MDS (they don't have a optional/2ND monitor, only ps). therefore declare
        # "full success" in such a case e.g monitor will report green even if only the process
        # is running.
        if [ "X${SGeSAP_SAPCONTROL_USAGE}" != "Xexclusive" ]; then
          [ "${MDMNAME[$mdmidx]}X" != "MDSX" -a "X${MDMMON_2ND[$mdmidx]}" = "XPS" ] && MDM_ALIVE=2
        fi

      else
        MDM_ALIVE=0
      fi
    else
      MDM_ALIVE=0
    fi

  ########################################
  # status if above checks failed
  ########################################
  DbgLogMsg "(8) MDMMON_PS  ${MDMNAME[$mdmidx]}${MDMNR[$mdmidx]} - rc: $rc - status: \"$mdmstate\" - PID: $MDM_PID - alive: $MDM_ALIVE"
  return $rc
}
########################################################################
# update various monitor states...
#
# Parameters:
#
# $1 INAME  instance name
# $2 INR    isntance number
# $3 ALIVE  flag if instance is alive (0=no, 1=maybe, 2=yes)
# $4 i      array index of instances of a type configured SG package
# $5 MONINIT log status just once if in monitor init phase
########################################################################
function m_mdm_update_states
{
  typeset fname=m_update_states
  [ ${DBG} -gt 1 ] && BLogMsg $*

  typeset INAME=$1
  typeset INR=$2
  typeset ALIVE=$3
  typeset i=$4
  typeset MONINIT=$5

  ########################################
  # update stop counter on external stop
  ########################################
  m_update_stopcounter $INAME $INR $ALIVE $i

  if [ ${STOP_COUNT[$i]} -ne 0 ]; then
    ########################################
    # Found an external stop event:
    #
    # check and update state if instance
    # autostart triggered a start again
    ########################################
    m_check_autostart $INAME $INR $ALIVE $i

    ########################################
    # if MON_INIT is set - initially log
    # monitor / instance state once
    ########################################
    [ ${DBG} -gt 0  -o ${MONINIT} -eq 1 ] &&
        LogMsg "Monitor status for ${INAME}${INR}  - NO STATUS: MANUAL/EXTERNAL stop in effect"

  else
    ########################################
    # No external stop - normal monitoring:
    #
    # maintain SGeSAP monitor states (green,
    # yellow,red); exit monitor on red
    ########################################
    m_set_internal_states $INAME $INR $ALIVE $i

    # see return below
    rc=$?

    ########################################
    # if MON_INIT is set - initially log
    # monitor / instance state once
    ########################################
    [ ${DBG} -gt 0  -o ${MONINIT} -eq 1 ] &&
        LogMsg "Monitor status ${INAME}${INR} - STATUS:${STATUS_FLAG[$i]}"

    ########################################
    # m_set_internal_states() found a failed
    # instance; but  guard_exit_in_maint
    # prevented exit because in maintenance
    # report  guard_exit_in_maint. return
    # status to calling function
    ########################################
    if [ $rc -eq 1 ]; then return 1; fi
  fi
}


########################################################################
# function to monitor the health of MDM components. These are MDB, MDS,
# MDSS and MDIS
########################################################################
function mdm_monitor_loop
{
    typeset fname=mdm_monitor_loop

    typeset -i j

    typeset ALERT_STATUS=0
    typeset alert_status_new=0
    typeset alert_changed
    typeset ALERT_PARAMS[${PKG_SGESAP_SERVICE_RED}]=""
    typeset ALERT_PARAMS[${PKG_SGESAP_SERVICE_YELLOW}]=""
    typeset ALERT_PARAMS[${PKG_SGESAP_MANUALLY_HALTED}]=""
    typeset alert_params_new[${PKG_SGESAP_SERVICE_RED}]=""
    typeset alert_params_new[${PKG_SGESAP_SERVICE_YELLOW}]=""
    typeset alert_params_new[${PKG_SGESAP_MANUALLY_HALTED}]=""

    typeset debug=2
    #
    # Switch to debug/maintenance mode and suspend monitoring activities.
    # Depends in which "phase" the package currently is in. The two phases:
    #   a) The package is in the startup or initial phase
    #   b) The package is in the running or normal phase
    #
    # Two flags/properties impact the behaviour:
    #   1) A SGeSAP debug file
    #   2) The state of the package: maintenance
    #
    # Startup phase:
    #   - If a debug file exists no SAP instances are started and no
    #   SGeSAP monitors are started.
    #   - If package is in maintenance state the SAP instances are started
    #   but no SGeSAP monitors are started.
    #
    # Normal phase- The SAP instance is up and running:
    #   - The creation of a debug file will suspend the SGeSAP monitoring
    #   activities.
    #   - Setting the package state=maintenance will suspend the SGeSAP
    #   monitoring activities.
    #

    # Monitor Startup phase: if debug flag file is set or package is in
    # maintenance state wait with execution/start of SGeSAP monitors.
    # Used so none of the "collect initial information commands" get
    # executed filling the log.

    while [ ${debug} -ne 0 ];
    do
        _check_debug ${STARTUP_R3} && pkg_is_in_maintenance # if not in debug, check maintenance
        if [ $? -eq 1 ]; then
            if [ ${debug} -eq 2 ]; then
                LogMsg2 0 "${MNAME%,} monitor initialization - paused in SGeSAP debug/SG maintenance mode"
                debug=1
            fi
        else
            if [ ${debug} -eq 1 ]; then
                LogMsg2 0 "${MNAME%,} monitor initialization - leaving SGeSAP debug/SG maintenance mode"
                debug=0
            fi
            # no debug or maintenance mode
            # therefore exit while loop
            break
        fi
        sleep ${MDM_MONITOR_INTERVAL}
    done

#    LogMsg "MDM monitor (re)started"
    debug=0

    ########################################
    # prevent breaking of previous MDM
    # configs containing a database. these
    # should now be monitored via separate
    # sapdatab.mon
    #
    # check if a database is specified
    # together with an MDM  package. If it
    # is monitor monitor both DB and the
    ########################################

    use_old_mdm_mon=0
    if [ ! -z "${SGeSAP_DB_SYSTEM}" ]; then
      hasdatabmon=0
      hasmdmmon=0
      for mon_cmd in ${SG_SERVICE_CMD[@]}
      do
        DbgLogMsg "mon_cmd=[${mon_cmd}]"
        hasdatabmon=`echo "${mon_cmd}"|grep "sapdatab.mon"|wc -l`
        hasmdmmon=`echo "${mon_cmd}"|grep "sapmdm.mon"|wc -l`
      done

      DbgLogMsg "hasdatabmon=[${hasdatabmon}]"
      DbgLogMsg "hasmdmmon=[${hasmdmmon}]"
      if [[ ( $hasdatabmon -eq 0 ) && ( $hasmdmmon -gt 0 ) ]]; then
        LogMsg "Info: Package contains a monitor for MDM instance but none for the DB instance. It"
        LogMsg "appears to be a older configuration with the integrated MDM database monitor. MDM database"
        LogMsg "monitors should now be configured via SG package variable: service_cmd /opt/cmcluster/sap/SID/sapdatab.mon"

        # for compatability use the old MDM database monitor
        LogMsg "Switching to backwards compatability - using the former integrated MDM database monitor"
        use_old_mdm_mon=1

        init_params_sap_db
        LogMsg "Variable SGeSAP_DB_SYSTEM set - monitoring MDM MDB database"
        if [ "X${DB}" = "XMAXDB" ]; then
          maxdb_setenv
        elif [ "X${DB}" = "XORACLE" ]; then
          ora_setenv
        fi
        LogMsg "DB=[$DB] DBSID=[$DBSID] DBADM=[$DBADM]"
      fi
    fi

    ########################################
    # init the monitor states
    # GREEN/YELLOW_COUNT/STOP_COUNT
    ########################################
     m_init_states

    ########################################
    # Continuously loop - checking
    # the status of MDM components. If
    # status check fails exit this script.
    # Serviceguard should start the
    # package on another cluster node
    ########################################
    LogMsg "Entering MDM monitor loop..."

    while true
    do

        ########################################
        # temporarily deactivate execution of
        # checking function below if a debug
        # flag file was found.
        # Note: the debug flag file allows the
        # start of a Serviceguard package (eg
        # mount filesystems, enable virtual IPs..)
        # without executing any SGeSAP specific
        # functions. Therefore the check also
        # shouldn't not be enabled until the
        # debug file is removed and the package
        # has started.
        ########################################
        DbgLogMsg "________ START of a monitor loop ________"

        _check_debug ${STARTUP_R3}  && pkg_is_in_maintenance
        if [ $? -eq 1 ]; then
            if [ ${debug} -eq 0 ]; then
              LogMsg2 0 "${MNAME%,} monitor paused - in SGeSAP debug/SG maintenance mode"
              debug=1
            fi
            sleep ${MDM_MONITOR_INTERVAL}
            continue
        else
            if [ ${debug} -eq 1 ]; then
                LogMsg2 0 "${MNAME%,} monitor active - leaving SGeSAP debug/SG maintenance mode"
                debug=0
                mdmmon_reset
            fi
        fi

        # reset new alert flag
        alert_status_new=0
        alert_status_new=0
        alert_changed=0
        alert_params_new[${PKG_SGESAP_SERVICE_RED}]=""
        alert_params_new[${PKG_SGESAP_SERVICE_YELLOW}]=""
        alert_params_new[${PKG_SGESAP_MANUALLY_HALTED}]=""

        ########################################
        # prevent breaking of previous MDM
        # configs containing a database. these
        # are now monitored via sapdatab.mon
        # monitor a MDM DB if it is part of
        # this package
        ########################################
        if [ ${use_old_mdm_mon} -eq 1 ]; then
            mon_mdm_db
            if [ $? -eq 1 ]; then continue; fi
        fi

        ########################################
        # Array ${MDMNAME[@]} contains all MDM
        # instances configured in the SG package
        # Loop thru instances and check health
        ########################################
        typeset i=0

        for NAME in ${MDMNAME[@]}
        do

            ########################################
            # check each MDM component
            ########################################
            DbgLogMsg "____ Monitoring i=${i} MDM Instance ${MDMNAME[$i]}${MDMNR[$i]} ____"

            ########################################
            # check and set if instance was manually
            # stopped e.g. look for a flag directory:
            # <APIDIR>/sgesap_<SID>_<INAME><INR>_stopped
            ########################################
            m_set_external_states ${MDMNAME[$i]} ${MDMNR[$i]} ${i}

            ########################################
            # determine state -sets global MDM_ALIVE
            ########################################
            monitor_mdm_state ${i}

            m_mdm_update_states ${MDMNAME[$i]} ${MDMNR[$i]} ${MDM_ALIVE} ${i} ${MDM_INIT}
            rc=$?

            ########################################
            # m_update_states() changed to RED but a
            # exit was prevented because in maintenance
            # therefore break this loop and wait in
            # pkg_is_in_maintenance of outer loop
            ########################################
            if [ $rc -eq 1 ]; then break; fi

            (( i = i + 1 ))
        done

        ########################################
        # set alert status used by SGMgr based
        # on STATUS_FLAG
        ########################################
        typeset i=0
        for NAME in ${MDMNAME[@]}
        do
          m_set_alerts ${MDMNAME[$i]} ${MDMNR[$i]} ${MDM_ALIVE} ${i}
          (( i = i + 1 ))
        done

        ########################################
        # deliver the alert
        ########################################
        m_handle_alerts

        ########################################
        # done loop thru loop once to log status
        # via mdmmon_init
        ########################################
        MDM_INIT=0


        ########################################
        # sleep for interval amount before
        # checking status of component again
        ########################################
        DbgLogMsg "Sleeping MDM_MONITOR_INTERVAL=[${MDM_MONITOR_INTERVAL}]"
        sleep $MDM_MONITOR_INTERVAL

    done # while true

}

########################################################################
# Function:
# check for if debug flag file exists.  delay further execution of
# script as long as the debug flag file exists
########################################################################
function check_execution_delay_flag
{
        typeset fname=check_execution_delay_flag

#        _check_debug ${SUSPENDEXECUTION_STATE_FILE}
        _check_debug ${STARTUP_R3}
        if [ $? -eq 1 ]; then
          if [ ${SUSPENDEXECUTION_STATE} -eq 0 ]; then
		    LogMsg "Found - wait in debug mode and delay further execution"
            SUSPENDEXECUTION_STATE=1
          fi
	      [ ${SG_LOG_LEVEL} -ge 4 ] && LogMsg "Sleeping MDM_MONITOR_INTERVAL=[${MDM_MONITOR_INTERVAL}]"
          sleep ${MDM_MONITOR_INTERVAL}
          continue
        else
          if [ ${SUSPENDEXECUTION_STATE} -eq 1 ]; then
		     LogMsg "The debug_flag_file was removed - leave debug mode and continue with execution"
             SUSPENDEXECUTION_STATE=0
          fi
        fi
}

#######################################################################
#
# sapinfra start and stop functions
#
#######################################################################

function start_sapccmsr
{
  typeset fname=start_sapccmsr
  BLogMsg $*

  SAPCCMSR_CMD=${SAPCCMSR_CMD:-sapccmsr}
  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" "${SAPCCMSR_CMD}"
  if [ $? -eq 1 ]; then
    SAPCCMSR_CMD=sapccm4x
    find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" ${SAPCCMSR_CMD}
    if [ $? -eq 1 ]; then
      SAPCCMSR_CMD=sapcm3x
      find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" ${SAPCCMSR_CMD}
      if [ $? -eq 1 ]; then
        WrnLogMsg "Cannot find any sapccmsr binary - skipping"
        return 1
      fi
    fi
  fi
  LogMsg "Send start request to ${SAPCCMSR_CMD} ..."

  #
  # position the DCCMS option in the option string
  #
  if [ "X${SAPCCMSR_PFL}" = "X" ]; then
    SAPCCMSR_OPTS="-DCCMS"
  else
    if [ `echo '${SAPCCMSR_PFL}'|grep -e "pf=" -e "-j2ee" -e "-DCCMS"|wc -l` -eq 0 ]; then
      #
      # compatibility option for SGeSAP 3.x,4.x
      #
      SAPCCMSR_OPTS="-DCCMS pf=${SAPCCMSR_PFL}"
    else
      SAPCCMSR_OPTS=`echo ${SAPCCMSR_PFL}|sed 's/-DCCMS//'|sed 's/^-j2ee/-j2ee -DCCMS/'`
      if [ `echo '${SAPCCMSR_PFL}'|grep "-DCCMS"|wc -l` -eq 0]; then
        SAPCCMSR_OPTS="-DCCMS ${SAPCCMSR_OPTS}"
      fi
    fi
  fi
  LogMsg2 2 "${SAPCCMSR_CMD} ${SAPCCMSR_OPTS}"
  (su - ${OWNER:-${MYSIDADM}} -c "${SAPCCMSR_CMD} ${SAPCCMSR_OPTS}" 2>&1|logpipe) &
  watchdog $!
}


function stop_sapccmsr
{
  typeset fname=stop_sapccmsr
  BLogMsg $*

  #
  # identify binary
  #
  SAPCCMSR_CMD=${SAPCCMSR_CMD:-sapccmsr}
  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" "${SAPCCMSR_CMD}"
  if [ $? -eq 1 ]; then
    SAPCCMSR_CMD=sapccm4x
    find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" ${SAPCCMSR_CMD}
    if [ $? -eq 1 ]; then
      SAPCCMSR_CMD=sapcm3x
      find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" ${SAPCCMSR_CMD}
      if [ $? -eq 1 ]; then
        WrnLogMsg "Cannot find any sapccmsr binary - skipping"
        return 1
      fi
    fi
  fi
  LogMsg "Send stop request to ${SAPCCMSR_CMD} ..."

  #
  # position the stop option in the option string
  #
  if [ "X${SAPCCMSR_PFL}" = "X" ]; then
    SAPCCMSR_OPTS="-stop"
  else
    if [ `echo '${SAPCCMSR_PFL}'|grep -e "pf=" -e "-j2ee" -e "-Dstop"|wc -l` -eq 0]; then
      #
      # compatibility option for SGeSAP 3.x,4.x
      #
      SAPCCMSR_OPTS="-stop pf=${SAPCCMSR_PFL}"
    else
      SAPCCMSR_OPTS=`echo ${SAPCCMSR_PFL}|sed 's/-stop//'|sed 's/^-j2ee/-j2ee -stop/'`
      if [ `echo '${SAPCCMSR_PFL}'|grep "-stop"|wc -l` -eq 0]; then
        SAPCCMSR_OPTS="-stop ${SAPCCMSR_OPTS}"
      fi
    fi
  fi
  LogMsg2 2 "${SAPCCMSR_CMD} ${SAPCCMSR_OPTS}"
  (su - ${OWNER:-${MYSIDADM}} -c "${SAPCCMSR_CMD} ${SAPCCMSR_OPTS}" 2>&1|logpipe) &
  watchdog $! &
        watchdog $!
}


function start_rfcadapter
{
  typeset fname=start_rfcadapter
  BLogMsg $*

  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" sappfpar
  LogMsg "Send start request to RFC adapter ..."
  LogMsg2 2 "${RFCADAPTER_CMD} start"
  (su - ${OWNER:-root} -c "${RFCADAPTER_CMD} start" 2>&1|logpipe) &
  watchdog $!
}


function stop_rfcadapter
{
  typeset fname=stop_rfcadapter
  BLogMsg $*

  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" sappfpar
  LogMsg "Send stop request to RFC adapter ..."
  LogMsg2 2 "${RFCADAPTER_CMD} stop"
  (su - ${OWNER:-root} -c "${RFCADAPTER_CMD} stop" 2>&1|logpipe) &
  watchdog $!
}


function start_saprouter
{
  typeset fname=start_saprouter
  BLogMsg $*

  typeset i
  typeset -i inr=1
  typeset routers1 routers2

  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" saprouter
  if [ $? -eq 1 ]; then
    LogMsg "saprouter binary not found - skip saprouter start"
    return 1
  fi

  routers1=`ps -ef|grep saprouter|grep ${OWNER}|wc -l`
  LogMsg2 4 "Send start request to saprouters ..."

  while [ -n "${SAPROUTER_START[${inr}]}" ];
  do
    LogMsg "Send start request to saprouter ${inr}"
    LogMsg2 2 "saprouter -r ${SAPROUTER_STRING[$inr]}"
    su - ${OWNER} -c "saprouter -r ${SAPROUTER_STRING[$inr]} &" >/dev/null 2>&1
    sleep 2
    routers2=`ps -ef|grep saprouter|grep ${OWNER}|wc -l`
    if [ ${routers2} -gt ${routers1} ]; then
      LogMsg "Saprouter ${inr} started"
      routers1=${routers2}
    else
      WrnLogMsg "Start of saprouter ${inr} possibly failed"
    fi
    (( inr = ${inr} + 1 ))
  done
}


function stop_saprouter
{
  typeset fname=stop_saprouter
  BLogMsg $*

  typeset i
  typeset -i inr=1
  typeset routers1 routers2

  find_sap_binary D 99 ${HNAME} "${SAPSYSTEMNAME}" saprouter
  if [ $? -eq 1 ]; then
    LogMsg "saprouter binary not found - skip saprouter stop"
    return 1
  fi

  routers1=`ps -ef|grep saprouter|grep ${OWNER}|wc -l`
  LogMsg2 4 "Send stop request to saprouters ..."

  while [[ -n "${SAPROUTER_START[$inr]}" && ${routers1} -gt 0 ]]
  do
    if [ ${SAPROUTER_STOP[$inr]} -eq 1 ]; then
      LogMsg "Send stop request to saprouter ${inr} ..."
      LogMsg2 2 "saprouter -s ${SAPROUTER_STRING[${inr}]}"
      su - ${OWNER} -c "saprouter -s ${SAPROUTER_STRING[${inr}]} &" >/dev/null 2>&1
      sleep 2
      routers2=`ps -ef|grep saprouter|grep ${OWNER}|wc -l`
      if [ ${routers2} -lt ${routers1} ]; then
        LogMsg "Saprouter ${inr} stopped"
        routers1=${routers2}
      else
        WrnLogMsg "Stop of saprouter ${inr} possibly failed"
      fi
    fi
    (( inr = ${inr} + 1 ))
  done
}


function start_sapwebdisp
{
  typeset fname=start_sapwebdisp
  typeset SAPWEBDISP_CMD="${SAPWEBDISP_EXE} pf=${SAPWEBDISP_PFL} ${SAPWEBDISP_PARAMS}"
  BLogMsg $*

  LogMsg2 5 "SAPWEBDISP_CMD=<${SAPWEBDISP_CMD}>"

  if [ -x "${SAPWEBDISP_EXE}" ]; then
    OWNER=`ls -o ${SAPWEBDISP_EXE} 2>/dev/null|awk '{ print $3 }'`
    if test_proc_user ${SAPWEBDISP_EXE} ${OWNER}  ; then
      LogMsg "${SAPWEBDISP_EXE} already running with PID ${TPID}. Skipping process startup"
      return 0
    fi
    LogMsg "Starting ${SAPWEBDISP_EXE} as ${OWNER}"
    # needs to put into background as it doesn't spawn itself
    (su - ${OWNER} -c "cd ${SAPWEBDISP_WORKDIR};( ${SAPWEBDISP_CMD} & )" >/dev/null 2>&1) &
    watchdog $!
    if test_proc_user ${SAPWEBDISP_EXE} ${OWNER}  ; then
      LogMsg "${SAPWEBDISP_EXE} running with PID ${TPID}"
    else
      ErrLogMsg "${SAPWEBDISP_EXE} not running. Startup failed"
      # exit ?
      return 1
    fi
  else
    ErrLogMsg "${SAPWEBDISP_EXE} does not exist or is not executable"
    return 1
  fi
  return 0
}


function stop_sapwebdisp
{
  typeset fname=stop_sapwebdisp
  BLogMsg $*

  OWNER=`ls -o ${SAPWEBDISP_EXE} 2>/dev/null|awk '{ print $3 }'`
  if [ "X${OWNER}" != "X" ]; then
    # assumes that sapwebdisp is started with the owner uid
    if test_proc_user ${SAPWEBDISP_EXE} ${OWNER}  ; then
      LogMsg "Stopping ${SAPWEBDISP_EXE} running with PID ${TPID}"
      kill -2 ${TPID} # as recommended by SAP
      sleep ${SAPWEBDISP_STPTMO} # may take some time to shutdown.
    else
      LogMsg "${SAPWEBDISP_EXE} not running. Skipping stop"
      return 0
    fi
    if test_proc_user ${SAPWEBDISP_EXE} ${OWNER}  ; then
      WrnLogMsg "${SAPWEBDISP_EXE} still running"
      # shutdown may still be in progress. dev trace could be checked
      return 0
    fi
  else
    ErrLogMsg "${SAPWEBDISP_EXE} doesn't exist"
    return 1
  fi
  return 0
}

########################################################################
# OS wrappers
########################################################################

#########################################################################
#
# SUB Function: ipcs
#
# Wrapper for OS command ipcs
# Purpose is to provide POSIX style output on all supported OS
# On HP-UX it simply forwards the call the OS command ipcs
# On Linux it starts inline perl code reading from /proc/sysvipc files
# (as it would be quite to cumbersume work with output format of original
#  ipcs command on Linux)
#
# Parameters:
# ipcs options (limited on Linux)
#
#########################################################################
function ipcs
{
  case "${HPLAT}" in
    HP-UX)
        eval  $(which ipcs) $*
        return $?
    ;;
    Linux)
perl -w -e '
#
# Get POSIX like output by reading
# /proc/sysvipc/msg|shm|sem
#
# Linux only (but no check done)
#
# Limited options only:
# -[mqs][c]
#
my $PROCprefix="/proc/sysvipc";
my @PROCfiles=("msg","shm","sem");

my $LineFormat="%1s %10s 0x%08x %11s %9s %9s";
my $LineFormatCrOwn=$LineFormat." %9s %9s";

my $Headline="T         ID     KEY        MODE        OWNER     GROUP";
my $HeadlineCrOwn=$Headline."   CREATOR    CGROUP";

my %HeadlineFiles=($PROCfiles[0],"Message Queues",
                   $PROCfiles[1],"Shared Memory",
                   $PROCfiles[2],"Semaphores");
my %FilesOutprefix=($PROCfiles[0],"q",
                    $PROCfiles[1],"m",
                    $PROCfiles[2],"s");
# uid index. guid, cuid, cgid follow next
my %FilesUIDidx=($PROCfiles[0],7,
                 $PROCfiles[1],7,
                 $PROCfiles[2],4);

my $CrOwn=0;
my $facilities=0x07; # facilities, default all (q=1+m=2+s=4)
#$facilities=0x00;

# map already found id->name (not used yet)
my %uidmap=();
my %guidmap=();

my $wmodechar='\'w\''; # a for sem

sub getMODE {
  # perm as parameter
  $perm = shift;
  $perm = hex($perm);
  $mode="--";
  $mode="-D" if ($perm & 0x1000);

  $mult=0x100;
  foreach my $idx (2,1,0) {
    $mode = $mode.(($perm & (4*$mult)) ? "r" : "-");
    $mode = $mode.(($perm & (2*$mult)) ? $wmodechar : "-");
    $mode = $mode."-";
    $mult /= 0x10;
  }
  return $mode;
}

# Figure out options given on cmdline
if (defined $ARGV[0]) {
  $CrOwn=1 if ($ARGV[0] =~ /c/);
  my $facmask=1;
  my $factmp=0;
  foreach my $fac ('\'q\'','\'m\'','\'s\'') {
    $factmp |= $facmask if ($ARGV[0] =~ /$fac/);
    $facmask *= 2;
  }
  $facilities=$factmp if $factmp;
}

# output starts here...
print "IPC status from $PROCprefix as of <date here>\n";
$Headline=$HeadlineCrOwn if $CrOwn;
print $Headline."\n";

$LineFormat=$LineFormatCrOwn if $CrOwn;

my $facility=1;
foreach my $PROCfile (@PROCfiles) {
#  print $PROCprefix."/".$PROCfile."\n";
  unless ($facilities & $facility) {
    $facility *= 2;
    next;
  }
  print $HeadlineFiles{$PROCfile}.":\n";
  $wmodechar='\'w\'';
  $wmodechar='\'a\'' if ($PROCfile eq "sem");
  my $fh;
  open ($fh, $PROCprefix."/".$PROCfile) or next; # warning here?
  <$fh>; # get rid of column headlines in file
  while (<$fh>) {
    #print $_;
    my @fields=split;
    # translate  perms to MODE (perm considered hex), uid+guid to username+groupname here
    printf($LineFormat."\n",$FilesOutprefix{$PROCfile},$fields[1],$fields[0]&0x0000000FFFFFFFF,
                 getMODE($fields[2]),
                (getpwuid($fields[$FilesUIDidx{$PROCfile}]))[0] || $fields[$FilesUIDidx{$PROCfile}],
                (getgrgid($fields[$FilesUIDidx{$PROCfile}+1]))[0] || $fields[$FilesUIDidx{$PROCfile}+1],
                $CrOwn ? (getpwuid($fields[$FilesUIDidx{$PROCfile}+2]))[0] || $fields[$FilesUIDidx{$PROCfile}+2] : "",
                $CrOwn ? (getgrgid($fields[$FilesUIDidx{$PROCfile}+3]))[0] || $fields[$FilesUIDidx{$PROCfile}+3] : ""
                );

  }
  close ($fh);
   $facility *= 2;
}
' -- $1

    ;;
  esac
}


########################################################################
# PURPOSE: Perform a maintenance task on the database (e.g. shutdown) without
# the frontend SAP ABAP application servers having to "deactivate connections"
# Basically from an ABAP applicaiton servers view the active DB
# connections are frozen for a short time while the DB restarts. The freeze
# phase is triggered by the existence of a flag file $(DIR_GLOBAL)/hdb_quiesce.dat.
# To enable the parameter dbs/hdb/quiesce_check_enable = 1 must be set
# in the SAP profiles or via RZ11. See OSS note 1913302 for details.
#
# On the DB server the sql select statement for table M_CONNECTIONS
# returns these items:
#
# SAPH74,sgxsap76,192.168.244.76,SAPH74,201563,Remote,IDLE,20815
# SAPH74,sgxsap76,192.168.244.76,SAPH74,201564,Remote,IDLE,19521
# SAPH74,sgxsap76,192.168.244.76,SAPH74,201565,Remote,IDLE,12443
# SAPH74,sgxsap76,192.168.244.76,SAPH74,-201545,History (remote),,1449
# SAPH74,sgxsap76,192.168.244.76,SAPH74,-201546,History (remote),,1449
# SYSTEM,,,SYSTEM,200017,Local,IDLE,0
# SYSTEM,sgxsap73,127.0.0.1,SYSTEM,-201592,History (remote),,2074
# _SYS_AFL,,,SYSTEM,200016,Local,IDLE,0
#
# Goal:
# Identify all remote SAP application servers to be able to create the
# above flag file.
#
#  From the viewpoint of the DB most of the "frozen" DB connections from the
#    SAP ABAP servers do terminate. These can be identified:
#    - if the CONNECTION_ID becomes negativ or
#    - if the CONNECTION_TYPE changes from "Remote" -> "History (remote)"
#    - if the CONNECTION_STATUS changes from IDLE, RUNNING -> ""
#
#    According to SAP note 1913302 not all connections will necessarily terminate.
#
########################################################################
# Function: get_hdb_conns
#
# Purpose: This function connects to a HANA DB and collects the SID, IP
# address, schema and the number of connections to the application server.

# Parameters:
# $sidadm         user for connecting to database
# $hdbstore_user  the hdbstore string for password less connect
# $quiescesids    sids to quiesce as specified in SG package config
#
# Returns:
# @result         [H74 192.168.244.75 192.168.244.77]
#                 SID and  list ip of remote application servers
# Remarks:
#
########################################################################
function get_hdb_conns
{
  typeset fname=get_hdb_conns
  BLogMsg $*

  typeset idx=$1
  typeset quiescesids="${quiesce_sids[$idx]}"
  typeset quiescenode="${quiesce_nodes[$idx]}"
  typeset qschema="${quiesce_schemas[$idx]}"
  typeset qdbname="${quiesce_dbnames[$idx]}"
  typeset dbadmin="${quiesce_dbadmins[$idx]}"
  typeset dbuserkey="${quiesce_dbuserkeys[$idx]}"
  typeset quiesce_diapids="${quiesce_diapids[$idx]}"


  if [[ -z "${dbuserkey}" ]];  then
    LogMsg "Info: HDB_USERKEY/HDB_QUIESCE_HDB_DB_USERKEY not set: quiescesids=[$quiescesids] quiescenode=[$quiescenode] - can't check for active connections ..."
    return 1
  fi
  DbgLogMsg "Running hdbsql select from M_CONNECTIONS..."


  perl -w -e '

  use strict;
  use warnings;
#  use diagnostics;
  use FileHandle;
  use Data::Dumper;
  use Carp;

    my $DBG=shift;
    my $dbadmin=shift;
    my $hdbstore_user=shift;
    my $quiescesids=shift;
    my $quiescenode=shift;
    my $qschema=shift;
    my $qdbname=shift;
    my $is_hdbmultidb=shift;
    my $diapids=shift;

    my $dumpdata=0;
    #my $DBG=2;
    $DBG=0 if ($DBG < 2);

    my ($user, $host, $ip, $schema, $conn_type, $conn_status, $conn_id, $client_pid);
    my ($line, $cmd, $sid, $fh);
    my %connhash=();
    my $total_conns=0;
    my $cnt_conns=0;
    my @result=();

    print STDERR "dbadmin=[$dbadmin] hdbstore_user=[$hdbstore_user] quiescesids=[$quiescesids] quiescenode=[$quiescenode] \n" if ($DBG);
    print STDERR "qschema=[$qschema] qdbname=[$qdbname] is_hdbmultidb=[$is_hdbmultidb]\n" if ($DBG);
    print STDERR "diapids=[$diapids]\n" if ($DBG);
    my @qsids =  split(/ +/, $quiescesids);
    print STDERR "qsids=[@qsids]\n" if ($DBG);

    if ($is_hdbmultidb == 1) {
      $cmd = qq[su - $dbadmin -c "hdbsql -U $hdbstore_user -d $qdbname \\"SELECT USER_NAME,CLIENT_HOST,CLIENT_IP,current_schema_name,connection_id,connection_type,connection_status,client_pid FROM M_CONNECTIONS\\"" 2>/dev/null | ];
    } else {
      $cmd = qq[su - $dbadmin -c "hdbsql -U $hdbstore_user \\"SELECT USER_NAME,CLIENT_HOST,CLIENT_IP,current_schema_name,connection_id,connection_type,connection_status,client_pid FROM M_CONNECTIONS\\"" 2>/dev/null | ];
    }


    print STDERR "running cmd=[$cmd]\n" if ($DBG);
    open( $fh, $cmd ) or confess "popen cmd=[$cmd] failed: \$?=[$?] \$!=[$!]";

    while ($line = <$fh>) {
        chomp($line);
        print STDERR "line=[$line]\n" if ($DBG);
        if ($line =~ /^"/) {                        # only interested in hdbsql out lines starting with quotes
            $line =~ tr/"//d;                       # remove quotes surrounding each element

            ( $user, $host, $ip, $schema, $conn_id, $conn_type, $conn_status, $client_pid) = split( /,/, $line );
            $connhash{"$schema"}->{"$host"}->{"ip"} = $ip;
            $connhash{"$schema"}->{"$host"}->{"conn_status"}->{"$conn_status"}++;
            #$connhash{"$schema"}->{"$host"}->{"conn_status"}->{"TOTAL_CONNS"}++;
            push( @{ $connhash{"$schema"}->{"$host"}->{"client_pids"} }, $client_pid ) if ( $conn_id > 0 && $client_pid > 0 );
        }
    }
    #close($fh) or confess "pclose \$cmd=[$cmd] failed: \$?=[$?]\n";
    close($fh) or die "DB appears down - pclose for M_CONNECTIONS: \$?=[$?]\n";

    $dumpdata && print STDERR ( Data::Dumper->Dump( [ \%connhash ], ["connhash"] ));
    #print STDERR "client_pids=[@client_pids]" if ($DBG);

    # parse connhash structure
    #  - only collect running connections
    #  - only interested if schema string matches the quiesce sids as specified in SG package

#    foreach $schema ( keys %{connhash} ) {
#        if ($schema !~ /$qschema/) { next };  # only get connections matching qschema
#        # sum up all RUNNING connections
#        foreach $host ( keys  %{ $connhash{"$schema"} } ) {
#
#            if ( defined $connhash{"$schema"}->{"$host"}->{"conn_status"}->{"RUNNING"}) {
#                my $cnt_conn=$connhash{"$schema"}->{"$host"}->{"conn_status"}->{"RUNNING"};
#                print STDERR "Current DB connections: schema=[$schema] host=[$host] cnt_conn=[$cnt_conn]\n" if ($DBG);
#                $cnt_conns       = $cnt_conns + $cnt_conn;
#            }
#            if ( defined $connhash{"$schema"}->{"$host"}->{"conn_status"}->{"IDLE"}) {
#                my $cnt_conn=$connhash{"$schema"}->{"$host"}->{"conn_status"}->{"IDLE"};
#                print STDERR "Current DB connections: schema=[$schema] host=[$host] cnt_conn=[$cnt_conn]\n" if ($DBG);
#                $cnt_conns       = $cnt_conns + $cnt_conn;
#            }
#        }
#    }
#


    foreach $schema ( keys %{connhash} ) {
        if ($schema !~ /$qschema/) { next };  # only get connections matching qschema
        foreach $host ( keys  %{ $connhash{"$schema"} } ) {

          $ip=$connhash{"$schema"}->{"$host"}->{"ip"};
          if ( ($host eq $quiescenode) || ($ip eq $quiescenode) ) {

            # map db client_pids into hash so we can compare with dialog pids
            my %client_pids = map {$_=>1} @{ $connhash{"$schema"}->{"$host"}->{"client_pids"} };

            foreach my $pid ( split / /, $diapids) {
                if ( exists $client_pids{$pid} ) {
                    print STDERR  "Found active DB client connection: pid=[$pid] qschema=[$qschema] quiescenode=[$quiescenode]\n" if ($DBG);
                    $cnt_conns++;
                }
            }
          }
        }
    }

    print STDERR "TOTAL cnt_conns=[$cnt_conns]\n" if ($DBG);

    # pass result back to shell
    print "$cnt_conns";
    exit 0;
' "$DBG" "$dbadmin" "$dbuserkey" "$quiescesids" "$quiescenode" "$qschema" "$qdbname" $IS_HDBMDC "$quiesce_diapids"

  # return perl exit code to calling function
  return $?
}

########################################################################
#
# Function: set_quiesce_phase
#
# Purpose: touch or remove the quiesce flag file for a Netweaver instance
# as viewed from the HDB system. Basically there are three options:
#   - Netweaver and HDB instance are in same cluster (cluster quiesce)
#   - Netweaver instance remote access via ssh (remote quiese)
#
# Parameters:
#  action=$1  enable/disable quiesce phase
#
# Remarks:
# To implement this 2 parameters are required in the package
# configuration file
# SGeSAP_HDB_QUIESCE_SYSTEM[0]="HNW"
# SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[0]=""
# SGeSAP_HDB_QUIESCE_SYSTEM[1]="TEM"
# SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[1]=""
# SGeSAP_HDB_QUIESCE_SYSTEM[2]="H74"
# SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[2]="192.168.244.76"
# SGeSAP_HDB_QUIESCE_SYSTEM[3]="H74"
# SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[3]="192.168.244.77"
#
# convention:
#    - if the IP_ADDRESS is empty then cluster hosts are used
#      implies SAP system is configured as a SG package
#    - if the IP_ADDRESS NOT empty then remote hosts are used
########################################################################
function set_quiesce_phase
{
  typeset fname=set_quiesce_phase
  [ ${DBG:-0} -ne 0 ] && BLogMsg $*

  typeset action=$1
  typeset rcmd
  typeset SID
  typeset sidadm
  typeset ip

  typeset qfile
  typeset pfpar
  typeset dir_global
  typeset qschema
  typeset qdbname

  typeset -i cnt=0
  typeset -i idx=0    # step thru SGeSAP_HDB_QUIESCE_... array/structure from package
  typeset -i qdx=0    # save DB connection data for each netweaver system
  typeset -i ridx=0
  typeset -i found=0

  typeset timeout=10
  typeset out_cmviewcl
  typeset pkg
  typeset pkgs
  typeset node

  typeset qmaxcnt

  case $action in
  ("enable")
    # Only enter quiesce phase if halt was initiated by cmhaltpkg
    # command = user iniated (e.g. don't enter quiesce phase if
    # package monitor detected failure and triggered a halt)
    if [[ "${SG_HALT_REASON}" != "user_halt" ]]; then
      LogMsg "Quiesce of DB connections only available if cmhaltpkg issued by user"
      LogMsg "Skipping quiesce phase - SG_HALT_REASON=[${SG_HALT_REASON}] Serviceguard and not user-initiated halt"
      return
    else
      LogMsg "Entering quiesce phase - SG_HALT_REASON=[${SG_HALT_REASON}] user-initiated halt"
    fi

    rcmd="touch"

    quiesce_init_structs $action
    run_quiesce_phase $action "$rcmd"
    quiesce_phase_wait
  ;;

  ("disable")
    #
    # If saphdbsys.mon reports ok, all hdb_quiesce.dat flag files
    # can be removed. This is valid if a scaleout or scaleup
    # configuration or if in a SO configuration any time a node
    # is started (e.g. it doesn't have to be the leader)

    rcmd="rm -f"

    if [[ ${DBG} -gt 0 ]]; then
      DbgLogMsg "====== $fname begin"
      DbgLogMsg "Nr SGeSAP_HDB_QUIESCE_SYSTEM=[${#SGeSAP_HDB_QUIESCE_SYSTEM[@]}] HDBSCALEOUT=[$HDBSCALEOUT] SO_LEADNODE=[$SO_LEADNODE]"
      DbgLogMsg "SGeSAP_HDB_QUIESCE_SYSTEM=[${SGeSAP_HDB_QUIESCE_SYSTEM[@]}]"
      DbgLogMsg "SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS=[${SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[@]}]"

      DbgLogMsg "quiesce_sids=[${quiesce_sids[@]}]"
      DbgLogMsg "quiesce_nodes=[${quiesce_nodes[@]}]"
      DbgLogMsg "quiesce_isclunode=[${quiesce_isclunode[@]}]"
      DbgLogMsg "quiesce_ffremoved=[${quiesce_ffremoved[@]}]"
      DbgLogMsg "quiesce_dbadmins=[${quiesce_dbadmins[@]}]"
      DbgLogMsg "quiesce_dbuserkeys=[${quiesce_dbuserkeys[@]}]"
      DbgLogMsg "quiesce_dirglobal=[${quiesce_dirglobal[@]}]"
      DbgLogMsg "quiesce_schemas=[${quiesce_schemas[@]}]"
      DbgLogMsg "quiesce_dbnames=[${quiesce_dbnames[@]}]"
      DbgLogMsg "quiesce_progress=[${quiesce_progress[@]}]"
      DbgLogMsg "quiesce_diapids=[${quiesce_diapids[@]}]"
      DbgLogMsg "====== $fname $action done"
    fi

    if [[ $QUIESCE_INIT_RUN -eq 0 ]]; then
        quiesce_init_structs $action
        run_quiesce_phase $action "$rcmd"
        QUIESCE_INIT_RUN=1
        qcnt=$QUIESCE_MAX_CHECKS
    else
      # check and log a maximum of qcnt=QUIESCE_MAX_CHECKS times
      # if all quiese.dat ff have been removed on remote systems.
      # after that run in background without logging.
      # the quiesce_ffremoved[@] (1=removed, 0=not removed)
      # determines which outstanding ff have to be removed.

        qidx=0
        for SID in ${quiesce_sids[@]}; do
          if [[ ${quiesce_ffremoved[$qidx]} -eq 0 ]]; then
            [[ $qcnt -gt 0 ]] && LogMsg "Quiesce flagfile check countdown qcnt=[$qcnt]"
            [[ $qcnt -gt 0 ]] && LogMsg "flag file state for qidx=[$qidx] quiesce_nodes=${quiesce_nodes[$qidx]} not removed - trying to remove"
            quiesce_rm_ff $qidx
            if [[ ${quiesce_ffremoved[$qidx]} -eq 1 ]]; then
              [[ $qcnt -gt 0 ]] && LogMsg "flag file state for qidx=[$qidx] quiesce_nodes=${quiesce_nodes[$qidx]} removed"
            else
              [[ $qcnt -gt 0 ]] && LogMsg "flag file state for qidx=[$qidx] quiesce_nodes=${quiesce_nodes[$qidx]} not removed"
            fi
          fi
          DbgLogMsg "------  working on qidx=[$qidx] done"
          (( qidx++ ))
       done
       if [[ $qcnt -gt 0 ]]; then
          (( qcnt-- ))
          [[ $qcnt -eq 0 ]] && LogMsg "check count QUIESCE_MAX_CHECKS reached - continue removal in background"
       fi

    fi

  ;;

  esac

}

########################################################################
#
# Function: quiesce_init_structs
#
# Purpose:
#
# Parameters:
#
# Remarks:
########################################################################
function quiesce_init_structs
{
  typeset fname=quiesce_init_structs
  BLogMsg $*

  typeset qidx=0
  typeset idx=0

  typeset action=$1

  # reinit arrays when monitor get re-initiated
  unset  quiesce_sids[*]
  unset  quiesce_nodes[*]
  unset  quiesce_isclunode[*]
  unset  quiesce_ffremoved[*]
  unset  quiesce_dbadmins[*]
  unset  quiesce_dirglobal[*]
  unset  quiesce_schemas[*]
  unset  quiesce_dbnames[*]
  unset  quiesce_progress[*]
  unset  quiesce_diapids[*]

  typeset is_clunode
  typeset node
  typeset SID
  typeset sidadm

  # loop thru all SAP systems/sids configured for quiesce
  for SID in ${SGeSAP_HDB_QUIESCE_SYSTEM[@]};
  do
    sidadm=`echo ${SID}|$TRUL`adm

    DbgLogMsg "******idx=[$idx] SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS=[${SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[$idx]}]"
    if [[ -z ${SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[$idx]} ]]; then
      DbgLogMsg "data for cluster nodes ***"
      nds="$(get_pn_with_sid $SID)"
      is_clunode=1
    else
      DbgLogMsg "data for remote nodes ***"
      nds="${SGeSAP_HDB_QUIESCE_REMOTE_IP_ADDRESS[$idx]}"
      is_clunode=0
    fi
    LogMsg "Collecting data for nds=[$nds] is_clunode=[$is_clunode]"


    for node in $nds; do
      quiesce_sids[$qidx]=$SID
      quiesce_nodes[$qidx]=$node
      quiesce_isclunode[$qidx]=$is_clunode
      quiesce_ffremoved[$qidx]=0

      # sets quiesce_dbuserkey and quiesce_dbadmin
      set_quiesce_dbuserkeys $qidx $idx $SGeSAP_HDB_SYSTEM

      # sets quiesce_dirglobal quiesce_schemas quiesce_dbnames
      [[ $is_clunode -eq 1 ]] && get_quiesce_sappfpars $qidx "clu_get_sappfpar" "$SID" "$node" "$sidadm"
      [[ $is_clunode -eq 0 ]] && get_quiesce_sappfpars $qidx "rem_get_sappfpar" "$SID" "$node" "$sidadm"

      [[ $action = "enable" ]] && quiesce_get_dia_remote_procs $qidx $SID $node $sidadm
      (( qidx++ ))
        done

    (( idx++ ))
  done

      if [[ ${#SGeSAP_HDB_QUIESCE_SYSTEM[@]} -gt 0 ]]; then
    LogMsg "quiesce_sids=[${quiesce_sids[@]}]"
    LogMsg "quiesce_nodes=[${quiesce_nodes[@]}]"
    LogMsg "quiesce_isclunode=[${quiesce_isclunode[@]}]"
    LogMsg "quiesce_ffremoved=[${quiesce_ffremoved[@]}]"
    LogMsg "quiesce_dbadmins=[${quiesce_dbadmins[@]}]"
    LogMsg "quiesce_dbuserkeys=[${quiesce_dbuserkeys[@]}]"
    LogMsg "quiesce_dirglobal=[${quiesce_dirglobal[@]}]"
    LogMsg "quiesce_schemas=[${quiesce_schemas[@]}]"
    LogMsg "quiesce_dbnames=[${quiesce_dbnames[@]}]"
    LogMsg "quiesce_progress=[${quiesce_progress[@]}]"
    LogMsg "quiesce_diapids=[${quiesce_diapids[@]}]"
      fi
    }

########################################################################
#
# Function: quiesce_rm_ff
#
# Purpose:
#
# Parameters:
#
# Remarks:
# Even if quiesce_dirglobal[] couldn't be determined on remote system
# use fallback qfile and try to remove hdb_quiesce.dat on remote system.
# Else remote system might have problems coming up
########################################################################
function quiesce_rm_ff
{
  typeset fname=quiesce_rm_ff
  [[ ${DBG} -gt 0 ]] &&  BLogMsg $*
  #BLogMsg $*

  typeset qidx=$1
  typeset is_clunode
  typeset rcmd
  typeset action
  typeset qfile
  typeset timeout=10
  typeset SID=${quiesce_sids[$qidx]}
  typeset sidadm=`echo ${SID}|$TRUL`adm
  typeset node=${quiesce_nodes[$qidx]}


  [[ ${quiesce_ffremoved[$qidx]} -eq 1 ]] && return


  rcmd="rm -f"
  action="disable"

  DbgLogMsg "quiesce_progress=[quiesce_progress[$qidx]]"
  if [[ ${quiesce_progress[$qidx]} -lt $COMPLETE ]]; then
      is_clunode=${quiesce_isclunode[$qidx]}
      [[ $is_clunode -eq 1 ]] && get_quiesce_sappfpars $qidx "clu_get_sappfpar" $SID $node $sidadm
      [[ $is_clunode -eq 0 ]] && get_quiesce_sappfpars $qidx "rem_get_sappfpar" $SID $node $sidadm
  fi

  [[ ${quiesce_progress[${qidx}]} -lt $COMPLETE ]] && return

  DbgLogMsg "qidx=[$qidx] quiesce_dirglobal [${quiesce_dirglobal[${qidx}]}]"
  if [[ -z "${quiesce_dirglobal[${qidx}]}" ]]; then
    qfile="${USRSAPDIR}/${SID}/SYS/global/hdb_quiesce.dat"
    LogMsg "Using fallback value for qfile=[$qfile]"
  else
    qfile="${quiesce_dirglobal[$qidx]}/hdb_quiesce.dat"
  fi

  DbgLogMsg "qfile=[$qfile]"


  if [[ $isclunode -eq 1 ]]; then
    LogMsg "Executing cluster HDB-${action}-quiesce: [${SGSBIN}/cmexec $node -t $timeout $rcmd $qfile]"
    ${SGSBIN}/cmexec $node -t $timeout "$rcmd" "$qfile"
    rc=$?
  else
    remote_set_quiesce_phase $node $sidadm "$rcmd" "$qfile"
    rc=$?
          fi

  [[ $rc -eq 0 && $action = "disable" ]] && quiesce_ffremoved[$qidx]=1
  [[ $rc -ne 0 ]] && DbgLogMsg "Command failed rc=[$rc] node=[$node]"
  [[ $rc -ne 0 && $action = "disable" ]] && DbgLogMsg "Failed to remove quiesce flagfile=[$qfile] on node[$node]"

  DbgLogMsg "quiesce_ffremoved=[${quiesce_ffremoved[$qidx]}]"
}
########################################################################
# FUNCTION quiesce_get_dia_remote_procs
########################################################################
function quiesce_get_dia_remote_procs
{
  typeset fname=quiesce_get_dia_remote_procs
  BLogMsg $*

  typeset qidx=$1
  typeset SID=$2
  typeset node=$3
  typeset sidadm=$4

  typeset rcmd
  quiesce_diapids[$qidx]=""

  cp /dev/null $TMPQ
  # collect pids of SAP dialog work processes
  rcmd="ps -u $sidadm -o pid,comm| awk '/${SID}_.._DIA/ {printf \"%s \", \$1}'"
  DbgLogMsg "rcmd=[$rcmd]"
  DbgLogMsg "${REM_COMM} ${node} -l ${sidadm} rcmd > $TMPQ"
  ${REM_COMM} ${node} -l ${sidadm} "${rcmd}" > $TMPQ &
  watchdog $! 20 0
  rc=$?
  quiesce_diapids[$qidx]=$(cat $TMPQ)
  return $rc
}
########################################################################
# FUNCTION run_quiesce_phase
# Purpose:
########################################################################
function run_quiesce_phase
{
  typeset fname=run_quiesce_phase
  BLogMsg $*

  typeset action=$1
  typeset rcmd=$2
  typeset qidx
  typeset timeout=10

  qidx=0

  for SID in ${quiesce_sids[@]}; do
    if [[ $action = "enable" && ${quiesce_ffremoved[$qidx]} -eq 1 ]]; then
       continue
    fi
    sidadm=`echo ${SID}|$TRUL`adm
    qfile="${quiesce_dirglobal[$qidx]}/hdb_quiesce.dat"
    isclunode=${quiesce_isclunode[$qidx]}
    node=${quiesce_nodes[$qidx]}


    # only run an action if dataset is complete (e.g. all sappfpars were found..)
    if [[ ${quiesce_progress[$qidx]} -ge $COMPLETE ]]; then
      if [[ $isclunode -eq 1 ]]; then
        LogMsg "Executing cluster HDB-${action}-quiesce: [${SGSBIN}/cmexec $node -t $timeout $rcmd $qfile]"
        ${SGSBIN}/cmexec $node -t $timeout "$rcmd" "$qfile"
        rc=$?
      else
        remote_set_quiesce_phase $node $sidadm "$rcmd" "$qfile"
        rc=$?
      fi

      [[ $rc -eq 0 && $action = "disable" ]] && quiesce_ffremoved[$qidx]=1
      [[ $rc -ne 0 ]] && LogMsg "Command failed rc=[$rc]"
      if [[ $rc -ne 0 && $action = "disable" ]]; then
        LogMsg "Failed to remove quiesce flagfile=[$qfile] on node[$node]"
      fi
    fi
    (( qidx++ ))
  done

  DbgLogMsg "quiesce_ffremoved=[${quiesce_ffremoved[@]}]"
}

########################################################################
# FUNCTION set_quiesce_dbuserkeys
########################################################################
function set_quiesce_dbuserkeys
{
  typeset fname=set_quiesce_dbuserkeys
  BLogMsg $*

  typeset qidx=$1
  typeset idx=$2
  typeset SID=$3

  # set a default for db_admin
   if [[ -z ${SGeSAP_HDB_QUIESCE_DBADMIN[${idx}]} ]]; then
      quiesce_dbadmins[$qidx]=`echo ${SID}|$TRUL`adm
    else
      quiesce_dbadmins[$qidx]=${SGeSAP_HDB_QUIESCE_DBADMIN[${idx}]}
   fi

   # set a default for db_userkey
   if [[ -z ${SGeSAP_HDB_QUIESCE_USERKEY[${idx}]} ]]; then
      quiesce_dbuserkeys[$qidx]=${SGeSAP_HDB_USERKEY}
   else
      quiesce_dbuserkeys[$qidx]=${SGeSAP_HDB_QUIESCE_USERKEY[${idx}]}
   fi

}

########################################################################
#
# Function: get_pn_with_sid
#
# Purpose: touch
#
# Parameters:
#  action=$1  enable/disable quiesce phase
#
# Remarks:
########################################################################
function get_pn_with_sid
{
  typeset fname=get_pn_with_sid
  BLogMsg $*

  typeset SID=$1

  out_cmviewcl="$(${SGSBIN}/cmviewcl -v -f line -l package)"

  # get all packages configured for SGeSAP_HDB_SYSTEM
  pkgs="$(echo "$out_cmviewcl" | awk -F "[|:]" ' /^package:.*\/sap_system='${SID}'/ { print $2 } ' )"
  DbgLogMsg "SID=[$SID] pkgs=[$pkgs]"

  # collect all nodes the packages of SID could run on
  for pkg in $pkgs; do
    nodes="$( echo "$out_cmviewcl"| awk -F "[|:]" ' /^package:'${pkg}'\|node:.*\|status=/ { print $4 } ' )"
    all+="$nodes "
  done

  if [[ -z $all ]]; then
    return 1
  fi

  # remove duplicate nodes
  allpkgnodes=$(echo $all| awk 'BEGIN{RS=" ";} {print $1}' | sort|uniq)
  DbgLogMsg "allpkgnodes=[$allpkgnodes]"

  echo "$allpkgnodes"
  return 0
}

########################################################################
# FUNCTION get_quiesce_sappfpars
########################################################################
function get_quiesce_sappfpars
{
  typeset fname=get_quiesce_sappfpars
  [[ ${DBG} -gt 0 ]] &&  BLogMsg $*
  #BLogMsg $*

  typeset qidx=$1
  typeset sappfpar_cmd=$2
  typeset SID=$3
  typeset ip=$4
  typeset sidadm=$5

  quiesce_progress[${qidx}]=0
  quiesce_dirglobal[$qidx]=""
  quiesce_schemas[$qidx]=""
  quiesce_dbnames[$qidx]=""

        # proceed only if all 3 profile params (qschema, qdbname, dir_global) were found
        pfpar="DIR_GLOBAL"
        dirglobal=$("$sappfpar_cmd" $SID $ip $sidadm $pfpar)
        if [[ $? > 0 ]]; then
          log_err_sappfpar $SID $ip $pfpar
          return 1
        fi

        pfpar="dbs/hdb/schema"
        qschema=$("$sappfpar_cmd" $SID $ip $sidadm $pfpar)
        if [[ $? > 0 ]]; then
          log_err_sappfpar $SID $ip $pfpar
          return 1
        fi

        pfpar="dbs/hdb/dbname"
        qdbname=$("$sappfpar_cmd" $SID $ip $sidadm $pfpar)
        if [[ -z "$qdbname" ]]; then
          pfpar="j2ee/dbname"
          qdbname=$(rem_get_sappfpar $SID $ip $sidadm $pfpar)
          if [[ $? > 0 ]]; then
            log_err_sappfpar $SID $ip $pfpar
            return 1
          fi
        fi

        pfpar="dbs/hdb/quiesce_check_enable"
        quiesce_check_enable=$("$sappfpar_cmd" $SID $ip $sidadm $pfpar)
        DbgLogMsg "quiesce_check_enable=[$quiesce_check_enable]"

        pfpar="rdisp/max_wprun_time"
        max_wprun_time=$("$sappfpar_cmd" $SID $ip $sidadm $pfpar)
        DbgLogMsg "max_wprun_time=[$max_wprun_time]"

        #DbgLogMsg "SID=[${SID}] ip=[${ip}]"
        #DbgLogMsg "dirglobal=[$dirglobal]"
        #DbgLogMsg "qschema=[$qschema]"
        #DbgLogMsg "qdbname=[$qdbname]"

        quiesce_dirglobal[$qidx]=$dirglobal
        quiesce_schemas[$qidx]=$qschema
        quiesce_dbnames[$qidx]=$qdbname
        quiesce_progress[${qidx}]=$COMPLETE
        return 0
}

########################################################################
# just log sappfpar error
########################################################################
function log_err_sappfpar {
  typeset SID=$1
  typeset ip=$2
  typeset pfpar=$3

  [[ $qcnt -gt 0 ]] && LogMsg "Skipping quiesce phase for SID=[$SID] ip=[$ip] as param=[$pfpar] couldn't be determined"
}

########################################################################
#
# Function: quiesce_phase_wait
#
# Purpose: Wait max HDB_QUIESCE_TIMEOUT for dialog instances to
# complete  transactions before shutting down database
#
# Parameters:
# global $quiesces arrays with sid, schema and dbname
########################################################################
function quiesce_phase_wait
{
  typeset fname=quiesce_phase_wait
  BLogMsg $*

  typeset checkinterval=30
  typeset -i quiesce_sids_size=${#quiesce_sids[@]}
  typeset -i sec_count=0
  typeset -i runconns
  typeset -i idx=0

  typeset runconns     # contains running connections of all SIDs


  # no SIDs found to quiesce
  if [[ $quiesce_sids_size = 0 ]]; then
    return 0
  fi

  if [[ $SGeSAP_HDB_QUIESCE_TIMEOUT -gt 0 ]]; then
    HDB_QUIESCE_FORCED_HALT="yes"
    HDB_QUIESCE_TIMEOUT=$SGeSAP_HDB_QUIESCE_TIMEOUT
  fi

  while [[ $sec_count -lt $HDB_QUIESCE_TIMEOUT ]];
  do
    # for all DBs configured for quiesce
    runconns=0
    idx=0
    while [[ $idx -lt $quiesce_sids_size ]];
    do
      conns=$(get_hdb_conns $idx)
      rc=$?
      # sum up total number of running connections found for all DBs/schemas
      if [[ $rc = 0 ]]; then
	      (( runconns = $runconns + $conns ))
      fi
      # get next SID to quiesce
      (( idx++ ))

    done

    # determine if running connections left
    if [[ $runconns -eq 0 ]]; then
      LogMsg "No active DB connections runconns=[$runconns] left - continue with DB stop"
      return 0
    else
      LogMsg "Waiting for active runconns=[$runconns] to terminate"
    fi

    # if set to "no" sleep until forever or
    # until all connections have been dropped
    if [[ $HDB_QUIESCE_FORCED_HALT = "no" ]]; then
      LogMsg "HDB_QUIESCE_FORCED_HALT=[$HDB_QUIESCE_FORCED_HALT] - sleeping until all DB connections stopped"
      sec_count=1
    else
    (( sec_count = $sec_count + $checkinterval ));
    fi
    LogMsg "sec_count=[$sec_count] HDB_QUIESCE_TIMEOUT=[$HDB_QUIESCE_TIMEOUT]"

    LogMsg "sleep $checkinterval"
    sleep $checkinterval

  done

  LogMsg "HDB_QUIESCE_TIMEOUT=[$HDB_QUIESCE_TIMEOUT] wait timer for runconns=[$runconns] expired - continue with DB stop"
  return 1

}

########################################################################
#
# Function: get_dir_global
#
# Purpose: determine DIR_GLOBAL value by running sappfpar cmd
# on a remote system
#
# Parameters:
#  SID=$1   SID on remote server
#  host=$2  remote server
#  sidadm=$3 administrator
#
# Remarks:
# -
########################################################################
function get_dir_global
{
  typeset fname=get_dir_global
  BLogMsg $*
  typeset SID=$1
  typeset host=$2
  typeset sidadm=$3

  cp /dev/null $TMPQ
  DbgLogMsg "REM_COMM=[$REM_COMM] host=[$host] sidadm=[$sidadm]"
    (${REM_COMM} ${host} -l ${sidadm} /bin/bash -s   << EOF > $TMPQ

    # search thru sapservices for SID. match SAP profile pf=...
    #pf=\`cat $SAPSERVICECONFIG | awk -F= '{print \$3}'|awk  '/'${SID}'/ {print \$1;exit}'\`
    #exe_path=\`cat $SAPSERVICECONFIG | awk -F[=:\;] '/'${SID}'/ {print \$2;exit}'\`
    # ignore ERS lines and commented lines
    pf=\`egrep -v '^[ ]*#+[ ]*|_ERS|_REP|_AREP' $SAPSERVICECONFIG | awk -F= '{print \$3}' |awk  '/'${SID}'/ {print \$1;exit}'\`
    exe_path=\`egrep -v '^[ ]*#+[ ]*|_ERS|_REP|_AREP' $SAPSERVICECONFIG | awk -F[=:\;] '/'${SID}'/ {print \$2;exit}'\`

    if [[ \$pf = "" ]]; then
      echo "No profile found in $SAPSERVICECONFIG for SID=[$SID] on host=[$host]"
      exit 1
    fi

    if [ ! -x \${exe_path}/sappfpar ]; then
      echo "Could not find sappfpar executable SID=[${SID}] exe_path=[\${exe_path}]"
      exit 1
    fi

    # run sappfpar cmd to get current value of DIR_GLOBAL
    \${exe_path}/sappfpar pf=\$pf DIR_GLOBAL
EOF
  )       &           # run in background
        watchdog $! 10
        rc=$?

        # dir_global is a global
        dir_global=$(cat $TMPQ)

        DbgLogMsg "remote command rc=[$rc] dir_global=[$dir_global]"
        return $rc
}
########################################################################
#
# Function: rem_get_sappfpar
#
# Purpose: get a SAP profile param by running sappfpar cmd
# on a remote system
#
# Parameters:
#  SID=$1   SID on remote server
#  host=$2  remote server
#  sidadm=$3 administrator
#  param=$4  a sappfpar parameter
#
# Remarks:
# sappfpar returns 1 if param doesn not exist
########################################################################
function rem_get_sappfpar
{
  typeset fname=rem_get_sappfpar
  [[ ${DBG} -gt 0 ]] &&  BLogMsg $*
  #BLogMsg $*

  typeset SID=$1
  typeset host=$2
  typeset sidadm=$3
  typeset param=$4

  typeset value
  cp /dev/null $TMPQ
  DbgLogMsg "REM_COMM=[$REM_COMM] host=[$host] sidadm=[$sidadm]"
    (${REM_COMM} ${host} -l ${sidadm} /bin/bash -s   << EOF > $TMPQ

    # search thru sapservices for SID. match SAP profile pf=...
#    pf=\`cat $SAPSERVICECONFIG | awk -F= '{print \$3}'|awk  '/'${SID}'/ {print \$1;exit}'\`
#    exe_path=\`cat $SAPSERVICECONFIG | awk -F[=:\;] '/'${SID}'/ {print \$2;exit}'\`
    # ignore ERS lines and commented lines
    pf=\`egrep -v '^[ ]*#+[ ]*|_ERS|_REP|_AREP' $SAPSERVICECONFIG | awk -F= '{print \$3}' |awk  '/'${SID}'/ {print \$1;exit}'\`
    exe_path=\`egrep -v '^[ ]*#+[ ]*|_ERS|_REP|_AREP' $SAPSERVICECONFIG | awk -F[=:\;] '/'${SID}'/ {print \$2;exit}'\`


    if [[ \$pf = "" ]]; then
      echo "No profile found in $SAPSERVICECONFIG for SID=[$SID] on host=[$host]"
      exit 1
    fi

    if [ ! -x \${exe_path}/sappfpar ]; then
      echo "Could not find sappfpar executable SID=[${SID}] exe_path=[\${exe_path}]"
      exit 1
    fi

    # run sappfpar cmd to get current value of DIR_GLOBAL
    \${exe_path}/sappfpar pf=\$pf $param
EOF
  )       &           # run in background

        watchdog $! 10 1
        rc=$?

        value=$(cat $TMPQ)
        echo "$value"

        DbgLogMsg "remote command rc=[$rc] sap profile param=[$param] value=[$value]"
        return $rc
}

########################################################################
#
# Function: clu_get_sappfpar
#
# Purpose: get a SAP profile param by running sappfpar cmd
# on a cluster node
#
# Parameters:
#  SID=$1   SID on remote server
#  host=$2  cluster node
#  sidadm=$3 administrator
#  param=$4  a sappfpar parameter
#
# Remarks:
# sappfpar returns 1 if param doesn not exist
########################################################################
function clu_get_sappfpar
{
  typeset fname=clu_get_sappfpar

  typeset SID=$1
  typeset host=$2
  typeset sidadm=$3
  typeset param=$4

  typeset timeout=10
  typeset value

  value=$( ${SGSBIN}/cmexec $host -t $timeout "
#          pf=\`cat $SAPSERVICECONFIG | awk -F= '{print \$3}'|awk  '/'${SID}'/ {print \$1;exit}'\`
#          exe_path=\`cat $SAPSERVICECONFIG | awk -F[=:\;] '/'${SID}'/ {print \$2;exit}'\`
           # ignore ERS lines and commented lines
           pf=\`egrep -v '^[ ]*#+[ ]*|_ERS|_REP|_AREP' $SAPSERVICECONFIG | awk -F= '{print \$3}' |awk  '/'${SID}'/ {print \$1;exit}'\`
           exe_path=\`egrep -v '^[ ]*#+[ ]*|_ERS|_REP|_AREP' $SAPSERVICECONFIG | awk -F[=:\;] '/'${SID}'/ {print \$2;exit}'\`
          if [[ ! -x \${exe_path}/sappfpar ]]; then
            echo "Could not find sappfpar executable for ${SID}"
            exit 1
          fi

          LD_LIBRARY_PATH=\${exe_path}; export LD_LIBRARY_PATH; \${exe_path}/sappfpar pf=\$pf $param
          ")
    rc=$?

    echo "$value"

    DbgLogMsg "${SGSBIN}/cmexec command returned: rc=[$rc] value=[$value]"
    return $rc

}

########################################################################
#
# Function: remote_set_quiesce_phase
#
# Purpose: touch or remove the quiesce flag file on the remote Application
# servers as viewed from the HDB system
#
# Parameters:
#  ip=$1      ip of remote server
#  sidadm=$2  adm user on remote server for login
#  rcmd=$3    remote command -> rm or touch of flag file
#  qfile=$4   the flag file
#
# Remarks:
# -
########################################################################
function remote_set_quiesce_phase
{
  typeset fname=remote_set_quiesce_phase
  [[ ${DBG} -gt 0 ]] &&  BLogMsg $*
  #BLogMsg $*

  typeset ip=$1
  typeset sidadm=$2
  typeset rcmd=$3
  typeset qfile=$4
  typeset timeout=10

  LogMsg "Executing command ${REM_COMM} ${ip} -l ${sidadm} -n \"${rcmd} ${qfile}\""
  ret_rem_comm=$(${REM_COMM} ${ip} -l ${sidadm} -n "${rcmd} ${qfile}")&
  watchdog $! $timeout 1
  rc=$?
  #if [ $rc -ne 0 ]; then
  #  LogMsg "rc=[$rc] Command failed - ret_rem_comm[$ret_rem_comm]"
  #fi
  return $rc
}

########################################################################
#
# Function: local_set_quiesce_phase
#
# Purpose: touch or remove the quiesce flag file on the local system
#
# Parameters:
# lcmd=$1   "rm" or "touch" the qfile
# qfile=$2  the quiesce flag file
#
# Remarks:
# -
########################################################################

function local_set_quiesce_phase
{
  typeset fname=local_set_quiesce_phase
  [[ ${DBG} -gt 0 ]] &&  BLogMsg $*
  #BLogMsg $*

  typeset lcmd=$1
  typeset qfile=$2

  typeset output=""
  typeset dowait=0
  typeset dir="$(dirname $qfile)"

  LogMsg "local quiesce phase check"
  check_access2 $dir $dowait
  rc=$?
  if [ $rc -ge 1 ]; then
    WrnLogMsg "Can't access $dir - skipping local quiesce phase"
    return 1
  fi

  LogMsg "Exectung cmd=[$lcmd $qfile]"
  output=$(eval $lcmd $qfile 2>&1)
  rc=$?
  if [ $rc -ne 0 ]; then
     WrnLogMsg "rc=[$rc] output=[$output]"
     return $rc
  fi
  return 0
}

########################################################################
# run landscapeHostConfiguration python script
# .. as sidadm and watchdog'ed
#
# Parameters: a first argument controls --sapcontrol=1 output format of
# landscapeHostConfiguration.py command
#
# uses global variables: SGeSAP_HDB_SYSTEM, HDBNAME,HDBNR, MYSIDADM
#
# Hardcoded timeout of 30/2 seconds if not run from hdbsys.mon
#
# Set global variable lspy_out to output of command and lspy_rc
# to returncode of py script
#
# Returncodes:
# 0 - 5 : returncodes of py
# (10)  : landscape py not available (WVE)
# >=128 : signal (timeout)
########################################################################
function SO_run_landscape_py
{
    typeset fname=SO_run_landscape_py
    [[ ${DBG} -gt 0 ]] &&  BLogMsg $*

    typeset sapcontrol=${1:-""}

    typeset landscapecmd="${USRSAPDIR}/${SGeSAP_HDB_SYSTEM}/${HDBNAME}${HDBNR}/exe/python_support/landscapeHostConfiguration.py $sapcontrol"
    typeset cmd="su - $MYSIDADM -c \"python $landscapecmd\""
    # WVE: check_access to $landscapecmd

    DbgLogMsg "$cmd"
    # (( py_timeout = ${HDBMON_INTERVAL:-30} / 2 - 1 ))
    if [[ ${HDB_LSPY_TIMEOUT} -lt 5 ]]; then
      WrnLogMsg "Aggressive monitoring interval settings detected."
      LogMsg "SAP monitoring tools may time out too often."
      LogMsg "It is recommended to increase HDBMON_INTERVAL to 30 or higher"
      HDB_LSPY_TIMEOUT=5
    fi

    lspy_out=$(eval $cmd 2>&1 & watchdog $! ${HDB_LSPY_TIMEOUT} `[ ! ${DBG:-0} -eq 0 ] ; echo $?`)
    lspy_rc=$?

    DbgLogMsg "lspy_out=[${lspy_out}]"
    DbgLogMsg "landscapeHostConfiguration rc=[${lspy_rc}]"

    if [[ $lspy_rc -gt 128 ]]; then
      WrnLogMsg "landscape script timed out lspy_rc=[$lspy_rc]" # Likely to be some problem with nameserver
    elif [[ $lspy_rc -gt 5 ]]; then
      ErrLogMsg "Unexpected returncode [$lspy_rc] from $landscapecmd"
    # else: expected rc
    fi

    return $lspy_rc
}


########################################################################
#
# main()
#
########################################################################

#
# trigger direct function call if "test" is first paramter
#
if [[ "$1" = "test" ]]; then
  shift
  "$@"
  exit $?
fi
